var clickInfo = true;
//条码打印配置
function printConfiguration(checkedList) {
	if (clickInfo) {
		clickInfo = false;
		setTimeout(function() {
			clickInfo = true;
		}, 1000);
		mui.plusReady(function() {
			activity = plus.android.runtimeMainActivity();
			Intent = plus.android.importClass("android.content.Intent");
			intent = new Intent(activity.getIntent());
			intent.setClassName(activity, "com.hanfeng.zhijianjxc.ui.activity.PrintLabelMessageSetActivity");
			//activity.printType = 1;
			intent.putExtra('intent_data', JSON.stringify(checkedList));
			intent.putExtra('intent_print_type', 1);
			activity.startActivity(intent);
		});
	}
}

function printConfiguration_b(checkedList,purchaseManager) { //小票打印配置
	if (clickInfo) {
		checkedList.is_manager = purchaseManager
		clickInfo = false;
		setTimeout(function() {
			clickInfo = true;
		}, 1000);
		mui.plusReady(function() {
			activity = plus.android.runtimeMainActivity();
			Intent = plus.android.importClass("android.content.Intent");
			intent = new Intent(activity.getIntent());
			intent.setClassName(activity, "com.hanfeng.zhijianjxc.ui.activity.PrintReceiptMessageSetActivity");
			intent.putExtra('intent_data', JSON.stringify(checkedList));
			intent.putExtra('intent_print_type', 2);
			activity.startActivity(intent);
		});
	}
}
//条码打印
function printCode(list,option) {
	if (clickInfo) {
		clickInfo = false;
		var systemSetting=JSON.parse(localStorage.systemSetting)
		if(option&&option.systemSetting){
			Object.assign(systemSetting,option.systemSetting)
		}
		list[0].systemSetting = systemSetting;
		list = JSON.stringify(list);
		var result = [];
		var n = 5000;
		for (var i = 0, l = list.length; i < l / n; i++) {
			var a = list.slice(n * i, n * (i + 1));
			result.push(a);
		}
		setTimeout(function() {
			clickInfo = true;
		}, 1000);
		mui.plusReady(function() {
			var activity = plus.android.runtimeMainActivity();
			var Intent = plus.android.importClass("android.content.Intent");
			var intent = new Intent(activity.getIntent());
			intent.setClassName(activity, "com.hanfeng.zhijianjxc.service.BluetoothPrintSocketService");
			//activity.printType = 1;
			mui.each(result, function(i, v) {
				var name = "intent_data_" + Number(i + 1);
				intent.putExtra(name, v)
			});
			intent.putExtra('intent_number', result.length);
			intent.putExtra('intent_print_type', 1);
			activity.onActivityResult = function(requestCode, resultCode, data) {
				if (requestCode == 777 || requestCode == 888 || requestCode == 1001 || requestCode == 1) {
					//防止扫码打印数据
				} else {
					if (resultCode == -1) {
						activity.startService(intent)
					}
				}
			};
			activity.startService(intent);
		});
	}
}
//小票打印
function printBill(list,purchaseManager) {
	if (clickInfo) {
		var sendList = JSON.parse(list);
		sendList.systemSetting = JSON.parse(localStorage.systemSetting);
		sendList.is_manager = purchaseManager;
		clickInfo = false;
		var result = [];
		var n = 5000;
		list = JSON.stringify(sendList);
		for (var i = 0, l = list.length; i < l / n; i++) {
			var a = list.slice(n * i, n * (i + 1));
			result.push(a);
		}
		setTimeout(function() {
			clickInfo = true;
		}, 1000);
		mui.plusReady(function() {
			var activity = plus.android.runtimeMainActivity();
			var Intent = plus.android.importClass("android.content.Intent");
			var intent = new Intent(activity.getIntent());
			intent.setClassName(activity, "com.hanfeng.zhijianjxc.service.BluetoothPrintSocketService");
			//activity.printType = 2;
			mui.each(result, function(i, v) {
				var name = "intent_data_" + Number(i + 1);
				intent.putExtra(name, v)
			});
			intent.putExtra('intent_number', result.length);
			// intent.putExtra('intent_data', list);
			intent.putExtra('intent_print_type', 2);
			activity.onActivityResult = function(requestCode, resultCode, data) {
				if (requestCode == 777 || requestCode == 888 || requestCode == 1001 || requestCode == 1) {
					//防止扫码打印数据
					// 777、888扫描枪
					// 1001：相册
					// 1：拍照
				} else {
					if (resultCode == -1) {
						activity.startService(intent)
					}
				}
			};
			activity.startService(intent)
		});
	}
}
//扫码 type{888:扫码开单， 777：物流单号录入}
function sweepCode(cookie, url, type, sign) {
	//扫码标识符，用于一个界面存在多个扫码的情况
	var sign = sign || '';
	if (clickInfo) {
		clickInfo = false;
		setTimeout(function() {
			clickInfo = true;
		}, 1000);
		mui.plusReady(function() {
			var activity = plus.android.runtimeMainActivity();
			var Intent = plus.android.importClass("android.content.Intent");
			var Uri = plus.android.importClass("android.net.Uri");
			var intent = new Intent(Intent.ACTION_VIEW, Uri.parse(url));
			intent.putExtra("ecp_cookie", cookie)
			activity.onActivityResult = function(requestCode, resultCode, data) {
				if (requestCode == type && type == 888) {
					var json_result = data.getStringExtra("json_result")
					if (json_result) fn_result(json_result)
				} else if (requestCode == type && type == 777) {
					var barcode = data.getStringExtra("barcode");
					var color_id = data.getStringExtra("color_id");
					var size_id = data.getStringExtra("size_id");
					fn(color_id, size_id, barcode, sign)
				}
			};
			activity.startActivityForResult(intent, type);
		});
	}

//	 mui.ajax(severUrl + "sso/company/qry.json", {
//	 	data: {
//	 		id: ""
//	 	},
//	 	headers: {
//	 		'Content-Type': 'application/x-www-form-urlencoded'
//	 	},
//	 	xhrFields: {
//	 		withCredentials: true
//	 	},
//	 	dataType: 'json',
//	 	type: 'post',
//	 	timeout: 10000,
//	 	success: function (res) {
//	 		//alert(res.data.status);
//	 		if (res.data.status == 1) {
//	             if(clickInfo) {
//	                     clickInfo = false;
//	                     setTimeout(function () {
//	                         clickInfo = true;
//	                     }, 1000);
//	                     mui.plusReady(function() {
//	                         var activity = plus.android.runtimeMainActivity();
//	                         var Intent = plus.android.importClass("android.content.Intent");
//	                         var Uri = plus.android.importClass("android.net.Uri");
//	                         var intent = new Intent(Intent.ACTION_VIEW, Uri.parse(url));
//	                         intent.putExtra("ecp_cookie", cookie)
//	                         activity.onActivityResult = function(requestCode, resultCode, data) {
//	                             if(requestCode == type && type == 888){
//	                                 var json_result = data.getStringExtra("json_result")
//	                                 if(json_result) fn_result(json_result)
//	                             }else if(requestCode == type && type == 777){
//	                                 var barcode = data.getStringExtra("barcode");
//	                                 var color_id = data.getStringExtra("color_id");
//	                                 var size_id = data.getStringExtra("size_id");
//	                                 fn(color_id,size_id,barcode)
//	                             }
//	                         };
//	                         activity.startActivityForResult(intent,type);
//	                     });
//	              }
//	 		}else {
//	             var  btnArray=['返回','联系客服','淘宝购买'];
//	             mui.confirm('购买指尖进销存软件，完成扫码出入库', '购买指尖进销存',btnArray, function(e){
//	                 if(e.index == 1) {
//	                     viewHandle.openWindow('message.html');
//	                 }
//	                 else if(e.index == 2){
//	                     location.href = "https://item.taobao.com/item.htm?spm=a230r.1.14.22.5520329bEFZaas&id=587564838426&ns=1&abbucket=15#detail";
//	                 }
//	             },'div');
//	 		}
//	 	}
//	 });
}
//微信支付页面跳转处理
function wxPay(loadUrl) {
	mui.plusReady(function() {
		var javaMap = plus.android.importClass("java.util.HashMap");
		var extraHeaders = new javaMap();
		extraHeaders.put("Referer", url);
		var nwv = plus.android.currentWebview();
		plus.android.invoke(nwv, "loadUrl", loadUrl, extraHeaders);
	})
}
