//production 生产环境; preview 预览版(内测服务器); localhost 本地环境; development 开发环境;
var ENV = 'production'
var app_version="5.2.27"
var app_version_stage=""
var url_0726 = '';
//var url_0726='0726/'; //需要加0726时请关闭注释


var suffix = 'ECP-OPEN/'
if(ENV === 'production'){
	window.url = 'http://www.zhijianjxc.com/'
}else if(ENV === 'preview'){
	window.url = 'http://test.zhijianjxc.com/' //内测地址
}else if(ENV === 'development'){
	window.url = 'http://www.zjworks.com/'
}else if(ENV === 'localhost'){
	window.url = 'http://192.168.31.177:8080/'
	// window.url = 'http://192.168.31.102:8889/'
	// window.url = 'http://192.168.3.9:8080/'
	suffix = 'vip/'
}else{
	window.url = 'http://www.zjworks.com/'
}
const privacyUrl = 'http://www.zhijianjxc.com/tv_privacy.html'
const agreementUrl = 'http://www.zhijianjxc.com/tv_agreement.html'
var img_url = 'https://wx-xcx-1253752464.cos.ap-chengdu.myqcloud.com/zhijianjxc_files/';
var img_url_temp = 'https://wx-xcx-1253752464.cos.ap-chengdu.myqcloud.com/zhijianjxc_files_production_temporary/';
var severUrl = url + suffix;
var server = url + url_0726;
var pic_server = url + url_0726;
var share_url = 'http://www.zhijianjxc.com/html_web/share/?detail=';
var buttonClick = true,
	wait = '';

const CONSTANT = {
	//订单类型-采购退货
	PURCHASE_RETURN_OF_GOODS: 1,
	//订单类型-采购
	PURCHASE: 0,
	//订单类型-销售
	SALES: 0,
	//订单类型-销售退货
	SALES_RETURN_OF_GOODS: 1,
	// 开单-销售
	PRESENT_SALES: 1,
	// 开单-采购
	PRESENT_PURCHASE: 0,
	// 开单商品选择页来源类型 - 开单页面
	ORIGIN_PRESENT: 0,
	// 开单商品选择页来源类型 - 订单页面
	ORIGIN_DRAFT: 1
}


/**
 * 获取当前时间
 */
function loadNowDate() {
	var myDate = new Date();
	var Y = myDate.getFullYear();
	var M = (myDate.getMonth() + 1);
	var D = myDate.getDate();

	M >= 10 ? M = M : M = 0 + "" + M;
	D >= 10 ? D = D : D = 0 + "" + D;

	return Y + '-' + M + '-' + D;
}
/**
 * 获取当前时间 年-月-日:时分秒
 */
function loadDates() {
	var myDate = new Date();
	var Y = myDate.getFullYear();
	var M = (myDate.getMonth() + 1);
	var D = myDate.getDate();
	var h = myDate.getHours();
	var m = myDate.getMinutes();
	var s = myDate.getSeconds();
	M >= 10 ? M = M : M = 0 + "" + M;
	D >= 10 ? D = D : D = 0 + "" + D;
	h >= 10 ? h = h : h = 0 + "" + h;
	m >= 10 ? m = m : m = 0 + "" + m;
	s >= 10 ? s = s : s = 0 + "" + s;
	return Y + '/' + M + '/' + D + ' ' + h + ':' + m + ':' + s;
}
/**
 * 获取当前时间 年-月-日:时分秒
 */
function loadDates(myDate) {
	if(!(!!myDate)) return ''
	var myDate = new Date(myDate);
	var Y = myDate.getFullYear();
	var M = (myDate.getMonth() + 1);
	var D = myDate.getDate();
	var h = myDate.getHours();
	var m = myDate.getMinutes();
	var s = myDate.getSeconds();
	M >= 10 ? M = M : M = 0 + "" + M;
	D >= 10 ? D = D : D = 0 + "" + D;
	h >= 10 ? h = h : h = 0 + "" + h;
	m >= 10 ? m = m : m = 0 + "" + m;
	s >= 10 ? s = s : s = 0 + "" + s;
	return Y + '-' + M + '-' + D;
}
/**
 * 日期与天数加减
 */
function dateChange(num = 1,date = false,operate) {
	if (!date&&date!='') {
		date = new Date();//没有传入值时,默认是当前日期
		date = date.getFullYear() + '-' + (date.getMonth() + 1) + '-' + date.getDate();
	}
	if(!(!!date)) return ''

	// date += " 00:00:00";//设置为当天凌晨12点
	date = $comm.DATE_UTIL.getTodayAfter(date)
	date = Date.parse(new Date(date))/1000;//转换为时间戳
	if(operate=='+'){
		date += (86400) * num;//修改后的时间戳
	}else{
		date -= (86400) * num;//修改后的时间戳
	}
	var newDate = new Date(parseInt(date) * 1000);//转换为时间
	var month=(newDate.getMonth() + 1)<10?'0'+(newDate.getMonth() + 1):(newDate.getMonth() + 1)
	var day=newDate.getDate()<10?'0'+newDate.getDate():newDate.getDate()
	return newDate.getFullYear() + '-' + month+ '-' + day;
}
function getQueryString(name) {
	var reg = new RegExp("(^|&)" + name + "=([^&]*)(&|$)", "i");
	var r = window.location.search.substr(1).match(reg);
	if (r != null)
		return decodeURIComponent(r[2]);
	return null;
}
//多位小数处理
function handleDecimal(decimal) {
	var count = Number(decimal);
	if (count >= 0) {
		if (count % 1 !== 0) {
			count = count.toFixed(2)
		} else {
			count = count.toFixed(0)
		}
	} else {
		count = -count;
		if (count % 1 !== 0) {
			count = count.toFixed(2)
		} else {
			count = count.toFixed(0)
		}
		count = -count;
	}
	return count
}
// 金额保留两位小数
function handleDecimalForPrice(decimal) {
	var count = Number(decimal);
	if (count >= 0) {
		count = count.toFixed(2)
	} else {
		count = -count;
		count = count.toFixed(2);
		count = -count;
	}
	return count
}
//计算时间差
function timedifference(sDate1, sDate2) {
	var dateSpan, iDays;
	sDate1 = Date.parse(sDate1);
	sDate2 = Date.parse(sDate2);
	dateSpan = sDate2 - sDate1;
	dateSpan = Math.abs(dateSpan);
	iDays = Math.floor(dateSpan / (24 * 3600 * 1000));
	return iDays
}
//精确计算时间差
function timeDiff(sDate1, sDate2) {
	var date1 = sDate1; //开始时间
	var date2 = sDate2; //结束时间
	var date3 = new Date(date2).getTime() - new Date(date1).getTime(); //时间差的毫秒数
	//计算出相差天数
	//var days=Math.floor(date3/(24*3600*1000))
	//计算出小时数
	var leave1 = date3 % (24 * 3600 * 1000) //计算天数后剩余的毫秒数
	var hours = Math.floor(leave1 / (3600 * 1000))
	//计算相差分钟数
	// var leave2=leave1%(3600*1000)        //计算小时数后剩余的毫秒数
	// var minutes=Math.floor(leave2/(60*1000))
	//计算相差秒数
	// var leave3=leave2%(60*1000)      //计算分钟数后剩余的毫秒数
	// var seconds=Math.round(leave3/1000)
	return hours
}
//格式化指定时间
function getMyData(val) {
	var d = new Date(val.replace(/-/g, "/"));
	d = new Date(d);
	var year = d.getFullYear();
	var mon = d.getMonth() + 1;
	var day = d.getDate();
	var s = year + "-" + (mon < 10 ? ('0' + mon) : mon) + "-" + (day < 10 ? ('0' + day) : day);
	return (s);
}
//获取当前时间前三月
function beforeMarchDate(type) {
	var myDate = new Date();
	var Y = myDate.getFullYear();
	var M = (myDate.getMonth() + 1);
	var D = myDate.getDate();
	if (M - 3 >= 0) {
		M -= 3
	} else {
		Y -= 1;
		M = 12 - (3 - M)
	}
	M >= 10 ? M = M : M = 0 + "" + M;
	D >= 10 ? D = D : D = 0 + "" + D;

	if (type == 1) {
		return Y + '-' + M + '-' + D;
	} else if (type == 2) {
		return Y + '-' + M + '-' + '01';
	}
}
/**
 * 清除缓存
 */
function GetCookie(name) {
	var arg = name + "=";
	var alen = arg.length;
	var clen = document.cookie.length;
	var i = 0;
	while (i < clen) {
		var j = i + alen;
		if (document.cookie.substring(i, j) == arg)
			return GetCooki(j);
		i = document.cookie.indexOf(" ", i) + 1;
		if (i == 0) break;
	}
	return null;
}

function GetCooki(offset) {
	var endstr = document.cookie.indexOf(";", offset);
	if (endstr == -1)
		endstr = document.cookie.length;
	return decodeURIComponent(document.cookie.substring(offset, endstr));
}

function DelCookie(name) {
	var exp = new Date();
	exp.setTime(exp.getTime() - 1);
	var cval = GetCookie(name);
	document.cookie = name + "=" + cval + "; expires=" + exp.toGMTString()
}

function clearCash() {
	var btn = ["取消","确定"];
	mui.confirm('清除缓存将会重启应用，请谨慎选择！', '确认清除缓存？', btn, function (e) {
		if(e.index===1){
			clearCache()
		}
	},'div')
}
function clearCache(){
	sessionStorage.clear();
	localStorage.clear();
	var strCookie = document.cookie;
	var arrCookie = strCookie.split("; "); // 将多cookie切割为多个名/值对
	for (var i = 0; i < arrCookie.length; i++) { // 遍历cookie数组，处理每个cookie对
		var arr = arrCookie[i].split("=");
		if (arr.length > 0)
			DelCookie(arr[0]);
	}
	mui.toast("清除缓存成功");
	setTimeout(function(){
		plus.runtime.restart();
	},500)
}

function clearCashSignOut(){
	let bootStatus=localStorage.getItem('bootStatus')
	sessionStorage.clear();
	localStorage.clear();
	localStorage.setItem('bootStatus',bootStatus)
	var strCookie = document.cookie;
	var arrCookie = strCookie.split("; "); // 将多cookie切割为多个名/值对
	for (var i = 0; i < arrCookie.length; i++) { // 遍历cookie数组，处理每个cookie对
		var arr = arrCookie[i].split("=");
		if (arr.length > 0)
			DelCookie(arr[0]);
	}
	signOut()
}


function logOut(msg) {
	mui.plusReady(function() {
		var listSend = {};
		listSend.msg = JSON.parse(JSON.stringify(msg || ''));
		viewHandle.viewFire('login.html', 'log_out', listSend);
		viewHandle.openWindow('login.html', 'login.html', JSON.stringify(listSend))
	})
}
//退出登陆
function signOut() {
	mui.ajax(severUrl + "logout", {
		data: {},
		headers: {
			'Content-Type': 'application/x-www-form-urlencoded'
		},
		xhrFields: {
			withCredentials: true
		},
		dataType: 'json',
		type: 'post',
		timeout: 10000,
		complete: function() {
			logOut()
		}
	});
}
var first = null;
mui.init({
	beforeback: function() { //系统返回键
		viewHandle.close();
		var pageURL = plus.webview.currentWebview().getURL();
		var pageId = plus.webview.currentWebview().id;
		if (pageURL.indexOf("login.html") > -1) {
			systemBack();
			return false;
		} else {
			switch (pageId) {
				case 'H576E5848':
					mui("#goodsColorSize")[0].style.display = 'none';
					mui("#pinPurchaseHistory")[0].style.display = 'none';
					mui('#xiaoDom')[0].style.display = "block";
					mui('#xiaoDom')[0].style.visibility='visible'
					localStorage.removeItem('orderRemarkTempImg')
					systemBack();
					return false;
				case 'caigou.html':
					mui("#goodsColorSize")[0].style.display = 'none';
					mui("#purchaseHistory")[0].style.display = 'none';
					mui('#caigouDom')[0].style.display = "block";
					mui('#caigouDom')[0].style.visibility='visible'
					localStorage.removeItem('orderRemarkTempImg')
					systemBack();
					return false;
				case 'login.html':
				case 'cun.html':
				case 'tongji.html':
					systemBack();
					return false;
				case 'view/wholeIndustry.html':
					systemBack();
					return false;
				default:
					return true;
			}
		}
	}
});
//系统退出处理
function systemBack() {
	if (!first) {
		first = new Date().getTime();
		mui.toast('再按一次退出应用');
		setTimeout(function() {
			first = null;
		}, 1000);
	} else {
		if (new Date().getTime() - first < 1000) {
			plus.runtime.quit();
		}
	}
}

//自定义窗口创建
var viewHandle = {
	openWindow: function(url, id, arg, methodJS) {
		plus.key.hideSoftKeybord();
		var userHtml = plus.webview.getWebviewById(id); //查找view是否存在
		if (userHtml) {
			if (methodJS) {
				plus.webview.show(id, 'none', userHtml.evalJS(methodJS)) //显示view
			} else {
				if (id == 'flowStatistics.html' || id == 'cun.html' || id == 'caigou.html' || id == 'H576E5848' || id ==
					'tongji.html' || id === 'finance.html') {
					plus.webview.show(id, 'none', userHtml.evalJS("defaultParameters()")); //显示view
				}
				// else{
					plus.webview.show(id,'none') //显示view
				// }
			}
		} else {
			var webview_sub = plus.webview.create(
				url,
				id, {
					height:'100%',
					popGesture: 'close'
				}, {
					arg: arg //参数传递
				}); //后台创建webview并打开页面
			if (id == 'cun.html' || id == 'caigou.html' || id == 'H576E5848' || id == 'tongji.html' || id === 'finance.html') {
				localStorage.removeItem("pageTabId");
				plus.webview.show(id, 'slide-in-bottom');
			} else {
				plus.webview.show(id, 'slide-in-right', 340);
			}
		}
	},
	viewFire: function(id, name, obj) {
		mui.fire(plus.webview.getWebviewById(id), name, obj);
	},
	back: function(type) {
		sessionStorage.clear();
		plus.key.hideSoftKeybord();
		if (type === 'close') {
			plus.webview.currentWebview().close('slide-out-right')
		} else {
			plus.webview.hide(plus.webview.currentWebview(), 'slide-out-right')
		}
	},
	fileUpload: function(src, id, type, time, upType, oldName, index) { //商品创建图片上传
		var server = '';
		switch (upType) {
			case 'add':
			case 'edit':
				server = severUrl + "cosfile/upPictureFile.json";
				break;
			case 'head':
				server = severUrl + "cosfile/upFile.json";
				break;
		}
		//打开等待旋转提示按钮
		var wt = plus.nativeUI.showWaiting();
		var task = plus.uploader.createUpload(server, {
			method: "post"
		}, function(t, status) {
			if (status == 200) {
				var responseText = JSON.parse(t.responseText) || {};
				if (responseText.success) {
					if (upType != 'add') {
						mui.toast("上传成功");
						if (upType == 'edit') {
							var oldName = JSON.parse(t.responseText);
							switch (index) {
								case 1:
									goodsAddVM.photoName1 = oldName.msg;
									break;
								case 2:
									goodsAddVM.photoName2 = oldName.msg;
									break;
								case 3:
									goodsAddVM.photoName3 = oldName.msg;
									break;
								case 4:
									goodsAddVM.photoName4 = oldName.msg;
									break;
							}
						}
					}
				} else {
					if (responseText.msg) {
						mui.toast(responseText.msg)
					} else {
						mui.toast("上传失败")
					}
				}
				// alert("上传成功："+t.responseText);
				wt.close(); //关闭等待提示按钮
			} else {
				if(status == 413){
					mui.toast("上传图片太大，请裁剪！")
					wt.close(); //关闭等待提示按钮
					return
				}
				if (upType != 'add') {
					mui.toast("上传失败")
				}
				wt.close(); //关闭等待提示按钮
			}
		});
		task.addFile(src, {});
		if (upType == 'add') {
			//商品创建添加其他参数
			task.addData("productId", id.toString());
			task.addData("is_default", type.toString());
			task.addData("time_stamp", time.toString());
		}
		if (upType == 'edit') {
			task.addData("productId", id.toString());
			task.addData("is_default", type.toString());
			task.addData("oldFileName", oldName.toString());
		}
		task.start();
	},
	waiting: function(name, time) {
		time = time || 10000
		plus.nativeUI.showWaiting(name, {
			//background:'rgba(43, 43, 43,0.5)',
			loading: {
				display: "inline",
				height: "16px",
				interval: 100,
				type: "snow",
			}
		});
		clearTimeout(wait);
		wait = setTimeout(function() {
			plus.nativeUI.closeWaiting()
		}, time)
	},
	/**
	 * 显示loading 不会自动关闭 使用返回对象.close() 关闭消息框
	 * @param msg loading消息
	 * @return {a} Object.close() 关闭消息框
	 */
	loading: function (msg){
		return plus.nativeUI.showWaiting(msg, {
			loading: {
				display: "inline",
				height: "16px",
				type: "snow",
				back: 'transmit'
			}
		});
	},
	close: function() {
		if(wait)clearTimeout(wait);
		plus.nativeUI.closeWaiting()
	},
	playAudio: function(type) {
		// plus.audio.createPlayer( "http://www.zjworks.com/download_web/order.mp3" )
		var audio = document.createElement("audio");
		if (type == 1) {
			audio.src = "http://www.zjworks.com/download_web/order.mp3";
		} else {
			audio.src = "http://www.zjworks.com/download_web/jinbi.mp3";
		}
		audio.onloadedmetadata = function() {
			audio.play();
			// viewHandle.sendMessage();
		}
	},
	shareOpen: function(shares, order, title, content, price_decimals_setting, amount_decimals_setting) {
		var ids = [{
				id: "weixin",
				ex: "WXSceneSession" /*微信好友*/
			}],
			bts = [{
				title: "发送给微信好友"
			}];
		plus.nativeUI.actionSheet({
				cancel: "取消",
				buttons: bts
			},
			function(e) {
				var i = e.index;
				if (i > 0) {
					shareAction(ids[i - 1].id, ids[i - 1].ex, shares, order, title, content, price_decimals_setting, amount_decimals_setting);
				}
			}
		);
	},
	copyText: function(val) { //复制到剪切板
		if (mui.os.ios) {
			var UIPasteboard = plus.ios.importClass("UIPasteboard");
			var generalPasteboard = UIPasteboard.generalPasteboard();
			//设置/获取文本内容:
			generalPasteboard.plusCallMethod({
				setValue: val,
				forPasteboardType: "public.utf8-plain-text"
			});
			generalPasteboard.plusCallMethod({
				valueForPasteboardType: "public.utf8-plain-text"
			});
			mui.toast("已成功复制到剪贴板");
		} else {
			var context = plus.android.importClass("android.content.Context");
			var main = plus.android.runtimeMainActivity();
			var clip = main.getSystemService(context.CLIPBOARD_SERVICE);
			plus.android.invoke(clip, "setText", val);
			mui.toast("已成功复制到剪贴板");
		}
	}
};

function shareAction(id, ex, shares, order, title, content, price_decimals_setting, amount_decimals_setting) {
	var s;
	if (!id || !(s = shares[id])) {
		mui.toast("分享服务未找到，请联系客服！");
		return;
	}
	if (s.authenticated) {
		shareMessage(s, ex, order, title, content, price_decimals_setting, amount_decimals_setting);
	} else {
		mui.toast("分享未授权，请联系客服！");
	}
}

function shareMessage(s, ex, order, title, content, price_decimals_setting, amount_decimals_setting) {
	var msg = {
		href: share_url + btoa('type=bill&order_id=' + order + '&price_decimals_setting=' + price_decimals_setting + '&amount_decimals_setting=' + amount_decimals_setting) + '&time=' + (new Date()).valueOf(),
		title: title,
		content: content,
		thumbs: ["../img/tx.jpg"], //图片
		extra: {
			scene: ex
		}
	};
	s.send(msg, function() {
		mui.toast("分享成功!");
	}, function(e) {
		mui.toast("分享失败!");
	});
}

function numEdit(e,item,name,num){
	e = e.srcElement;
	//如果输入非数字，则替换为''
	e.value = e.value.replace(/[^\d\.]/g, '');
	// 必须保证第一个为数字而不是.
	e.value = e.value.replace(/^\./g,'');
	// 保证只有出现一个.而没有多个.
	e.value = e.value.replace(/\.{2,}/g,'.');
	// 只能输入两位小数
	// e.value = e.value.replace(/^(\-)*(\d+)\.(\d\d).*$/,'$1$2.$3');
	if (num === 0) {
		num = '0'
	}
	num = num || 2;
	var reg =new RegExp("(\\-)*(\\d+)\\.(\\d{"+ num+ "}).*$");
	e.value = e.value.replace(reg, '$1$2.$3');
	if(item && name){
		item[name] = e.value;
	}
	return e.value
}

//多位小数自定义
function numToCur(val, dec, type) {
	val = parseFloat(val);
	dec = dec || 2; //小数位
	if (isNaN(val)) {
		val = 0
	}
	val = val.toFixed(dec);
	val = parseFloat(val);
	if(type == 'price'){
		if(parseInt(val) == Number(val)){
			val = val + '.00'
		}else {
			var xsd = val.toString().split(".");
			if (xsd[1].length < 2) {
				val = val.toString() + "0";
			}
		}
	}
	return val;
}

(function() {
	function util_date() {
		var _today = new Date();
		this.today = _today;
		this.year = _today.getYear() + 1900; //当前年份
		this.Month_a = _today.getMonth();
		this.Month = this.Month_a + 1; //当前月份
		this.day = _today.getDate(); //当前日期
		this.date = _today.getDay() == 0 ? 7 : _today.getDay(); //本周第几天 因系统会把周日作为第0天
		this.Monday = "";
		this.Sunday = ""
	}
	Date.prototype.pattern = function(fmt) {
		var o = {
			"M+": this.getMonth() + 1, //月份
			"d+": this.getDate(), //日
			"h+": this.getHours() % 12 == 0 ? 12 : this.getHours() % 12, //小时
			"H+": this.getHours(), //小时
			"m+": this.getMinutes(), //分
			"s+": this.getSeconds(), //秒
			"q+": Math.floor((this.getMonth() + 3) / 3), //季度
			"S": this.getMilliseconds() //毫秒
		};
		var week = {
			"0": "/u65e5",
			"1": "/u4e00",
			"2": "/u4e8c",
			"3": "/u4e09",
			"4": "/u56db",
			"5": "/u4e94",
			"6": "/u516d"
		};
		if (/(y+)/.test(fmt)) {
			fmt = fmt.replace(RegExp.$1, (this.getFullYear() + "").substr(4 - RegExp.$1.length));
		}
		if (/(E+)/.test(fmt)) {
			fmt = fmt.replace(RegExp.$1, ((RegExp.$1.length > 1) ? (RegExp.$1.length > 2 ? "/u661f/u671f" : "/u5468") : "") +
				week[this.getDay() + ""]);
		}
		for (var k in o) {
			if (new RegExp("(" + k + ")").test(fmt)) {
				fmt = fmt.replace(RegExp.$1, (RegExp.$1.length == 1) ? (o[k]) : (("00" + o[k]).substr(("" + o[k]).length)));
			}
		}
		return fmt;
	},
	util_date.prototype = {
			newToday: function(_today) {
				_today = new Date(_today.replace(/-/g, "/"));
				this.today = _today;
				this.year = _today.getYear() + 1900; //当前年份
				this.Month_a = _today.getMonth();
				this.Month = this.Month_a + 1; //当前月份
				this.day = _today.getDate(); //当前日期
				this.date = _today.getDay() == 0 ? 7 : _today.getDay(); //本周第几天 因系统会把周日作为第0天
				this.Monday = "";
				this.Sunday = ""
			},
			getMonday: function(Monday) {
				if(Monday){
					this.Monday = new Date(Monday.replace(/-/g, "/"))
				}
				if (this.Monday.length != 0) {
					return this.Monday;
				} else {
					var _monday = new Date(this.year, this.Month_a, this.day - this.date + 1);
					this.Monday = _monday;
					return _monday;
				}
			},
			getSunday: function(Monday) {
				if(Monday){
					this.Monday = new Date(Monday.replace(/-/g, "/"))
				}
				if (this.Sunday.length != 0) {
					return this.Sunday;
				} else {
					var _Sunday = new Date(this.year, this.Month_a, this.day - this.date + 7);
					this.Sunday = _Sunday;
					return _Sunday;
				}
			},
			getPreviousMonday: function(Monday) {
				Monday = new Date(Monday.replace(/-/g, "/"))
				var _monday = new Date(Monday.getYear() + 1900, Monday.getMonth(), Monday.getDate() - 7);
				return _monday;
			},
			getPreviousSunday: function(Monday) {
				Monday = new Date(Monday.replace(/-/g, "/"))
				var _Sunday = new Date(Monday.getYear() + 1900, Monday.getMonth(), Monday.getDate() - 1);
				this.Sunday = _Sunday;
				return _Sunday;
			},
			getNextMonday: function(Monday) {
				Monday = new Date(Monday.replace(/-/g, "/"))
				var _monday = new Date(Monday.getYear() + 1900, Monday.getMonth(), Monday.getDate() + 7);
				return _monday;
			},
			getNextSunday: function(Monday) {
				Monday = new Date(Monday.replace(/-/g, "/"))
				var _Sunday = new Date(Monday.getYear() + 1900, Monday.getMonth(), Monday.getDate() + 13);
				this.Sunday = _Sunday;
				return _Sunday;
			},
			getThisMonday:function(date){
				date= new Date(date.replace(/-/g, "/"));
				var week = date.getDay();
				var minus = week ? week - 1 : 6;
				date.setDate(date.getDate() - minus);
				var y = date.getFullYear();
				var m = date.getMonth() + 1;
				var d = date.getDate();
				return y + "-" + m + "-" + d;
			},
			getMonthDays:function(Monday,addMonth){
				addMonth = addMonth || 0;
				Monday = new Date(Monday.replace(/-/g, "/"));
				var monthStartDate = new Date(Monday.getYear() + 1900, Monday.getMonth()+addMonth, 1);
				var monthEndDate = new Date(Monday.getYear() + 1900, Monday.getMonth()+addMonth + 1, 1);
				var MonthDays = (monthEndDate - monthStartDate)/(1000 * 60 * 60 * 24);
				return MonthDays;
			},
			getMonthStart:function(Monday,addMonth){
				addMonth = addMonth || 0;
				Monday = new Date(Monday.replace(/-/g, "/"))
				var MonthStar = new Date(Monday.getYear() + 1900, Monday.getMonth()+addMonth, 1);
				return MonthStar;
			},
			getMonthEnd:function(Monday,addMonth){
				addMonth = addMonth || 0;
				var days = this.getMonthDays(Monday,addMonth)
				Monday = new Date(Monday.replace(/-/g, "/"))
				var MonthEnd = new Date(Monday.getYear() + 1900,Monday.getMonth()+addMonth, days);
				return MonthEnd;
			}
		};
	window.util_date = new util_date();
})(window);



/**
 * 封装公共方法
 */
(function(w){
	//IOS时间格式转为安卓时间格式
	function getAndroidDate(val){
		return val.replace(/\//g, "-")
	}

	/**
	 * status区分体验版/基础版/高级版：给予不同的提示
	 * 	高级版：223
	 * 	基础版：222
	 * 	体验版：221
	 */
	function showLimitConfirm(res,option){
		var btn, msg;
		var rootPath=option.rootPath||'./'
		var payOrderNameStrategy=[
			{
				field:"product",
				name:"定制商品数量"
			},
			{
				field:"customer",
				name:"定制客户数量"
			},
			{
				field:"supplier",
				name:"定制供应商数量"
			},
			{
				field:"user",
				name:"定制员工数量"
			},
			{
				field:"depot",
				name:"定制仓库门店数量"
			}
		]
		switch (res.status) {
			case 221:
				btn=['返回','联系客服','去升级'];
				msg='&nbsp;&nbsp;&nbsp;&nbsp;'+res.msg;
				mui.confirm(msg, '提示',btn, function (e) {
					if(e.index == 1){
						viewHandle.openWindow(rootPath+'message.html','message.html');
					}else if (e.index == 2) {
						var listSend = {};
						viewHandle.openWindow(rootPath+"version_comparison.html","version_comparison.html",JSON.stringify(listSend))
					}
				},'div');
				break;
			case 222:
				btn=['返回','联系客服','去定制'];
				msg='&nbsp;&nbsp;&nbsp;&nbsp;'+res.msg;
				mui.confirm(msg, '提示',btn, function (e) {
					if(e.index == 1){
						viewHandle.openWindow(rootPath+'message.html','message.html');
					}else if (e.index == 2) {
						var listSend = {};
						var payOrder = payOrderNameStrategy.find(function(v){
							return v.field === option.payOrderNameStrategy
						})
						listSend.payOrderName = payOrder.name;
						viewHandle.openWindow(rootPath+'VIPService.html','VIPService.html',JSON.stringify(listSend))
					}
				},'div');
				break;
			case 223:
				btn=['返回','联系客服'];
				msg='&nbsp;&nbsp;&nbsp;&nbsp;'+res.msg;
				mui.confirm(msg, '提示',btn, function (e) {
					if(e.index == 1){
						viewHandle.openWindow(rootPath+'message.html','message.html');
					}
				},'div');
				break;
			default:
				mui.toast(res.msg);
		}
	}

	/**
	 * 打印权限判断提示
	 */
	function showLimitPrint(option){
		var rootPath=option.rootPath||'./'
		var btnArray=['返回','联系客服','去升级'];
		mui.confirm('体验版无打印权限，请升级基础版!', '提示',btnArray, function(e){
			if(e.index == 1) {
				viewHandle.openWindow(rootPath+'message.html','message.html');
			}
			else if(e.index == 2){
				var listSend = {};
				viewHandle.openWindow(rootPath+"version_comparison.html","version_comparison.html",JSON.stringify(listSend))
			}
		},'div');
	}

	/**
	 *	判断假但是不包括0
	 */
	function isFalseNotZero(info){
		return info||info===0
	}
	//格式化指定时间
	function getMyCurData(timestamp){
		var time = new Date(parseInt(timestamp));
		var y = time.getFullYear();
		var m = time.getMonth()+1;
		var d = time.getDate();
		var h = time.getHours();
		var mm = time.getMinutes();
		var s = time.getSeconds();
		var ms = time.getMilliseconds()
		return y+''+checkNum(m)+''+checkNum(d)+''+checkNum(h)+''+checkNum(mm)+''+checkNum(s) + '' + checkNum(ms);
	}
	//处理时间
	function checkNum(num){
		if(num<10){
			return "0"+num
		}else{
			return num
		}
	}
	/**
	 * 生成订单号
	 */
	function getOrderSn(){
		let time = new Date().getTime();
		time=getMyCurData(time)
			console.log(time)
		let rand = Math.floor(Math.random()*9+1)
		return time+''+rand
	}

	/**
	 * 显示loading 注意plus准备是否完成
	 * @param message 消息
	 * @param style?
	 * @return {WaitingObj}  .close 可关闭这个loading
	 */
	function showLoading(message, style){
		return plus.nativeUI.showWaiting(message || 'loading...',style)
	}

	/**
	 * 关闭所有loading
	 */
	function hideLoading(){
		plus.nativeUI.closeWaiting()
	}

	/**
	 * 跳转到微信客服
	 */
	function openWXKF(){
		mui.plusReady(function (){
			$comm.showLoading()
			plus.webview.create(
				'https://work.weixin.qq.com/kfid/kfcaec3b54242952432',
				'wxkf', {render:'always'}
			)
			setTimeout(function (){
				$comm.hideLoading()
			},2000)
		})
	}

	/**
	 * Android权限查询
	 */
	function requestAndroidPermission(permissionID) {
		return new Promise((resolve, reject) => {
				mui.plusReady(()=>{
					plus.android.requestPermissions(
						[permissionID], // 理论上支持多个权限同时查询，但实际上本函数封装只处理了一个权限的情况。有需要的可自行扩展封装
						function(resultObj) {
							var result = 0;
							for (var i = 0; i < resultObj.granted.length; i++) {
								var grantedPermission = resultObj.granted[i];
								console.log('已获取的权限：' + grantedPermission);
								result = 1
							}
							for (var i = 0; i < resultObj.deniedPresent.length; i++) {
								var deniedPresentPermission = resultObj.deniedPresent[i];
								console.log('拒绝本次申请的权限：' + deniedPresentPermission);
								result = 0
							}
							for (var i = 0; i < resultObj.deniedAlways.length; i++) {
								var deniedAlwaysPermission = resultObj.deniedAlways[i];
								console.log('永久拒绝申请的权限：' + deniedAlwaysPermission);
								result = -1
							}
							resolve(result);
							// 若所需权限被拒绝,则打开APP设置界面,可以在APP设置界面打开相应权限
							// if (result != 1) {
							// gotoAppPermissionSetting()
							// }
				    })
				},
				function(error) {
					console.log('申请权限错误：' + error.code + " = " + error.message);
					resolve({
						code: error.code,
						message: error.message
					});
				}
			);
		});
	}
    //获取备注图片的高亮
	function getRemarkHeightLight(){
		//获取备注图片
		if(JSON.parse(localStorage.getItem('orderRemarkTempImg')||'[]') && JSON.parse(localStorage.getItem('orderRemarkTempImg')||'[]').length>0){
			// $($('.change-qizhi').children().children()[0]).css('color','#4A7190')
			$('.uploadPic').css('color','#4A7190')
		}else{
			// $($('.change-qizhi').children().children()[0]).css('color','')
			$('.uploadPic').css('color','')
		}
	}
	//两数相减 精度
	function subtract(arg1,arg2){
		var r1,r2,m,n;
		try{r1=arg1.toString().split(".")[1].length}catch(e){r1=0}
		try{r2=arg2.toString().split(".")[1].length}catch(e){r2=0}
		m=Math.pow(10,Math.max(r1,r2));
		n=(r1>=r2)?r1:r2;
		return parseFloat(((arg1*m-arg2*m)/m).toFixed(n));
	}
	/// 添加上拉加载
	function PullUpLoading(keyClass, wrapperClass, fn, textClass){
		this.data = {
			num: 1,
			startY: '',
			moveEndY: '',
			_isLoading: false,
			isEntire: false,
		}
		let _this = this
		// 短时间多次触发禁止
		Object.defineProperty(this.data, 'isLoading',{
			set(val){
				if(val === false){
					setTimeout(function(){_this.data._isLoading = val; _this.changeText()},200)
				}else{
					_this.data._isLoading = val
				}
			},
			get(){
				return _this.data._isLoading
			}
		})
		this.keyClass = keyClass
		this.textClass = textClass
		this.wrapperClass = wrapperClass
		this.fn = fn
		this.init()

	}
	PullUpLoading.prototype = {
		init: function(){
			let _this = this
			document.querySelector(this.keyClass).addEventListener('touchstart', function(e) {
				_this.data.startY = e.changedTouches[0].pageY;
			})

			document.querySelector(this.keyClass).addEventListener('touchmove', function(e) {
				_this.data.moveEndY = e.changedTouches[0].pageY
				let Y = _this.data.startY - _this.data.moveEndY;
				if (Y > 80) {

					let scroll = mui(_this.wrapperClass).scroll();
					let scrollTop = scroll.y;

					if (scrollTop < scroll.maxScrollY) {
						_this.load()
					}

				}
			})
		},
		changeText: function(_text){
			let text = '上拉继续加载第' + this.data.num  + '页'
			if(this.data.isLoading){
				text = '正在加载第'+ this.data.num  +'页...'
			}else if(this.data.isEntire){
				text = '已完成全部加载'
			}
			_text && (text = _text)
			document.querySelector(this.textClass).innerHTML = text
		},
		reset: function(){
			this.data.name = 1
			this.data.isEntire = false
			this.data.isLoading = false
		},
		load: function(num, force){
			if(num) this.data.num = num
			let _this = this
			if (_this.data.isLoading !== true && (_this.data.isEntire === false || force)) {
				_this.data.isLoading = true
				_this.changeText()
				_this.fn(_this.data.num).then(function(e){
					_this.data.num++
					_this.data.isEntire = e.isEntire
					_this.data.isLoading = false
					// _this.changeText()
				}).catch(function(e){
					_this.data.isLoading = false
					_this.changeText(e.msg || '加载失败，上拉重试')
				})
			}
		}
	}

	// 安卓键盘收起事件
	function addKeyboardEventListenerAndroid(cbFn){
		let originHeight = window.innerHeight;
		window.addEventListener('resize',function (){
			let currHeight = window.innerHeight;
			if(currHeight < originHeight){
				//当软键盘弹起，在此处操作
				cbFn&&cbFn('show')
			}else{
				//当软键盘收起，在此处操作
				cbFn&&cbFn('hide')
			}
		})
	}
	// 判断变量是否存在
	function isExitsVariable(variableName) {
		try {
			if (typeof(eval(variableName)) == "undefined") {
				// console.log("已声明变量,但未初始化");
				return false;
			} else {
				// console.log("已声明变量,且已经初始化");
				return variableName;
			}
		} catch(e) {
			// console.log("未声明变量");
		}
		return false;
	}
	// 时间工具
	const DATE_UTIL = {
		/**
		 * 为当前时间字符串添加今天开始的秒数 并且适配ios
		 * @param d {string }
		 * @return {string}
		 */
		getTodayAfter(d) {
			if(mui.os.ios && typeof d === 'string'){
				d = d.replace(/-/g,'/')
			}
			if (typeof d === 'string' && d.indexOf(':') === -1) {
				d += ' 00:00:00'
			}
			return d
		},
		/**
		 * 为当前时间字符串添加今天结束的秒数 并且适配ios
		 * @param d {string }
		 * @return {string}
		 */
		getNextDayBefore(d) {
			if(mui.os.ios && typeof d === 'string'){
				d = d.replace(/-/g,'/')
			}
			if (typeof d === 'string' && d.indexOf(':') === -1) {
				d += ' 23:59:59'
			}
			return d
		},
		/**
		 * 为当前时间字符串添加当前的秒数 并且适配ios
		 * @param d {string }
		 * @return {string}
		 */
		addNowDayHMS(d) {
			if(mui.os.ios){
				d = d.replace(/-/g,'/')
			}
			let _d = new Date()
			let Hours = _d.getHours()
			let Minutes = _d.getMinutes()
			let Seconds = _d.getSeconds()
			if (Hours < 10) {
				Hours = '0' + Hours
			}
			if (Minutes < 10) {
				Minutes = '0' + Minutes
			}
			if (Seconds < 10) {
				Seconds = '0' + Seconds
			}
			if (typeof d === 'string' && d.indexOf(':') === -1) {
				d += ' '+Hours+':'+Minutes+':'+Seconds
			}
			return d
		},
		/**
		 * 删除时间字符串中的时分秒
		 * @param d {string }
		 * @return {string}
		 */
		deleteHMS(d) {
			if(mui.os.ios){
				d = d.replace(/-/g,'/')
			}

			if (typeof d === 'string' && d.indexOf(':') !== -1) {
				d = this.formatDate(new Date(d))
			}
			return d
		},
		/**
		 * 获取下一天
		 * @param d {string }
		 * @return {string}
		 */
		getNextDay(d) {
			let date = new Date(DATE_UTIL.getTodayAfter(d))
			date = +date + 1000 * 60 * 60 * 24;
			date = new Date(date);
			//return d;
			//格式化
			return DATE_UTIL.formatDate(date)
		},
		/**
		 * 获取前一天 上一个
		 * @param d {string }
		 * @return {string}
		 */
		getPrevtDay(d) {
			let date = new Date(DATE_UTIL.getTodayAfter(d))
			date = +date - 1000 * 60 * 60 * 24;
			date = new Date(date);

			return DATE_UTIL.formatDate(date)
		},
		/**
		 * 获取下周
		 * @param d {string }
		 * @return {string}
		 */
		getNextWeek(d) {
			let date = new Date(DATE_UTIL.getTodayAfter(d))
			date = +date + 1000 * 60 * 60 * 24 * 7;
			date = new Date(date);
			//格式化
			return DATE_UTIL.formatDate(date)
		},
		/**
		 * 获取前周 上一个
		 * @param d {string }
		 * @return {string}
		 */
		getPrevtWeek(d) {
			let date = new Date(DATE_UTIL.getTodayAfter(d))
			date = +date - 1000 * 60 * 60 * 24 * 7;
			date = new Date(date);

			return DATE_UTIL.formatDate(date)
		},
		/**
		 * 获取本周起始时间字符串
		 * @param d {string }
		 * @return {string[]}
		 */
		getWeek(d) {
			//起止日期数组
			let startStop = []
			//获取当前时间
			let currentDate = new Date(DATE_UTIL.getTodayAfter(d))
			//返回date是一周中的某一天
			let week = currentDate.getDay()
			//一天的毫秒数
			let millisecond = 1000 * 60 * 60 * 24
			//减去的天数
			let minusDay = week !== 0 ? week - 1 : 6
			//获得当前周的第一天
			let currentWeekDayOne = new Date(currentDate.getTime() - (millisecond * minusDay))
			//获得当前周的最后一天
			let currentWeekLastDay = new Date(currentWeekDayOne.getTime() + (millisecond * 6))
			//添加至数组
			startStop.push(DATE_UTIL.formatDate(currentWeekDayOne));
			startStop.push(DATE_UTIL.formatDate(currentWeekLastDay));

			return startStop;
		},
		// 获取下月
		getNextMonth(d) {
			d = new Date(DATE_UTIL.getTodayAfter(d))
			let month = d.getMonth()
			let year = d.getFullYear()
			if (month === 11) {
				month = 0;
				year++;
				d = new Date(year, month, 1);
			}else{
				month++;
				d = new Date(year, month, 1);
			}
			return DATE_UTIL.formatDate(d)
		},
		/**
		 * 获取前月字符串
		 * @param d {string }
		 * @return {string}
		 */
		getPrevtMonth(d) {
			let date = new Date(DATE_UTIL.getTodayAfter(d))
			let month = date.getMonth()
			let year = date.getFullYear()
			//年份为0代表,是本年的第一月,所以不能减
			if (month === 0) {
				month = 11; //月份为上年的最后月份
				year--; //年份减1
				date = new Date(year, month, 1);
			}else{
				//否则,只减去月份
				month--;
				date = new Date(year, month, 1);
			}
			return DATE_UTIL.formatDate(date)
		},
		/**
		 * 获取月的第一天和最后一天
		 * @param d {string}
		 * @return {string[]}
		 */
		getMonth(d) {
			//起止日期数组
			let startStop = []
			//获取当前时间
			let currentDate = new Date(DATE_UTIL.getTodayAfter(d))
			//获得当前月份0-11
			let currentMonth = currentDate.getMonth()
			//获得当前年份4位年
			let currentYear = currentDate.getFullYear()
			//获得月的第一天
			let priorMonthFirstDay = DATE_UTIL.getMonthFirstDay(currentYear, currentMonth)
			//获得的最后一天
			let priorMonthLastDay = new Date(priorMonthFirstDay.getFullYear(), priorMonthFirstDay.getMonth(), DATE_UTIL.getMonthDays(priorMonthFirstDay.getFullYear(), priorMonthFirstDay.getMonth()))
			//添加至数组
			startStop.push(DATE_UTIL.formatDate(priorMonthFirstDay));
			startStop.push(DATE_UTIL.formatDate(priorMonthLastDay));
			//返回
			return startStop;
		},
		/**
		 * 返回月的第一天Date类型
		 * @param year {number} 年
		 * @param month {number} 月
		 **/
		getMonthFirstDay(year, month) {
			return new Date(year, month, 1);
		},
		/**
		 * 获得该月的天数
		 * @param year {number} 年份
		 * @param month {number} 月份
		 * */
		getMonthDays(year, month) {
			//本月第一天 1-31
			var relativeDate = new Date(year, month, 1);
			//获得当前月份0-11
			var relativeMonth = relativeDate.getMonth();
			//获得当前年份4位年
			var relativeYear = relativeDate.getFullYear();

			//当为12月的时候年份需要加1
			//月份需要更新为0 也就是下一年的第一个月
			if (relativeMonth == 11) {
				relativeYear++;
				relativeMonth = 0;
			} else {
				//否则只是月份增加,以便求的下一月的第一天
				relativeMonth++;
			}
			//一天的毫秒数
			var millisecond = 1000 * 60 * 60 * 24;
			//下月的第一天
			var nextMonthDayOne = new Date(relativeYear, relativeMonth, 1);
			//返回得到上月的最后一天,也就是本月总天数
			return new Date(nextMonthDayOne.getTime() - millisecond).getDate();
		},
		/**
		 * 格式化 时间对象 -> 1999-09-01
		 * @param d {Date | string}时间对象
		 * @param hms {boolean} 需要时分秒
		 * @return {string}
		 */
		formatDate(d, hms) {
			if(!d){
				d = new Date()
			}
			if(typeof d === 'string'){
				d = new Date(DATE_UTIL.getTodayAfter(d))
			}
			let year = d.getFullYear()
			let month = d.getMonth() + 1
			let weekday = d.getDate()
			let hour = d.getHours();
			let minute = d.getMinutes();
			let second = d.getSeconds();
			if (hour < 10) {
				hour = '0' + hour
			}
			if (minute < 10) {
				minute = '0' + minute
			}
			if (second < 10) {
				second = '0' + second
			}

			if (month < 10) {
				month = '0' + month
			}
			if (weekday < 10) {
				weekday = '0' + weekday
			}
			if(hms){
				return (year + '-' + month + '-' + weekday) + ' ' + hour + ':' + minute + ':' + second
			}
			return (year + '-' + month + '-' + weekday)
		}

	}
	/**
	 * 根据单据信息计算支付状态
	 * @param noPay | debt_amt               未付金额
	 * @param allTotalPrice | order_amt      单据总金额
	 * @param moLing | rebate_amt            优惠
	 * @returns {number}  debt_status 0：未支付  1：部分付  2：全付
	 */
	function debtStatusHandle(noPay,allTotalPrice,moLing){

		// let debt_amt = Public.numToCur(noPay,systemSetting.price_decimals_setting,'price')   // 未付金额
		// let order_amt = Public.numToCur(allTotalPrice,systemSetting.price_decimals_setting,'price')  //单据总金额
		// let rebate_amt=Public.numToCur(moLing,systemSetting.price_decimals_setting,'price')  //抹零 优惠
		let debt_amt = Number(noPay)
		let order_amt = Number(allTotalPrice)
		let rebate_amt = Number(moLing)

		let debt_status=0

		if(
			order_amt ==0 ||                // 单据总金额 == 0
			order_amt == rebate_amt ||      // 单据总金额 == 优惠  单据总金额为正
			order_amt+rebate_amt == 0        // 单据总金额 == 优惠  单据总金额为负
		){
			debt_status=2
		}

		if(
			(order_amt == debt_amt ||                                       // 单据总金额 == 未支付
				order_amt == Number(rebate_amt + debt_amt).toFixed(5)   ||      // 单据总金额 == 未支付+优惠   单据总金额为正 （积分优惠当作实付）
				order_amt == Number(debt_amt - rebate_amt).toFixed(5))  &&      // 单据总金额 == 未支付-优惠   单据总金额为负
			(order_amt !=0 &&order_amt != rebate_amt && order_amt+rebate_amt !=0)   //这句可省略
		){
			//未支付
			debt_status = 0
		}else if(
			order_amt != debt_amt &&   // 未支付 != 单据总金额
			debt_amt != 0
		){
			//部分付
			debt_status = 1
		}else{
			//已结清
			debt_status = 2
		}
		return debt_status
	}
	w.$comm={
		getAndroidDate:getAndroidDate,
		showLimitConfirm:showLimitConfirm,
		showLimitPrint:showLimitPrint,
		isFalseNotZero:isFalseNotZero,
		getOrderSn:getOrderSn,
		showLoading:showLoading,
		hideLoading,hideLoading,
		openWXKF:openWXKF,
		requestAndroidPermission:requestAndroidPermission,
		getRemarkHeightLight:getRemarkHeightLight,
		subtract: subtract,
		PullUpLoading: PullUpLoading,
		addKeyboardEventListenerAndroid: addKeyboardEventListenerAndroid,
		isExitsVariable: isExitsVariable,
		DATE_UTIL: DATE_UTIL,
		debtStatusHandle:debtStatusHandle
	}
})(window)

// 全局id 范围 1~Number.MAX_SAFE_INTEGER-100000000 循环返回
;(function(){
	function CreateProductListId(key){
		this.key = key || 'ProductListId'
		return this
	}
	CreateProductListId.prototype = {
		set(value){
			localStorage[this.key] = String(value)
		},
		get(){
			return Number(localStorage[this.key])
		},
		getNext(){
			this.add()
			return this.get()
		},
		add(){
			let id = this.get()
			if(id > Number.MAX_SAFE_INTEGER-100000000 || isNaN(id)){
				id = 0
			}
			this.set(id + 1)
		}
	}
	window.productListIdUtil = new CreateProductListId()
})()

// 日志
;(function(){
	function saveLog(data){
		data = '[log-timestamp: ' + new Date().valueOf() + ']' + ':' + JSON.stringify(data) + '\n'
		mui.plusReady(function(){
			if(mui.os.ios === true){
				return
			}

			plus.io.requestFileSystem( plus.io.PUBLIC_DOWNLOADS, function( fs ) {

				fs.root.getFile('zhijianjxc.log',{create:true}, function(fileEntry){
					if(!fileEntry.isFile){
						return
					}

					fileEntry.file( function(file){
						function save(oldData){
							fileEntry.createWriter(function(writer){
								writer.write(oldData + data)
								// mui.toast('[log]路径:'+ file.fullPath)
							},function(e){
								console.error( "create writer failed: ", e )
							})
						}

						if(file.size > 1024 * 1024 * 3){
							save('')
							return
						}

						let fileReader = new plus.io.FileReader();
						fileReader.readAsText(file, 'utf-8');
						fileReader.onloadend = function(evt) {
							let oldData = evt.target.result
							save(oldData)
						}
					} , function (e) {
						console.error( "Open file failed: ", e )
					} );
				});

			}, function(e){
				console.error( "Request file system failed: " + e.message )
			})
		})
	}

	window.saveLog = saveLog
})()

// 全局过滤器
;(function(){
	if(!window.Vue){
		return console.error('全局过滤器需要先引入vue')
	}else{

		Vue.filter('showDebtAmt',
			/**
			 * 显示客户/供应商欠款显示为余额需要取反
			 * @param value {String}
			 * @param debt_amt_name_type {Number}
			 */
			function (value, debt_amt_name_type) {
				if (debt_amt_name_type === 1 || isNaN(Number(value))){
					return value
				}else{
					if (typeof value === 'number'){
						value = String(value)
					}
					if (!value) return ''
					if (value === '0') return  value
					if (debt_amt_name_type === 2){
						let nums = value.split('.')
						let isPlus = nums[0].indexOf('-') !== 0
						nums[0] = String(-Number(nums[0]))
						if(nums.length === 2 && nums[0] === '0' && Number(nums[1]) !==0 ){
							if(isPlus){
								nums[0] = '-0'
							}
						}
						return nums.join('.')
					}else{
						return value
					}
				}
			}
		)
	}
})()

var globalSystemMixin ={
	data:{
		company_level: localStorage.getItem("vipLevel"),
	},
	computed:{
		//批次、保质期
		productionBatchPower(production_batch_setting){
			return !!(globalSystemMixin.data.company_level == 1 && production_batch_setting == 1)
		}
	}
}

/**
 * 根据数量和时间单位换算时间戳
 * @param dateNum 计算时间数量
 * @param timeUnitName 时间单位
 * @returns {number} 时间戳
 */
function getTimeUnitDateTOStamp(dateNum,timeUnitName){
	let stampNum = 0
	let timeUnitInfo = ([
		{
			timeUnitName:"天",
			timeUnitRules:1000*60*60*24
		},
		{
			timeUnitName:"周",
			timeUnitRules:1000*60*60*7*24
		},
		{
			timeUnitName:"月",
			timeUnitRules:1000*60*60*30*24
		},
		{
			timeUnitName:"年",
			timeUnitRules:1000*60*60*365*24
		}
	]).find(function (timeUnitItem) {
		return timeUnitItem.timeUnitName == timeUnitName
	})
	if (timeUnitInfo){
		stampNum = Number(dateNum) * timeUnitInfo.timeUnitRules
	}
	return stampNum
}

/**
 * 根据时间戳和时间单位换算数量
 * @param stampNum 时间戳
 * @param timeUnitName 时间单位
 * @returns {number} 计算时间数量
 */
function getTimeUnitStampTODate(stampNum,timeUnitName){
	timeUnitName = timeUnitName || '天'
	let dateNum = 0
	let timeUnitInfo = ([
		{
			timeUnitName:"天",
			timeUnitRules:1000*60*60*24
		},
		{
			timeUnitName:"周",
			timeUnitRules:1000*60*60*7*24
		},
		{
			timeUnitName:"月",
			timeUnitRules:1000*60*60*30*24
		},
		{
			timeUnitName:"年",
			timeUnitRules:1000*60*60*365*24
		}
	]).find(function (timeUnitItem) {
		return timeUnitItem.timeUnitName == timeUnitName
	})
	if (timeUnitInfo&&stampNum!=undefined&&stampNum!=null&&stampNum!=''){
		dateNum = Math.round(Number(stampNum) / timeUnitInfo.timeUnitRules)
	}else{
		return ''
	}
	return dateNum
}
