mui('body').on('tap', '.muiBack', function() {
    viewHandle.back('close');
});
var batchLookVM = new Vue({
    el: "#batchLookVM",
    data:{
        args:'',
        productItem:'',

        //全行业参数
        size_show: Number(localStorage.getItem("size_show") || 1),
        color_show: Number(localStorage.getItem("color_show") || 1),
        unit_show: Number(localStorage.getItem("unit_show") || 0),
        origin_specification: localStorage.getItem("origin_specification") || 0,

        //到期日期
        finish_date:'',
        batchCount:0,
        systemSetting:JSON.parse(localStorage.systemSetting),
    },
    mounted:function (){
        mui.plusReady(function (){
            var arg=plus.webview.currentWebview().arg;
            if(arg){
                arg=JSON.parse(arg);
                batchLookVM.args=arg.args
                batchLookVM.productItem=arg.item
                batchLookVM.calculationFinishDate(batchLookVM.productItem)
                batchLookVM.calculationBatchCount(batchLookVM.productItem)
            }
        })
    },
    methods:{
        //计算到期日期
        calculationFinishDate(productItem){
            if(productItem.production_date_timestamp
                && productItem.expire_date_ms){
                this.finish_date=dateChange(getTimeUnitStampTODate(productItem.expire_date_ms,'天')
                    ,loadDates(productItem.production_date_timestamp),'+')
            }
        },
        calculationBatchCount(productItem){
            this.batchCount=numToCur(productItem.production_amount
                / (productItem.display_unit_ratio || 1), batchLookVM.systemSetting.amount_decimals_setting)
        }
    }
})