Vue.filter("time-format", function (time) {
	var date = new Date(time.replace(/-/g, "/"));
	var newDate = date.getFullYear() + "/" + ((date.getMonth() + 1) < 10 ? "0" + (date.getMonth() + 1) : (date.getMonth() + 1)) + "/" + (date.getDate() < 10 ? "0" + date.getDate() : date.getDate()) + " " + (date.getHours() < 10 ? "0" + date.getHours() : date.getHours()) + ":" + (date.getMinutes() < 10 ? "0" + date.getMinutes() : date.getMinutes());
	return newDate;
});

Vue.filter("searchTime-format", function (time) {
	var date = new Date(time);
	var newDate = date.getFullYear() + "/" + ((date.getMonth() + 1) < 10 ? "0" + (date.getMonth() + 1) : (date.getMonth() + 1)) + "/" + (date.getDate() < 10 ? "0" + date.getDate() : date.getDate());
	return newDate;
});
String.prototype.compare = function(str) {
	//不区分大小写
	if(this.toLowerCase().indexOf(str.toLowerCase()) >=0) {
		return true;
	} else {
		return false;
	}
}
// 默认供应商 id 与 name
let supplierDefault = null
let prevUserList = []

function addPrevUser(id, name) {
	prevUserList.push({name: name, id: id})
}

let isAutoDate = true; // 是否自动时间
let timerAutoDate =null // 自动跳天定时器
// 是否是单品copy的sn设置 null=>不是 否则是当前设置的 copy item
let isCopySnSet = null
// 缓存
let CACHE = {
	copyProductAttr:{},
	deliveryCompanyList:{}
}
// 当前顶部tab停留页面
let nowPage = 0
// localStorage命名空间
const localStorageKey = 'caigou|'
createAutoDateTimer()
createRemarkHeightLightTimer()
// 创建时间自动跳天定时器
function createAutoDateTimer(){
	if(!timerAutoDate){
		isAutoDate = true
		timerAutoDate = setInterval(function(){
			if(isAutoDate){
				let oldDate = new Date(indexVM.createDate) // indexVM.createDate // 2021-08-12
				let date = new Date()
				if(date.getDate() - oldDate.getDate() >= 1){
					indexVM.createDate = date.getFullYear() + "-" +
						((date.getMonth() + 1) < 10 ? ('0' + (date.getMonth() + 1)) : (date.getMonth() + 1)) + "-" +
						(date.getDate() < 10 ? ("0" + date.getDate()) : date.getDate());
				}
			}else{
				clearAutoDateTimer()
			}
		},1000)
	}
}
// 清除时间自动跳天定时器
function clearAutoDateTimer(){
	clearInterval(timerAutoDate)
	timerAutoDate = null
}

// 商品数量选择加载按钮刷新
window.onload=function(){
	let list=document.getElementsByClassName('tabItemContent')[0];
	if(list){
		mui('#confirmBtn').button('reset');
	}
}
function createRemarkHeightLightTimer(){
	setInterval(function (){
		$comm.getRemarkHeightLight()
	},1000)
}
window.addEventListener('remarkPic',function (e){
//获取备注图片高亮
	$comm.getRemarkHeightLight()
});
let productionBatchSettingItem = null
window.addEventListener('productionBatchSetting',function (e){
	let info=e.detail;
	if(productionBatchSettingItem){
		let tempArray = []
		tempArray.push({
			product_color_size_id: info.product_color_size_id,
			production_batch_id: info.production_batch_id || '',
			production_batch_number: info.production_batch_number,
			production_date_str: info.production_date_str,
			expire_date_ms: info.expire_date_ms
		})
		productionBatchSettingItem.product_production_batch_list = tempArray
		indexVM.$forceUpdate()
		indexVM.calculation();
	}
});
window.addEventListener('productionBatchSelect',function (e){
	let info=e.detail;
	if(e.detail.type=='caitui') {
		//采购退货非赠品
		mui.each(indexVM.selProductList, function (sel, product) {
			if (info.product.product_id == product.product_id && product.type === CONSTANT.SALES_RETURN_OF_GOODS) {
				mui.each(product.list, function (pro, item) {
					if (item.color_id == info.item.color_id && item.size_id == info.item.size_id) {
						let tempArray = []
						tempArray.push({
							product_color_size_id: info.product_color_size_id,
							production_batch_id: info.production_batch_id,
							production_batch_number: info.production_batch_number,
							production_date_str: info.production_date_str,
							expire_date_ms: info.expire_date_ms
						})
						indexVM.$set(indexVM.selProductList[sel].list[pro], 'product_production_batch_list', tempArray)
						indexVM.$set(indexVM.selProductList[sel].list[pro], 'production_amount', info.num)
						if(info.num>indexVM.selProductList[sel].list[pro].count){
							//更正数量
							indexVM.$set(indexVM.selProductList[sel].list[pro], 'count', info.num)
						}
						//及时更改
						localStorage.setItem("selProductList", JSON.stringify(indexVM.selProductList));
						sessionStorage.setItem("selProductList", JSON.stringify(indexVM.selProductList));
					}
				})
				return false
			}
		});
		indexVM.$forceUpdate()
	}else if(e.detail.type=='caituiCopyProduct'){
		//采购退货赠品
		for(var i in indexVM.productCopyAdd) {
			mui.each(indexVM.productCopyAdd[i], function (pro, item) {
				if (item.color_id == info.item.color_id && item.size_id == info.item.size_id && item.type === CONSTANT.SALES_RETURN_OF_GOODS&&info.indexCopy==pro) {
					let tempArray = []
					tempArray.push({
						product_color_size_id: info.product_color_size_id,
						production_batch_id: info.production_batch_id,
						production_batch_number: info.production_batch_number,
						production_date_str: info.production_date_str,
						expire_date_ms:info.expire_date_ms
					})
					indexVM.$set(indexVM.productCopyAdd[i][pro], 'product_production_batch_list', tempArray)
					indexVM.$set(indexVM.productCopyAdd[i][pro], 'production_amount', info.num)
					if(info.num>indexVM.productCopyAdd[i][pro].count){
						//更正数量
						indexVM.$set(indexVM.productCopyAdd[i][pro], 'count', info.num)
					}
				}
			})
		}
		indexVM.$forceUpdate()
	}
	indexVM.calculation();
})
window.addEventListener("orderHistoryReceivePaymentBack", function(e) { //历史页面收款返回
	historyVM.orderDetails.pay_status = historyVM.pay_status;
	if(e.detail.id === historyVM.historyId && mui('#purchaseHistory')[0].style.display !== 'none'){
		historyVM.loadOrderInfo(historyVM.historyId);
	}
	if (indexVM.lsDateFirst != '' || indexVM.lsDateLast != '') {
		searchEnterHistory(indexVM.lsDateFirst, indexVM.lsDateLast,'init');

	} else {
		var date = new Date(indexVM.historyTime);
		var searchTime = date.getFullYear() + "-" + ((date.getMonth() + 1) < 10 ? "0" + (date.getMonth() + 1) : (date.getMonth() + 1)) + "-" + (date.getDate() < 10 ? "0" + date.getDate() : date.getDate());

		searchEnterHistory(searchTime, searchTime,'init');
	}
	localStorage.setItem("caiPageAction",'supplierRefresh') //刷新页面参数
});
window.addEventListener('editRefresh',function(e){ //颜色尺码选择后刷新
	loadProductDtsInfo(e.detail.id);
	getGoodsMenu();
	kufang()
});
window.addEventListener("orderAdd",function(){
	getSelProductList()
});
window.addEventListener("set_back",function(e){ //未支持不同类型
	var product_id = e.detail.product_id,
		item = e.detail.item,
		product_sn_list = e.detail.product_sn_list;
	product_sn_list = _.compact(product_sn_list)
	if(mui.os.ios){
		mui.plusReady(function(){
			setTimeout(function(){
				snsAdd()
			},200)
		})
	}else{
		snsAdd()
	}
	function snsAdd(){
		if(isCopySnSet){
			isCopySnSet.product_sn_list = product_sn_list
			isCopySnSet = null
			return
		}
		sessionStorage.removeItem("selProductList");
		var selProductList = JSON.parse(localStorage.getItem("selProductList"));
		if (selProductList) {
			mui.each(selProductList,function(sel,product){
				if(product.product_id == product_id && (nowPage !== 0 || indexVM.currentInnerPage === product.type)){
					mui.each(product.list,function(pro,list){
						// if (!list.hasOwnProperty('type')) {
						// 	list.type = 0;
						// }
						if(list.color_id == item.color_id && list.size_id == item.size_id){
							return list.product_sn_list = product_sn_list || [];
							// list.product_sn_list = product_sn_list || [];
						}
					})
					return false
				}
			});
			indexVM.selProductList = [];
			indexVM.selProductList = selProductList;
			localStorage.selProductList = JSON.stringify(selProductList)
		}
	}
})
window.addEventListener('vipOrder',function(e){ //高级版开单
	vip_newCreateOrder()
});
window.addEventListener('supplerUpdate',function(e){ //供应商创建后刷新
	sessionStorage.setItem("selectedSupplier",e.detail.selectedSupplier);
    indexVM.accountBalance = 0;
    indexVM.selectedSupplier = e.detail.selectedSupplier
    indexVM.supplierName = e.detail.selectedSupplierName
    // getSupplier()
	addPrevUser(e.detail.selectedSupplier, e.detail.selectedSupplierName)
});
window.addEventListener('depotUpdate',function(e){
	var update_id = e.detail.id || '';
	if(update_id != ''){
		sessionStorage.setItem("selectedDepot",update_id)
	}
	getDepot()
});
window.addEventListener("supplierRefresh",function(e){ //供应商创建刷新(全局)
	sessionStorage.removeItem("selectedSupplier");
	localStorage.removeItem("caiPageAction");
	indexVM.accountBalance = 'default';
	getSupplier()
});
window.addEventListener("draftBack",function(e){
	if(e.detail.formType == 'draft'){
		if (indexVM.cgDateFirst != '' || indexVM.cgDateLast != '') {
			searchEnterDraft(indexVM.cgDateFirst, indexVM.cgDateLast, 'init');
		} else {
			var date = new Date(indexVM.draftTime);
			var searchTime = date.getFullYear() + "-" + ((date.getMonth() + 1) < 10 ? "0" + (date.getMonth() + 1) : (date.getMonth() + 1)) + "-" + (date.getDate() < 10 ? "0" + date.getDate() : date.getDate());
			searchEnterDraft(searchTime, searchTime,'init');
		}
	}else{
		mui.each(indexVM.searchEnterDraftList,function(i,v){
			if(v.id == e.detail.id){
				if(indexVM.vipLevel !=1){
					indexVM.searchEnterDraftList.splice(i,1)
				}else{
					if(!e.detail.backType){
						v.all_draft_used_amount = v.all_draft_amount
					}else{
						if(v.all_draft_used_amount == 0){
							v.all_draft_used_amount = 1
						}else{
							if(v.all_draft_used_amount == 0){
								v.all_draft_used_amount = 1 //模拟数据
							}else{
								v.all_draft_used_amount -=1 //模拟数据
							}
						}
					}
				}
				return false
			}
		})
	}
});
// copyProductListBySales
window.addEventListener('copyProductListBySales', function(event) {
	mui('#commodityInto').slider().gotoItem(0);
	var selProductList = event.detail.selProductList
	indexVM.productCopyAdd = event.detail.productListInnerCopy || {}
	//更新 采购与退货状态
	selProductList.map(function(item){
		item.list.map(function(item){
			item.ordertype = item.type
		})
	})
	console.debug('xiao', selProductList)
	var depot_id = event.detail.depot_id
	localStorage.setItem("selStatus", '0')
	localStorage.setItem('selProductList', JSON.stringify(selProductList))
	sessionStorage.setItem("selectedDepot", depot_id)
	indexVM.saveProductCopyToLocalStorage()
	getSelProductList()
	clearAutoDateTimer()
});
// copyProductListByStockWranList
window.addEventListener('copyProductListByStockWranList', function(event) {
	mui('#commodityInto').slider().gotoItem(0);
	var selProductList = event.detail.selProductList
	//更新 采购与退货状态
	// selProductList.map(function(item){
	// 	item.list.map(function(item){
	// 		item.ordertype = 0
	// 	})
	// })
	console.debug('copyProductListByStockWranList', selProductList) // debug
	var depot_id = event.detail.depot_id
	localStorage.setItem("selStatus", '0')
	localStorage.setItem('selProductList', JSON.stringify(selProductList))
	indexVM.productCopyAdd = {}
	indexVM.saveProductCopyToLocalStorage()
	sessionStorage.setItem("selectedDepot", depot_id)
	getSelProductList()
});
// 更新销售历史序列号
window.addEventListener('updateSN', function () {
	console.debug('触发updateSN监听')
	historyVM.loadOrderInfo(historyVM.historyId)
})
// 更新赠品列表
window.addEventListener('deleteProductCopy', function (e) {
	indexVM.deleteProductCopyItem(e.detail.key)
})
function defaultParameters(){
	getDepot()
	getUser()
	var messageNum = localStorage.getItem("messageNum") || 0;
	if(messageNum && messageNum >0){
		$(".showPoint").html(messageNum)
	}else{
		$(".showPoint").removeClass("showPoint")
	}
}
//获取当前日期
function loadNowDate(type) {
	var myDate = new Date();
	var Y = myDate.getFullYear()
	var M = (myDate.getMonth() + 1);
	var D = myDate.getDate();

	M >= 10 ? M = M : M = 0 + "" + M;
	D >= 10 ? D = D : D = 0 + "" + D;

	if (type == 1) {
		return Y + '-' + M + '-' + D;
	} else if (type == 2) {
		return Y + '-' + M + '-' + '01';
	}
}
//获取当前时间前三月
function loadBeforeMarchDate(type) {
	var myDate = new Date();
	var Y = myDate.getFullYear();
	var M = (myDate.getMonth() + 1);
	var D = myDate.getDate();
	if(M - 3>=0){
		M-=3
	}else{
		Y-=1;
		M=12 - (3-M)
	}
	M >= 10 ? M = M : M = 0 + "" + M;
	D >= 10 ? D = D : D = 0 + "" + D;

	if (type == 1) {
		return Y + '-' + M + '-' + D;
	} else if (type == 2) {
		return Y + '-' + M + '-' + '01';
	}
}
//格式化指定时间
function getMyData(val){
	var d = new Date(val);
	d = new Date(d);
	var year = d.getFullYear();
	var mon = d.getMonth()+1;
	var day = d.getDate();
	var s = year+"-"+(mon<10?('0'+mon):mon)+"-"+(day<10?('0'+day):day);
	return(s);
}
var dikou_amt = false,keyList = [];

//处理 copy 后 时间被修改 恢复当前时分秒
var isDateCopy;

function getKeyList(){
	mui.ajax(severUrl + "scm/productother/dataGrid.json", {
		async:false,
		data: {
		},
		headers: {
			'Content-Type': 'application/x-www-form-urlencoded'
		},
		xhrFields: {
			withCredentials: true
		},
		dataType: 'json',//服务器返回json格式数据
		type: 'post',//HTTP请求类型
		timeout: 10000,//超时时间设置为10秒；
		success: function (res) {
			if(res.success){
				keyList = res.data.list;
			}else if (res.status == 10101 || res.status == 10102) {
				logOut(res.msg)
			}
		}
	});
}
getPrintCodeText()
function getPrintCodeText(){
	var systemSetting=JSON.parse(localStorage.systemSetting)
	var vipLevel=localStorage.getItem("vipLevel")
	if(vipLevel == 1 && systemSetting.sn_setting == 1){
		mui("#printBarcode")[0].innerText='打印序列号'
	}else{
		mui("#printBarcode")[0].innerText='打印条码'
	}
}
var simpleQryTime = 0;//跳转
var indexVM = new Vue({
	el: '#indexVM',
	components: {
		'banner': httpVueLoader('components/v-components/Banner.vue')
	},
	data: {
		systemSetting:JSON.parse(localStorage.systemSetting),
		list: [],
		originalList: [],
		productList: [],
		totalPage: 0,
		lastPageSize: 0,
		page: 0,
		getSwitch: true,
		searchMsg: "",
		searchList: [],
		searchEnterHistoryList: [],
		showWarn: false,
		searchEnterDraftList: [],
		searchPinHistoryList: [],
		searchPinDraftList: [],
		selectedDepot: '',
		selectedSupplier: '',
		selectedBuyer: '',
		depotList: [],
		buyerList: [],
		userList:[],
		supplierList: [],
		historyId:'',
		historyTime: '',
		draftTime: '',
		todayDate: '',
		remark: '',
		selProductList: [],
		totalPrice: 0,
		totalPriceOld: 0,
		editTotalPrice:0,
        reconTotal:0,
		totalDiscount: 0,
		totalAmount: 0,
		totalAmountOld: 0,
		lsTotalPrice: 0,
		lsTotalAmount: 0,
		billCount:0,
		cgTotalPrice: 0,
		cgTotalAmount: 0,
		createDate: '',
		lsDateFirst: '',
		lsDateLast: '',
		cgDateFirst: loadBeforeMarchDate(1),
		cgDateLast: '',
		realname: '',
		moLing: 0,
		itl: '',
		isLogin: false,
		pageTabId: 'present',
		pay_status: 1,//1为现金、2为支付宝、3为微信，默认为1
		account_id:'', //支付账户
		ScgTotalPrice: 0,
		ScgTotalAmount: 0,
		money: 0,
		zfb: 0,
		wx: 0,
		card: 0,
		qt: 0,
		// 欠款
		all_debt_amt: 0,
		option_id: document.getElementsByTagName("select")[0].value,
		loadNowDate: loadNowDate(1),
		depotName: '',
		supplierName: '',
		// truePay: 0,
		// noPay: 0,
		truePay: '',
		noPay: '',
		isEnter: false,
		isPay: true,
		deliveryType: 0,
		deliveryStatus: 1,
		deliveryName: '自提',
		deliveryStatusName: '已收',
		deliveryDate: loadNowDate(1),
		companyName: '',
		keyList: keyList,
        status: 0,
		//消息显示
		messageShow: localStorage.getItem("qryType") || 0,
		messageNum: localStorage.getItem("messageNum") || 0,
		//全行业参数
		size_show: localStorage.getItem("size_show") || 1,
		color_show: localStorage.getItem("color_show") || 1,
		unit_show: localStorage.getItem("unit_show") || 0,
		origin_specification: localStorage.getItem("origin_specification") || 0,
		logistics_number:sessionStorage.getItem("logistics_number") || '', //快递单号
		industryName:'综合',
		consignee_address:'',
		expenseName:'', //费用名称
		expense:0, //费用金额
		expenseId:0, //历史费用ID
		expenseDegression:0, //费用成本
        expenseList:[],
		his_click:'', //历史列表点击
		draft_click: '', //订单列表点击
		//结算账户查询
		accountList:[],
		orderInfoList:[],
		vipLevel:localStorage.getItem("vipLevel"),
		accountBalance:'default', //欠款
		truePayFirst:true, //帮助抵扣处理
		//权限相关
		positionName:false,
		stockManager:false,
		purchaseManager:false,
		companySetIndustry:true,
		labelPprinter:false,
		faAccount:true,
		is_advanced:0,
		company_name:'',
		company_id:'',
		user_id:'',
		jifenshow:false,
		bindDepot:-1,
		//--------------------
		//筛选操作
		searchHistoryListAll:[],
		his_search_show:false,
		his_search:'',
		timeSearchType:'D',
		qry_depot:-1,
		qry_delivery_status:-1,
		qry_pay_status:-1,
		qry_print_type_status: -1,
		his_pay_status:[
			{type:-1,name:"所有"},
			{type:0,name:"全欠"},
			{type:1,name:"部分欠款"},
			{type:2,name:"已结清"},
		],
		his_delivery_status:[
			{type:-1,name:"所有"},
			{type:0,name:"未收"},
			{type:1,name:"已收"},
		],
		his_print_status: [
			{type:-1,name:"所有"},
			{type:0,name:"未打印"},
			{type:1,name:"已打印"},
		],
		his_category_data: { //操作参数记录
			depot_show: 1,
			depot_id: -1,
			pay_show:1,
			pay_type:-1,
			delivery_show:1,
			delivery_type:-1,
			print_show: 0,
			print_type: -1,
		},
		//管理员选择采购员
		allUserList: [],
		orderUserId: '',
		//订单
		searchDraftListAll:[],
		draft_search:'',
		draftTimeSearchType:'D',
		draft_qry_depot:-1,
		draft_used_type:3, //1和2
		draft_used_amount_list:[ //后端未有参数定义(两个参数对比)，前端自定义
			{type:-1,name:"所有"},
			{type:0,name:"已入库"},
			{type:1,name:"未入库"},
			{type:2,name:"部分入库"},
		],
		draft_category_data: { //操作参数记录
			depot_show: 1,
			depot_id: -1,
			used_amount_show:1,
			used_type:3
		},
		// 分页数据
		paginationData: {
			history:{
				totalRow:0, //总条数
				pageSize:20, //分页大小
				totalPage:0, //总页码
				currentPage:1, //当前页码
			},
			draft:{
				totalRow:0, //总条数
				pageSize:20, //分页大小
				totalPage:0, //总页码
				currentPage:1, //当前页码
			},
		},
		// 历史分页合计
		historyTotal: {
			all_order_product_amount: undefined,
			all_price: undefined,
		},
		// 根据单品复制的商品
		productCopyAdd: {
			// key: id+colorId+sizeId value: [item] //item 当前单品复制的商品列表
		},
		show: {
			productListTab: false, // false 销|true 退
		},
		style: {
			// 列表tab头样式
			productTab: {
				color: '#fff',
				backgroundColor: '#FFD392',
				borderBottom: '1px solid #f1f1f1',
				borderRadius: '6px 6px 0 6px',
				height: '30px',
				lineHeight: '18px'
			},
			activeTab: {
				color: '#FFB03B',
				backgroundColor: '#fff',
				border: '1px solid #f1f1f1',
				borderRadius: '6px 6px 0 0',
				borderBottom: '0',
				marginRight: '0'
			}
		},
		statistics: {
			// 主商品数量合计（行数）
			oldXiao: 0,
			oldTui: 0,
			// 主商品数量+特殊商品数量合计（行数）
			xiao: 0,
			tui:0,
			// 主商品数量合计 （主单位数量）
			oldXiao_: 0,
			oldTui_: 0,
			// 主商品数量+特殊商品数量合计 （主单位数量）
			xiao_: 0,
			tui_:0,

		},
		// 快递公司数据
		deliveryCompanyList: [],
		deliveryCompany: '',
		order_flag: 5,
		lookOtherCXOrder:false,//查看他人销售采购单的权限
	},
	watch: {
		orderUserId: function() { //采购员选择
			var _this = this;
			mui.each(_this.allUserList, function(i, v) {
				if (v.id == _this.orderUserId) {
					_this.realname = v.realname
				}
			})
		},
		selectedDepot: {
			handler: function (newVal,oldVal) {
				if (newVal == "创建") {
					var listSend ={}
					listSend.fromType = 'caigou';
					viewHandle.openWindow( 'warehouseSettings.html','warehouseSettings.html',JSON.stringify(listSend));
				} else {
					for (var i = 0, len = this.depotList.length; i < len; i++) {
						if (this.depotList[i].id == newVal) {
							this.depotName = this.depotList[i].name;
						}
					}
					getSelProductList('selectedDepot');
					if (newVal !== oldVal) {
						getUser()
						sessionStorage.setItem("selectedDepot", newVal)
					}
				}
			},
		},
		createDate: {//开单时间
			handler: function (val) {
				var time=getMyData(val);
				var nowTime=loadNowDate(1);
				if(time>nowTime){
					mui.toast('开单时间大于当前时间')
				}

			},
		},
        truePay: function (val) {
            if (this.totalPrice > 0) {
                this.noPay = numToCur(this.totalPrice - (Number(this.truePay) + Number(this.moLing)),indexVM.systemSetting.price_decimals_setting,'price')
            } else {
                this.noPay = numToCur(this.totalPrice - (Number(this.truePay) - Number(this.moLing)),indexVM.systemSetting.price_decimals_setting,'price')
            }
			if (this.truePay!=0){
				$(".quanQian").css('background-color','#556890')
			}else if (this.truePay==0 && this.totalPrice !=0 && (this.totalPrice != this.moLing && Math.abs(this.totalPrice) !=this.moLing)){
				$(".quanQian").css('background-color','gainsboro')
			}
			if(this.accountBalance != 'default' && this.truePayFirst){
				if(Number(this.accountBalance) <0){
					if(this.editTotalPrice > 0){
						if(-Number(this.accountBalance) >= Number(this.editTotalPrice)){
							this.truePay = 0
						}else{
							this.truePay = numToCur(Number(this.accountBalance) + Number(this.editTotalPrice),indexVM.systemSetting.price_decimals_setting,'price')
						}
					}
				}else{
					if(this.editTotalPrice < 0){
						if(Number(this.accountBalance) >= -Number(this.editTotalPrice)){
							this.truePay = 0
						}else{
							this.truePay = numToCur(Number(this.accountBalance) + Number(this.editTotalPrice),indexVM.systemSetting.price_decimals_setting,'price')
						}
					}
				}
			}
			if((!mui("#truePay")[0] || mui("#truePay")[0].value != '') && (Number(this.truePay) == 0 || isNaN(this.truePay))){
				this.truePay = '0.00'
			}
        },
        moLing: function (val) {
            if (this.totalPrice > 0) {
                this.truePay = numToCur(this.totalPrice - (Number(this.noPay) + Number(this.moLing)),indexVM.systemSetting.price_decimals_setting,'price')
            } else {
                this.truePay = numToCur(this.totalPrice - (Number(this.noPay) - Number(this.moLing)),indexVM.systemSetting.price_decimals_setting,'price')
            }
        },
        noPay: function (val) {
            if (this.totalPrice > 0) {
                this.truePay = numToCur(this.totalPrice - (Number(this.noPay) + Number(this.moLing)),indexVM.systemSetting.price_decimals_setting,'price')
            } else {
                this.truePay = numToCur(this.totalPrice - (Number(this.noPay) - Number(this.moLing)),indexVM.systemSetting.price_decimals_setting,'price')
            }
			if((!mui("#noPay")[0] || mui("#noPay")[0].value != '') && (Number(this.noPay) == 0 || isNaN(this.noPay))){
				this.noPay = '0.00'
			}
        },
		deliveryType: function (val) {
			var arr = ['自提', '快递', '物流', '送货'];
			this.deliveryName = arr[val];
			var isActive = document.getElementById("mySwitch").classList.contains("mui-active");
			if(this.deliveryType !=0 && this.consignee_address ==''){
				if(!isActive){
					mui("#mySwitch").switch().toggle();
					$("#mySwitch .mui-switch-handle").css("transform","translate(43px, 0px)")
				}
			}else{
				if(isActive){
					mui("#mySwitch").switch().toggle();
					$("#mySwitch .mui-switch-handle").css("transform","translate(0px, 0px)")
				}
			}
		},
		logistics_number:function(val){
			var isActive = document.getElementById("mySwitch").classList.contains("mui-active");
			if(val != ''){
				if(isActive){
					mui("#mySwitch").switch().toggle();
					$("#mySwitch .mui-switch-handle").css("transform","translate(0px, 0px)")
				}
			}else{
				if(!isActive){
					mui("#mySwitch").switch().toggle();
					$("#mySwitch .mui-switch-handle").css("transform","translate(43px, 0px)")
				}
			}
		},
		changePayType: function (payType) {
			this.pay_status = payType;
		},
		'show.productListTab': function(value){
			if(value){
				this.style.productTab.borderRadius = '6px 6px 6px 0'
				this.style.productTab.marginLeft = '8px'
				this.style.productTab.marginRight = '0'
			}else{
				this.style.productTab.borderRadius = '6px 6px 0 6px'
				this.style.productTab.marginRight = '8px'
				this.style.productTab.marginLeft = '0'
			}
		}
	},
	computed:{
		sns_show:function(){
			var _this = this;
			return function(snsArr,count){
				if(_this.vipLevel == 1 && _this.systemSetting.sn_setting == 1){
					if(snsArr && snsArr.length > 0 && count != '' && count > 0 && snsArr.length == count){
						return '<span class="iconfont icon-tubiaozhizuomoban1111111 font-orange"></span>'
					}else{
						return '<span class="iconfont icon-tubiaozhizuomoban1111111 font-gray"></span>'
					}
				}else{
					return ''
				}
			}
		},
		//批次的图标展示
		production_batch_show:function (productionBatchArr,count){
			var _this=this;
			return function(productionBatchArr,count){
				if(_this.vipLevel == 1 && _this.systemSetting.production_batch_setting == 1){
					if(productionBatchArr && productionBatchArr.length > 0 && count != '' && count > 0 && productionBatchArr[0].production_batch_number!=''){
						return '<span class="iconfont icon-xiaomutongBN- font-white-back-orange"></span>'
					}else{
						return '<span class="iconfont icon-xiaomutongBN- font-white-back-gray"></span>'
					}
				}else{
					return ''
				}
			}
		},
		isProductCopy: function() {
			for (const productCopyAddKey in this.productCopyAdd) {
				if(this.productCopyAdd.hasOwnProperty(productCopyAddKey)){
					if(this.productCopyAdd[productCopyAddKey].length !== 0){
						return true
					}
				}
			}
			return false
		},
		currentInnerPage: function() {
			return this.show.productListTab ? CONSTANT.PURCHASE_RETURN_OF_GOODS : CONSTANT.PURCHASE
		},
		productXiaoList: function() {
			return this.selProductList.filter(function(item){
				return item.type === CONSTANT.PURCHASE
			})
		},
		productTuiList: function() {
			return this.selProductList.filter(function(item){
				return item.type === CONSTANT.PURCHASE_RETURN_OF_GOODS
			})
		},
	},
	methods: {
		setColorC: function(v) {
			indexVM.order_flag=v
		},
		snsSet:function(item,product,e,type){
			if(type === 'copyProduct'){
				isCopySnSet = item
			}
			// 点击序列号图标放大
			e.target.style.fontSize='18px'
			setTimeout(function(){
				e.target.style.fontSize='16px'
			},80)
			var listSend = {
				item:item,
				product:product,
				args:{
					depot_id:indexVM.selectedDepot,
					parentPage:'cai',
					product_sn_list_not: this.get_product_sn_list_not(item)
				}
			};
			viewHandle.openWindow("sns_set.html","sns_set.html",JSON.stringify(listSend))
		},
		productionBatchSet:function(item,product,e,type,index){
			let isCopy=false
			if(type.includes('CopyProduct')){
				isCopy = true
			}
			// 点击序列号图标放大
			e.target.style.fontSize='18px'
			setTimeout(function(){
				e.target.style.fontSize='16px'
			},80)
			productionBatchSettingItem = item
			if(!type.includes('caitui')){
				var listSend = {
					item:item,
					product:product,
					depot_id:indexVM.selectedDepot,
					type:type,
					index:index
				};
				console.log(JSON.stringify(listSend))
				viewHandle.openWindow("production_batch_set.html","production_batch_set.html",JSON.stringify(listSend))
			}else{
			//	采购退货
				var listSend = {
					item:item,
					product:product,
					depot_id:indexVM.selectedDepot,
					type:type,
					copyProductList:isCopy?indexVM.getProductCopyList(item.__pid__):indexVM.getProductCopyList(item.__id__),
					productList:indexVM.selProductList,
					index:index,
					unitChooseRatio:item.unitChooseRatio?item.unitChooseRatio:product.unitChooseRatio,
					unitChooseName:item.unitChooseName?item.unitChooseName:product.unitChooseName,
					unitChooseId:item.unitChooseId?item.unitChooseId:product.unitChooseId,
				};
				console.log(JSON.stringify(listSend))
				viewHandle.openWindow("production_batch_select.html","production_batch_select.html",JSON.stringify(listSend))
			}

		},
		/**
		 * 获取当前单品的其他单品sn list
		 */
		get_product_sn_list_not(item){
			let snList = []
			this.selProductList.forEach(function (product){
				if((product.product_id === item.product_id || product.product_id === item.id) && (product.type === item.type || product.type === item.ordertype)){
					product.list.forEach(function (listItem){
						if (listItem !== item &&
							listItem.color_id === item.color_id && listItem.size_id === item.size_id &&
							Array.isArray(listItem.product_sn_list) &&
							listItem.product_sn_list.length > 0){
							snList.push.apply(snList,listItem.product_sn_list)
						}
					})
				}
			})
			for (const productCopyAddKey in this.productCopyAdd) {
				if(this.productCopyAdd.hasOwnProperty(productCopyAddKey)){
					let list = this.productCopyAdd[productCopyAddKey]
					list.forEach(function (listItem){
						if (listItem !== item &&
							listItem.color_id === item.color_id && listItem.size_id === item.size_id &&
							(item.type === listItem.type || item.ordertype === listItem.type) &&
							Array.isArray(listItem.product_sn_list) &&
							listItem.product_sn_list.length > 0){
							snList.push.apply(snList,listItem.product_sn_list)
						}
					})
				}
			}
			return snList
		},
		getPurview :function(){//获取权限
			var _this = this;
			mui.ajax(severUrl + "sso/user/qryOp.json", {
				data : {
					id : ''
				},
				headers : {
					'Content-Type' : 'application/x-www-form-urlencoded'
				},
				xhrFields : {
					withCredentials : true
				},
				dataType : 'json',
				type : 'post',
				timeout : 30000,
				async : false,
				success : function(res) {
					if (res.success) {
						// var position_name = res.data.position_name;
						_this.company_name = res.data.company_name;
						_this.company_id = res.data.company_id;
						_this.bindDepot = res.data.manage_depot_id;
						_this.user_id = res.data.id;

						if( _this.company_id!='Gr9A'){
							$("#go_shopping").css('display', 'block');
						}

						var code = res.data.position,permission = code.permission;
						// positionName控制 所有 权限
						// 除了A11_1_O A11_1_E 还有ORDER_QRY_ALL ORDER_QRY_ALL是 查看他人采购单销售单 权限
						// 9.7 ly
						if (permission.indexOf('A11_1_O') >= 0 || permission.indexOf('A11_1_E') >= 0) {
							_this.positionName = true
						} else {
							_this.positionName = false
						}
						console.log('caigou positionName:'+_this.positionName)
						permission.indexOf('A4_1_E') >=0?_this.stockManager = true:_this.stockManager = false;
						permission.indexOf('FA_ACC') >=0?_this.faAccount = true:_this.faAccount = false;
						permission.indexOf('LOOK_PURCHASE') >=0?_this.purchaseManager = true:_this.purchaseManager = false;
						permission.indexOf('ONLY_PRINT') >=0?_this.labelPprinter = true:_this.labelPprinter = false;
						permission.indexOf('ORDER_QRY_ALL') >= 0 ?_this.lookOtherCXOrder=true:_this.lookOtherCXOrder=false;
						'RFRk,eYVo,y0oa,mVbc,pqrB,pDAY,CCP2,Oo4T,LfTY'.indexOf(_this.company_id) >=0?_this.jifenshow = true:_this.jifenshow=false
						_this.companySetIndustry = res.data.company_set_industry;
					}else if (res.status == 10101 || res.status == 10102) {
						logOut(res.msg)
					}

				}
			});
		},
        searchProduct: function(){
            if(this.searchMsg==null || this.searchMsg==''){
                indexVM.list=[];
                mui("#popover").popover("hide");
                $("#hidePopover").css('display','none');
            }else{
            	clearTimeout(simpleQryTime);
				simpleQryTime = setTimeout(function(){
					mui.ajax(severUrl + "scm/product/dataGridSimple", {
						data: {
							keyword:indexVM.searchMsg
						},
						headers: {
							'Content-Type': 'application/x-www-form-urlencoded'
						},
						xhrFields: {
							withCredentials: true
						},
						dataType: 'json',
						type: 'post',
						timeout: 10000,
						success: function (res) {
							if (res.success) {
								indexVM.list = [];
								if(indexVM.searchMsg !='' && indexVM.searchMsg !=null){
									indexVM.list = indexVM.list.concat(res.data.list);
									if(indexVM.list.length<=0){
										var list={"model":"去创建商品？"};
										indexVM.list.push(list);
									}
									mui("#popover").popover("show");
									$("#hidePopover").css('display','block');
									mui('#hidePopover').scroll().scrollTo(0, 0, 0)
								}
							}else{
								mui.toast(res.msg);
							}
						}
					});
				},300)
            }
        },
		clearUser:function(){
			this.supplierName='';
			this.searchUser();
		},
        qryCustomerBySimple:function(type){
            clearTimeout(simpleQryTime)
            simpleQryTime = setTimeout(function () {
                mui.ajax(severUrl + "crm/customer/dataGridSimple.json", {
                    data: {
                        keyword:indexVM.supplierName,
                        type: 0,
                        qryType: -1,
                        rows: 20,
                        page: 1
                    },
                    headers: {
                        'Content-Type': 'application/x-www-form-urlencoded'
                    },
                    xhrFields: {
                        withCredentials: true
                    },
                    dataType: 'json',
                    type: 'post',
                    timeout: 10000,
                    success: function (res) {
                        if (res.success) {
                            indexVM.userList = res.data.list;
                            prevUserList = res.data.list;
                            var list={"name":"新建供应商？","telephone":""};
                            if(type == 'search'){
                                indexVM.userList.push(list);
                            }else{
                                indexVM.userList.unshift(list);
                            }
                            mui("#hideUserPopover").scroll().scrollTo(0,0,0);
                            mui("#userPopover").popover("show");
                            $("#hideUserPopover").css('display','block');
                        }
                    }
                });
            },150)
        },
        searchUser:function(){
            var _this = this;
            _this.userList=[];
            if(_this.supplierName == null || _this.supplierName == ''){
                _this.qryCustomerBySimple()
            }else{
                _this.qryCustomerBySimple("search")
            }
        },
		calculation: function () {
			var count = 0;
			var totalPrice = 0;
			this.statistics.oldXiao = 0
			this.statistics.oldTui = 0
			this.statistics.oldXiao_ = 0
			this.statistics.oldTui_ = 0
			let statistics = this.statistics
			mui.each(this.selProductList, function (index1, product) {
				if (product.depot_id == indexVM.selectedDepot) {
					mui.each(product.list, function (index2, value) {
						var ratio = 1;
						if(product.unitChooseRatio){
							ratio = product.unitChooseRatio
						}
						if (value.ordertype == 0) {
							// totalPrice += Number(value.count * product.amt * ratio);
							totalPrice += Number(value.count * product.amt);
							let _count = Number(value.count * ratio);
							count += _count
							statistics.oldXiao_ += _count
							_count&&statistics.oldXiao++
						} else {
							// totalPrice -=  Number(value.count * product.amt * ratio);
							totalPrice -=  Number(value.count * product.amt);
							let _count = Number(value.count * ratio);
							count -= _count
							statistics.oldTui_ += _count
							_count&&statistics.oldTui++
						}
					});
				}
			});
			this.totalAmount =numToCur(count,indexVM.systemSetting.amount_decimals_setting);
			this.totalPrice = numToCur(Number(totalPrice) + Number(this.expense),indexVM.systemSetting.price_decimals_setting,'price');
			if (this.totalPrice < 0) {
				this.truePay = numToCur(Number(this.totalPrice) + Number(this.moLing),indexVM.systemSetting.price_decimals_setting,'price');
				this.editTotalPrice = numToCur(Number(this.totalPrice) + Number(this.moLing),indexVM.systemSetting.price_decimals_setting,'price');
			} else {
				this.truePay = numToCur(Number(this.totalPrice) - Number(this.moLing),indexVM.systemSetting.price_decimals_setting,'price');
				this.editTotalPrice = numToCur(Number(this.totalPrice) - Number(this.moLing),indexVM.systemSetting.price_decimals_setting,'price');
			}
			this.totalPriceOld = this.totalPrice
			this.totalAmountOld = this.totalAmount
			let temp = this.truePay
			this.truePay = new Date().valueOf()
			this.truePay = temp
			this.calculationAddCopyList()
		},
		calculationls: function () {
			var _this = this;
			var count = 0;
			var totalPrice = 0;
			var num = 0;

			mui.each(this.searchEnterHistoryList, function (index, order) {
				if(order.submit_status !=2){
					// 计算数量
					if (order.in_amount > 0 && order.out_amount == 0) {
						num += order.in_amount;
					}

					if (order.out_amount > 0 && order.in_amount == 0) {
						num += -(order.out_amount);
					}

					if (order.out_amount > 0 && order.in_amount > 0) {
						num += order.in_amount + -(order.out_amount);
					}

					// 计算总额
					if (order.order_amt >= 0) {
						totalPrice += order.order_amt - order.rebate_amt;
					} else {
						totalPrice += order.order_amt + order.rebate_amt;
					}

					count++
				}
			});

			this.billCount=count
			this.lsTotalAmount = num;
			this.lsTotalPrice = numToCur(totalPrice,indexVM.systemSetting.price_decimals_setting,'price');
		},
		calculationcg: function () {
			var count = 0;
			var totalPrice = 0;
			mui.each(this.searchEnterDraftList, function (index, order) {
				if (order.out_amount > 0) {
					count += order.in_amount + (-order.out_amount);
				} else {
					count += (order.in_amount + order.out_amount);
				}

				totalPrice += (order.order_amt - order.rebate_amt);
			});
			this.cgTotalAmount = count;
			this.cgTotalPrice = numToCur(totalPrice,indexVM.systemSetting.price_decimals_setting,'price');
		},
		sortModel: function (product) {
			var commonPurchaseList = JSON.parse(localStorage.getItem("commonPurchaseList"));
			if (commonPurchaseList) {
				mui.each(commonPurchaseList, function (index, pdu) {
					if (pdu.model == product.model) {
						pdu.count++;
						return false;
					}
					if (index == commonPurchaseList.length - 1) {
						commonPurchaseList.push({ model: product.model, count: 1 });
					}
				});
			} else {
				commonPurchaseList = [];
				commonPurchaseList.push({ model: product.model, count: 1 });
			}
			commonPurchaseList.sort(function (a, b) {
				return a.count - b.count
			})

			localStorage.setItem("commonPurchaseList", JSON.stringify(commonPurchaseList));
		},
		// 返回当前单品的copy list
		getProductCopyList(key){
			// console.log(key)
			return this.productCopyAdd[key] || []
		},
		// 复制单品
		copyProduct(product, item){
			const _this = this
			// 查询商品属性（单位 颜色 尺码）
			if(CACHE.copyProductAttr[product.id]) {
				cb(CACHE.copyProductAttr[product.id])
			}else{
				$API.product.qryColorSizeUnitByProductIds({product_ids: product.id}).then(function(e){
					e.data.forEach(function(i){
						CACHE.copyProductAttr[i.product_id] = i
					})
					cb(CACHE.copyProductAttr[product.id])
				}).catch(function(e){
					mui.toast('数据查询失败！')
					console.log(e)
				})
			}
			function cb(copyProductAttr){
				const key = item.__id__
				let value = {
					id: product.id,
					model: product.model,
					name: product.name,
					color_id: item.color_id,
					color_name: item.color_name,
					size_id: item.size_id,
					size_name: item.size_name,
					product_sn_list: [],
					count: item.count, //默认数量
					type: item.ordertype, // 0进 1退
					price: numToCur(product.sale_price,_this.systemSetting.price_decimals_setting,'price'), //默认价格
					unitChooseId: product.unitChooseId || null, //: "L0W6" // id 选择的单位id
					unitChooseName: product.unitChooseName || null, //: "箱" // 选择的单位
					unitChooseRatio: product.unitChooseRatio || 1, //: 1 // 比例
					unitMinName: product.unitMinName || null, //: "箱" // 主单位
					unitData: getAttrList(copyProductAttr.units||[],'unit'), // 单位列表
					__id__: productListIdUtil.getNext(),
					__pid__: item.__id__,
					colorList: getAttrList(copyProductAttr.colors||[], 'color'),
					sizeList: getAttrList(copyProductAttr.sizes||[], 'size'),
					remark: product.remark || '',
					isRemarkShow: false,
					//批次相关的信息 不带进去
					// product_production_batch_list:item.product_production_batch_list||[]
				}
				value.originPrice = value.price / value.unitChooseRatio
				if(_this.productCopyAdd[key]){
					_this.productCopyAdd[key].push(value)
				}else{
					_this.$set(_this.productCopyAdd,key,[value])
				}
				_this.calculationAddCopyList()
				function getAttrList(attrList, key){
					if(key === 'unit'){
						return attrList.map(function(i){
							return {
								id: i.assist_unit,
								name: i.assist_unit_name,
								ratio: i.ratio || 1,
								isMain: !i.id // 主单位没有 id
							}
						})
					}
					return attrList.map(function(i){
						return {
							id: i[key+'_id'],
							name: i[key+'_name']
						}
					})
				}
			}
		},
		// 删除复制的单品
		deleteCopyProductItem(item){
			const _this = this
			mui.confirm('确认删除此条采购信息吗？', '提示', ['取消', '确定'], function(e) {
				if (e.index === 1) {
					const key = item.__pid__
					_this.productCopyAdd[key] = _this.productCopyAdd[key].filter(function(_item){return _item !== item})
					_this.calculationAddCopyList()
				}
			}, 'div')
		},
		// 计算复制的商品统计
		calculationAddCopyList(){
			let num = 0 // 价格
			let count = 0 // 主单位数量
			let statistics = this.statistics
			statistics.xiao = 0
			statistics.tui = 0
			statistics.xiao_ = 0
			statistics.tui_ = 0
			for (const productCopyAddKey in this.productCopyAdd) {
				if(this.productCopyAdd.hasOwnProperty(productCopyAddKey)){
					this.productCopyAdd[productCopyAddKey].map(function(item){
						let _count = Number(item.count) * item.unitChooseRatio
						if(item.type === 0){
							statistics.xiao++
							count += _count
							num += Number(item.count) * Number(item.price)
							statistics.xiao_+= _count
						}else{
							statistics.tui++
							count +=  -_count
							num += -(Number(item.count) * Number(item.price))
							statistics.tui_ += _count
						}
					})
				}
			}
			statistics.xiao_ = numToCur(Number(this.statistics.oldXiao_) + statistics.xiao_, indexVM.systemSetting.amount_decimals_setting)
			statistics.tui_ = numToCur(Number(this.statistics.oldTui_) + statistics.tui_, indexVM.systemSetting.amount_decimals_setting)
			this.totalPrice = numToCur(Number(this.totalPriceOld) + num, indexVM.systemSetting.price_decimals_setting,
				'price');
			this.totalAmount = numToCur(Number(this.totalAmountOld) + count, indexVM.systemSetting.amount_decimals_setting)
			this.statistics.xiao += this.statistics.oldXiao
			this.statistics.tui += this.statistics.oldTui

			if (this.totalPrice < 0) {
				this.truePay = numToCur(Number(this.totalPrice) + Number(this.moLing), indexVM.systemSetting.price_decimals_setting,
					'price');
				this.editTotalPrice = numToCur(Number(this.totalPrice) + Number(this.moLing), indexVM.systemSetting.price_decimals_setting,
					'price');
			} else {
				this.truePay = numToCur(Number(this.totalPrice) - Number(this.moLing), indexVM.systemSetting
					.price_decimals_setting, 'price');
				this.editTotalPrice = numToCur(Number(this.totalPrice) - Number(this.moLing), indexVM.systemSetting
					.price_decimals_setting, 'price');
			}

			this.saveProductCopyToLocalStorage()
		},
		// 更改复制单品单位
		changeCopyProductItemUnit(item){
			// item.unitChooseId;
			let unit = item.unitData.find(function(_item){return item.unitChooseId === _item.id})
			item.unitChooseName = unit.name
			item.unitChooseRatio = unit.ratio
			item.price = numToCur(item.originPrice * item.unitChooseRatio,this.systemSetting.price_decimals_setting,'price')
			//更改单位的同时要清空批次信息
			item.product_production_batch_list=[]
			item.production_amount=0
			this.calculationAddCopyList()
		},
		/**
		 * 修改特殊商品颜色尺码
		 * @param item 特殊商品
		 * @param key color || size
		 */
		changeCopyProductItemAttr(item, key){
			item[key + '_name'] = item[key + 'List'].find(function(i){return i.id === item[key + '_id']}).name
			item.product_production_batch_list=[]
		},
		/**
		 * 修改单品备注显示状态
		 * @param item
		 */
		changeRemarkShow(item){
			this.$set(item, 'isRemarkShow', !item.isRemarkShow)
			// item.isRemarkShow = !item.isRemarkShow
		},
		// 删除所有copy 或指定 key下所有copy
		deleteProductCopyItem(key){
			if(key){
				this.productCopyAdd[key] = []
			}else{
				this.productCopyAdd = {}
				// 统计清 0
				this.statistics = {
					// 主商品数量合计（行数）
					oldXiao: 0,
					oldTui: 0,
					// 主商品数量+特殊商品数量合计（行数）
					xiao: 0,
					tui:0,
					// 主商品数量合计 （主单位数量）
					oldXiao_: 0,
					oldTui_: 0,
					// 主商品数量+特殊商品数量合计 （主单位数量）
					xiao_: 0,
					tui_:0
				}
				this.totalPriceOld = 0
				this.totalAmountOld = 0
				this.totalPrice = 0
				this.totalAmount = 0
			}
			this.calculationAddCopyList()
		},
		// 在localStorage中保存copy 数据
		saveProductCopyToLocalStorage(){
			let key = localStorageKey + 'productCopy'
			let _this = this
			setTimeout(function(){
				localStorage.setItem(key, JSON.stringify(_this.productCopyAdd))
			},100)
		},
		// 动画高度切换 - 动画开始时执行 动画结束后移除高度
		slideHeight(el, type) {
			if(type === 'xiao' && this.show.productListTab === false || type === 'tui' && this.show.productListTab === true){
				this.slideProductListBox.style.height = el.clientHeight + 'px'
			}
		},
		slideAutoHeight() {this.slideProductListBox.style.height = 'auto'},
		// getMinusStyle(item){
		// 	let textLength = String(item.count).length
		// 	return {
		// 		display: 'inline-block',
		// 		left:  'calc(50% - 3px - ' + textLength*4 + 'px)'
		// 	}
		// },
		// 删除非特殊商品
		deleteProductItem(item, product){
			var btn = ["取消", "确定"];
			mui.confirm('确认删除此条采购信息吗？', '提示', btn, function(e) {
				if (e.index === 1) {
					let product_id = product.id;
					let dex = 0

					item.count = 0

					$.each(product.list, function(index, value) {
						dex += Number(value.count);
					})
					if (dex === 0) {
						indexVM.selProductList = indexVM.selProductList.filter(function(i){ return i !== product})
						let AB_list = JSON.parse(localStorage.getItem("AB_price"));
						mui.each(AB_list, function(i, v) {
							if (product_id == v.product_id && indexVM.selectedDepot == v.depot_id) {
								AB_list.splice(i, 1)
							}
						});
						localStorage.setItem("AB_price", JSON.stringify(AB_list))
					}

					console.log(indexVM.selProductList);
					localStorage.setItem("selProductList", JSON.stringify(indexVM.selProductList));
					indexVM.deleteProductCopyItem(item.__id__)
					indexVM.calculation();
				}
			}, 'div');
		},
		// 打开列表商品详情
		openColorSize(item){
			sessionStorage.setItem("selectedDepot", this.selectedDepot);
			sessionStorage.setItem("selectedSupplier", this.selectedSupplier);
			sessionStorage.setItem("selectedBuyer", this.selectedBuyer);
			sessionStorage.setItem("createDate", this.createDate);
			sessionStorage.setItem("logistics_number", this.logistics_number);
			sessionStorage.setItem("remark", this.remark);
			sessionStorage.setItem("type", 1);
			localStorage.setItem("selProductList", JSON.stringify(this.selProductList));
			localStorage.setItem("pageTabId", "present");
			var id = item.id;
			var name = item.name;
			var model = item.model;
			var purchase_price = item.purchase_price;
			var sale_price = item.sale_price;
			var product ={product_id : '',name:'',purchase_price:'',model:'',id:'',product_name:'',sale_price:'',status:''};
			product.product_id = id;
			product.name = name;
			product.purchase_price = purchase_price;
			product.model = model;
			product.id = id;
			product.product_name = name;
			product.sale_price = sale_price;
			product.status=1;
			product.type = this.currentInnerPage
			goodsMenuVM.selectedType = this.currentInnerPage
			let newAmt = item.amt
			sessionStorage.setItem("product", JSON.stringify(product));
			loadProductDtsInfo(id);
			getGoodsMenu(newAmt);
			kufang();
			mui('#caigouDom')[0].style.display = "none";
			mui('#goodsColorSize')[0].style.display = "block";
		},
		verifySupplierName() {
			console.log('关闭供应商列表， 客户名称：', this.supplierName)
			let name = this.supplierName
			let id = this.selectedSupplier
			const temp = prevUserList.find(function(e){return e.name === name && e.id === id})
			if(!temp || (temp.id !== this.selectedSupplier)){
				this.selectedSupplier = supplierDefault.id || '';
				this.supplierName = supplierDefault.name || '';
				console.log('供应商名称异常， 修改为供应商名称：', this.supplierName)
			}
		},
	},
	created: function () {
        if(mui.os.ios == true && sessionStorage.getItem("reloadPage") == 1){
            sessionStorage.removeItem("reloadPage");
            location.reload();
        }
		FastClick.attach(document.getElementById("goodsColorSize"));
		var selProductList=JSON.parse(localStorage.getItem("selProductList"));
		if(!selProductList){
			sessionStorage.removeItem("AB_purchase")
		}else if(selProductList.length <=0){
			sessionStorage.removeItem("AB_purchase")
		}
		this.pageTabId = localStorage.getItem("pageTabId") || "present";
		sessionStorage.removeItem("pageTabId");
        sessionStorage.setItem("pageCode",'1');
		// 获取保存的单品拷贝
		let  productCopyAdd = JSON.parse(localStorage.getItem(localStorageKey + 'productCopy'))
		if(productCopyAdd){
			this.productCopyAdd = productCopyAdd
		}
	},
	mounted: function () {
	    var _this = this;
		setListener();
		localStorage.removeItem("caiPageAction");
        var src=localStorage.getItem("shopPicture");
        $(".myUserImgBox").attr("src",src);
        var winHeight = localStorage.getItem("pageHeight");  //获取当前页面高度
        $("body").css('height',localStorage.getItem("pageHeight"));
        $(window).resize(function () {
            var u = navigator.userAgent, app = navigator.appVersion;
            var isAndroid = u.indexOf('Android') > -1 || u.indexOf('Linux') > -1; //android终端或者uc浏览器
            var isiOS = !!u.match(/\(i[^;]+;( U;)? CPU.+Mac OS X/); //ios终端
            if(isAndroid){
                var thisHeight = $(this).height();
                if ( winHeight - thisHeight > 140 ) {
                    $(".focusHidden").hide();
                } else {
                    $(".focusHidden").show();
                    $("input").blur();
                    $("textarea").blur();
                }
            }else if(isiOS){

            }
        })
		mui.plusReady(function(){
			getIndexMenu();
			getKeyList();
            _this.getPurview()
			getAccountList()
		})

		// 区域滚动加载 容器
		this.scroll = {
			history: mui('#historyContent').scroll(),
			draft: mui('#draftContent').scroll()
		}
		mui('#historyContent')[0].addEventListener('scroll', function() {
			scrollUpLoading('history')
		});
		mui('#draftContent')[0].addEventListener('scroll', function() {
			scrollUpLoading('draft')
		});
		// 开单列表盒子
		this.slideProductListBox = document.querySelector("#slide-productList-box")
		// 获取快递公司列表信息
		function getDeliveryCompanyList(){
			$API.delivery.getDeliveryCompanyList().then(function(res){
				CACHE.deliveryCompanyList = res.data
				_this.deliveryCompanyList = CACHE.deliveryCompanyList
				setTimeout(function(){
					if(historyVM){
						historyVM.deliveryCompanyList = CACHE.deliveryCompanyList
					}
				},1000)
			}).catch(function(){
				mui.confirm('获取快递公司列表失败', '错误', ['取消', "确定"], function(e) {
					if (e.index === 1) {
						getDeliveryCompanyList()
					}
				}, 'div');
			})
		}
		//获取备注图片高亮
		$comm.getRemarkHeightLight()
		mui.plusReady(getDeliveryCompanyList)
	}
});
mui('#caigouDom').on('tap', '#phUpload', function() {
    mui('#picture').popover('toggle');
	$("#pictureHide").show()
});
mui('#picture').on('tap', '.photo', function() {
//downWgt()
	var type = this.dataset.phototype;
	if(mui.os.android === true && (type === 'photoAlbum' || type === 'photograph')){
		plus.android.requestPermissions(['android.permission.READ_EXTERNAL_STORAGE'], function(e){
			if(e.granted.length>0){	//权限被允许
				//调用依赖获取定位权限的代码
				open()
			}
		}, function(e){
		});
	}else{
		open()
	}
	function open(){
		switch (type) {
			case "photoAlbum":
				clickGallery();
				break;
			case "photograph":
				clickCamera();
				break;
		}
	}
	$("#pictureHide").hide();
	mui('#picture').popover('toggle')
});
document.ontouchstart=function(){
	if($(":focus").length>0){
		if($(":focus")[0].className.includes("lsDateFirst")){
			$(".lsDateLast").focus()
		}
		if($(":focus")[0].className.includes("lsDateLast")){
			$(".lsDateFirst").focus()
		}
		if($(":focus")[0].className.includes("cgDateFirst")){
			$(".cgDateLast").focus()
		}
		if($(":focus")[0].className.includes("cgDateLast")){
			$(".cgDateFirst").focus()
		}
	}
}
function getDirection(localUrl,name,fileName){
	var img=document.createElement("img");
	if(mui.os.ios){
		prepareUpload(localUrl,name,type,fileName,'',img.width)
	}else{
		var direction = 0;
		img.src = localUrl;
		img.onload = function(){
			EXIF.getData(img,function(){
				direction = EXIF.getTag(this, 'Orientation');
				switch (direction) {
					case 1: //0
						break;
					case 6: //->90
						direction = 90;
						break;
					case 8: //<-90
						direction = 270;
						break;
					case 3: //180
						direction = 180;
						break;
				}
				prepareUpload(localUrl,name,fileName,direction,img.width)
			})
		}
	}
}
//发送照片
function clickGallery() {
	plus.gallery.pick(function(path) {
		var name = (new Date()).valueOf()
		var fileName = 'gallery';
		getDirection(path,name,fileName)
	}, function(err) {

	});
}
// 拍照
function clickCamera() {
	var cmr = plus.camera.getCamera();
	var res = cmr.supportedImageResolutions[0]; //分辨率
	var fmt = cmr.supportedImageFormats[0]; //拍照格式
	cmr.captureImage(function(path) {
		plus.io.resolveLocalFileSystemURL(path, function(entry) {
			var name = (new Date()).valueOf()
			var localUrl = entry.toLocalURL();
			var fileName = 'camera';
			getDirection(localUrl,name,fileName)
		});
	}, function(err) {
		// console.error("拍照失败：" + err.message);
	}, {
		index: 1,
		optimize:false //自动调整图片方向
	});
}
function prepareUpload(localUrl,name,fileName,direction,width){
	var data = {};
	if(width && Number(width) <1080){
		data = {
			src: localUrl,
			dst: "_doc/zhijianjxc/"+fileName+"/"+ name+".jpg",
			quality: 40,
			rotate:direction || 0,
			overwrite: true
		}
	}else{
		data = {
			src: localUrl,
			dst: "_doc/zhijianjxc/"+fileName+"/"+ name+".jpg",
			quality: 40,
			width:'1080px',
			height:'1080px',
			rotate:direction || 0,
			overwrite: true
		}
	}
	plus.zip.compressImage(data, function(e) {
		$("#phUpload").attr('src',e.target);
		viewHandle.fileUpload(e.target,null,null,null,'head')
	}, function(err) {
		mui.toast("图片压缩失败,无法上传！")
	});
}
//商品列表
mui(".typeSwitch").on('tap', '.productList', function () {
    sessionStorage.setItem("selectedDepot", indexVM.selectedDepot);/*depotList仓库列表中的id*/
    sessionStorage.setItem("selectedSupplier", indexVM.selectedSupplier);
    sessionStorage.setItem("selectedBuyer", indexVM.selectedBuyer);
    sessionStorage.setItem("createDate", indexVM.createDate);
    sessionStorage.setItem("deliveryDate", indexVM.deliveryDate);
    sessionStorage.setItem("deliveryType", indexVM.deliveryType);
    sessionStorage.setItem("remark", indexVM.remark);
	localStorage.setItem("pageTabId", "present");
	sessionStorage.setItem("logistics_number", indexVM.logistics_number);
    sessionStorage.setItem("buyerName",indexVM.buyerName);
	localStorage.setItem("selProductList", JSON.stringify(indexVM.selProductList));
	var listSend = {
		selectedDepot:indexVM.selectedDepot,
		selectedType: indexVM.currentInnerPage
	};
	JumpPage.jump('pinProductList.html','pinProductList.html',()=>{
		viewHandle.viewFire("pinProductList.html",'selectedType', {selectedType: indexVM.show.productListTab === false? CONSTANT.PURCHASE : CONSTANT.PURCHASE_RETURN_OF_GOODS});
		viewHandle.viewFire("pinProductList.html",'depot',listSend);
	},'slide-in-right',200,listSend)
});
function getSelProductList(val,customer_id) {
    if(mui.os.ios){
        mui.plusReady(function(){
            setTimeout(function(){
                htmlRender()
            },200)
        })
    }else{
        htmlRender()
    }
    function htmlRender(){
        sessionStorage.removeItem("selProductList");
        var selProductList = JSON.parse(localStorage.getItem("selProductList"));
		var createDate = sessionStorage.getItem("createDate");
		var deliveryDate = sessionStorage.getItem("deliveryDate");
		var deliveryType = sessionStorage.getItem("deliveryType");
		var remark = sessionStorage.getItem("remark")
		var logistics_number = sessionStorage.getItem('logistics_number')
		var consignee_address = sessionStorage.getItem('consignee_address')
		var delivery_status = sessionStorage.getItem('delivery_status')
        if(val == 'history'){
			// isDateCopy = createDate
            indexVM.selectedDepot = sessionStorage.getItem("selectedDepot");
			indexVM.orderUserId = sessionStorage.getItem("create_id");
            //复制开单客户
            if(customer_id != sessionStorage.getItem('defaultCustomer')){
                getById(customer_id)
            }
        }
        if (selProductList) {
			var selType = localStorage.getItem("selStatus");
			if (selType != 1) {
				indexVM.selProductList = [];
			}
			if(val === 'selectedDepot'){
				for (var i = 0, len = selProductList.length; i < len; i++) {
					selProductList[i].depot_id = indexVM.selectedDepot
				}
			}
            indexVM.selProductList = selProductList;
            indexVM.calculation();
            indexVM.$nextTick(function () {
                mui('.mui-switch')['switch']();
            })

            // console.log(selProductList)
        }
		// if (selProductList) {
		// 	for (var i = 0, len = selProductList.length; i < len; i++) {
		// 		for (var j = 0, jen = selProductList[i].list.length; j < jen; j++) {
		// 			if (!selProductList[i].list[j].hasOwnProperty('ordertype')) {
		// 				selProductList[i].list[j].ordertype = 0;
		// 			}
		// 		}
		// 	}
		// 	// console.log(selProductList);
		// 	var selType = localStorage.getItem("selStatus");
		// 	if (selType != 1) {
		// 		indexVM.selProductList = [];
		// 		indexVM.selProductList = selProductList;
		// 	}
		// 	indexVM.calculation();
		// 	indexVM.$nextTick(function() {
		// 		mui('.mui-switch')['switch']();
		// 	})
		// }
		if (deliveryDate) {
			indexVM.deliveryDate = deliveryDate;
		}
        // if (createDate) {
        //     indexVM.createDate = createDate;
        // }
        // else {
        var date = createDate ? new Date($comm.DATE_UTIL.addNowDayHMS(createDate)) : new Date() ;
        // var date = new Date() ;
		indexVM.createDate = date.getFullYear() + "-" + ((date.getMonth() + 1) < 10 ? ('0' + (date.getMonth() + 1)) : (date.getMonth() +
			1)) + "-" + (date.getDate() < 10 ? ("0" + date.getDate()) : date.getDate());
		// }
		if(remark){indexVM.remark = remark}
		if(logistics_number){indexVM.logistics_number = logistics_number}
		if(consignee_address){indexVM.consignee_address = consignee_address}
		if(delivery_status){
			indexVM.deliveryStatus = delivery_status;
			setTimeout(function (){
				var isActive = document.getElementById("mySwitch").classList.contains("mui-active");
				console.debug(delivery_status)
				if (delivery_status === '0'){
					if (!isActive) {
						mui("#mySwitch").switch().toggle();
						$("#mySwitch .mui-switch-handle").css("transform", "translate(43px, 0px)")
					}
					indexVM.deliveryStatusName = '未收';
					console.debug(indexVM.deliveryStatusName,isActive,'0000')
				}else if(delivery_status === '1'){
					if (isActive) {
						mui("#mySwitch").switch().toggle();
						$("#mySwitch .mui-switch-handle").css("transform", "translate(0px, 0px)")
					}
					indexVM.deliveryStatusName = '已收';
					console.debug(indexVM.deliveryStatusName,isActive,'1111')
				}
			},10)//等待vue数据监听修改状态
		}
		console.debug({indexVM, deliveryType, logistics_number, consignee_address, delivery_status, remark,})
    }
}
function getIndexMenu() {
	getSupplier();
	getUser()
}
var user_info=[]
function getDepot(){
	mui.ajax(severUrl + "scm/depot/list.json", {
		data: {
		},
		headers: {
			'Content-Type': 'application/x-www-form-urlencoded'
		},
		xhrFields: {
			withCredentials: true
		},
		dataType: 'json',
		type: 'post',
		timeout: 10000,
		success: function (res) {
			if (res.success) {
				indexVM.depotList = res.data;
				sessionStorage.setItem("depotList", JSON.stringify(res.data));
				var selectedDepot = sessionStorage.getItem("selectedDepot");
				if (selectedDepot && selectedDepot!='undefined') {
					indexVM.selectedDepot = selectedDepot;
					sessionStorage.setItem("selectedDepot", indexVM.selectedDepot)
				} else if (res.data.length != 0) {
					indexVM.selectedDepot = res.data[0].id;
					sessionStorage.setItem("selectedDepot", indexVM.selectedDepot)
				}
				console.log("indexVM.selectedDepot", indexVM.selectedDepot)
				//走到这儿表示切换了仓库 需要清空所有的批次信息
				mui.each(indexVM.selProductList,function (index,item){
					item.list[0].product_production_batch_list=[]
					item.list[0].production_amount=0
				})
				for (var i in indexVM.productCopyAdd) {
					mui.each(indexVM.productCopyAdd[i], function (pro, item) {
						indexVM.$set(indexVM.productCopyAdd[i][pro], 'product_production_batch_list', [])
					})
				}
			}else if (res.status == 10101 || res.status == 10102) {
				logOut(res.msg)
			}

		}
	});
	var messageNum = localStorage.getItem("messageNum");
	if(messageNum && messageNum >0){
		$(".showPoint").html(messageNum)
	}else{
		$(".showPoint").hide()
	}
}
function getSupplier(id,name){
	mui.ajax(severUrl + "crm/customer/dataGridSimple.json", {
		data: {
			type: 0,
			qryType: -1,
			rows: 2,
			page: 1
		},
		headers: {
			'Content-Type': 'application/x-www-form-urlencoded'
		},
		xhrFields: {
			withCredentials: true
		},
		dataType: 'json',
		type: 'post',
		timeout: 10000,
		success: function (res) {
			if(res.success){
				indexVM.supplierList = res.data.list;
				sessionStorage.setItem("supplierList", JSON.stringify(res.data.list));
				var selectedSupplier = sessionStorage.getItem("selectedSupplier");
				if (selectedSupplier && selectedSupplier!='undefined') {
					indexVM.selectedSupplier = selectedSupplier;
					mui.each(indexVM.supplierList,function(i,v){
						if(v.id == indexVM.selectedSupplier){
							indexVM.supplierName = v.name;
							if(supplierDefault === null){
								supplierDefault = {
									name: indexVM.supplierName,
									id: indexVM.selectedSupplier
								}
							}
							return false
						}
					})
				} else if (res.data.list.length != 0) {
					indexVM.selectedSupplier = res.data.list[0].id;
					indexVM.supplierName = res.data.list[0].name;
					supplierDefault = {
						name: indexVM.supplierName,
						id: indexVM.selectedSupplier
					}
				}
			}else if (res.status == 10101 || res.status == 10102) {
				logOut(res.msg)
			}
		}
	});
}
function getUser(){
	mui.ajax(severUrl + "sso/user/qryOp.json", {
		data: {
			id: ""
		},
		headers: {
			'Content-Type': 'application/x-www-form-urlencoded'
		},
		xhrFields: {
			withCredentials: true
		},
		//async:false,
		dataType: 'json',
		type: 'post',
		timeout: 10000,
		success: function (res) {
			if(res.success){
				// if(typeof res.data=="undefined") return;
				user_info = res.data
				sessionStorage.setItem("realname", res.data.realname);
				if (indexVM.positionName || indexVM.lookOtherCXOrder) {
					getAllUser()
				}
				indexVM.realname = res.data.realname;
				indexVM.companyName = res.data.company_name;

				if(res.data.manage_depot_id != -1){
					document.getElementById('my_depot').disabled=true;
					sessionStorage.setItem("selectedDepot",res.data.manage_depot_id);
				}
				localStorage.setItem("bindDepot",res.data.manage_depot_id);
				getDepot();
				var industry = res.data.company_industry;
				mui.ajax(severUrl + "sso/industry/list.json", {
					data : {},
					headers : {
						'Content-Type' : 'application/x-www-form-urlencoded'
					},
					xhrFields : {
						withCredentials : true
					},
					dataType : 'json',
					type : 'post',
					timeout : 10000,
					success : function(res) {
						if (res.success) {
							if(industry !=undefined && industry !=''){
								mui.each(res.data, function (i, v) {
									if(v.id == industry){
										indexVM.industryName =v.name;
										return false;
									}
								});
							}else{
								indexVM.industryName = "综合";
							}
						}
					}
				});
			}else if (res.status == 10101 || res.status == 10102) {
				logOut(res.msg)
			}
		}
	});
}

function getAllUser() {
	mui.ajax(severUrl + "sso/user/dataAll.json", {
		data: {
			depot_id:indexVM.selectedDepot
		},
		headers: {
			'Content-Type': 'application/x-www-form-urlencoded'
		},
		xhrFields: {
			withCredentials: true
		},
		async: false,
		dataType: 'json',
		type: 'post',
		timeout: 10000,
		success: function(res) {
			if (res.msg) {
				indexVM.allUserList = res.data;
				indexVM.orderUserId = user_info.id;
			}
		}
	});
}

function getById(id){
	mui.ajax(severUrl + "crm/customer/qryOpSimple.json", {
		data: {
			id:id
		},
		headers: {
			'Content-Type': 'application/x-www-form-urlencoded'
		},
		xhrFields: {
			withCredentials: true
		},
		dataType: 'json',
		type: 'post',
		timeout: 10000,
		success: function(res) {
			if(res.success){
				var customer = res.data.customer;
				indexVM.selectedSupplier = id;
				indexVM.supplierName = customer.name;
				//indexVM.telePhone=customer.telephone
				customer.checked != 1?indexVM.accountBalance = numToCur(customer.arrears,indexVM.systemSetting.price_decimals_setting,'price'):indexVM.accountBalance = 'default';
			}else{
				if (res.status == 10101 || res.status == 10102) {
					logOut(res.msg)
				}else{
					indexVM.selectedSupplier = indexVM.supplierList[0].id || '';
					indexVM.supplierName = indexVM.supplierList[0].name || '';
					//indexVM.telePhone=customer_info[0].telephone
				}
			}
		}
	});
}

// 获取历史数据定时器
let getHistoryTimer = null
// 查询历史
function searchEnterHistory(start_date, end_date, type) {
	var data = timedifference(start_date, end_date);
	if(data > 92){
		mui.toast("时间范围不能大于三个月，请分段查询");
		return;
	}
	let count = 0
	if(type === 'init'){
		indexVM.searchHistoryListAll = [];
		indexVM.searchEnterHistoryList = [];
		indexVM.paginationData.history.currentPage = 1
		indexVM.paginationData.history.totalRow = 0
		indexVM.paginationData.history.totalPage = 20
		clearTimeout(getHistoryTimer) // 停止之前的查询操作
		getHistoryTimer = null
	}
	if(getHistoryTimer)return;
	if(type === 'turnPage'){
		indexVM.paginationData.history.currentPage++
	}
	mui('#dh')[0].style.display = "block";
	const  postData = {
		start_date: start_date,
		end_date: end_date,
		ordertype: 0,
		submit_status: -1,
		keyword: indexVM.his_search,
		depot_id: indexVM.his_category_data.depot_id != -1 ? indexVM.his_category_data.depot_id : '' ,
		delivery_status: indexVM.his_category_data.delivery_type != -1 ? indexVM.his_category_data.delivery_type : '',
		debt_status: indexVM.his_category_data.pay_type != -1 ? indexVM.his_category_data.pay_type : '',
		print_status: indexVM.his_category_data.print_type != -1 ? indexVM.his_category_data.print_type : '',
		rows: indexVM.paginationData.history.pageSize,
		page: indexVM.paginationData.history.currentPage
	}
	getHistoryTimer = setTimeout(get,4)
	function get(){
		mui.ajax(severUrl + "scm/order/dataGrid.json", {
			data: postData,
			headers: {
				'Content-Type': 'application/x-www-form-urlencoded'
			},
			xhrFields: {
				withCredentials: true
			},
			dataType: 'json',
			type: 'post',
			timeout: 10000,
			success: function (res) {
				indexVM.showWarn = false;
				if (res.success) {
					indexVM.his_click = '';
					indexVM.searchEnterHistoryList = indexVM.searchEnterHistoryList.concat(res.data.list);
					indexVM.searchHistoryListAll = indexVM.searchHistoryListAll.concat(res.data.list);
					indexVM.paginationData.history.currentPage = res.data.pageNumber
					indexVM.paginationData.history.totalRow = res.data.totalRow
					indexVM.paginationData.history.totalPage = res.data.totalPage
					indexVM.calculationls();
					indexVM.$nextTick(()=>{
						indexVM.scroll.history.refresh();
					})
					if(type === 'init'){
						indexVM.scroll.history.refresh();   //先刷新一次布局再scrollTo // 立即更新高度
						indexVM.scroll.history.scrollTo(0, 0, 100); //100毫秒滚动到顶
						getDataGridTotalStatistics(postData,'historyTotal')
					}
					if (indexVM.searchEnterHistoryList.length === 0) {
						indexVM.showWarn = true;
					}
				} else {
					mui.toast(res.msg);
				}
				mui('#dh')[0].style.display = "none";
				clearTimeout(getHistoryTimer)
				getHistoryTimer = null
			},
			error() {
				count++;
				if(count > 10){
					// 加载错误
					//mask.close();//关闭遮罩层
					mui.toast('加载失败!!')
					if(type === 'turnPage'){
						indexVM.paginationData.history.currentPage--
					}
					mui('#dh')[0].style.display = "none";
					clearTimeout(getHistoryTimer)
					getHistoryTimer = null
				}else{
					// 加载失败尝试次数 主要是针对超时
					clearTimeout(getHistoryTimer)
					getHistoryTimer = setTimeout(get,4)
				}
			}
		});
	}
}
// 获取订单数据定时器
let getDraftTimer = null
// 查询订单
function searchEnterDraft(start_date, end_date, type) {
	var data = timedifference(start_date, end_date);
	if(data > 92){
		mui.toast("时间范围不能大于三个月，请分段查询");
		return;
	}
	let count = 0
	if(type === 'init'){
		indexVM.searchDraftListAll = [];
		indexVM.searchEnterDraftList = [];
		indexVM.paginationData.draft.currentPage = 1
		indexVM.paginationData.draft.totalRow = 0
		indexVM.paginationData.draft.totalPage = 20
		clearTimeout(getDraftTimer) // 停止之前的查询操作
		getDraftTimer = null
	}
	if(getDraftTimer)return;
	if(type === 'turnPage'){
		indexVM.paginationData.draft.currentPage++
	}
	mui('#dh')[0].style.display = "block";
	// 匹配后端字段 draft_used_type -> draft_amount_status
	const _draft_amount_status = {
		'-1': 0, // 所有状态
		'0': 1, // 已出入库
		'1': 2, // 未出入库
		'2':3, // 部分出入库
		'3': -1, // null或-1表示未出入库或部分出入库
	}
	const postData = {
		start_date: start_date,
		end_date: end_date,
		ordertype: 0,
		submit_status: 1,
		keyword: indexVM.draft_search,
		depot_id: indexVM.draft_category_data.depot_id != -1 ? indexVM.draft_category_data.depot_id : '' ,
		draft_amount_status: Number(indexVM.vipLevel) === 1 ? _draft_amount_status[indexVM.draft_used_type] : 0,
		rows: indexVM.paginationData.draft.pageSize,
		page: indexVM.paginationData.draft.currentPage
	}
	getDraftTimer = setTimeout(get,4)
	function get(){
		mui.ajax(severUrl + "scm/order/dataGrid.json", {
			data: postData,
			headers: {
				'Content-Type': 'application/x-www-form-urlencoded'
			},
			xhrFields: {
				withCredentials: true
			},
			dataType: 'json',
			type: 'post',
			timeout: 10000,
			success: function (res) {
				indexVM.showWarn = false;
				if (res.success) {
					indexVM.draft_click = '';
					mui.each(indexVM.searchEnterDraftList,function(i,v){
						v.in_amount = numToCur(v.in_amount,indexVM.systemSetting.amount_decimals_setting);
						v.out_amount = numToCur(v.out_amount,indexVM.systemSetting.amount_decimals_setting)
					})
					indexVM.searchEnterDraftList = indexVM.searchEnterDraftList.concat(res.data.list);
					indexVM.searchDraftListAll = indexVM.searchDraftListAll.concat(res.data.list);
					indexVM.paginationData.draft.currentPage = res.data.pageNumber
					indexVM.paginationData.draft.totalRow = res.data.totalRow
					indexVM.paginationData.draft.totalPage = res.data.totalPage
					indexVM.calculationcg();
					indexVM.$nextTick(()=>{
						indexVM.scroll.draft.refresh();
					})
					// getDataGridTotalStatistics(postData,'draftTotal')
					if(type === 'init'){
						indexVM.scroll.draft.refresh();   //先刷新一次布局再scrollTo
						indexVM.scroll.draft.scrollTo(0, 0, 100); //100毫秒滚动到顶
					}
					if (indexVM.searchEnterDraftList.length === 0) {
						indexVM.showWarn = true;
					}
				} else {
					if (res.status == 10101 || res.status == 10102) {
						logOut(res.msg)
					}
				}
				mui('#dh')[0].style.display = "none";
				clearTimeout(getDraftTimer)
				getDraftTimer = null
			},
			error() {
				count++;
				if(count > 10){
					// 加载错误
					//mask.close();//关闭遮罩层
					mui.toast('加载失败!!')
					if(type === 'turnPage'){
						indexVM.paginationData.draft.currentPage--
					}
					mui('#dh')[0].style.display = "none";
					clearTimeout(getDraftTimer)
					getDraftTimer = null
				}else{
					// 加载失败尝试次数 主要是针对超时
					clearTimeout(getDraftTimer)
					getDraftTimer = setTimeout(get,4)
				}
			}
		});
	}
}
/**
 * 获取当前筛选状态下的多页单据合计数据
 */
function getDataGridTotalStatistics(data, typeKey){
	mui.ajax(severUrl + "scm/order/dataGridTotalStatistics.json", {
		data: data,
		headers: {
			'Content-Type': 'application/x-www-form-urlencoded'
		},
		xhrFields: {
			withCredentials: true
		},
		dataType: 'json',
		type: 'post',
		timeout: 10000,
		success: function(res) {
			if (res.success) {
				indexVM[typeKey].all_order_product_amount = numToCur(res.data.all_order_product_amount,indexVM.systemSetting.amount_decimals_setting)
				indexVM[typeKey].all_price = numToCur(res.data.all_price,indexVM.systemSetting.price_decimals_setting,'price')
			} else {
				indexVM[typeKey].all_order_product_amount = '获取错误'
				indexVM[typeKey].all_price = '获取错误'
				mui.toast(res.msg);
			}
		}
	});
}
/**
 * 加载下页
 * @param type {'history'|'draft'} 那个列表翻页
 */
function nextPage(type) {
	if(indexVM.paginationData[type].currentPage >= indexVM.paginationData[type].totalPage){
		return
	}
	let next = function(){},
		nextType = 'turnPage',
		start_date, end_date;
	if(type === 'history'){
		next = searchEnterHistory
		start_date = indexVM.lsDateFirst
		end_date =indexVM.lsDateLast
	}else if(type === 'draft'){
		next = searchEnterDraft
		start_date = indexVM.cgDateFirst
		end_date =indexVM.cgDateLast
	}
	next(start_date, end_date, nextType)
}
/**
 * scroll 事件函数 还剩下小于 80 高度时 加载下一页
 * @param typeKey {'history'|'draft'} 选择滚动的元素 scroll键 类型
 */
function scrollUpLoading(typeKey){
	const scroll =indexVM.scroll[typeKey]
	// 还剩下 50 高度时 自动加载下一页
	if (scroll.y - scroll.maxScrollY < 80 ) {
		// console.log('触发加载下一页')
		nextPage(typeKey)
	}
}

mui("#commodityInto")[0].addEventListener('slide', function(e) {
	if(e.detail.slideNumber === 1){
		indexVM.timeSearchType = 'D';
		switch (indexVM.timeSearchType) {
			case 'D':
				indexVM.lsDateFirst = loadNowDate(1)
				indexVM.lsDateLast = loadNowDate(1)
				break;
			case 'W':
				window.util_date.newToday(loadNowDate(1));
				indexVM.lsDateFirst = window.util_date.getMonday().pattern("yyyy-MM-dd");
				indexVM.lsDateLast = window.util_date.getSunday().pattern("yyyy-MM-dd");
				break;
			case 'M':
				var d =new Date(getValFirst(loadNowDate(1)));
				var Y = d.getFullYear();
				var M = d.getMonth()+1;
				var D = 1;
				M >= 10 ? M = M : M = 0 + "" + M;
				D >= 10 ? D = D : D = 0 + "" + D;
				indexVM.lsDateFirst = Y + '-' + M + '-' + D;
				indexVM.lsDateLast = Y + '-' + M + '-' + getLastDay(Y, M);
				break;
		}
		searchEnterHistory(indexVM.lsDateFirst, indexVM.lsDateLast,'init')
	}else if(e.detail.slideNumber === 2){
		indexVM.draftTimeSearchType = 'D'
		switch (indexVM.draftTimeSearchType) {
			case 'D':
				indexVM.cgDateFirst = loadNowDate(1)
				indexVM.cgDateLast = loadNowDate(1)
				break;
			case 'W':
				window.util_date.newToday(loadNowDate(1));
				indexVM.cgDateFirst = window.util_date.getMonday().pattern("yyyy-MM-dd");
				indexVM.cgDateLast = window.util_date.getSunday().pattern("yyyy-MM-dd");
				break;
			case 'M':
				var d =new Date(getValFirst(loadNowDate(1)));
				var Y = d.getFullYear();
				var M = d.getMonth()+1;
				var D = 1;
				M >= 10 ? M = M : M = 0 + "" + M;
				D >= 10 ? D = D : D = 0 + "" + D;
				indexVM.cgDateFirst = Y + '-' + M + '-' + D;
				indexVM.cgDateLast = Y + '-' + M + '-' + getLastDay(Y, M);
				break;
		}
		searchEnterDraft(indexVM.cgDateFirst, indexVM.cgDateLast, 'init');
		// if (indexVM.cgDateFirst != '' || indexVM.cgDateLast != '') {
		// 	searchEnterDraft(indexVM.cgDateFirst, indexVM.cgDateLast);
		// } else {
		// 	var date = new Date(indexVM.draftTime);
		// 	var searchTime = date.getFullYear() + "-" + ((date.getMonth() + 1) < 10 ? "0" + (date.getMonth() + 1) : (date.getMonth() + 1)) + "-" + (date.getDate() < 10 ? "0" + date.getDate() : date.getDate());
		// 	searchEnterDraft(searchTime, searchTime);
		// }
	}else{
		var pageAction = localStorage.getItem("caiPageAction");
		if(pageAction == 'supplierRefresh'){
			sessionStorage.removeItem("selectedSupplier");
			localStorage.removeItem("caiPageAction");
			getSupplier()
		}
	}
});
function setListener() {
	mui("#commodityInto")[0].addEventListener('slide', function(e) {
		nowPage= e.detail.slideNumber
	});
    window.addEventListener("pageshow",function(){
        if(sessionStorage.getItem("reloadPage") == "1"){
            sessionStorage.removeItem("reloadPage");
            location.reload();
        }
        setTimeout(function(){
            if(sessionStorage.getItem("reloadPage") == "1"){
                sessionStorage.removeItem("reloadPage");
                location.reload();
            }
        },100);
    });
	var pageHeight = sessionStorage.getItem("pageHeight");
	if (!pageHeight) {
		pageHeight = document.documentElement.clientHeight;
		sessionStorage.setItem("pageHeight", pageHeight);
	}
	document.getElementsByTagName("body")[0].style.height = pageHeight + "px";//combined

	window.addEventListener("pageshow", function () {
		getSelProductList();
	});

	mui('body').on('tap', '.bar-fixed-bottom>a', function (e) {
		e.preventDefault();
		localStorage.removeItem("selProductList");
		sessionStorage.removeItem("selectedDepot");
		sessionStorage.removeItem("selectedSupplier");
		sessionStorage.removeItem("selectedBuyer");
		sessionStorage.removeItem("createDate");
		sessionStorage.removeItem("remark");
		sessionStorage.removeItem("product");
		sessionStorage.removeItem("pageTabId");
		sessionStorage.removeItem("lsDateFirst");
		sessionStorage.removeItem("lsDateLast");
		sessionStorage.removeItem("cgDateFirst");
		sessionStorage.removeItem("cgDateLast");
		sessionStorage.removeItem("historyTime");
		sessionStorage.removeItem("draftTime");
		sessionStorage.removeItem("searchMsg");
		sessionStorage.removeItem("sort");
		sessionStorage.removeItem("logistics_number");
		sessionStorage.removeItem("sort_rule");
		sessionStorage.removeItem("cun_category_parent_id");
		sessionStorage.removeItem("cun_category_id");
		sessionStorage.removeItem("cun_depot_id");
		var href = this.dataset.href;
		if (href) {
			var gallery = mui('#commodityInto');
			gallery.slider().gotoItem(0);
			// location.replace(href + ".html");
		}
	});

	mui('.fh-status').on('toggle', '.mui-switch', function () {
		if (indexVM.deliveryStatus == 0) {
			indexVM.deliveryStatus = 1;
			indexVM.deliveryStatusName = '已收';
		} else {
			indexVM.deliveryStatus = 0;
			indexVM.deliveryStatusName = '未收';
		}
	})

	document.getElementsByName("span")

	mui('#offCanvasSide').on('tap', '.goodsAdd', function (e) {
		e.preventDefault();
		sessionStorage.removeItem("selColorList");
		sessionStorage.removeItem("selSizeList");
		sessionStorage.removeItem("selList");
		sessionStorage.removeItem("name");
		sessionStorage.removeItem("model");
        sessionStorage.removeItem("material");
		sessionStorage.removeItem("mainUnitId");
		sessionStorage.removeItem("mainUnitName");
		sessionStorage.removeItem("unitList");
        sessionStorage.removeItem("barcodeList");
		sessionStorage.removeItem("purchase_price");
		sessionStorage.removeItem("sale_price");
		sessionStorage.removeItem("sale_price_b");
        sessionStorage.removeItem("otherAttrList");
		sessionStorage.removeItem("category_id");
		sessionStorage.removeItem("category_name");
		sessionStorage.removeItem("category_parent_name");
		sessionStorage.removeItem("selListId");
		var href = this.dataset.href;
		viewHandle.openWindow( href + '.html',href + '.html');
	});

	/*退出按钮*/
	mui('#offCanvasSide').on('tap', '.outLogin', function (e) {
		mui.confirm('确定退出用户？', '提示', ["取消","确定"], function (e) {
			if (e.index == 1) {
                // signOut()
				clearCashSignOut()
			}
		},'div')
	});

	mui('.mui-scroll-wrapper').scroll({
		deceleration: 0.0006 //flick 减速系数，系数越大，滚动速度越慢，滚动距离越小，默认值0.0006
	});

	mui(".cmdPresent").on('tap', '.mui-switch', function (e) {
		e.stopPropagation();
	});
	mui("#intoCmdPresent").on('tap', '.sweepNumber', function () {
//        location.href = 'zhijianjxcapp://barcodescan/param?color_id=-1&size_id=-1';
		var sendUrl = 'zhijianjxcapp://barcodescan/param?color_id=-1&size_id=-1';
		var cookie = 'ecp_cookie='+localStorage.getItem("HF");
		if (mui.os.ios == true) {
			sweepCode_i(cookie,sendUrl,777)
		} else if (mui.os.android == true) {
			sweepCode(cookie,sendUrl,777)
		}
	});

	// mui(".cmdPresent").on('tap', '.deleteProductItem', function (event) {
	// 	event.stopPropagation();
	// 	var btn = ["取消","确定"];
	// 	mui.confirm('确认删除此条商品吗？', '提示', btn, function (e) {
	// 		if (e.index == 1) {
	// 			var li = event.target.parentNode.parentNode.parentNode.parentNode.parentNode; // 当前商品
	// 			var product_id = li.dataset.id;
	//
	// 			var flag = false;
	// 			var listIndex = 0;
	// 			var productIndex = 0;
	// 			let keyProductCopyItem = [product_id, li.dataset.colorid, li.dataset.sizeid, indexVM.currentInnerPage ].join('_')// 拷贝的key
	//
	// 			mui.each(indexVM.selProductList, function (index1, value) {
	// 				if (value.id == product_id && value.type === indexVM.currentInnerPage) {
	// 					productIndex = index1;
	// 				}
	// 				mui.each(value.list, function (index2, value2) {
	// 					if (value.id == product_id
	// 						&& value2.color_id == li.dataset.colorid
	// 						&& value2.size_id == li.dataset.sizeid
	// 					) {
	// 						listIndex = index2;
	// 						flag = true;
	// 						return;
	// 					} else {
	// 						if(flag){
	// 							return
	// 						}
	// 						flag = false;
	// 						return;
	// 					}
	// 				});
	// 			});
	//
	// 			if (flag) {
	// 				//indexVM.selProductList[productIndex].list.splice(listIndex, 1);
    //                 indexVM.selProductList[productIndex].list[listIndex].count=0;
    //                 indexVM.selProductList[productIndex].list[listIndex].ordertype=0;
    //                 var dex=0;
    //                 $.each(indexVM.selProductList[productIndex].list,function(index,value){
    //                     dex+=value.count;
    //                 });
    //                 if(dex==0){
    //                     indexVM.selProductList.splice(productIndex, 1);
	// 					var AB_list=JSON.parse(localStorage.getItem("AB_purchase"));
	// 					mui.each(AB_list,function(i,v){
	// 						if(product_id == v.product_id && indexVM.selectedDepot == v.depot_id){
	// 							AB_list.splice(i,1)
	// 						}
	// 					});
	// 					localStorage.setItem("AB_purchase",JSON.stringify(AB_list))
    //                 }
	// 			} else {
	// 				indexVM.selProductList.splice(productIndex, 1);
	// 				localStorage.removeItem("AB_purchase")
	// 			}
	// 			localStorage.setItem("selProductList", JSON.stringify(indexVM.selProductList));
	// 			indexVM.deleteProductCopyItem(keyProductCopyItem)
	// 			indexVM.calculation();
	//
	// 			console.log(indexVM.selProductList)
	// 		}
	// 	},'div')
	//
	// });
	// mui('.popover').on('tap', '.quanQian', function () {
	// 	if(indexVM.truePay!=0){
	// 		indexVM.isPay = false;
	// 		indexVM.truePay = 0;
	// 		$(".quanQian").css('background-color','gainsboro')
	// 	} else {
	// 		indexVM.isPay = true;
	// 		indexVM.noPay = 0;
	// 		$(".quanQian").css('background-color','#556890')
	// 	}
	// });

	mui('.popover').on('tap', '.zheKou', function () {
		var discount=numToCur(Math.abs((Number(indexVM.totalPrice) - Number(indexVM.moLing)) / Number(indexVM.totalPrice) * 10),indexVM.systemSetting.price_decimals_setting,'price');
		mui.confirm("", "折扣", ["取消","确定"], function (e) {
			if(e.index==1){
				var reduced = Number(mui("#discount")[0].value);
				var editPrice = Number(mui("#reduced")[0].value);
				var isDiscounte = /^[0-9]{1}|[0-9]{1}.[0-9]*$/;
				if (isDiscounte.test(reduced) && reduced <= 10) {
					indexVM.moLing=numToCur(editPrice,indexVM.systemSetting.price_decimals_setting,'price');
					indexVM.calculation();
				}else{
					mui.toast("折扣金额错误，请检查。")
				}
			}else{

			}
		},'div')
		$(".mui-popup-title").remove();
		$(".mui-popup-input input").remove();
		var muiPrompt ="<div style='display: flex; align-items: center;'>" +
			"<span style='width: 45px'>优惠：</span>" +
			"<input class='my-popup-input' placeholder='0元' type='number' id='reduced' @input='reduced' value='"+indexVM.moLing+"' />" +
			"</div>" +
			"<div style='display: flex; align-items: center; margin-top: 10px'>"+
			"<span style='width: 45px'>折扣：</span>" +
			"<input class='my-popup-input' placeholder='0-10折' type='number' id='discount' @input='discount' value='"+discount+"' />" +
			"</div>"
		$(".mui-popup-text").html(muiPrompt)
		document.getElementById("reduced").addEventListener("input", function(event) {
			//优惠后折扣计算
			var editPrice = Number(mui("#reduced")[0].value);
			var zhekou=(Number(Math.abs(indexVM.totalPrice) - editPrice)) / Number(Math.abs(indexVM.totalPrice)) * 10;
			mui("#discount")[0].value=numToCur(zhekou,indexVM.systemSetting.price_decimals_setting,'price')
		})
        document.getElementById("reduced").addEventListener("click", function(event) {
            mui("#reduced")[0].value = ""
        })
        document.getElementById("reduced").addEventListener("blur", function(event) {
            if(mui("#reduced")[0].value == ''){
                mui("#reduced")[0].value = indexVM.moLing
            }
        })
        document.getElementById("discount").addEventListener("input", function(event) {
            //折扣后优惠计算
            var editPrice = Number(mui("#discount")[0].value);
            var zhekou=Math.abs(Number(indexVM.totalPrice-(editPrice/10*indexVM.totalPrice)));
            mui("#reduced")[0].value=numToCur(zhekou,indexVM.systemSetting.price_decimals_setting,'price')
        })
        document.getElementById("discount").addEventListener("click", function(event) {
            mui("#discount")[0].value = ""
        })
        document.getElementById("discount").addEventListener("blur", function(event) {
            if(mui("#discount")[0].value == ''){
                mui("#discount")[0].value = discount
            }
        })
	});

    //其他费用监听
	var expenseId = ''
	mui('.popover').on('tap', '.otherExpenses', function () {
		if(buttonClick){
			buttonClick = false;
			mui.ajax(severUrl + "scm/order/getOtherCostList.json", {
				data: {
				},
				headers: {
					'Content-Type': 'application/x-www-form-urlencoded'
				},
				xhrFields: {
					withCredentials: true
				},
				dataType: 'json',
				type: 'post',
				timeout: 10000,
				success: function (res) {
					indexVM.expenseList = res.data;
					expenseInfo(indexVM.expenseList)
					setTimeout(function(){
						buttonClick = true;
					},500)
				}
			});
		}

	});
function expenseInfo(list){
	let selected = indexVM.expenseName
	let selectHtml
	if(selected){
		selectHtml = '<option value="not">无</option>'
	}else{
		selectHtml = '<option value="not" selected="selected">无</option>'
	}
	mui.each(list, function(i, v) {
		let selectedStr = selected === v.other_cost_name? ' selected="selected"':''
		selectHtml += `<option value="${v.id}"${selectedStr}>${v.other_cost_name}</option>`
	})
	selectHtml = "<select id='expensesNameClick'>" + selectHtml + "</select>"
	let setSelected = list.find(function(item){return item.other_cost_name === selected})
	mui.confirm("", "其他费用", ["取消","确定"], function (e) {
		if(e.index===1){
			let selecredValue = mui("#expensesNameClick")[0].value // 选择器选中id （expenseId）
			let expenseValue = mui("#expense")[0].value // 费用金额
			let expenseDegressionValue = mui("#expenseDegression")[0].value // 成本金额
			let expenseNameValue = mui("#expenseName")[0].value// 费用名称

			if(selecredValue === 'not' && expenseNameValue === '' && expenseValue === '' && expenseDegressionValue === ''){
				setExpense(expenseValue,'',expenseDegressionValue,expenseNameValue)
			}else if(expenseNameValue === ''){
				mui.toast('请输入费用名称或选择已有类型！');
				return false
			}
			setExpense(expenseValue,selecredValue,expenseDegressionValue,expenseNameValue)
		}
	},'div');
	function setExpense(expenseValue,selecredValue,expenseDegressionValue,expenseNameValue){
		indexVM.expense = expenseValue;
		indexVM.expenseDegression = expenseDegressionValue;
		indexVM.expenseName = expenseNameValue
		indexVM.expenseId = selecredValue
		indexVM.editTotalPrice = numToCur(Number(indexVM.totalPrice),indexVM.systemSetting.price_decimals_setting,'price');
		indexVM.calculation();
	}
    $(".mui-popup-title").remove();
    $(".mui-popup-input input").remove();
    var muiPrompt ="<div style='display: flex; align-items: center;'>" +
        "<span style='width: 45px'>名称：</span>" +selectHtml+
        "<input class='my-popup-input' placeholder='请输入费用名称' type='text' id='expenseName' value='"+indexVM.expenseName+"' style='padding-right: 22px!important;' />" +
        "<span id='expenseSelect' class='mui-icon mui-icon-arrowdown' style='position: absolute; right: 15px; color: #555; pointer-events: none'></span>"+
        "</div>" +
        "<div style='display: flex; align-items: center; margin-top: 10px'>"+
        "<span style='width: 45px'>费用：</span>" +
        "<input class='my-popup-input' placeholder='费用金额' type='number' id='expense' value='"+String(indexVM.expense)+"' />" +
        "</div>" +
        "<div style='display: none; align-items: center; margin-top: 10px'>"+
        "<span style='width: 45px'>成本：</span>" +
        "<input class='my-popup-input' placeholder='成本金额' type='number' id='expenseDegression' value='"+String(indexVM.expenseDegression)+"' />" +
        "</div>"
    $(".mui-popup-text").html(muiPrompt)
	if(selected && !setSelected){
		mui("#expensesNameClick")[0].value = 'customize'
	}
    document.getElementById("expenseName").addEventListener("click", function(event) {
		mui("#expenseName")[0].value = ""
    })
	document.getElementById("expenseName").addEventListener("input", function(event) {
		mui("#expensesNameClick")[0].value = 'customize'
	})
    document.getElementById("expenseName").addEventListener("blur", function(event) {
        if(mui("#expenseName")[0].value === ''){
            mui("#expenseName")[0].value = indexVM.expenseName
        }
    })
    document.getElementById("expense").addEventListener("click", function(event) {
        //费用金额监听
		mui("#expense")[0].value = ""
    })
	document.getElementById("expense").addEventListener("input", function(event) {
		mui("#expenseName")[0].value === '' && (mui("#expensesNameClick")[0].value = 'customize')
	})
    document.getElementById("expense").addEventListener("blur", function(event) {
        //费用金额监听
        // indexVM.expense = mui("#expense")[0].value
        if(mui("#expense")[0].value === ''){
            mui("#expense")[0].value = indexVM.expense || ''
        }
    })
    document.getElementById("expenseDegression").addEventListener("click", function(event) {
        //费用成本监听
        mui("#expenseDegression")[0].value = ""
    })
	document.getElementById("expenseDegression").addEventListener("input", function(event) {
		mui("#expenseName")[0].value === '' && (mui("#expensesNameClick")[0].value = 'customize')
	})
    document.getElementById("expenseDegression").addEventListener("blur", function(event) {
        //费用成本监听
        // indexVM.expenseDegression = mui("#expenseDegression")[0].value
        if(mui("#expenseDegression")[0].value ===''){
            mui("#expenseDegression")[0].value = indexVM.expenseDegression || ''
        }
    })
    document.getElementById("expensesNameClick").addEventListener("change", function(event) {
		if(mui("#expensesNameClick")[0].value === 'not'){
			expenseId = '';
			mui("#expense")[0].value = '';
			mui("#expenseDegression")[0].value = ''
			mui("#expenseName")[0].value = ''
			return
		}
        //修改监听
        mui.each(list,function(i,v){
            if(v.id == mui("#expensesNameClick")[0].value){
                expenseId = v.id;
                mui("#expense")[0].value = v.other_cost_price;
                mui("#expenseDegression")[0].value = v.other_cost_purchase;
                mui("#expenseName")[0].value = v.other_cost_name
            }
        })
    })
}
	mui(".productList").on('toggle', '.mui-switch', function (event) {
		var _this = this;
		var li = event.target.parentNode.parentNode.parentNode.parentNode.parentNode;
		var product_id = li.dataset.id;
		var index = li.dataset.index;
		mui.each(indexVM.selProductList, function (index1, value) {
			if (value.id == product_id
				&& value.list[index].color_id == li.dataset.colorid
				&& value.list[index].size_id == li.dataset.sizeid
			) {
				if(value.list[index].product_sn_list && value.list[index].product_sn_list.length > 0){
					var btnArray = ['取消','确定'];
					mui.confirm('', '更改采购状态序列号将被清除！', btnArray, function(e) {
						if(e.index == 1){
							if (event.detail.isActive) {
								value.list[index].ordertype = 1;
							} else {
								value.list[index].ordertype = 0;
							}
							value.list[index].product_sn_list = [];
							indexVM.calculation();
							localStorage.setItem('selProductList',JSON.stringify(indexVM.selProductList));
						}else{
							_this.classList.toggle('muiActive');
							_this.querySelector('.mui-switch-handle').setAttribute('style', '');
						}
					},'div')
				}else{
					if (event.detail.isActive) {
						value.list[index].ordertype = 1;
					} else {
						value.list[index].ordertype = 0;
					}
					indexVM.calculation();
					localStorage.setItem('selProductList',JSON.stringify(indexVM.selProductList));
				}
				// if (event.detail.isActive) {
				// 	value.list[index].ordertype = 1;
				// } else {
				// 	value.list[index].ordertype = 0;
				// }
				// return false;
			}
		});
		// indexVM.calculation();
		// localStorage.setItem('selProductList',JSON.stringify(indexVM.selProductList));
	});

	mui("body").on('tap', '.itemAdd', function () {
		sessionStorage.setItem("selectedDepot", indexVM.selectedDepot);
		sessionStorage.setItem("selectedSupplier", indexVM.selectedSupplier);
		sessionStorage.setItem("selectedBuyer", indexVM.selectedBuyer);
		sessionStorage.setItem("createDate", indexVM.createDate);
		sessionStorage.setItem("remark", indexVM.remark);
		sessionStorage.removeItem("selColorList");
		sessionStorage.removeItem("selSizeList");
		sessionStorage.removeItem("selList");
        sessionStorage.removeItem("barcodeList");
		sessionStorage.removeItem("name");
		sessionStorage.removeItem("model");
        sessionStorage.removeItem("material");
		sessionStorage.removeItem("mainUnitId");
		sessionStorage.removeItem("mainUnitName");
		sessionStorage.removeItem("unitList");
		sessionStorage.removeItem("category_id");
		sessionStorage.removeItem("category_name");
		sessionStorage.removeItem("category_parent_name");
		sessionStorage.removeItem("purchase_price");
		sessionStorage.removeItem("sale_price");
		sessionStorage.removeItem("sale_price_b");
		sessionStorage.removeItem("selListId");
		sessionStorage.removeItem("otherAttrList");
		localStorage.setItem("pageTabId", "present");
		sessionStorage.setItem("logistics_number", indexVM.logistics_number);
		viewHandle.openWindow( 'itemAdd.html','itemAdd.html');
	})

	mui(".cmdPresent").on('tap', '.itemLink', function () {
        if(this.dataset.id == null){
            sessionStorage.removeItem("selColorList");
            sessionStorage.removeItem("selSizeList");
            sessionStorage.removeItem("selList");
            sessionStorage.removeItem("purchase_price");
            sessionStorage.removeItem("sale_price");
            sessionStorage.removeItem("sale_price_b");
            sessionStorage.removeItem("name");
            sessionStorage.removeItem("model");
            sessionStorage.removeItem("material");
			sessionStorage.removeItem("mainUnitId");
			sessionStorage.removeItem("mainUnitName");
			sessionStorage.removeItem("unitList");
			sessionStorage.removeItem("category_id");
			sessionStorage.removeItem("category_name");
			sessionStorage.removeItem("category_parent_name");
			sessionStorage.setItem("logistics_number", indexVM.logistics_number);
            sessionStorage.removeItem("selListId");
            var arg = {};
            arg.model = indexVM.searchMsg;
            viewHandle.viewFire('itemAdd.html','modelAndName',arg);
            viewHandle.openWindow('itemAdd.html','itemAdd.html',JSON.stringify(arg));
			indexVM.searchMsg = '';
			indexVM.searchProduct()
            //location = 'itemAdd.html?model='+indexVM.searchMsg+'&page=caigou'
        }else{
            indexVM.searchMsg = "";
            var product ={product_id : '',name:'',purchase_price:'',model:'',id:'',product_name:'',sale_price:'',status:''};
            for (var i =0;i<indexVM.list.length; i++){
                if(indexVM.list[i].id==this.dataset.id){
                    product.product_id=indexVM.list[i].product_id;
                    product.name=indexVM.list[i].name;
                    product.purchase_price=indexVM.list[i].purchase_price;
                    product.model=indexVM.list[i].model;
                    product.id=indexVM.list[i].id;
                    product.product_name=indexVM.list[i].product_name;
                    product.sale_price=indexVM.list[i].purchase_price;
                    product.status=1;
					product.type = indexVM.currentInnerPage
                }
            }
			goodsMenuVM.selectedType = indexVM.currentInnerPage
            indexVM.sortModel(product);
            sessionStorage.setItem("selectedDepot", indexVM.selectedDepot);
            sessionStorage.setItem("selectedSupplier", indexVM.selectedSupplier);
            sessionStorage.setItem("selectedBuyer", indexVM.selectedBuyer);
            sessionStorage.setItem("createDate", indexVM.createDate);
			sessionStorage.setItem("logistics_number", indexVM.logistics_number);
            sessionStorage.setItem("remark", indexVM.remark);
            sessionStorage.setItem("product", JSON.stringify(product));
            // sessionStorage.setItem("type", 1);
			localStorage.removeItem("type")
			localStorage.setItem("pageTabId", "present");
            mui('#caigouDom')[0].style.display = "none";
            mui('#goodsColorSize')[0].style.display = "block";
            loadProductDtsInfo(this.dataset.id);
            getGoodsMenu();
            kufang();
            mui("#popover").popover("hide");
            $("#hidePopover").css('display','none');
            indexVM.list=[];
            // location = 'goodsColorSize.html?productId=' + this.dataset.id + '&type=' + 1;
		}
	});
	/*点击搜索用户*/
    mui("#userPopover").on('tap', '.itemUser', function () {
        mui('.supplierName')[0].blur();
        var name=this.dataset.name;
        if(name == "新建供应商？"){
			var listSend = {};
			listSend.userName = indexVM.supplierName;
			listSend.page = "caigou";
			listSend.type = "supplier";
			//viewHandle.viewFire('customerCreate.html','customerCreate',listSend);
			viewHandle.openWindow( 'view/customerCreate.html','customerCreate.html',JSON.stringify(listSend));
			mui("#userPopover").popover("hide");
			$("#hideUserPopover").css('display','none');
        }else{
            indexVM.supplierName =name;
            indexVM.selectedSupplier = this.dataset.id;
			/*余额处理*/
			mui.each(indexVM.userList,function(i,v){
				if(v.id == indexVM.selectedSupplier){
					Number(v.checked) !=1?indexVM.accountBalance = Number(v.arrears):indexVM.accountBalance = 'default';
				}
			});
			console.log(indexVM.accountBalance)
			let orderPrice = Number(numToCur(indexVM.editTotalPrice,indexVM.systemSetting.price_decimals_setting,'price'))

			if(indexVM.accountBalance<0){ //有余额
				if(orderPrice>0){ // 应付金额正
					let balance = Math.abs(indexVM.accountBalance)
					if(balance >= orderPrice){
						indexVM.noPay = numToCur(orderPrice,indexVM.systemSetting.price_decimals_setting,'price')
					}else{
						indexVM.noPay = numToCur(balance,indexVM.systemSetting.price_decimals_setting,'price')
					}
				}else{
					indexVM.noPay = numToCur(0,indexVM.systemSetting.price_decimals_setting,'price')
				}

			}
        	else if (indexVM.accountBalance>0){ // 有欠款
				if(orderPrice>0){ // 应付金额为负
					indexVM.noPay = numToCur(0,indexVM.systemSetting.price_decimals_setting,'price')
				}else{
					let balance = Math.abs(indexVM.accountBalance)
					if(balance >= orderPrice){
						indexVM.noPay = numToCur(orderPrice,indexVM.systemSetting.price_decimals_setting,'price')
					}else{
						indexVM.noPay = numToCur(balance,indexVM.systemSetting.price_decimals_setting,'price')
					}
				}
			}
        	else{// 没有余额 没有欠款
				indexVM.noPay = numToCur(0,indexVM.systemSetting.price_decimals_setting,'price')
			}

            indexVM.userList=[];
            mui("#userPopover").popover("hide");
            $("#hideUserPopover").css('display','none');
        }
    });


	mui(".cmdPresent").on('tap', '.uploadPic', function() {
		console.log("上传图片跳转")
		viewHandle.openWindow('view/uploadPic.html', 'uploadPic.html');
	});

	var toggleFlag = true;
	mui(".mui-border").on('tap', '.toggle-state', function () {
		// mui('.productSearchIpt')[0].blur();
		if (toggleFlag) {
			mui('.toggle-state .mui-icon-arrowup')[0].style.display = "block";
			mui('.selectForm')[0].style.display = "block";
			mui('.toggle-state .mui-icon-arrowdown')[0].style.display = "none";

			toggleFlag = false;
		} else {
			mui('.toggle-state .mui-icon-arrowup')[0].style.display = "none";
			mui('.selectForm')[0].style.display = "none";
			mui('.toggle-state .mui-icon-arrowdown')[0].style.display = "block";

			toggleFlag = true;
		}
	})

	var toggleFlagFh = true;
	mui(".mui-border").on('tap', '.toggle-state-fh', function () {
		// mui('.productSearchIpt')[0].blur();
		if (toggleFlagFh) {
			mui('.toggle-state-fh .mui-icon-arrowup')[0].style.display = "block";
			mui('.selectFormFh')[0].style.display = "block";
			mui('.toggle-state-fh .mui-icon-arrowdown')[0].style.display = "none";

			toggleFlagFh = false;
		} else {
			mui('.toggle-state-fh .mui-icon-arrowup')[0].style.display = "none";
			mui('.selectFormFh')[0].style.display = "none";
			mui('.toggle-state-fh .mui-icon-arrowdown')[0].style.display = "block";

			toggleFlagFh = true;
		}
	})
	mui('#intoCmdDraft').on('tap','.qryDraft',function(){
		var _this = this;
		timeEdit(_this,'draft')
	})
	mui('#intoCmdHistory').on('tap','.qryHistory',function(){ //时间搜索切换
		var _this = this;
		timeEdit(_this,'history')
	})
	//时间搜索 类型
	function timeEdit(dom,types){
		var type = dom.dataset.type, _this = dom;
		switch (type) {
			case "previous":
			case "next":
				$(_this).css("color",'#4a7191');
				setTimeout(function(){
					$(_this).css("color",'#ffffff');
				},180)
				var timeList = previous_next(type,types)
				if(types == 'history'){
					indexVM.lsDateFirst = timeList.lsDateFirst
					indexVM.lsDateLast = timeList.lsDateLast
					searchEnterHistory(indexVM.lsDateFirst,indexVM.lsDateLast,'init');
				}else{
					indexVM.cgDateFirst = timeList.lsDateFirst
					indexVM.cgDateLast = timeList.lsDateLast
					searchEnterDraft(indexVM.cgDateFirst, indexVM.cgDateLast,'init');
				}
				break;
			case 'D':
				if(types == 'history'){
					indexVM.timeSearchType = type;
					indexVM.lsDateFirst = indexVM.lsDateFirst || loadNowDate(1)
					indexVM.lsDateLast = indexVM.lsDateFirst || loadNowDate(1)
					searchEnterHistory(indexVM.lsDateFirst, indexVM.lsDateLast,'init');
				}else{
					indexVM.draftTimeSearchType = type;
					indexVM.cgDateFirst = indexVM.cgDateFirst || loadNowDate(1)
					indexVM.cgDateLast = indexVM.cgDateFirst || loadNowDate(1)
					searchEnterDraft(indexVM.cgDateFirst, indexVM.cgDateLast,'init');
				}
				break;
			case 'W':
				if(types == 'history'){
					indexVM.timeSearchType = type;
					window.util_date.newToday(window.util_date.getThisMonday(indexVM.lsDateFirst));
					indexVM.lsDateFirst = window.util_date.getMonday().pattern("yyyy-MM-dd");
					indexVM.lsDateLast = window.util_date.getSunday().pattern("yyyy-MM-dd");
					searchEnterHistory(indexVM.lsDateFirst, indexVM.lsDateLast,'init');
				}else{
					indexVM.draftTimeSearchType = type;
					window.util_date.newToday(window.util_date.getThisMonday(indexVM.cgDateFirst));
					indexVM.cgDateFirst = window.util_date.getMonday().pattern("yyyy-MM-dd");
					indexVM.cgDateLast = window.util_date.getSunday().pattern("yyyy-MM-dd");
					searchEnterDraft(indexVM.cgDateFirst, indexVM.cgDateLast, 'init');
				}
				break;
			case 'M':
				if(types == 'history'){
					indexVM.timeSearchType = type;
					var his_monthStart = window.util_date.getMonthStart(indexVM.lsDateFirst).pattern("yyyy-MM-dd")
					var his_monthEnd = window.util_date.getMonthEnd(indexVM.lsDateFirst).pattern("yyyy-MM-dd")
					indexVM.lsDateFirst = his_monthStart;
					indexVM.lsDateLast = his_monthEnd;
					searchEnterHistory(indexVM.lsDateFirst, indexVM.lsDateLast,'init');
				}else{
					indexVM.draftTimeSearchType = type;
					var draft_monthStart = window.util_date.getMonthStart(indexVM.cgDateFirst).pattern("yyyy-MM-dd")
					var draft_monthEnd = window.util_date.getMonthEnd(indexVM.cgDateFirst).pattern("yyyy-MM-dd")
					indexVM.cgDateFirst = draft_monthStart;
					indexVM.cgDateLast = draft_monthEnd;
					searchEnterDraft(indexVM.cgDateFirst, indexVM.cgDateLast, 'init');
				}
				break;
		}
	}
	function previous_next(type,types){
		var timeList = {},date = '';
		if(types == 'history'){
			if(indexVM.timeSearchType == '' || !indexVM.timeSearchType){
				indexVM.timeSearchType = 'D'
				timeList.lsDateFirst = indexVM.lsDateFirst || loadNowDate(1)
				timeList.lsDateLast = indexVM.lsDateFirst ||  loadNowDate(1)
			}else{
				if(type == 'previous'){
					if(indexVM.timeSearchType == 'D'){
						date = $comm.DATE_UTIL.getPrevtDay(indexVM.lsDateFirst)
						timeList = {
							lsDateFirst:date,
							lsDateLast:date
						}
					}else if(indexVM.timeSearchType == 'W'){
						timeList = {
							lsDateFirst:window.util_date.getPreviousMonday(indexVM.lsDateFirst).pattern("yyyy-MM-dd"),
							lsDateLast:window.util_date.getPreviousSunday(indexVM.lsDateFirst).pattern("yyyy-MM-dd")
						}
					}else{
						var d =new Date(getValFirstDay(getValFirst(indexVM.lsDateFirst)));
						var Y = d.getFullYear();
						var M = d.getMonth()+1;
						var D = 1;
						M >= 10 ? M = M : M = 0 + "" + M;
						D >= 10 ? D = D : D = 0 + "" + D;
						timeList.lsDateFirst = Y + '-' + M + '-' + D;
						timeList.lsDateLast = Y + '-' + M + '-' + getLastDay(Y, M);
					}
				}else{
					if(indexVM.timeSearchType == 'D'){
						date = $comm.DATE_UTIL.getNextDay(indexVM.lsDateFirst)
						timeList = {
							lsDateFirst:date,
							lsDateLast:date
						}
					}else if(indexVM.timeSearchType == 'W'){
						timeList = {
							lsDateFirst:window.util_date.getNextMonday(indexVM.lsDateFirst).pattern("yyyy-MM-dd"),
							lsDateLast:window.util_date.getNextSunday(indexVM.lsDateFirst).pattern("yyyy-MM-dd")
						}
					}else{
						var d =new Date(indexVM.lsDateFirst.replace(/-/g, "/"));
						var Y = d.getFullYear();
						var M = d.getMonth()+1;
						var D = getLastDay(Y, M);
						timeList.lsDateFirst = getValLastDay(Y + '-' + M + '-' + D);
						var last= new Date(timeList.lsDateFirst.replace(/-/g, "/"));
						var y=last.getFullYear();
						var m=last.getMonth()+1;
						m >= 10 ? m = m : m = 0 + "" + m;
						timeList.lsDateLast = y + '-' + m + '-' + getLastDay(y, m);
					}
				}
			}
		}else{
			if(indexVM.draftTimeSearchType == '' || !indexVM.draftTimeSearchType){
				indexVM.draftTimeSearchType = 'D'
				timeList.lsDateFirst = indexVM.cgDateFirst || loadNowDate(1)
				timeList.lsDateLast = indexVM.cgDateFirst ||  loadNowDate(1)
			}else{
				if(type == 'previous'){
					if(indexVM.draftTimeSearchType == 'D'){
						date = $comm.DATE_UTIL.getPrevtDay(indexVM.cgDateFirst)
						timeList = {
							lsDateFirst:date,
							lsDateLast:date
						}
					}else if(indexVM.draftTimeSearchType == 'W'){
						timeList = {
							lsDateFirst:window.util_date.getPreviousMonday(indexVM.cgDateFirst).pattern("yyyy-MM-dd"),
							lsDateLast:window.util_date.getPreviousSunday(indexVM.cgDateFirst).pattern("yyyy-MM-dd")
						}
					}else{
						var d =new Date(getValFirstDay(getValFirst(indexVM.cgDateFirst)));
						var Y = d.getFullYear();
						var M = d.getMonth()+1;
						var D = 1;
						M >= 10 ? M = M : M = 0 + "" + M;
						D >= 10 ? D = D : D = 0 + "" + D;
						timeList.lsDateFirst = Y + '-' + M + '-' + D;
						timeList.lsDateLast = Y + '-' + M + '-' + getLastDay(Y, M);
					}
				}else{
					if(indexVM.draftTimeSearchType == 'D'){
						date = $comm.DATE_UTIL.getNextDay(indexVM.cgDateFirst)
						timeList = {
							lsDateFirst:date,
							lsDateLast:date
						}
					}else if(indexVM.draftTimeSearchType == 'W'){
						timeList = {
							lsDateFirst:window.util_date.getNextMonday(indexVM.cgDateFirst).pattern("yyyy-MM-dd"),
							lsDateLast:window.util_date.getNextSunday(indexVM.cgDateFirst).pattern("yyyy-MM-dd")
						}
					}else{
						var d =new Date(indexVM.cgDateFirst.replace(/-/g, "/"));
						var Y = d.getFullYear();
						var M = d.getMonth()+1;
						var D = getLastDay(Y, M);
						timeList.lsDateFirst = getValLastDay(Y + '-' + M + '-' + D);
						var last= new Date(timeList.lsDateFirst.replace(/-/g, "/"));
						var y=last.getFullYear();
						var m=last.getMonth()+1;
						m >= 10 ? m = m : m = 0 + "" + m;
						timeList.lsDateLast = y + '-' + m + '-' + getLastDay(y, m);
					}
				}
			}
		}
		return timeList
	}
	mui('#intoCmdHistory').on('tap','.his_select',function(){
		indexVM.his_category_data.depot_id = indexVM.qry_depot;
		indexVM.his_category_data.delivery_type = indexVM.qry_delivery_status;
		indexVM.his_category_data.pay_type = indexVM.qry_pay_status;
		indexVM.his_category_data.print_type = indexVM.qry_print_type_status;
		indexVM.his_search_show = true;
		mui("#his_select_menu").popover("show");
	})
	mui('body').on('tap','.his_search_show',function(){
		indexVM.his_search_show = false;
		mui("#his_select_menu").popover("hide");
		mui("#draft_select_menu").popover("hide");
	})
	mui('#his_select_menu').on('tap','.chooseReset',function(){
		indexVM.qry_depot = '-1';
		indexVM.qry_delivery_status = '-1';
		indexVM.qry_pay_status = '-1';
		hisPage();
		indexVM.his_search_show = false;
		mui("#his_select_menu").popover("hide");
	})
	mui('#his_select_menu').on('tap','.chooessQry',function(){
		indexVM.qry_depot = indexVM.his_category_data.depot_id;
		indexVM.qry_delivery_status = indexVM.his_category_data.delivery_type;
		indexVM.qry_pay_status = indexVM.his_category_data.pay_type;
		indexVM.qry_print_type_status = indexVM.his_category_data.print_type;
		hisPage();
		indexVM.his_search_show = false;
		mui("#his_select_menu").popover("hide");
	})
	mui('body').on('tap','.his_search_show',function(){
		indexVM.his_search_show = false;
		mui("#his_select_menu").popover("hide");
	})
	function hisPage(){
		searchEnterHistory(indexVM.lsDateFirst, indexVM.lsDateLast,'init')
		indexVM.calculationls();
		mui('#historyContent').scroll().refresh();   //先刷新一次布局再scrollTo
		mui('#historyContent').scroll().scrollTo(0, 0, 100); //100毫秒滚动到顶
	}
	mui('#his_select_menu').on('tap','.his_show_data',function(){
		var _this = this;
		var type = _this.dataset.type,name = '';
		if (type == 'show') {
			name = _this.dataset.name;
			indexVM.his_category_data[name] == 0 ? indexVM.his_category_data[name] = 1 : indexVM.his_category_data[name] = 0
		} else {
			name = _this.getAttribute("name")
			switch (type) {
				case 'depot_id':
					indexVM.his_category_data.depot_id = name;
					break;
				case 'delivery_type':
					indexVM.his_category_data.delivery_type = name;
					break;
				case 'pay_type':
					indexVM.his_category_data.pay_type = name;
					break;
				case 'print_type':
					indexVM.his_category_data.print_type = name;
					break;
			}
		}
	})
	//订单搜索操作
	mui('#intoCmdDraft').on('tap','.draft_select',function(){
		indexVM.draft_category_data.depot_id = indexVM.draft_qry_depot;
		indexVM.draft_category_data.used_type = indexVM.draft_used_type;
		indexVM.his_search_show = true;
		mui("#draft_select_menu").popover("show");
	})
	mui('#draft_select_menu').on('tap','.draft_show_data',function(){
		var _this = this;
		var type = _this.dataset.type,name = '';
		if (type == 'show') {
			name = _this.dataset.name;
			indexVM.draft_category_data[name] == 0 ? indexVM.draft_category_data[name] = 1 : indexVM.draft_category_data[name] = 0
		} else {
			name = _this.getAttribute("name")
			switch (type) {
				case 'depot_id':
					indexVM.draft_category_data.depot_id = name;
					break;
				case 'used_type':
					indexVM.draft_category_data.used_type = name;
					break;
			}
		}
	})
	mui('#draft_select_menu').on('tap','.chooseReset',function(){
		indexVM.draft_qry_depot = -1;
		indexVM.draft_used_type = 3;
		draftPage();
		indexVM.his_search_show = false;
		mui("#draft_select_menu").popover("hide");
	})
	mui('#draft_select_menu').on('tap','.chooessQry',function(){
		indexVM.draft_qry_depot = indexVM.draft_category_data.depot_id;
		indexVM.draft_used_type = indexVM.draft_category_data.used_type;
		draftPage();
		indexVM.his_search_show = false;
		mui("#draft_select_menu").popover("hide");
	})
	function draftPage(){
		searchEnterDraft(indexVM.cgDateFirst, indexVM.cgDateLast,'init')
		indexVM.calculationcg();
		mui('#historyContent').scroll().refresh();   //先刷新一次布局再scrollTo
		mui('#historyContent').scroll().scrollTo(0, 0, 100); //100毫秒滚动到顶
	}
	/**
	 *
	 *得到一个月最大天数
	 */
	function getLastDay(year, month) {
		var new_year = year;
		var new_month = month++;

		if (month > 12) {
			new_month -= 12;
			new_year++;
		}
		var new_date = new Date(new_year, new_month, 1);
		return (new Date(new_date.getTime() - 1000 * 60 * 60 * 24)).getDate();
	}

	mui(".cmdDraft").on('click', '.draftSearch', function () {
		indexVM.showWarn = false;
		if (this.dataset.to == "previous") {
			indexVM.draftTime -= 24 * 60 * 60 * 1000;

		} else {
			indexVM.draftTime += 24 * 60 * 60 * 1000;
			if (indexVM.draftTime >= Date.parse(new Date())) {
				indexVM.draftTime = Date.parse(new Date());
			}
		};
		var date = new Date(indexVM.draftTime);
		var searchTime = date.getFullYear() + "-" + ((date.getMonth() + 1) < 10 ? "0" + (date.getMonth() + 1) : (date.getMonth() + 1)) + "-" + (date.getDate() < 10 ? "0" + date.getDate() : date.getDate());
		searchEnterDraft(searchTime, searchTime,'init');

		indexVM.cgDateFirst = "";
		indexVM.cgDateLast = "";
	})
	mui(".cmdHistory").on('tap', '.mui-table>tbody>tr', function () {
		sessionStorage.setItem("cgDateFirst", indexVM.cgDateFirst);
		sessionStorage.setItem("cgDateLast", indexVM.cgDateLast);
		sessionStorage.setItem("draftTime", indexVM.draftTime);
		sessionStorage.setItem("historyTime", indexVM.historyTime);

		historyVM.loadOrderInfo(this.dataset.id);
		historyVM.getAccountList();
		mui('#purchaseHistory')[0].style.display = "block";
		mui('#caigouDom')[0].style.display = "none";
	});
	mui(".cmdHistory").on('tap', '.historyItem', function () {
		sessionStorage.setItem("cgDateFirst", indexVM.cgDateFirst);
		sessionStorage.setItem("cgDateLast", indexVM.cgDateLast);
		sessionStorage.setItem("draftTime", indexVM.draftTime);
		sessionStorage.setItem("historyTime", indexVM.historyTime);
		sessionStorage.setItem("logistics_number", indexVM.logistics_number);
		indexVM.his_click = this.dataset.id;
		historyVM.loadOrderInfo(this.dataset.id);
		historyVM.getAccountList();
		indexVM.historyId = this.dataset.id;
        mui('#purchaseHistory')[0].style.display = "block";
        // mui('#caigouDom')[0].style.display = "none";
		mui('#caigouDom')[0].style.visibility = "hidden";
	});

	mui(".cmdDraft").on('tap', '.historyDraftItem', function () {
		var useamount = this.dataset.useamount,amount = this.dataset.amount;
		var id = this.dataset.id;
		indexVM.draft_click = id;
		localStorage.removeItem("selProductList");
		sessionStorage.removeItem("AB_purchase");
		sessionStorage.removeItem("selectedDepot");
		sessionStorage.removeItem("selectedSupplier");
		sessionStorage.removeItem("selectedBuyer");
		sessionStorage.removeItem("createDate");
		sessionStorage.removeItem("remark");
		sessionStorage.removeItem("product");
		sessionStorage.setItem("draftId", id);
		localStorage.setItem("pageTabId", "draft");
		sessionStorage.setItem("cgDateFirst", indexVM.cgDateFirst);
		sessionStorage.setItem("cgDateLast", indexVM.cgDateLast);
		sessionStorage.setItem("draftTime", indexVM.draftTime);
		sessionStorage.setItem("logistics_number", indexVM.logistics_number);
		localStorage.setItem("companyName",indexVM.companyName);
		sessionStorage.removeItem("type");
		var listSend = {};
		listSend.draftId = id;
		listSend.supplierList = JSON.parse(sessionStorage.getItem("supplierList"));
		viewHandle.viewFire('draft.html','draftUpdate',listSend);
		viewHandle.openWindow( 'draft.html','draft.html',JSON.stringify(listSend));
	})

	mui(".cmdDraft").on('tap', '.mui-table>tbody>tr', function () {
		var id = this.dataset.id;
		sessionStorage.removeItem("AB_purchase");
		localStorage.removeItem("selProductList");
		sessionStorage.removeItem("selectedDepot");
		sessionStorage.removeItem("selectedSupplier");
		sessionStorage.removeItem("selectedBuyer");
		sessionStorage.removeItem("createDate");
		sessionStorage.removeItem("remark");
		sessionStorage.removeItem("product");
		sessionStorage.setItem("draftId", id);
		localStorage.setItem("pageTabId", "draft");
		sessionStorage.setItem("cgDateFirst", indexVM.cgDateFirst);
		sessionStorage.setItem("cgDateLast", indexVM.cgDateLast);
		sessionStorage.setItem("draftTime", indexVM.draftTime);
		localStorage.setItem("companyName",indexVM.companyName);
		sessionStorage.removeItem("type");
		viewHandle.openWindow( 'draft.html','draft.html');
	})
	//日期选择
	var lsDateFirst = new mui.DtPicker({
		type: "date",
		labels: ['年', '月', '日']
	})
	var lsDateLast = new mui.DtPicker({
		type: "date",
		labels: ['年', '月', '日']
	})
	var cgDateFirst = new mui.DtPicker({
		type: "date",
		labels: ['年', '月', '日']
	})
	var cgDateLast = new mui.DtPicker({
		type: "date",
		labels: ['年', '月', '日']
	})
	var createDate = new mui.DtPicker({
		type: "date",
		labels: ['年', '月', '日']

	});

	var deliveryDate = new mui.DtPicker({
		type: "date",
		labels: ['年', '月', '日']
	});

	/*点击出货按钮*/
	mui(".mui-bar-tab").on('tap', ".chuhuo", function () {
		goPages(this.dataset.id, this);
	});

	/*点击库存按钮*/
	mui(".mui-bar-tab").on('tap', ".kucun", function () {
		goPages(this.dataset.id, this);
	});

	/*点击财务按钮*/
	mui(".mui-bar-tab").on('tap', ".finance", function() {
		goPages(this.dataset.id, this);
	});

	/*点击统计按钮*/
	mui(".mui-bar-tab").on('tap', ".tongji", function () {
		goPages(this.dataset.id, this);
	});

	function byBarcode() {
		indexVM.isEnter = true;

		var data = {
			'depot_id': indexVM.selectedDepot,
			'barcode': indexVM.searchMsg
		}
		mui.ajax(severUrl + "scm/product/qryOpByBarcode.json", {
			data: data,
			headers: {
				'Content-Type': 'application/x-www-form-urlencoded'
			},
			xhrFields: {
				withCredentials: true
			},
			dataType: 'json',
			type: 'post',
			timeout: 10000,
			success: function (res) {
				indexVM.searchMsg = '';
				indexVM.isEnter = false;

				if (res.success) {
					mui.toast('扫描成功');
					var res = res.data;
					var flag = [];
					var index = 0;
					var count = 0;
					var indexList = 0;

					res.amt = res.amount;
					res.list[0].ordertype = 0;

					for (var j = 0, jen = indexVM.selProductList.length; j < jen; j++) {
						if (indexVM.selProductList[j].list.length == 0) {
							indexVM.selProductList.splice(j, 1);
						}
					}

					if (!indexVM.selProductList || indexVM.selProductList.length == 0) {
						indexVM.selProductList.push(res);
						localStorage.setItem("selProductList", JSON.stringify(indexVM.selProductList));
					} else {
						for (var i = 0, len = indexVM.selProductList.length; i < len; i++) {
							for (var x in res) {
								for (var j = 0, jen = indexVM.selProductList[i].list.length; j < jen; j++) {
									if (indexVM.selProductList[i].id == res.id
										&& indexVM.selProductList[i].depot_id == res.depot_id
										&& indexVM.selProductList[i].list[j].size_id == res.list[0].size_id
										&& indexVM.selProductList[i].list[j].color_id == res.list[0].color_id
									) {
										count = (indexVM.selProductList[i].list[j].count + res.list[0].count);
										flag.push(true);
										index = i;
										indexList = j;
									} else {
										flag.push(false);
									}
								}
							}
						}

						if (_.contains(flag, true)) {
							indexVM.selProductList[index].list[indexList].count = count;
						}
						if (_.contains(flag, true) == false && indexList == 0) {
							indexVM.selProductList.push(res);
						}
					}

					localStorage.setItem("selProductList", JSON.stringify(indexVM.selProductList));
					indexVM.calculation();
					indexVM.$nextTick(function () {
						mui('.mui-switch')['switch']();
					})
				} else {
					mui.toast(res.msg);
				}
			}
		});
	}


    mui('body').on('tap', '.icon-sousuo', function () {
        $(".productSearchIpt").focus();
    });

	mui('body').on('tap', '.lsDateFirst', function () {
		var _self = this;
		lsDateFirst.show(function (e) {
			indexVM.timeSearchType = '';
			indexVM.lsDateFirst = e.text;
		})
	});
	mui('body').on('tap', '.lsDateLast', function () {
		var _self = this;
		lsDateLast.show(function (e) {
			indexVM.timeSearchType = '';
			indexVM.lsDateLast = e.text;
		})
	});
	mui('body').on('tap', '.cgDateFirst', function () {
		var _self = this;
		cgDateFirst.show(function (e) {
			indexVM.draftTimeSearchType = '';
			indexVM.cgDateFirst = e.text;
		})
	});
	mui('body').on('tap', '.cgDateLast', function () {
		var _self = this;
		cgDateLast.show(function (e) {
			indexVM.draftTimeSearchType = '';
			indexVM.cgDateLast = e.text;
		})
	});
	mui('body').on('tap', '.createDate', function () {
		var _self = this;
		createDate.show(function (e) {
			indexVM.createDate = e.text;
			isAutoDate = false
			// isDateCopy = undefined
		})
	});
	mui('body').on('tap', '.deliveryDate', function () {
		var _self = this;
		deliveryDate.show(function (e) {
			indexVM.deliveryDate = e.text;
		})
	});
	mui('body').on('tap', '.procurement', function () {
		if (indexVM.isProductCopy){ //有赠品 禁止从订单开单
			let checkchoose = document.querySelector('#checkchoose')
			checkchoose && (checkchoose.checked = false)
		}
		if (indexVM.selProductList.length == 0) {
			mui.toast('请选择商品');
			return;
		}
		indexVM.verifySupplierName()
		//if(indexVM.accountList.length ==0){
			getAccountList();
		//}
		mui('#purchase').popover('toggle');
	});
	//点击对账
	mui('body').on('tap', '.reconciliation', function () {
        var startTime='';
        var endTime='';
        if(indexVM.lsDateFirst){
            startTime=$comm.DATE_UTIL.formatDate(indexVM.lsDateFirst);
            endTime=$comm.DATE_UTIL.formatDate(indexVM.lsDateLast);
        }else{
            startTime= $comm.DATE_UTIL.formatDate(indexVM.historyTime);
            endTime= $comm.DATE_UTIL.formatDate(indexVM.historyTime);
        }
        searchRecon(startTime,endTime);
    });
    function searchRecon(startTime, endTime) {
		indexVM.all_debt_amt = 0.00;
		indexVM.profit = 0.00;
		indexVM.reconTotal = 0;
		indexVM.orderInfoList = [];
        mui.ajax(severUrl + "scm/order/getAllOrderInfoByTimes.json", {
            data: {
				depot_id:indexVM.his_category_data.depot_id,
				search_condition: indexVM.his_search,
				delivery_status:indexVM.his_category_data.delivery_type,
				debt_status:indexVM.his_category_data.pay_type,
				print_status:indexVM.his_category_data.print_type,
                ordertype: 0, // 1 为销售对账  0 为采购对账
                start_date:startTime,
                end_date:endTime
            },
            headers: {
                'Content-Type': 'application/x-www-form-urlencoded'
            },
            xhrFields: {
                withCredentials: true
            },
            dataType: 'json',
            type: 'post',
            timeout: 10000,
            success: function (res) {
                if (res.success) {
					var orderInfoList = [];
					$.each(indexVM.accountList,function(i,v){
						if(v.is_disable == 0){
							var list = {
								name:v.name,
								type:v.type,
								amt:0
							}
							orderInfoList.push(list)
						}
					})
					var all_debt_amt = 0,profit = 0,reconTotal = 0,all_receive_discount=0;
					$.each(res.data, function(index, val){

						all_debt_amt += Number(val.all_debt_amt)
						profit += Number(val.all_profit_amt)
						reconTotal += Number(val.all_amt)
						all_receive_discount += Number(val.all_receive_discount)

						$.each(orderInfoList, function(j, k){
							if(val.pay_status == k.type){
								k.amt +=Number(val.all_amt);
								k.amt = numToCur(k.amt,indexVM.systemSetting.price_decimals_setting,'price')
							}
						})
					})
					indexVM.all_debt_amt = numToCur(all_debt_amt,indexVM.systemSetting.price_decimals_setting,'price');
					indexVM.profit = numToCur(profit,indexVM.systemSetting.amount_decimals_setting);
					indexVM.reconTotal = numToCur(reconTotal,indexVM.systemSetting.amount_decimals_setting);
					indexVM.totalDiscount = numToCur(all_receive_discount,indexVM.systemSetting.price_decimals_setting, 'price') //总优惠
					indexVM.orderInfoList = orderInfoList
					mui('#ph_recon').popover('toggle');
                }else{
                	mui.toast(res.msg)
				}
            },
			error(){
				mui.toast('网络错误！')
			}
        });
    }
	mui('body').on('click', '.ph_recon_Close', function () {
		mui('#ph_recon').popover('toggle');
		//		indexVM.moLing=0;
	});
	mui('body').on('tap', '.addMoling', function () {
		//		if(indexVM.moLing<indexVM.totalPrice){
		indexVM.moLing++;

		if (indexVM.totalPrice > 0) {
			indexVM.truePay--;
		} else {
			indexVM.truePay++;
		}
		//		}
	});
	mui('body').on('tap', '.reduceMoling', function () {
		if (indexVM.moLing > 0) {
			indexVM.moLing--;

			if (indexVM.totalPrice > 0) {
				indexVM.truePay++;
			} else {
				indexVM.truePay--;
			}
		}
	});
	mui('.popover').on('tap', '.cancelPurchase', function () {
		mui('#purchase').popover('toggle');
		indexVM.moLing = 0;
		indexVM.editTotalPrice = indexVM.totalPrice;
		indexVM.truePayFirst = true;
	});
	mui('.draftPurchase').on('tap', '.draftCancelPurchaseOrder', function () { //高级版订单
		indexVM.totalPrice = indexVM.editTotalPrice
		mui('#draftPurchase').popover('toggle');
	});

	mui('body').on('tap','.payType',function(){
		mui.confirm("", "付款方式", ["取消","确定"], function (e) {
			if(e.index==1){
				let $colorOrange = $(".colorOrange")
				var type = $colorOrange.attr("type");
				var id = $colorOrange.attr("id");
				indexVM.pay_status = Number(type)
				indexVM.account_id = id;
			}else{

			}
		},'div');
		//样式重写
		let $mui_popup_inner = $(".mui-popup-inner")
		$(".mui-popup-in").css('border-radius',0);
		$mui_popup_inner.css('border-radius','6px');
		$mui_popup_inner.css('overflow','hidden');
		$mui_popup_inner.css('padding',0);
		$(".mui-popup-title").remove();
		$(".mui-popup-buttons").css('display','none');
		var muiPrompt = '';
		let defColor = '#b74c00'
		let color = {
			1: '#fe7e7e',
			2: '#09aaf0',
			3: '#51c232',
			4: '#f90000',
		}
		let defIcon = 'icon-qitaphone'
		let icon = {
			1: 'icon-xianjin',
			2: 'icon-zhifubao',
			3: 'icon-icon1460188541813',
			4: 'icon-bank-card',
		}
		function getColor(v){
			return !indexVM.pay_status ? (v.is_default === 1 ? 'colorOrange' : '') : ( indexVM.pay_status === v.type ? 'colorOrange' : '')
		}
		mui.each(indexVM.accountList,function(i,v){
			if (v.is_disable != 1){
				muiPrompt +=
					'<div class="payTypeDiv chooessType">' +
						'<div style="display: flex; flex: 1;">' +
							'<span class="iconfont ' + (icon[v.type] || defIcon) + '" style="color: '+ (color[v.type] || defColor) +'">&nbsp;</span>' +
							'<span class="chooseColor ' + getColor(v) +'" type="' + v.type + '" id="' + v.id + '">' + v.name + '</span>' +
						'</div>' +
						'<div style="width: 24px">' +
							'<span class="mui-icon mui-icon-checkmarkempty chooseColor ' + getColor(v) + '" style="font-size: 36px; display: none;"></span>' +
						'</div>' +
					'</div>'
			}
		})
		$(".mui-popup-text").html(muiPrompt);
	});
	mui("body").on('tap','.chooessType',function(){
		$('.chooseColor').removeClass("colorOrange")
		$(this).find('.chooseColor').addClass("colorOrange")
		mui.trigger(document.getElementsByClassName("mui-popup-button-bold")[0],'tap');
	});


    //历史打印
    mui('#purchaseHistory').on('tap', '#historyOrder', function () {
        if($("#printDiv").is(':visible')){
            $("#printDiv").hide();
        }else{
            $("#printDiv").show();
        }
        mui.ajax(severUrl + "sso/company/qry.json", {
            data: {
                id: ""
            },
            headers: {
                'Content-Type': 'application/x-www-form-urlencoded'
            },
            xhrFields: {
                withCredentials: true
            },
            dataType: 'json',
            type: 'post',
            timeout: 10000,
            success: function (res) {
                indexVM.status = res.data.status;
            }
        });
    });
    mui('#purchaseHistory').on('tap', '#printBarcode', function () {
        if (indexVM.status == 1) {
			$("#printDiv").hide();
        	if(indexVM.vipLevel==1 && indexVM.systemSetting.sn_setting == 1){ // 打印序列号
        		var list = historyVM.productListCai.concat(historyVM.productListTui);
				var listSend = {
					model:list[0].product_model,
					name:list[0].product_name,
					print_list:list,
					parentPage:'cai_his_print'
				};
				viewHandle.openWindow("sns_print.html","sns_print.html",JSON.stringify(listSend))
			}else{ // 打印条码 - 跳转条码打印页面
        		let printUtil = new $class.CreatePrintUtil()
				printUtil.jump('label', [historyVM.historyId], {keyList: keyList}).then().catch(function(e){
					mui.alert(e.msg, e.title, function () {
					},'div');
					$("#printDiv").hide();
				})
			}
        }else{
            $("#printDiv").hide();
            $comm.showLimitPrint({rootPath:'./'})
        }
    });
    mui('#purchaseHistory').on('tap', '#printBill', function () {
            if (indexVM.status == 1) {
                var shuju=sessionStorage.getItem("historyPrint");
				shuju = formatDataPrint(shuju)
                var senShuJu=shuju.substring(1,shuju.length-1);
                if (shuju) {
					$("#printDiv").hide();
					$API.print.modifyPrintStatus({id: historyVM.historyId}).catch(function(e){mui.toast('打印状态修改失败！')})
					if (mui.os.ios == true) {
                        receiptPrint_i(senShuJu,indexVM.purchaseManager)
                    } else if (mui.os.android == true) {
						printBill(senShuJu,indexVM.purchaseManager)
                    }
                }

            } else {
                $comm.showLimitPrint({rootPath:'./'})
            }
    });

	mui('.popover').on('tap', '.orderPrint', function () {
		if(indexVM.accountBalance != 'default'){
			if(Number(indexVM.accountBalance) <0){
				if(Number(indexVM.editTotalPrice) >0){
					if((Number(indexVM.accountBalance) + Number(indexVM.noPay)) >0){
						mui.confirm("供应商余额不足！"+numToCur(Number(indexVM.accountBalance) + Number(indexVM.noPay),indexVM.systemSetting.price_decimals_setting,'price')+"元将计入供应商欠款。", "提示", ["取消","确定"], function (e) {
							if(e.index==1){
								indexVM.noPay = numToCur(Number(indexVM.accountBalance) + Number(indexVM.noPay),indexVM.systemSetting.price_decimals_setting,'price');
								dikou_amt = true;
								newOrderPrint()
							}else{

							}
						},'div');
						return false
					}else{
						newOrderPrint()
					}
				}else{
					newOrderPrint()
				}
			}else{
				if(Number(indexVM.editTotalPrice) < 0){
					if((Number(indexVM.accountBalance) + Number(indexVM.noPay)) <0){
						mui.confirm("欠供应商款不足抵扣！"+numToCur(Number(indexVM.accountBalance) + Number(indexVM.noPay),indexVM.systemSetting.price_decimals_setting,'price')+"元 将充入供应商余额。", "提示", ["取消","确定"], function (e) {
							if(e.index==1){
								indexVM.noPay = numToCur(Number(indexVM.accountBalance) + Number(indexVM.noPay),indexVM.systemSetting.price_decimals_setting,'price');
								dikou_amt = true;
								newOrderPrint()
							}else{
							}
						},'div');
					}else{
						newOrderPrint()
					}
				}else{
					newOrderPrint()
				}
			}
		}else{
			newOrderPrint()
		}
	});

	function newOrderPrint(){
		mui('.procurement').button('loading');
		// $(".orderPrint").css('pointer-events','none');
		$("button").css('pointer-events','none');
		mui.ajax(severUrl + "sso/company/qry.json", {
			data: {
				id: ""
			},
			headers: {
				'Content-Type': 'application/x-www-form-urlencoded'
			},
			xhrFields: {
				withCredentials: true
			},
			dataType: 'json',
			type: 'post',
			timeout: 10000,
			success: function (res) {
				if (res.data.status == 1) {
					if (indexVM.selProductList.length != 0) {
						var printData = purchaseData();
						if(indexVM.positionName){
							mui.each(indexVM.allUserList, function(i, v) {
								if (indexVM.orderUserId == v.id) {
									return printData.real_name = v.realname
								}
							})
						}else{
							printData.real_name = indexVM.realname;
						}
						mui.each(indexVM.accountList,function(i,v){
							if(indexVM.pay_status == v.type){
								return printData.account_name = v.name
							}
						})
						printData.head_name=indexVM.realname;
						printData.print_address=indexVM.consignee_address;

						printData.real_name = indexVM.realname;
						if(dikou_amt){
							printData.truePay = numToCur(indexVM.truePay - (printData.deduction_amt || 0),indexVM.systemSetting.price_decimals_setting,'price');
						}else{
							printData.truePay = numToCur(indexVM.truePay,indexVM.systemSetting.price_decimals_setting,'price');
						}
						printData.depot_name = indexVM.depotName;
						printData.customer_name = indexVM.supplierName;
						printData.company_name = indexVM.companyName;
						printData = formDataProductCopy(printData,indexVM.productCopyAdd, true)

						// 采购
						createOrder(purchaseData(), function (orderId, orderSN,logisticsNumber,deliveryCompanyStr) {
							localStorage.removeItem("selProductList");
							localStorage.removeItem("AB_purchase")
							sessionStorage.removeItem("selectedSupplier");
							sessionStorage.removeItem("selectedDepot");
							sessionStorage.removeItem("logistics_number");
							localStorage.setItem("productListPage","refresh");
							localStorage.setItem("pinProductListPage","refresh");
							localStorage.setItem("draftProductListPage","refresh");
							localStorage.setItem("pinDraftProductListPage","refresh");
							localStorage.setItem("cunInventoryListPage","refresh");
							localStorage.setItem("cunAlloctionListPage","refresh");
							$("button").css('pointer-events','auto');
							mui('.procurement').button('reset');
							indexVM.selProductList = [];
							indexVM.remark = "";
							setTimeout(function(){
								$('#remark[autoHeight]').autoHeight();
							},280)
							indexVM.logistics_number = '';
							indexVM.consignee_address = '';
							indexVM.moLing = 0;
							indexVM.truePayFirst = true;
							indexVM.truePay = 0;
							dikou_amt = false;
							printData.is_check_customer = indexVM.accountBalance === 'default'
							indexVM.accountBalance = 'default';
							indexVM.expenseName='';
							indexVM.expense=0;
							indexVM.expenseId='';
							indexVM.expenseDegression=0;
							indexVM.calculation();
							var date = new Date(indexVM.historyTime);
							var searchTime = date.getFullYear() + "-" + ((date.getMonth() + 1) < 10 ? "0" + (date.getMonth() + 1) : (date.getMonth() + 1)) + "-" + (date.getDate() < 10 ? "0" + date.getDate() : date.getDate());
							getIndexMenu();
							$API.print.modifyPrintStatus({id: orderId}).catch(function(e){mui.toast('打印状态修改失败！')})
							printData.ordersn = orderSN
							printData.logistics_number = logisticsNumber
							printData.delivery_company_name = deliveryCompanyStr


							if (mui.os.ios == true) {
								receiptPrint_i(JSON.stringify(printData),indexVM.purchaseManager)
							} else if (mui.os.android == true) {
								printBill(JSON.stringify(printData),indexVM.purchaseManager)
							}
						})
					}

				} else {
					$comm.showLimitPrint({rootPath:'./'})
					$("button").css('pointer-events','auto');
					mui('.procurement').button('reset');
				}
				mui(".pullReFresh").scroll().scrollTo(0,0,0);
				window.scrollTo(0,0);
			}
		});
	}

	mui('body').on('tap', '.firstSlider', function () {
		this.style.color = "#fff";
		var self = this;
		var itl = setTimeout(function () {
			self.style.color = "#000";
			clearTimeout(itl);
		}, 100);
		var sliderIndex = mui('#slider .mui-slider-item.muiActive')[0].dataset.index;
		var gallery = mui('#slider');
		gallery.slider().gotoItem(--sliderIndex);
	});
	mui('body').on('tap', '.lastSlider', function () {
		this.style.color = "#fff";
		var self = this;
		var itl = setTimeout(function () {
			self.style.color = "#000";
			clearTimeout(itl);
		}, 100);
		var sliderIndex = mui('#slider .mui-slider-item.muiActive')[0].dataset.index;
		var gallery = mui('#slider');
		gallery.slider().gotoItem(++sliderIndex);
	});

	/*点击订单查询按钮*/
	mui('body').on('click', '.searchEnterDraft', function () {
		searchEnterDraft(indexVM.cgDateFirst,indexVM.cgDateLast, 'init');
	});
	/*点击查询*/
	mui('body').on('click', '.searchEnterHistory', function () {
		searchEnterHistory(indexVM.lsDateFirst,indexVM.lsDateLast,'init');
		// if(indexVM.lsDateFirst == '' || indexVM.lsDateLast == ''){
		// 	indexVM.lsDateFirst=loadBeforeMarchDate(1);
		// 	indexVM.lsDateLast=loadNowDate(1);
		// }
		// var data = timedifference(indexVM.lsDateFirst,indexVM.lsDateLast);
		// if(data > 92){
		// 	mui.toast("时间范围不能大于三个月，请分段查询");
		// 	return;
		// }
		// mui.ajax(severUrl + "scm/order/dataGrid.json", {
		// 	data: {
		// 		start_date: indexVM.lsDateFirst,
		// 		end_date: indexVM.lsDateLast,
		// 		ordertype: 0,
		// 		submit_status: -1,
		// 		rows: 1000,
		// 		page: 1
		// 	},
		// 	headers: {
		// 		'Content-Type': 'application/x-www-form-urlencoded'
		// 	},
		// 	xhrFields: {
		// 		withCredentials: true
		// 	},
		// 	beforeSend: function() {
		// 		mui('#dh')[0].style.display = "block";
		// 	},
		// 	complete: function() {
		// 		mui('#dh')[0].style.display = "none";
		// 	},
		// 	dataType: 'json',
		// 	type: 'post',
		// 	timeout: 10000,
		// 	success: function (res) {
		// 		if (res.success) {
		// 			indexVM.searchEnterHistoryList = res.data.list;
		// 			indexVM.calculationls();
		// 			mui('#historyContent').scroll().refresh();   //先刷新一次布局再scrollTo
		// 			mui('#historyContent').scroll().scrollTo(0, 0, 100); //100毫秒滚动到顶
		// 			if(res.data.totalPage > 1){
		// 				mui.toast("单据数量太大，系统只显示前1000个单据及单据合计");
		// 			}
		// 		} else {
		// 			mui.toast(res.msg);
		// 		}
		// 	},
		// 	error:function(res){
		// 		if(res.statusText == 'timeout'){
		// 			mui.toast("单据太多，查询超时")
		// 		}
		// 	}
		// });
	});
	/*点击草稿*/
	mui('body').on('click', '.addDraft', function () {
		if (indexVM.selProductList.length == 0) {
			mui.toast('请选择商品');
			return;
		}
		if(indexVM.vipLevel == 1){
			mui('#draftPurchase').popover('toggle');
		}else{
			vipOrderSave()
		}
	});
	mui('body').on('tap','.vipOrderSave',function(){
		vipOrderSave()
	})
	function vipOrderSave(){
		if (indexVM.selProductList.length != 0) {
			/*order_flag*/
			var productList = [];
			mui.each(indexVM.selProductList, function (index, product) {
				if (product.depot_id == indexVM.selectedDepot) {
					mui.each(product.list, function (index2, value) {
						if (value.count != 0) {
							let amount = Number(value.count) * (product.unitChooseRatio || 1)
							let data = {
								product_id: product.id,
								product_model: product.model,
								product_name: product.name,
								barcode:value.barcode,
								ordertype: value.ordertype,
								type: value.ordertype,
								purchase_price: product.purchase_price,
								product_sn_list:value.product_sn_list || [],
								// sale_price: product.sale_price,
								// amt: product.amt,
								sale_price: Number(product.sale_price) / (product.unitChooseRatio || 1),
								amt: Number(product.amt) / (product.unitChooseRatio || 1),
								color_id: value.color_id,
								color_name: value.color_name,
								size_id: value.size_id,
								size_name: value.size_name,
								amount: amount,
								unitChooseId: product.unitChooseId || '',
								unitChooseName: product.unitChooseName||'',
								unitChooseRatio: Number(product.unitChooseRatio) || '',
								unitMinName:product.unitMinName || '',
								__id__: value.__id__,
								description: value.remark || '',
								product_color_size_id: value.product_production_batch_list && value.product_production_batch_list.length>0?value.product_production_batch_list[0].product_color_size_id:'',
								production_batch_id: '',
								production_batch_number: value.product_production_batch_list && value.product_production_batch_list.length>0?value.product_production_batch_list[0].production_batch_number:'',
								production_date_str: value.product_production_batch_list && value.product_production_batch_list.length>0?value.product_production_batch_list[0].production_date_str:'',
								expire_date_ms:value.product_production_batch_list && value.product_production_batch_list.length>0?value.product_production_batch_list[0].expire_date_ms:'',
								production_amount:value.product_production_batch_list && value.product_production_batch_list.length>0?value.production_amount:'',//采购这边是 对count数量的商品 设置批次 表示该批次有多少该商品
							}
							if( product.type === 0 && value.product_production_batch_list && value.product_production_batch_list.length>0 ){
								data.production_amount = value.count
							}
							data.production_amount = Number(data.production_amount) * (product.unitChooseRatio || 1)
							productList.push(data);
						}
					})
				}
				mui(".pullReFresh").scroll().scrollTo(0,0,0);
				window.scrollTo(0,0);
			});
			var date = new Date();
			var time = indexVM.createDate + " " + (date.getHours() < 10 ? ("0" + date.getHours()) : date.getHours()) + ":" + (date.getMinutes() < 10 ? ("0" + date.getMinutes()) : date.getMinutes()) + ":" + (date.getSeconds() < 10 ? ("0" + date.getSeconds()) : date.getSeconds());
			console.log(JSON.stringify(indexVM.remark,null,2));
			if(indexVM.moLing ==''){
				indexVM.moLing =0;
			}
			var logistics_number = '';
			if(indexVM.deliveryType !=0){
				logistics_number = indexVM.logistics_number;
			}

			let list=JSON.parse(localStorage.getItem('orderRemarkTempImg'))
			let fileNames=''
			if(list&&list.length!=0){
				mui.each(list,function (index,val){
					if(index!=list.length-1){
						fileNames+=val.name+';'
					}else{
						fileNames+=val.name
					}
				})
			}
			console.log(fileNames)
			createOrder({
				id: '',
				remark: indexVM.remark,
				sign_date: time,
				customer_id: indexVM.selectedSupplier,
				customer_name: indexVM.supplierName,
				depot_id: indexVM.selectedDepot,
				rebate_amt: indexVM.moLing,
				order_amt: indexVM.totalPrice,
				amount: indexVM.totalAmount,
				logistics_number:logistics_number, //快递单号
				consignee_address:indexVM.consignee_address, //收货单号
				ordertype: 0,
				pay_status: indexVM.vipLevel==1?indexVM.pay_status:1,//1为现金、2为支付宝、3为微信，默认为1
				submit_status: 1,
				productlistlength: productList.length,
				//草稿物流信息参数保存
				order_flag: indexVM.order_flag, // 1为红，2为黄，3为蓝，4为绿，5为无, 默认为5
				delivery_status: indexVM.deliveryStatus,
				delivery_type: indexVM.deliveryType,
				productlist: productList,
				color_show:indexVM.color_show, //全行业参数
				size_show:indexVM.size_show, //全行业参数
				unit_show:indexVM.unit_show, //全行业参数
				origin_specification:indexVM.origin_specification, //全行业参数
				picture_names:fileNames
			}, function () {
				localStorage.removeItem("selProductList");
				sessionStorage.removeItem("selectedSupplier");
				localStorage.removeItem("AB_purchase");
				sessionStorage.removeItem("selectedDepot");
				sessionStorage.removeItem("logistics_number");
				indexVM.selProductList = [];
				indexVM.remark = "";
				setTimeout(function(){
					$('#remark[autoHeight]').autoHeight();
				},280)
				indexVM.moLing = 0;
				indexVM.logistics_number = '';
				indexVM.consignee_address = '';
				indexVM.expenseName='';
				indexVM.expense=0;
				indexVM.expenseId='';
				indexVM.expenseDegression=0;
				indexVM.calculation();
				var date = new Date(indexVM.draftTime);
				var searchTime = date.getFullYear() + "-" + ((date.getMonth() + 1) < 10 ? "0" + (date.getMonth() + 1) : (date.getMonth() + 1)) + "-" + (date.getDate() < 10 ? "0" + date.getDate() : date.getDate());
				// searchEnterDraft(searchTime, searchTime, 'init');
				getIndexMenu();
			})
		}
	}
	/*点击 确认开单 按钮*/
	mui('body').on('click', '.cgCreateOrder', function () {
		if(indexVM.selectedSupplier =="" || indexVM.selectedSupplier == undefined){
			mui.toast("供应商错误,请确认权限！");
			return false
		}
		if(indexVM.vipLevel == 1){
			if(document.getElementById("checkchoose") && document.getElementById("checkchoose").checked){
				viewHandle.waiting("已有单据查询中...")
				var draftKaidanCheck = [];
				for (var i = 0; i < indexVM.selProductList.length; i++) {
					for (var j = 0; j < indexVM.selProductList[i].list.length; j++) {
						if (indexVM.selProductList[i].list[j].count > 0) {
							var kaidanProductInfo = {
								product_id: indexVM.selProductList[i].list[j].product_id,
								amount: indexVM.selProductList[i].list[j].count * (indexVM.selProductList[i].unitChooseRatio || 1),
								type: indexVM.selProductList[i].list[j].ordertype,
								color_id: indexVM.selProductList[i].list[j].color_id,
								size_id: indexVM.selProductList[i].list[j].size_id
							};
							draftKaidanCheck.push(kaidanProductInfo);
						}
					}
				}
				canOrderByDraft(draftKaidanCheck)
			}else{
				vip_newCreateOrder()
			}
		}else{
			vip_newCreateOrder()
		}
	});
	mui('body').on('tap', '.kefu', function () {
		viewHandle.openWindow('message.html','message.html')
	});
	mui('body').on('tap', '#go_shopping', function () {
		viewHandle.openWindow('valueAddedService.html','valueAddedService.html')
	});
	var tap_first  = null;
	function unsafe_tap(){
		if(!tap_first){
			tap_first = new Date().getTime();
			setTimeout(function() {
				tap_first = null;
			}, 1500);
		}else{
			return true;
		}
	}
    /*左侧导航 小程序管理*/
    mui('body').on('tap','.LPsettings',function(){
		viewHandle.openWindow( 'view/adminSettings.html','adminSettings.html');
        //location = 'view/adminSettings.html'
//        mui.openWindow({
//            id:'LPsetting',
//            url:'view/adminSettings.html'
//        })
    });
	mui('body').on('tap','.sns_list_qry',function(){
		viewHandle.openWindow('sns_list.html','sns_list.html')
	})
	mui('body').on('tap','.batch_list_qry',function(){
		viewHandle.openWindow('batch_list.html','batch_list.html')
	})
	mui('body').on('tap', '.bill_collection', function () { //票据设置
		var typeList={
			size_show: indexVM.size_show,
			color_show: indexVM.color_show,
			unit_show: indexVM.unit_show,
			origin_specification: indexVM.origin_specification,
			ordertype:2
		}
		mui.os.ios ? printCollocate_b():printConfiguration_b(typeList,indexVM.purchaseManager)
	});
	mui('body').on('tap', '.label_collection', function () { //标签设置
		mui.ajax(severUrl + "scm/productother/dataGrid.json", {
			data: {
			},
			headers: {
				'Content-Type': 'application/x-www-form-urlencoded'
			},
			xhrFields: {
				withCredentials: true
			},
			dataType: 'json',//服务器返回json格式数据
			type: 'post',//HTTP请求类型
			timeout: 10000,//超时时间设置为10秒；
			success: function (res) {
				if(res.success){
					var send = [],list = {};
					list = {
						"keyList":res.data.list
					}
					send.push(list);
					mui.os.ios ? printCollocate_i(send):printConfiguration(send);
				}
			}
		});
	});

	/*扫描二维码字体图标点击事件*/
	mui('body').on('tap', '.sweepCode', function () {
		// if(!positionName && !storeManager && !purchaseManager){
		// 	mui.toast("您没有该权限");
		// 	return
		// }
		mui.each(indexVM.depotList, function (index, value) {
			if (value.id == indexVM.selectedDepot) {
				var depot = value.name;
				if (value.name.indexOf('#') != -1) {
					depot = encodeURIComponent(value.name);
				}
				var cookie ='ecp_cookie='+localStorage.getItem("HF");
				var sendUrl = 'zhijianjxcapp://productscan/param?depot_id=' + indexVM.selectedDepot + '&depot_name=' + depot + '&ordertype=0' + '&is_manager='+indexVM.purchaseManager+ '&sn_setting='+indexVM.systemSetting.sn_setting;
				sendUrl += '&type=' + indexVM.currentInnerPage
				if (mui.os.ios == true) {
					sweepCode_i(cookie,sendUrl,888)
				} else if (mui.os.android == true) {
					sweepCode(cookie,sendUrl,888)
				}
			}
		});
	});

	/*左侧导航 客户管理*/
	mui('body').on('tap', '.customerSetting', function () {
		viewHandle.openWindow( 'view/customerSetting.html','customerSetting.html');
		//location = 'view/customerSetting.html'
//		mui.openWindow({
//			id: 'customerSetting',
//			url: 'view/customerSetting.html'
//		});
	});

	/*左侧导航 供应商管理*/
	mui('body').on('tap', '.supplierSetting', function () {
		viewHandle.openWindow( 'view/supplierSetting.html','supplierSetting.html');
		//location = 'view/supplierSetting.html'
//		mui.openWindow({
//			id: 'supplierSetting',
//			url: 'view/supplierSetting.html'
//		});
	});

	/*左侧导航 仓库设置 点击跳转*/
	mui('body').on('tap', '.warehouseSettings', function () {
		var listSend = {};
		viewHandle.openWindow( 'warehouseSettings.html','warehouseSettings.html');
		//location = 'warehouseSettings.html'
//		mui.openWindow({
//			id: 'warehouseSettings',
//			url: 'warehouseSettings.html'
//		});
	});

	/*左侧导航 员工账户管理*/
	mui('body').on('tap', '.addUser', function () {
	    viewHandle.openWindow('view/user.html','user.html')
	});

	mui('body').on('tap', '.userList', function () {
	     viewHandle.openWindow('view/userList.html','userList.html')
	});

	mui('body').on('tap', '.clearHC', function () {
		clearCash();
	});

}

function goPages(id, that) {
	for (var i = 0, len = indexVM.selProductList.length; i < len; i++) {
		if (indexVM.selProductList[i].depot_id == indexVM.selectedDepot) {
			for (var j = 0, jen = indexVM.selProductList[i].list.length; j < jen; j++) {
				if (indexVM.selProductList[i].list[j].count != 0) {
					mui.confirm('此页面有数据未提交，离开此页将丢失数据，是否离开此页？', '提示', ["取消","确定"], function (e) {
						if (e.index == 1) {
							localStorage.removeItem('orderRemarkTempImg')
							indexVM.deleteProductCopyItem()
							indexVM.saveProductCopyToLocalStorage()
							indexVM.selProductList = [];
							localStorage.removeItem("selProductList");
							//location=id + '.html'
							var html = id + '.html'
							if(id == 'xiao'){
								var pageAction = localStorage.getItem("xiaoPageAction");
								if(pageAction == 'customerRefresh'){
									viewHandle.viewFire('H576E5848','customerRefresh');
								}
								viewHandle.openWindow(html,"H576E5848")
							}else{
								viewHandle.openWindow(html,html)
							}
						}
						if (e.index == 0) {
							localStorage.setItem("selProductList", JSON.stringify(indexVM.selProductList));
						}
					},'div');
					return;
				}
			}
		}else{
			indexVM.selProductList = [];
			localStorage.removeItem("selProductList");
			localStorage.removeItem('orderRemarkTempImg')
			var html = id + '.html'
			if(id == 'xiao'){
				var pageAction = localStorage.getItem("xiaoPageAction");
				if(pageAction == 'customerRefresh'){
					viewHandle.viewFire('H576E5848','customerRefresh');
				}
				viewHandle.openWindow(html,"H576E5848")
			}else{
				viewHandle.openWindow(html,html)
			}
		}
	}

	for (var i = 0, len = indexVM.selProductList.length; i < len; i++) {
		if (indexVM.selProductList[i].depot_id == indexVM.selectedDepot) {
			for (var j = 0, jen = indexVM.selProductList[i].list.length; j < jen; j++) {
				if (indexVM.selProductList[i].list[j].count == 0) {
					localStorage.removeItem('orderRemarkTempImg')
					//location=id + '.html'
					var html = id + '.html'
					if(id == 'xiao'){
						var pageAction = localStorage.getItem("xiaoPageAction");
						if(pageAction == 'customerRefresh'){
							viewHandle.viewFire('H576E5848','customerRefresh');
						}
						viewHandle.openWindow(html,"H576E5848")
					}else{
						viewHandle.openWindow(html,html)
					}
				}
			}
		}
	}

	if (indexVM.selProductList.length == 0) {
		localStorage.removeItem('orderRemarkTempImg')
		//location=id + '.html'
		var html = id + '.html'
		if(id == 'xiao'){
			var pageAction = localStorage.getItem("xiaoPageAction");
			if(pageAction == 'customerRefresh'){
				viewHandle.viewFire('H576E5848','customerRefresh');
			}
			viewHandle.openWindow(html,"H576E5848");
		}else{
			viewHandle.openWindow(html,html)
		}
	}
}
function newCreateOrder(){
	/*采购弹窗关闭*/
	mui('#purchase').popover('toggle');
	mui(".pullReFresh").scroll().scrollTo(0,0,0);
	window.scrollTo(0,0);
	if (indexVM.selProductList.length != 0) {
		mui('.procurement').button('loading');
		// $(".cgCreateOrder").css('pointer-events','none');
		$("botton").css('pointer-events','none');
		var data = purchaseData();
		createOrder(data, initOrder)
	}
}
//表单初始化
function initOrder() {
	mui('.procurement').button('reset');
	// $(".cgCreateOrder").css('pointer-events','auto');
	$("botton").css('pointer-events','auto');
	indexVM.order_flag = 5;
	sessionStorage.removeItem("selectedBuyer");
	sessionStorage.removeItem("logistics_number");
	sessionStorage.removeItem("selectedDepot");
	sessionStorage.removeItem("create_id");
	// sessionStorage.removeItem("createDate");
	sessionStorage.removeItem("consignee_address");
	sessionStorage.removeItem("delivery_status");
	sessionStorage.removeItem("remark");
	sessionStorage.removeItem("deliveryType");
	localStorage.removeItem("AB_price");
	localStorage.removeItem("selProductList");
	sessionStorage.removeItem("selectedSupplier");
	sessionStorage.removeItem("selectedDepot");
	localStorage.removeItem("AB_purchase");
	localStorage.removeItem("selProductList");
	localStorage.setItem("productListPage","refresh");
	localStorage.setItem("pinProductListPage","refresh");
	localStorage.setItem("draftProductListPage","refresh");
	localStorage.setItem("pinDraftProductListPage","refresh");
	localStorage.setItem("cunInventoryListPage","refresh");
	localStorage.setItem("cunAlloctionListPage","refresh");
	indexVM.selProductList = [];
	indexVM.remark = "";
	setTimeout(function(){
		$('#remark[autoHeight]').autoHeight();
	},280)
	indexVM.logistics_number = '';
	indexVM.consignee_address = '';
	indexVM.moLing = 0;
	indexVM.accountBalance = 'default';
	indexVM.truePayFirst = true;
	dikou_amt = false;
	indexVM.truePay = 0;
	indexVM.expenseName='';
	indexVM.expense=0;
	indexVM.expenseId='';
	indexVM.expenseDegression=0;
	indexVM.calculation();
	var date = new Date(indexVM.historyTime);
	var searchTime = date.getFullYear() + "-" + ((date.getMonth() + 1) < 10 ? "0" + (date.getMonth() + 1) : (date.getMonth() + 1)) + "-" + (date.getDate() < 10 ? "0" + date.getDate() : date.getDate());
	// searchEnterHistory(searchTime, searchTime,'init');
	indexVM.orderUserId = user_info.id;
	getIndexMenu();
}

function vip_newCreateOrder(){//高级版开单修改
	if(indexVM.accountBalance != 'default'){
		if(Number(indexVM.accountBalance) <0){
			if(Number(indexVM.editTotalPrice) >0){
				if((Number(indexVM.accountBalance) + Number(indexVM.noPay)) >0){
					mui.confirm("供应商余额不足！"+numToCur(Number(indexVM.accountBalance) + Number(indexVM.noPay),indexVM.systemSetting.price_decimals_setting,'price')+"元将计入供应商欠款。", "提示", ["取消","确定"], function (e) {
						if(e.index==1){
							indexVM.noPay = numToCur(Number(indexVM.accountBalance) + Number(indexVM.noPay),indexVM.systemSetting.price_decimals_setting,'price');
							dikou_amt = true;
							newCreateOrder()
						}else{

						}
					},'div');
					return false
				}else{
					newCreateOrder()
				}
			}else{
				newCreateOrder()
			}
		}else{
			if(Number(indexVM.editTotalPrice) < 0){
				if((Number(indexVM.accountBalance) + Number(indexVM.noPay)) <0){
					mui.confirm("欠供应商款不足抵扣！"+numToCur(Number(indexVM.accountBalance) + Number(indexVM.noPay),indexVM.systemSetting.price_decimals_setting,'price')+"元 将充入供应商余额。", "提示", ["取消","确定"], function (e) {
						if(e.index==1){
							indexVM.noPay = numToCur(Number(indexVM.accountBalance) + Number(indexVM.noPay),indexVM.systemSetting.price_decimals_setting,'price');
							dikou_amt = true;
							newCreateOrder()
						}else{
						}
					},'div');
				}else{
					newCreateOrder()
				}
			}else{
				newCreateOrder()
			}
		}
	}else{
		newCreateOrder()
	}
}
function createOrder(data, cb) {//采购入库/销售出库
	var src = '';
	if(document.getElementById("checkchoose") && document.getElementById("checkchoose").checked){
		src = "scm/order/saveByDraft.json"
	}else{
		src = "scm/order/save.json"
	}
	// 处理copy时间
	// var date = isDateCopy ? new Date(isDateCopy) : new Date;
	// if(isDateCopy){
	// 	isDateCopy = undefined
	// }
	// var time = indexVM.createDate + " " + (date.getHours() < 10 ? ("0" + date.getHours()) : date.getHours()) + ":" + (date.getMinutes() < 10 ? ("0" + date.getMinutes()) : date.getMinutes()) + ":" + (date.getSeconds() < 10 ? ("0" + date.getSeconds()) : date.getSeconds());
	// data.sign_date = time

	data = formDataProductCopy(data,indexVM.productCopyAdd)
	data.delivery_company = indexVM.deliveryCompany
	data.debt_status = $comm.debtStatusHandle(data.debt_amt, data.order_amt, data.rebate_amt)
	if(data.productlistlength > 300){
		plus.nativeUI.closeWaiting()
		mui('.procurement').button('reset');
		$("botton").css('pointer-events','auto');
		return mui.toast('超过300行商品，无法保存！')
	}
	plus.nativeUI.showWaiting('保存中，请稍后...')
	mui.ajax(severUrl + src, {
		data: data,
		headers: {
			'Content-Type': 'application/x-www-form-urlencoded'
		},
		xhrFields: {
			withCredentials: true
		},
		dataType: 'json',
		type: 'post',
		timeout: 60000,
		success: function (res) {
			plus.nativeUI.closeWaiting()
			mui.toast(res.msg);
			if (res.success) {
				createAutoDateTimer()
				indexVM.deleteProductCopyItem()
				indexVM.saveProductCopyToLocalStorage()
				indexVM.show.productListTab = false
				if (typeof cb == "function") {
					let deliveryCompany = indexVM.deliveryCompanyList.find(function(i){
						return i.delivery_company === data.delivery_company
					})
					let deliveryCompanyStr = deliveryCompany ? deliveryCompany.name : ''
					cb(res.data.id, res.data.ordersn,data.logistics_number||'',deliveryCompanyStr);
				}
				indexVM.pay_status = 1;
				//	清空备注的图片信息 ly 20211103
				localStorage.removeItem('orderRemarkTempImg')
				//获取备注图片高亮
				$comm.getRemarkHeightLight()
			}else{
				window.saveLog&&window.saveLog({type: '采购开单失败', request: data, response: res})
                mui('.procurement').button('reset');
                // $(".cgCreateOrder").css('pointer-events','auto');
				// $(".orderPrint").css('pointer-events','auto');
				$("botton").css('pointer-events','auto');
            }
		},
        error: function(){
			plus.nativeUI.closeWaiting()
			mui('.procurement').button('reset');
			// $(".cgCreateOrder").css('pointer-events','auto');
			// $(".orderPrint").css('pointer-events','auto');
			$("botton").css('pointer-events','auto');
            mui.toast('采购失败');
        }
	});
}

// 传递给后台采购数据
function purchaseData() {
	var money = document.getElementById("money");
	var zfb = document.getElementById("zfb");
	var wx = document.getElementById("wx");
	var productList = [];
	var purchase_amt = 0;
	mui.each(indexVM.selProductList, function (index, product) {
		if (product.depot_id == indexVM.selectedDepot) {
			mui.each(product.list, function (index2, value) {

				if (value.count != 0) {
					let product_color_size_id='',
						production_batch_id='',
						production_batch_number='',
						production_date_str='',
						expire_date_ms='',
						production_amount=''
					if(value.product_production_batch_list && value.product_production_batch_list.length>0){
						product_color_size_id=value.product_production_batch_list[0].product_color_size_id
						production_batch_id=value.product_production_batch_list[0].production_batch_id
						production_batch_number=value.product_production_batch_list[0].production_batch_number
						production_date_str=value.product_production_batch_list[0].production_date_str
						expire_date_ms=value.product_production_batch_list[0].expire_date_ms
						production_amount=Number(value.production_amount * (product.unitChooseRatio || 1))||Number(value.count * (product.unitChooseRatio || 1))
					}
					productList.push({
						product_id: product.id,
						product_name: product.name,
						product_model: product.model,
						barcode:value.barcode,
						ordertype: value.ordertype, 		//Int 0为进货，1为退货
						type: value.ordertype,//Int 0为入库，1为出库//Int 0为进货或销售，1为退货
						product_sn_list:value.product_sn_list || [],
						purchase_price: product.purchase_price, //主单位采购价
						sale_price: Number(product.sale_price) / (product.unitChooseRatio || 1),
						amt: Number(product.amt) / (product.unitChooseRatio || 1),
						color_id: value.color_id,
						color_name: value.color_name,
						size_id: value.size_id,
						size_name: value.size_name,
						amount: value.count,
						unitChooseId: product.unitChooseId || '',
						unitChooseName: product.unitChooseName || '',
						unitChooseRatio: Number(product.unitChooseRatio) || '',
						unitMinName:product.unitMinName || '',
						__id__: value.__id__,
						description: value.remark || '',
						product_color_size_id: product_color_size_id,
						production_batch_id: production_batch_id,
						production_batch_number: production_batch_number,
						production_date_str: production_date_str,
						expire_date_ms:expire_date_ms,
						production_amount:production_amount,//采购这边是 对count数量的商品 设置批次 表示该批次有多少该商品
					});
				}
			});
		}
	});
	var date = new Date();
	var time = indexVM.createDate + " " + (date.getHours() < 10 ? ("0" + date.getHours()) : date.getHours()) + ":" + (date.getMinutes() < 10 ? ("0" + date.getMinutes()) : date.getMinutes()) + ":" + (date.getSeconds() < 10 ? ("0" + date.getSeconds()) : date.getSeconds());

    if(indexVM.noPay ==''){
        indexVM.noPay =0;
    }
    if(indexVM.moLing ==''){
        indexVM.moLing =0;
    }
	var logistics_number = '';
	if(indexVM.deliveryType !=0){
		logistics_number = indexVM.logistics_number;
	}
	var noPay = 0,deduction_amt = 0;
	if(dikou_amt){
		deduction_amt = -Number(indexVM.accountBalance);
		noPay = indexVM.noPay
	}else{
		if(indexVM.accountBalance <0){
			deduction_amt = indexVM.noPay;
		}else{
			if(indexVM.noPay <0){
				deduction_amt = indexVM.noPay
			}else{
				noPay = indexVM.noPay;
			}
		}
	}
	var debt_status = 0;
	// if (indexVM.noPay == indexVM.totalPrice) {
	if (parseFloat(noPay) == parseFloat(indexVM.editTotalPrice)) {
		debt_status = 0;
	} else if (noPay == 0) {
		debt_status = 2;
	} else {
		debt_status = 1;
	}
	var account_name = ''
	indexVM.accountList.forEach(function(v){
		if(v.id == indexVM.account_id){
			account_name = v.name
		}
	})
	let list=JSON.parse(localStorage.getItem('orderRemarkTempImg'))
	let fileNames=''
	if(list && list.length!=0){
		mui.each(list,function (index,val){
			if(index!=list.length-1){
				fileNames+=val.name+';'
			}else{
				fileNames+=val.name
			}
		})
	}
	console.log(fileNames)
	var data = {
		"id": '',
		"ordersn":$comm.getOrderSn(),
		"remark": indexVM.remark,//备注
		"sign_date": time,
		"customer_id": indexVM.selectedSupplier,
		"customer_name": indexVM.supplierName,
		"depot_id": indexVM.selectedDepot,//仓库ID
		"rebate_amt": indexVM.moLing,//抹零金额
		"order_amt": indexVM.totalPrice,//订单总金额
		"purchase_amt": 0,//毛利总金额indexVM.totalPrice-indexVM.moLing
		"amount": indexVM.totalAmount,//总数量
		"ordertype": 0,//Int 0为进货，1为销售
		"submit_status": 0,//0为采购或销售，1为草稿
		"logistics_number":logistics_number, //快递单号
		"consignee_address":indexVM.consignee_address, //收获地址
		"productlistlength": productList.length,
		"productlist": productList,//1
		"pay_status": indexVM.pay_status,//1为现金、2为支付宝、3为微信，默认为1
		"account_id":indexVM.account_id,
		"account_name":account_name,
		"debt_status": debt_status,
		"debt_amt": noPay,
		"org_debt_amt": noPay,
		"deduction_amt": deduction_amt,
		"delivery_status": indexVM.deliveryStatus,
		"delivery_type": indexVM.deliveryType,
		"delivery_date": indexVM.deliveryDate,
		"color_show":indexVM.color_show, //全行业参数
		"size_show":indexVM.size_show, //全行业参数
		"unit_show":indexVM.unit_show, //全行业参数
		"origin_specification":indexVM.origin_specification, //全行业参数
		"other_cost_purchase":indexVM.expenseDegression || 0, //费用成本
		"other_cost_name":indexVM.expenseName, //费用名称
		"other_cost_price":indexVM.expense || 0, //费用
		"other_id":indexVM.expenseId, //费用id
		"order_flag": indexVM.order_flag, // 1为红，2为黄，3为蓝，4为绿，5为无, 默认为5
		"picture_names":fileNames,
	};

	var dataToSend = data;
	mui.each(dataToSend.productlist, function (index, val) {
		if(val.unitChooseRatio != undefined && val.unitChooseRatio !=''){
			val.amount = Number(val.amount * val.unitChooseRatio)
		}
	});
	console.log(dataToSend);
	return dataToSend;
}

mui('body').on('tap','#remark',function(){
	document.getElementById("remark").scrollIntoView()
})

mui('.sideNavigation').on('tap', '.userInfo', function(){
	viewHandle.openWindow('view/accountSetting.html','accountSetting.html')
});

//查询账户信息
/**
 * asc
 * @param {*} propertyName
 */
function ascCompare(propertyName) {
	return function (object1, object2) {
		var value1 = object1[propertyName];
		var value2 = object2[propertyName];
		if (value2 > value1) {
			return -1;
		} else if (value2 < value1) {
			return 1;
		} else {
			return 0;
		}
	}
}
function getAccountList(){
	mui.ajax(severUrl + "fa/account/list.json", {
		data: {
		},
		headers: {
			'Content-Type': 'application/x-www-form-urlencoded'
		},
		xhrFields: {
			withCredentials: true
		},
		dataType: 'json',
		type: 'post',
		timeout: 10000,
		success: function (res) {
			if(res.success){
				indexVM.accountList = res.data;
				if(indexVM.accountList.length>0){
					indexVM.pay_status = indexVM.accountList[0].type;
					indexVM.account_id = indexVM.accountList[0].id
				}
				indexVM.accountList.sort(ascCompare("type"));
			}else if (res.status == 10101 || res.status == 10102){
				logOut(res.msg)
			}
		}
	});
}

//指定日期当月第一天
function getValFirst(val){
	var d =new Date(val.replace(/-/g, "/"));
	var Y = d.getFullYear();
	var M = d.getMonth()+1;
	var D = 1;
	M >= 10 ? M = M : M = 0 + "" + M;
	D >= 10 ? D = D : D = 0 + "" + D;
	var s = Y + '-' + M + '-' + D;
	return s
}
function getValFirstDay(val){
	var d = new Date(val.replace(/-/g, "/"));
	d = +d - 1000*60*60*24;
	d = new Date(d);
	var year = d.getFullYear();
	var mon = d.getMonth()+1;
	var day = d.getDate();
	var s = year+"-"+(mon<10?('0'+mon):mon)+"-"+(day<10?('0'+day):day);
	return s
}
function getValLastDay(val){
	var d = new Date(val.replace(/-/g, "/"));
	d = +d + 1000*60*60*24;
	d = new Date(d);
	var year = d.getFullYear();
	var mon = d.getMonth()+1;
	var day = d.getDate();
	var s = year+"-"+(mon<10?('0'+mon):mon)+"-"+(day<10?('0'+day):day);
	return s
}

//供应商欠款修改
function arrearsEdit(id,noPay,draft_dikou_amt){
	$.each(indexVM.supplierList,function(i,v){
		if(id && noPay){
			if(v.id == id){
				if(draft_dikou_amt){
					if(draft_dikou_amt == 'history'){
						v.arrears = numToCur(Number(v.arrears) - Number(noPay),indexVM.systemSetting.price_decimals_setting,'price');
					}else{
						v.arrears = numToCur(noPay,indexVM.systemSetting.price_decimals_setting,'price');
					}
				}else{
					v.arrears = numToCur(Number(v.arrears) + Number(noPay),indexVM.systemSetting.price_decimals_setting,'price');
				}
				return false
			}
		}else{
			if(v.id == indexVM.selectedBuyer){
				if(dikou_amt){
					v.arrears = numToCur(Number(indexVM.noPay),indexVM.systemSetting.price_decimals_setting,'price');
				}else{
					v.arrears = numToCur(Number(v.arrears) + Number(indexVM.noPay),indexVM.systemSetting.price_decimals_setting,'price');
				}
				return false
			}
		}
	})
	indexVM.noPay = 0;
	dikou_amt = false;
	sessionStorage.setItem("supplierList",JSON.stringify(indexVM.supplierList))
}

//高级版开单查询
function canOrderByDraft(obj){
	plus.nativeUI.showWaiting('查询中，请稍后...')
	mui.ajax(severUrl + "scm/order/canOrderByDraft.json", {
		data: {
			ordertype: 0,
			depot_id:indexVM.selectedDepot,
			customer_id:indexVM.selectedSupplier,
			productlistlength: obj.length,
			productlist: obj
		},
		headers: {
			'Content-Type': 'application/x-www-form-urlencoded'
		},
		xhrFields: {
			withCredentials: true
		},
		dataType: 'json',
		type: 'post',
		timeout: 10000,
		success: function (res) {
			if(res.success){
				viewHandle.close();
				var selCheckInfoList = [];
				var result = res.data;
				var canKaidan = true;
				for (var i = 0; i < result.length; i++) {
					if (result[i].can_order_amount < 0) {
						canKaidan = false;
					}
					mui.each(indexVM.selProductList,function(index1, productList) {
						mui.each(productList.list, function(index2, product) {
							if (product.product_id == result[i].product_id && product.color_id == result[i].color_id && product.size_id == result[i].size_id && result[i].can_order_amount<0) {
								var selCheckInfo = {
									product_name: productList.name,
									product_model: productList.model,
									color_name: product.color_name,
									description: product.description,
									size_name: product.size_name,
									caigou: product.count,
									unitChooseName:productList.unitChooseName,
									amount: numToCur((Number(result[i].can_order_amount / (productList.unitChooseRatio || 1)) + Number(product.count)),indexVM.systemSetting.amount_decimals_setting)
								};
								selCheckInfoList.push(selCheckInfo);
							}
						});
					});
				}
				if(!canKaidan){
					var listSend = {};
					listSend.selCheckInfoList = selCheckInfoList;
					listSend.type = 'cai';
					viewHandle.openWindow('orderSheet.html','orderSheet.html',JSON.stringify(listSend))
				}else{
					vip_newCreateOrder()
				}
			}else{
				mui.toast(res.msg)
			}
		},
		complete: function() {
			plus.nativeUI.closeWaiting()
		}
	})
}

//历史地址复制
mui('#purchaseHistory').on('tap', '.icon-fuzhi',function(){
	viewHandle.copyText(historyVM.consignee_address)
});
// tap错乱
mui('#segmentedControl').on('tap','.mui-control-item',function(){
	document.activeElement.blur();
})



// 拼装copy单品数据
function formDataProductCopy(data, dataProductCopy, isPrint){
	data = JSON.parse(JSON.stringify(data))
	dataProductCopy = JSON.parse(JSON.stringify(dataProductCopy))
	let reDatalist = []
	let count = 0
	let i = 0
	data.productlist.map(function(item){
		let key = item.__id__
		item.op_id_ = key
		// 小数问题
		let amountDecimalsSetting = indexVM.systemSetting.amount_decimals_setting
		let priceDecimalsSetting = indexVM.systemSetting.price_decimals_setting
		// item.purchase_price = numToCur(Number(item.purchase_price) , priceDecimalsSetting,'price')
		// item.sale_price = numToCur(Number(item.sale_price) , priceDecimalsSetting,'price')
		// item.amt = numToCur(Number(item.amt) , priceDecimalsSetting,'price')
		reDatalist.push(item)
		let copyItemList = dataProductCopy[key] || []
		if(copyItemList){
			copyItemList.map(function(copyItemListItem){
				let product_color_size_id='',
					production_batch_id='',
					production_batch_number='',
					production_date_str='',
					expire_date_ms='',
					production_amount=''
				if(copyItemListItem.product_production_batch_list && copyItemListItem.product_production_batch_list.length>0){
					product_color_size_id=copyItemListItem.product_production_batch_list[0].product_color_size_id
					production_batch_id=copyItemListItem.product_production_batch_list[0].production_batch_id
					production_batch_number=copyItemListItem.product_production_batch_list[0].production_batch_number
					production_date_str=copyItemListItem.product_production_batch_list[0].production_date_str
					expire_date_ms=copyItemListItem.product_production_batch_list[0].expire_date_ms
					production_amount=Number(copyItemListItem.production_amount * (copyItemListItem.unitChooseRatio || 1))||Number(copyItemListItem.count * (copyItemListItem.unitChooseRatio || 1))
				}
				let span = isPrint? '(' + (++i) +')' : ''
				let row = {
					amount: Number(copyItemListItem.count * (copyItemListItem.unitChooseRatio || 1)),
					amt: Number(copyItemListItem.price / (copyItemListItem.unitChooseRatio || 1)),
					barcode: item.barcode,
					color_id: copyItemListItem.color_id,
					color_name: copyItemListItem.color_name,
					product_id: copyItemListItem.id + span,
					product_model: copyItemListItem.model + span,
					product_name: copyItemListItem.name + span,
					product_sn_list: copyItemListItem.product_sn_list,
					purchase_price: copyItemListItem.price * (copyItemListItem.unitChooseRatio || 1), // 主单位价格
					sale_price: item.amt,
					size_id: copyItemListItem.size_id,
					size_name: copyItemListItem.size_name,
					type: copyItemListItem.type,
					unitChooseId: copyItemListItem.unitChooseId ||'',
					unitChooseName: copyItemListItem.unitChooseName ||'',
					unitChooseRatio: Number(copyItemListItem.unitChooseRatio) ||null,
					unitMinName: copyItemListItem.unitMinName ||'',
					is_extra: 1 , // 1 copy单品的数据
					description: copyItemListItem.remark || '',
					product_color_size_id: product_color_size_id,
					production_batch_id: production_batch_id,
					production_batch_number: production_batch_number,
					production_date_str: production_date_str,
					expire_date_ms:expire_date_ms,
					production_amount:production_amount,//采购这边是 对count数量的商品 设置批次 表示该批次有多少该商品
				}
				row.op_id_ = key
				reDatalist.push(row)
				count++
			})
		}
	})
	data.productlist = reDatalist
	data.productlistlength += count
	data.purchase_amt = 0
	return data
}

$comm.addKeyboardEventListenerAndroid(function(type){
	if(type === 'hide'){
		indexVM.$refs.productScroll.style.position = 'absolute'
	}else{
		indexVM.$refs.productScroll.style.position = 'static'
	}
})
// 打印票据时根据现有格式格式化赠品名称等
function formatDataPrint(json){
	const data = JSON.parse(json)
	data.forEach(function(order){
		const productList = order.productlist
		let i = 0
		productList.forEach(function(product){
			if(product.is_extra === 1){
				i++
				const span = '(' + i + ')'
				product.product_id += span
				product.product_model += span
				product.product_name += span
			}
		})
	})
	return JSON.stringify(data)
}

// 停止对账的滑动传递
function touchmoveStop(e){
	if(e.target.classList.value !== 'mui-input-row selRow reconciliation-account-row'){
		e.stopPropagation()
		e.preventDefault()
	}else{
		console.log(e.target.classList)
	}
}
