mui.plusReady(function() {
	var arg = plus.webview.currentWebview().arg;
	if (arg) {
		arg = JSON.parse(arg);
		var fromType = arg.fromType || ''
		categoryVM.fromType=fromType;
		//初始化的分类价格信息
		var initCustomerCategory = arg.customerCategory || [];
		categoryVM.initCustomerCategory = initCustomerCategory;
		//查询客户分类
		categoryVM.getClassificationList()
	}
});

var categoryVM = new Vue({
	el: '#categoryVM',
	data: {
		//初始化信息
		initCustomerCategory: [],
		customerCategory: [],
		
		//页面参数
		fromType:""
	},
	methods: {
		getClassificationList: function() {
			let _this = this
			mui.ajax(severUrl + "crm/customerCategory/list.json", {
				data: {},
				headers: {
					'Content-Type': 'application/x-www-form-urlencoded'
				},
				xhrFields: {
					withCredentials: true
				},
				dataType: 'json',
				type: 'post',
				timeout: 10000,
				success: function(res) {
					if (res.status == 200) {
						var customerCategory = res.data
						var initCustomerCategory = _this.initCustomerCategory || []
						//价格和分类合并
						mui.each(customerCategory, function(editIndex, editItem) {
							editItem.price = ''
							var oldItem = initCustomerCategory.find(function(old) {
								return old.id == editItem.id
							})

							if (oldItem) {
								editItem.price = oldItem.price
							}
						})

						_this.customerCategory = customerCategory
					}
				}
			})
		},
		saveCategoryPprice: function() {
			var listSend = {};
			listSend.customerCategory = this.customerCategory
			if(this.fromType=="update"){
				viewHandle.viewFire('changeItem.html', 'updateCategoryPprice', listSend);
			}else{
				viewHandle.viewFire('itemAdd.html', 'changeCategoryPprice', listSend);
			}
			viewHandle.back('close')
		},
		muiBack: function() {
			this.saveCategoryPprice()
		},
		goCustomerCategory: function() {
			var listSend = {
				fromType: "handle"
			};

			viewHandle.openWindow('customer_category.html', 'customer_category.html', JSON.stringify(
				listSend));
		}
	}
})

//用户分类返回事件
window.addEventListener("batchBack", function(e) {
	//改了分类，需要把以前有的价格填充进去
	var customerCategoryEditList = e.detail.customerCategoryEditList || [];
	var customerCategory = categoryVM.customerCategory

	mui.each(customerCategoryEditList, function(editIndex, editItem) {
		editItem.price = ''

		var oldItem = customerCategory.find(function(old) {
			return old.id == editItem.id
		})

		if (oldItem) {
			editItem.price = oldItem.price
		}
	})
	categoryVM.customerCategory = customerCategoryEditList
})
