mui.plusReady(function(){
    let id=plus.webview.currentWebview().parent().id
    if(id.includes('Color')){
        dragSortVM.sortType='color'
        getColorList()
    }else{
        dragSortVM.sortType='size'
        getSizeList()
    }
});
mui('body').on('tap','.muiBack',function(){
    viewHandle.back()
    plus.webview.currentWebview().close()
});
var dragSortVM = new Vue({
    el: '#dragSortVM',
    data: {
        list:[],//存放颜色或者尺码列表
        sortType:'size',//默认是尺码规格类型
        //--------------------
    },
    methods: {
        saveSort(){
            if(dragSortVM.sortType=='color'){
                saveColorSort()
                setTimeout(function (){
                    viewHandle.viewFire('changeColor.html','dragSortHandle')
                    viewHandle.viewFire('commodityColor.html','dragSortHandle')
                    plus.webview.currentWebview().close()
                },500)
            }else{
                saveSizeSort()
                setTimeout(function (){
                    viewHandle.viewFire('changeSize.html','dragSortHandle')
                    viewHandle.viewFire('commoditySize.html','dragSortHandle')
                    plus.webview.currentWebview().close()
                },500)
            }
        }
    }
})
function getColorList() {
    mui.ajax(severUrl + "scm/productcolor/dataGrid.json", {
        data: {
        },
        headers: {
            'Content-Type': 'application/x-www-form-urlencoded'
        },
        xhrFields: {
            withCredentials: true
        },
        dataType: 'json',//服务器返回json格式数据
        type: 'post',//HTTP请求类型
        timeout: 10000,//超时时间设置为10秒；
        success: function (res) {
            dragSortVM.list=res.data.list
        }
    });
}
function getSizeList() {
    mui.ajax(severUrl + "scm/productsize/dataGrid.json", {
        data: {
        },
        headers: {
            'Content-Type': 'application/x-www-form-urlencoded'
        },
        xhrFields: {
            withCredentials: true
        },
        dataType: 'json',//服务器返回json格式数据
        type: 'post',//HTTP请求类型
        timeout: 10000,//超时时间设置为10秒；
        success: function (res) {
            dragSortVM.list=res.data.list
        }
    });
}

//保存颜色顺序
function saveColorSort(){
    let ids
    dragSortVM.list.forEach(function (item){
        if(ids){
            ids+=';'+item.id
        }else{
            ids=item.id
        }
    })
    mui.ajax({
        url: severUrl + "scm/productcolor/dragSort.json",
        type: "post",
        async: false,
        data: {
            "ids": ids
        },
        success: function (res) {
            if(res.success){
                mui.toast('颜色顺序保存成功');
            }
        }
    })
}

//保存尺码/规格顺序
function saveSizeSort(){
    let ids
    dragSortVM.list.forEach(function (item){
        if(ids){
            ids+=';'+item.id
        }else{
            ids=item.id
        }
    })
    mui.ajax({
        url: severUrl + "scm/productsize/dragSort.json",
        type: "post",
        async: false,
        data: {
            "ids": ids
        },
        success: function (res) {
            if(res.success){
                mui.toast("尺码/规格/产地顺序保存成功")
            }
        }
    })
}