/**
 * inventoryType = 0; // 盘点类型 0:手动选择，1:扫码
 */

let selectedDepot = '' // 盘点默认仓库设置辅助变量
Vue.filter("searchTime-format", function(time) {
	var date = new Date(time);
	var newDate = date.getFullYear() + "/" + ((date.getMonth() + 1) < 10 ? "0" + (date.getMonth() + 1) : (date.getMonth() +
		1)) + "/" + (date.getDate() < 10 ? "0" + date.getDate() : date.getDate());
	return newDate;
});
var batchProduct = []; //批量临时数据
var lazyLoad = '',
	timeOut = '',
	sweepQry = false;
let pageId
// 盘点当前在被设置的单品
let setBNItem = null
mui.plusReady(function() {
	let page = plus.webview.currentWebview()
	pageId = page.id
	var arg = page.arg;
	if (arg) {
		arg = JSON.parse(arg);
		if (arg.fromType == "changeItem") {
			var gallery = mui('#commodityInto');
			gallery.slider().gotoItem(1);
		}
	}
	getSelProductList();
});
window.addEventListener("historyBack", function(e) {
	historyBack(e.detail.id)
});
window.addEventListener("allocationBack", function(e) {
	allocationBack(e.detail.id)
});
window.addEventListener("removeList", function(e) {
	if (cunVM.pageTabId == 'inventoryQuery') {
		setTimeout(function() {
			mui.each(cunVM.searchStockList, function(i, v) {
				if (v.id == e.detail.id) {
					if (cunVM.searchStockList.length - 1 > 6) {
						cunVM.searchStockList.splice(i, 1);
						cunVM.$nextTick(function() {
							lazyLoad.addElements();
						})
					} else {
						infoUpdate()
					}
					return false
				}
			})
		}, 300)
	}
});
window.addEventListener("disList", function(e) {
	if (cunVM.pageTabId == 'inventoryQuery') {
		mui.each(cunVM.searchStockList, function(i, v) {
			if (v.id == e.detail.id) {
				v.status == 0 ? v.status = 1 : v.status = 0;
				return false
			}
		})
	}
});
window.addEventListener("updateList", function(e) {
	if (cunVM.pageTabId == 'inventoryQuery') {
		mui.each(cunVM.searchStockList, function(i, v) {
			if (v.id == e.detail.id) {
				v.purchase_price = e.detail.purchase_price;
				v.sale_price = e.detail.sale_price;
				v.name = e.detail.name;
				v.product_name = e.detail.name
				if (e.detail.imgSrc) {
					v.picture_name = e.detail.imgSrc;
					cunVM.$nextTick(function() {
						setTimeout(function() {
							lazyLoad.addElements();
						}, 180);
					})
				}
				return false
			}
		})
	}
});
window.addEventListener("panDraftBack", function(e) {
	inventoryPullUploading.load(1, true)
});

window.addEventListener("set_back", function(e) {
	var product_id = e.detail.product_id,
		item = e.detail.item,
		product_sn_list = e.detail.product_sn_list || [];
	product_sn_list = _.compact(product_sn_list)
	var type = e.detail.type;
	if (mui.os.ios) {
		mui.plusReady(function() {
			setTimeout(function() {
				snsAdd()
			}, 200)
		})
	} else {
		snsAdd()
	}

	function snsAdd() {
		var selProductList = [];
		if (type == 'db') {
			selProductList = JSON.parse(localStorage.getItem("alloctionProductList"));
		} else {
			selProductList = JSON.parse(localStorage.getItem("inventoryProductList"));
		}
		if (selProductList) {
			mui.each(selProductList, function(sel, product) {
				if (product.product_id == product_id) {
					mui.each(product.list, function(pro, list) {
						if (list.color_id == item.color_id && list.size_id == item.size_id) {
							return list.product_sn_list = product_sn_list;
						}
					})
				}
			})
			if (type == 'db') {
				cunVM.alloctionProductList = [];
				cunVM.alloctionProductList = selProductList;
				localStorage.alloctionProductList = JSON.stringify(selProductList)
			} else {
				cunVM.selProductList = [];
				cunVM.selProductList = selProductList;
				localStorage.inventoryProductList = JSON.stringify(selProductList)
			}
		}
	}
})
window.addEventListener("inventTory", function(e) { //列表盘点返回
	setTimeout(function() {
		var gallery = mui('#commodityInto');
		gallery.slider().gotoItem(1);
		getSelProductList()
	}, 380)
});
// 盘点商品选择返回
window.addEventListener("panAndAllotAdd", function(e) {
	if (e.detail.fromType == "changeItem") {
		var gallery = mui('#commodityInto');
		gallery.slider().gotoItem(1);
	}
	getSelProductList();
})
// 设置批次返回
window.addEventListener("panSetBNBack", function(e) {
	cunVM.$set(setBNItem, 'BNList', e.detail.BNList)
	cunVM.$set(setBNItem, 'activeBN', e.detail.checked)
	// 调拨
	if(e.detail.type === 'transfer' && (e.detail.productSum > setBNItem.inventoryTotal || e.detail.changeProductSum === true) ){
		setBNItem.inventoryTotal = e.detail.productSum
		localStorage.setItem("alloctionProductList", JSON.stringify(cunVM.alloctionProductList));
		cunVM.invtcalculation()
	}
	// 盘点
	else if (e.detail.type === 'inventory') {
		setBNItem.inventoryTotal = e.detail.productSum
		cunVM.calculation()
	}

})
//关闭选项框
window.addEventListener('closeOperation', function() {
	cunVM.batchOperation = false;
	if (!cunVM.batchOperation) {
		$("input[name='checkbox']").prop("checked", false);
		document.getElementById("batchAll").innerHTML = "全选"
		batchProduct = [];
		cunVM.currentNum = cunVM.searchStockList.length;
		cunVM.selectNum = batchProduct.length;
	}
})

function defaultParameters() {
	getDepot();
	getUser();
	setTimeout(function() {
		infoUpdate();
	}, 180)
	var messageNum = localStorage.getItem("messageNum") || 0;
	if (messageNum && messageNum > 0) {
		$(".showPoint").html(messageNum)
	} else {
		$(".showPoint").removeClass("showPoint")
	}
}

function messageUp() {
	var messageNum = localStorage.getItem("messageNum") || 0;
	if (messageNum && messageNum > 0) {
		$(".showPoint").html(messageNum)
	} else {
		$(".showPoint").removeClass("showPoint")
	}
}

function infoUpdate() {
	cunVM.searchStockList = [];
	page = 0;
	mui('#inventoryQueryWrapper').scroll().refresh(); //先刷新一次布局再scrollTo
	mui('#inventoryQueryWrapper').scroll().scrollTo(0, 0, 100); //100毫秒滚动到顶
	if (cunVM.cun_category_id != '' && cunVM.cun_category_id != -1) {
		getStockList(cunVM.searchMsgInput, cunVM.cun_depot_id, cunVM.sort, cunVM.sort_rule, cunVM.cun_category_id, 2, cunVM.productType);
	} else {
		getStockList(cunVM.searchMsgInput, cunVM.cun_depot_id, cunVM.sort, cunVM.sort_rule, cunVM.cun_category_parent_id, 1,
			cunVM.productType);
	}
}
var qryProduct = true;
var data = {
	num: 0,
	startY: '',
	moveEndY: '',
	isLoading: true
};
var page = 0;
var flag = false;
var simpleQryTime = 0;
let prevOutDepotID = localStorage.getItem("invtDepotPrev") ? localStorage.getItem("invtDepotPrev") : null
let prevInventoryDepot = {

}
var cunVM = new Vue({
	el: '#cunVM',
	components: {
		'list-filter': httpVueLoader('components/v-components/ListFilter.vue'),
		'date-selection': httpVueLoader('components/v-components/DateSelection.vue')
	},
	data: {
		systemSetting: JSON.parse(localStorage.systemSetting),
		list: [],
		productList: [],
		originalList: [],
		totalPage: 0,
		lastPageSize: 0,
		page: 0,
		getSwitch: true,
		searchMsg: '',
		searchMsgInput: '',
		searchList: [],
		searchStockList: [],
		selectedDepot: '',
		selectedSupplier: '',
		selectedBuyer: '',
		depotList: [],
		buyerList: [],
		supplierList: [],
		historyTime: '',
		stockTime: '',
		remark: '',
		alltRemark: '',
		selProductList: [], //盘点
		selProductListSort: [],
		createDate: '',
		realname: '',
		inventoryTotal: 0,
		beforeInventoryTotal: 0,
		profitCount: 0,
		profitPrice: 0,
		purchasePriceTotal: 0,
		salePriceTotal: 0,
		searchTotal: 0,
		pageTabId: "",
		alloctionProductList: [], //调拨
		lsDateFirst: '',
		lsDateLast: '',
		searchHistoryList: [], //盘点历史
		showWarn1: false, // 控制“暂无数据显示”
		showWarn2: false, // 控制“暂无数据显示”
		cgDateFirst: '',
		cgDateLast: '',
		allocationHistoryList: [], //调拨历史
		AllotTotal: 0,
		beforeAllotTotal: 0,
		proAllotCount: 0,
		proAllotPrice: 0,
		out_depot: localStorage.getItem("invtDepotPrev") ? localStorage.getItem("invtDepotPrev") : '',
		to_depot: localStorage.getItem("invtDepotNext") ? localStorage.getItem("invtDepotNext") : '',
		out_depot_name: '',
		to_depot_name: '',
		itl: '',
		loadNowDate: loadNowDate(),
		depotName: '',
		outAndTo: '',
		byIOS: false,
		is_draft: 0,
		allDepot: '所有仓库',
		allDepot_id: '',
		//消息显示
		messageShow: localStorage.getItem("qryType") || 0,
		messageNum: localStorage.getItem("messageNum") || 0,
		//全行业参数
		size_show: localStorage.getItem("size_show") || 1,
		color_show: localStorage.getItem("color_show") || 1,
		unit_show: localStorage.getItem("unit_show") || 0,
		origin_specification: localStorage.getItem("origin_specification") || 0,
		industryName: '综合',
		//列表参数
		selectionShow: 0,
		depotShow: 1,
		oneCategory: 1,
		ptType: 0,
		sort: sessionStorage.getItem("sort") || '',
		sort_rule: sessionStorage.getItem("sort_rule") || '', // 默认desc 可不传
		cun_category_parent_id: sessionStorage.getItem("cun_category_parent_id") || -1,
		cun_category_id: sessionStorage.getItem("cun_category_id") || -1,
		cun_depot_id: sessionStorage.getItem("cun_depot_id") || -1,
		productType: sessionStorage.getItem("productType") || 2,
		levelOneCategory: [],
		levelTwoCategory: [],
		vipLevel: localStorage.getItem("vipLevel"),
		depotChooseId: sessionStorage.getItem("cun_depot_id") || -1,
		oneCategoryChooseId: sessionStorage.getItem("cun_category_parent_id") || -1,
		twoCategoryChooseId: sessionStorage.getItem("cun_category_id") || -1,
		productChoose: sessionStorage.getItem("productType") || 2,
		all_amount: 0,
		product_count: 0,
		all_purchase_price: 0,
		all_sale_price: 0,
		sweepCodeType: 'pd',
		//批量操作
		batchOperation: false,
		status: 2, //列表参数
		currentNum: 0, //当前数量
		selectNum: 0, //所选数量
		batchTitle: '',
		batchInfo: '',
		batchMsg: '',
		batchShow: false,
		//权限相关
		positionName: false,
		stockManager: false,
		purchaseManager: false,
		companySetIndustry: true,
		labelPprinter: false,
		faAccount: true,
		is_advanced: 0,
		company_name: '',
		company_id: '',
		user_id: '',
		jifenshow: false,
		bindDepot: -1,
		//--------------------
		queryParams: {
			inventoryKeyWord: '',
			inventoryDepot: undefined,
			allocationKeyWord: '',
			allocationDepot_out: undefined,
			allocationDepot_to: undefined,
		},
		inventoryFilterData: [{
			title: '仓库',
			value: 'depot',
			showChildren: true,
			isEntire: true,
			isEntireActive: true,
			entireValue: '0',
			lazy: queryAllDepot
		}],
		allocationFilterData: [{
			title: '调出仓库',
			value: 'out_depot_id',
			showChildren: true,
			isEntire: true,
			isEntireActive: true,
			entireValue: '0',
			lazy: queryAllDepot
		},{
			title: '调入仓库',
			value: 'to_depot_id',
			showChildren: true,
			isEntire: true,
			isEntireActive: true,
			entireValue: '0',
			lazy: queryAllDepot
		}],
	},
	watch: {
		// 盘点库房
		selectedDepot: {
			handler: function(newVal) {
				if (newVal == "创建") {
					location = 'warehouseSettings.html'
				} else {
					let _this = this
					if(prevInventoryDepot.id && prevInventoryDepot.id !== newVal && this.selProductList.length){
						// let f = this.selProductList.findIndex(function(v){
						// 	return v.depot_id === prevInventoryDepot.id
						// }) !== -1
						mui.confirm('切换仓库将清除已盘点的商品信息', '提示', ['取消', '确定'], function(e){
							if(e.index === 0){
								_this.selectedDepot = prevInventoryDepot.id
								_this.depotName = prevInventoryDepot.name
							}else if(e.index === 1){
								prevInventoryDepot = getInventoryDepot(newVal)
								_this.depotName = prevInventoryDepot.name
								// getSelProductList()
								_this.clearSelProductListByCurrentDepot(prevInventoryDepot.id)
							}
						},'div')
					}else{
						prevInventoryDepot = getInventoryDepot(newVal)
						this.depotName = prevInventoryDepot.name
						this.clearSelProductListByCurrentDepot(prevInventoryDepot.id)
					}
					function getInventoryDepot(id){
						for (let i = 0, len = _this.depotList.length; i < len; i++) {
							if (_this.depotList[i].id === id) {
								return {
									name: _this.depotList[i].name,
									id: id
								}
							}
						}
						return null
					}
				}
			}
		},
		to_depot: function(val) {
			if (val !== '') {
				if (this.out_depot === '' || this.out_depot == null) {
					this.to_depot = '';
					mui.toast("请选择调出仓库")
				} else {
					if (this.out_depot === this.to_depot) {
						this.to_depot = '';
						mui.toast("调拨仓库不能相同")
					}
				}
			}
		},
		out_depot: function(val) {
			let _this = this
			if (val !== ''){
				if (prevOutDepotID !== null && val !== prevOutDepotID && this.vipLevel === '1' && this.systemSetting.production_batch_setting === 1) {
					let f = false
					for(let i = 0; i < this.alloctionProductList.length; i++){
						if(f)break
						f = this.alloctionProductList[i].list.findIndex(function (v){ return v.activeBN === true }) !== -1
					}
					if(!f){
						prevOutDepotID = val
						checkToDepot()
						return
					}
					mui.confirm('切换调出仓库将清除已设置的批次信息', '提示', ['取消', '确定'], function(e){
						if(e.index === 0){
							_this.out_depot = prevOutDepotID
						}else if(e.index === 1){
							prevOutDepotID = val
							checkToDepot()
							_this.clearBN()

						}
					},'div')
				}else{
					prevOutDepotID === null && (prevOutDepotID = val)
					checkToDepot()
				}
			}
			function checkToDepot(){
				if (val !== '') {
					if (_this.out_depot === _this.to_depot) {
						_this.to_depot = '';
						mui.toast("调拨仓库不能相同")
					}
				}
				// 更新 depot_id
				_this.alloctionProductList.forEach(function (v){
					v.depot_id = _this.out_depot
					v.list.forEach(function(p) {
						p.depot_id = _this.out_depot
					})
				})
				// 更新 product_color_size_id
				_this.qryColorSizeIdsByProductIdsByProductList(_this.alloctionProductList, prevOutDepotID, 'alloctionProductList')
			}

		},
		searchMsgInput: function(val) {
			if (val != null && !sweepQry) {
				clearTimeout(timeOut);
				timeOut = setTimeout(function() {
					infoUpdate();
				}, 350);
			}
			sweepQry = false;
		}
	},
	computed: {
		sizeName: function() {
			if (this.size_show == 1) {
				return '尺码'
			} else {
				if (this.origin_specification == 3) {
					return '产地'
				} else {
					return '规格'
				}
			}
		},
		sns_show: function() {
			var _this = this;
			return function(snsArr, count) {
				if (_this.vipLevel == 1 && _this.systemSetting.sn_setting == 1) {
					if (snsArr && snsArr.length > 0) {
						return '<span class="iconfont icon-tubiaozhizuomoban1111111 font-orange"></span>'
					} else {
						return '<span class="iconfont icon-tubiaozhizuomoban1111111 font-gray"></span>'
					}
				} else {
					return ''
				}
			}
		}
	},
	methods: {
		sns_set: function(item, product) { //盘点sn
			var listSend = {
				item: item,
				product: product,
				args: {
					depot_id: cunVM.selectedDepot,
					parentPage: 'pd'
				}
			};
			viewHandle.openWindow("sns_set.html", "sns_set.html", JSON.stringify(listSend))
		},
		sns_look: function(item, product) {
			var listSend = {
				item: item,
				product: product,
				parentPage: 'cun'
			};
			viewHandle.openWindow("sns_show.html", "sns_show.html", JSON.stringify(listSend))
		},
		sns_select: function(item, product) { //调拨sn
			var _this = this;
			var listSend = {
				item: item,
				args: {
					can_choose: item.inventoryTotal,
					product_id: item.product_id,
					depot_id: _this.out_depot,
					model: product.model,
					name: product.name,
					qryPage: 'db'
				}
			};
			viewHandle.openWindow("sns_choose.html", "sns_choose.html", JSON.stringify(listSend))
		},
		getPurview: function() { //获取权限
			var _this = this;
			mui.ajax(severUrl + "sso/user/qryOp.json", {
				data: {
					id: ''
				},
				headers: {
					'Content-Type': 'application/x-www-form-urlencoded'
				},
				xhrFields: {
					withCredentials: true
				},
				dataType: 'json',
				type: 'post',
				timeout: 30000,
				async: false,
				success: function(res) {
					if (res.success) {
						// var position_name = res.data.position_name;
						_this.company_name = res.data.company_name;
						_this.company_id = res.data.company_id;
						_this.bindDepot = res.data.manage_depot_id;
						_this.user_id = res.data.id;

						if( _this.company_id!='Gr9A'){
							$("#go_shopping").css('display', 'block');
						}

						var code = res.data.position,
							permission = code.permission;
						if (permission.indexOf('A11_1_O') >= 0 || permission.indexOf('A11_1_E') >= 0) {
							_this.positionName = true
						} else {
							_this.positionName = false
						}
						permission.indexOf('A4_1_E') >= 0 ? _this.stockManager = true : _this.stockManager = false;
						permission.indexOf('FA_ACC') >= 0 ? _this.faAccount = true : _this.faAccount = false;
						permission.indexOf('LOOK_PURCHASE') >= 0 ? _this.purchaseManager = true : _this.purchaseManager = false;
						permission.indexOf('ONLY_PRINT') >= 0 ? _this.labelPprinter = true : _this.labelPprinter = false;
						'RFRk,eYVo,y0oa,mVbc,pqrB,pDAY,CCP2,Oo4T,LfTY'.indexOf(_this.company_id) >= 0 ? _this.jifenshow = true :
							_this.jifenshow = false
						_this.companySetIndustry = res.data.company_set_industry;
					} else if (res.status == 10101 || res.status == 10102) {
						logOut(res.msg)
					}

				}
			});
		},
		searchProductPan: function() {
			if (this.searchMsg == null || this.searchMsg == '') {
				cunVM.list = [];
				mui("#panPopover").popover("hide");
				$("#hidePanPopover").css('display', 'none');
			} else {
				clearTimeout(simpleQryTime);
				simpleQryTime = setTimeout(function() {
					mui.ajax(severUrl + "scm/product/dataGridSimple", {
						data: {
							keyword: cunVM.searchMsg
						},
						headers: {
							'Content-Type': 'application/x-www-form-urlencoded'
						},
						xhrFields: {
							withCredentials: true
						},
						dataType: 'json',
						type: 'post',
						timeout: 10000,
						success: function(res) {
							if (res.success) {
								cunVM.list = [];
								if (cunVM.searchMsg != '' && cunVM.searchMsg != null) {
									cunVM.list = cunVM.list.concat(res.data.list);
									if (cunVM.list.length <= 0) {
										var list = {
											"model": "去创建商品？"
										};
										cunVM.list.push(list);
									}
									mui("#panPopover").popover("show");
									$("#hidePanPopover").css('display', 'block');
								}
							}
						}
					});
				}, 150)
			}
		},
		searchProduct: function() {
			if (this.searchMsg == null || this.searchMsg == '') {
				cunVM.list = [];
				mui("#cunPopover").popover("hide");
				$("#hidePopover").css('display', 'none');
			} else {
				mui.ajax(severUrl + "scm/product/dataGridSimple", {
					data: {
						keyword: this.searchMsg
					},
					headers: {
						'Content-Type': 'application/x-www-form-urlencoded'
					},
					xhrFields: {
						withCredentials: true
					},
					dataType: 'json',
					type: 'post',
					timeout: 10000,
					success: function(res) {
						if (res.success) {
							cunVM.list = [];
							if (cunVM.searchMsg != '' && cunVM.searchMsg != null) {
								cunVM.list = cunVM.list.concat(res.data.list);
								if (cunVM.list.length <= 0) {
									var list = {
										"model": "去创建商品？"
									};
									cunVM.list.push(list);
								}
								mui("#cunPopover").popover("show");
								$("#hidePopover").css('display', 'block');
							}
						}
					}
				});
			}
		},
		productSearch: function() {
			var reg = new RegExp(this.searchMsgInput, 'i');
			var searchList = [];
			mui.each(cunVM.productList, function(index1, value1) {
				if (reg.test(value1.model)) {
					searchList.push(value1);
					return;
				}
				if (reg.test(value1.product_name)) {
					searchList.push(value1);
					return;
				}
			});
			this.searchList = searchList;
		},
		searchStock: function() {
			var reg = new RegExp(this.searchMsg, 'i');
			var searchList = [];
			mui.each(this.list, function(index1, value1) {
				mui.each(value1, function(index2, value2) {
					if (reg.test(value2.model)) {
						searchList.push(value2);
					}
				})
			});

			var n = parseInt(searchList.length / 8);
			var newSearchList = [];
			for (var i = 1; i <= n; i++) {
				newSearchList[i - 1] = [].concat(searchList.slice((i - 1) * 8, i * 8))
			}
			newSearchList.push(searchList.splice(8 * n));

			this.searchList = newSearchList;
			this.list = this.searchList;
			return this.list;
		},
		/*盘点总数 盘前总数 盈亏总数 盈亏总金额*/
		calculation: function() {
			var inventoryTotal = 0; /*盘点总数*/
			var beforeInventoryTotal = 0; /*盘前总数*/
			var profitCount = 0; /*盈亏总数*/
			var profitPrice = 0; /*盈亏总金额*/
			mui.each(this.selProductList, function(index1, product) {
				if (product.depot_id == cunVM.selectedDepot) { //库房
					var unitBeforeInventory = 0;
					var unitInventory = 0;
					mui.each(product.list, function(index, value) {
						if (value.inventoryTotal!=='' || value.inventoryType == 1) {
							unitBeforeInventory += Number(value.amount);
							unitInventory += Number(value.inventoryTotal);
						}
					});

					beforeInventoryTotal += Number(unitBeforeInventory);
					inventoryTotal += Number(unitInventory);
					profitCount += Number((unitInventory - unitBeforeInventory));
					profitPrice += parseFloat((unitInventory - unitBeforeInventory) * product.amt);

				}
			});
			this.inventoryTotal = numToCur(inventoryTotal, cunVM.systemSetting.amount_decimals_setting);
			this.beforeInventoryTotal = numToCur(beforeInventoryTotal, cunVM.systemSetting.amount_decimals_setting);
			this.profitCount = numToCur(profitCount, cunVM.systemSetting.amount_decimals_setting);
			this.profitPrice = numToCur(profitPrice, cunVM.systemSetting.price_decimals_setting, 'price');
		},

		invtcalculation: function() {
			var AllotTotal = 0;
			var beforeAllotTotal = 0;
			var proAllotCount = 0;
			var proAllotPrice = 0;
			mui.each(this.alloctionProductList, function(index1, product) {
				if (product.depot_id == cunVM.out_depot) {
					var unitBeforeInventory = 0;
					var unitInventory = 0;

					mui.each(product.list, function(index, value) {
						unitBeforeInventory += Number(value.amount);
						unitInventory += Number(value.inventoryTotal);
					});

					beforeAllotTotal += unitBeforeInventory;
					AllotTotal += unitInventory;
					proAllotCount += unitInventory;
					proAllotPrice += ((unitInventory) * product.amt);
				}
			});

			this.AllotTotal = AllotTotal;
			this.beforeAllotTotal = beforeAllotTotal;
			this.proAllotCount = proAllotCount;
			this.proAllotPrice = numToCur(proAllotPrice, cunVM.systemSetting.price_decimals_setting, 'price');
		},
		calculationls: function() {
			var count = 0;
			var totalPrice = 0;
			mui.each(this.searchHistoryList, function(index, order) {
				count += (order.in_amount + order.out_amount);
				totalPrice += (order.order_amt - order.rebate_amt);
			});
			this.lsTotalAmount = count;
			this.lsTotalPrice = numToCur(totalPrice, cunVM.systemSetting.price_decimals_setting, 'price');
		},
		calculationcg: function() {
			var count = 0;
			var totalPrice = 0;
			mui.each(this.allocationHistoryList, function(index, order) {
				count += (order.in_amount + order.out_amount);
				totalPrice += (order.order_amt - order.rebate_amt);
			});
			this.cgTotalAmount = count;
			this.cgTotalPrice = numToCur(totalPrice, cunVM.systemSetting.price_decimals_setting, 'price');
		},
		warehouseSet: function() {
			location = 'view/warehouseSetting.html'
		},
		childClixk: function(product) {
			if (event.toElement.checked) {
				chooseAllList.push(product)
			} else {
				mui.each(chooseAllList, function(i, v) {
					if (v.product_id == product.product_id && v.color_id == product.color_id && v.size_id == product.size_id) {
						chooseAllList.splice(i, 1)
					}
				})
			}
			console.log(chooseAllList)
		},
		// 库存预警跳转
		clickStockWarnJump(){
			localStorage.setItem('company_id', this.company_id)
			viewHandle.openWindow('stockWarnList.html', "stockWarnList")
		},
		dateChange(type, e){
			this[type + 'DateFirst'] = e.start_time
			this[type + 'DateLast'] = e.end_time
			if(type === 'ls'){ // 盘点历史
				inventoryPullUploading.load(1, true)
			}
			else if(type === 'cg'){ // 调拨历史
				allocationPullUploading.load(1, true)
			}
		},
		filterChange(type, e){
			if(type === 'inventory'){ // 盘点历史
				if(e.depot[0] === this.inventoryFilterData[0].entireValue){
					this.queryParams.inventoryDepot = undefined
				}else{
					this.queryParams.inventoryDepot = e.depot[0]
				}
				inventoryPullUploading.load(1, true)
			}
			else if(type === 'allocation'){ // 调拨历史
				if(e.out_depot_id[0] === this.allocationFilterData[0].entireValue){
					this.queryParams.allocationDepot_out = undefined
				}else{
					this.queryParams.allocationDepot_out = e.out_depot_id[0]
				}
				if(e.to_depot_id[0] === this.allocationFilterData[1].entireValue){
					this.queryParams.allocationDepot_to = undefined
				}else{
					this.queryParams.allocationDepot_to = e.to_depot_id[0]
				}
				allocationPullUploading.load(1, true)
			}
		},
		setBNStock(item, product, type){
			setBNItem = item
			let extras = {
				sumAmount: item.amount,
				selectAmount: item.inventoryTotal,
				productColorName: item.color_name,
				productColorId: item.color_id,
				productSizeName: item.size_name,
				productSizeId: item.size_id,
				productModel: product.model,
				productName: product.name,
				productUnit: item.main_uint_name,
				purchasePrice: this.purchaseManager ? product.purchase_price : null,
				productColorSizeId: item.product_color_size_id,
				productId: product.product_id,
				depotId: this.selectedDepot,
				BNList: item.BNList || null,
				setPageId: pageId,
				type: type
			}
			if (type === 'transfer') {// 调拨
				extras.productUnit = product.main_uint_name
				extras.depotId = this.out_depot
				let depot = this.depotList.find(function (e) {
					return e.id === extras.depotId
				})
				if (depot) {
					extras.depotName = depot.name
				} else {
					extras.depotName = ''
				}
			}
			mui.openWindow('./view/inventorySetBN.html', 'inventorySetBN', {extras : extras})
		},
		clearBN(){
			this.alloctionProductList.forEach(function (v){
				v.list.forEach(function(p) {
					delete p.BNList
					delete p.activeBN
				})
			})
			localStorage.setItem("alloctionProductList", JSON.stringify(cunVM.alloctionProductList));
			// delete 不会触发 Vue 更新
			cunVM.$forceUpdate()
		},
		clearSelProductListByCurrentDepot(depotId){
			this.selProductList = this.selProductList.filter(function(v){
				return v.depot_id === depotId
			})
			localStorage.setItem("inventoryProductList", JSON.stringify(this.selProductList))
			getSelProductList()
		},
		qryColorSizeIdsByProductIdsByProductList(list, depotId, key) {
			let ids = []
			list.forEach(function (v){
				ids.push(v.product_id)
			})
			if(ids.length){
				const loading = viewHandle.loading('请稍后...')
				$API.product.qryColorSizeIdsByProductIds({
					'depot_id': depotId,
					'product_ids':ids.join(';')
				}).then(function(e) {
					loading.close()
					console.log(e)
					list.forEach(function (v){
						v.list.forEach(function(p) {
							const temp = e.data.find(function (e){ return e.depot_id === p.depot_id && e.product_id === p.product_id && e.color_id === p.color_id && e.size_id === p.size_id})
							if(temp){
								p.product_color_size_id = temp.product_color_size_id
							}else{
								mui.toast('数据异常')
							}
						})
					})

					localStorage.setItem(key, JSON.stringify(list))
				}).catch(function(e) {
					loading.close()
					mui.toast('数据异常')
				})
			}
		},
	},
	created: function() {
		if (mui.os.ios == true && sessionStorage.getItem("reloadPage") == 1) {
			sessionStorage.removeItem("reloadPage");
			location.reload();
		}
		this.pageTabId = localStorage.getItem("pageTabId") || "inventoryQuery";
		var u = navigator.userAgent,
			app = navigator.appVersion;
		var isiOS = !!u.match(/\(i[^;]+;( U;)? CPU.+Mac OS X/); //ios终端
		if (!isiOS) {
			sessionStorage.removeItem("pageTabId");
		}
	},
	mounted: function() {
		var _this = this;
		setListener();
		var src = localStorage.getItem("shopPicture");
		$(".myUserImgBox").attr("src", src);
		var winHeight = localStorage.getItem("pageHeight"); //获取当前页面高度
		$("body").css('height', localStorage.getItem("pageHeight"));
		$(window).resize(function() {
			var u = navigator.userAgent,
				app = navigator.appVersion;
			var isAndroid = u.indexOf('Android') > -1 || u.indexOf('Linux') > -1; //android终端或者uc浏览器
			var isiOS = !!u.match(/\(i[^;]+;( U;)? CPU.+Mac OS X/); //ios终端
			if (isAndroid) {
				var thisHeight = $(this).height();
				if (winHeight - thisHeight > 140) {
					$("body").css('height', winHeight);
					$(".focusHidden").hide();
				} else {
					$(".focusHidden").show();
					$("body").css('height', winHeight);
					$("input").blur();
					$("textarea").blur();
				}
			} else if (isiOS) {

			}
		})
		mui.plusReady(function() {
			_this.getPurview();
			var searchMsg = sessionStorage.getItem("searchMsg") || "";
			sessionStorage.removeItem("searchMsg");
			var bindDepot = localStorage.getItem("bindDepot");
			if (bindDepot && bindDepot != -1) {
				allDepot_id = bindDepot
			} else {
				allDepot_id = sessionStorage.getItem("cun_depot_id") || "";
			}
			var sort = sessionStorage.getItem("sort") || "";
			var sort_rule = sessionStorage.getItem("sort_rule") || "";
			var cun_category_parent_id = sessionStorage.getItem("cun_category_parent_id");
			var cun_category_id = sessionStorage.getItem("cun_category_id");
			_this.lsDateFirst = sessionStorage.getItem("lsDateFirst") || $comm.DATE_UTIL.formatDate();
			_this.lsDateLast = sessionStorage.getItem("lsDateLast") || $comm.DATE_UTIL.formatDate();
			_this.cgDateFirst = sessionStorage.getItem("cgDateFirst") || $comm.DATE_UTIL.formatDate();
			_this.cgDateLast = sessionStorage.getItem("cgDateLast") || $comm.DATE_UTIL.formatDate();
			_this.historyTime = parseInt(sessionStorage.getItem("historyTime")) || (new Date().getTime());
			_this.stockTime = parseInt(sessionStorage.getItem("stockTime")) || (new Date().getTime())
			if (sort != '') {
				sort_rule == 'desc' ? flag = false : flag = true;
				var sorts = document.getElementsByClassName('theadbgc')[0].getElementsByClassName('sort');
				for (var i = 0, len = sorts.length; i < len; i++) {
					var name = sorts[i].className.indexOf(sort);
					if (name != null && name >= 0) {
						sorts[i].classList.remove("sort-img");
						if (!flag) {
							sorts[i].getElementsByTagName('img')[0].src = 'img/down.png';
						} else {
							sorts[i].getElementsByTagName('img')[0].src = 'img/up.png';
						}
					} else {
						sorts[i].classList.add("sort-img");
					}
				}
				var category = '';
			}
			var categoryLevel = 1;
			if (cun_category_id) {
				category = cun_category_id;
				categoryLevel = 2
			} else {
				category = cun_category_parent_id != null ? cun_category_parent_id : '';
				categoryLevel = 1
			}
			if (searchMsg != "") {
				_this.searchMsgInput = searchMsg;
				setTimeout(function() {
					getStockList(searchMsg, allDepot_id, sort, sort_rule, category, categoryLevel, cunVM.productType);
				}, 200)
			} else {
				setTimeout(function() {
					getStockList('', allDepot_id, sort, sort_rule, category, categoryLevel, cunVM.productType);
				}, 200)
			}
			sessionStorage.setItem("pageCode", '3');
			lazyLoad = mui("#upFresh").imageLazyload({
				placeholder: 'img/tx.jpg',
				selector: 'img', //查询哪些元素需要lazyload
				autoDestroy: false, //元素加载完后是否自动销毁当前插件对象
				duration: 1500, //滑动停止多久后开始加载
				diff: 0 //距离视窗底部多少像素出发lazyload
			});
			getIndexMenu();
		})
	}
});
// 筛选查询所有仓库缓存
let queryAllDepotData = null
// 筛选查询所有仓库
function queryAllDepot(item){
	return new Promise(function(resolve, reject){
		if(queryAllDepotData){
			resolve(queryAllDepotData)
			return
		}
		// 查询客户分类
		$API.product.qryDepotAll().then(function(e){
			let data = []
			if(Array.isArray(e.data)){
				e.data.forEach(function(i){
					if(i.isdisabled !== '0') return
					let row = {
						title: i.name,
						// type: 'checkbox', // 单选 ？ 多选
						type: 'radio',
						group: item.value,
						active: false,
						value: i.id,
					}
					data.push(row)
				})
			}
			queryAllDepotData = data
			resolve(data)
		}).catch(function(){reject()})
	})
}

mui("#commodityInto")[0].addEventListener('slide', function(e) {
	if (e.detail.slideNumber === 2) {
		$("#inventoryHistory .searchHistory").click()
	} else if (e.detail.slideNumber === 4) {
		$("#allocationHistory .allocationHistory").click()
	}
});

//用点击事件模拟上传
mui('#cunVM').on('tap', '#phUpload', function() {
	mui('#picture').popover('toggle');
	$("#pictureHide").show()
});
mui('#picture').on('tap', '.photo', function() {
	//downWgt()
	var type = this.dataset.phototype;
	switch (type) {
		case "photoAlbum":
			clickGallery();
			break;
		case "photograph":
			clickCamera();
			break;
	}
	$("#pictureHide").hide();
	mui('#picture').popover('toggle')
});

function getDirection(localUrl, name, fileName) {
	var img = document.createElement("img");
	if (mui.os.ios) {
		prepareUpload(localUrl, name, type, fileName, '', img.width)
	} else {
		var direction = 0;
		img.src = localUrl;
		img.onload = function() {
			EXIF.getData(img, function() {
				direction = EXIF.getTag(this, 'Orientation');
				switch (direction) {
					case 1: //0
						break;
					case 6: //->90
						direction = 90;
						break;
					case 8: //<-90
						direction = 270;
						break;
					case 3: //180
						direction = 180;
						break;
				}
				prepareUpload(localUrl, name, fileName, direction, img.width)
			})
		}
	}
}
//发送照片
function clickGallery() {
	plus.gallery.pick(function(path) {
		var name = (new Date()).valueOf()
		var fileName = 'gallery';
		getDirection(path, name, fileName)
	}, function(err) {

	});
}
// 拍照
function clickCamera() {
	var cmr = plus.camera.getCamera();
	var res = cmr.supportedImageResolutions[0]; //分辨率
	var fmt = cmr.supportedImageFormats[0]; //拍照格式
	cmr.captureImage(function(path) {
		plus.io.resolveLocalFileSystemURL(path, function(entry) {
			var name = (new Date()).valueOf()
			var localUrl = entry.toLocalURL();
			var fileName = 'camera';
			getDirection(localUrl, name, fileName)
		});
	}, function(err) {
		// console.error("拍照失败：" + err.message);
	}, {
		index: 1,
		optimize: false //自动调整图片方向
	});
}

function prepareUpload(localUrl, name, fileName, direction, width) {
	var data = {};
	if (width && Number(width) < 1080) {
		data = {
			src: localUrl,
			dst: "_doc/zhijianjxc/" + fileName + "/" + name + ".jpg",
			quality: 40,
			rotate: direction || 0,
			overwrite: true
		}
	} else {
		data = {
			src: localUrl,
			dst: "_doc/zhijianjxc/" + fileName + "/" + name + ".jpg",
			quality: 40,
			width: '1080px',
			height: '1080px',
			rotate: direction || 0,
			overwrite: true
		}
	}
	plus.zip.compressImage(data, function(e) {
		$("#phUpload").attr('src', e.target);
		viewHandle.fileUpload(e.target, null, null, null, 'head')
	}, function(err) {
		mui.toast("图片压缩失败,无法上传！")
	});
}

function getSelProductList() {
	if (mui.os.ios) {
		mui.plusReady(function() {
			setTimeout(function() {
				htmlRender()
			}, 200)
		})
	} else {
		htmlRender()
	}

	function htmlRender() {
		//盘点
		var selProductList = JSON.parse(localStorage.getItem("inventoryProductList"));
		if (selProductList) {
			let map = {}
			cunVM.selProductList.forEach(function (v) {
				v.list.forEach(function (v) {
					if(v.BNList){
						map[v.product_color_size_id] = {
							BNList: v.BNList,
							selectAmount: v.inventoryTotal,
							activeBN: v.activeBN
						}
					}
				})
			})
			selProductList.forEach(function (v) {
				v.list.forEach(function (v) {
					let i = map[v.product_color_size_id]
					if(i && v.inventoryTotal === i.selectAmount){
						v.BNList = i.BNList
						v.activeBN = i.activeBN
					}
				})
			})
			cunVM.selProductList = selProductList;
			cunVM.calculation();
		}
		//调拨
		var alloctionProductList = JSON.parse(localStorage.getItem("alloctionProductList"));
		if (alloctionProductList) {
			let map = {}
			cunVM.alloctionProductList.forEach(function (v) {
				v.list.forEach(function (v) {
					if(v.BNList){
						map[v.product_color_size_id] = {
							BNList: v.BNList,
							selectAmount: v.inventoryTotal,
							activeBN: v.activeBN
						}
					}
				})
			})
			alloctionProductList.forEach(function (v) {
				v.list.forEach(function (v) {
					let i = map[v.product_color_size_id]
					if(i && v.inventoryTotal === i.selectAmount){
						v.BNList = i.BNList
						v.activeBN = i.activeBN
					}
				})
			})
			cunVM.alloctionProductList = alloctionProductList;
			cunVM.invtcalculation();
		}
		var createDate = sessionStorage.getItem("createDate");
		if (createDate) {
			cunVM.createDate = createDate;
		} else {
			var date = new Date();
			cunVM.createDate = date.getFullYear() + "-" + ((date.getMonth() + 1) < 10 ? ('0' + (date.getMonth() + 1)) : (date.getMonth() +
				1)) + "-" + (date.getDate() < 10 ? ("0" + date.getDate()) : date.getDate());
		}
		cunVM.remark = sessionStorage.getItem("remark") || "";
		cunVM.alltRemark = sessionStorage.getItem("alltRemark") || "";
	}
}

function getIndexMenu() {
	getDepot();
	getUser()
}

function getDepot() {
	mui.ajax(severUrl + "scm/depot/list.json", {
		data: {},
		headers: {
			'Content-Type': 'application/x-www-form-urlencoded'
		},
		xhrFields: {
			withCredentials: true
		},
		dataType: 'json',
		type: 'post',
		timeout: 10000,
		success: function(res) {
			if (res.success) {
				cunVM.depotList = res.data;
				sessionStorage.setItem("depotList", JSON.stringify(res.data));
				// let selectedDepot = sessionStorage.getItem("selectedDepot");
				// if(selectedDepot && selectedDepot == -1){
				// 	cunVM.selectedDepot = selectedDepot
				// }else{
				// 	cunVM.selectedDepot = res.data[0].id;
				// }
				// sessionStorage.setItem("selectedDepot", cunVM.selectedDepot)
				if(!selectedDepot){
					selectedDepot = res.data[0].id
					cunVM.selectedDepot = res.data[0].id
				}else{
					cunVM.selectedDepot = selectedDepot
				}
			} else if (res.status == 10101 || res.status == 10102) {
				logOut(res.msg)
			}
		}
	});
	var messageNum = localStorage.getItem("messageNum");
	if (messageNum && messageNum > 0) {
		$(".showPoint").html(messageNum)
	} else {
		$(".showPoint").hide()
	}
}

function getUser() {
	mui.ajax(severUrl + "sso/user/qryOp.json", {
		data: {
			id: ""
		},
		headers: {
			'Content-Type': 'application/x-www-form-urlencoded'
		},
		xhrFields: {
			withCredentials: true
		},
		dataType: 'json',
		async: false,
		type: 'post',
		timeout: 10000,
		success: function(res) {
			if (res.success) {
				/*当数据传递成功，但数据为美欧*/
				if (typeof res.data == "undefined") return;
				sessionStorage.setItem("realname", res.data.realname);
				cunVM.realname = res.data.realname;
				if (res.data.manage_depot_id != -1) {
					cunVM.bindDepot = res.data.manage_depot_id;
					cunVM.cun_depot_id = res.data.manage_depot_id;
					cunVM.allDepot_id = res.data.manage_depot_id;
					document.getElementById('my_depot').disabled = true;
					cunVM.outAndTo = res.data.manage_depot_id;
					cunVM.selectedDepot = res.data.manage_depot_id;
					selectedDepot = res.data.manage_depot_id;
					sessionStorage.setItem("selectedDepot", res.data.manage_depot_id);
				}
				localStorage.setItem("bindDepot", res.data.manage_depot_id);
				var industry = res.data.company_industry;
				mui.ajax(severUrl + "sso/industry/list.json", {
					data: {},
					headers: {
						'Content-Type': 'application/x-www-form-urlencoded'
					},
					xhrFields: {
						withCredentials: true
					},
					dataType: 'json',
					type: 'post',
					timeout: 10000,
					success: function(res) {
						if (res.success) {
							if (industry != undefined && industry != '') {
								mui.each(res.data, function(i, v) {
									if (v.id == industry) {
										cunVM.industryName = v.name;
										return false;
									}
								});
							} else {
								cunVM.industryName = "综合";
							}
						}
					}
				});
			} else if (res.status == 10101 || res.status == 10102) {
				logOut(res.msg)
			}
		}
	});
}
//库存上拉加载
function pullupGetStockList(searchMsgInput, val, sort, sort_rule, category, categoryLevel, status) {
	page++;
	qryProduct = false; //禁止短时间多次查询
	var datas = {
		rows: 25,
		page: page,
		condition: searchMsgInput,
		status: status, //激活状态 2 所有 1 默认
		depot_id: val,
		category: category,
		category_level: categoryLevel,
		sort: sort,
		sort_rule: sort_rule // 默认desc 可不传
	}
	if (category == -1 || category == '') {
		delete(datas['category']);
		delete(datas['category_level']);
	}
	if(category === '0'){
		delete(datas['category']);
		datas['category_level'] = 0
	}
	if (val == -1 || val == '') {
		delete(datas['depot_id']);
	}
	if (sort == '') {
		delete(datas['sort']);
		delete(datas['sort_rule']);
	}
	mui.ajax(severUrl + "scm/product/qryOpByModelOrName.json", { /*商品总库存查询接口*/
		data: datas,
		headers: {
			'Content-Type': 'application/x-www-form-urlencoded'
		},
		xhrFields: {
			withCredentials: true
		},
		dataType: 'json',
		type: 'post',
		timeout: 40000,
		beforeSend: function() {
			// mask.show();//显示遮罩层
			mui('#dh')[0].style.display = "block";
		},
		complete: function() {
			//mask.close();//关闭遮罩层
			mui('#dh')[0].style.display = "none";
		},
		success: function(res) {
			var totalPage = res.data.totalPage;
			if (res.success) {
				mui.each(res.data.list, function(i, v) {
					v.picture_name = img_url + (v.picture_name || "img/tx.jpg");
					v.purchase_price = numToCur(v.purchase_price, cunVM.systemSetting.price_decimals_setting, 'price');
					v.sale_price = numToCur(v.sale_price, cunVM.systemSetting.price_decimals_setting, 'price');
					v.amount = numToCur(v.amount, cunVM.systemSetting.amount_decimals_setting);
				});
				cunVM.searchStockList = cunVM.searchStockList.concat(res.data.list);
				cunVM.currentNum = cunVM.searchStockList.length;
				// cunVM.calculationSearchList();
			} else {
				mui.toast(res.msg);
			}
			setTimeout(function() {
				lazyLoad.addElements();
			});
			if (page < totalPage) {
				setTimeout(function() {
					qryProduct = true;
					data.isLoading = true;
					$('.mui-pull-caption').text('上拉加载更多')
				}, 1500)
			} else {
				data.isLoading = false;
				$('.mui-pull-caption').text('没有更多数据了')
			}
			getTotalInfo(datas)
		},
		error: function(res) {
			var btnArray = ["重新加载"];
			mui.confirm('', '网络异常', btnArray, function(e) {
				window.location.href = 'cun.html';
			}, 'div')
		}
	});
}
// 上拉加载
$(document).on('touchstart', '#upFresh', function(e) {
	// e.preventDefault();
	data.startY = e.originalEvent.changedTouches[0].pageY;
})
$(document).on('touchmove', '#upFresh', function(e) {
	// e.preventDefault();
	data.moveEndY = e.originalEvent.changedTouches[0].pageY
	Y = data.startY - data.moveEndY;
	if (Y > 80) {
		upLoading()
	}
})

// 调拨历史
let allocationPullUploading = new $comm.PullUpLoading('.J-allocation-pull-up-loading', '.J-allocation-scroll-wrapper', function (data) {
	return getAllocationList(cunVM.cgDateFirst, cunVM.cgDateLast, data.num)
}, '.J-allocation-text')
// 盘点历史
let inventoryPullUploading = new $comm.PullUpLoading('.J-inventory-pull-up-loading', '.J-inventory-scroll-wrapper', function (data) {
	return getInventoryList(cunVM.lsDateFirst, cunVM.lsDateLast, data.num)
}, '.J-inventory-text')

// 获取盘点历史
function getInventoryList(startDate,endDate, pageNum){
	if(pageNum){
		inventoryPullUploading.data.num = pageNum
	}
	let data = {
		start_date: startDate,
		end_date: endDate,
		rows: 25,
		page: inventoryPullUploading.data.num
	}
	if(cunVM.queryParams.inventoryDepot !== undefined) data.depot_id = cunVM.queryParams.inventoryDepot
	if(cunVM.queryParams.inventoryKeyWord.trim() !== '') data.keyword = cunVM.queryParams.inventoryKeyWord
	mui('#dh1')[0].style.display = "block";
	return $API.statistics.getStockCheckDataGrid(data).then(function(res){
		mui('#dh1')[0].style.display = "none";

		cunVM.showWarn2 = false
		// 详情-并合并相同name
		for (let i = 0, len = res.data.list.length; i < len; i++) {
			var productlistnames = res.data.list[i].productlistnames.split(';');
			var newProductNames = productlistnames.unique();
			res.data.list[i].productlistnames = newProductNames.join(';');
		}
		// 详情-并合并相同货号
		for (let i = 0, len = res.data.list.length; i < len; i++) {
			var productlistmodels = res.data.list[i].productlistmodels.split(';');
			var newProductModels = productlistmodels.unique();
			res.data.list[i].productlistmodels = newProductModels.join(';');
		}
		if(inventoryPullUploading.data.num === 1){
			cunVM.searchHistoryList = []
			inventoryPullUploading.reset()
		}
		cunVM.searchHistoryList.push.apply(cunVM.searchHistoryList, res.data.list)
		cunVM.calculationls();
		if(inventoryPullUploading.data.num === 1){
			mui('#inventoryHistoryContent').scroll().refresh(); //先刷新一次布局再scrollTo
			mui('#inventoryHistoryContent').scroll().scrollTo(0, 0, 100); //100毫秒滚动到顶
		}
		if (cunVM.searchHistoryList.length === 0) {
			cunVM.showWarn2 = true;
		}
		let isEntire = res.data.pageNumber >= res.data.totalPage
		return Promise.resolve({isEntire: isEntire})
	}).catch(function(e){
		mui('#dh1')[0].style.display = "none"
		return Promise.reject(e)
	})
}

// 获取调拨历史
function getAllocationList(startDate,endDate, pageNum){
	if(pageNum){
		inventoryPullUploading.data.num = pageNum
	}
	let data = {
		start_date: startDate,
		end_date: endDate,
		rows: 25,
		page: allocationPullUploading.data.num
	}
	if(cunVM.queryParams.allocationDepot_to !== undefined) data.to_depot_id = cunVM.queryParams.allocationDepot_to
	if(cunVM.queryParams.allocationDepot_out !== undefined) data.out_depot_id = cunVM.queryParams.allocationDepot_out
	if(cunVM.queryParams.allocationKeyWord !== '') data.keyword = cunVM.queryParams.allocationKeyWord
	mui('#dh2')[0].style.display = "block";
	return $API.statistics.getStockAllotDataGrid(data).then(function(res){
		mui('#dh2')[0].style.display = "none";

		cunVM.showWarn1 = false
		// 详情-并合并相同货号
		for (var i = 0, len = res.data.list.length; i < len; i++) {
			var productlistnames = res.data.list[i].productlistnames.split(';');
			var newProductNames = productlistnames.unique();
			res.data.list[i].productlistnames = newProductNames.join(';');
		}

		mui.each(res.data.list, function(index, value) {
			mui.each(cunVM.depotList, function(index1, value1) {
				if (value.out_depot_id == value1.id) {

					value.out_depot_name = value1.name;
				} else if (value.to_depot_id == value1.id) {
					value.to_depot_name = value1.name
				}
			})
		})

		if(allocationPullUploading.data.num === 1){
			cunVM.allocationHistoryList = []
			inventoryPullUploading.reset()
		}
		cunVM.allocationHistoryList.push.apply(cunVM.allocationHistoryList, res.data.list)
		cunVM.calculationls();
		if(allocationPullUploading.data.num === 1){
			mui('#allocationHistoryContent').scroll().refresh(); //先刷新一次布局再scrollTo
			mui('#allocationHistoryContent').scroll().scrollTo(0, 0, 100); //100毫秒滚动到顶
		}
		if (cunVM.allocationHistoryList.length === 0) {
			cunVM.showWarn1 = true;
		}
		let isEntire = res.data.pageNumber >= res.data.totalPage
		return Promise.resolve({isEntire: isEntire})
	}).catch(function(e){
		mui('#dh2')[0].style.display = "none";
		return Promise.reject(e)
	})
}

function upLoading() {
	var scroll = mui('#inventoryQueryWrapper').scroll();
	var scrollTop = scroll.y;
	//判断滚动到底部之下
	if (scrollTop < scroll.maxScrollY) {
		if (data.isLoading === false || qryProduct == false) {
			return
		} else {
			$('.mui-pull-caption').text('玩命加载中...')
			//请求数据
			if (cunVM.cun_category_id != '' && cunVM.cun_category_id != -1) {
				pullupGetStockList(cunVM.searchMsgInput, cunVM.cun_depot_id, cunVM.sort, cunVM.sort_rule, cunVM.cun_category_id, 2,
					cunVM.productType);
			} else {
				pullupGetStockList(cunVM.searchMsgInput, cunVM.cun_depot_id, cunVM.sort, cunVM.sort_rule, cunVM.cun_category_parent_id,
					1, cunVM.productType);
			}
		}
	}
}
//库存查询
function getStockList(searchMsgInput, val, sort, sort_rule, category, categoryLevel, status) {
	page++;
	var datas = {
		rows: 25,
		page: page,
		condition: searchMsgInput,
		status: status,
		depot_id: val,
		category: category,
		category_level: categoryLevel,
		sort: sort,
		sort_rule: sort_rule // 默认desc 可不传
	}
	if (category == -1 || category == '') {
		delete(datas['category']);
		delete(datas['category_level']);
	}
	if(category === '0'){
		delete(datas['category']);
		datas['category_level'] = 0
	}
	if (val == -1 || val == '') {
		delete(datas['depot_id']);
	}
	if (sort == '') {
		delete(datas['sort']);
		delete(datas['sort_rule']);
	}
	mui.ajax(severUrl + "scm/product/qryOpByModelOrName.json", { /*商品总库存查询接口*/
		data: datas,
		headers: {
			'Content-Type': 'application/x-www-form-urlencoded'
		},
		xhrFields: {
			withCredentials: true
		},
		dataType: 'json',
		type: 'post',
		timeout: 40000,
		beforeSend: function() {
			// mask.show();//显示遮罩层
			mui('#dh')[0].style.display = "block";
		},
		complete: function() {
			//mask.close();//关闭遮罩层
			mui('#dh')[0].style.display = "none";
		},
		success: function(res) {
			mui(".mui-pull-caption")[0].style.display = "block"
			var totalPage = res.data.totalPage;
			if (res.success) {
				mui.each(res.data.list, function(i, v) {
					v.picture_name = img_url + (v.picture_name || "img/tx.jpg");
					v.purchase_price = numToCur(v.purchase_price, cunVM.systemSetting.price_decimals_setting, 'price');
					v.sale_price = numToCur(v.sale_price, cunVM.systemSetting.price_decimals_setting, 'price');
					v.amount = numToCur(v.amount, cunVM.systemSetting.amount_decimals_setting);
				});
				cunVM.searchStockList = res.data.list;
				cunVM.currentNum = cunVM.searchStockList.length;
				batchProduct = [];
				cunVM.selectNum = batchProduct.length
			} else {
				if (res.status == 10101 || res.status == 10102) {
					logOut(res.msg)
				} else {
					mui.toast(res.msg);
				}
			}
			cunVM.$nextTick(function() {
				setTimeout(function() {
					lazyLoad.addElements();
				}, 180);
			})
			if (page < totalPage) {
				setTimeout(function() {
					qryProduct = true;
					data.isLoading = true;
					$('.mui-pull-caption').text('上拉加载更多')
				}, 1500)
			} else {
				data.isLoading = false;
				$('.mui-pull-caption').text('没有更多数据了')
			}
			getTotalInfo(datas)
		},
		error: function(xhr, type, errorThrown) {
			if (type == 'timeout') {
				mui.toast("查询超时，请检查网络或联系客服")
			} else {
				var btnArray = ["重新加载"];
				mui.confirm('', '网络异常', btnArray, function(e) {
					window.location.href = 'cun.html';
				}, 'div')
			}
		}
	});
}

function getTotalInfo(data) {
	mui.ajax(severUrl + "scm/stock/dataGridWithTotalInfo.json", { /*商品总库存查询接口*/
		data: data,
		headers: {
			'Content-Type': 'application/x-www-form-urlencoded'
		},
		xhrFields: {
			withCredentials: true
		},
		dataType: 'json',
		type: 'post',
		timeout: 10000,
		success: function(res) {
			cunVM.all_amount = numToCur(res.data.all_amount, cunVM.systemSetting.amount_decimals_setting);
			cunVM.product_count = numToCur(res.data.product_count, cunVM.systemSetting.amount_decimals_setting);
			cunVM.all_purchase_price = numToCur(res.data.all_purchase_price, cunVM.systemSetting.price_decimals_setting,
				'price');
			cunVM.all_sale_price = numToCur(res.data.all_sale_price, cunVM.systemSetting.price_decimals_setting, 'price');
		}
	});
}


function setListener() {
	window.addEventListener("pageshow", function() {
		if (sessionStorage.getItem("reloadPage") == "1") {
			sessionStorage.removeItem("reloadPage");
			location.reload();
		}
		setTimeout(function() {
			if (sessionStorage.getItem("reloadPage") == "1") {
				sessionStorage.removeItem("reloadPage");
				location.reload();
			}
		}, 100);
		sessionStorage.removeItem("pageTabId");
	});
	setTimeout(function() {
		var u = navigator.userAgent;
		var isiOS = !!u.match(/\(i[^;]+;( U;)? CPU.+Mac OS X/); //ios终端
		if (isiOS) {
			cunVM.byIOS = true;
		}
	}, 100);
	var pageHeight = sessionStorage.getItem("pageHeight");
	if (!pageHeight) {
		pageHeight = document.documentElement.clientHeight;
		sessionStorage.setItem("pageHeight", pageHeight);
	}
	document.getElementsByTagName("body")[0].style.height = pageHeight + "px";
	mui('body').on('tap', '.bar-fixed-bottom>a', function(e) {
		e.preventDefault();
		sessionStorage.removeItem("selProductList");
		localStorage.removeItem("alloctionProductList");
		sessionStorage.removeItem("selectedDepot");
		sessionStorage.removeItem("selectedSupplier");
		sessionStorage.removeItem("selectedBuyer");
		sessionStorage.removeItem("createDate");
		sessionStorage.removeItem("remark");
		sessionStorage.removeItem("alltRemark");
		sessionStorage.removeItem("product");
		sessionStorage.removeItem("pageTabId");
		sessionStorage.removeItem("searchMsg");
		sessionStorage.removeItem("sort");
		sessionStorage.removeItem("sort_rule");
		sessionStorage.removeItem("cun_category_parent_id");
		sessionStorage.removeItem("cun_category_id");
		sessionStorage.removeItem("cun_depot_id");
		var href = this.dataset.href;
		if (href) {
			var pageAction = ''
			if (href == 'xiao') {
				pageAction = localStorage.getItem("xiaoPageAction");
				if (pageAction == 'customerRefresh') {
					viewHandle.viewFire('H576E5848', 'customerRefresh');
				}
				viewHandle.openWindow(href + '.html', "H576E5848")
			} else if (href == 'caigou') {
				pageAction = localStorage.getItem("caiPageAction");
				if (pageAction == 'supplierRefresh') {
					viewHandle.viewFire(href + '.html', 'supplierRefresh');
				}
				viewHandle.openWindow(href + '.html', href + '.html')
			} else {
				viewHandle.openWindow(href + '.html', href + '.html')
			}
		}
	});
	mui('#offCanvasSide').on('tap', '.goodsAdd', function(e) {
		e.preventDefault();
		sessionStorage.removeItem("selColorList");
		sessionStorage.removeItem("selSizeList");
		sessionStorage.removeItem("selList");
		sessionStorage.removeItem("name");
		sessionStorage.removeItem("model");
		sessionStorage.removeItem("material");
		sessionStorage.removeItem("mainUnitId");
		sessionStorage.removeItem("mainUnitName");
		sessionStorage.removeItem("unitList");
		sessionStorage.removeItem("barcodeList");
		sessionStorage.removeItem("purchase_price");
		sessionStorage.removeItem("sale_price");
		sessionStorage.removeItem("sale_price_b");
		sessionStorage.removeItem("otherAttrList");
		sessionStorage.removeItem("selListId");
		var href = this.dataset.href;
		//location = href + '.html'
		viewHandle.openWindow(href + '.html', href + '.html')
	});
	/*退出按钮*/
	mui('#offCanvasSide').on('tap', '.outLogin', function(e) {
		mui.confirm('确定退出用户？', '提示', ["取消", "确定"], function(e) {
			if (e.index == 1) {
				// signOut()
				clearCashSignOut()
			}
		}, 'div')
	});
	window.addEventListener("pageshow", function() {
		if (cunVM.positionName) {
			if (cunVM.lsDateFirst != '' || cunVM.lsDateLast != '') {
				searchHistory(cunVM.lsDateFirst, cunVM.lsDateLast);
			} else {
				var date = new Date(cunVM.historyTime);
				var searchTime = date.getFullYear() + "-" + ((date.getMonth() + 1) < 10 ? "0" + (date.getMonth() + 1) : (date.getMonth() +
					1)) + "-" + (date.getDate() < 10 ? "0" + date.getDate() : date.getDate());

				searchHistory(searchTime, searchTime);
			}
			if (cunVM.cgDateFirst != '' || cunVM.cgDateLast != '') {
				searchStock(cunVM.cgDateFirst, cunVM.cgDateLast);
			} else {
				var date = new Date(cunVM.stockTime);
				var searchTime = date.getFullYear() + "-" + ((date.getMonth() + 1) < 10 ? "0" + (date.getMonth() + 1) : (date.getMonth() +
					1)) + "-" + (date.getDate() < 10 ? "0" + date.getDate() : date.getDate());
				searchStock(searchTime, searchTime);
			}
		}
	});
	mui('.mui-scroll-wrapper').scroll({
		deceleration: 0.0006, //flick 减速系数，系数越大，滚动速度越慢，滚动距离越小，默认值0.0006
		indicators: false //隐藏一条滚动条 增大减速系数。。。
	});
	mui("#stockTaking").on('tap', '.mui-switch', function(e) {
		e.stopPropagation();
	});
	//删除盘点信息
	mui("#stockTaking").on('tap', '.deleteProductItem', function(event) {
		event.stopPropagation();
		var btn = ["取消", "确定"];
		mui.confirm('确认删除此条盘点信息吗？', '提示', btn, function(e) {
			if (e.index == 1) {
				var li = event.target.parentNode.parentNode.parentNode;
				var product_id = li.dataset.product_id;
				var flag = false;
				var listIndex = 0;
				var productIndex = 0;

				mui.each(cunVM.selProductList, function(index1, value) {
					if (value.id == product_id) {
						productIndex = index1;
						if (value.list.length == 1) {
							flag = false;
							return;
						} else {
							mui.each(value.list, function(index2, value2) {
								if (value.id == product_id &&
									value2.depot_id == cunVM.selectedDepot &&
									value2.color_id == li.dataset.colorid &&
									value2.size_id == li.dataset.sizeid
								) {
									listIndex = index2;
									flag = true;
									return;
								}
							});
						}

					}
				});

				if (flag) {
					cunVM.selProductList[productIndex].list.splice(listIndex, 1);
					var dex = 0;
					$.each(cunVM.selProductList[productIndex].list, function(index, value) {
						if (value.inventoryTotal!=='' || value.inventoryType == 1) {
							dex++;
							return false
						}
					});
					if (dex == 0) {
						cunVM.selProductList.splice(productIndex, 1);
					}
				} else {
					cunVM.selProductList.splice(productIndex, 1);
				}
				localStorage.setItem("inventoryProductList", JSON.stringify(cunVM.selProductList));
				cunVM.calculation();
			}
		}, 'div');
	});
	//删除调拨信息
	mui("#inventoryAllocation").on('tap', '.delinvProductItem', function(event) {
		event.stopPropagation();
		var btn = ["取消", "确定"];
		mui.confirm('确认删除此条调拨信息吗？', '提示', btn, function(e) {
			if (e.index == 1) {
				var li = event.target.parentNode.parentNode.parentNode;
				var product_id = li.dataset.product_id;
				var out_depot = li.dataset.out_depot;
				var flag = false;
				var listIndex = 0;
				var productIndex = 0;

				mui.each(cunVM.alloctionProductList, function(index1, value) {
					if (value.id == product_id) {
						productIndex = index1;
					}
					mui.each(value.list, function(index2, value2) {
						if (value.id == product_id &&
							value2.depot_id === out_depot &&
							value2.color_id === li.dataset.colorid &&
							value2.size_id === li.dataset.sizeid
						) {
							listIndex = index2;
							flag = true;
							return;
						} else {
							flag = false;
							return;
						}
					});
				});

				if (!flag) {
					cunVM.alloctionProductList[productIndex].list.splice(listIndex, 1);
				} else {
					cunVM.alloctionProductList.splice(productIndex, 1);
				}
				localStorage.setItem("alloctionProductList", JSON.stringify(cunVM.alloctionProductList));
				cunVM.invtcalculation();
			}
		}, 'div');
	});
	mui("#stockTaking").on('toggle', '.mui-switch', function(e) {
		var li = e.target.parentNode.parentNode.parentNode;
		var product_id = li.dataset.product_id;
		var index = li.dataset.index;
		mui.each(cunVM.selProductList, function(index1, value) {
			if (value.product_id == product_id && value.depot_id == cunVM.selectedDepot) {
				if (event.detail.isActive) {
					value.list[index].ordertype = 1;
				} else {
					value.list[index].ordertype = 0;
				}
				return false;
			}
		});
		cunVM.calculation();
	});
	mui("body").on('tap', '.itemAdd', function() {
		sessionStorage.setItem("selectedDepot", cunVM.selectedDepot);
		sessionStorage.setItem("selectedSupplier", cunVM.selectedSupplier);
		sessionStorage.setItem("selectedBuyer", cunVM.selectedBuyer);
		sessionStorage.setItem("createDate", cunVM.createDate);
		sessionStorage.setItem("remark", cunVM.remark);
		sessionStorage.setItem("alltRemark", cunVM.alltRemark);
		sessionStorage.removeItem("selColorList");
		sessionStorage.removeItem("selSizeList");
		sessionStorage.removeItem("selList");
		sessionStorage.removeItem("barcodeList");
		sessionStorage.removeItem("name");
		sessionStorage.removeItem("model");
		sessionStorage.removeItem("material");
		sessionStorage.removeItem("mainUnitId");
		sessionStorage.removeItem("mainUnitName");
		sessionStorage.removeItem("unitList");
		sessionStorage.removeItem("category_id");
		sessionStorage.removeItem("category_name");
		sessionStorage.removeItem("category_parent_name");
		sessionStorage.removeItem("purchase_price");
		sessionStorage.removeItem("sale_price");
		sessionStorage.removeItem("sale_price_b");
		sessionStorage.removeItem("otherAttrList");
		sessionStorage.removeItem("selListId");
		var pageName = $("#segmentedControl .mui-active").html();
		switch (pageName) {
			case '盘点':
				localStorage.setItem("pageTabId", "stockTaking");
				break;
			case '调拨':
				localStorage.setItem("pageTabId", "inventoryAllocation");
				break;
		}
		viewHandle.openWindow('itemAdd.html', 'itemAdd.html')
	})
	//盘点
	mui("#stockTaking").on('tap', '.selProductMenu', function() {
		sessionStorage.setItem("selectedDepot", cunVM.selectedDepot);
		sessionStorage.setItem("selectedSupplier", cunVM.selectedSupplier);
		sessionStorage.setItem("selectedBuyer", cunVM.selectedBuyer);
		sessionStorage.setItem("createDate", cunVM.createDate);
		sessionStorage.setItem("remark", cunVM.remark);
		sessionStorage.setItem("alltRemark", cunVM.alltRemark);
		sessionStorage.setItem("selProductList", JSON.stringify(cunVM.selProductList));
		localStorage.setItem("pageTabId", "stockTaking");
		sessionStorage.removeItem("type");
		var product_id = this.dataset.product_id;
		var product = {
			product_id: '',
			name: '',
			purchase_price: '',
			model: '',
			id: '',
			product_name: '',
			sale_price: '',
			status: ''
		};
		product.product_id = product_id;
		product.name = this.firstElementChild.dataset.name;
		product.purchase_price = this.firstElementChild.dataset.product_name;
		product.model = this.firstElementChild.dataset.model;
		product.product_name = this.firstElementChild.dataset.product_name;
		product.sale_price = this.firstElementChild.dataset.sale_price;
		product.id = product_id;
		product.status = 1;
		localStorage.setItem("product", JSON.stringify(product));
		localStorage.setItem("selectedDepot", cunVM.selectedDepot);
		localStorage.removeItem('type');
		var listSend = {};
		listSend.productId = product_id;
		viewHandle.viewFire('goodsInventory.html', 'showInfo', listSend)
		viewHandle.openWindow('goodsInventory.html', 'goodsInventory.html', JSON.stringify(listSend))
		//location = 'goodsInventory.html?productId=' + product_id;
	});
	//盘点商品列表
	mui(".stockTak").on('tap', '.productList', function() {
		sessionStorage.setItem("selectedDepot", cunVM.selectedDepot);
		sessionStorage.setItem("selectedSupplier", cunVM.selectedSupplier);
		sessionStorage.setItem("selectedBuyer", cunVM.selectedBuyer);
		sessionStorage.setItem("createDate", cunVM.createDate);
		sessionStorage.setItem("remark", cunVM.remark);
		sessionStorage.setItem("alltRemark", cunVM.alltRemark);
		localStorage.setItem("pageTabId", "stockTaking");
		var listSend = {
			selectedDepot: cunVM.selectedDepot
		};
		viewHandle.viewFire("cunInventoryList.html", 'depot', listSend);
		viewHandle.openWindow("cunInventoryList.html", "cunInventoryList.html", JSON.stringify(listSend))
	});
	//调拨
	mui("#inventoryAllocation").on('tap', '.alltProductMenu', function() {
		localStorage.setItem("invtDepotPrev", cunVM.out_depot);
		localStorage.setItem("invtDepotNext", cunVM.to_depot);
		sessionStorage.setItem("alltRemark", cunVM.alltRemark);
		sessionStorage.setItem("alloctionProductList", JSON.stringify(cunVM.alloctionProductList));
		localStorage.setItem("alloctionProductList", JSON.stringify(cunVM.alloctionProductList));
		localStorage.setItem("pageTabId", "inventoryAllocation");
		var product_id = this.dataset.product_id;
		var product = {
			product_id: '',
			name: '',
			purchase_price: '',
			model: '',
			id: '',
			product_name: '',
			sale_price: '',
			status: ''
		};

		product.product_id = product_id;
		product.name = this.firstElementChild.dataset.name;
		product.purchase_price = this.firstElementChild.dataset.product_name;
		product.model = this.firstElementChild.dataset.model;
		product.id = product_id;
		product.product_name = this.firstElementChild.dataset.product_name;
		product.sale_price = this.firstElementChild.dataset.sale_price;
		product.status = 1;


		for (var i = 0, len = cunVM.depotList.length; i < len; i++) {
			if (cunVM.depotList[i].id == cunVM.out_depot) {
				localStorage.setItem("depotName", cunVM.depotList[i].name);
			}
			if (cunVM.depotList[i].id == cunVM.to_depot) {
				localStorage.setItem("toDepotName", cunVM.depotList[i].name);
			}
		}
		sessionStorage.setItem("invtproduct", JSON.stringify(product));
		localStorage.setItem("invtproduct", JSON.stringify(product));
		localStorage.removeItem('type');
		localStorage.setItem("invtDepotPrev", cunVM.out_depot);
		localStorage.setItem("invtDepotNext", cunVM.to_depot);
		var listSend = {};
		listSend.productId = product_id;
		viewHandle.viewFire('cunAlloction.html', 'showInfo', listSend)
		viewHandle.openWindow('cunAlloction.html', 'cunAlloction.html', JSON.stringify(listSend))
	});
	//调拨商品列表
	mui(".Allocation").on('tap', '.productList', function() {
		localStorage.setItem("invtDepotPrev", cunVM.out_depot);
		localStorage.setItem("invtDepotNext", cunVM.to_depot);
		if (cunVM.out_depot == '') {
			mui.toast("请选择调出仓库");
		} else if (cunVM.to_depot == '') {
			mui.toast("请选择调入仓库");
		} else {
			localStorage.setItem("invtDepotPrev", cunVM.out_depot);
			localStorage.setItem("invtDepotNext", cunVM.to_depot);
			sessionStorage.setItem("alltRemark", cunVM.alltRemark);
			localStorage.setItem("pageTabId", "inventoryAllocation");
			for (var i = 0, len = cunVM.depotList.length; i < len; i++) {
				if (cunVM.depotList[i].id == cunVM.out_depot) {
					localStorage.setItem("depotName", cunVM.depotList[i].name);
				}
				if (cunVM.depotList[i].id == cunVM.to_depot) {
					localStorage.setItem("toDepotName", cunVM.depotList[i].name);
				}
			}
			var listSend = {}
			listSend.invtDepotPrev = cunVM.out_depot
			listSend.invtDepotNext = cunVM.to_depot
			viewHandle.viewFire('cunAlloctionList.html', 'depot', listSend)
			viewHandle.openWindow('cunAlloctionList.html', 'cunAlloctionList.html', JSON.stringify(listSend))
		}
	});
	mui("#stockTaking").on('tap', '.itemLink', function() {
		if (this.dataset.id == null) {
			sessionStorage.removeItem("selColorList");
			sessionStorage.removeItem("selSizeList");
			sessionStorage.removeItem("selList");
			sessionStorage.removeItem("barcodeList");
			sessionStorage.removeItem("name");
			sessionStorage.removeItem("model");
			sessionStorage.removeItem("material");
			sessionStorage.removeItem("mainUnitId");
			sessionStorage.removeItem("mainUnitName");
			sessionStorage.removeItem("unitList");
			sessionStorage.removeItem("category_id");
			sessionStorage.removeItem("category_name");
			sessionStorage.removeItem("category_parent_name");
			sessionStorage.removeItem("purchase_price");
			sessionStorage.removeItem("sale_price");
			sessionStorage.removeItem("otherAttrList");
			sessionStorage.removeItem("selListId");
			localStorage.setItem("pageTabId", "stockTaking");
			var arg = {};
			arg.model = cunVM.searchMsg;
			viewHandle.viewFire('itemAdd.html', 'modelAndName', arg);
			viewHandle.openWindow('itemAdd.html', 'itemAdd.html', JSON.stringify(arg));
			cunVM.searchMsg = '';
			cunVM.searchProduct()
		} else {
			var product = {
				product_id: '',
				name: '',
				purchase_price: '',
				model: '',
				id: '',
				product_name: '',
				sale_price: '',
				status: ''
			};
			for (var i = 0; i < cunVM.list.length; i++) {
				if (cunVM.list[i].id == this.dataset.id) {
					product.product_id = cunVM.list[i].product_id;
					product.name = cunVM.list[i].name;
					product.purchase_price = cunVM.list[i].purchase_price;
					product.model = cunVM.list[i].model;
					product.id = cunVM.list[i].id;
					product.product_name = cunVM.list[i].product_name;
					product.sale_price = cunVM.list[i].purchase_price;
					product.status = 1;
				}
			}
			sessionStorage.setItem("selectedDepot", cunVM.selectedDepot);
			localStorage.setItem("selectedDepot", cunVM.selectedDepot);
			sessionStorage.setItem("selectedSupplier", cunVM.selectedSupplier);
			sessionStorage.setItem("selectedBuyer", cunVM.selectedBuyer);
			sessionStorage.setItem("createDate", cunVM.createDate);
			sessionStorage.setItem("remark", cunVM.remark);
			sessionStorage.setItem("product", JSON.stringify(product));
			localStorage.setItem("product", JSON.stringify(product));
			localStorage.setItem("pageTabId", "stockTaking");
			var cunCommonPurchaseList = JSON.parse(localStorage.getItem("cunCommonPurchaseList"));
			if (cunCommonPurchaseList) {
				mui.each(cunCommonPurchaseList, function(index, pdu) {
					if (pdu.model == product.model) {
						pdu.count++;
						return false;
					}
					if (index == cunCommonPurchaseList.length - 1) {
						cunCommonPurchaseList.push({
							model: product.model,
							count: 1
						});
					}
				});
			} else {
				cunCommonPurchaseList = [];
				cunCommonPurchaseList.push({
					model: product.model,
					count: 1
				});
			}
			cunCommonPurchaseList.sort(function(a, b) {
				return a.count - b.count
			})
			localStorage.setItem("cunCommonPurchaseList", JSON.stringify(cunCommonPurchaseList));
			localStorage.removeItem('type');

			//location = 'goodsInventory.html?productId=' + this.dataset.id;
			cunVM.searchMsg = '';
			mui("#cunPopover").popover("hide");
			$("#hidePopover").css('display', 'none');
			var listSend = {};
			listSend.productId = this.dataset.id;
			viewHandle.viewFire('goodsInventory.html', 'showInfo', listSend)
			viewHandle.openWindow('goodsInventory.html', 'goodsInventory.html', JSON.stringify(listSend))
		}
	});


	mui('body').on('tap', '.sousuo1', function() {
		$(".SearchIpt1").focus();
	});
	mui('body').on('tap', '.sousuo2', function() {
		$(".SearchIpt2").focus();
	});

	mui("#inventoryAllocation").on('tap', '.itemLink', function() {
		if (this.dataset.id == null) {
			sessionStorage.removeItem("selColorList");
			sessionStorage.removeItem("selSizeList");
			sessionStorage.removeItem("selList");
			sessionStorage.removeItem("barcodeList");
			sessionStorage.removeItem("name");
			sessionStorage.removeItem("model");
			sessionStorage.removeItem("material");
			sessionStorage.removeItem("mainUnitId");
			sessionStorage.removeItem("mainUnitName");
			sessionStorage.removeItem("unitList");
			sessionStorage.removeItem("category_id");
			sessionStorage.removeItem("category_name");
			sessionStorage.removeItem("category_parent_name");
			sessionStorage.removeItem("purchase_price");
			sessionStorage.removeItem("sale_price");
			sessionStorage.removeItem("otherAttrList");
			sessionStorage.removeItem("selListId");
			var arg = {};
			arg.model = cunVM.searchMsg;
			viewHandle.viewFire('itemAdd.html', 'modelAndName', arg);
			viewHandle.openWindow('itemAdd.html', 'itemAdd.html', JSON.stringify(arg));
			cunVM.searchMsg = '';
			cunVM.searchProductPan()
		} else {
			localStorage.setItem("invtDepotPrev", cunVM.out_depot);
			localStorage.setItem("invtDepotNext", cunVM.to_depot);
			if (cunVM.out_depot == '') {
				mui.toast("请选择调出仓库");
			} else if (cunVM.to_depot == '') {
				mui.toast("请选择调入仓库");
			} else {
				var product = {
					product_id: '',
					name: '',
					purchase_price: '',
					model: '',
					id: '',
					product_name: '',
					sale_price: '',
					status: ''
				};
				for (var i = 0; i < cunVM.list.length; i++) {
					if (cunVM.list[i].id == this.dataset.id) {
						product.product_id = cunVM.list[i].product_id;
						product.name = cunVM.list[i].name;
						product.purchase_price = cunVM.list[i].purchase_price;
						product.model = cunVM.list[i].model;
						product.id = cunVM.list[i].id;
						product.product_name = cunVM.list[i].product_name;
						product.sale_price = cunVM.list[i].purchase_price;
						product.status = 1;
					}
				}
				localStorage.setItem("invtDepotPrev", cunVM.out_depot);
				localStorage.setItem("invtDepotNext", cunVM.to_depot);
				sessionStorage.setItem("alltRemark", cunVM.alltRemark);
				sessionStorage.setItem("invtproduct", JSON.stringify(product));
				localStorage.setItem("invtproduct", JSON.stringify(product));
				localStorage.removeItem("type")
				localStorage.setItem("pageTabId", "inventoryAllocation");
				var cunCommonPurchaseList = JSON.parse(localStorage.getItem("cunCommonPurchaseList"));
				if (cunCommonPurchaseList) {
					mui.each(cunCommonPurchaseList, function(index, pdu) {
						if (pdu.model == product.model) {
							pdu.count++;
							return false;
						}
						if (index == cunCommonPurchaseList.length - 1) {
							cunCommonPurchaseList.push({
								model: product.model,
								count: 1
							});
						}
					});
				} else {
					cunCommonPurchaseList = [];
					cunCommonPurchaseList.push({
						model: product.model,
						count: 1
					});
				}
				cunCommonPurchaseList.sort(function(a, b) {
					return a.count - b.count
				});
				localStorage.setItem("cunCommonPurchaseList", JSON.stringify(cunCommonPurchaseList));
				var out_name, to_name, out_exist = false,
					to_exist = false;
				for (var i = 0, len = cunVM.depotList.length; i < len; i++) {
					if (cunVM.depotList[i].id == cunVM.out_depot) {
						//location = 'cunAlloction.html?productId=' + this.dataset.id + '&depotName=' + escape(cunVM.depotList[i].name);
						out_name = cunVM.depotList[i].name;
						out_exist = true;
					}
					if (cunVM.depotList[i].id == cunVM.to_depot) {
						to_name = cunVM.depotList[i].name;
						to_exist = true;
					}
				}
				if (out_exist && to_exist) {
					localStorage.setItem("depotName", out_name);
					localStorage.setItem("toDepotName", to_name);
					var listSend = {};
					listSend.productId = this.dataset.id;
					viewHandle.viewFire('cunAlloction.html', 'showInfo', listSend)
					viewHandle.openWindow('cunAlloction.html', 'cunAlloction.html', JSON.stringify(listSend))
					//location = 'cunAlloction.html?productId=' + this.dataset.id + '&depotName=' + out_name +'&toDepotName=' + to_name;
				}
				cunVM.searchMsg = '';
				mui("#panPopover").popover("hide");
				$("#hidePanPopover").css('display', 'none');
			}
		}

	});


	var toggleFlag = true;
	mui("#stockTaking").on('tap', '.toggle-state', function() {


		if (toggleFlag) {
			mui('#stockTaking .mui-icon-arrowup')[0].style.display = "block";
			mui('#stockTaking .selectForm')[0].style.display = "block";
			mui('#stockTaking .mui-icon-arrowdown')[0].style.display = "none";

			toggleFlag = false;
		} else {
			mui('#stockTaking .mui-icon-arrowup')[0].style.display = "none";
			mui('#stockTaking .selectForm')[0].style.display = "none";
			mui('#stockTaking .mui-icon-arrowdown')[0].style.display = "block";

			toggleFlag = true;
		}
	})

	var inventoryFlag = true;
	mui("#inventoryAllocation").on('tap', '.toggle-state', function() {
		if (inventoryFlag) {
			mui('#inventoryAllocation .mui-icon-arrowup')[0].style.display = "block";
			mui('.inventory-form')[0].style.display = "block";
			mui('#inventoryAllocation .mui-icon-arrowdown')[0].style.display = "none";

			inventoryFlag = false;
		} else {
			mui('#inventoryAllocation .mui-icon-arrowup')[0].style.display = "none";
			mui('.inventory-form')[0].style.display = "none";
			mui('#inventoryAllocation .mui-icon-arrowdown')[0].style.display = "block";

			inventoryFlag = true;
		}
	})

	//日期选择
	var dtpicker = new mui.DtPicker({
		type: "date", //设置日历初始视图模式
		labels: ['年', '月', '日'] //设置默认标签区域提示语
	})
	mui('body').on('tap', '.diaoCreateDate', function() {
		var _self = this;
		dtpicker.show(function(e) {
			cunVM.createDate = e.text;
		})
	});
	mui('body').on('tap', '.panCreateDate', function() {
		var _self = this;
		dtpicker.show(function(e) {
			cunVM.createDate = e.text;
		})
	});
	/*点击盘点按钮  弹出盘点列表*/
	mui('body').on('tap', '.inventory', function() {
		if (cunVM.selProductList.length == 0) {
			mui.toast('请选择盘点商品');
			return;
		}
		showPurchase()
		function showPurchase() {
			cunVM.is_draft = 0;
			cunVM.calculation();
			mui('#purchase').popover('toggle');
		}


	});
	/*点击草稿按钮  弹出盘点列表*/
	mui('body').on('tap', '.inventory_draft', function() {
		if (cunVM.selProductList.length == 0) {
			mui.toast('请选择盘点商品');
			return;
		}
		cunVM.is_draft = 1;
		cunVM.calculation();
		mui('#purchase').popover('toggle');
	});

	//盘点为0相关
	//未盘查询
	mui('body').on('tap', '.inventory_zero', function() {
		if (cunVM.selProductList.length <= 0) {
			mui.toast("请先盘点商品");
			return false
		}
		mui('#cunInfo')[0].style.display = 'none';
		mui('#pdZero')[0].style.display = 'block';
		let needSN = cunVM.vipLevel === '1' && cunVM.systemSetting.sn_setting === 1
		let product_ids = cunVM.selProductList.map(function (e) {
			return e.product_id
		})
		$API.order.queryOpByIds({
			product_ids: product_ids.join(';'),
			depot_id: cunVM.selectedDepot,
			tracking_type: 1,
			needSN: needSN
		}).then(function(e) {
			if(!e.data){e.data=[]}
			if(!e.data){e.data=[]}
			const map = {}
			e.data.forEach(function(p) {
				if(!Array.isArray(map[p.product_id])){
					map[p.product_id] = []
				}
				map[p.product_id].push(p)
			})
			for (let i = 0; i < cunVM.selProductList.length; i++) {
				const  currentProductId = cunVM.selProductList[i].product_id
				// 当前商品库存信息
				const data = map[currentProductId] || []

				data.forEach(function(p) {
					let current = cunVM.selProductList[i].list.find(function (p2) {
						return p2.color_id === p.color_id && p2.size_id === p.size_id && p2.product_id === p.product_id
					})
					// 当前数据不在列表中
					if(!current){
						p.inventoryTotal = ''
						p.inventoryType = 0
						if(p.product_sn_list){
							p.product_sn_list = _.compact(p.product_sn_list.split(','))
							p.product_sn_list_old = JSON.parse(JSON.stringify(p.product_sn_list))
						}else{
							p.product_sn_list = []
							p.product_sn_list_old = []
						}
						cunVM.selProductList[i].list.push(p)
					}
				})
			}
			localStorage.setItem('inventoryProductList', JSON.stringify(cunVM.selProductList))
			sortFunction()

		})

		function sortFunction(){
			var selProductListSort = JSON.parse(JSON.stringify(cunVM.selProductList))

			selProductListSort.forEach(function(product) {
				var list = product.list
				list = list.filter(function(item) {
					if (item.inventoryTotal==='' && item.inventoryType == 0) {
						return true
					}
				})

				var sumCount = list.reduce(function(prev, cur) {
					prev += Number(cur.amount)
					return prev
				}, 0)

				product.sumCount = sumCount
				product.list = list
			})

			selProductListSort = selProductListSort.sort(function(o1, o2) {
				return o2.sumCount - o1.sumCount
			})

			mui.each(selProductListSort, function(i, v) {
				v.list = v.list.sort(function(o1, o2) {
					return o2.amount - o1.amount
				})
			})
			cunVM.selProductListSort = selProductListSort
			mui(".not_item")[0].getElementsByTagName('img')[0].src = 'img/down.png';
		}
	});
	mui('body').on('tap', '.pdZeroSave', function() {
		if (chooseAllList.length <= 0) {
			mui.toast("请先盘点商品");
			return false
		}
		if (cunVM.vipLevel === '1' && cunVM.systemSetting.production_batch_setting === 1) {
			let loading = viewHandle.loading('请稍后..')
			let ids = chooseAllList.map(function (v){return v.product_color_size_id})
			if(ids.length){
				$API.order.getBNListByIds({
					product_color_size_ids: "'" + ids.join("','") + "'",
					depot_id: cunVM.selectedDepot
				}).then(function (e){
					loading.close()
					let data = {} // 商品批次数组 {product_color_size_id: BNList[设置为0]}
					e.data.forEach(function (e) {
						if(!data[e.product_color_size_id]){
							data[e.product_color_size_id] = []
						}
						data[e.product_color_size_id].push(e)
						e.selectAmount = 0
						e.amount = e.production_amount
						delete e.purchase_price
						delete e.production_amount
					})
					save('BN', data)

				}).catch(function (e) {
					loading.close()
				})
			}else{
				save()
			}
		}else{
			save()
		}
		function save(type, data){
			mui('#cunInfo')[0].style.display = 'block';
			mui('#pdZero')[0].style.display = 'none';
			mui.each(chooseAllList, function(n, m) {
				mui.each(cunVM.selProductList, function(i, v) {
					mui.each(v.list, function(j, k) {
						if (m.product_id === k.product_id && m.color_id === k.color_id && m.size_id === k.size_id) {
							k.inventoryTotal = 0;
							if(type === 'BN' && data && data[k.product_color_size_id]){
								k.BNList = data[k.product_color_size_id]
								data[k.product_color_size_id].forEach(function (c){
									c.color_name = k.color_name
									c.depot_name = cunVM.selectedDepot
									c.model = v.model
									c.name = v.name
									c.size_name = k.size_name
								})
							}
							return false
						}
					})
				})
			})
			localStorage.setItem('inventoryProductList', JSON.stringify(cunVM.selProductList))
			var names = document.getElementsByName("checkChild");
			document.getElementsByName("chooseAll")[0].checked = false;
			for (var i = 0; i < names.length; i++) {
				names[i].checked = false
			}
			chooseAllList = [];
		}
	});
	mui('body').on('tap', '.pdZeroBack', function() {
		mui('#cunInfo')[0].style.display = 'block';
		mui('#pdZero')[0].style.display = 'none';
		var names = document.getElementsByName("checkChild");
		document.getElementsByName("chooseAll")[0].checked = false;
		for (var i = 0; i < names.length; i++) {
			names[i].checked = false
		}
		chooseAllList = [];
	});

	//扫码盘点
	mui("#stockTaking").on('tap', '.sweepCode', function() {
		if (!cunVM.stockManager) {
			return mui.toast("您没有该权限");
		}
		cunVM.sweepCodeType = 'pd';
		mui.each(cunVM.depotList, function(index, value) {
			if (value.id == cunVM.selectedDepot) {
				var depot = value.name;
				if (value.name.indexOf('#') != -1) {
					depot = encodeURIComponent(value.name);
				}
				var cookie = 'ecp_cookie=' + localStorage.getItem("HF");
				var sendUrl = 'zhijianjxcapp://productscan/param?depot_id=' + cunVM.selectedDepot + '&depot_name=' + depot +
					'&ordertype=1' + '&is_manager=' + cunVM.purchaseManager+'&sn_setting=' + cunVM.systemSetting.sn_setting+'&tracking_type=1';
				if (mui.os.ios == true) {
					sweepCode_i(cookie, sendUrl, 888)
				} else if (mui.os.android == true) {
					sweepCode(cookie, sendUrl, 888)
				}
			}
		});
	});

	//扫码调拨
	mui("#inventoryAllocation").on('tap', '.sweepCode', function() {
		if (cunVM.out_depot == '' || cunVM.to_depot == '') {
			return mui.toast("请选择调拨仓库仓库！");
		}
		if (!cunVM.stockManager) {
			return mui.toast("您没有该权限");
		}
		var out_depot_name;
		mui.each(cunVM.depotList, function(index1, value1) {
			if (cunVM.out_depot == value1.id) {
				out_depot_name = value1.name;
			}
		})
		cunVM.sweepCodeType = 'db';
		mui.each(cunVM.depotList, function(index, value) {
			if (value.id == cunVM.selectedDepot) {
				var depot = value.name;
				if (value.name.indexOf('#') != -1) {
					depot = encodeURIComponent(value.name);
				}
				var cookie = 'ecp_cookie=' + localStorage.getItem("HF");
				var sendUrl = 'zhijianjxcapp://productscan/param?depot_id=' + cunVM.out_depot + '&depot_name=' + out_depot_name +
					'&ordertype=1' + '&is_manager=' + cunVM.purchaseManager+'&sn_setting=' + cunVM.systemSetting.sn_setting+'&tracking_type=2';;
				if (mui.os.ios == true) {
					sweepCode_i(cookie, sendUrl, 888)
				} else if (mui.os.android == true) {
					sweepCode(cookie, sendUrl, 888)
				}
			}
		});
	});

	/*点击调拨按钮*/
	mui('body').on('click', '.alla_inventory', function() {

		if (cunVM.alloctionProductList.length == 0) {
			mui.toast('请选择调拨商品');
			return;
		}
		mui('#alloation').popover('toggle');
		mui.each(cunVM.depotList, function(index2, value) {
			if (cunVM.out_depot == value.id) {
				cunVM.out_depot_name = value.name;
			}
			if (cunVM.to_depot == value.id) {
				cunVM.to_depot_name = value.name;
			}
		});
	});
	/*点击盘点弹出框中的 取消按钮*/
	mui('body').on('click', '.cancelPurchase', function() {
		mui('#alloation').popover('hide');
		mui('#purchase').popover('hide');
	});
	mui('#inventoryQuery').on('tap', '.historyItem', function() {
		var _this = this;
		$(_this).addClass("clickSize");
		setTimeout(function() {
			$(_this).removeClass("clickSize");
		}, 180)
		if (cunVM.labelPprinter) {
			return mui.toast("您没有查看权限")
		}
		if (cunVM.color_show == 1 || cunVM.size_show == 1 || cunVM.origin_specification > 0) {
			var product_id = this.dataset.id;
			var product_model = this.dataset.model;
			var product_name = this.dataset.product_name;
			var purchase_price = this.dataset.purchase_price;
			var sale_price = this.dataset.sale_price;
			sessionStorage.setItem("stockProduct_model", product_model);
			sessionStorage.setItem("stockProduct_name", product_name);
			sessionStorage.setItem("stockProduct_id", product_id);
			localStorage.setItem("pageTabId", "inventoryQuery");
			sessionStorage.setItem("searchMsg", cunVM.searchMsgInput);
			var listSend = {}
			listSend.stockProduct_model = product_model;
			listSend.stockProduct_name = product_name;
			listSend.stockProduct_id = product_id;
			listSend.bindDepot = cunVM.bindDepot;
			listSend.list = {
				id: product_id,
				model: product_model,
				name: product_name,
				product_id: product_id,
				product_name: product_name,
				purchase_price: numToCur(purchase_price, cunVM.systemSetting.price_decimals_setting, 'price'),
				sale_price: numToCur(sale_price, cunVM.systemSetting.price_decimals_setting, 'price'),
				status: 1
			}
			setTimeout(function() {
				viewHandle.viewFire("inventorySearch.html", "inventorySearch", listSend);
				viewHandle.openWindow('inventorySearch.html', 'inventorySearch.html', JSON.stringify(listSend))
			}, 180)
		}
	});

	mui('body').on('tap', '#searchIpt', function(e) {
		e.stopPropagation();
	});

	mui('body').on('tap', '.lastSlider', function() {
		this.style.color = "#fff";
		var self = this;
		var itl = setTimeout(function() {
			self.style.color = "#000";
			clearTimeout(itl);
		}, 100);
		var sliderIndex = mui('#slider .mui-slider-item.mui-active')[0].dataset.index;
		var gallery = mui('#slider');
		gallery.slider().gotoItem(++sliderIndex);
	});

	mui('body').on('tap', '.lastSliderTB', function() {
		this.style.color = "#fff";
		var self = this;
		var itl = setTimeout(function() {
			self.style.color = "#000";
			clearTimeout(itl);
		}, 100);
		var sliderIndex = mui('#db .mui-slider-item.mui-active')[0].dataset.index;
		var gallery = mui('#db');
		gallery.slider().gotoItem(++sliderIndex);
	});

	//盘点弹窗
	mui('body').on('click', '.cgCreateOrder', function() {
		if (cunVM.selProductList.length != 0) {
			var productList = [];
			const selProductList = JSON.parse(JSON.stringify(cunVM.selProductList))
			mui.each(selProductList, function(index, product) {
				if (product.depot_id == cunVM.selectedDepot) {
					mui.each(product.list, function(index2, value) {
						if (value.inventoryTotal!=='' || value.inventoryType == 1) {
							const p = {
								product_id: product.product_id,
								product_model: product.model,
								product_sn_list: value.product_sn_list,
								type: value.ordertype,
								purchase_price: product.purchase_price,
								sale_price: product.sale_price,
								color_id: value.color_id,
								color_name: value.color_name,
								size_id: value.size_id,
								size_name: value.size_name,
								pre_amount: value.amount,
								now_amount: value.inventoryTotal,
								product_name: product.name,
								product_color_size_id: value.product_color_size_id
							}
							if(value.BNList && value.BNList.length){
								p.bn_list = []
								value.BNList.forEach(function(v) {
									p.bn_list.push({
										production_batch_id: v.isNew ? '': v.id,
										production_batch_number: v.production_batch_number || '',
										production_date_str: v.production_date_timestamp ? $comm.DATE_UTIL.formatDate(new Date(v.production_date_timestamp), false) : '',
										production_amount: Number((v.selectAmount - v.amount).toFixed(4)),
										product_color_size_id: v.product_color_size_id,
										expire_date_ms: v.expire_date_ms
									})
								})
								p.bn_list_length = p.bn_list.length
							}
							productList.push(p);
						}
					})
				}
			});
			mui(".inventory").button('loading');
			$("#createOrderButton").css('pointer-events', 'none');
			var date = new Date();
			var time = cunVM.createDate + " " + (date.getHours() < 10 ? ("0" + date.getHours()) : date.getHours()) + ":" + (
				date.getMinutes() < 10 ? ("0" + date.getMinutes()) : date.getMinutes()) + ":" + (date.getSeconds() < 10 ? ("0" +
				date.getSeconds()) : date.getSeconds());
			let data = {
				id: '',
				remark: cunVM.remark,
				sign_date: time,
				customer_id: cunVM.selectedSupplier,
				depot_id: cunVM.selectedDepot,
				productlistlength: productList.length,
				productlist: productList,
				is_draft: cunVM.is_draft
			}
			data = JSON.parse(JSON.stringify(data))
			submit(data)
			function submit(data) {
				mui.ajax(severUrl + "scm/stockCheck/save.json", {
					data: data,
					headers: {
						'Content-Type': 'application/x-www-form-urlencoded'
					},
					xhrFields: {
						withCredentials: true
					},
					dataType: 'json',
					type: 'post',
					timeout: 10000,
					success: function(res) {

						mui('#purchase').popover('toggle');
						mui(".inventory").button('reset');
						$("#createOrderButton").css('pointer-events', 'auto');
						mui.toast(res.msg);
						if (res.success) {
							localStorage.setItem("productListPage", "refresh");
							localStorage.setItem("pinProductListPage", "refresh");
							localStorage.setItem("draftProductListPage", "refresh");
							localStorage.setItem("pinDraftProductListPage", "refresh");
							localStorage.setItem("cunInventoryListPage", "refresh");
							localStorage.setItem("cunAlloctionListPage", "refresh");
							sessionStorage.removeItem("selProductList");
							sessionStorage.removeItem("selectedDepot");
							localStorage.removeItem("inventoryProductList");
							cunVM.selProductList = [];
							cunVM.remark = "";
							cunVM.calculation();
							var date = new Date(cunVM.historyTime);
							var searchTime = date.getFullYear() + "-" + ((date.getMonth() + 1) < 10 ? "0" + (date.getMonth() + 1) : (
								date.getMonth() + 1)) + "-" + (date.getDate() < 10 ? "0" + date.getDate() : date.getDate());
							searchHistory(searchTime, searchTime);
							getIndexMenu();
							page = 0;
							cunVM.searchStockList = [];
							if (cunVM.cun_category_id != '' && cunVM.cun_category_id != -1) {
								getStockList(cunVM.searchMsgInput, cunVM.allDepot_id, cunVM.sort, cunVM.sort_rule, cunVM.cun_category_id, 2,
									cunVM.status);
							} else {
								getStockList(cunVM.searchMsgInput, cunVM.allDepot_id, cunVM.sort, cunVM.sort_rule, cunVM.cun_category_parent_id,
									1, cunVM.status);
							}
						}
						if (res.status === 222) {
							mui.confirm(res.msg, '提示', ['确定盘点', '返回修改'], function (e) {
								if(e.index === 0){
									data.force_impl_mismatched_pb = 1
									submit(data)
								}else{
									// mui('#purchase').popover('toggle');
									$("#createOrderButton").css('pointer-events', 'auto');
								}
							},'div')
						}
					}
				});
			}

		}
		else {
			mui.toast('请添加盘点商品！')
		}
	});

	//调拨
	mui('body').on('click', '.allotCreateOrder', function() {
		showLoading()
		function showLoading() {
			mui(".alla_inventory").button('loading');
			$(".allotCreateOrder").css('pointer-events', 'none');
			mui('#alloation').popover('toggle');
		}
		function resetLoading(){
			mui(".alla_inventory").button('reset');
			$(".allotCreateOrder").css('pointer-events', 'auto');
		}
		if (cunVM.alloctionProductList.length != 0) {
			var productList = [];
			mui.each(cunVM.alloctionProductList, function(index, product) {
				product.depot_id = cunVM.out_depot
				mui.each(product.list, function(index2, value) {
					if (value.amount != (value.amount - value.inventoryTotal)) {
						let p = {
							product_id: product.product_id,
							product_model: product.model,
							product_sn_list: value.product_sn_list || [],
							purchase_price: product.purchase_price,
							color_id: value.color_id,
							color_name: value.color_name,
							size_id: value.size_id,
							size_name: value.size_name,
							amount: value.inventoryTotal,
							product_name: product.name,
							product_color_size_id: value.product_color_size_id
						}
						if(value.activeBN && value.BNList){
							p.bn_list = []

							value.BNList.forEach(function(v){
								if(v.selectAmount > 0){
									p.bn_list.push({
										production_batch_id: v.id,
										production_batch_number: v.production_batch_number || '',
										production_date_str: v.production_date_timestamp ? $comm.DATE_UTIL.formatDate(new Date(v.production_date_timestamp), false) : '',
										production_amount: Number((v.selectAmount).toFixed(4)),
										product_color_size_id: v.product_color_size_id,
										expire_date_ms: v.expire_date_ms
									})
								}
							})
							p.bn_list_length = p.bn_list.length
						}
						productList.push(p);
					}
				})
			});

			var date = new Date();
			var time = cunVM.createDate + " " + (date.getHours() < 10 ? ("0" + date.getHours()) : date.getHours()) + ":" + (
				date.getMinutes() < 10 ? ("0" + date.getMinutes()) : date.getMinutes()) + ":" + (date.getSeconds() < 10 ? ("0" +
				date.getSeconds()) : date.getSeconds());
			let data = JSON.parse(JSON.stringify({
				id: '',
				remark: cunVM.alltRemark,
				out_depot_id: cunVM.out_depot,
				to_depot_id: cunVM.to_depot,
				productlistlength: productList.length,
				productlist: productList
			}))
			submit(data)
			function submit(data) {
				mui.ajax(severUrl + "scm/stockAllot/save.json", {
					data: data,
					headers: {
						'Content-Type': 'application/x-www-form-urlencoded'
					},
					xhrFields: {
						withCredentials: true
					},
					dataType: 'json',
					type: 'post',
					timeout: 10000,
					success: function(res) {
						if (res.status === 222) {
							mui.confirm(res.msg, '提示', ['确定调拨', '返回修改'], function (e) {
								if(e.index === 0){
									data.force_impl_mismatched_pb = 1
									submit(data)
								}else{
									resetLoading()
								}
							},'div')
						}else{
							mui(".alla_inventory").button('reset');
							setTimeout(function() {
								$(".allotCreateOrder").css('pointer-events', 'auto');
							}, 1000);
							mui.toast(res.msg);
							if (res.success) {
								localStorage.setItem("productListPage", "refresh");
								localStorage.setItem("pinProductListPage", "refresh");
								localStorage.setItem("draftProductListPage", "refresh");
								localStorage.setItem("pinDraftProductListPage", "refresh");
								localStorage.setItem("cunInventoryListPage", "refresh");
								localStorage.setItem("cunAlloctionListPage", "refresh");
								localStorage.removeItem("alloctionProductList");
								cunVM.alloctionProductList = [];
								cunVM.alltRemark = "";
								cunVM.invtcalculation();
								var date = new Date(cunVM.stockTime);
								var searchTime = date.getFullYear() + "-" + ((date.getMonth() + 1) < 10 ? "0" + (date.getMonth() + 1) : (
									date.getMonth() + 1)) + "-" + (date.getDate() < 10 ? "0" + date.getDate() : date.getDate());

								cunVM.cgDateFirst = searchTime;
								cunVM.cgDateLast = searchTime;

								getStockAllotList();
							}
						}

					}
				});
			}
		} else {
			resetLoading()
		}
	});
	mui('body').on('tap', '.allDepot', function(e) {
		mui("#depot_popover").popover("show");
		document.getElementById('depot_popover').style.opacity = 1;
	});

	mui('body').on('tap', '.customerSetting', function() {
		viewHandle.openWindow('view/customerSetting.html', 'customerSetting.html')
	});
	mui('body').on('tap', '.supplierSetting', function() {
		viewHandle.openWindow('view/supplierSetting.html', 'view/supplierSetting.html')
	});
	/*左侧导航 小程序管理*/
	mui('body').on('tap', '.LPsettings', function() {
		viewHandle.openWindow('view/adminSettings.html', 'view/adminSettings.html')
	});
	mui('body').on('tap', '.sns_list_qry', function() {
		viewHandle.openWindow('sns_list.html', 'sns_list.html')
	})
	mui('body').on('tap','.batch_list_qry',function(){
		viewHandle.openWindow('batch_list.html','batch_list.html')
	})
	mui('body').on('tap', '.warehouseSettings', function() {
		viewHandle.openWindow('warehouseSettings.html', 'warehouseSettings.html')
	});

	/*左侧导航 员工账户管理*/
	mui('body').on('tap', '.addUser', function() {
		viewHandle.openWindow('view/user.html', 'view/user.html')
	});
	var tap_first = null;

	function unsafe_tap() {
		if (!tap_first) {
			tap_first = new Date().getTime();
			setTimeout(function() {
				tap_first = null;
			}, 1500);
		} else {
			return true;
		}
	}

	mui('body').on('tap', '.bill_collection', function() { //票据设置
		var typeList = {
			size_show: cunVM.size_show,
			color_show: cunVM.color_show,
			unit_show: cunVM.unit_show,
			origin_specification: cunVM.origin_specification,
			ordertype: 2
		}
		mui.os.ios ? printCollocate_b() : printConfiguration_b(typeList, cunVM.purchaseManager)
	});
	mui('body').on('tap', '.label_collection', function() { //标签设置
		mui.ajax(severUrl + "scm/productother/dataGrid.json", {
			data: {},
			headers: {
				'Content-Type': 'application/x-www-form-urlencoded'
			},
			xhrFields: {
				withCredentials: true
			},
			dataType: 'json', //服务器返回json格式数据
			type: 'post', //HTTP请求类型
			timeout: 10000, //超时时间设置为10秒；
			success: function(res) {
				var send = [],
					list = {};
				list = {
					"keyList": res.data.list
				}
				send.push(list);
				mui.os.ios ? printCollocate_i(send) : printConfiguration(send);
			}
		});
	});
	mui('body').on('tap', '.userList', function() {
		viewHandle.openWindow('view/userList.html', 'view/userList.html')
	});

	mui('body').on('tap', '.clearHC', function() {
		clearCash();
	});

	//盘点历史查询
	mui('#inventoryHistory').on('click', '.searchHistory', function() {
		if (cunVM.lsDateFirst == '' || cunVM.lsDateLast == '') {
			cunVM.lsDateFirst = beforeMarchDate(1);
			cunVM.lsDateLast = loadNowDate(1);
		}
		var data = timedifference(cunVM.lsDateFirst, cunVM.lsDateLast);
		if (data > 92) {
			mui.toast("时间范围不能大于三个月，请分段查询");
			return;
		}
		inventoryPullUploading.load(1, true)
	});

	function getStockAllotList() {
		if (cunVM.cgDateFirst == '' || cunVM.cgDateLast == '') {
			cunVM.cgDateFirst = beforeMarchDate(1);
			cunVM.cgDateLast = loadNowDate(1);
		}
		var data = timedifference(cunVM.cgDateFirst, cunVM.cgDateLast);
		if (data > 92) {
			mui.toast("时间范围不能大于三个月，请分段查询");
			return;
		}
		allocationPullUploading.load(1, true)
	}

	//调拨历史查询
	mui('#allocationHistory').on('click', '.allocationHistory', function() {
		allocationPullUploading.load(1, true)
	});

	//调拨历史
	function searchStock(start_date, end_date) {
		if(start_date){
			cunVM.cgDateFirst = start_date
			cunVM.cgDateLast = end_date
		}
		allocationPullUploading.load(1, true)
	}
	//盘点历史
	function searchHistory(start_date, end_date) {
		if(start_date){
			cunVM.lsDateFirst = start_date
			cunVM.lsDateLast = end_date
		}
		inventoryPullUploading.load(1, true)
	}

	//日期选择
	var createDate = new mui.DtPicker({
		type: "date",
		labels: ['年', '月', '日']
	})
	mui('body').on('tap', '.createDate', function() {
		var _self = this;
		createDate.show(function(e) {
			cunVM.createDate = e.text;
		})
	});

	mui('.mui-scroll-wrapper').on('tap', '.alltDetailList', function() {
		localStorage.setItem("pageTabId", "allocationHistory");
		var alltDetail_id = this.dataset.id;
		sessionStorage.setItem("alltDetail_id", alltDetail_id);
		var listSend = {};
		listSend.realname = sessionStorage.getItem("realname");
		listSend.alltDetail_id = alltDetail_id;
		viewHandle.viewFire("allocationXQ.html", "allocationXQ", listSend);
		viewHandle.openWindow('allocationXQ.html', 'allocationXQ.html', JSON.stringify(listSend))
	});

	mui('.mui-scroll-wrapper').on('tap', '.hisDetailList', function() {
		localStorage.setItem("pageTabId", "inventoryHistory");
		var histDetail_id = this.dataset.id;
		var draft = this.dataset.draft;
		//var remark = this.dataset.remark;
		var depot_id = this.dataset.depot;
		sessionStorage.setItem("histDetail_id", histDetail_id);
		//sessionStorage.setItem("panDraftRemake",remark);
		if (draft == 1) {
			var selProductList = JSON.parse(localStorage.getItem("inventoryProductList"));
			if (!selProductList) {
				localStorage.removeItem("inventoryProductList");
				var listSend = {};
				listSend.histDetail_id = histDetail_id;
				listSend.depot_id = depot_id;
				listSend.realname = sessionStorage.getItem("realname");
				viewHandle.viewFire('panDraft.html', 'panDraft', listSend)
				viewHandle.openWindow('panDraft.html', 'panDraft.html', JSON.stringify(listSend));
			} else {
				var btnArray = ['取消', '确认'];
				mui.confirm('盘点页面尚未保存的信息将会丢失', '注意', btnArray, function(e) {
					if (e.index == 1) {
						localStorage.removeItem("inventoryProductList");
						var listSend = {};
						listSend.histDetail_id = histDetail_id;
						listSend.depot_id = depot_id;
						listSend.realname = sessionStorage.getItem("realname");
						viewHandle.viewFire('panDraft.html', 'panDraft', listSend)
						viewHandle.openWindow('panDraft.html', 'panDraft.html', JSON.stringify(listSend));
					}
				}, 'div');
			}
		} else {
			var listSend = {};
			listSend.realname = sessionStorage.getItem("realname");
			listSend.histDetail_id = sessionStorage.getItem("histDetail_id");
			viewHandle.viewFire("historyXQ.html", "historyXQ", listSend);
			viewHandle.openWindow('historyXQ.html', 'historyXQ.html', JSON.stringify(listSend))
		}
	});


	mui('.hisDetailList').on('tap', 'tr', function() {
		localStorage.setItem("pageTabId", "inventoryHistory");
		var histDetail_id = this.dataset.id;
		var draft = this.dataset.draft;
		var remark = this.dataset.remark;
		sessionStorage.setItem("histDetail_id", histDetail_id);
		sessionStorage.setItem("panDraftRemake", remark);
		if (draft == 1) {
			var selProductList = JSON.parse(sessionStorage.getItem("selProductList"));
			if (!selProductList) {
				sessionStorage.removeItem("selProductList");
				location = 'panDraft.html'
			} else {
				var btnArray = ['取消', '确认'];
				mui.confirm('盘点页面尚未保存的信息将会丢失', '注意', btnArray, function(e) {
					if (e.index == 1) {
						sessionStorage.removeItem("selProductList");
						location = 'panDraft.html'
					}
				}, 'div');
			}
		} else {
			location = 'historyXQ.html'
		}
	});
}

/**
 * 数组去重
 */
Array.prototype.unique = function() {
	this.sort(); //先排序
	var res = [this[0]];
	for (var i = 1; i < this.length; i++) {
		if (this[i] !== res[res.length - 1]) {
			res.push(this[i]);
		}
	}
	return res;
}

mui('body').on('tap', '.kefu', function() {
	viewHandle.openWindow('message.html', 'message.html')
});
mui('body').on('tap', '#go_shopping', function () {
	viewHandle.openWindow('valueAddedService.html','valueAddedService.html')
});
mui('body').on('tap', '.conditionalSelection', function() {
	//参数重置
	cunVM.depotChooseId = cunVM.cun_depot_id;
	cunVM.oneCategoryChooseId = cunVM.cun_category_parent_id;
	cunVM.twoCategoryChooseId = cunVM.cun_category_id;
	cunVM.productChoose = cunVM.productType;
	if (cunVM.selectionShow == 0) {
		getLevelOneCategory();
		if (cunVM.cun_category_id != -1 || cunVM.cun_category_parent_id != -1) {
			getLevelTwoCategory(cunVM.cun_category_parent_id)
		}
		cunVM.selectionShow = 1;
		mui(".selectHtml")[0].style.display = 'block';
		mui(".icon-shaixuan")[0].style.color = '#ffb03a'
	} else {
		cunVM.selectionShow = 0;
		mui('.selectInfo').scroll().refresh(); //先刷新一次布局再scrollTo
		mui('.selectInfo').scroll().scrollTo(0, 0, 100); //100毫秒滚动到顶
		mui(".selectHtml")[0].style.display = 'none';
		mui(".icon-shaixuan")[0].style.color = '#4a7191'
	}
});
mui('body').on('tap', '.hideDiv', function() {
	cunVM.selectionShow = 0;
	mui('.selectInfo').scroll().refresh(); //先刷新一次布局再scrollTo
	mui('.selectInfo').scroll().scrollTo(0, 0, 100); //100毫秒滚动到顶
	mui(".selectHtml")[0].style.display = 'none';
	mui(".icon-shaixuan")[0].style.color = '#4a7191'
});
mui('body').on('tap', '.depotShow', function() {
	if (cunVM.depotShow == 0) {
		cunVM.depotShow = 1;
	} else {
		cunVM.depotShow = 0;
	}
});
mui('body').on('tap', '.oneCategory', function() {
	if (cunVM.oneCategory == 0) {
		cunVM.oneCategory = 1;
	} else {
		cunVM.oneCategory = 0;
	}
});
mui('body').on('tap', '.ptType', function() {
	if (cunVM.ptType == 0) {
		cunVM.ptType = 1;
	} else {
		cunVM.ptType = 0;
	}
});
mui('body').on('tap', '.chooseParent', function() {
	var parent = this.dataset.cun_category_parent_id
	cunVM.oneCategoryChooseId = parent || -1
	cunVM.twoCategoryChooseId = -1;
	if (parent != undefined && parent != -1 && parent !== '0') {
		getLevelTwoCategory(parent)
	} else {
		cunVM.levelTwoCategory = []
	}
});
mui('body').on('tap', '.chooseChild', function() {
	$(".listA").removeClass("iconfontVisibility")
	var child = this.dataset.cun_category_id
	cunVM.twoCategoryChooseId = child || -1;
});
mui('body').on('tap', '.chooseDepot', function() {
	var depot = this.dataset.select_depot
	cunVM.depotChooseId = depot || -1;
});
mui('body').on('tap', '.chooseType', function() {
	var product = this.dataset.pt_type
	cunVM.productChoose = product || 2;
});
mui('body').on('tap', '.chooseReset', function() {
	mui(".icon-shaixuan")[0].style.color = '#4a7191';
	sessionStorage.removeItem("cun_category_parent_id");
	sessionStorage.removeItem("cun_category_id");
	sessionStorage.removeItem("productType");
	cunVM.cun_category_parent_id = -1;
	cunVM.cun_category_id = -1;
	cunVM.oneCategoryChooseId = -1;
	cunVM.twoCategoryChooseId = -1;
	cunVM.productChoose = 2;
	cunVM.productType = 2;
	if (cunVM.bindDepot != -1) {
		cunVM.searchStockList = [];
		page = 0;
	} else {
		sessionStorage.removeItem("cun_depot_id");
		cunVM.cun_depot_id = -1;
		cunVM.depotChooseId = -1;
		cunVM.searchStockList = [];
		page = 0;
	}
	if (cunVM.cun_category_id != '' && cunVM.cun_category_id != -1) {
		getStockList(cunVM.searchMsgInput, cunVM.allDepot_id, cunVM.sort, cunVM.sort_rule, cunVM.cun_category_id, 2, cunVM.productType);
	} else {
		getStockList(cunVM.searchMsgInput, cunVM.allDepot_id, cunVM.sort, cunVM.sort_rule, cunVM.cun_category_parent_id, 1,
			cunVM.productType);
	}
	mui(".selectHtml")[0].style.display = 'none';
	cunVM.selectionShow = 0
});
mui('body').on('tap', '.chooessQry', function() {
	mui(".icon-shaixuan")[0].style.color = '#4a7191';
	cunVM.cun_category_parent_id = cunVM.oneCategoryChooseId;
	cunVM.cun_category_id = cunVM.twoCategoryChooseId;
	cunVM.productType = cunVM.productChoose;
	sessionStorage.setItem("cun_category_parent_id", cunVM.cun_category_parent_id);
	sessionStorage.setItem("cun_category_id", cunVM.cun_category_id);
	sessionStorage.setItem("productType", cunVM.productType);
	sessionStorage.setItem("cun_depot_id", cunVM.cun_depot_id);
	if (cunVM.bindDepot != -1) {
		cunVM.searchStockList = [];
		page = 0;
	} else {
		cunVM.cun_depot_id = cunVM.depotChooseId;
		sessionStorage.setItem("cun_depot_id", cunVM.cun_depot_id);
		cunVM.cun_depot_id = cunVM.depotChooseId;
		cunVM.searchStockList = [];
		page = 0;
	}
	if (cunVM.cun_category_id != '' && cunVM.cun_category_id != -1 && cunVM.cun_category_id !== '0') {
		getStockList(cunVM.searchMsgInput, cunVM.cun_depot_id, cunVM.sort, cunVM.sort_rule, cunVM.cun_category_id, 2, cunVM
			.productType);
	} else {
		getStockList(cunVM.searchMsgInput, cunVM.cun_depot_id, cunVM.sort, cunVM.sort_rule, cunVM.cun_category_parent_id, 1,
			cunVM.productType);
	}
	mui(".selectHtml")[0].style.display = 'none';
	cunVM.selectionShow = 0
});
mui('.sideNavigation').on('tap', '.userInfo', function() {
	viewHandle.openWindow('view/accountSetting.html', 'accountSetting.html')
});

/**
 * desc
 * @param {*} propertyName
 */
function descCompare(propertyName) {
	return function(object1, object2) {
		var value1 = object1[propertyName];
		var value2 = object2[propertyName];
		if (value2 < value1) {
			return -1;
		} else if (value2 > value1) {
			return 1;
		} else {
			return 0;
		}
	}
}

/**
 * asc
 * @param {*} propertyName
 */
function ascCompare(propertyName) {
	return function(object1, object2) {
		var value1 = object1[propertyName];
		var value2 = object2[propertyName];
		if (value2 > value1) {
			return -1;
		} else if (value2 < value1) {
			return 1;
		} else {
			return 0;
		}
	}
}

/**
 * 升序、降序
 */
mui('body').on('tap', '.click-th', function() {
	// 显示排序箭头
	var sort = document.getElementsByClassName('theadbgc')[0].getElementsByClassName('sort');

	for (var i = 0, len = sort.length; i < len; i++) {
		sort[i].classList.add("sort-img");
	}

	if (this.innerHTML.indexOf('sort-img') != -1) {
		this.getElementsByClassName('sort')[0].classList.remove("sort-img");
		// var type = this.getElementsByClassName('sort')[0].getElementsByTagName('img')[0].dataset.type;
		// cunVM.searchStockList.sort(descCompare(type));
	}
	//排序
	page = 0;
	cunVM.searchStockList = [];
	switch (this.dataset.type) {
		case 'zonghe':
			if (cunVM.cun_category_id != '' && cunVM.cun_category_id != -1) {
				getStockList(cunVM.searchMsgInput, cunVM.cun_depot_id, '', '', cunVM.cun_category_id, 2, cunVM.productType);
			} else {
				getStockList(cunVM.searchMsgInput, cunVM.cun_depot_id, '', '', cunVM.cun_category_parent_id, 1, cunVM.productType);
			}
			cunVM.sort = "";
			cunVM.sort_rule = "";
			sessionStorage.setItem("sort_rule", '');
			sessionStorage.setItem("sort", '');
			this.getElementsByTagName('img')[0].src = 'img/down.png';
			break;
		case 'model':
			if (flag) {
				if (cunVM.cun_category_id != '' && cunVM.cun_category_id != -1) {
					getStockList(cunVM.searchMsgInput, cunVM.cun_depot_id, 'model', 'desc', cunVM.cun_category_id, 2, cunVM.productType);
				} else {
					getStockList(cunVM.searchMsgInput, cunVM.cun_depot_id, 'model', 'desc', cunVM.cun_category_parent_id, 1, cunVM.productType);
				}
				cunVM.sort = "model";
				cunVM.sort_rule = "desc";
				sessionStorage.setItem("sort_rule", cunVM.sort_rule);
				// cunVM.searchStockList.sort(descCompare("model"));
				this.getElementsByTagName('img')[0].src = 'img/down.png';
				flag = false;
			} else {
				if (cunVM.cun_category_id != '' && cunVM.cun_category_id != -1) {
					getStockList(cunVM.searchMsgInput, cunVM.cun_depot_id, 'model', 'asc', cunVM.cun_category_id, 2, cunVM.productType);
				} else {
					getStockList(cunVM.searchMsgInput, cunVM.cun_depot_id, 'model', 'asc', cunVM.cun_category_parent_id, 1, cunVM.productType);
				}
				cunVM.sort = "model";
				cunVM.sort_rule = "asc";
				sessionStorage.setItem("sort_rule", cunVM.sort_rule);
				// cunVM.searchStockList.sort(ascCompare("model"));
				this.getElementsByTagName('img')[0].src = 'img/up.png';
				flag = true;
			}
			sessionStorage.setItem("sort", cunVM.sort);
			break;

		case 'product_name':
			if (flag) {
				if (cunVM.cun_category_id != '' && cunVM.cun_category_id != -1) {
					getStockList(cunVM.searchMsgInput, cunVM.cun_depot_id, 'product_name', 'desc', cunVM.cun_category_id, 2, cunVM.productType);
				} else {
					getStockList(cunVM.searchMsgInput, cunVM.cun_depot_id, 'product_name', 'desc', cunVM.cun_category_parent_id, 1,
						cunVM.productType);
				}
				cunVM.sort = "product_name";
				cunVM.sort_rule = "desc";
				sessionStorage.setItem("sort_rule", cunVM.sort_rule);
				// cunVM.searchStockList.sort(descCompare("product_name"));
				this.getElementsByTagName('img')[0].src = 'img/down.png';
				flag = false;
			} else {
				if (cunVM.cun_category_id != '' && cunVM.cun_category_id != -1) {
					getStockList(cunVM.searchMsgInput, cunVM.cun_depot_id, 'product_name', 'asc', cunVM.cun_category_id, 2, cunVM.productType);
				} else {
					getStockList(cunVM.searchMsgInput, cunVM.cun_depot_id, 'product_name', 'asc', cunVM.cun_category_parent_id, 1,
						cunVM.productType);
				}
				cunVM.sort = "product_name";
				cunVM.sort_rule = "asc";
				sessionStorage.setItem("sort_rule", cunVM.sort_rule);
				// cunVM.searchStockList.sort(ascCompare("product_name"));
				this.getElementsByTagName('img')[0].src = 'img/up.png';
				flag = true;
			}
			sessionStorage.setItem("sort", cunVM.sort);
			break;

		case 'purchase_price':
			if (flag) {
				if (cunVM.cun_category_id != '' && cunVM.cun_category_id != -1) {
					getStockList(cunVM.searchMsgInput, cunVM.cun_depot_id, 'purchase_price', 'desc', cunVM.cun_category_id, 2, cunVM
						.productType);
				} else {
					getStockList(cunVM.searchMsgInput, cunVM.cun_depot_id, 'purchase_price', 'desc', cunVM.cun_category_parent_id, 1,
						cunVM.productType);
				}
				cunVM.sort = "purchase_price";
				cunVM.sort_rule = "desc";
				sessionStorage.setItem("sort_rule", cunVM.sort_rule);
				// cunVM.searchStockList.sort(descCompare("purchase_price"));
				this.getElementsByTagName('img')[0].src = 'img/down.png';
				flag = false;
			} else {
				if (cunVM.cun_category_id != '' && cunVM.cun_category_id != -1) {
					getStockList(cunVM.searchMsgInput, cunVM.cun_depot_id, 'purchase_price', 'asc', cunVM.cun_category_id, 2, cunVM.productType);
				} else {
					getStockList(cunVM.searchMsgInput, cunVM.cun_depot_id, 'purchase_price', 'asc', cunVM.cun_category_parent_id, 1,
						cunVM.productType);
				}
				cunVM.sort = "purchase_price";
				cunVM.sort_rule = "asc";
				this.getElementsByTagName('img')[0].src = 'img/up.png';
				flag = true;
			}
			sessionStorage.setItem("sort", cunVM.sort);
			break;

		case 'sale_price':
			if (flag) {
				if (cunVM.cun_category_id != '' && cunVM.cun_category_id != -1) {
					getStockList(cunVM.searchMsgInput, cunVM.cun_depot_id, 'sale_price', 'desc', cunVM.cun_category_id, 2, cunVM.productType);
				} else {
					getStockList(cunVM.searchMsgInput, cunVM.cun_depot_id, 'sale_price', 'desc', cunVM.cun_category_parent_id, 1,
						cunVM.productType);
				}
				cunVM.sort = "sale_price";
				cunVM.sort_rule = "desc";
				sessionStorage.setItem("sort_rule", cunVM.sort_rule);
				this.getElementsByTagName('img')[0].src = 'img/down.png';
				flag = false;
			} else {
				if (cunVM.cun_category_id != '' && cunVM.cun_category_id != -1) {
					getStockList(cunVM.searchMsgInput, cunVM.cun_depot_id, 'sale_price', 'asc', cunVM.cun_category_id, 2, cunVM.productType);
				} else {
					getStockList(cunVM.searchMsgInput, cunVM.cun_depot_id, 'sale_price', 'asc', cunVM.cun_category_parent_id, 1,
						cunVM.productType);
				}
				cunVM.sort = "sale_price";
				cunVM.sort_rule = "asc";
				sessionStorage.setItem("sort_rule", cunVM.sort_rule);
				this.getElementsByTagName('img')[0].src = 'img/up.png';
				flag = true;
			}
			sessionStorage.setItem("sort", cunVM.sort);
			break;

		case 'amount':
			if (flag) {
				if (cunVM.cun_category_id != '' && cunVM.cun_category_id != -1) {
					getStockList(cunVM.searchMsgInput, cunVM.cun_depot_id, 'amount', 'desc', cunVM.cun_category_id, 2, cunVM.productType);
				} else {
					getStockList(cunVM.searchMsgInput, cunVM.cun_depot_id, 'amount', 'desc', cunVM.cun_category_parent_id, 1, cunVM.productType);
				}
				cunVM.sort = "amount";
				cunVM.sort_rule = "desc";
				sessionStorage.setItem("sort_rule", cunVM.sort_rule);
				this.getElementsByTagName('img')[0].src = 'img/down.png';
				flag = false;
			} else {
				if (cunVM.cun_category_id != '' && cunVM.cun_category_id != -1) {
					getStockList(cunVM.searchMsgInput, cunVM.cun_depot_id, 'amount', 'asc', cunVM.cun_category_id, 2, cunVM.productType);
				} else {
					getStockList(cunVM.searchMsgInput, cunVM.cun_depot_id, 'amount', 'asc', cunVM.cun_category_parent_id, 1, cunVM.productType);
				}
				cunVM.sort = "amount";
				cunVM.sort_rule = "asc";
				sessionStorage.setItem("sort_rule", cunVM.sort_rule);
				this.getElementsByTagName('img')[0].src = 'img/up.png';
				flag = true;
			}
			sessionStorage.setItem("sort", cunVM.sort);
			break;
	}

})
//指定日期当月第一天
function getValFirst(val) {
	var d = new Date(val);
	var Y = d.getFullYear();
	var M = d.getMonth() + 1;
	var D = 1;
	M >= 10 ? M = M : M = 0 + "" + M;
	D >= 10 ? D = D : D = 0 + "" + D;
	var s = Y + '-' + M + '-' + D;
	return s
}

function getValFirstDay(val) {
	var d = new Date(val.replace(/-/g, "/"));
	d = +d - 1000 * 60 * 60 * 24;
	d = new Date(d);
	var year = d.getFullYear();
	var mon = d.getMonth() + 1;
	var day = d.getDate();
	var s = year + "-" + (mon < 10 ? ('0' + mon) : mon) + "-" + (day < 10 ? ('0' + day) : day);
	return s
}

function getValLastDay(val) {
	var d = new Date(val.replace(/-/g, "/"));
	d = +d + 1000 * 60 * 60 * 24;
	d = new Date(d);
	var year = d.getFullYear();
	var mon = d.getMonth() + 1;
	var day = d.getDate();
	var s = year + "-" + (mon < 10 ? ('0' + mon) : mon) + "-" + (day < 10 ? ('0' + day) : day);
	return s
}

function getLevelOneCategory() {
	mui.ajax(severUrl + "scm/productcategory/qryAllLevelOneCategory.json", {
		data: {},
		type: 'POST',
		timeout: 10000, //超时时间设置为10秒；
		headers: {
			'Content-Type': 'application/x-www-form-urlencoded'
		},
		xhrFields: {
			withCredentials: true
		},
		success: function(res) {
			if (res.success) {
				cunVM.levelOneCategory = res.data;
				if (cunVM.cun_category_parent_id != -1 && cunVM.cun_category_id != -1) {
					$(".listA").removeClass("iconfontVisibility")
				}
			}
		}
	});
}
//盘点为0
var chooseAllList = [];

function chooseAll(e) {
	var list = []
	var names = document.getElementsByName("checkChild");
	var flag = false;
	for (var i = 0; i < names.length; i++) {
		if ($(e)[0].checked) {
			flag = true;
			names[i].checked = true
			chooseAllList = list;
		} else {
			flag = false;
			names[i].checked = false
		}
	}
	if (flag) {
		mui.each(cunVM.selProductList, function(j, k) {
			mui.each(k.list, function(i, v) {
				if (v.inventoryTotal==='' && v.inventoryType == 0) {
					list.push(v)
				}
			})
		})
		chooseAllList = list
	} else {
		chooseAllList = []
	}
}
//二级分类查询
function getLevelTwoCategory(id) {
	mui.ajax(severUrl + "scm/productcategory/qryAllLevelTwoCategory.json", {
		data: {
			parent_id: id
		},
		type: 'POST',
		timeout: 10000, //超时时间设置为10秒；
		headers: {
			'Content-Type': 'application/x-www-form-urlencoded'
		},
		xhrFields: {
			withCredentials: true
		},
		success: function(res) {
			if (res.success) {
				cunVM.levelTwoCategory = res.data;
				$(".listA").removeClass("iconfontVisibility");
				cunVM.twoCategoryChooseId = cunVM.cun_category_id || -1
			}
		}
	})
}
//本地化盘点历史撤销返回刷新
function historyBack(id) {
	mui.each(cunVM.searchHistoryList, function(i, v) {
		if (v.id == id) {
			cunVM.searchHistoryList.splice(i, 1);
			return false;
		}
	})
}
//调拨历史返回
function allocationBack(id) {
	mui.each(cunVM.allocationHistoryList, function(i, v) {
		if (v.id == id) {
			cunVM.allocationHistoryList.splice(i, 1);
			return false;
		}
	})
}
//批量操作
mui("#inventoryQuery").on("tap", "#operation", function() {
	cunVM.batchOperation = !cunVM.batchOperation;
	if (!cunVM.batchOperation) {
		$("input[name='checkbox']").prop("checked", false);
		document.getElementById("batchAll").innerHTML = "全选"
		batchProduct = [];
		cunVM.currentNum = cunVM.searchStockList.length;
		cunVM.selectNum = batchProduct.length;
	}
})
//批量选择
//全选
mui(".combined").on("tap", "#batchAll", function() {
	batchProduct = [];
	if (this.innerHTML == '全选') {
		mui.each(cunVM.searchStockList, function(i, v) {
			var list = {
				id: v.id,
				model: v.model,
				name: v.product_name,
			}
			batchProduct.push(list)
		})
		$("input[name='checkbox']").prop("checked", true);
		this.innerHTML = '全不选';
		cunVM.selectNum = batchProduct.length;
	} else {
		$("input[name='checkbox']").prop("checked", false);
		this.innerHTML = '全选';
		cunVM.selectNum = batchProduct.length;
	}
})
//单选
mui('#upFresh').on('change', 'input', function() {
	var id = this.dataset.id,
		model = this.dataset.model,
		name = this.dataset.name;
	if (this.checked) {
		var list = {
			id: id,
			model: model,
			name: name,
		}
		batchProduct.push(list);
		cunVM.selectNum = batchProduct.length;
	} else {
		mui.each(batchProduct, function(i, v) {
			if (v.id == id) {
				return batchProduct.splice(i, 1)
			}
		})
		cunVM.selectNum = batchProduct.length
	}
	console.log(batchProduct)
	console.log(batchProduct.length)
});
//删除
mui('.combined').on('tap', '#batchDelete', function() {
	if (batchProduct.length == 0) {
		return mui.toast("请选择需要操作的商品")
	}
	cunVM.batchInfo = '';
	mui.confirm('批量删除耗时较长！\n删除后数据无法恢复！', '批量删除', ["取消", "确定"], function(e) {
		if (e.index == 1) {
			viewHandle.waiting("请等待");
			mui.ajax(severUrl + "scm/product/delByIds.json", {
				data: {
					list: batchProduct,
					listlength: batchProduct.length
				},
				headers: {
					'Content-Type': 'application/x-www-form-urlencoded'
				},
				xhrFields: {
					withCredentials: true
				},
				dataType: 'json', //服务器返回json格式数据
				type: 'post', //HTTP请求类型
				timeout: 120000,
				success: function(res) {
					if (!res.success) {
						cunVM.batchTitle = "批量删除";
						cunVM.batchMsg = res.msg;
						mui.each(res.data, function(i, v) {
							cunVM.batchInfo += v.model + ' ' + v.name + ' ' + v.reason + '\r\n'
						})
						mui('.batchWrapper').scroll().refresh(); //先刷新一次布局再scrollTo
						mui('.batchWrapper').scroll().scrollTo(0, 0, 100); //100毫秒滚动到顶
						cunVM.batchShow = true;
						if (res.data && res.data.length != batchProduct.length) {
							setTimeout(function() {
								infoUpdate()
							}, 280)
						}
					} else {
						mui.toast(res.msg);
						cunVM.batchShow = false;
						setTimeout(function() {
							infoUpdate()
						}, 280)
					}
					viewHandle.close()
				},
				error: function(err) {
					viewHandle.close()
				}
			});
		}
	}, 'div')
})
//分类设置
mui('.combined').on('tap', '#batchGenre', function() {
	if (batchProduct.length == 0) {
		return mui.toast("请选择需要操作的商品")
	}
	var listSend = {};
	listSend.fromType = 'cun';
	listSend.batchProduct = batchProduct;
	//viewHandle.viewFire('classificationPage.html','classificationUpdate',listSend)
	viewHandle.openWindow('view/classificationPage.html', 'classificationPage.html', JSON.stringify(listSend))
})
//打印条码
mui('.combined').on('tap', '#batchPrint', function() {
	if (batchProduct.length == 0) {
		return mui.toast("请选择需要操作的商品")
	}
	mui.ajax(severUrl + "sso/company/qry.json", {
		data: {
			id: ""
		},
		headers: {
			'Content-Type': 'application/x-www-form-urlencoded'
		},
		xhrFields: {
			withCredentials: true
		},
		dataType: 'json',
		type: 'post',
		timeout: 10000,
		success: function(res) {
			//alert(res.data.status);
			if (res.data.status == 1) {
				cunVM.batchInfo = '';
				viewHandle.waiting("请等待");
				const order = JSON.parse(JSON.stringify(batchProduct))
				mui.ajax(severUrl + "scm/product/getLabelPrintInforsByIds.json", {
					data: {
						list: batchProduct,
						listlength: batchProduct.length,
						depot_id: JSON.parse(localStorage.getItem("depotList"))[0].id
					},
					headers: {
						'Content-Type': 'application/x-www-form-urlencoded'
					},
					xhrFields: {
						withCredentials: true
					},
					dataType: 'json', //服务器返回json格式数据
					type: 'post', //HTTP请求类型
					timeout: 120000,
					success: function(res) {
						if (!res.success) {
							cunVM.batchTitle = "批量打印";
							cunVM.batchMsg = res.msg;
							mui.each(res.data, function(i, v) {
								cunVM.batchInfo += v + '\r\n'
							})
							mui('.batchWrapper').scroll().refresh(); //先刷新一次布局再scrollTo
							mui('.batchWrapper').scroll().scrollTo(0, 0, 100); //100毫秒滚动到顶
							cunVM.batchShow = true;
						} else {
							var listSend = {};
							listSend.checkedList = []
							order.map(function(item) {
								let finds = res.data.filter(function(dataItem){return dataItem.id === item.id}) || []
								// listSend.checkedList = listSend.checkedList.concat(finds)
								listSend.checkedList.push.apply(listSend.checkedList, finds)
							})
							viewHandle.openWindow('printCode.html', 'printCode.html', JSON.stringify(listSend));
						}
						viewHandle.close()
					},
					error: function(err) {
						viewHandle.close()
					}
				});
			} else {
				// 打印权限判断
				$comm.showLimitPrint({rootPath:'./'})
			}
		}
	});
})
//生成条码
var batchCreateBack = [];

function batchCreate(is_recover, list) {
	if (batchProduct.length == 0) {
		return mui.toast("请选择需要操作的商品")
	}
	cunVM.batchInfo = '';
	viewHandle.waiting("请等待");
	if (list) {
		var info = [];
		mui.each(list, function(i, v) {
			mui.each(batchProduct, function(k, n) {
				if (v.split(' ')[0] == n.model) {
					return info.push(n)
				}
			})
		})
		list = info
	} else {
		list = batchProduct;
	}
	mui.ajax(severUrl + "scm/product/generatedBarcodeByIds.json", {
		data: {
			list: list,
			listlength: list.length,
			is_recover: is_recover,
			depot_id: JSON.parse(localStorage.getItem("depotList"))[0].id
		},
		headers: {
			'Content-Type': 'application/x-www-form-urlencoded'
		},
		xhrFields: {
			withCredentials: true
		},
		dataType: 'json', //服务器返回json格式数据
		type: 'post', //HTTP请求类型
		timeout: 120000,
		success: function(res) {
			if (!res.success) {
				cunVM.batchTitle = "批量生成";
				cunVM.batchMsg = res.msg;
				mui.each(res.data, function(i, v) {
					cunVM.batchInfo += v + '\r\n'
				})
				batchCreateBack = res.data;
				mui('.batchWrapper').scroll().refresh(); //先刷新一次布局再scrollTo
				mui('.batchWrapper').scroll().scrollTo(0, 0, 100); //100毫秒滚动到顶
				cunVM.batchShow = true
			} else {
				cunVM.batchShow = false;
				mui.toast(res.msg)
			}
			viewHandle.close()
		},
		error: function(err) {
			viewHandle.close()
		}
	});
}
mui('.combined').on('tap', '#batchCreate', function() {
	batchCreate(false)
})
mui('#batchInfo').on('tap', '#bacthCover', function() {
	batchCreate(true, batchCreateBack)
})
mui('#batchInfo').on('tap', '#bacthBack', function() {
	cunVM.batchShow = false
})
//单个删除/禁用/置顶
mui('#upFresh').on('tap', '.mui-btn-red', function() {
	var elem = this;
	var btn = ["取消", "确定"];
	mui.confirm('确认删除？', '提示', btn, function(e) {
		if (e.index == 1) {
			mui.swipeoutClose(elem.parentNode.parentNode);
			mui.ajax(severUrl + "scm/product/del.json", { //删除商品
				data: {
					"id": elem.dataset.id
				},
				headers: {
					'Content-Type': 'application/x-www-form-urlencoded'
				},
				xhrFields: {
					withCredentials: true
				},
				dataType: 'json', //服务器返回json格式数据
				type: 'post', //HTTP请求类型
				timeout: 10000, //超时时间设置为10秒；
				success: function(res) {
					if (res.success) {
						mui.toast(res.msg);
						setTimeout(function() {
							mui.each(cunVM.searchStockList, function(i, v) {
								if (v.id == elem.dataset.id) {
									if (cunVM.searchStockList.length - 1 > 6) {
										cunVM.searchStockList.splice(i, 1);
										cunVM.$nextTick(function() {
											lazyLoad.addElements();
										})
									} else {
										infoUpdate()
									}
									return false
								}
							})
						}, 300)
					} else {
						if (res.status == 222) {
							var btn = ["取消", "确定"];
							mui.confirm(res.msg, '提示', btn, function(e) {
								if (e.index == 1) {
									var listSend = {};
									listSend.list = res.data;
									viewHandle.openWindow("associatRecord.html", "associatRecord.html", JSON.stringify(listSend))
								}
							}, 'div');
						} else {
							mui.toast(res.msg);
						}
					}
				}
			});
		} else {
			mui.swipeoutClose(elem.parentNode.parentNode);
		}
	}, 'div');
})
mui('#upFresh').on('tap', '.bgc-gray', function() {
	var elem = this;
	var name = elem.innerHTML;
	var btn = ["取消", "确定"];
	mui.confirm('确认' + name + '？', '提示', btn, function(e) {
		if (e.index == 1) {
			mui.swipeoutClose(elem.parentNode.parentNode);
			mui.ajax(severUrl + "scm/product/enableOrDisable.json", { //删除商品
				data: {
					"id": elem.dataset.id
				},
				headers: {
					'Content-Type': 'application/x-www-form-urlencoded'
				},
				xhrFields: {
					withCredentials: true
				},
				dataType: 'json', //服务器返回json格式数据
				type: 'post', //HTTP请求类型
				timeout: 10000, //超时时间设置为10秒；
				success: function(res) {
					mui.toast(res.msg);
					if (res.success) {
						mui.each(cunVM.searchStockList, function(i, v) {
							if (v.id == elem.dataset.id) {
								name == '禁用' ? v.status = 0 : v.status = 1;
								return false
							}
						})
					}
				}
			});
		} else {
			mui.swipeoutClose(elem.parentNode.parentNode);
		}
	}, 'div');
})
mui('#upFresh').on('tap', '.bgc-orange', function() {
	var elem = this;
	var name = elem.innerHTML;
	var btn = ["取消", "确定"];
	mui.confirm('确认' + name + '？', '提示', btn, function(e) {
		if (e.index == 1) {
			mui.swipeoutClose(elem.parentNode.parentNode);
			mui.ajax(severUrl + "scm/product/setOrCancelTop.json", { //删除商品
				data: {
					"id": elem.dataset.id
				},
				headers: {
					'Content-Type': 'application/x-www-form-urlencoded'
				},
				xhrFields: {
					withCredentials: true
				},
				dataType: 'json', //服务器返回json格式数据
				type: 'post', //HTTP请求类型
				timeout: 10000, //超时时间设置为10秒；
				success: function(res) {
					mui.toast(res.msg);
					if (res.success) {
						if (name == '置顶') {
							mui.each(cunVM.searchStockList, function(i, v) {
								if (v.id == elem.dataset.id) {
									v.top = true;
									cunVM.searchStockList.splice(i, 1);
									cunVM.searchStockList.unshift(v);
									cunVM.$nextTick(function() {
										lazyLoad.addElements();
									})
									return false
								}
							})
						} else {
							infoUpdate()
						}
					}
				}
			});
		} else {
			mui.swipeoutClose(elem.parentNode.parentNode);
		}
	}, 'div');
})
//扫码搜索
mui('#inventoryQuery').on('tap', '#sweepQuery', function() {
	var sendUrl = 'zhijianjxcapp://barcodescan/param?color_id=-1&size_id=-1';
	var cookie = 'ecp_cookie=' + localStorage.HF;
	if (mui.os.ios == true) {
		sweepCode_i(cookie, sendUrl, 777)
	} else if (mui.os.android == true) {
		sweepCode(cookie, sendUrl, 777)
	}
})

function fn(color_id, size_id, barcode) {
	console
	mui.plusReady(function() {
		mui.ajax(severUrl + "scm/product/qryOpByBarcodeWithPic.json", {
			data: {
				depot_id: JSON.parse(localStorage.depotList)[0].id,
				barcode: barcode
			},
			dataType: 'json',
			type: 'post',
			timeout: 10000,
			success: function(res) {
				if (res.success) {
					cunVM.searchMsgInput = res.data.model
				} else {
					mui.toast(res.msg)
				}
			},
			error: function() {

			}
		});
	})
}
//图片查询
mui("#upFresh").on("tap", ".imgClick", function() {
	var id = this.dataset.id;
	var name = this.dataset.name;
	mui.ajax(severUrl + "scm/product/qryProductPicturesById", {
		data: {
			id: id
		},
		headers: {
			'Content-Type': 'application/x-www-form-urlencoded'
		},
		xhrFields: {
			withCredentials: true
		},
		dataType: 'json',
		type: 'POST',
		timeout: 10000,
		success: function(res) {
			if (res.data.length > 0) {
				var list = res.data;
				for (var i = 0; i < list.length; i++) {
					list[i].name = img_url + list[i].name;
					list[i].product_name = name
				}
				var html = '';
				list.forEach(function(v, i) {
					if (v.is_default == 1) {
						html += '<a href="' + v.name + '" class="swipebox" title="主图">' +
							'<img src="' + v.name + '" alt="image">' +
							'</a>'
					} else {
						html += '<a href="' + v.name + '" class="swipebox" title="' + v.product_name + '">' +
							'<img src="' + v.name + '" alt="image">' +
							'</a>'
					}
				});
				$("#photo").html('');
				$("#photo").append(html);
				if (mui.os.ios == true) {
					$(".swipebox")[0].click()
				}
				$(".swipebox")[0].click()
			} else {
				mui.toast("您未上传图片")
			}

		}
	});
});
//修改跳转
mui('#inventoryQuery').on('tap', '.editItem', function(e) {
	e.stopPropagation();
	var _this = this;
	$(_this).parentsUntil(".mui-slider-handle").find(".productAll").addClass("clickBg");
	setTimeout(function() {
		$(_this).parentsUntil(".mui-slider-handle").find(".productAll").removeClass("clickBg");
	}, 180)
	mui.ajax(severUrl + "scm/product/qryOp.json", {
		data: {
			"id": this.dataset.product_id
		},
		headers: {
			'Content-Type': 'application/x-www-form-urlencoded'
		},
		xhrFields: {
			withCredentials: true
		},
		dataType: 'json', //服务器返回json格式数据
		type: 'post', //HTTP请求类型
		timeout: 10000, //超时时间设置为10秒；
		success: function(res) {
			var x = [];
			x.push({
				"billsn": res.data.billsn,
				"category": res.data.category,
				"id": res.data.id,
				"model": res.data.model,
				"material": res.data.material,
				"name": res.data.name,
				"purchase_price": res.data.purchase_price,
				"sale_price": res.data.sale_price,
				"sale_price_b": res.data.sale_price_b,
				"status": res.data.status,
				"stock_warn": res.data.stock_warn,
				"stock_warn_list": res.data.stock_warns,
				"unit": res.data.unit,
				"colorlist": res.data.colorlist,
				"colornamelist": res.data.colornamelist,
				"sizelist": res.data.sizelist,
				"sizenamelist": res.data.sizenamelist,
				"company_id": res.data.company_id,
				"remark": res.data.remark,
				"barcodes": res.data.barcodes,
				"expire_date_ms":res.data.expire_date_ms
			});
			var category = res.data.category,
				parent_id = '',
				category_name = '',
				category_parent_name = '',
				unitChooseList = [],
				unitList = [],
				unitChoose = {};
			if (category != '1' && category != '') {
				var categorylist = res.data.categorylist;
				mui.each(categorylist, function(i, v) {
					if (v.id == category) {
						category_name = v.name;
						parent_id = v.parent_id;
						return;
					}
				})
			}
			if (parent_id != '') {
				mui.each(categorylist, function(i, v) {
					if (v.id == parent_id) {
						category_parent_name = v.name;
						return;
					}
				})
			}
			if (cunVM.unit_show == 1) {
				if (res.data.main_unit != "" && res.data.main_uint_name != "") {
					unitChoose = {
						id: res.data.main_unit,
						name: res.data.main_uint_name,
						ratio: 1,
					};
					unitChooseList.push(unitChoose);
				}
				if (res.data.unitrulelist.length > 0) {
					var list = res.data.unitrulelist;
					for (var i = 0; i < list.length; i++) {
						var info = {
							id: list[i].assist_unit,
							name: list[i].assist_unit_name,
							ratio: list[i].ratio,
							editId: list[i].id,
							product_id: list[i].product_id
						};
						unitList.push(info)
					}
				}
			}
			var listSend = {};
			listSend.list = x;
			listSend.mainUnitId = res.data.main_unit;
			listSend.mainUnitName = res.data.main_uint_name;
			listSend.unitList = unitList;
			listSend.category_id = res.data.category;
			listSend.category_name = category_name;
			listSend.category_parent_name = category_parent_name;
			viewHandle.viewFire('changeItem.html', 'changeItem', listSend);
			viewHandle.openWindow('changeItem.html', 'changeItem.html', JSON.stringify(listSend));
		}
	});
})


mui('.goodsSelContent').on('tap', '.not_item', function() {
	if (this.getElementsByTagName('img')[0].src.indexOf('img/down.png') != -1) {
		var selProductListSort = cunVM.selProductListSort
		selProductListSort = selProductListSort.sort(function(o1, o2) {
			return o1.sumCount - o2.sumCount
		})

		mui.each(selProductListSort, function(i, v) {
			v.list = v.list.sort(function(o1, o2) {
				return o1.amount - o2.amount
			})
		})
		cunVM.selProductListSort = selProductListSort
		this.getElementsByTagName('img')[0].src = 'img/up.png';
	} else {
		var selProductListSort = cunVM.selProductListSort
		selProductListSort = selProductListSort.sort(function(o1, o2) {
			return o2.sumCount - o1.sumCount
		})

		mui.each(selProductListSort, function(i, v) {
			v.list = v.list.sort(function(o1, o2) {
				return o2.amount - o1.amount
			})
		})
		cunVM.selProductListSort = selProductListSort
		this.getElementsByTagName('img')[0].src = 'img/down.png';
	}
})
// tap错乱
mui('#segmentedControl').on('tap','.mui-control-item',function(){
	document.activeElement.blur();
})
