var flag = true;
Vue.filter("time-format", function (time) {
    var date = new Date(time.replace(/-/g, "/"));
    var newDate = date.getFullYear() + "年" + (date.getMonth() < 10 ? "0" + date.getMonth() : date.getMonth()) + "月" + date.getDate() + "日";
    return newDate;
});
window.addEventListener('customerDebets',function(e){
    pageOpenInit(e.detail)
});
window.addEventListener('addBack',function(e){
    historyVM.loadOrderInfo(historyVM.historyId)
});
mui.plusReady(function(){
    var arg = JSON.parse(plus.webview.currentWebview().arg);
    pageOpenInit(arg)
});
function pageOpenInit(e){
    if(e.isJumpReceivePayment === false){
        historyVM.isJumpReceivePayment = e.isJumpReceivePayment
    }
    historyVM.historyId = e.id;
    historyVM.type = e.type || ''; //销售/采购
    historyVM.openType = e.openType || ''; //订单/单据（原区分订单传draft;商品删除增加参数associatRecord）
    historyVM.htmlType = e.htmlType || ''; //父级页面
    historyVM.saleType = e.saleType || ''; //弃用
    historyVM.delOperation = e.delOperation || false; //是否删除（用于商品删除）
    historyVM.getAccountList();
    historyVM.loadOrderInfo(historyVM.historyId)
}
var historyVM = new Vue({
    el: '#historyVM',
    data: {
        systemSetting:JSON.parse(localStorage.systemSetting),
        orderDetails: {
            order_amt:0,
            rebate_amt:0,
            discount:0,
            other_cost_price:0
        },
        isJumpReceivePayment: true,
        repaymentHistoryList:[],
        depot_name: '',
        delOperation:false,
        vip_level:localStorage.getItem("vipLevel") || 0,
        initRemarkValue: '',
        initOrderFlag: 0,
        historyId: '',
        productListRu: [],
        productListChu:[],
        all_debt_amt : 0, //客户总欠款
        type:'',
        openType:'',
        debtAmt:0,
        truePay:0,
        jifenKT:0,
        increase_bonus:0,
        cost_money_unit:0,
        htmlType:'',
        delivery_status: 0,
        pay_status: 1,
        delivery_type_arr: ['自提', '快递', '物流', '送货'],
        logistics:'', //快递单号
        consignee_address:'', //收货地址
        sign_date: '',
        orderAmount:0,
        // 是采购将收款改为付款
        saleType: '', //原 sessionStorage type
        //全行业参数
        size_show: localStorage.getItem("size_show") || 1,
        color_show: localStorage.getItem("color_show") || 1,
        unit_show: localStorage.getItem("unit_show") || 0,
        origin_specification: localStorage.getItem("origin_specification") || 0,
        accountList:[],
        collectionList:[], //分批收款列表
        //权限相关
        positionName:false,
        stockManager:false,
        purchaseManager:false,
        companySetIndustry:true,
        labelPprinter:false,
        faAccount:true,
        is_advanced:0,
        company_name:'',
        company_id:'',
        user_id:'',
        jifenshow:false,
        bindDepot:-1,
        //--------------------
        // 快递公司
        deliveryCompanyName: '',
        deliveryCompany: '',
        deliveryCompanyList: []
    },
    methods: {
        getPurview :function(){//获取权限
            var _this = this;
            mui.ajax(severUrl + "sso/user/qryOp.json", {
                data : {
                    id : ''
                },
                headers : {
                    'Content-Type' : 'application/x-www-form-urlencoded'
                },
                xhrFields : {
                    withCredentials : true
                },
                dataType : 'json',
                type : 'post',
                timeout : 30000,
                async : false,
                success : function(res) {
                    if (res.success) {
                        // var position_name = res.data.position_name;
                        _this.company_name = res.data.company_name;
                        _this.company_id = res.data.company_id;
                        _this.bindDepot = res.data.manage_depot_id;
                        _this.user_id = res.data.id;
                        var code = res.data.position,permission = code.permission;
                        if(permission.indexOf('A11_1_O') >=0 || permission.indexOf('A11_1_E') >=0){
                            _this.positionName = true
                        }else{
                            _this.positionName = false
                        }
                        permission.indexOf('A4_1_E') >=0?_this.stockManager = true:_this.stockManager = false;
                        permission.indexOf('FA_ACC') >=0?_this.faAccount = true:_this.faAccount = false;
                        permission.indexOf('LOOK_PURCHASE') >=0?_this.purchaseManager = true:_this.purchaseManager = false;
                        permission.indexOf('ONLY_PRINT') >=0?_this.labelPprinter = true:_this.labelPprinter = false;
                        'RFRk,eYVo,y0oa,mVbc,pqrB,pDAY,CCP2,Oo4T,LfTY'.indexOf(_this.company_id) >=0?_this.jifenshow = true:_this.jifenshow=false
                        _this.companySetIndustry = res.data.company_set_industry;
                    }

                }
            });
        },
        // 设置快递公司 接受order/qry res参数
        setDeliveryCompany(res) {
            this.deliveryCompany = res.data.delivery_company
            let deliveryCompanyName = ''
            if (Array.isArray(res.data.delivery_company_list)) {
                this.deliveryCompanyList = res.data.delivery_company_list
                let row = res.data.delivery_company_list.find(function(item){return res.data.delivery_company === item.delivery_company})
                deliveryCompanyName = row ? row.name : '无'
            }
            this.deliveryCompanyName = deliveryCompanyName
        },
        loadOrderInfo: function (historyId) {
            var self = this;
            self.historyId = historyId;
            if (!historyId) {
                return;
            }
            viewHandle.waiting("单据查询中请稍后......");
            mui.ajax(severUrl + "scm/order/qryOp.json", {//单笔采购或草稿详细信息获取
                data: {
                    id: historyId,
                    remark: ''
                },
                headers: {
                    'Content-Type': 'application/x-www-form-urlencoded'
                },
                xhrFields: {
                    withCredentials: true
                },
                dataType: 'json',
                type: 'post',
                timeout: 10000,
                success: function (res) {
                    viewHandle.close();
                    self.setDeliveryCompany(res)
                    self.orderDetails = res.data;
                    var collectionList = [],collection = [],timeList = [];
                    // if(self.orderDetails.relation_arrears !=''){
                    //     collection = self.orderDetails.relation_arrears.split(";");
                    //     collection.forEach(function(v){
                    //         timeList = v.split(":");
                    //         if(timeList.length == 4){
                    //             collectionList.push(timeList)
                    //         }
                    //     })
                    // }

                    // 收款历史记录
                    let repaymentHistoryList = res.data.customer_history_list || []

                    repaymentHistoryList = repaymentHistoryList.filter(function(i){
                        return i.receive !== false || i.receiveDiscount !== false //开单时的收款 不显示
                    })

                    historyVM.$set(historyVM, 'repaymentHistoryList', repaymentHistoryList)


                    if(self.orderDetails.relation_father_fa_order !=''){
                        collection = self.orderDetails.relation_father_fa_order.split(";");
                        collection.forEach(function(v){
                            timeList = v.split(":");
                            if(timeList.length == 4){
                                collectionList.push(timeList)
                            }
                        })
                    }
                    collectionList.sort(function (a, b) {
                        return a[3] > b[3] ? -1 : 1;
                    });
                    collectionList.filter(function(item,index){
                        if(self.type=='customer'){
                            return collectionList[index] = "收款："+numToCur(item[1],historyVM.systemSetting.price_decimals_setting,'price')+"元 ("+item[2]+")"+"  "+historyVM.formatTime(item[3])
                        }else{
                            return collectionList[index] = "还款："+numToCur(item[1],historyVM.systemSetting.price_decimals_setting,'price')+"元 ("+item[2]+")"+"  "+historyVM.formatTime(item[3])
                        }
                    })
                    self.$set(self, 'collectionList', collectionList)
                    self.debtAmt = self.orderDetails.debt_amt;
                    self.truePay = self.orderDetails.debt_amt;
                    self.logistics = self.orderDetails.logistics_number;
                    var test=self.orderDetails.consignee_address;
                    var mapObj = {
                        "{":"",
                        "consignee":"收货人",
                        "mobile":"电话",
                        "address":"地址",
                        "transportDay":"收货时间",
                        "}":""
                    };
                    test = test.replace(/{|consignee|mobile|address|transportDay|}/gi, function(matched){
                        return mapObj[matched];
                    });
                    self.consignee_address = test;
                    if(historyVM.type=='customer'){
                        mui.ajax(severUrl + "crm/customer/getDebtAmt.json", {//单笔采购或草稿详细信息获取
                            data: {
                                customer_id: self.orderDetails.customer_id
                            },
                            headers: {
                                'Content-Type': 'application/x-www-form-urlencoded'
                            },
                            xhrFields: {
                                withCredentials: true
                            },
                            dataType: 'json',
                            type: 'post',
                            timeout: 10000,
                            success: function (res) {
                                historyVM.all_debt_amt = res.data.all_debt_amt
                            }
                        });
                        self.initOrderFlag = self.orderDetails.order_flag;
                    }
                    var orderAmount = 0;
                    var productListRu = [],productListChu = [];
                    mui.each(self.orderDetails.productlist, function (i, v) {
                        if(v.type == 0){
                            productListRu.push(v)
                        }else{
                            productListChu.push(v)
                        }
                        // var display_unit_ratio =v.display_unit_ratio !='' ? Number(v.display_unit_ratio):1;
                        if(v.type ==0){
                            orderAmount += Number(v.amount)
                        }else{
                            orderAmount -= Number(v.amount)
                        }
                    });
                    mui.each(productListRu, function (i, v) {
                        if(i ==0){
                            v.picture_name = v.picture_name !=""?(img_url+v.picture_name):"img/tx.jpg";
                        }else{
                            if(v.product_id ==productListRu[i-1].product_id){
                                v.picture_name = ''
                            }else{
                                v.picture_name = v.picture_name !=""?(img_url+v.picture_name):"img/tx.jpg";
                            }
                        }
                    });
                    mui.each(productListChu, function (i, v) {
                        if(i ==0){
                            v.picture_name = v.picture_name !=""?(img_url+v.picture_name):"img/tx.jpg";
                        }else{
                            if(v.product_id == productListChu[i-1].product_id){
                                v.picture_name = ''
                            }else{
                                v.picture_name = v.picture_name !=""?(img_url+v.picture_name):"img/tx.jpg";
                            }
                        }
                    });
                    self.productListRu = productListRu;
                    self.productListChu = productListChu;
                    self.orderAmount = numToCur(orderAmount,historyVM.systemSetting.price_decimals_setting,'price');
                    self.initRemarkValue = self.orderDetails.remark;
                    self.delivery_status = res.data.delivery_status;
                    self.sign_date = res.data.sign_date.substr(6, 5);
                    self.depot_name = res.data.depot_name;
                    $('.swipebox').swipebox();
                }
            });
        },
        formatTime:function(timestamp){
            function format(m){return m<10?'0'+m:m }
            var time = new Date(parseInt(timestamp));
            var y = time.getFullYear();
            var m = time.getMonth()+1;
            var d = time.getDate();
            var h = time.getHours();
            var mm = time.getMinutes();
            var s = time.getSeconds();
            return y+'-'+format(m)+'-'+format(d)+' '+format(h)+':'+format(mm)+':'+format(s);
        },
        deductionOrder:function(val){
            if(val.relation_children_fa_order == ""){
                mui.toast("无关联单据");
                return false
            }
            var relation_children_fa_order = val.relation_children_fa_order.split(";"),ids = [],_this = this;
            relation_children_fa_order.forEach(function(v){
                ids.push("'"+v.split(":")[0]+"'")
            })
            mui.ajax(severUrl + "scm/order/dataGridByIds.json", {//单笔采购或草稿详细信息获取
                data: {
                    ids: ids.toString()
                },
                headers: {
                    'Content-Type': 'application/x-www-form-urlencoded'
                },
                beforeSend: function() {
                    viewHandle.waiting("查询中...")
                },
                complete: function() {
                    viewHandle.close()
                },
                xhrFields: {
                    withCredentials: true
                },
                dataType: 'json',
                type: 'post',
                timeout: 10000,
                success: function (res) {
                    if(res.success){
                        var listSend = {};
                        historyVM.type == "customer"?listSend.orderType = 'in':listSend.orderType = 'out';
                        listSend.searchHistoryList = res.data;
                        viewHandle.openWindow('outboundOrder.html','outboundOrder.html',JSON.stringify(listSend));
                    }else{
                        mui.toast(res.msg)
                    }
                }
            });
        },
        getAccountList:function(){
            mui.ajax(severUrl + "fa/account/list.json", {
                data: {
                },
                headers: {
                    'Content-Type': 'application/x-www-form-urlencoded'
                },
                xhrFields: {
                    withCredentials: true
                },
                dataType: 'json',
                type: 'post',
                timeout: 10000,
                success: function (res) {
                    if(res.success){
                        historyVM.accountList = res.data;
                        historyVM.accountList.sort(ascCompare("type"));
                    }
                }
            });
        },
        jifenkaitong:function(){
            mui.ajax(severUrl + "crm/integraladdrule/qryOp.json", {
                data : {
                },
                headers : {
                    'Content-Type' : 'application/x-www-form-urlencoded'
                },
                xhrFields : {
                    withCredentials : true
                },
                dataType : 'json',
                type : 'post',
                timeout : 10000,
                async : false,
                success : function(res) {
                    if(res.success){
                        if(res.data.status ==1){
                            historyVM.jifenKT = 1;
                            historyVM.increase_bonus = res.data.increase_bonus;
                            historyVM.cost_money_unit = res.data.cost_money_unit;
                        }else{
                            historyVM.jifenKT=0
                        }
                    }else{
                        historyVM.jifenKT=0
                    }
                }
            });
        },
        orderRemarkFn: function () {
            var self = this;
            var historyId = this.historyId;
            var remark = document.getElementById("textarea").value;

            if (this.initRemarkValue == remark) return;

            mui.ajax(severUrl + "scm/order/updateRemark.json", {//修改销售单/进货单备注
                data: {
                    id: historyId,
                    remark: remark
                },
                headers: {
                    'Content-Type': 'application/x-www-form-urlencoded'
                },
                xhrFields: {
                    withCredentials: true
                },
                dataType: 'json',
                type: 'post',
                timeout: 10000,
                success: function (res) {
                    mui.toast(res.msg);
                    self.loadOrderInfo(historyId);
                }
            });
        },
        setColor: function (v,b) {
            var historyId = this.historyId;
            var orderFlag = v;
            if (this.initOrderFlag == orderFlag) return;
            mui.ajax(severUrl + "scm/order/updateFlag.json", {//销售历史小旗帜order_flag 修改
                data: {
                    id: historyId,
                    order_flag: orderFlag
                },
                headers: {
                    'Content-Type': 'application/x-www-form-urlencoded'
                },
                xhrFields: {
                    withCredentials: true
                },
                dataType: 'json',
                type: 'post',
                timeout: 10000,
                success: function (res) {
                    historyVM.orderDetails.order_flag = orderFlag;
                    mui.toast(res.msg);
                }
            });
        },
        jumpUserCollectionInfo(item){
            if(this.type === 'customer'){

            }else{

            }
        },
        jumpUserCollectionAdd(){
            if(!this.isJumpReceivePayment){
                return mui.toast('请到财务账款/单据历史页面进行操作')
            }
            let listSend = {};
            listSend.type = this.type
            listSend.jifenKT = this.jifenKT
            listSend.cost_money_unit = this.cost_money_unit
            listSend.increase_bonus = this.increase_bonus
            listSend.orderDetails = this.orderDetails
            listSend.integral = this.orderDetails.integral
            listSend.name = this.orderDetails.customer_name
            listSend.id = this.orderDetails.customer_id
            listSend.arrears = this.orderDetails.debt_amt
            viewHandle.openWindow('./view/user_collection_add.html','user_collection_add.html',JSON.stringify(listSend))
        }
    },
    computed:{
        sizeName:function(){
            if(this.size_show == 1){
                return '尺码'
            }else{
                if(this.origin_specification ==3){
                    return '产地'
                }else{
                    return '规格'
                }
            }
        },
        titleName:function(){
            if(this.type=='customer'){
                return '售价'
            }else{
                return '进价'
            }
        },
        typeName:function(){
            if(this.type=='customer'){
                return '已出库'
            }else{
                return '已入库'
            }
        },
        htmlName:function(){
            if(this.openType=='draft'){
                return '订单详情'
            }else{
                return '单据详情'
            }
        }
    },
    created: function () {
        // setTimeout(function(){
        //     orderQry()
        // },100)
    },
    mounted: function () {
        var _this = this;
        setTimeout(function(){
            setListener();
        },100)
        mui.plusReady(function () {
            _this.getPurview()
            _this.jifenkaitong()
        })
    }
});

function setListener() {

    mui('.mui-scroll-wrapper').scroll({
        deceleration: 0.0006 //flick 减速系数，系数越大，滚动速度越慢，滚动距离越小，默认值0.0006
    });
    flag = true;
    mui(".mui-content").on('tap', '.toggleState', function () {
        mui.confirm("", "旗帜方式", ["取消","确定"], function (e) {
            if(e.index==1){
                var type =Number($(".chooseOne")[0].getAttribute("name"));
                switch (type) {
                    case 1:
                        historyVM.setColor(type,'red')
                        break;
                    case 2:
                        historyVM.setColor(type,'yellow')
                        break;
                    case 3:
                        historyVM.setColor(type,'blue')
                        break;
                    case 4:
                        historyVM.setColor(type,'green')
                        break;
                    case 5:
                        historyVM.setColor(type,'#666')
                        break;
                }
            }else{

            }
        },'div');
        //样式重写
        $(".mui-popup-in").css('border-radius',0);
        $(".mui-popup-inner").css('border-radius','6px');
        $(".mui-popup-inner").css('overflow','hidden');
        $(".mui-popup-inner").css('padding',0);
        $(".mui-popup-title").remove();
        $(".mui-popup-buttons").css('display','none');
        var muiPrompt =
            "<div class='qizhiType' style='display: flex; align-items: center; justify-content: space-between; height: 40px; padding: 0 15px;'>" +
            "<span name='5' class='iconfont icon-qizhi chooseclick' style='color: #666'></span>" +
            "<span name='1' class='iconfont icon-qizhi chooseclick' style='color: red'></span>" +
            "<span name='2' class='iconfont icon-qizhi chooseclick' style='color: yellow'></span>" +
            "<span name='3' class='iconfont icon-qizhi chooseclick' style='color: blue'></span>" +
            "<span name='4' class='iconfont icon-qizhi chooseclick' style='color: green'></span>" +
            "</div>"
        $(".mui-popup-text").html(muiPrompt);
        setTimeout(function(){
            $('.qizhiType span').removeClass("chooseOne")
        })
    });
    mui("body").on('tap','.chooseclick',function(){
        $('.qizhiType span').removeClass("chooseOne")
        $(this).addClass("chooseOne")
        mui.trigger(document.getElementsByClassName("mui-popup-button-bold")[0],'tap');
    })
    mui('.fh-status-history').on('tap', '.mui-switch', function () {
        if (historyVM.delivery_status == 0) {
            historyVM.delivery_status = 1;
        } else {
            historyVM.delivery_status = 0;
        }

        mui.ajax(severUrl + "scm/order/modifyDeliveryStatus.json", {
            data: {
                id: historyVM.historyId,
                delivery_status: historyVM.delivery_status
            },
            headers: {
                'Content-Type': 'application/x-www-form-urlencoded'
            },
            xhrFields: {
                withCredentials: true
            },
            dataType: 'json',
            type: 'post',
            timeout: 10000,
            success: function (res) {
                mui.toast(res.msg);
            }
        });
    });

    mui("body").on('tap','.historyPayType',function(){
        $('.historyPay').removeClass("colorOrange")
        $(this).find('.historyPay').addClass("colorOrange")
    })

    /*撤销按钮*/
    mui(".mui-content").on('tap', '.revokeOrder', function () {
        if(historyVM.delOperation){
            mui.confirm("是否确认删除？", "提示", ["取消", "确定"], function (e) {
                if (e.index == 1 && buttonClick) {
                    buttonClick = false;
                    mui.ajax(severUrl + "scm/order/del.json", {
                        data: {
                            id: historyVM.historyId,
                        },
                        headers: {
                            'Content-Type': 'application/x-www-form-urlencoded'
                        },
                        xhrFields: {
                            withCredentials: true
                        },
                        dataType: 'json',
                        type: 'post',
                        timeout: 60000,
                        success: function (res) {
                            if (res.success) {
                                mui.toast(res.msg);
                                setTimeout(function () {
                                    buttonClick = true;
                                    var listSend = {};
                                    listSend.id = historyVM.historyId
                                    viewHandle.viewFire('associatRecord.html','product_del',listSend);
                                    viewHandle.back()
                                }, 500);
                            } else {
                                buttonClick = true;
                                mui.toast(res.msg);
                            }
                        }
                    });
                }
            }, 'div')
        }else{
            mui.confirm("撤销后，该单据内所有的商品库存数量将会变动，是否确认撤销？", "提示", ["取消","确定"], function (e) {
                if (e.index == 1 && buttonClick) {
                    buttonClick = false;
                    var ordertype=1;
                    if(historyVM.type=='supplier'){
                        ordertype=0;
                    }
                    mui.each(historyVM.orderDetails.productlist, function(i, v) {
                        delete(v["picture_name"]);
                        delete(v["product_name"]);
                        delete(v["product_model"]);
                        delete(v["material"]);
                        delete(v["size_name"]);
                        delete(v["description"]);
                        delete(v["display_unit_name"]);
                        delete(v["color_name"]);
                    });
                    var historyId = historyVM.historyId;
                    mui.ajax(severUrl + "scm/order/revert.json", {
                        data: {
                            id: historyId,
                            // depot_id: historyVM.orderDetails.depot_id,
                            // ordertype: ordertype,
                            // submit_status: 0,
                            // productlistlength: historyVM.orderDetails.productlist.length,
                            // productlist: historyVM.orderDetails.productlist,
                            revertFA: false
                        },
                        headers: {
                            'Content-Type': 'application/x-www-form-urlencoded'
                        },
                        xhrFields: {
                            withCredentials: true
                        },
                        dataType: 'json',
                        type: 'post',
                        timeout: 10000,
                        success: function (res) {
                            if (res.success) {
                                mui.toast(res.msg);
                                sessionStorage.setItem("reloadPage","1");
                                setTimeout(function () {
                                    buttonClick = true;
                                    if(historyVM.htmlType == "flowStatistics"){
                                        viewHandle.viewFire('flowStatistics.html','backUpdate');
                                    }
                                    if(historyVM.htmlType == "associatRecord"){
                                        var listSend = {};
                                        listSend.id = historyId
                                        viewHandle.viewFire('associatRecord.html','product_update',listSend);
                                    }
                                    viewHandle.back()
                                }, 1000);
                            }else{
                                if (res.status == 222) {
                                    mui.confirm(res.msg, '提示', ["取消", "确定"], function(e) {
                                        if (e.index == 1) {
                                            mui.ajax(severUrl + "scm/order/revert.json", {
                                                data: {
                                                    id: historyId,
                                                    // depot_id: historyVM.orderDetails.depot_id,
                                                    // ordertype: ordertype,
                                                    // submit_status: 0,
                                                    // productlistlength: historyVM.orderDetails.productlist.length,
                                                    // productlist: historyVM.orderDetails.productlist,
                                                    revertFA: true
                                                },
                                                headers: {
                                                    'Content-Type': 'application/x-www-form-urlencoded'
                                                },
                                                xhrFields: {
                                                    withCredentials: true
                                                },
                                                dataType: 'json',
                                                type: 'post',
                                                timeout: 60000,
                                                success: function(res) {
                                                    if (res.success) {
                                                        mui.toast(res.msg);
                                                        sessionStorage.setItem("reloadPage","1");
                                                        setTimeout(function () {
                                                            buttonClick = true;
                                                            if(historyVM.htmlType == "flowStatistics"){
                                                                viewHandle.viewFire('flowStatistics.html','backUpdate');
                                                            }
                                                            if(historyVM.htmlType == "associatRecord"){
                                                                var listSend = {};
                                                                listSend.id = historyId
                                                                viewHandle.viewFire('associatRecord.html','product_update',listSend);
                                                            }
                                                            viewHandle.back()
                                                        }, 1000);
                                                    } else {
                                                        if (res.status == 223) {
                                                            mui.confirm(res.msg, '提示', ["取消"], function(e) {
                                                                buttonClick = true
                                                            })
                                                        } else {
                                                            buttonClick = true;
                                                            mui.toast(res.msg)
                                                        }
                                                    }
                                                }
                                            });
                                        } else {
                                            buttonClick = true;
                                            mui.toast(res.msg);
                                            mui('.revokeOrder').button('reset');
                                        }
                                    }, 'div')
                                } else {
                                    buttonClick = true;
                                    mui.toast(res.msg);
                                }
                            }
                        },
                        error:function(xhr,type,errorThrown){
                            buttonClick = true
                        }
                    });
                }
            },'div')
        }
    });
    mui("body").on("tap",".muiBack",function(){
        viewHandle.back()
    })
}
//查询账户信息
/**
 * asc
 * @param {*} propertyName
 */
function ascCompare(propertyName) {
    return function (object1, object2) {
        var value1 = object1[propertyName];
        var value2 = object2[propertyName];
        if (value2 > value1) {
            return -1;
        } else if (value2 < value1) {
            return 1;
        } else {
            return 0;
        }
    }
}
function jifenInfo(){
    if(historyVM.jifenKT ==1 && historyVM.orderDetails.customer_id != localStorage.getItem("moRen")){
        var info = "(新增积分 "+parseInt(historyVM.truePay/historyVM.cost_money_unit * historyVM.increase_bonus)+")"
        $(".hisIntegral").html(info);
        $(".hisIntegral").css('display','block')
    }else{
        $(".hisIntegral").html('');
        $(".hisIntegral").css('display','none')
    }
}
