function getQueryString(name) {
	var reg = new RegExp("(^|&)" + name + "=([^&]*)(&|$)");
	var r = window.location.search.substr(1).match(reg);
	if (r != null) return decodeURIComponent(r[2]);
	return null;
}
window.addEventListener("uploadList", function() {
	getDepotList('updataList')
});
var qryProduct = true;
var data = { //上拉加载参数
	num: 0,
	startY: '',
	moveEndY: '',
	isLoading: true
};
var customerSetVM = new Vue({
	el: '#customerSetVM',
	data: {
		depotList: [],
		remark: "",
		depot_name: '',
		depot_id: "",
		linkPageId: '',
		telPhone: '',
		addType: 0,
		keyword: '',
		page: 1,
		wx_fast_register: -1, //客户来源
		status: -1, //客户状态
		customer_category_id: 'all', //客户分类
		operation_type: '', //批量操作类型(0:批量分类，1:批量删除)
		customerCategory: [], //客户分类信息
		customerSource: [ //客户来源信息
			{
				name: '所有',
				type: -1
			},
			{
				name: '小程序注册',
				type: 1
			},
			{
				name: '进销存添加',
				type: 0
			},
		],
		customerStatus: [ //客户状态信息
			{
				name: '所有',
				type: -1
			},
			{
				name: '启用的客户',
				type: 0
			},
			{
				name: '禁用的客户',
				type: 1
			},
		],
		categoryData: { //操作参数记录
			categoryShow: 1,
			sourceShow: 0,
			statusShow: 0,
			wx_fast_register: -1, //客户来源
			status: -1, //客户状态
			customer_category_id: 'all', //客户分类
		},
		currentNum: '',
		selectNum: 0,
		//权限相关
		positionName: false,
		stockManager: false,
		purchaseManager: false,
		companySetIndustry: true,
		labelPprinter: false,
		faAccount: true,
		is_advanced: 0,
		company_name: '',
		company_id: '',
		user_id: '',
		jifenshow: false,
		bindDepot: -1,
		//--------------------
	},
	watch: {},
	methods: {
		getPurview: function() { //获取权限
			var _this = this;
			mui.ajax(severUrl + "sso/user/qryOp.json", {
				data: {
					id: ''
				},
				headers: {
					'Content-Type': 'application/x-www-form-urlencoded'
				},
				xhrFields: {
					withCredentials: true
				},
				dataType: 'json',
				type: 'post',
				timeout: 30000,
				async: false,
				success: function(res) {
					if (res.success) {
						// var position_name = res.data.position_name;
						_this.company_name = res.data.company_name;
						_this.company_id = res.data.company_id;
						_this.bindDepot = res.data.manage_depot_id;
						_this.user_id = res.data.id;
						var code = res.data.position,
							permission = code.permission;
						if (permission.indexOf('A11_1_O') >= 0 || permission.indexOf('A11_1_E') >= 0) {
							_this.positionName = true
						} else {
							_this.positionName = false
						}
						permission.indexOf('A4_1_E') >= 0 ? _this.stockManager = true : _this.stockManager = false;
						permission.indexOf('FA_ACC') >= 0 ? _this.faAccount = true : _this.faAccount = false;
						permission.indexOf('LOOK_PURCHASE') >= 0 ? _this.purchaseManager = true : _this.purchaseManager = false;
						permission.indexOf('ONLY_PRINT') >= 0 ? _this.labelPprinter = true : _this.labelPprinter = false;
						'RFRk,eYVo,y0oa,mVbc,pqrB,pDAY,CCP2,Oo4T,LfTY'.indexOf(_this.company_id) >= 0 ? _this.jifenshow = true :
							_this.jifenshow = false
						_this.companySetIndustry = res.data.company_set_industry;
					}

				}
			});
		},
		integral: function(val) {
			mui("#operate").popover("hide");
			if (val !== '') {
				customerSetVM.operation_type = val
			} else {
				viewHandle.openWindow('integralActivity.html', 'integralActivity.html')
			}
		},
		operation: function() { //点击操作
			if (customerSetVM.operation_type !== '') {
				customerSetVM.operation_type = ''
			} else {
				mui("#operate").popover("show")
			}
			batchCustomer = [];
			customerSetVM.selectNum = 0
		},
		classification: function() { //点击分类
			mui("#query").popover("show");
			mui.ajax(severUrl + "crm/customerCategory/list.json", {
				data: {},
				headers: {
					'Content-Type': 'application/x-www-form-urlencoded'
				},
				xhrFields: {
					withCredentials: true
				},
				dataType: 'json', //服务器返回json格式数据
				type: 'post', //HTTP请求类型
				timeout: 10000, //超时时间设置为10秒；
				success: function(res) {
					customerSetVM.customerCategory = res.data
					var unshiftData = {
						name: '所有',
						id: 'all'
					}
					customerSetVM.customerCategory.unshift(unshiftData)
					console.log(customerSetVM.customerStatus)
				}

			});
		},
		showData: function(type, name) { //分类显示点击
			var _this = this;
			if (type == 'show') {
				_this.categoryData[name] == 0 ? _this.categoryData[name] = 1 : _this.categoryData[name] = 0
			} else {
				switch (type) {
					case 'wx_fast_register':
						_this.categoryData.wx_fast_register = name;
						break;
					case 'status':
						_this.categoryData.status = name;
						break;
					case 'customer_category_id':
						_this.categoryData.customer_category_id = name;
						break;
				}
			}
		},
		chooseReset: function() {
			var _this = this;
			_this.categoryData.wx_fast_register = -1;
			_this.categoryData.status = -1;
			_this.categoryData.customer_category_id = 'all';
			_this.wx_fast_register = -1;
			_this.status = -1;
			_this.customer_category_id = 'all';
			mui("#query").popover("hide");
			getDepotList('updataList')
		},
		chooessQry: function() {
			var _this = this;
			_this.wx_fast_register = _this.categoryData.wx_fast_register;
			_this.status = _this.categoryData.status;
			_this.customer_category_id = _this.categoryData.customer_category_id;
			mui("#query").popover("hide");
			getDepotList('updataList')
		},
		batchClick: function() {
			var _this = this;
			if (batchCustomer.length == 0) {
				return mui.toast("请选择客户")
			}
			if (_this.operation_type === 'changeIntegral'){
				mui.prompt('请输入设置的积分(整数)',null,'积分设置',['取消', '确定'],function(e){
					if(e.index === 1){
						let Reg = /^-?[1-9]\d*$/
						if(!Reg.test(e.value)){
							mui.toast('请输入一个整数！')
							return
						}
						$API.user.modifyCustomerIntegralByIds({
							ids: batchCustomer.join(";"),
							toIntegral: String(e.value)
						}).then(function(e){
							getDepotList('updataList')
							mui.toast(e.msg)
						})
					}
				},'div')
				return
			}
			if (_this.operation_type == 1) {
				viewHandle.waiting('时间稍长，请等待...', 60000)
				mui.ajax(severUrl + "crm/customer/delByIds.json", {
					data: {
						ids: batchCustomer.join(";")
					},
					headers: {
						'Content-Type': 'application/x-www-form-urlencoded'
					},
					xhrFields: {
						withCredentials: true
					},
					dataType: 'json', //服务器返回json格式数据
					type: 'post', //HTTP请求类型
					timeout: 60000, //超时时间设置为60秒；
					success: function(res) {
						viewHandle.close();
						if (res.success) {
							mui.toast(res.msg);
							setTimeout(function() {
								getDepotList('updataList')
							}, 500)
						} else {
							if (res.status == 401) {
								return mui.confirm(res.msg, '提示', ['确定'], function(e) {}, 'div')
							}
							var info = '';
							mui.each(res.data, function(i, v) {
								info += v + '<br>'
							})
							mui.confirm(res.msg + '<br>' + info, '提示', ['确定'], function(e) {
								getDepotList('updataList')
							}, 'div')
						}

					}
				});
			} else {
				var listSend = {};
				listSend.fromType = 'customerSetting';
				listSend.batchCustomer = batchCustomer.join(";")
				viewHandle.openWindow('customer_category.html', 'customer_category.html', JSON.stringify(listSend));
			}
		}
	},
	created: function() {
		var winHeight = $(window).height(); //获取当前页面高度
		$(window).resize(function() {
			var u = navigator.userAgent,
				app = navigator.appVersion;
			var isAndroid = u.indexOf('Android') > -1 || u.indexOf('Linux') > -1; //android终端或者uc浏览器
			var isiOS = !!u.match(/\(i[^;]+;( U;)? CPU.+Mac OS X/); //ios终端
			if (isAndroid) {
				var thisHeight = $(this).height();
				if (winHeight - thisHeight > 140) {} else {
					var inputs = document.getElementsByTagName("input")
					for (var i = 0; i < inputs.length; i++) {
						if (inputs[i] == document.activeElement) {
							inputs[i].blur()
						}
					}
				}
			} else if (isiOS) {

			}
		});
		window.addEventListener("batchBack", function() {
			customerSetVM.operation_type = ''
			batchCustomer = [];
			customerSetVM.selectNum = 0
		})
	},
	mounted: function() {
		var _this = this;
		mui.plusReady(function() {
			_this.getPurview()
		})
	}
});
setListener();

function getDepotList(type) {
	if (type == 'updataList') {
		customerSetVM.page = 1;
	}
	qryProduct = false; //禁止短时间多次查询
	mui.ajax(severUrl + "crm/customer/dataGrid.json", {
		data: {
			type: 1,
			qryType: -1,
			rows: 25,
			page: customerSetVM.page,
			// status: customerSetVM.status != -1 ? customerSetVM.status : '',
			status:customerSetVM.status,
			wx_fast_register: customerSetVM.wx_fast_register != -1 ? customerSetVM.wx_fast_register : '',
			customer_category_id: customerSetVM.customer_category_id != 'all' ? customerSetVM.customer_category_id : '',
			keyword: customerSetVM.keyword
		},
		headers: {
			'Content-Type': 'application/x-www-form-urlencoded'
		},
		xhrFields: {
			withCredentials: true
		},
		beforeSend: function() {
			mui('#dh')[0].style.display = "block";
		},
		complete: function() {
			mui('#dh')[0].style.display = "none";
		},
		dataType: 'json',
		type: 'post',
		timeout: 10000,
		success: function(res) {
			if (res.success) {
				var totalPage = res.data.totalPage;
				if (type == "updataList") {
					customerSetVM.depotList = [];
					customerSetVM.operation_type = ''
					batchCustomer = [];
					customerSetVM.selectNum = 0
					mui('#pullrefresh').scroll().refresh(); //先刷新一次布局再scrollTo
					mui('#pullrefresh').scroll().scrollTo(0, 0, 100); //100毫秒滚动到顶
				}
				customerSetVM.depotList = customerSetVM.depotList.concat(res.data.list);
				customerSetVM.currentNum = customerSetVM.depotList.length || 0
				customerSetVM.depotList.sort(descCompare("wx_fast_register"));
				mui(".mui-pull-caption")[0].style.display = "block";
				if (customerSetVM.page < totalPage) {
					setTimeout(function() {
						qryProduct = true;
						data.isLoading = true;
						$('.mui-pull-caption').text('上拉加载更多');
						customerSetVM.page++;
					}, 1500)
				} else {
					data.isLoading = false;
					$('.mui-pull-caption').text('没有更多数据了')
				}
			} else {
				mui.toast(res.msg)
			}
		}
	});
}
// 上拉加载
$(document).on('touchstart', '#upFresh', function(e) {
	// e.preventDefault();
	data.startY = e.originalEvent.changedTouches[0].pageY;
});
$(document).on('touchmove', '#upFresh', function(e) {
	// e.preventDefault();
	data.moveEndY = e.originalEvent.changedTouches[0].pageY
	Y = data.startY - data.moveEndY;
	if (Y > 80) {
		upLoading()
	}
});

function upLoading() {
	var scroll = mui('#pullrefresh').scroll();
	var scrollTop = scroll.y;
	//判断滚动到底部之下
	if (scrollTop < scroll.maxScrollY) {
		if (data.isLoading === false || qryProduct == false) {
			return
		} else {
			$('.mui-pull-caption').text('玩命加载中...')
			//请求数据
			getDepotList()
		}
	}
}

function setListener() {
	window.addEventListener("pageshow", function() {
		getDepotList();
	});
	mui('.mui-scroll-wrapper').scroll({
		deceleration: 0.0006 //flick 减速系数，系数越大，滚动速度越慢，滚动距离越小，默认值0.0006  
	});
	mui("#customerSetVM").on('tap', '.delWarehouse', function() {
		var id = this.parentNode.parentNode.parentNode.dataset.id;
		console.log(id)
		var btn = ["取消", "确定"];
		mui.confirm('确认删除该客户?', '提示', btn, function(e) {
			if (e.index == 1) {
				mui.ajax(severUrl + "crm/customer/del.json", {
					data: {
						"id": id
					},
					headers: {
						'Content-Type': 'application/x-www-form-urlencoded'
					},
					xhrFields: {
						withCredentials: true
					},
					dataType: 'json', //服务器返回json格式数据
					type: 'post', //HTTP请求类型
					timeout: 10000, //超时时间设置为10秒；
					success: function(res) {
						mui.toast(res.msg);
						if (res.success) {
							mui.each(customerSetVM.depotList, function(i, v) {
								if (v.id == id) {
									customerSetVM.depotList.splice(i, 1)
									return false
								}
							})
							customerSetVM.currentNum = customerSetVM.depotList.length || 0
							customerSetVM.addType = 0;
							customerSetVM.depot_name = "";
							customerSetVM.remark = "";
							customerSetVM.telPhone = "";
							localStorage.setItem("xiaoPageAction", 'customerRefresh')
						}
					}
				});
			}
		}, 'div');

	});
	//禁启用客户
	mui("#customerSetVM").on('tap', '.jinYongWarehouse', function() {
		var id = this.parentNode.dataset.id;
		var status = this.parentNode.dataset.status;
		var checked = this.parentNode.dataset.checked;
		if (checked == 1) {
			mui.toast("默认用户不能禁用");
		} else {
			var btn = ["取消", "确定"];
			var btnInfo = "";
			if (status == 0) {
				btnInfo = "确认禁用该用户？"
			} else {
				btnInfo = "确认启用该用户？"
			}
			mui.confirm(btnInfo, '提示', btn, function(e) {
				if (e.index == 1) {
					mui.ajax({
						url: severUrl + "crm/customer/enableOrDisable.json",
						data: {
							"id": id,
							"status": status
						},
						headers: {
							'Content-Type': 'application/x-www-form-urlencoded'
						},
						xhrFields: {
							withCredentials: true
						},
						dataType: 'json', //服务器返回json格式数据
						type: 'post', //HTTP请求类型
						timeout: 10000, //超时时间设置为10秒；
						success: function(res) {
							if (res.data) {
								mui.toast(res.msg);
								mui.each(customerSetVM.depotList, function(i, v) {
									if (v.id == id) {
										v.status = status == 0 ? 1 : 0;
										return false
									}
								})
								localStorage.setItem("xiaoPageAction", 'customerRefresh') //刷新页面参数
							} else {
								$comm.showLimitConfirm(res,{payOrderNameStrategy:'customer',rootPath:'../'})
							}
						}
					})
				}
			}, 'div');

		}
	});
	mui("#customerSetVM").on('tap', '.searchBtn', function(e) {
		getDepotList('updataList')
	});
	mui("body").on('tap', '.customerAdd', function(e) {
		viewHandle.openWindow('customerCreate.html', 'customerCreate.html');
	});
	mui('body').on('hidden', '.mui-popover', function(e) {
		customerSetVM.categoryData.wx_fast_register = customerSetVM.wx_fast_register;
		customerSetVM.categoryData.status = customerSetVM.status;
		customerSetVM.categoryData.customer_category_id = customerSetVM.customer_category_id
	});
	//点击单行
	mui("#customerSetVM").on('tap', '.my-cun-tbody .change', function() {
		var listSend = {};
		listSend.id = this.parentNode.dataset.id;
		viewHandle.openWindow('customerCreate.html', 'customerCreate.html', JSON.stringify(listSend));
	});
}
var flag = false;

function descCompare(propertyName) {
	return function(object1, object2) {
		var value1 = object1[propertyName];
		var value2 = object2[propertyName];
		if (value2 < value1) {
			return -1;
		} else if (value2 > value1) {
			return 1;
		} else {
			return 0;
		}
	}
}

/**
 * asc
 * @param {*} propertyName
 */
function ascCompare(propertyName) {
	return function(object1, object2) {
		var value1 = object1[propertyName];
		var value2 = object2[propertyName];
		if (value2 > value1) {
			return -1;
		} else if (value2 < value1) {
			return 1;
		} else {
			return 0;
		}
	}
}

/**
 * 升序、降序
 */
mui('body').on('tap', '.click-th', function() {
	// 显示排序箭头
	var sort = document.getElementsByClassName('theadbgc')[0].getElementsByClassName('sort');

	for (var i = 0, len = sort.length; i < len; i++) {
		sort[i].classList.add("sort-img");
	}

	if (this.innerHTML.indexOf('sort-img') != -1) {
		this.getElementsByClassName('sort')[0].classList.remove("sort-img");
		// var type = this.getElementsByClassName('sort')[0].getElementsByTagName('img')[0].dataset.type;
		// customerSetVM.searchStockList.sort(descCompare(type));
	}
	//排序
	page = 0;
	switch (this.dataset.type) {
		case 'login_type':
			if (flag) {
				customerSetVM.depotList.sort(descCompare("wx_fast_register"));
				this.getElementsByTagName('img')[0].src = '../img/down.png';
				flag = false;
			} else {
				customerSetVM.depotList.sort(ascCompare("wx_fast_register"));
				this.getElementsByTagName('img')[0].src = '../img/up.png';
				flag = true;
			}
			break;
	}

});

//批量选择
var batchCustomer = [];
//全选
mui('#batchAll').on('change', 'input', function() {
	batchCustomer = []
	if (this.checked) {
		mui.each(customerSetVM.depotList, function(i, v) {
			batchCustomer.push(v.id)
		})
		$("input[name='checkbox']").prop("checked", true);
	} else {
		$("input[name='checkbox']").prop("checked", false);
	}
	customerSetVM.selectNum = batchCustomer.length;
});
//单选
mui('#upFresh').on('change', 'input', function() {
	var id = this.dataset.id
	if (this.checked) {
		batchCustomer.push(id);
	} else {
		mui.each(batchCustomer, function(i, v) {
			if (v == id) {
				return batchCustomer.splice(i, 1)
			}
		})
	}
	customerSetVM.selectNum = batchCustomer.length;
});

mui('body').on('tap', '.muiBack', function() {
	var opener = plus.webview.currentWebview().opener().id;
	var pageAction = localStorage.getItem("xiaoPageAction");
	if (opener == 'H576E5848' && pageAction == 'customerRefresh') {
		viewHandle.viewFire('H576E5848', 'customerRefresh');
	}
	viewHandle.back("close")
});
