mui.plusReady(function(){
	var arg = plus.webview.currentWebview().arg;
	if(arg){
		arg = JSON.parse(arg);
		customerCategoryVM.fromType = arg.fromType || '';
		customerCategoryVM.category_id = arg.category_id || '';
		customerCategoryVM.category_name = arg.category_name || '';
		customerCategoryVM.batchCustomer = arg.batchCustomer || '';
		getLevelOneCategory()
	}
});
var customerCategoryVM = new Vue({
	el: '#customerCategoryVM',
	data: {
		fromType:'',
		levelOneCategory:[],
		saveOldName:'',
		category_id:'', //分类id
		category_name:'', //分类名称
		batchCustomer:'',
		//权限相关
		positionName:false,
		stockManager:false,
		purchaseManager:false,
		companySetIndustry:true,
		labelPprinter:false,
		faAccount:true,
		is_advanced:0,
		company_name:'',
		company_id:'',
		user_id:'',
		jifenshow:false,
		bindDepot:-1,
		//--------------------
	},
	watch:{

	},
	methods: {
		getPurview :function(){//获取权限
			var _this = this;
			mui.ajax(severUrl + "sso/user/qryOp.json", {
				data : {
					id : ''
				},
				headers : {
					'Content-Type' : 'application/x-www-form-urlencoded'
				},
				xhrFields : {
					withCredentials : true
				},
				dataType : 'json',
				type : 'post',
				timeout : 30000,
				async : false,
				success : function(res) {
					if (res.success) {
						// var position_name = res.data.position_name;
						_this.company_name = res.data.company_name;
						_this.company_id = res.data.company_id;
						_this.bindDepot = res.data.manage_depot_id;
						_this.user_id = res.data.id;
						var code = res.data.position,permission = code.permission;
						if(permission.indexOf('A11_1_O') >=0 || permission.indexOf('A11_1_E') >=0){
							_this.positionName = true
						}else{
							_this.positionName = false
						}
						permission.indexOf('A4_1_E') >=0?_this.stockManager = true:_this.stockManager = false;
						permission.indexOf('FA_ACC') >=0?_this.faAccount = true:_this.faAccount = false;
						permission.indexOf('LOOK_PURCHASE') >=0?_this.purchaseManager = true:_this.purchaseManager = false;
						permission.indexOf('ONLY_PRINT') >=0?_this.labelPprinter = true:_this.labelPprinter = false;
						'RFRk,eYVo,y0oa,mVbc,pqrB,pDAY,CCP2,Oo4T,LfTY'.indexOf(_this.company_id) >=0?_this.jifenshow = true:_this.jifenshow=false
						_this.companySetIndustry = res.data.company_set_industry;
					}

				}
			});
		},
		batchSave:function(){
			var _this = this;
			if(_this.fromType == 'create'){
				var listSend = {};
				listSend.category_id = _this.category_id;
				listSend.category_name = _this.category_name;
				viewHandle.viewFire('customerCreate.html','categoryBack',listSend);
				viewHandle.back('close')
			}else if(_this.fromType == 'handle'){
				var listSend = {};
				listSend.customerCategoryEditList = _this.levelOneCategory;
				viewHandle.viewFire('categoryPriceList.html','batchBack',listSend)
				viewHandle.back('close')
			}else{
				if(_this.category_id == ''){
					return mui.toast("请选择分类")
				}
				viewHandle.waiting("请等待");
				if(_this.batchCustomer == ''){
					return mui.toast("客户参数错误")
				}
				mui.ajax(severUrl + "crm/customer/modifyCustomerCategoryByIds.json",{
					data:{
						ids:_this.batchCustomer,
						customer_category_id:_this.category_id
					},
					headers: {
						'Content-Type': 'application/x-www-form-urlencoded'
					},
					xhrFields: {
						withCredentials: true
					},
					dataType:'json',//服务器返回json格式数据
					type:'post',//HTTP请求类型
					timeout:120000,
					success:function(res){
						viewHandle.close()
						mui.toast(res.msg);
						if(res.success){
							setTimeout(function(){
								viewHandle.viewFire('customerSetting.html','batchBack')
								viewHandle.back('close')
							},500)
						}
					},
					error:function(err){
						viewHandle.close('close')
					}
				});
			}
		}
	},
	created:function(){
		//getLevelOneCategory()
	},
	mounted:function (){
		var _this = this;
		var winHeight = $(window).height();  //获取当前页面高度
		$(window).resize(function () {
			var u = navigator.userAgent, app = navigator.appVersion;
			var isAndroid = u.indexOf('Android') > -1 || u.indexOf('Linux') > -1; //android终端或者uc浏览器
			var isiOS = !!u.match(/\(i[^;]+;( U;)? CPU.+Mac OS X/); //ios终端
			if(isAndroid){
				var thisHeight = $(this).height();
				if ( winHeight - thisHeight > 140 ) {
				} else {
					var inputs = document.getElementsByTagName("input")
					for(var i =0; i<inputs.length; i++){
						if(inputs[i] == document.activeElement){
                            inputs[i].blur()
                        }
					}
				}
			}else if(isiOS){

			}
		});
		mui.plusReady(function () {
			_this.getPurview()
		})
	}
});
//一级分类查询
function getLevelOneCategory(){
	mui.ajax(severUrl + "crm/customerCategory/list.json",{
		data:{
		},
		type:'POST',
		timeout: 10000,//超时时间设置为10秒；
		headers: {
			'Content-Type': 'application/x-www-form-urlencoded'
		},
		xhrFields: {
			withCredentials: true
		},
		success:function(res){
			if(res.success){
				customerCategoryVM.levelOneCategory = res.data;
				mui.each(customerCategoryVM.levelOneCategory,function(i,v){
					if(v.id == customerCategoryVM.category_id){
						v. is_add_color = true
					}else{
						v.is_add_color = false
					}
				})
			}
		}
	});
}
//添加分类
function createCategory(name){
	mui.ajax(severUrl + "crm/customerCategory/save.json",{
		data:{
			name:name,
		},
		type:'POST',
		timeout: 10000,//超时时间设置为10秒；
		headers: {
			'Content-Type': 'application/x-www-form-urlencoded'
		},
		xhrFields: {
			withCredentials: true
		},
		success:function(res){
			if(res.success){
				var append = {
					id:res.data.id,
					name:name
				}
				customerCategoryVM.levelOneCategory = customerCategoryVM.levelOneCategory.concat(append)
			}
			mui.toast(res.msg)
		}
	})
}
//分类选择
mui(".mui-content").on('tap','.icon-gou',function(){
	var id = this.dataset.onecategory;
	var name = $(this).siblings("input").val();
	if(!$(this).hasClass("addColor")){
		$(".icon-gou").removeClass("addColor");
		$(this).addClass("addColor");
		customerCategoryVM.category_id = id;
		customerCategoryVM.category_name = name;
	}else{
		$(this).removeClass("addColor");
		customerCategoryVM.category_id = '';
		customerCategoryVM.category_name = '';
	}
});
//新建一级
mui("body").on('tap','.addIcon',function(){
    var oneLevels = document.getElementsByClassName("oneLevel");
    for(var i =0; i<oneLevels.length; i++){
        if(oneLevels[i].value == "请输入分类名称"){
            mui.toast("已有未命名分类,请勿重复创建");
            return false;
        }
    }
	createCategory("请输入分类名称");
});
// //修改分类
function addCategory(e,type){
	var id = e.dataset.onecategory;
	var name = e.value;
	if(name == '' || name ==null){
		e.value = customerCategoryVM.saveOldName;
		return;
	}
	mui.ajax(severUrl + "crm/customerCategory/update.json",{
		data:{
			id:id,
			name:name
		},
		type:'POST',
		timeout: 10000,//超时时间设置为10秒；
		headers: {
			'Content-Type': 'application/x-www-form-urlencoded'
		},
		xhrFields: {
			withCredentials: true
		},
		success:function(res){
			if(res.success){
				mui.each(customerCategoryVM.levelOneCategory,function(i,v){
					if(v.id == id){
						v.name = name;
						customerCategoryVM.category_name = name;
						v.name = name;
						return false
					}
				})
			}
			mui.toast(res.msg)
		}
	});
}

//保存旧名字
function saveOldName(e){
	customerCategoryVM.saveOldName = e.value;
	if(e.value == "请输入分类名称"){
		e.value ="";
	}
	console.log(customerCategoryVM.saveOldName)
}


//删除分类
function editCategory(event){
	var id = event.dataset.onecategory;
	mui.confirm("确认删除分类?", "提示", ["取消","确定"], function (e) {
		if(e.index==1){
			mui.ajax(severUrl + "crm/customerCategory/del.json",{
				data:{
					id:id
				},
				type:'POST',
				timeout: 10000,//超时时间设置为10秒；
				headers: {
					'Content-Type': 'application/x-www-form-urlencoded'
				},
				xhrFields: {
					withCredentials: true
				},
				success:function(res){
					if(res.success){
						mui.each(customerCategoryVM.levelOneCategory,function(i,v){
						    if(v.id == id){
						    	customerCategoryVM.levelOneCategory.splice(i,1);
								return false
							}
						})
					}
					mui.toast(res.msg)
				}
			})
		}
	},'div')
}
mui('body').on('tap','.muiBack',function(){
	if(customerCategoryVM.fromType == 'handle'){
		var listSend = {};
		listSend.customerCategoryEditList = customerCategoryVM.levelOneCategory;
		viewHandle.viewFire('categoryPriceList.html','batchBack',listSend)
		viewHandle.back('close')
	}
	viewHandle.back('close')
});