mui.plusReady(function(){
	var arg = JSON.parse(plus.webview.currentWebview().arg);
	sessionStorage.setItem("realname",arg.realname);
	sessionStorage.setItem("histDetail_id",arg.histDetail_id);
	historyDetailVM.htmlType = arg.htmlType || '';
	historyDetailVM.openType = arg.openType || '';
	historyDetailVM.delOperation = arg.delOperation || false; //商品删除使用
	getGoodsMenu();
});
window.addEventListener("historyXQ",function(e){
	sessionStorage.setItem("realname",e.detail.realname);
	sessionStorage.setItem("histDetail_id",e.detail.histDetail_id);
	historyDetailVM.htmlType = e.detail.htmlType || '';
	historyDetailVM.openType = e.detail.openType || '';
	historyDetailVM.delOperation = e.detail.delOperation || false; //商品删除使用
	getGoodsMenu();
});
var historyDetailVM = new Vue({
	el: '#historyDetailVM',
	data: {
		systemSetting:JSON.parse(localStorage.systemSetting),
		histDetail_id:'',
		detailList:[],
		realname:'',
		htmlType:'',
		delOperation:false,
		openType:'',
		//全行业参数
		size_show: localStorage.getItem("size_show") || 1,
		color_show: localStorage.getItem("color_show") || 1,
		unit_show: localStorage.getItem("unit_show") || 0,
		origin_specification: localStorage.getItem("origin_specification") || 0,
		//权限相关
		positionName:false,
		stockManager:false,
		purchaseManager:false,
		companySetIndustry:true,
		labelPprinter:false,
		faAccount:true,
		is_advanced:0,
		vipLevel:localStorage.getItem("vipLevel"),
		company_name:'',
		company_id:'',
		user_id:'',
		jifenshow:false,
		bindDepot:-1,
		//--------------------
	},
	computed:{
		sns_show:function(){
			var _this = this;
			return function(count){
				if(_this.vipLevel == 1 && _this.systemSetting.sn_setting == 1){
					if(count > 0){
						return '<span class="iconfont icon-tubiaozhizuomoban1111111 font-orange"></span>'
					}else{
						return '<span class="iconfont icon-tubiaozhizuomoban1111111 font-gray"></span>'
					}
				}else{
					return ''
				}
			}
		}
	},
	methods: {
		openShowBN(item) {
			let extras = {
				productModel: item.product_model,
				productName: item.product_name,
				productColorName:  item.color_name,
				productSizeName: item.size_name,
				BNList: item.bn_list,
				nowAmount: item.now_amount,
				preAmount: item.pre_amount,
				productUnit: null,
				purchaseManager: this.purchaseManager,
				purchasePrice: item.purchase_price,

			}
			mui.openWindow('./view/inventoryShowBN.html', 'inventoryShowBN', {extras: extras})
		},
		sns_look:function(item,e){//sn查看
		// 点击序列号图标放大
		e.target.style.fontSize='18px'
		setTimeout(function(){
			e.target.style.fontSize='16px'
		},80)
			var listSend = {
				item:item,
				parentPage:'his_xq'
			};
			viewHandle.openWindow("sns_show.html","sns_show.html",JSON.stringify(listSend))
		},
		getPurview :function(){//获取权限
			var _this = this;
			mui.ajax(severUrl + "sso/user/qryOp.json", {
				data : {
					id : ''
				},
				headers : {
					'Content-Type' : 'application/x-www-form-urlencoded'
				},
				xhrFields : {
					withCredentials : true
				},
				dataType : 'json',
				type : 'post',
				timeout : 30000,
				async : false,
				success : function(res) {
					if (res.success) {
						// var position_name = res.data.position_name;
						_this.company_name = res.data.company_name;
						_this.company_id = res.data.company_id;
						_this.bindDepot = res.data.manage_depot_id;
						_this.user_id = res.data.id;
						var code = res.data.position,permission = code.permission;
						if(permission.indexOf('A11_1_O') >=0 || permission.indexOf('A11_1_E') >=0){
							_this.positionName = true
						}else{
							_this.positionName = false
						}
						permission.indexOf('A4_1_E') >=0?_this.stockManager = true:_this.stockManager = false;
						permission.indexOf('FA_ACC') >=0?_this.faAccount = true:_this.faAccount = false;
						permission.indexOf('LOOK_PURCHASE') >=0?_this.purchaseManager = true:_this.purchaseManager = false;
						permission.indexOf('ONLY_PRINT') >=0?_this.labelPprinter = true:_this.labelPprinter = false;
						'RFRk,eYVo,y0oa,mVbc,pqrB,pDAY,CCP2,Oo4T,LfTY'.indexOf(_this.company_id) >=0?_this.jifenshow = true:_this.jifenshow=false
						_this.companySetIndustry = res.data.company_set_industry;
					}

				}
			});
		},
		changeRemark:function(val){
			if(historyDetailVM.detailList.remark ==''){
				return false
			}
			mui.ajax(severUrl + "scm/stockCheck/updateRemark.json",{
				data:{
					id: historyDetailVM.histDetail_id,
					remark: historyDetailVM.detailList.remark
				},
				headers: {
					'Content-Type':'application/x-www-form-urlencoded'
				},
				xhrFields: {
					withCredentials: true
				},
				dataType:'json',//服务器返回json格式数据
				type:'post',//HTTP请求类型
				timeout:10000,//超时时间设置为10秒；
				success:function(res){
					mui.toast(res.msg)
				}
			});
		}
	},
	mounted: function () {
		var _this = this;
		setTimeout(function(){
			var winHeight = $(window).height();  //获取当前页面高度
			$(window).resize(function () {
				var u = navigator.userAgent, app = navigator.appVersion;
				var isAndroid = u.indexOf('Android') > -1 || u.indexOf('Linux') > -1; //android终端或者uc浏览器
				var isiOS = !!u.match(/\(i[^;]+;( U;)? CPU.+Mac OS X/); //ios终端
				if(isAndroid){
					var thisHeight = $(this).height();
					if ( winHeight - thisHeight > 140 ) {
					} else {
						$("input").blur();
					}
				}else if(isiOS){

				}
			});
		},350);
		mui.plusReady(function () {
			_this.getPurview()
		})
	}
});
function getGoodsMenu(){
	historyDetailVM.realname=sessionStorage.getItem("realname");
	historyDetailVM.histDetail_id=sessionStorage.getItem("histDetail_id");
	mui.ajax(severUrl + "scm/stockCheck/qryOp.json",{
		data:{
			id:historyDetailVM.histDetail_id
		},
		headers: {
	      'Content-Type':'application/x-www-form-urlencoded'
	  	},
	  	xhrFields: {
	      withCredentials: true
		},
		dataType:'json',//服务器返回json格式数据
		type:'post',//HTTP请求类型
		timeout:10000,//超时时间设置为10秒；
		success:function(res){
			if(res.status==200){
				historyDetailVM.detailList=res.data;
				var allPrice = 0;
				for (var i = 0; i < res.data.productlist.length; i++) {
					allPrice += (res.data.productlist[i].now_amount - res.data.productlist[i].pre_amount) * res.data.productlist[i].purchase_price;
				}
				historyDetailVM.detailList.all_pre_amount = numToCur(historyDetailVM.detailList.all_pre_amount,historyDetailVM.systemSetting.amount_decimals_setting);
				historyDetailVM.detailList.all_now_amount = numToCur(historyDetailVM.detailList.all_now_amount,historyDetailVM.systemSetting.amount_decimals_setting);
				historyDetailVM.detailList.profitPrice = numToCur(allPrice,historyDetailVM.systemSetting.price_decimals_setting,'price');
				historyDetailVM.detailList.profitCount = numToCur(Number(res.data.all_now_amount) - Number(res.data.all_pre_amount),historyDetailVM.systemSetting.amount_decimals_setting);
				if(historyDetailVM.openType=='show'){
					historyDetailVM.realname=res.data.creater_name
				}
			}else{
				mui.toast(res.msg)
			}
		}
	});
}
/*撤销按钮*/
mui('body').on('tap','.procurement',function(e){
	if(historyDetailVM.delOperation){
		mui.confirm("是否确认删除？", "提示", ["取消", "确定"], function (e) {
			if (e.index == 1 && buttonClick) {
				buttonClick = false;
				mui.ajax(severUrl + "scm/stockCheck/del.json", {
					data: {
						id: historyDetailVM.histDetail_id,
					},
					headers: {
						'Content-Type': 'application/x-www-form-urlencoded'
					},
					xhrFields: {
						withCredentials: true
					},
					dataType: 'json',
					type: 'post',
					timeout: 60000,
					success: function (res) {
						if (res.success) {
							mui.toast(res.msg);
							setTimeout(function () {
								buttonClick = true;
								var listSend = {};
								listSend.id = historyDetailVM.histDetail_id;
								listSend.type = 8;
								viewHandle.viewFire('associatRecord.html','product_del',listSend);
								viewHandle.back()
							}, 500);
						} else {
							buttonClick = true;
							mui.toast(res.msg);
						}
					}
				});
			}
		}, 'div')
	}else{
		mui.confirm("撤销后，该单据内所有的商品库存数量将会变动，是否确认撤销？","提示",["取消","确定"],function(e){
			if(e.index==1 && buttonClick){
				buttonClick = false;
				mui(".procurement").button('loading');
				mui.ajax(severUrl + "scm/stockCheck/revert.json",{
					data:{
						id:historyDetailVM.histDetail_id,
						depot_id: historyDetailVM.detailList.depot_id,
						productlistlength:historyDetailVM.detailList.productlistlength,
						productlist:historyDetailVM.detailList.productlist
					},
					headers: {
						'Content-Type':'application/x-www-form-urlencoded'
					},
					xhrFields: {
						withCredentials: true
					},
					dataType:'json',//服务器返回json格式数据
					type:'post',//HTTP请求类型
					timeout:10000,//超时时间设置为10秒；
					success:function(res){
						if(res.status==200){
							mui.toast(res.msg);
							setTimeout(function(){
								mui(".procurement").button('reset');
								buttonClick = true;
								var listSend = {};
								if(historyDetailVM.htmlType == "flowStatistics"){
									viewHandle.viewFire('flowStatistics.html','backUpdate');
								}else if(historyDetailVM.htmlType == "associatRecord"){
									listSend.id = historyDetailVM.histDetail_id;
									listSend.type = 7;
									viewHandle.viewFire('associatRecord.html','product_del',listSend);
								}else{
									listSend.id = historyDetailVM.histDetail_id;
									viewHandle.viewFire('cun.html','historyBack',listSend);
								}
								viewHandle.back()
							},1000)
						}else{
							mui.toast(res.msg);
							mui('.procurement').button('reset');
						}
					},
					error:function(xhr,type,errorThrown){
						buttonClick = true;
					}
				});
			}
		},'div');
	}
});
mui('body').on('tap','.muiBack',function(e){
	viewHandle.back()
});

