function loadNowDate(type) {
    var myDate = new Date();
    var Y = myDate.getFullYear();
    var M = (myDate.getMonth() + 1);
    var D = myDate.getDate();

    M >= 10 ? M = M : M = 0 + "" + M;
    D >= 10 ? D = D : D = 0 + "" + D;

    if (type == 1) {
        return Y + '-' + M + '-' + D;
    } else if (type == 2) {
        return Y + '-' + M + '-' + '01';
    }

}
window.addEventListener('infoBack',function(e){
    infoBackUpdate(e.detail.id,e.detail.is_disable,e.detail.is_delete)
});
window.addEventListener('editBack',function(e){
    editBack(e.detail.id,e.detail.name)
});
window.addEventListener('addBack',function(e){
    if(e.detail.type == 1){
        getIncomeList()
    }else{
        getExpensesList()
    }
});
window.addEventListener('infoAddBack',function(e){
    if(e.detail.type == 1){
        mui.each(income_expensesVM.incomeList,function(i,v){
            if(v.id == e.detail.id){
                v.hisytory_amt = numToCur(Number(v.hisytory_amt) + Number(e.detail.amt),income_expensesVM.systemSetting.price_decimals_setting,'price');
                return false
            }
        })
    }else{
        mui.each(income_expensesVM.expensesList,function(i,v){
            if(v.id == e.detail.id){
                v.hisytory_amt = numToCur(Number(v.hisytory_amt) + Number(e.detail.amt),income_expensesVM.systemSetting.price_decimals_setting,'price');
                return false
            }
        })
    }
});
var income_expensesVM = new Vue({
    el: '#income_expensesVM',
    data: {
        systemSetting:JSON.parse(localStorage.systemSetting),
        dateFirst:loadNowDate(2),
        dateLast:loadNowDate(1),
        incomeList:[],
        expensesList:[],
        type:1,
        pageTabId:'income',
        allIncome:0,
        allExpenses:0,
        inExAmt:0,
        //权限相关
        positionName:false,
        stockManager:false,
        purchaseManager:false,
        companySetIndustry:true,
        labelPprinter:false,
        faAccount:true,
        is_advanced:0,
        company_name:'',
        company_id:'',
        user_id:'',
        jifenshow:false,
        bindDepot:-1,
        //--------------------
    },
    methods: {
        getPurview :function(){//获取权限
            var _this = this;
            mui.ajax(severUrl + "sso/user/qryOp.json", {
                data : {
                    id : ''
                },
                headers : {
                    'Content-Type' : 'application/x-www-form-urlencoded'
                },
                xhrFields : {
                    withCredentials : true
                },
                dataType : 'json',
                type : 'post',
                timeout : 30000,
                async : false,
                success : function(res) {
                    if (res.success) {
                        // var position_name = res.data.position_name;
                        _this.company_name = res.data.company_name;
                        _this.company_id = res.data.company_id;
                        _this.bindDepot = res.data.manage_depot_id;
                        _this.user_id = res.data.id;
                        var code = res.data.position,permission = code.permission;
                        if(permission.indexOf('A11_1_O') >=0 || permission.indexOf('A11_1_E') >=0){
                            _this.positionName = true
                        }else{
                            _this.positionName = false
                        }
                        permission.indexOf('A4_1_E') >=0?_this.stockManager = true:_this.stockManager = false;
                        permission.indexOf('FA_ACC') >=0?_this.faAccount = true:_this.faAccount = false;
                        permission.indexOf('LOOK_PURCHASE') >=0?_this.purchaseManager = true:_this.purchaseManager = false;
                        permission.indexOf('ONLY_PRINT') >=0?_this.labelPprinter = true:_this.labelPprinter = false;
                        'RFRk,eYVo,y0oa,mVbc,pqrB,pDAY,CCP2,Oo4T,LfTY'.indexOf(_this.company_id) >=0?_this.jifenshow = true:_this.jifenshow=false
                        _this.companySetIndustry = res.data.company_set_industry;
                    }

                }
            });
        },
        incomeExpensesAmt:function () {
            income_expensesVM.inExAmt = numToCur(income_expensesVM.allIncome - income_expensesVM.allExpenses,income_expensesVM.systemSetting.price_decimals_setting,'price')
        }
    },
    created: function(){

    },
    mounted:function(){
        var _this = this;
        mui.plusReady(function(){
            getAllList();
            _this.getPurview()
        })
    }
});
mui("#slider")[0].addEventListener('slide', function(e) {
    if(e.detail.slideNumber === 0){
        income_expensesVM.type = 1;
        getIncomeList()
    }else if(e.detail.slideNumber === 1){
        income_expensesVM.type = 0;
        getExpensesList()
    }
});
function getAllList(){
    mui.ajax(severUrl + "fa/subject/list.json", {
        data: {
            name:'',
            start_date:income_expensesVM.dateFirst+' 00:00:00',
            end_date:income_expensesVM.dateLast+' 23:59:59' ,
            type: income_expensesVM.type// 0:支出 1: 收入
        },
        headers: {
            'Content-Type': 'application/x-www-form-urlencoded'
        },
        xhrFields: {
            withCredentials: true
        },
        dataType: 'json',
        type: 'post',
        timeout: 10000,
        success: function (res) {
            if(res.success){
                income_expensesVM.incomeList = res.data;
                var allIncome = 0;
                getExpensesList();
                mui.each(income_expensesVM.incomeList,function(i,v){
                    allIncome += Number(v.hisytory_amt);
                });
                income_expensesVM.allIncome = numToCur(allIncome,income_expensesVM.systemSetting.price_decimals_setting,'price')
            }
        }
    });
}
function getIncomeList(){
    mui.ajax(severUrl + "fa/subject/list.json", {
        data: {
            name:'',
            start_date:income_expensesVM.dateFirst+' 00:00:00',
            end_date:income_expensesVM.dateLast+' 23:59:59' ,
            type: 1// 0:支出 1: 收入
        },
        headers: {
            'Content-Type': 'application/x-www-form-urlencoded'
        },
        xhrFields: {
            withCredentials: true
        },
        dataType: 'json',
        type: 'post',
        timeout: 10000,
        success: function (res) {
            if(res.success){
                var allIncome = 0;
                income_expensesVM.incomeList = res.data;
                mui.each(income_expensesVM.incomeList,function(i,v){
                    allIncome += Number(v.hisytory_amt);
                    income_expensesVM.allIncome = numToCur(allIncome,income_expensesVM.systemSetting.price_decimals_setting,'price')
                });
                income_expensesVM.incomeExpensesAmt()
            }
        }
    });
}
function getExpensesList(){
    mui.ajax(severUrl + "fa/subject/list.json", {
        data: {
            name:'',
            start_date:income_expensesVM.dateFirst+' 00:00:00',
            end_date:income_expensesVM.dateLast+' 23:59:59',
            type: 0// 0:支出 1: 收入
        },
        headers: {
            'Content-Type': 'application/x-www-form-urlencoded'
        },
        xhrFields: {
            withCredentials: true
        },
        dataType: 'json',
        type: 'post',
        timeout: 10000,
        success: function (res) {
            if(res.success){
                income_expensesVM.expensesList = res.data;
                var allExpenses = 0;
                mui.each(income_expensesVM.expensesList,function(i,v){
                    allExpenses += Number(v.hisytory_amt);
                });
                income_expensesVM.allExpenses = numToCur(allExpenses,income_expensesVM.systemSetting.price_decimals_setting,'price');
                income_expensesVM.incomeExpensesAmt()
            }
        }
    });
}
function infoBackUpdate(id,is_disable,is_delete){
    if(income_expensesVM.type == 0){
        mui.each(income_expensesVM.expensesList,function(i,v){
            if(v.id == id){
                if(is_delete == 1){
                    income_expensesVM.expensesList.splice(i,1);
                }else{
                    v.is_disable = is_disable;
                }

                return false
            }
        })
    }else{
        mui.each(income_expensesVM.incomeList,function(i,v){
            if(v.id == id){
                if(is_delete == 1){
                    income_expensesVM.incomeList.splice(i,1);
                }else{
                    v.is_disable = is_disable;
                }
                return false
            }
        })
    }
}
function editBack(id,name){
    if(income_expensesVM.type == 0){
        mui.each(income_expensesVM.expensesList,function(i,v){
            if(v.id == id){
                v.name = name;
                return false
            }
        })
    }else{
        mui.each(income_expensesVM.incomeList,function(i,v){
            if(v.id == id){
                v.name = name;
                return false
            }
        })
    }
}
mui('.mui-scroll-wrapper').scroll({
    deceleration: 0.0006
});
var dateFirst = new mui.DtPicker({
    type: "date",
    labels: ['年', '月', '日']
});
var dateLast = new mui.DtPicker({
    type: "date",
    labels: ['年', '月', '日']
});
mui('body').on('tap', '.dateFirst', function () {
    var _self = this;
    dateFirst.show(function (e) {
        income_expensesVM.dateFirst = e.text;
    })
});
mui('body').on('tap', '.dateLast', function () {
    var _self = this;
    dateLast.show(function (e) {
        income_expensesVM.dateLast = e.text;
    })
});


mui('body').on('tap','.time-search',function(){
    if(income_expensesVM.type == 1){
        getIncomeList()
    }else{
        getExpensesList()
    }
});
mui('body').on('tap','.icon-jiahao',function(){
    var listSend = {};
    listSend.type =income_expensesVM.type;
    viewHandle.openWindow('income_expenses_add.html','income_expenses_add.html',JSON.stringify(listSend))
});
mui('body').on('tap','.infoAdd',function(){
    var listSend = {};
    listSend.id = this.dataset.id;
    listSend.is_disable = this.dataset.is_disable;
    listSend.name = this.dataset.name;
    listSend.type =income_expensesVM.type;
    if(this.dataset.is_disable == 1){
        mui.toast('该帐目已被禁用')
    }else{
        viewHandle.openWindow('income_expenses_add.html','income_expenses_add.html',JSON.stringify(listSend))
    }
});
mui('body').on('tap','.getInfo',function(){
    var listSend = {};
    listSend.id = this.dataset.id;
    listSend.name = this.dataset.name;
    listSend.type = income_expensesVM.type;
    listSend.is_disable = this.dataset.is_disable;
    viewHandle.openWindow('income_expenses_info.html','income_expenses_info.html',JSON.stringify(listSend))
});
mui('body').on('tap','.history',function(){
    var listSend = {};
    listSend.id = this.dataset.id;
    listSend.name = this.dataset.name;
    listSend.type = income_expensesVM.type;
    listSend.dateFirst = income_expensesVM.dateFirst;
    listSend.dateLast = income_expensesVM.dateLast;
    viewHandle.openWindow('income_expenses_history.html','income_expenses_history.html',JSON.stringify(listSend))
});
mui('body').on('tap','.muiBack',function(){
    viewHandle.back('close')
});
