//获取当前日期
function loadNowDate(type) {
    var myDate = new Date();
    var Y = myDate.getFullYear();
    var M = (myDate.getMonth() + 1);
    var D = myDate.getDate();

    M >= 10 ? M = M : M = 0 + "" + M;
    D >= 10 ? D = D : D = 0 + "" + D;

    if (type == 1) {
        return Y + '-' + M + '-' + D;
    } else if (type == 2) {
        return Y + '-' + M + '-' + '01';
    }
}
mui.plusReady(function(){
    var arg = plus.webview.currentWebview().arg;
    if(arg){
        arg = JSON.parse(arg);
        income_expenses_addVM.subject_type = arg.type;
        if(arg.type == 0){
            $('.titleName').html('支出')
        }else{
            $('.titleName').html('收入')
        }
        getDepot();
        getAccountList();
        if(arg.id && arg.name){
            income_expenses_addVM.subject_name = arg.name;
            income_expenses_addVM.subject_id = arg.id;
            $("#subjectName").attr('disabled',true)
        }else{
            getIncome_expensesList()
        }
    }
});
//新增账目相关处理
var isAdd = false;
window.addEventListener('addBack',function(e){
    mui.ajax(severUrl + "fa/subject/list.json", {
        data: {

        },
        headers: {
            'Content-Type': 'application/x-www-form-urlencoded'
        },
        xhrFields: {
            withCredentials: true
        },
        dataType: 'json',
        type: 'post',
        timeout: 10000,
        success: function (res) {
            if(res.success){
                isAdd = true;
                income_expenses_addVM.income_expenses = res.data;
                mui.each(income_expenses_addVM.income_expenses,function(i,v){
                    if(v.name == e.detail.name){
                        income_expenses_addVM.subject_name = v.name;
                        income_expenses_addVM.subject_id = v.id;
                        return false;
                    }
                })
            }
        }
    });
});
var income_expenses_addVM = new Vue({
    el: '#income_expenses_addVM',
    data: {
        systemSetting:JSON.parse(localStorage.systemSetting),
        id:'',
        subject_id: '',
        subject_name: '',
        subject_type: 0,
        account_id: '',
        account_type: 0,
        amt:0,
        depot_id: '',
        depotList:[],
        income_expenses:[],
        subjectList:[],
        accountList:[],
        remark:'',
        creater_id:'', //经手人
        createrList:[],
        realname:'', //经手人
        createDate:loadNowDate(1), //业务时间
        //权限相关
        positionName:false,
        stockManager:false,
        purchaseManager:false,
        companySetIndustry:true,
        labelPprinter:false,
        faAccount:true,
        is_advanced:0,
        company_name:'',
        company_id:'',
        user_id:'',
        jifenshow:false,
        bindDepot:-1,
        //--------------------
        saveLoading: false,
    },
    watch:{
        account_id:function(){
            mui.each(income_expenses_addVM.accountList,function(i,v){
                if(v.id == income_expenses_addVM.account_id){
                    income_expenses_addVM.account_type = v.type
                }
            })
        },
        creater_id(val){
            console.log('change:' +val)
        }
    },
    methods: {
        getPurview :function(){//获取权限
            var _this = this;
            mui.ajax(severUrl + "sso/user/qryOp.json", {
                data : {
                    id : ''
                },
                headers : {
                    'Content-Type' : 'application/x-www-form-urlencoded'
                },
                xhrFields : {
                    withCredentials : true
                },
                dataType : 'json',
                type : 'post',
                timeout : 30000,
                async : false,
                success : function(res) {
                    if (res.success) {
                        // var position_name = res.data.position_name;
                        _this.company_name = res.data.company_name;
                        _this.company_id = res.data.company_id;
                        _this.bindDepot = res.data.manage_depot_id;
                        _this.user_id = res.data.id;
                        var code = res.data.position,permission = code.permission;
                        if(permission.indexOf('A11_1_O') >=0 || permission.indexOf('A11_1_E') >=0){
                            _this.positionName = true
                            getAllUser()
                        }else{
                            _this.positionName = false
                        }
                        permission.indexOf('A4_1_E') >=0?_this.stockManager = true:_this.stockManager = false;
                        permission.indexOf('FA_ACC') >=0?_this.faAccount = true:_this.faAccount = false;
                        permission.indexOf('LOOK_PURCHASE') >=0?_this.purchaseManager = true:_this.purchaseManager = false;
                        permission.indexOf('ONLY_PRINT') >=0?_this.labelPprinter = true:_this.labelPprinter = false;
                        'RFRk,eYVo,y0oa,mVbc,pqrB,pDAY,CCP2,Oo4T,LfTY'.indexOf(_this.company_id) >=0?_this.jifenshow = true:_this.jifenshow=false
                        _this.companySetIndustry = res.data.company_set_industry;
                        getUser();
                    }

                }
            });
        },
        clearName:function(){
            this.subject_name='';
            this.searchName();
        },
        searchName:function(){
            if(this.subject_name==null || this.buyerName==''){
                income_expenses_addVM.subjectList=[];
                var list=this.income_expenses;
                var name=list[0].name;
                if(name=='新建账目？') list.splice(0,1);
                income_expenses_addVM.subjectList=list;
                var list={"name":"新建账目？","telephone":""};
                income_expenses_addVM.subjectList.unshift(list);
                mui("#hideSubjectPopover").scroll().scrollTo(0,0,0);
                mui("#subjectPopover").popover("show");
                $("#hideSubjectPopover").css('display','block');
            }else{
                income_expenses_addVM.subjectList=[];
                for(var i=0; i<this.income_expenses.length; i++){
                    var name=this.income_expenses[i].name.indexOf(this.subject_name);
                    if(name !=null && name>=0){
                        income_expenses_addVM.subjectList.push(this.income_expenses[i]);
                    }
                }
                var list={"name":"新建账目？"};
                income_expenses_addVM.subjectList.push(list);
                mui("#hideSubjectPopover").scroll().scrollTo(0,0,0);
                mui("#subjectPopover").popover("show");
                $("#hideSubjectPopover").css('display','block');
            }
        },
        save:function(){
            income_expenses_addVM.amt = numToCur(mui("#amt")[0].value,income_expenses_addVM.systemSetting.price_decimals_setting,'price');
            if(income_expenses_addVM.amt == 0){
                mui.toast("请输入转账金额");
                return false
            }
            if(income_expenses_addVM.subject_id == ''){
                mui.toast("账目不存在！请选择或新建");
                return false
            }
            let loading = $comm.showLoading('处理中,请稍后...')
            income_expenses_addVM.saveLoading = true
            mui.ajax(severUrl + "fa/subjectHistory/save.json", {
                data: {
                    subject_id: income_expenses_addVM.subject_id,
                    subject_type: income_expenses_addVM.subject_type,
                    account_id: income_expenses_addVM.account_id,
                    account_type: income_expenses_addVM.account_type,
                    amt: income_expenses_addVM.amt,
                    depot_id: income_expenses_addVM.depot_id,
                    creater_id: income_expenses_addVM.creater_id,
                    remark:income_expenses_addVM.remark,
                    sign_date: income_expenses_addVM.createDate
                },
                headers: {
                    'Content-Type': 'application/x-www-form-urlencoded'
                },
                xhrFields: {
                    withCredentials: true
                },
                dataType: 'json',
                type: 'post',
                timeout: 10000,
                success: function (res) {
                    mui.toast(res.msg);
                    if(res.success){
                        var listSend = {};
                        if(!isAdd){
                            listSend.id = income_expenses_addVM.subject_id;
                            listSend.type = income_expenses_addVM.subject_type;
                            listSend.amt = income_expenses_addVM.amt;
                            viewHandle.viewFire('income_expenses.html','infoAddBack',listSend);
                        }else{
                            listSend.type = income_expenses_addVM.subject_type;
                            viewHandle.viewFire('income_expenses.html','addBack',listSend);
                        }
                        setTimeout(function(){
                            viewHandle.back('close')
                            loading.close();
                        },500)
                    }else{
                        loading.close();
                        income_expenses_addVM.saveLoading = false
                    }
                },
                error(){
                    loading.close();
                    income_expenses_addVM.saveLoading = false
                    mui.toast('网络错误')
                }
            });
        },
        setCreater(name,id){
            let _this = this
           setTimeout(function(){
               _this.realname = name
               _this.creater_id = id
           },100)
        }
    },
    computed:{
        typeName:function(){
            if(this.subject_type == 0){
                return '支出'
            }else{
                return '收入'
            }
        }
    },
    created: function(){

    },
    mounted:function () {
        var _this = this;
        mui.plusReady(function () {
            _this.getPurview()
        })
    }
});
function getUser(){
    mui.ajax(severUrl + "sso/user/qryOp.json", {
        data: {
            id: ""
        },
        headers: {
            'Content-Type': 'application/x-www-form-urlencoded'
        },
        xhrFields: {
            withCredentials: true
        },
        dataType: 'json',
        type: 'post',
        timeout: 10000,
        success: function (res) {
            if(res.success){
                income_expenses_addVM.setCreater(res.data.realname,res.data.id)
            }
        }
    });
}
function getAllUser() {
    mui.ajax(severUrl + "sso/user/dataAll.json",{
        data: {
            id: ""
        },
        headers: {
            'Content-Type': 'application/x-www-form-urlencoded'
        },
        xhrFields: {
            withCredentials: true
        },
        async:false,
        dataType: 'json',
        type: 'post',
        timeout: 10000,
        success: function(res) {
            if (res.msg) {
                income_expenses_addVM.createrList = res.data;
            }
        }
    });
}
function getDepot(){
    mui.ajax(severUrl + "scm/depot/list.json", {
        data: {},
        headers: {
            'Content-Type': 'application/x-www-form-urlencoded'
        },
        xhrFields: {
            withCredentials: true
        },
        dataType: 'json',
        type: 'post',
        timeout: 10000,
        success: function (res) {
            if (res.success) {
                income_expenses_addVM.depotList = res.data;
                income_expenses_addVM.depot_id = res.data[0].id;
            }
        }
    });
}
function getAccountList(){
    mui.ajax(severUrl + "fa/account/list.json", {
        data: {
        },
        headers: {
            'Content-Type': 'application/x-www-form-urlencoded'
        },
        xhrFields: {
            withCredentials: true
        },
        dataType: 'json',
        type: 'post',
        timeout: 10000,
        success: function (res) {
            if(res.success){
                income_expenses_addVM.accountList = res.data;
                if(income_expenses_addVM.accountList.length>0){
                    income_expenses_addVM.account_id = res.data[0].id;
                    income_expenses_addVM.account_type = res.data[0].type;
                }
            }
        }
    });
}
function getIncome_expensesList(){
    mui.ajax(severUrl + "fa/subject/list.json", {
        data: {
            name:'',
            type: income_expenses_addVM.subject_type// 0:支出 1: 收入
        },
        headers: {
            'Content-Type': 'application/x-www-form-urlencoded'
        },
        xhrFields: {
            withCredentials: true
        },
        dataType: 'json',
        type: 'post',
        timeout: 10000,
        success: function (res) {
            if(res.success){
                income_expenses_addVM.income_expenses = res.data
            }
        }
    });
}
mui('.mui-scroll-wrapper').scroll({
    deceleration: 0.0006
});
mui("#subjectPopover").on('tap', '.subjectName', function () {
    mui('#subjectName')[0].blur();
    var name=this.dataset.name;
    var id=this.dataset.id;
    if(name == "新建账目？"){
        var listSend = {};
        listSend.name = income_expenses_addVM.subject_name;
        listSend.type = income_expenses_addVM.subject_type;
        //viewHandle.viewFire('customerCreate.html','customerCreate',listSend);
        viewHandle.openWindow( 'account_add.html','account_add.html',JSON.stringify(listSend));
    }else{
        income_expenses_addVM.subject_name = name;
        income_expenses_addVM.subject_id = id
    }
    mui("#subjectPopover").popover("hide");
    $("#hideSubjectPopover").css('display','none')
});
var dYear=new Date().getFullYear() ;
var dMonth=new Date().getMonth();
var dDay=new Date().getDate();
var createDate = new mui.DtPicker({
    type: "date",
    endDate: new Date(dYear, dMonth, dDay),//设置结束日期
    labels: ['年', '月', '日']
});
mui('body').on('tap', '.createDate', function () {
    var _self = this;
    createDate.show(function (e) {
        income_expenses_addVM.createDate = e.text;
    })
});

mui('body').on('tap','.muiBack',function(){
    if(isAdd){
        var listSend = {};
        listSend.type = income_expenses_addVM.subject_type;
        viewHandle.viewFire('income_expenses.html','addBack',listSend);
    }
    viewHandle.back('close')
});
