mui.plusReady(function(){
    var arg = plus.webview.currentWebview().arg;
    if(arg){
        arg = JSON.parse(arg);
        income_expenses_infoVM.id = arg.id;
        income_expenses_infoVM.type = arg.type;
        income_expenses_infoVM.name = arg.name;
        income_expenses_infoVM.is_disable = arg.is_disable;
    }
});
var income_expenses_infoVM = new Vue({
    el: '#income_expenses_infoVM',
    data: {
        id:'',
        name: "",
        type: 0,
        is_disable: 0,
        //权限相关
        positionName:false,
        stockManager:false,
        purchaseManager:false,
        companySetIndustry:true,
        labelPprinter:false,
        faAccount:true,
        is_advanced:0,
        company_name:'',
        company_id:'',
        user_id:'',
        jifenshow:false,
        bindDepot:-1,
        //--------------------
    },
    methods: {
        getPurview :function(){//获取权限
            var _this = this;
            mui.ajax(severUrl + "sso/user/qryOp.json", {
                data : {
                    id : ''
                },
                headers : {
                    'Content-Type' : 'application/x-www-form-urlencoded'
                },
                xhrFields : {
                    withCredentials : true
                },
                dataType : 'json',
                type : 'post',
                timeout : 30000,
                async : false,
                success : function(res) {
                    if (res.success) {
                        // var position_name = res.data.position_name;
                        _this.company_name = res.data.company_name;
                        _this.company_id = res.data.company_id;
                        _this.bindDepot = res.data.manage_depot_id;
                        _this.user_id = res.data.id;
                        var code = res.data.position,permission = code.permission;
                        if(permission.indexOf('A11_1_O') >=0 || permission.indexOf('A11_1_E') >=0){
                            _this.positionName = true
                        }else{
                            _this.positionName = false
                        }
                        permission.indexOf('A4_1_E') >=0?_this.stockManager = true:_this.stockManager = false;
                        permission.indexOf('FA_ACC') >=0?_this.faAccount = true:_this.faAccount = false;
                        permission.indexOf('LOOK_PURCHASE') >=0?_this.purchaseManager = true:_this.purchaseManager = false;
                        permission.indexOf('ONLY_PRINT') >=0?_this.labelPprinter = true:_this.labelPprinter = false;
                        'RFRk,eYVo,y0oa,mVbc,pqrB,pDAY,CCP2,Oo4T,LfTY'.indexOf(_this.company_id) >=0?_this.jifenshow = true:_this.jifenshow=false
                        _this.companySetIndustry = res.data.company_set_industry;
                    }

                }
            });
        },
        changeSubjectName:function(){
            mui.ajax(severUrl + "fa/subject/updateName.json", {
                data: {
                    id:income_expenses_infoVM.id,
                    name: income_expenses_infoVM.name
                },
                headers: {
                    'Content-Type': 'application/x-www-form-urlencoded'
                },
                xhrFields: {
                    withCredentials: true
                },
                dataType: 'json',
                type: 'post',
                timeout: 10000,
                success: function (res) {
                    if(res.success){
                        mui.toast(res.msg);
                        setTimeout(function(){
                            var listSend = {};
                            listSend.id = income_expenses_infoVM.id;
                            listSend.name = income_expenses_infoVM.name;
                            viewHandle.viewFire('income_expenses.html','editBack',listSend);
                            viewHandle.back('close')
                        },500);
                    }
                }
            });
        }
    },
    computed:{
        typeName:function(){
            if(this.type == 0){
                return '支出'
            }else{
                return '收入'
            }
        }
    },
    created: function(){

    },
    mounted: function(){
        var _this = this;
        var winHeight = localStorage.getItem("pageHeight");  //获取当前页面高度
        $(window).resize(function () {
            var u = navigator.userAgent, app = navigator.appVersion;
            var isAndroid = u.indexOf('Android') > -1 || u.indexOf('Linux') > -1; //android终端或者uc浏览器
            var isiOS = !!u.match(/\(i[^;]+;( U;)? CPU.+Mac OS X/); //ios终端
            if(isAndroid){
                var thisHeight = $(this).height();
                if ( winHeight - thisHeight > 140 ) {

                } else {
                    $("input").blur();
                }
            }else if(isiOS){

            }
        });
        mui.plusReady(function () {
            _this.getPurview()
        })
    }
});

function getById(){
    mui.ajax(severUrl + "fa/subjectHistory/info.json", {
        data: {
            id:income_expenses_infoVM.id
        },
        headers: {
            'Content-Type': 'application/x-www-form-urlencoded'
        },
        xhrFields: {
            withCredentials: true
        },
        dataType: 'json',
        type: 'post',
        timeout: 10000,
        success: function (res) {
            if(res.success){

            }
        }
    });
}

mui('body').on('tap', '.icon-shanchu', function () {
    var btn = ["取消","确定"];
    mui.confirm('确认删除？', '提示', btn, function (e) {
        if (e.index == 1){
            mui.ajax(severUrl + "fa/subject/delete.json", {
                data: {
                    id:income_expenses_infoVM.id
                },
                headers: {
                    'Content-Type': 'application/x-www-form-urlencoded'
                },
                xhrFields: {
                    withCredentials: true
                },
                dataType: 'json',
                type: 'post',
                timeout: 10000,
                success: function (res) {
                    mui.toast(res.msg);
                    if(res.success){
                        setTimeout(function(){
                            var listSend = {};
                            listSend.id = income_expenses_infoVM.id;
                            listSend.is_disable = income_expenses_infoVM.is_disable;
                            listSend.is_delete = 1;
                            viewHandle.viewFire('income_expenses.html','infoBack',listSend);
                            viewHandle.back('close')
                        },500)
                    }
                }
            });
        }
    },'div');
});
mui('body').on('toggle', '.mui-switch', function () {
    if (income_expenses_infoVM.is_disable == 0) {
        income_expenses_infoVM.is_disable = 1;
    } else {
        income_expenses_infoVM.is_disable = 0;
    }
    mui.ajax(severUrl + "fa/subject/setAbleStatus.json", {
        data: {
            id:income_expenses_infoVM.id
        },
        headers: {
            'Content-Type': 'application/x-www-form-urlencoded'
        },
        xhrFields: {
            withCredentials: true
        },
        dataType: 'json',
        type: 'post',
        timeout: 10000,
        success: function (res) {
            mui.toast(res.msg);
            if(res.success){
                setTimeout(function(){
                    var listSend = {};
                    listSend.id = income_expenses_infoVM.id;
                    listSend.is_disable = income_expenses_infoVM.is_disable;
                    listSend.is_delete = 0;
                    viewHandle.viewFire('income_expenses.html','infoBack',listSend);
                    viewHandle.back('close')
                },500)
            }
        }
    });
});

mui('body').on('tap','.muiBack',function(){
    viewHandle.back('close')
});
