Vue.filter("time-format", function(time) {
    var date=new Date(time.replace(/-/g,"/"));
    var newDate=date.getFullYear()+"/"+((date.getMonth()+1)<10?"0"+(date.getMonth()+1):(date.getMonth()+1))+"/"+(date.getDate()<10?"0"+date.getDate():date.getDate())+" "+(date.getHours()<10?"0"+date.getHours():date.getHours())+"/"+(date.getMinutes()<10?"0"+date.getMinutes():date.getMinutes());
    return newDate;
});

Vue.filter("searchTime-format", function(time) {
    var date=new Date(time);
    var newDate=date.getFullYear()+"/"+((date.getMonth()+1)<10?"0"+(date.getMonth()+1):(date.getMonth()+1))+"/"+(date.getDate()<10?"0"+date.getDate():date.getDate());
    return newDate;
});

var xiaoVM = new Vue({
    el: '#xiaoVM',
    data: {
        systemSetting:JSON.parse(localStorage.systemSetting),
        list:[],
        productList:[],
        totalPage:0,
        lastPageSize:0,
        page:0,
        getSwitch:true,
        searchMsg:'',
        searchList:[],
        searchHistoryList:[],
        searchDraftList:[],
        searchPinHistoryList:[],
        searchPinDraftList:[],
        selectedDepot:'',
        selectedSupplier:'',
        selectedBuyer:'',
        depotList:[],
        buyerList:[],
        supplierList:[],
        historyTime:'',
        draftTime:'',
        todayDate:'',
        remark:'',
        selProductList:[],
        totalPrice:0,
        totalAmount:0,
        lsTotalPrice:0,
        lsTotalAmount:0,
        cgTotalPrice:0,
        cgTotalAmount:0,
        createDate:'',
        lsDateFirst:'',
        lsDateLast:'',
        cgDateFirst:'',
        cgDateLast:'',
        realname:'',
        moLing:0,
        itl:'',
        isLogin:false,
        pageTabId:"",
        profit:0,//毛利润
        pay_status:1,
        //权限相关
        positionName:false,
        stockManager:false,
        purchaseManager:false,
        companySetIndustry:true,
        labelPprinter:false,
        faAccount:true,
        is_advanced:0,
        company_name:'',
        company_id:'',
        user_id:'',
        jifenshow:false,
        bindDepot:-1,
        //--------------------
    },
    watch:{
        selectedDepot:{/*监听库房*/
            handler:function(newVal){
                if(newVal=="创建"){
                    mui.openWindow({
                        id:'warehouseSettings',
                        url:'warehouseSettings.html'
                    });
                }else{
                    getSelProductList();
                }
            }
        },
        selectedBuyer:{/*监听客户*/
            handler:function(newVal){
                if(newVal=="创建"){
                    mui.openWindow({
                        id:'customerSetting',
                        url:'view/customerSetting.html'
                    });
                }/*else{
                 getSelProductList();
                 }*/
            }
        },
        searchMsg: function(val) {/*监听查询货号搜索框*/
            clearTimeout(this.itl);
            var self=this;
            this.itl = setTimeout(function() {
                if(!val) {/*如果搜索框有值*/
                    self.searchList = [];
                }
                else if(val == self.searchMsg) {
                    self.searchProduct();
                }
            },1000);
        }
    },
    methods: {
        getPurview :function(){//获取权限
            var _this = this;
            mui.ajax(severUrl + "sso/user/qryOp.json", {
                data : {
                    id : ''
                },
                headers : {
                    'Content-Type' : 'application/x-www-form-urlencoded'
                },
                xhrFields : {
                    withCredentials : true
                },
                dataType : 'json',
                type : 'post',
                timeout : 30000,
                async : false,
                success : function(res) {
                    if (res.success) {
                        // var position_name = res.data.position_name;
                        _this.company_name = res.data.company_name;
                        _this.company_id = res.data.company_id;
                        _this.bindDepot = res.data.manage_depot_id;
                        _this.user_id = res.data.id;
                        var code = res.data.position,permission = code.permission;
                        if(permission.indexOf('A11_1_O') >=0 || permission.indexOf('A11_1_E') >=0){
                            _this.positionName = true
                        }else{
                            _this.positionName = false
                        }
                        permission.indexOf('A4_1_E') >=0?_this.stockManager = true:_this.stockManager = false;
                        permission.indexOf('FA_ACC') >=0?_this.faAccount = true:_this.faAccount = false;
                        permission.indexOf('LOOK_PURCHASE') >=0?_this.purchaseManager = true:_this.purchaseManager = false;
                        permission.indexOf('ONLY_PRINT') >=0?_this.labelPprinter = true:_this.labelPprinter = false;
                        'RFRk,eYVo,y0oa,mVbc,pqrB,pDAY,CCP2,Oo4T,LfTY'.indexOf(_this.company_id) >=0?_this.jifenshow = true:_this.jifenshow=false
                        _this.companySetIndustry = res.data.company_set_industry;
                    }

                }
            });
        },
        searchProduct:function(){
            var reg = new RegExp(this.searchMsg);
            var searchList=[];
            mui.each(this.list,function(index1,value1){
                mui.each(value1,function(index2,value2){
                    if(reg.test(value2.model)){
                        searchList.push(value2);
                        if(searchList.length==8){
                            return false;
                        }
                    }
                });
            });
            this.searchList=searchList;
            return this.searchList;
        },
        calculation:function(){
            var count=0;
            var totalPrice=0;
            mui.each(this.selProductList,function(index1,product){
                if(product.depot_id==xiaoVM.selectedDepot){
                    mui.each(product.list,function(index2,value){
                        count+=parseInt(value.count);
                        if(value.ordertype==0){
                            totalPrice+=value.count*product.amt;
                        }else{
                            totalPrice-=value.count*product.amt;
                        }
                    });
                }
            });
            this.totalAmount=count;
            this.totalPrice=numToCur(totalPrice,xiaoVM.systemSetting.price_decimals_setting,'price');
            console.log(Number(this.totalPrice));
        },
        calculationls:function(){
            var count=0;
            var totalPrice=0;
            var profit=0;
            console.log(this.searchHistoryList)
            mui.each(this.searchHistoryList,function(index,order){
//				console.log(order)
                //order_amt销售价in_model_list货号in_amount销售数量out_amount退货数量“ordertype”:0,//Int 0为进货，1为销售purchase_price进货价
                count+=(order.in_amount+order.out_amount);
                totalPrice+=(order.order_amt-order.rebate_amt);
                if(order.in_amount!=0){//销售数!=0
                    profit+=(order.order_amt-order.purchase_amt-order.rebate_amt)//毛利=销售价-进货价-抹零价
                }
                if(order.out_amount!=0){//退货数量!=0
                    profit+=(order.order_amt+order.purchase_amt+order.rebate_amt)//毛利=销售价+成本价+抹零价
                }

            });
            //计算总的毛利润
            this.lsTotalAmount=count;
            this.lsTotalPrice=numToCur(totalPrice,xiaoVM.systemSetting.price_decimals_setting,'price');
            this.profit=numToCur(profit,xiaoVM.systemSetting.price_decimals_setting,'price');
        },
        calculationcg:function(){
            var count=0;
            var totalPrice=0;
            mui.each(this.searchDraftList,function(index,order){

                count+=(order.in_amount+order.out_amount);
                totalPrice+=(order.order_amt-order.rebate_amt);
            });
            console.log(totalPrice);
            this.cgTotalAmount=count;
            this.cgTotalPrice=numToCur(totalPrice,xiaoVM.systemSetting.price_decimals_setting,'price');
        },
    },
    created:function(){
        this.pageTabId=localStorage.getItem("pageTabId")||"present";
        sessionStorage.removeItem("pageTabId");
        this.lsDateFirst=sessionStorage.getItem("lsDateFirst")||"";
        this.lsDateLast=sessionStorage.getItem("lsDateLast")||"";
        this.cgDateFirst=sessionStorage.getItem("cgDateFirst")||"";
        this.cgDateLast=sessionStorage.getItem("cgDateLast")||"";
        this.historyTime=parseInt(sessionStorage.getItem("historyTime"))||(new Date().getTime());
        this.draftTime=parseInt(sessionStorage.getItem("draftTime"))||(new Date().getTime());
    },
    mounted:function(){
        setListener();
        var _this = this;
        mui.plusReady(function () {
            _this.getPurview()
        })
    }
});

/*  mui('.payMethod').on('tap', '.iconfont.icon-duoxuan', function() {
 //	alert(1);
 var getTypeId=this.dataset.type;
 console.log(getTypeId);
 xiaoVM.pay_status=getTypeId;
 });*/

getIndexMenu();
function getIndexMenu(){
    mui.ajax(severUrl + "scm/depot/list.json",{
        data:{
        },
        headers: {
            'Content-Type':'application/x-www-form-urlencoded'
        },
        xhrFields: {
            withCredentials: true
        },
        dataType:'json',
        type:'post',
        timeout:10000,
        success:function(res){
            if(res.success){
                var depotList=[];
                xiaoVM.depotList=res.data;/*xiaoVM.depotList仓库列表*/
                for(var i=0;i<xiaoVM.depotList.length;i++){
                    depotList.push(xiaoVM.depotList[i])

                }
                sessionStorage.setItem("depotList",JSON.stringify(depotList));
                var selectedDepot=sessionStorage.getItem("selectedDepot");
                if(selectedDepot){
                    xiaoVM.selectedDepot=selectedDepot;
                }else if(res.data.length!=0){
                    xiaoVM.selectedDepot=res.data[0].id;
                }
            }else if(res.status==300){
                if(localStorage.getItem("v") == 2 || localStorage.getItem("v") == "2"){
                    window.LOGOUT.jsCallWebViewForLogout();
                }
                location.replace("login.html");
            }
        }
    });
    mui.ajax(severUrl + "crm/customer/dataGrid.json",{
        data:{
            type:1,
            qryType:-1,
            rows:50,
            page:1
        },
        headers: {
            'Content-Type':'application/x-www-form-urlencoded'
        },
        xhrFields: {
            withCredentials: true
        },
        dataType:'json',
        type:'post',
        timeout:10000,
        success:function(res){
            xiaoVM.buyerList=res.data.list;
            var selectedBuyer=sessionStorage.getItem("selectedBuyer");
            if(selectedBuyer){
                xiaoVM.selectedBuyer=selectedBuyer;
            }else if(res.data.list.length!=0){
                xiaoVM.selectedBuyer=res.data.list[0].id;
            }
        }
    });
    mui.ajax(severUrl + "crm/customer/dataGrid.json",{
        data:{
            type:0,
            qryType:-1,
            rows:50,
            page:1
        },
        headers: {
            'Content-Type':'application/x-www-form-urlencoded'
        },
        xhrFields: {
            withCredentials: true
        },
        dataType:'json',
        type:'post',
        timeout:10000,
        success:function(res){
            xiaoVM.supplierList=res.data.list;
            var selectedSupplier=sessionStorage.getItem("selectedSupplier");
            if(selectedSupplier){
                xiaoVM.selectedSupplier=selectedSupplier;
            }else if(res.data.list.length!=0){
                xiaoVM.selectedSupplier=res.data.list[0].id;
            }
        }
    });
    mui.ajax(severUrl + "sso/user/qryOp.json",{
        data:{
            id:""
        },
        headers: {
            'Content-Type':'application/x-www-form-urlencoded'
        },
        xhrFields: {
            withCredentials: true
        },
        dataType:'json',
        type:'post',
        timeout:10000,
        success:function(res){
            console.log(res);
            xiaoVM.realname=res.data.realname;
        }
    });
}

function getGoodsList(){
    if(xiaoVM.getSwitch){
        xiaoVM.page++;
        mui.ajax(severUrl + "scm/product/dataGrid.json",{//查询商品列表
            data:{
                "rows":8,
                "page":xiaoVM.page
            },
            headers: {
                'Content-Type': 'application/x-www-form-urlencoded'
            },
            xhrFields: {
                withCredentials: true
            },
            dataType:'json',//服务器返回json格式数据
            type:'post',//HTTP请求类型
            timeout:10000,//超时时间设置为10秒；
            success:function(res){
                console.log(res)
                if(res.success){
                    if(res.data.list.length!=0){
                        xiaoVM.productList=xiaoVM.productList.concat(res.data.list);
                    }
                    xiaoVM.totalPage=res.data.totalPage;
                    if(xiaoVM.totalPage>xiaoVM.page){
                        getGoodsList();
                    }else if(xiaoVM.totalPage==xiaoVM.page){
                        xiaoVM.getSwitch=false;
                        var pinCommonPurchaseList=JSON.parse(localStorage.getItem("pinCommonPurchaseList"));
                        if(pinCommonPurchaseList){
                            mui.each(pinCommonPurchaseList,function(key,product){
                                for(var i=0;i<xiaoVM.productList.length;i++){
                                    if(product.model==xiaoVM.productList[i].model){
                                        var product=xiaoVM.productList.splice(i,1)[0];
                                        xiaoVM.productList.unshift(product);
                                        break;
                                    }
                                }
                            });
                        }
                        var list=[];
                        var i=0;
                        list[i]=[];
                        mui.each(xiaoVM.productList,function(index,value){
                            list[i].push(value);
                            if(list[i].length==8&&(index!=(xiaoVM.productList.length-1))){
                                i++;
                                list[i]=[];
                            }
                        });
                        xiaoVM.list=list;
                        if(xiaoVM.totalPage!=0){
                            xiaoVM.lastPageSize=xiaoVM.list[xiaoVM.list.length-1].length
                        }
                        xiaoVM.$nextTick(function(){
                            mui("#slider").slider();
                        })
                    }
                    var searchMsg=sessionStorage.getItem("searchMsg")||"";
                    if(searchMsg!=""){
                        sessionStorage.removeItem("searchMsg");
                        xiaoVM.searchMsg=searchMsg;
                        xiaoVM.searchProduct();
                    }
                }else{
                    mui.toast(res.msg)
                }
            }
        });
    }
}

function getSelProductList(){
    var selProductList=JSON.parse(sessionStorage.getItem("selProductList"));
    if(selProductList){
        xiaoVM.selProductList=selProductList;
        xiaoVM.calculation();
        xiaoVM.$nextTick(function(){
            mui('.mui-switch')['switch']();
        })
    }
    var createDate=sessionStorage.getItem("createDate");
    if(createDate){
        xiaoVM.createDate=createDate;
    }else{
        var date=new Date();
        xiaoVM.createDate=date.getFullYear()+"-"+((date.getMonth()+1)<10?('0'+(date.getMonth()+1)):(date.getMonth()+1))+"-"+(date.getDate()<10?("0"+date.getDate()):date.getDate());
    }
    xiaoVM.remark=sessionStorage.getItem("remark")||"";
}




function setListener(){
    var pageHeight=sessionStorage.getItem("pageHeight");
    if(!pageHeight){
        pageHeight=document.documentElement.clientHeight;
        sessionStorage.setItem("pageHeight",pageHeight);
    }
    document.getElementsByTagName("body")[0].style.height=pageHeight+"px";
    mui('body').on('tap','.bar-fixed-bottom>a',function(e){
        e.preventDefault();
        sessionStorage.removeItem("selProductList");
        sessionStorage.removeItem("selectedDepot");
        sessionStorage.removeItem("selectedSupplier");
        sessionStorage.removeItem("selectedBuyer");
        sessionStorage.removeItem("createDate");
        sessionStorage.removeItem("remark");
        sessionStorage.removeItem("product");
        sessionStorage.removeItem("pageTabId");
        sessionStorage.removeItem("lsDateFirst");
        sessionStorage.removeItem("lsDateLast");
        sessionStorage.removeItem("cgDateFirst");
        sessionStorage.removeItem("cgDateLast");
        sessionStorage.removeItem("historyTime");
        sessionStorage.removeItem("draftTime");
        sessionStorage.removeItem("searchMsg");
        var href=this.dataset.href;
        if(href){
            location.replace(href+".html");
        }
    });
    mui('#offCanvasSide').on('tap','.linkPage',function(e){
        e.preventDefault();
        sessionStorage.removeItem("selColorList");
        sessionStorage.removeItem("selSizeList");
        sessionStorage.removeItem("selList");
        sessionStorage.removeItem("name");
        sessionStorage.removeItem("model");
        sessionStorage.removeItem("purchase_price");
        sessionStorage.removeItem("sale_price");
        sessionStorage.removeItem("selListId");
        var href=this.dataset.href;
        mui.openWindow({
            id:href,
            url:href+'.html'
        });
    });

    /*左侧导航 仓库设置 点击跳转*/
    mui('body').on('tap', '.warehouseSettings', function() {
        mui.openWindow({
            id:'warehouseSettings',
            url:'warehouseSettings.html'
        });
    });

    /*左侧导航 客户管理*/
    mui('body').on('tap', '.customerSetting', function() {
        mui.openWindow({
            id:'customerSetting',
            url:'view/customerSetting.html'
        });
    });

    /*左侧导航 供应商管理*/
    mui('body').on('tap', '.supplierSetting', function() {
        mui.openWindow({
            id:'supplierSetting',
            url:'view/supplierSetting.html'
        });
    });


    /*退出按钮*/
    mui('#offCanvasSide').on('tap','.outLogin',function(e){
        mui.confirm('确定退出用户？','提示',["取消","确定"],function(e){
            if(e.index==1){
                mui.ajax(severUrl + "logout",{
                    data:{},
                    headers: {
                        'Content-Type':'application/x-www-form-urlencoded'
                    },
                    xhrFields: {
                        withCredentials: true
                    },
                    dataType:'json',
                    type:'post',
                    timeout:10000,
                    complete:function(){
                        if(localStorage.getItem("v") == 2 || localStorage.getItem("v") == "2"){
                            window.LOGOUT.jsCallWebViewForLogout();
                        }
                        location.replace("login.html");
                    },
                });
            }
        },'div')
    });
    window.addEventListener("pageshow",function(){
//		console.log(lsDateFirst)
        getGoodsList();
        getSelProductList();
        if(xiaoVM.lsDateFirst!=''||xiaoVM.lsDateLast!=''){
            searchHistory(xiaoVM.lsDateFirst,xiaoVM.lsDateLast);
        }else{
            var date=new Date(xiaoVM.historyTime);
            var searchTime=date.getFullYear()+"-"+((date.getMonth()+1)<10?"0"+(date.getMonth()+1):(date.getMonth()+1))+"-"+(date.getDate()<10?"0"+date.getDate():date.getDate());
            searchHistory(searchTime,searchTime);
        }
        if(xiaoVM.cgDateFirst!=''||xiaoVM.cgDateLast!=''){
            searchDraft(xiaoVM.cgDateFirst,xiaoVM.cgDateLast);
        }else{
            var date=new Date(xiaoVM.draftTime);
            var searchTime=date.getFullYear()+"-"+((date.getMonth()+1)<10?"0"+(date.getMonth()+1):(date.getMonth()+1))+"-"+(date.getDate()<10?"0"+date.getDate():date.getDate());
            searchDraft(searchTime,searchTime);
        }
    });
    mui('.mui-scroll-wrapper').scroll({
        deceleration: 0.0006 //flick 减速系数，系数越大，滚动速度越慢，滚动距离越小，默认值0.0006
    });
    mui(".cmdPresent").on('tap','.mui-switch',function(e){
        e.stopPropagation();
    });
    mui(".cmdPresent").on('tap','.deleteProductItem',function(event){
        event.stopPropagation();
        var btn = ["取消","确定"];
        mui.confirm('确认删除此条销售信息吗？','提示',btn,function(e){
            if(e.index==1){
                var li=event.target.parentNode.parentNode.parentNode;
                var product_id=li.dataset.product_id;
                var index=li.dataset.index;
                mui.each(xiaoVM.selProductList,function(index1,value){
                    if(value.product_id==product_id&&value.depot_id==xiaoVM.selectedDepot){
                        value.list[index].count=0;
                        return false;
                    }
                });
                sessionStorage.setItem("selProductList",JSON.stringify(xiaoVM.selProductList));
                xiaoVM.calculation();
            }
        },'div');
    });
    mui(".cmdPresent").on('toggle','.mui-switch',function(e){
        var li=e.target.parentNode.parentNode.parentNode;
        var product_id=li.dataset.product_id;
        var index=li.dataset.index;
        mui.each(xiaoVM.selProductList,function(index1,value){
            if(value.product_id==product_id&&value.depot_id==xiaoVM.selectedDepot){
                if(event.detail.isActive){
                    value.list[index].ordertype=1;
                }else{
                    value.list[index].ordertype=0;
                }
                return false;
            }
        });
        xiaoVM.calculation();
    });

    mui(".cmdPresent").on('tap','.itemAdd',function(){
        var self=this;
        self.style.color="red";
        self.style.borderColor="red";
        var itl=setTimeout(function(){
            self.style.color="#000";
            self.style.borderColor="#B7B7BB";
            clearTimeout(itl);
        },100);
        sessionStorage.setItem("selectedDepot",xiaoVM.selectedDepot);
        sessionStorage.setItem("selectedSupplier",xiaoVM.selectedSupplier);
        sessionStorage.setItem("selectedBuyer",xiaoVM.selectedBuyer);
        sessionStorage.setItem("createDate",xiaoVM.createDate);
        sessionStorage.setItem("remark",xiaoVM.remark);
        localStorage.setItem("pageTabId","present");
        sessionStorage.removeItem("selColorList");
        sessionStorage.removeItem("selSizeList");
        sessionStorage.removeItem("selList");
        sessionStorage.removeItem("name");
        sessionStorage.removeItem("model");
        sessionStorage.removeItem("purchase_price");
        sessionStorage.removeItem("sale_price");
        sessionStorage.removeItem("selListId");
        mui.openWindow({
            id:'itemAdd',
            url:'itemAdd.html'
        });
    });

    mui(".cmdPresent").on('tap','.sweepCode',function(){
        var self=this;
        self.style.color="red";
        var itl=setTimeout(function(){
            self.style.color="#000";
            self.style.borderColor="#B7B7BB";
            clearTimeout(itl);
        },100);
        /*  sessionStorage.setItem("selectedDepot",xiaoVM.selectedDepot);
         sessionStorage.setItem("selectedSupplier",xiaoVM.selectedSupplier);
         sessionStorage.setItem("selectedBuyer",xiaoVM.selectedBuyer);
         sessionStorage.setItem("createDate",xiaoVM.createDate);
         sessionStorage.setItem("remark",xiaoVM.remark);
         sessionStorage.setItem("pageTabId","present");
         sessionStorage.removeItem("selColorList");
         sessionStorage.removeItem("selSizeList");
         sessionStorage.removeItem("selList");
         sessionStorage.removeItem("name");
         sessionStorage.removeItem("model");
         sessionStorage.removeItem("purchase_price");
         sessionStorage.removeItem("sale_price");
         sessionStorage.removeItem("selListId");*/
        mui.openWindow({
            id:'pdcamera',
            url:'../../../进销存2.0/view/pdcamera.html'
        });
    });

    /*点击对账按钮*/
    mui('body').on('click', '.reconciliation', function() {
        mui('#ph_recon').popover('toggle');
    });
    /*点击对账弹框的关闭按钮*/
    mui('body').on('click', '.ph_recon_Close', function() {
        mui('#ph_recon').popover('toggle');
//		indexVM.moLing=0;
    });

    /*点击每一条新增的销售数据*/
    mui(".cmdPresent").on('tap','.selProductMenu',function(){
        sessionStorage.setItem("selectedDepot",xiaoVM.selectedDepot);
        sessionStorage.setItem("selectedSupplier",xiaoVM.selectedSupplier);
        sessionStorage.setItem("selectedBuyer",xiaoVM.selectedBuyer);
        sessionStorage.setItem("createDate",xiaoVM.createDate);
        sessionStorage.setItem("remark",xiaoVM.remark);
        sessionStorage.setItem("selProductList",JSON.stringify(xiaoVM.selProductList));
        localStorage.setItem("pageTabId","present");
        var product_id=this.dataset.product_id;
        var product;
        mui.each(xiaoVM.list,function(index1,value1){
//			console.log(index1,value1,222)
            mui.each(value1,function(index2,value2){
//			  	console.log(index2,value2,"index2,value2");
                if(value2.product_id==product_id){
                    product=value2;
                    return false;
                }
            });
        });
        sessionStorage.setItem("product",JSON.stringify(product));
        mui.openWindow({
            id:'pinGoodsColorSize',
            url:'pinGoodsColorSize.html'
        });
    }) ;

    /*点击轮播图处的数据*/
    mui(".mui-draggable").on('tap','.itemLink',function(){
        var self=this;
        self.style.color="red";
        self.style.borderColor="red";
        var itl=setTimeout(function(){
            self.style.color="#000";
            self.style.borderColor="#B7B7BB";
            clearTimeout(itl);
        },100);
        var oneLevel=this.dataset.onelevel;
        var twoLevel=this.dataset.twolevel;
        var product=xiaoVM.list[oneLevel][twoLevel];
        sessionStorage.setItem("selectedDepot",xiaoVM.selectedDepot);/*depotList仓库列表中的id*/
        sessionStorage.setItem("selectedSupplier",xiaoVM.selectedSupplier);
        sessionStorage.setItem("selectedBuyer",xiaoVM.selectedBuyer);
        sessionStorage.setItem("createDate",xiaoVM.createDate);
        sessionStorage.setItem("remark",xiaoVM.remark);
        sessionStorage.setItem("product",JSON.stringify(product));
        localStorage.setItem("pageTabId","present");
//		sessionStorage.setItem("realname",option.name);
        var pinCommonPurchaseList=JSON.parse(localStorage.getItem("pinCommonPurchaseList"));
        if(pinCommonPurchaseList){
            mui.each(pinCommonPurchaseList,function(index,pdu){
                if(pdu.model==product.model){
                    pdu.count++;
                    return false;
                }
                if(index==pinCommonPurchaseList.length-1){
                    pinCommonPurchaseList.push({model:product.model,count:1});
                }
            });
        }else{
            pinCommonPurchaseList=[];
            pinCommonPurchaseList.push({model:product.model,count:1});
        }
        pinCommonPurchaseList.sort(function(a,b){
            return a.count-b.count
        });
        localStorage.setItem("pinCommonPurchaseList",JSON.stringify(pinCommonPurchaseList));
        mui.openWindow({
            id:'pinGoodsColorSize',
            url:'pinGoodsColorSize.html'
        });
    });

    mui(".cmdPresent").on('tap','.searchItemLink',function(){
        var level=this.dataset.level;
        var product=xiaoVM.searchList[level];
        sessionStorage.setItem("selectedDepot",xiaoVM.selectedDepot);
        sessionStorage.setItem("selectedSupplier",xiaoVM.selectedSupplier);
        sessionStorage.setItem("selectedBuyer",xiaoVM.selectedBuyer);
        sessionStorage.setItem("createDate",xiaoVM.createDate);
        sessionStorage.setItem("remark",xiaoVM.remark);
        sessionStorage.setItem("product",JSON.stringify(product));
        localStorage.setItem("pageTabId","present");
        sessionStorage.setItem("searchMsg",xiaoVM.searchMsg);
        mui.openWindow({
            id:'pinGoodsColorSize',
            url:'pinGoodsColorSize.html'
        });
    });
    mui(".cmdPresent").on('tap','.toggleState-show',function(){
        this.nextElementSibling.style.display="block";
        this.nextElementSibling.nextElementSibling.style.display="block";
        this.style.display="none";
    }) ;
    mui(".cmdPresent").on('tap','.toggleState-hide',function(){
        this.previousElementSibling.style.display="block";
        this.nextElementSibling.style.display="none";
        this.style.display="none";
    }) ;
    mui(".cmdHistory").on('click','.historySearch',function(){
        xiaoVM.lsDateFirst="";
        xiaoVM.lsDateLast="";
        if(this.dataset.to=="previous"){
            xiaoVM.historyTime-=24*60*60*1000;
        }else if(this.dataset.to=="next"){
            xiaoVM.historyTime+=24*60*60*1000;
        }else if(this.dataset.to=="previousM"){
            xiaoVM.historyTime-=24*60*60*1000*30;
        }else if(this.dataset.to=="nextM"){
            xiaoVM.historyTime+=24*60*60*1000*30;
        }
        var date=new Date(xiaoVM.historyTime);
        var searchTime=date.getFullYear()+"-"+((date.getMonth()+1)<10?"0"+(date.getMonth()+1):(date.getMonth()+1))+"-"+(date.getDate()<10?"0"+date.getDate():date.getDate());
        searchHistory(searchTime,searchTime)
    });
    mui(".cmdDraft").on('click','.draftSearch',function(){
        if(this.dataset.to=="previous"){
            xiaoVM.draftTime-=24*60*60*1000;
        }else{
            xiaoVM.draftTime+=24*60*60*1000;
        }
        var date=new Date(xiaoVM.draftTime);
        var searchTime=date.getFullYear()+"-"+((date.getMonth()+1)<10?"0"+(date.getMonth()+1):(date.getMonth()+1))+"-"+(date.getDate()<10?"0"+date.getDate():date.getDate());
        searchDraft(searchTime,searchTime)
    });
    mui(".cmdHistory").on('tap','.mui-table>tbody>tr',function(){
        var id=this.dataset.id;
        sessionStorage.setItem("historyId",id);
        localStorage.setItem("pageTabId","history");
        sessionStorage.setItem("lsDateFirst",xiaoVM.lsDateFirst);
        sessionStorage.setItem("lsDateLast",xiaoVM.lsDateLast);
        sessionStorage.setItem("historyTime",xiaoVM.historyTime);
        mui.openWindow({
            id:'pinPurchaseHistory',
            url:'pinPurchaseHistory.html'
        });
    });
    mui(".cmdDraft").on('tap','.mui-table>tbody>tr',function(){
        var id=this.dataset.id;
        sessionStorage.removeItem("selProductList");
//		sessionStorage.removeItem("selectedDepot");
        sessionStorage.removeItem("selectedSupplier");
        sessionStorage.removeItem("selectedBuyer");
        sessionStorage.removeItem("createDate");
        sessionStorage.removeItem("remark");
        sessionStorage.removeItem("product");
        sessionStorage.setItem("draftId",id);
        localStorage.setItem("pageTabId","draft");
        sessionStorage.setItem("cgDateFirst",xiaoVM.cgDateFirst);
        sessionStorage.setItem("cgDateLast",xiaoVM.cgDateLast);
        sessionStorage.setItem("draftTime",xiaoVM.draftTime);
        mui.openWindow({
            id:'pinDraft',
            url:'pinDraft.html'
        });
    });

    /*现金，支付宝，微信选择*/
    /* mui('.payMethod').on('tap', '.iconfont.icon-duoxuan', function() {
     var getTypeId=this.dataset.type;
     console.log(getTypeId)
     xiaoVM.pay_status=getTypeId;
     });*/

    //日期选择
    var lsDateFirst = new mui.DtPicker({
        type: "date",
        labels: ['年', '月', '日']
    });
    var lsDateLast = new mui.DtPicker({
        type: "date",
        labels: ['年', '月', '日']
    }) ;
    var cgDateFirst = new mui.DtPicker({
        type: "date",
        labels: ['年', '月', '日']
    }) ;
    var cgDateLast = new mui.DtPicker({
        type: "date",
        labels: ['年', '月', '日']
    });
    var createDate = new mui.DtPicker({
        type: "date",
        labels: ['年', '月', '日']
    });

    /*点击进货按钮*/
    mui(".mui-bar-tab").on('tap',".jinhuo",function(){
        var id=this.dataset.id;
        var that=this;
        /*当页面没有数据时*/
        if(xiaoVM.selProductList.length==0){
            mui.openWindow({
                id:id,
                url:id+'.html'
            });
        };
        if(xiaoVM.selProductList.length!=0){//当页面有数据的时候
            mui.confirm('此页面有数据未提交，离开此页将丢失数据，是否离开此页？','提示',["取消","确定"],function(e){
                if(e.index==1){
                    mui.openWindow({
                        id:id,
                        url:id+'.html'
                    });
                }
                if(e.index==0){
                    document.getElementById("xiao").classList.add("mui-active");
                    that.classList.remove("mui-active");
                }
            },'div');
        }
    });

    /*点击库存按钮*/
    mui(".mui-bar-tab").on('tap',".kucun",function(){
        var id=this.dataset.id;
        var that=this;
        /*当页面没有数据时*/
        if(xiaoVM.selProductList.length==0){
            mui.openWindow({
                id:id,
                url:id+'.html'
            });
        };
        if(xiaoVM.selProductList.length!=0){//当页面有数据的时候
            mui.confirm('此页面有数据未提交，离开此页将丢失数据，是否离开此页？','提示',["取消","确定"],function(e){
                if(e.index==1){
                    mui.openWindow({
                        id:id,
                        url:id+'.html'
                    });
                }
                if(e.index==0){
                    document.getElementById("xiao").classList.add("mui-active");
                    that.classList.remove("mui-active");
                }
            },'div');
        }
    });

    /*点击统计按钮*/
    mui(".mui-bar-tab").on('tap',".tongji",function(){
        var id=this.dataset.id;
        var that=this;
        /*当页面没有数据时*/
        if(xiaoVM.selProductList.length==0){
            mui.openWindow({
                id:id,
                url:id+'.html'
            });
        };
        if(xiaoVM.selProductList.length!=0){//当页面有数据的时候
            mui.confirm('此页面有数据未提交，离开此页将丢失数据，是否离开此页？','提示',["取消","确定"],function(e){
                if(e.index==1){
                    mui.openWindow({
                        id:id,
                        url:id+'.html'
                    });
                }
                if(e.index==0){
                    document.getElementById("xiao").classList.add("mui-active");
                    that.classList.remove("mui-active");
                }
            },'div');
        }
    });


    mui('body').on('tap', '.lsDateFirst', function() {
        var _self=this;
        lsDateFirst.show(function(e){
            xiaoVM.lsDateFirst=e.text;
        })
    });
    mui('body').on('tap', '.lsDateLast', function() {
        var _self=this;
        lsDateLast.show(function(e){
            xiaoVM.lsDateLast=e.text;
        })
    });
    mui('body').on('tap', '.cgDateFirst', function() {
        var _self=this;
        cgDateFirst.show(function(e){
            xiaoVM.cgDateFirst=e.text;
        })
    });
    mui('body').on('tap', '.cgDateLast', function() {
        var _self=this;
        cgDateLast.show(function(e){
            xiaoVM.cgDateLast=e.text;
        })
    });
    mui('body').on('tap', '.createDate', function() {
        var _self=this;
        createDate.show(function(e){
            xiaoVM.createDate=e.text;
        })
    });
    /*点击开单按钮，弹出开单弹窗*/
    mui('body').on('click', '.procurement', function() {
        mui('#purchase').popover('toggle');
    });

    mui('body').on('tap', '.addMoling', function() {
//		if(xiaoVM.moLing<xiaoVM.totalPrice){
        xiaoVM.moLing++
//		}
    });
    mui('body').on('tap', '.reduceMoling', function() {
        if(xiaoVM.moLing>0){
            xiaoVM.moLing--
        }
    });
    mui('body').on('click', '.cancelPurchase', function() {
        mui('#purchase').popover('toggle');
        xiaoVM.moLing=0;
    });
    mui('body').on('tap', '.firstSlider', function() {
        this.style.color="#fff";
        var self=this;
        var itl=setTimeout(function(){
            self.style.color="#000";
            clearTimeout(itl);
        },100);
        var sliderIndex=mui('#slider .mui-slider-item.mui-active')[0].dataset.index;
        var gallery = mui('#slider');
        gallery.slider().gotoItem(--sliderIndex);
    });
    mui('body').on('tap', '.lastSlider', function() {
        this.style.color="#fff";
        var self=this;
        var itl=setTimeout(function(){
            self.style.color="#000";
            clearTimeout(itl);
        },100);
        var sliderIndex=mui('#slider .mui-slider-item.mui-active')[0].dataset.index;
        var gallery = mui('#slider');
        gallery.slider().gotoItem(++sliderIndex);
    });

    mui('body').on('click', '.addDraft', function() {
        if(xiaoVM.selProductList.length!=0){
            var productList=[];
            mui.each(xiaoVM.selProductList,function(index,product){
                if(product.depot_id==xiaoVM.selectedDepot){
                    mui.each(product.list,function(index2,value){
                        if(value.count!=0){
                            productList.push({
                                product_id:product.product_id,
                                product_model:product.model,
                                type:value.ordertype,
                                purchase_price:product.purchase_price,//进货价
                                sale_price:product.sale_price,
                                amt:product.amt,
                                color_id:value.color_id,
                                color_name:value.color_name,
                                size_id:value.size_id,
                                size_name:value.size_name,
                                amount:value.count
                            });
                        }
                    })
                }
            });
            var date=new Date();
            var time=xiaoVM.createDate+" "+(date.getHours()<10?("0"+date.getHours()):date.getHours())+":"+(date.getMinutes()<10?("0"+date.getMinutes()):date.getMinutes())+":"+(date.getSeconds()<10?("0"+date.getSeconds()):date.getSeconds());
            createOrder({
                id:'',
                remark:xiaoVM.remark,
                sign_date:time,
                customer_id:xiaoVM.selectedSupplier,
                depot_id:xiaoVM.selectedDepot,//仓库ID
                rebate_amt:xiaoVM.moLing,  //抹零金额
                order_amt:xiaoVM.totalPrice,  //订单总金额
                purchase_amt:0,//毛利总金额
                amount:xiaoVM.totalAmount,//总数量
                ordertype:1,//Int 0为进货，1为销售
                submit_status:1,//0为采购或销售，1为草稿
                productlistlength:productList.length,
                pay_status:1,//1为现金、2为支付宝、3为微信，默认为1
                productlist:productList,
            },function(){

                sessionStorage.removeItem("selProductList");
//				sessionStorage.removeItem("remark");
                xiaoVM.selProductList=[];
                xiaoVM.remark="";
                xiaoVM.moLing=0;
                xiaoVM.calculation();
                var date=new Date(xiaoVM.draftTime);
                var searchTime=date.getFullYear()+"-"+((date.getMonth()+1)<10?"0"+(date.getMonth()+1):(date.getMonth()+1))+"-"+(date.getDate()<10?"0"+date.getDate():date.getDate());
                searchDraft(searchTime,searchTime);
            })
        }
    });

    /*点击确认开单*/
    mui('body').on('click', '.createOrder', function() {
        mui('#purchase').popover('toggle');
        if(xiaoVM.selProductList.length!=0){
            var productList=[];

            mui.each(xiaoVM.selProductList,function(index,product){
                console.log(product);
                if(product.depot_id==xiaoVM.selectedDepot){
                    mui.each(product.list,function(index2,value){
                        console.log(value);
                        if(value.count!=0){
                            productList.push({
                                product_id:product.product_id,
                                product_model:product.model,
                                type:value.ordertype,//0为进货或销售，1为退货
                                purchase_price:product.purchase_price,//进货价
                                sale_price:"",//此处为空product.sale_price
                                amt:product.amt,//单个商品，实际进货或采购退货，或销售或销售退货金额
                                color_id:value.color_id,
                                color_name:value.color_name,
                                size_id:value.size_id,
                                size_name:value.size_name,
                                amount:value.count
                            });
                        }
                    })
                }
            });
            console.log(productList);
            //总成本金额计算
            var purchase_amt=0;
            mui.each(productList,function(index,val){
                purchase_amt+=(val.amount*val.purchase_price);
            })
            console.log(purchase_amt)

            var date=new Date();
            var time=xiaoVM.createDate+" "+(date.getHours()<10?("0"+date.getHours()):date.getHours())+":"+(date.getMinutes()<10?("0"+date.getMinutes()):date.getMinutes())+":"+(date.getSeconds()<10?("0"+date.getSeconds()):date.getSeconds());
            createOrder({
                id:'',
                remark:xiaoVM.remark,
                sign_date:time,
                customer_id:xiaoVM.selectedSupplier,
                depot_id:xiaoVM.selectedDepot,/*货品id，对应货品仓库id值*/
                rebate_amt:xiaoVM.moLing,//抹零金额
                order_amt:xiaoVM.totalPrice,//订单总金额 double
                purchase_amt:purchase_amt,//进货总成本金额
                amount:xiaoVM.totalAmount,//总数量
                ordertype:1,//Int 0为进货，1为销售
                submit_status:0,//0为采购或销售，1为草稿
                productlistlength:productList.length,
                pay_status:1,//1为现金、2为支付宝、3为微信，默认为1
                productlist:productList
            },function(){
                console.log(productList)
                sessionStorage.removeItem("selProductList");
                xiaoVM.selProductList=[];
                xiaoVM.remark="";
                var remark=document.getElementById("remark");
                remark.value="";
                xiaoVM.moLing=0;
                xiaoVM.calculation();
                var date=new Date(xiaoVM.historyTime);
                var searchTime=date.getFullYear()+"-"+((date.getMonth()+1)<10?"0"+(date.getMonth()+1):(date.getMonth()+1))+"-"+(date.getDate()<10?"0"+date.getDate():date.getDate());
                searchHistory(searchTime,searchTime);
            })
        }
    });
}

/*左侧导航栏点击跳转事件  商品管理-商品列表*/
mui('body').on('tap','.goodListInfo',function(e){
    // mui.openWindow({
    //     id:"goodsList",
    //     url:'view/goodsList.html'
    // });
});

//{amount:1,id: "",order_amt:"6.00",ordertype:1,remark: "xiaojs", sign_date: "2017-11-05 16:35:22", customer_id: "3", depot_id: "L0mB", …}
function createOrder(data,cb){
    mui.ajax(severUrl + "scm/order/save.json",{
        //在销售出库中，计算出该单成本，下发加入如下参数： purchase_amt
        data:data,
        headers: {
            'Content-Type':'application/x-www-form-urlencoded'
        },
        xhrFields: {
            withCredentials: true
        },
        dataType:'json',
        type:'post',
        timeout:10000,
        success:function(res){
            console.log(res,data);
            mui.toast(res.msg);
            if(res.success){
                if(typeof cb=="function"){
                    cb();
                }
            }
        }
    });
}

