// 默认规格文本
let DefaultSizeText = undefined;
let setProduct = null
let expireDateMs = null
let pageId
window.addEventListener('productionBatchSetting', function (e){ //BN
    if (setProduct) {
        setProduct.production_amount = setProduct.num
        setProduct.production_batch_id = e.detail.production_batch_id
        setProduct.production_batch_number = e.detail.production_batch_number
        setProduct.production_date_str = e.detail.production_date_str
        selNumVM.$set(setProduct, 'production_date_timestamp', e.detail.production_date_timestamp)
    }
})
mui.plusReady(function(){
    var args = JSON.parse(plus.webview.currentWebview().arg);
    sessionStorage.setItem('model',args.model); // 货号
    sessionStorage.setItem('selColorList',JSON.stringify(args.selColorList));
    sessionStorage.setItem('selSizeList',JSON.stringify(args.selSizeList));
    sessionStorage.setItem('selList',JSON.stringify(args.selList));
    if(args.big_list){
        sessionStorage.setItem('big_list',JSON.stringify(args.big_list));
    }
    expireDateMs = args.expireDateMs
    selNumVM.goodsName = args.model;
    selNumVM.name = args.name;
    selNumVM.sizeList = args.selSizeList;
    selNumVM.colorList = args.selColorList;
    selNumVM.allDepot = args.allDepot;
    selNumVM.init_page = args.init_page;
    // init_page false/true
    console.log(args)

    if(!args.init_page){
        if(args.big_list){
            selNumVM.big_list = JSON.parse(JSON.stringify(formDataTree(args.big_list, args.allDepot, 'set_big_list')))
        }else{
            selNumVM.big_list = JSON.parse(JSON.stringify(formDataTree(args.selList, args.allDepot, 'set')))
        }
    }else{
        args.big_list.map(item=>{
            item.product_sn_list = item.product_sns ||[]
        })
        selNumVM.big_list = JSON.parse(JSON.stringify(formDataTree(args.big_list, args.depotList, 'get')))
    }
    calculateTotal(selNumVM.big_list)
});
// 序列号设置确定 返回本页面 触发事件
window.addEventListener("set_back",function(e){
    var list = e.detail.item, product_sn_list = e.detail.product_sn_list || []
    product_sn_list = _.compact(product_sn_list)
    selNumVM.big_list.find(function(item) {return item.id === list.id}).
    color.find(function (item) {return item.color_id === list.color_id}).
    size.find(function (item){return item.size_id === list.size_id}).product_sn_list = product_sn_list
    selNumVM.$forceUpdate()
})
// 序列号设置确定 返回本页面 触发事件   (初始库存序列号修改)
window.addEventListener("set_change_back",function(e){	
    var item = e.detail.item, product_sn_list = e.detail.product_sn_list || []
    product_sn_list = _.compact(product_sn_list)
	let old_product_sn_list=item.product_sn_list
	let add_sn_list=product_sn_list.filter(function(snItem){
		return (!old_product_sn_list.includes(snItem))
	})||[]
	if(add_sn_list.length){
	    // 有新增 提交保存
		selNumVM.saveInitSnChange([[item,add_sn_list]])
	}else{
	    // 没有新增但点了确定 - 有删除 或 没有修改
        selNumVM.onSNSSetDelect(item, product_sn_list)
    }
})
var selNumVM = new Vue({
	el: '#selNumVM',
	data: {
        systemSetting:JSON.parse(localStorage.systemSetting),
        vipLevel:localStorage.getItem("vipLevel"),
		list:[],
		big_list:[],
		colorList:[],
		sizeList:[],
        amount_all:0,
		selTabId:'',
		goodsName:'',
        name:'',
		depotList:[],
        allDepot: [],
		depot_id:"",
        // 商品详情查看初始库存 true  设置初始库存 false
        init_page:false,
        //全行业参数
        mainUnitName:sessionStorage.getItem("mainUnitName") || '',
        size_show: localStorage.getItem("size_show") || 1,
        color_show: localStorage.getItem("color_show") || 1,
        unit_show: localStorage.getItem("unit_show") || 0,
        origin_specification: localStorage.getItem("origin_specification") || 0,
        //权限相关
        positionName:false,
        stockManager:false,
        purchaseManager:false,
        companySetIndustry:true,
        labelPprinter:false,
        faAccount:true,
        is_advanced:0,
        company_name:'',
        company_id:'',
        user_id:'',
        jifenshow:false,
        bindDepot:-1,
        //--------------------
        oldSizeAmount: 0, // 记录编辑数量 前的数值
        //
        show: {
            // 修改商品批量设置初始库存序列号 - 当前有单品未设置的序列号
            isNullSn: false,
        },
        // 当前未保存的批量设置序列号列表
        notSaveSnsList: [],
	},
	watch: {
	    list: {
	      handler: function (newVal) {
	        mui.each(newVal,function(index,value){
	        	value.amount=parseInt(value.amount);
	        })
	      },
	      deep: true
	    },
  	},
    computed:{
	    // 当前是否有未设置序列号的单品
        isNullSn(){
            function isInner(list1, list2){
                for(let i = 0; i < list1.length; i++){
                    let j = list2.find(function(item){
                        return item.sn === list1[i]
                    })
                    if(j){
                        return true
                    }
                }
            }
            let originList = formDataFlat(JSON.parse(JSON.stringify(this.big_list)))
            for(let i = 0; i < originList.length; i++){
                let item = originList[i]
                let product_sn_list = item.product_sn_list || []
                if(item.init_stock > product_sn_list.length || isInner(product_sn_list, this.notSaveSnsList)){
                    return true
                }
            }
            return false
        }
    },
	methods: {
        // 选择颜色
        clickColorSelect(color, depot) {
            if(!color || !depot) return false;
            depot.color.map(color => color.color_active = false)
            color.color_active = true
        },
        // 编辑数量
        edit_amount:function(size){
            size.amount = numToCur(size.amount,selNumVM.systemSetting.amount_decimals_setting)
            selNumVM.amount_all = numToCur(size.amount - this.oldSizeAmount + selNumVM.amount_all ,selNumVM.systemSetting.amount_decimals_setting)
        },
        edit_amount_before(size){
            this.oldSizeAmount = size.amount
        },
        //打印序列号
        sns_print:function(){
            var _this = this;
            if(!_this.init_page){
                return mui.toast("请先保存商品,再打印初始库存序列号！")
            }else{
                var listSend = {
                    model:selNumVM.goodsName,
                    name:selNumVM.name,
                    print_list:formDataFlat(selNumVM.big_list),
                    parentPage:'goods_print'
                };
                viewHandle.openWindow("sns_print.html","sns_print.html",JSON.stringify(listSend))
            }
        },
        //批量生成序列号
        sns_batch:function(type){
            var _this= this,code = new Date().getTime(),count = -1,increment = 0,sns = [];
            _this.big_list.forEach(function (depotItem) {
                depotItem.color.forEach(function (colorItem) {
                    colorItem.size.forEach(function (size) {
                        sns = size.product_sn_list || [];
                        let curr_amount = parseInt(type === 'modify'? size.init_stock :size.amount) - sns.length; //当前
                        for(let j = 0; j<curr_amount ; j++){
                            count++;
                            let rand = Math.floor(Math.random()*9+1);
                            let sn = code+''+count+''+rand
                            sns.push(sn);
                            if(type === 'modify'){
                                _this.notSaveSnsList.push({depot_id: depotItem.id, color_id: colorItem.color_id, size_id: size.size_id, sn: sn})
                            }
                            if(count%10 == 9){
                                increment++;
                                code = code+increment
                            }
                        }
                        size.product_sn_list = sns
                    })
                })
            })
            if(count === -1){
                mui.toast("没有单品需要设置序列号！")
            }else{
                selNumVM.$forceUpdate()
            }
        },
        // 点击列表中sn
        sns_set:function(size) {
            var _this = this;
            size.count = size.amount;
            var listSend = {
                item:size,
                product:{
                    model:selNumVM.goodsName,
                    name:selNumVM.name,
                },
                args:{
                    parentPage:'goods'
                }
            };
            if(!_this.init_page){
                if(size.amount == 0){
                    return mui.toast("请先输入数量！")
                }
                viewHandle.openWindow("sns_set.html","sns_set.html",JSON.stringify(listSend))
            }else{
                let o = _this.getNotSaveSNbyProduct(size, _this.notSaveSnsList)
                listSend.item = JSON.parse(JSON.stringify(listSend.item))
                listSend.item.product_sn_list = o.sns
                listSend.notSaveSnsList = o.notSaveSns
                listSend.args.parentPage = 'goods_change';
                viewHandle.openWindow("sns_set.html","sns_set.html",JSON.stringify(listSend))
            }
        },
        tapBN(size) {
            if(this.init_page){
                this.showBN(size)
            }else{
                this.setBN(size)
            }
        },
        setBN(size) {
            // if(!expireDateMs){
            //     return mui.toast('请先设置保质期！')
            // }
            setProduct = size
            this.jumpProductionBatchSet(size)
        },
        showBN(size) {
            if(size.production_date_timestamp || size.production_batch_number || size.production_date_str || size.production_batch_id){
                this.jumpProductionBatchSet(size, true)
            }else{
                return mui.toast('未设置初始批次！')
            }
        },
        jumpProductionBatchSet(size, readOnly) {
            let extras = {
                productModel: this.goodsName,
                colorName: size.color_name,
                sizeName: size.size_name,
                productionDateTimestamp: size.production_date_timestamp,
                expireDateMs: expireDateMs,
                productionBatchId: size.production_batch_id,
                productionBatchNumber: size.production_batch_number,
                setPageId: pageId,
                readOnly: readOnly
            }
            mui.openWindow("production_batch_set.html","production_batch_set.html",{extras: extras})
        },
        //获取权限
        getPurview :function(){
            var _this = this;
            mui.ajax(severUrl + "sso/user/qryOp.json", {
                data : {
                    id : ''
                },
                headers : {
                    'Content-Type' : 'application/x-www-form-urlencoded'
                },
                xhrFields : {
                    withCredentials : true
                },
                dataType : 'json',
                type : 'post',
                timeout : 30000,
                async : false,
                success : function(res) {
                    if (res.success) {
                        // var position_name = res.data.position_name;
                        _this.company_name = res.data.company_name;
                        _this.company_id = res.data.company_id;
                        _this.bindDepot = res.data.manage_depot_id;
                        _this.user_id = res.data.id;
                        var code = res.data.position,permission = code.permission;
                        if(permission.indexOf('A11_1_O') >=0 || permission.indexOf('A11_1_E') >=0){
                            _this.positionName = true
                        }else{
                            _this.positionName = false
                        }
                        permission.indexOf('A4_1_E') >=0?_this.stockManager = true:_this.stockManager = false;
                        permission.indexOf('FA_ACC') >=0?_this.faAccount = true:_this.faAccount = false;
                        permission.indexOf('LOOK_PURCHASE') >=0?_this.purchaseManager = true:_this.purchaseManager = false;
                        permission.indexOf('ONLY_PRINT') >=0?_this.labelPprinter = true:_this.labelPprinter = false;
                        'RFRk,eYVo,y0oa,mVbc,pqrB,pDAY,CCP2,Oo4T,LfTY'.indexOf(_this.company_id) >=0?_this.jifenshow = true:_this.jifenshow=false
                        _this.companySetIndustry = res.data.company_set_industry;
                    }

                }
            });
        },
        // 添加数量
        addCount(size) {
            size.amount++;
            this.amount_all = numToCur(this.amount_all + 1, selNumVM.systemSetting.amount_decimals_setting)
        },
        // 减少数量
        reduceCount(size) {
        	if(size.amount>0){
                size.amount--;
                this.amount_all = numToCur(this.amount_all - 1,selNumVM.systemSetting.amount_decimals_setting)
        	}
        },
        // 批量增加
        batchAddCount(color) {
            let count = 0
            color.size.map(function (item){
                item.amount++
                count++
            })
            this.amount_all += count
            this.amount_all = numToCur(this.amount_all,selNumVM.systemSetting.amount_decimals_setting)
        },
        // 批量减少
        batchReduceCount(color) {
            let count = 0
            color.size.map(function (item){
                if(item.amount > 0) {
                    item.amount--
                    count--
                }
            })
            this.amount_all += count
            this.amount_all = numToCur(this.amount_all,selNumVM.systemSetting.amount_decimals_setting)
        },
		saveList:function(){
            if(selNumVM.init_page){
                viewHandle.back('close')
            }else{
                let big_list = formDataFlat(selNumVM.big_list)
                for(var i =0; i<big_list.length; i++){
                    big_list[i].amount=Number(big_list[i].amount)
                }

                // sessionStorage.setItem('big_list',JSON.stringify(big_list));
                // sessionStorage.setItem("selDepotId",this.depot_id);

                var listSend = {};
                listSend.big_list = big_list;
                viewHandle.viewFire('itemAdd.html','cunUpdate',listSend);
                viewHandle.back('close')
            }
		},
        /**
         * 初始库存修改序列号
         * @param list [[单品,增加的sn数组]]
         */
		saveInitSnChange:function(list){
			let _this=this
            let init_stock_sn = []
            let save_sn_list = [] // 本次保存的所有序列号 成功后 如果在批量列表中 则删除该项
            list.forEach(function(item){
                init_stock_sn.push({
                    "depot_id":item[0].id,
                    "color_id":item[0].color_id,
                    "size_id":item[0].size_id,
                    "sns":item[1]
                })
                save_sn_list.push.apply(save_sn_list, item[1])
            })
			let stock_sn={
				"product_id":list[0][0].product_id,
				"init_stock_sn": init_stock_sn
			}
			$API.SN.updateInitStockSn({init_stock_sn: JSON.stringify(stock_sn)}).then(function(res){
                _this.updateProductSN(list, save_sn_list)
                mui.toast(res.msg)
            }).catch(function(res){
                mui.toast(res.msg)
            })
		},
        // 初始库存修改成功后对单品序列号数组数据进行更新
		updateProductSN(list, save_sn_list){
		    let _this = this
            list.forEach(function(productItem){
                let sns = productSNSaveSuccessAfter(productItem)
                _this.onSNSSetDelect(productItem[0], sns)
            })
            function productSNSaveSuccessAfter(productItem){
                // productItem[0].product_sn_list 中删除批量的
                productItem[0].product_sn_list = productItem[0].product_sn_list.filter(function(item){
                    return !_this.notSaveSnsList.find(function(i){return i.sn === item})
                })
                // 连接数组 并返回
		        return productItem[1].concat(productItem[0].product_sn_list)
            }
            _this.$forceUpdate()
        },
        // 保存修改批量生成序列号
        saveSNModify(){
		    let data = []
            let _this = this
            // 获取item 批量设置有值的
            formDataFlat(this.big_list).forEach(function(item){
                let init_stock_sn = []
                let inner = [item, init_stock_sn]
                _this.notSaveSnsList.forEach(function(nItem){
                    if(item.id === nItem.depot_id && item.color_id === nItem.color_id && item.size_id === nItem.size_id){
                        init_stock_sn.push(nItem.sn)
                    }
                })
                if(init_stock_sn.length){
                    console.log(item.depot_name, item.color_name, item.size_name, init_stock_sn)
                    data.push(inner)
                }
            })
            if(data.length ){
                this.saveInitSnChange(data)
            }else{
                mui.toast('请先新增序列号')
            }
        },
        /**
         * 在序列号列表中删除批量设置的序列号
         * @param item 单品
         * @param product_sn_list 修改后的sn
        * */
        onSNSSetDelect(item, product_sn_list){
            formDataFlat(this.big_list).find(function(bItem){
                return bItem.id === item.id && bItem.color_id === item.color_id && bItem.size_id === item.size_id
            }).product_sn_list = product_sn_list
            this.notSaveSnsList = this.notSaveSnsList.filter(function(bItem){
                return !(bItem.depot_id === item.id && bItem.color_id === item.color_id && bItem.size_id === item.size_id)
            })
        },
        /**
         * 获取当前单品设置且未保存的序列号 和 保存的序列号
         * @param product 单品
         * @param notSaveSnsList 所有未保存的序列号数组
         * @return {sns, notSaveSns}
         */
        getNotSaveSNbyProduct(product, notSaveSnsList){
            let sns = []
            let notSaveSns = []
            product.product_sn_list.forEach(function(item){
                let snObg = notSaveSnsList.find(function(nItem){ return item === nItem.sn})
                if (snObg){
                    notSaveSns.push(item)
                }else{
                    sns.push(item)
                }
            })
            return {sns: sns, notSaveSns: notSaveSns}
        },

	},
	created:function(){
        FastClick.attach(document.body);
        if(this.size_show === '1'){
            DefaultSizeText = '默认尺码'
        }else if(this.origin_specification === '3'){
            DefaultSizeText = '默认产地'
        }else if(this.origin_specification > 0){
            DefaultSizeText = '默认规格'
        }else{
            // DefaultSizeText = undefined // 用来不显示 size 栏
            DefaultSizeText = '默认规格'
        }
	},
    mounted:function () {
        var _this = this;
        mui.plusReady(function () {
            _this.getPurview()
            pageId = plus.webview.currentWebview().id
        })
    }
});
// 获取color and size 数据 selTabId color选中id
function createNewInfo(){
    selNumVM.colorList=JSON.parse(sessionStorage.getItem("selColorList"));
    mui.each(selNumVM.colorList,function(index,color){
        if(color.visible){
            selNumVM.selTabId=color.color_id;
            return false;
        }
    });
    selNumVM.sizeList=JSON.parse(sessionStorage.getItem("selSizeList"));
    selNumVM.goodsName=sessionStorage.getItem("model");
}

/**
 * 将一维数组数据处理成页面使用的树形数据结构
 * @param {big_list[]} big_list
 * @param depotList 仓库列表
 * @param type 类型 get 商品详情 set 新键商品
 * @return {*[]}
 */
function formDataTree(big_list, depotList, type){
    // 仓库->{color_id size_id _limit} ==> 仓库->color->size, limit
    const stockLimitSave = []
    const depotCache = {}
    const colorCache = {}
    if(big_list) {
        if(type === 'set'){
            const list = []
            depotList.map(function(depotItem) {
                let colorList = JSON.parse(JSON.stringify(big_list))
                colorList.map(function (item){
                    item.depot_id = depotItem.id
                    item.depot_name = depotItem.name
                    list.push(item)
                })
            })
            big_list = list
        }
        big_list.map(item => {
            if(type === 'get'){
                item.depot_id = item.depot_id || item.id
                item.depot_name = depotList.find(function(depotItem){return item.depot_id === (depotItem.depot_id)}).depot_name
            }
            if(depotCache[item.depot_id]){
                depotCache[item.depot_id].push(item)
            }else{
                depotCache[item.depot_id] = [item]
            }
            if(colorCache[item.color_id]){
                colorCache[item.color_id].push(item)
            }else{
                colorCache[item.color_id] = [item]
            }
            item.id = item.depot_id
            delete item.depot_id
        })
        for(const depotCacheKey in depotCache){
            // depotCache[depotCacheKey] 每个仓库下的所有单品 item
            const depot = {
                id: depotCacheKey,
                name: depotCache[depotCacheKey][0].depot_name,
                color: getColorList(depotCacheKey)
            }
            stockLimitSave.push(depot)
        }



        /**
         * 获取当前仓库的所有颜色
         */
        function getColorList(depotId) {
            const colorList = []
            // colorCacheKey 颜色id
            for (const colorCacheKey in colorCache) {
                const allColorList = colorCache[colorCacheKey] //当前颜色id 下的 所有单品 按仓库id 过滤
                const getSizeListData = allColorList.filter(color => color.id === depotId)
                const color = {
                    size: getSizeListData.filter(item => item.color_id === colorCacheKey),
                    color_name: allColorList[0].color_name,
                    color_id: colorCacheKey,
                    color_active: colorList.length === 0
                }
                colorList.push(color)
            }
            return colorList
        }
    }
    return stockLimitSave
}
// 扁平化
function formDataFlat(big_list){
    const RES = []
    big_list.map(function(depotItme) {
        depotItme.color.map(function(colorItem) {
            colorItem.size.map(function(size) {
                RES.push(size)
            })
        })
    })
    return RES
}

// 计算总数量
function calculateTotal(big_list) {
    let count = 0
    big_list = big_list || selNumVM.big_list
    big_list.map(function(depotItem) {
        depotItem.color.map(function(colorItem) {
            colorItem.size.map(function(sizeItem) {
                count += sizeItem.amount || sizeItem.amount === 0? sizeItem.amount : setZero(sizeItem)
            })
        })
    })
    function setZero(sizeItem) {
        sizeItem.init_stock === '' && (sizeItem.init_stock = 0)
        return sizeItem.init_stock
    }
    selNumVM.amount_all = count
    return count
}

mui('body').on('tap','.muiBack',function(){
    viewHandle.back('close')
});