var intergralActivityVM = new Vue({
	el: '#intergralActivityVM',
	data: {
		//积分参数
		openStatus:0, //积分开通：0关， 1开
		integralRule:'', //积分规则ID
		integralType:0, //积分编辑：0创建， 1修改
		cost_money_unit:0, //每消费 元
		increase_bonus:0, //每增加 分
		vipLevel:localStorage.getItem("vipLevel"),
		//抵现参数
		dxOpenStatus:0, //抵现开通：0关， 1开
		dxIntegralRule:'', //抵现规则ID
		dxIntegralType:0, //抵现编辑：0创建， 1修改
		dxCost_money_unit:0, //抵扣 元
		dxIncrease_bonus:0, //每使用 分
		endDate:0, //每使用 分
		//权限相关
		positionName:false,
		stockManager:false,
		purchaseManager:false,
		companySetIndustry:true,
		labelPprinter:false,
		faAccount:true,
		is_advanced:0,
		company_name:'',
		company_id:'',
		user_id:'',
		jifenshow:false,
		bindDepot:-1,
		//--------------------
	},
	methods: {
		getPurview :function(){//获取权限
			var _this = this;
			mui.ajax(severUrl + "sso/user/qryOp.json", {
				data : {
					id : ''
				},
				headers : {
					'Content-Type' : 'application/x-www-form-urlencoded'
				},
				xhrFields : {
					withCredentials : true
				},
				dataType : 'json',
				type : 'post',
				timeout : 30000,
				async : false,
				success : function(res) {
					if (res.success) {
						// var position_name = res.data.position_name;
						_this.company_name = res.data.company_name;
						_this.company_id = res.data.company_id;
						_this.bindDepot = res.data.manage_depot_id;
						_this.user_id = res.data.id;
						var code = res.data.position,permission = code.permission;
						if(permission.indexOf('A11_1_O') >=0 || permission.indexOf('A11_1_E') >=0){
							_this.positionName = true
						}else{
							_this.positionName = false
						}
						permission.indexOf('A4_1_E') >=0?_this.stockManager = true:_this.stockManager = false;
						permission.indexOf('FA_ACC') >=0?_this.faAccount = true:_this.faAccount = false;
						permission.indexOf('LOOK_PURCHASE') >=0?_this.purchaseManager = true:_this.purchaseManager = false;
						permission.indexOf('ONLY_PRINT') >=0?_this.labelPprinter = true:_this.labelPprinter = false;
						'RFRk,eYVo,y0oa,mVbc,pqrB,pDAY,CCP2,Oo4T,LfTY'.indexOf(_this.company_id) >=0?_this.jifenshow = true:_this.jifenshow=false
						_this.companySetIndustry = res.data.company_set_industry;
					}

				}
			});
		},
	},
	created: function(){

	},
	mounted: function(){
		var _this = this;
		mui.plusReady(function(){
			qryOp();
			dxQryOp();
			_this.getPurview()
		})
	}
});
//积分获取
function qryOp(){
	mui.ajax(severUrl + "crm/integraladdrule/qryOp.json", {
		data : {

		},
		headers : {
			'Content-Type' : 'application/x-www-form-urlencoded'
		},
		xhrFields : {
			withCredentials : true
		},
		dataType : 'json',
		type : 'post',
		timeout : 10000,
		success : function(res) {
			if(res.success){
				intergralActivityVM.cost_money_unit=res.data.cost_money_unit;
				intergralActivityVM.increase_bonus=res.data.increase_bonus;
				intergralActivityVM.integralRule=res.data.id;
				intergralActivityVM.openStatus=res.data.status;
				intergralActivityVM.integralType = 1
			}else{
				if(res.status == 300){
					intergralActivityVM.openStatus = 0;
					intergralActivityVM.integralType = 0
				}
			}
		}
	});
}
//积分规则编辑
function save(){
	var cost_money_unit=Number(intergralActivityVM.cost_money_unit);
	var increase_bonus=Number(intergralActivityVM.increase_bonus);
	if(cost_money_unit<=0 || increase_bonus <=0){
		mui.toast("请输入正确的规则！");
		return
	}
	if(!(Number(increase_bonus)%1 === 0)){
		mui.toast("积分不支持小数");
		return
	}
	mui.ajax(severUrl + "crm/integraladdrule/save.json", {
		data : {
			cost_money_unit:cost_money_unit,
			increase_bonus:increase_bonus,
			id:intergralActivityVM.integralRule
		},
		headers : {
			'Content-Type' : 'application/x-www-form-urlencoded'
		},
		xhrFields : {
			withCredentials : true
		},
		dataType : 'json',
		type : 'post',
		timeout : 10000,
		success : function(res) {
			if(res.success){
				mui.toast(res.msg);
				intergralActivityVM.cost_money_unit=res.data.cost_money_unit;
				intergralActivityVM.increase_bonus=res.data.increase_bonus;
				intergralActivityVM.integralRule=res.data.id;
				intergralActivityVM.integralType=1;
			}else{
				mui.toast(res.msg)
			}
		}
	});
}
//积分功能开关
function openOrCloseRule(val){
	mui.ajax(severUrl + "crm/integraladdrule/changeRuleStatus.json", {
		data : {
			rule_id:intergralActivityVM.integralRule,
		},
		headers : {
			'Content-Type' : 'application/x-www-form-urlencoded'
		},
		xhrFields : {
			withCredentials : true
		},
		dataType : 'json',
		type : 'post',
		timeout : 10000,
		success : function(res) {
			if(res.success){

			}else{
				if(val==0){
					$("#switch").children().addClass("mui-active");
					$("#switch").children().children()[0].style.webkitTransform = "translate(16px,0px)";
				}else{
					$("#switch").children().removeClass("mui-active");
					$("#switch").children().children()[0].style.webkitTransform = "translate(0px,0px)";
				}
				mui.toast(res.msg)
			}
		}
	});
}

//抵现获取
function dxQryOp(){
	mui.ajax(severUrl + "crm/integralreducerule/qryOp.json", {
		data : {

		},
		headers : {
			'Content-Type' : 'application/x-www-form-urlencoded'
		},
		xhrFields : {
			withCredentials : true
		},
		dataType : 'json',
		type : 'post',
		timeout : 10000,
		success : function(res) {
			if(res.success){
				if(res.data.cost_bonus_unit == '' || res.data.reduce_money == ''){
					intergralActivityVM.dxOpenStatus=0;
					intergralActivityVM.dxIntegralType=0;
				}else{
					intergralActivityVM.dxOpenStatus=res.data.status;
					intergralActivityVM.dxIntegralType=1;
				}
				intergralActivityVM.dxIntegralRule=res.data.id;
				intergralActivityVM.dxCost_money_unit=res.data.reduce_money;
				intergralActivityVM.dxIncrease_bonus=res.data.cost_bonus_unit;
				intergralActivityVM.endDate=res.data.end_date.substr(0,10);
			}else{
				if(res.status == 300){
					intergralActivityVM.dxOpenStatus = 0;
					intergralActivityVM.dxIntegralType = 0
				}
			}
		}
	});
}
//抵现规则编辑
function dxSave(){
	var dxCost_money_unit=Number(intergralActivityVM.dxCost_money_unit);
	var dxIncrease_bonus=Number(intergralActivityVM.dxIncrease_bonus);
	if(dxCost_money_unit<=0 || dxIncrease_bonus <=0){
		mui.toast("请输入正确的规则！");
		return
	}
	mui.ajax(severUrl + "crm/integralreducerule/save.json", {
		data : {
			reduce_money:dxCost_money_unit,
			cost_bonus_unit:dxIncrease_bonus,
			id:intergralActivityVM.dxIntegralRule
		},
		headers : {
			'Content-Type' : 'application/x-www-form-urlencoded'
		},
		xhrFields : {
			withCredentials : true
		},
		dataType : 'json',
		type : 'post',
		timeout : 10000,
		success : function(res) {
			if(res.success){
				mui.toast(res.msg);
				intergralActivityVM.dxCost_money_unit=res.data.reduce_money;
				intergralActivityVM.dxIncrease_bonus=res.data.cost_bonus_unit;
				intergralActivityVM.dxIntegralRule=res.data.id;
				intergralActivityVM.dxIntegralType=1;
			}else{
				mui.toast(res.msg)
			}
		}
	});
}

//抵现功能开关
function dxOpenOrCloseRule(val){
	mui.ajax(severUrl + "crm/integralreducerule/changeRuleStatus.json", {
		data : {
			rule_id:intergralActivityVM.dxIntegralRule,
		},
		headers : {
			'Content-Type' : 'application/x-www-form-urlencoded'
		},
		xhrFields : {
			withCredentials : true
		},
		dataType : 'json',
		type : 'post',
		timeout : 10000,
		success : function(res) {
			if(res.success){

			}else{
				if(val==0){
					$("#mySwitch").children().addClass("mui-active");
					$("#mySwitch").children().children()[0].style.webkitTransform = "translate(16px,0px)";
				}else{
					$("#mySwitch").children().removeClass("mui-active");
					$("#mySwitch").children().children()[0].style.webkitTransform = "translate(0px,0px)";
				}
				mui.toast(res.msg)
			}
		}
	});
}

mui("#intergralActivityVM").on('tap','.toDeduction',function(){
	viewHandle.openWindow('../intergralDeduction.html','intergralDeduction.html')
});

document.getElementById("switch").addEventListener("toggle",function(event){
	if(!event.detail.isActive){
		if(intergralActivityVM.integralRule !=''){
			openOrCloseRule(0)
		}else{
			$("#switch").children().addClass("mui-active");
			$("#switch").children().children()[0].style.webkitTransform = "translate(16px,0px)";
			mui.toast("请先创建规则")
		}
	}else{
		openOrCloseRule(1)
		// console.log("你关闭了开关");
	}
});
document.getElementById("mySwitch").addEventListener("toggle",function(event){
	if(!event.detail.isActive){
		if(intergralActivityVM.dxIntegralRule !=''){
			if(intergralActivityVM.dxCost_money_unit == '' || intergralActivityVM.dxIncrease_bonus ==''){
				$("#mySwitch").children().addClass("mui-active");
				$("#mySwitch").children().children()[0].style.webkitTransform = "translate(16px,0px)";
				mui.toast("请先设置规则")
			}else{
				dxOpenOrCloseRule(0)
			}
		}else{
			$("#mySwitch").children().addClass("mui-active");
			$("#mySwitch").children().children()[0].style.webkitTransform = "translate(16px,0px)";
			mui.toast("请先开通抵现")
		}
	}else{
		dxOpenOrCloseRule(1)
	}
});
