mui.plusReady(function(){
	var arg = JSON.parse(plus.webview.currentWebview().arg);
	sessionStorage.setItem("stockProduct_id",arg.stockProduct_id);
	sessionStorage.setItem("stockProduct_model",arg.stockProduct_model);
	sessionStorage.setItem("stockProduct_name",arg.stockProduct_name);
	inventoryVM.name = arg.stockProduct_name;
	inventoryVM.model = arg.stockProduct_model;
	inventoryVM.bindDepot = arg.bindDepot;
	inventoryVM.billList = arg.list || {};
	stockQry()
});
window.addEventListener("inventorySearch",function(e){
	sessionStorage.setItem("stockProduct_id",e.detail.stockProduct_id);
	sessionStorage.setItem("stockProduct_model",e.detail.stockProduct_model);
	sessionStorage.setItem("stockProduct_name",e.detail.stockProduct_name);
	inventoryVM.name = e.detail.stockProduct_name;
	inventoryVM.model = e.detail.stockProduct_model;
	inventoryVM.bindDepot = e.detail.bindDepot;
	inventoryVM.billList = e.detail.list || {};
	stockQry()
});
var inventoryVM = new Vue({
	el: '#inventoryVM',
	data: {
		disable: true,
		systemSetting:JSON.parse(localStorage.systemSetting),
		list:[],
		totalCount:0,
		will_amount_show:0,
		name:sessionStorage.getItem("stockProduct_name"),
		model:sessionStorage.getItem("stockProduct_model"),
		billList:'',//列表操作数据  开单
		//全行业参数
		size_show: localStorage.getItem("size_show") || 1,
		color_show: localStorage.getItem("color_show") || 1,
		unit_show: localStorage.getItem("unit_show") || 0,
		origin_specification: localStorage.getItem("origin_specification") || 0,
		//权限相关
		positionName:false,
		stockManager:false,
		purchaseManager:false,
		companySetIndustry:true,
		labelPprinter:false,
		faAccount:true,
		is_advanced:0,
		company_name:'',
		company_id:'',
		user_id:'',
		jifenshow:false,
		bindDepot:-1,
		//--------------------
	},
	methods: {
		getPurview :function(){//获取权限
			var _this = this;
			mui.ajax(severUrl + "sso/user/qryOp.json", {
				data : {
					id : ''
				},
				headers : {
					'Content-Type' : 'application/x-www-form-urlencoded'
				},
				xhrFields : {
					withCredentials : true
				},
				dataType : 'json',
				type : 'post',
				timeout : 30000,
				async : false,
				success : function(res) {
					if (res.success) {
						// var position_name = res.data.position_name;
						_this.company_name = res.data.company_name;
						_this.company_id = res.data.company_id;
						_this.bindDepot = res.data.manage_depot_id;
						_this.user_id = res.data.id;
						var code = res.data.position,permission = code.permission;
						if(permission.indexOf('A11_1_O') >=0 || permission.indexOf('A11_1_E') >=0){
							_this.positionName = true
						}else{
							_this.positionName = false
						}
						permission.indexOf('A4_1_E') >=0?_this.stockManager = true:_this.stockManager = false;
						permission.indexOf('FA_ACC') >=0?_this.faAccount = true:_this.faAccount = false;
						permission.indexOf('LOOK_PURCHASE') >=0?_this.purchaseManager = true:_this.purchaseManager = false;
						permission.indexOf('ONLY_PRINT') >=0?_this.labelPprinter = true:_this.labelPprinter = false;
						'RFRk,eYVo,y0oa,mVbc,pqrB,pDAY,CCP2,Oo4T,LfTY'.indexOf(_this.company_id) >=0?_this.jifenshow = true:_this.jifenshow=false
						_this.companySetIndustry = res.data.company_set_industry;
					}

				}
			});
		},
		queryWillStock:function(){
			var product_id=sessionStorage.getItem("stockProduct_id");
			mui.ajax(severUrl + "scm/order/willStock.json",{
				data:{
					product_id:product_id,
				},
				headers: {
					'Content-Type':'application/x-www-form-urlencoded'
				},
				xhrFields: {
					withCredentials: true
				},
				beforeSend: function() {
					mui('#dh')[0].style.display = "block";
				},
				complete: function() {
					mui('#dh')[0].style.display = "none";
				},
				dataType:'json',//服务器返回json格式数据
				type:'post',//HTTP请求类型
				timeout:10000,//超时时间设置为10秒；
				success:function(res){
					if(res.success){
						mui.toast(res.msg)
						inventoryVM.will_amount_show = 1;
						var list =res.data;
						mui.each(inventoryVM.list,function(j,k){//0 in 1 out
							mui.each(k.stockList,function(n,m){
								m.will_in_amount = 0;
								m.will_out_amount = 0
								mui.each(list,function(i,v){
									if(k.depot_id == v.depot_id && m.color_id == v.color_id && m.size_id == v.size_id){
										if(v.ordertype == 0){
											m.will_in_amount = v.will_amount
										}else{
											m.will_out_amount = v.will_amount
										}
									}
								})
							})
						})
					}
				}
			});
		},
		// 获取禁用状态
		qryDisable(){
			var _this = this
			var product_id = sessionStorage.getItem("stockProduct_id")

	mui.ajax(severUrl + "scm/product/qryOp.json", {
		data : {
			id : product_id
		},
		headers : {
			'Content-Type' : 'application/x-www-form-urlencoded'
		},
		xhrFields : {
			withCredentials : true
		},
		dataType : 'json',
		type : 'post',
		timeout : 30000,
		async : false,
		success : function(res) {
			console.debug(res)
			if (res.success) {
				_this.disable = res.data.status !== 1
			}else{
				mui.toast('商品状态查询失败，禁止快捷开单，请稍后再试。')
			}

		},
		error () {
			mui.toast('商品状态查询失败，禁止快捷开单，请稍后再试。')
		}
	});
}
	},
	created:function(){

	},
	mounted:function () {
		var _this = this;
		mui.plusReady(function () {
			_this.getPurview()
			_this.qryDisable()
		})
	}
});
function stockQry(){
	var depotList=JSON.parse(localStorage.getItem("depotList"));
	var product_id=sessionStorage.getItem("stockProduct_id");
	var product_model=sessionStorage.getItem("stockProduct_model");
	var product_name=sessionStorage.getItem("stockProduct_name");
	var totalCount=0;
	var num=0;
	inventoryVM.list = [];
	inventoryVM.will_amount_show = 0;
	if(inventoryVM.bindDepot == -1){
		mui.each(depotList,function(index,depot){
			setTimeout(function(){
				mui.ajax(severUrl + "scm/stock/qryOp.json",{
					data:{
						product_id:product_id,
						depot_id:depot.id
					},
					headers: {
						'Content-Type':'application/x-www-form-urlencoded'
					},
					xhrFields: {
						withCredentials: true
					},
					beforeSend: function() {
						mui('#dh')[0].style.display = "block";
					},
					complete: function() {
						mui('#dh')[0].style.display = "none";
					},
					dataType:'json',//服务器返回json格式数据
					type:'post',//HTTP请求类型
					timeout:10000,//超时时间设置为10秒；
					success:function(res){
						num++;
						var count=0;
						mui.each(res.data,function(key,product){
							count+=product.amount
						});
						totalCount+=count;
						inventoryVM.list.push({
							depot_id:depot.id,
							depotName:depot.name,
							model:product_model,
							name:product_name,
							stockList:res.data,
							count:count
						});
						// inventoryVM.disable = res
						if(num==depotList.length){
							inventoryVM.totalCount=totalCount;
						}
					}
				});
			},index*100);
		});
	}else{
	var depotName = '';
	mui.each(depotList,function(i,v){
		if(v.id == inventoryVM.bindDepot){
			depotName = v.name;
			return false;
		}
	});
	mui.ajax(severUrl + "scm/stock/qryOp.json",{
			data:{
				product_id:product_id,
				depot_id:inventoryVM.bindDepot
			},
			headers: {
				'Content-Type':'application/x-www-form-urlencoded'
			},
			xhrFields: {
				withCredentials: true
			},
			beforeSend: function() {
				mui('#dh')[0].style.display = "block";
			},
			complete: function() {
				mui('#dh')[0].style.display = "none";
			},
			dataType:'json',//服务器返回json格式数据
			type:'post',//HTTP请求类型
			timeout:10000,//超时时间设置为10秒；
			success:function(res){
				num++;
				var count=0;
				mui.each(res.data,function(key,product){
					count+=product.amount
				});
				totalCount+=count;
				inventoryVM.list.push({
					depotName:depotName,
					model:product_model,
					name:product_name,
					stockList:res.data,
					count:count
				});
				// inventoryVM.disable = res
				if(num==depotList.length){
					inventoryVM.totalCount=totalCount;
				}
			}
		});
	}
}
//采购，销售，盘点
mui('.integralActivity').on('tap','#product_cai',function(){
	localStorage.setItem("product",JSON.stringify(inventoryVM.billList));
	var listSend = {};
	listSend.type = 'inventTory';
	listSend.product_id = inventoryVM.billList.product_id;
	listSend.selectDepot = inventoryVM.bindDepot !=-1?inventoryVM.bindDepot:JSON.parse(localStorage.getItem("depotList"))[0].id;
	viewHandle.viewFire('goodsColorSize.html','showInfo',listSend);
	viewHandle.openWindow('goodsColorSize.html','goodsColorSize.html',JSON.stringify(listSend));
	setTimeout(function (){
		viewHandle.viewFire('goodsColorSize.html','selectedType',{selectedType: CONSTANT.PURCHASE});
	},200)
});
mui('.integralActivity').on('tap','#product_xiao',function(){
	localStorage.setItem("product",JSON.stringify(inventoryVM.billList));
	var listSend = {};
	listSend.type = 'inventTory';
	listSend.product_id = inventoryVM.billList.product_id;
	listSend.selectDepot = inventoryVM.bindDepot !=-1?inventoryVM.bindDepot:JSON.parse(localStorage.getItem("depotList"))[0].id;
	viewHandle.viewFire('pinGoodsColorSize.html','showInfo',listSend)
	viewHandle.openWindow('pinGoodsColorSize.html','pinGoodsColorSize.html',JSON.stringify(listSend))
	setTimeout(function (){
		viewHandle.viewFire('pinGoodsColorSize.html','selectedType',{selectedType: CONSTANT.SALES});
	},200)
});
mui('.integralActivity').on('tap','#product_pan',function(){
	localStorage.setItem("product",JSON.stringify(inventoryVM.billList));
	var listSend = {};
	listSend.fromHtml = 'inventTory';
	listSend.productId = inventoryVM.billList.product_id;
	listSend.selectDepot = inventoryVM.bindDepot !=-1?inventoryVM.bindDepot:JSON.parse(localStorage.getItem("depotList"))[0].id;
	viewHandle.viewFire('goodsInventory.html','showInfo',listSend)
	viewHandle.openWindow('goodsInventory.html','goodsInventory.html',JSON.stringify(listSend))
});



mui('body').on('tap','.mui-back',function(){
	viewHandle.back('close')
});
