var mobileReg=/^1(3|4|5|6|7|8|9)\d{9}$/;
var wait=59;
var modifyPasswordVM = new Vue({
	el: '#modifyPasswordVM',
	data: {
		shopName: '',
		mobile: '',
		ranCode: '',
		password:'',
		repassword:'',
		autoLogin: true,
		//权限相关
		positionName:false,
		stockManager:false,
		purchaseManager:false,
		companySetIndustry:true,
		labelPprinter:false,
		faAccount:true,
		is_advanced:0,
		company_name:'',
		company_id:'',
		user_id:'',
		jifenshow:false,
		bindDepot:-1,
		//--------------------
	},
	methods: {
		getPurview :function(){//获取权限
			var _this = this;
			mui.ajax(severUrl + "sso/user/qryOp.json", {
				data : {
					id : ''
				},
				headers : {
					'Content-Type' : 'application/x-www-form-urlencoded'
				},
				xhrFields : {
					withCredentials : true
				},
				dataType : 'json',
				type : 'post',
				timeout : 30000,
				async : false,
				success : function(res) {
					if (res.success) {
						// var position_name = res.data.position_name;
						_this.company_name = res.data.company_name;
						_this.company_id = res.data.company_id;
						_this.bindDepot = res.data.manage_depot_id;
						_this.user_id = res.data.id;
						var code = res.data.position,permission = code.permission;
						if(permission.indexOf('A11_1_O') >=0 || permission.indexOf('A11_1_E') >=0){
							_this.positionName = true
						}else{
							_this.positionName = false
						}
						permission.indexOf('A4_1_E') >=0?_this.stockManager = true:_this.stockManager = false;
						permission.indexOf('FA_ACC') >=0?_this.faAccount = true:_this.faAccount = false;
						permission.indexOf('LOOK_PURCHASE') >=0?_this.purchaseManager = true:_this.purchaseManager = false;
						permission.indexOf('ONLY_PRINT') >=0?_this.labelPprinter = true:_this.labelPprinter = false;
						'RFRk,eYVo,y0oa,mVbc,pqrB,pDAY,CCP2,Oo4T,LfTY'.indexOf(_this.company_id) >=0?_this.jifenshow = true:_this.jifenshow=false
						_this.companySetIndustry = res.data.company_set_industry;
					}

				}
			});
		},
		getRanCode: function(){
			if(this.mobile==''){
				mui.toast('请输入手机号');
			}else{
				pourTime();
				var btn=document.getElementById('rancode');
				btn.setAttribute("disabled", "disabled"); 
				mui.ajax(severUrl + "userInit/getSMSCode",{
					data:{
						uname: this.mobile
					},
					dataType:'json',//服务器返回json格式数据
					type:'post',//HTTP请求类型
					xhrFields: {
                      withCredentials: true
              		},
              		crossDomain: true,//crossDomain设置为true，强制使用5+跨域
					timeout:10000,//超时时间设置为10秒；
					success:function(data){
						if(data.success){
							mui.toast("验证码已发送成功，请注意查收");
						}else{
							mui.toast(data.msg);
							btn.removeAttribute("disabled");
						}
					}
				});
			}
		},
		submitForm: function() {
			if(this.mobile==''){
				mui.toast('请输入手机号');
			}else if(!(mobileReg.test(this.mobile))) {
				mui.toast('请输入正确的手机号');
			}else if(this.ranCode==''){
				mui.toast('请输入验证码');
			}else if(this.password==''){
				mui.toast('请输入密码');
			}else if(this.repassword==''){
				mui.toast('请确认密码');
			}else if(this.repassword!=this.password){
				mui.toast('两次密码不一样');
			}else{
				var regPd = /^[a-zA-Z0-9_]{6,15}$/;
				if(!regPd.test(this.repassword)){
					mui.toast("密码只允许输入6-10位数字,英文或下划线");
					return false
				}
				mui.ajax(severUrl + "userInit/changepassword",{
					data:{
						uname: this.mobile,
						random_code: this.ranCode,
						password : doRSAEncrypt(this.password)
					},
					dataType:'json',//服务器返回json格式数据
					type:'post',//HTTP请求类型
					xhrFields: {
                      withCredentials: true
              		},
              		crossDomain: true,//crossDomain设置为true，强制使用5+跨域
					timeout:10000,//超时时间设置为10秒；
					success:function(data){
						if(data.success){
							mui.toast('修改密码成功，请重新登录');
							setTimeout(function(){
								viewHandle.back('close')
							},1000)
							
						}else{
							mui.toast(data.msg);
						}
					}
				});
			}
		}
	},
	created: function(){
		setListener();
	},
	mounted:function () {
		var _this = this;
		mui.plusReady(function () {
			_this.getPurview()
		})
	}
});
function setListener(){
	mui(".mui-content").on('tap', '.validCodeBox', function() {
		updataValidCode();
	});
	mui('body').on('tap','.beian',function(e){
		e.preventDefault();
		var href=this.dataset.href;
		if(href){
		    location.replace(href);
		}
	});
}
mui('body').on('tap','.back',function(e){
	e.preventDefault();
	viewHandle.back('close')
});

function pourTime(btn){
	var btn=document.getElementById('rancode');
	if (wait == 0) {  
        btn.removeAttribute("disabled");            
        btn.innerHTML="重新发送";
        wait = 59;  
    } else {  
        btn.innerHTML="("+wait + "s)重新发送";  
        wait--;  
        setTimeout(function() {  
            pourTime(btn);
        },  
        1000)  
    }  
}
