var newMiniProgramsBuildVM = new Vue({
    el: '#newMiniProgramsBuildVM',
    data: {
        name: '',
        code: '',
        code_type: '',
        legal_persona_wechat: '',
        legal_persona_name: '',
        component_phone: '02867878457',
        code_text: '',
        //权限相关
        positionName:false,
        stockManager:false,
        purchaseManager:false,
        companySetIndustry:true,
        labelPprinter:false,
        faAccount:true,
        is_advanced:0,
        company_name:'',
        company_id:'',
        user_id:'',
        jifenshow:false,
        bindDepot:-1,
        //--------------------
    },
    mounted: function() {
        var _this = this;
        this.changeCodeType();
        mui.plusReady(function () {
            _this.getPurview()
        })
    },
    methods: {
        getPurview :function(){//获取权限
            var _this = this;
            mui.ajax(severUrl + "sso/user/qryOp.json", {
                data : {
                    id : ''
                },
                headers : {
                    'Content-Type' : 'application/x-www-form-urlencoded'
                },
                xhrFields : {
                    withCredentials : true
                },
                dataType : 'json',
                type : 'post',
                timeout : 30000,
                async : false,
                success : function(res) {
                    if (res.success) {
                        // var position_name = res.data.position_name;
                        _this.company_name = res.data.company_name;
                        _this.company_id = res.data.company_id;
                        _this.bindDepot = res.data.manage_depot_id;
                        _this.user_id = res.data.id;
                        var code = res.data.position,permission = code.permission;
                        if(permission.indexOf('A11_1_O') >=0 || permission.indexOf('A11_1_E') >=0){
                            _this.positionName = true
                        }else{
                            _this.positionName = false
                        }
                        permission.indexOf('A4_1_E') >=0?_this.stockManager = true:_this.stockManager = false;
                        permission.indexOf('FA_ACC') >=0?_this.faAccount = true:_this.faAccount = false;
                        permission.indexOf('LOOK_PURCHASE') >=0?_this.purchaseManager = true:_this.purchaseManager = false;
                        permission.indexOf('ONLY_PRINT') >=0?_this.labelPprinter = true:_this.labelPprinter = false;
                        'RFRk,eYVo,y0oa,mVbc,pqrB,pDAY,CCP2,Oo4T,LfTY'.indexOf(_this.company_id) >=0?_this.jifenshow = true:_this.jifenshow=false
                        _this.companySetIndustry = res.data.company_set_industry;
                    }

                }
            });
        },
        setCode:function(){
            switch (this.code.length) {
                case 10:
                    this.code_text = "组织机构代码";
                    break;
                case 15:
                    this.code_text = "营业执照注册号";
                    break;
                case 18:
                    this.code_text = "统一社会信用代码";
                    break;
                default:
                    this.code_text = "";
            }
        },
        // "创建"按钮事件
        buildID: function () {
            if (newMiniProgramsBuildVM.code_text === "统一社会信用代码"){
                newMiniProgramsBuildVM.code_type = 1;
            }else if (newMiniProgramsBuildVM.code_text === "组织机构代码") {
                newMiniProgramsBuildVM.code_type = 2;
            } else if (newMiniProgramsBuildVM.code_text === "营业执照注册号") {
                newMiniProgramsBuildVM.code_type = 3;
            };
            if (newMiniProgramsBuildVM.name === "" || newMiniProgramsBuildVM.code === "" || newMiniProgramsBuildVM.code_type === ""
                || newMiniProgramsBuildVM.legal_persona_wechat === "" || newMiniProgramsBuildVM.legal_persona_name === ""
                || newMiniProgramsBuildVM.component_phone === "") {
                mui.alert('', '请填写完整信息');
            }
            else {
                mui.ajax(severUrl + "wechattool/handle/miniProgramCreate.json",{
                    data:{
                        name: newMiniProgramsBuildVM.name.replace(/\s+/g,""),
                        code: newMiniProgramsBuildVM.code.replace(/\s+/g,""),
                        code_type: newMiniProgramsBuildVM.code_type,
                        legal_persona_wechat: newMiniProgramsBuildVM.legal_persona_wechat.replace(/\s+/g,""),
                        legal_persona_name: newMiniProgramsBuildVM.legal_persona_name.replace(/\s+/g,""),
                        component_phone:newMiniProgramsBuildVM.component_phone.replace(/\s+/g,"")
                    },
                    headers: {
                        'Content-Type': 'application/x-www-form-urlencoded'
                    },
                    dataType: 'json',
                    type: 'post',
                    timeout: 10000,
                    success: function (res) {
                        // mui.alert(res.msg);
                        if(res.success){
                            mui.alert('提交成功，前往微信进行实名认证','提示',function(){
                                mui.back()
                            })
                        }else{
                            mui.alert(res.msg,'提示',function(){

                            })
                        }
                    },
                    error:function(res){
                        mui.alert('',res.msg)
                    }
                });
            }
        },
        // 下拉框
        changeClass: function () {
            if ( $("#cardA").attr("class") === 'mui-icon mui-icon-arrowright') {
                $("#cardA").attr("class","mui-icon mui-icon-arrowdown");
                $("#card").css({
                    "display":"inline-block",
                })
            } else {
                $("#cardA").attr("class","mui-icon mui-icon-arrowright");
                $("#card").css({
                    "display":"none"
                })
            }
        },
        // 选择企业类型
        changeCodeType: function () {
            $(".cardLi:eq(0)").click(function(){
                $("#cardInput").attr("value",$(".cardLi:eq(0)").text().replace(/\s*/g,""));
                newMiniProgramsBuildVM.code_text = $(".cardLi:eq(0)").text().replace(/\s*/g,"");
                newMiniProgramsBuildVM.changeClass();
            });
            $(".cardLi:eq(1)").click(function(){
                $("#cardInput").attr("value",$(".cardLi:eq(1)").text().replace(/\s*/g,""));
                newMiniProgramsBuildVM.code_text = $(".cardLi:eq(1)").text().replace(/\s*/g,"");
                newMiniProgramsBuildVM.changeClass();
            });
            $(".cardLi:eq(2)").click(function(){
                $("#cardInput").attr("value",$(".cardLi:eq(2)").text().replace(/\s*/g,""));
                newMiniProgramsBuildVM.code_text = $(".cardLi:eq(2)").text().replace(/\s*/g,"");
                newMiniProgramsBuildVM.changeClass();
            });
        },
        // 返回上一个页面
        goback:function () {
            mui.back();
        }
    }
})
