mui.plusReady(function(){
    var arg = plus.webview.currentWebview().arg;
    if(arg){
        arg = JSON.parse(arg);
        orderSheetVM.type = arg.type;
        orderSheetVM.selCheckInfoList = arg.selCheckInfoList
    }
});
var orderSheetVM = new Vue({
    el: '#orderSheetVM',
    data: {
        type:'xiao',
        selCheckInfoList:[],
        //全行业参数
        size_show: localStorage.getItem("size_show") || 1,
        color_show: localStorage.getItem("color_show") || 1,
        unit_show: localStorage.getItem("unit_show") || 0,
        origin_specification: localStorage.getItem("origin_specification") || 0,
        //权限相关
        positionName:false,
        stockManager:false,
        purchaseManager:false,
        companySetIndustry:true,
        labelPprinter:false,
        faAccount:true,
        is_advanced:0,
        company_name:'',
        company_id:'',
        user_id:'',
        jifenshow:false,
        bindDepot:-1,
        //--------------------
    },
    methods: {
        getPurview :function(){//获取权限
            var _this = this;
            mui.ajax(severUrl + "sso/user/qryOp.json", {
                data : {
                    id : ''
                },
                headers : {
                    'Content-Type' : 'application/x-www-form-urlencoded'
                },
                xhrFields : {
                    withCredentials : true
                },
                dataType : 'json',
                type : 'post',
                timeout : 30000,
                async : false,
                success : function(res) {
                    if (res.success) {
                        // var position_name = res.data.position_name;
                        _this.company_name = res.data.company_name;
                        _this.company_id = res.data.company_id;
                        _this.bindDepot = res.data.manage_depot_id;
                        _this.user_id = res.data.id;
                        var code = res.data.position,permission = code.permission;
                        if(permission.indexOf('A11_1_O') >=0 || permission.indexOf('A11_1_E') >=0){
                            _this.positionName = true
                        }else{
                            _this.positionName = false
                        }
                        permission.indexOf('A4_1_E') >=0?_this.stockManager = true:_this.stockManager = false;
                        permission.indexOf('FA_ACC') >=0?_this.faAccount = true:_this.faAccount = false;
                        permission.indexOf('LOOK_PURCHASE') >=0?_this.purchaseManager = true:_this.purchaseManager = false;
                        permission.indexOf('ONLY_PRINT') >=0?_this.labelPprinter = true:_this.labelPprinter = false;
                        'RFRk,eYVo,y0oa,mVbc,pqrB,pDAY,CCP2,Oo4T,LfTY'.indexOf(_this.company_id) >=0?_this.jifenshow = true:_this.jifenshow=false
                        _this.companySetIndustry = res.data.company_set_industry;
                    }

                }
            });
        },
    },
    computed:{
        titleName:function(){
            if(this.type == 'xiao'){
                return '销售'
            }else{
                return '采购'
            }
        },
        sizeName:function(){
            if(this.size_show == 1){
                return '尺码'
            }else{
                if(this.origin_specification ==3){
                    return '产地'
                }else{
                    return '规格'
                }
            }
        }
    },
    created: function(){

    },
    mounted: function () {
        var _this = this;
        mui.plusReady(function () {
            _this.getPurview()
        })
    }
});
mui('body').on('tap','.orderCreate',function(){
    if(orderSheetVM.type == 'xiao'){
        viewHandle.viewFire('H576E5848','vipOrder');
    }else{
        viewHandle.viewFire('caigou.html','vipOrder');
    }
    viewHandle.back();
});
mui('body').on('tap','.muiBack',function(){
    viewHandle.back('close')
});
