mui.plusReady(function(){
    var arg = plus.webview.currentWebview().arg;
    if(arg){
        arg = JSON.parse(arg);
        outboundOrderVM.orderType = arg.orderType;
        outboundOrderVM.openType = arg.openType || '';
        outboundOrderVM.searchHistoryList = arg.searchHistoryList
    }
});
var outboundOrderVM = new Vue({
    el: '#outboundOrderVM',
    data: {
        systemSetting:JSON.parse(localStorage.systemSetting),
        // orderType:'in',
        // openType:'draft',
        orderType:'',
        openType:'',
        searchHistoryList:[],
        //权限相关
        positionName:false,
        stockManager:false,
        purchaseManager:false,
        companySetIndustry:true,
        labelPprinter:false,
        faAccount:true,
        is_advanced:0,
        company_name:'',
        company_id:'',
        user_id:'',
        jifenshow:false,
        bindDepot:-1,
        //--------------------
    },
    methods: {
        getPurview :function(){//获取权限
            var _this = this;
            mui.ajax(severUrl + "sso/user/qryOp.json", {
                data : {
                    id : ''
                },
                headers : {
                    'Content-Type' : 'application/x-www-form-urlencoded'
                },
                xhrFields : {
                    withCredentials : true
                },
                dataType : 'json',
                type : 'post',
                timeout : 30000,
                async : false,
                success : function(res) {
                    if (res.success) {
                        // var position_name = res.data.position_name;
                        _this.company_name = res.data.company_name;
                        _this.company_id = res.data.company_id;
                        _this.bindDepot = res.data.manage_depot_id;
                        _this.user_id = res.data.id;
                        var code = res.data.position,permission = code.permission;
                        if(permission.indexOf('A11_1_O') >=0 || permission.indexOf('A11_1_E') >=0){
                            _this.positionName = true
                        }else{
                            _this.positionName = false
                        }
                        permission.indexOf('A4_1_E') >=0?_this.stockManager = true:_this.stockManager = false;
                        permission.indexOf('FA_ACC') >=0?_this.faAccount = true:_this.faAccount = false;
                        permission.indexOf('LOOK_PURCHASE') >=0?_this.purchaseManager = true:_this.purchaseManager = false;
                        permission.indexOf('ONLY_PRINT') >=0?_this.labelPprinter = true:_this.labelPprinter = false;
                        'RFRk,eYVo,y0oa,mVbc,pqrB,pDAY,CCP2,Oo4T,LfTY'.indexOf(_this.company_id) >=0?_this.jifenshow = true:_this.jifenshow=false
                        _this.companySetIndustry = res.data.company_set_industry;
                    }

                }
            });
        },
    },
    computed:{
        collectionName:function(){
            if(this.orderType == 'in'){
                return '客户'
            }else{
                return '供应商'
            }
        },
        titleName:function(){
            if(this.openType == 'draft'){
                return '相关订单'
            }else{
                if(this.orderType == 'in'){
                    return '销售关联单据'
                }else{
                    return '采购关联单据'
                }
            }
        },
    },
    created: function(){

    },
    mounted:function () {
        var _this = this;
        mui.plusReady(function () {
            _this.getPurview()
        })
    }
});
mui('body').on('tap','.history',function(){
    var listSend = {};
    listSend.id = this.dataset.id;
    listSend.openType = outboundOrderVM.openType;
    if(outboundOrderVM.orderType == "in"){
        listSend.type = 'customer';
    }else{
        listSend.type = 'supplier';
    }
    viewHandle.viewFire('customerDebets.html','customerDebets',listSend);
    viewHandle.openWindow('customerDebets.html','customerDebets.html',JSON.stringify(listSend))

});
mui('body').on('tap','.muiBack',function(){
    viewHandle.back('close')
});
