Vue.filter("searchTime-format", function (time) {
    var date = new Date(time);
    var newDate = date.getFullYear() + "/" + ((date.getMonth() + 1) < 10 ? "0" + (date.getMonth() + 1) : (date.getMonth() + 1)) + "/" + (date.getDate() < 10 ? "0" + date.getDate() : date.getDate());
    return newDate;
});
let pageId
// 盘点当前在被设置的单品`
let setBNItem = null
mui.plusReady(function(){
    let page = plus.webview.currentWebview()
    pageId = page.id
    var arg = JSON.parse(page.arg);
    sessionStorage.setItem('realname',arg.realname);
    sessionStorage.setItem('histDetail_id',arg.histDetail_id);
    sessionStorage.setItem('selectedDepot',arg.depot_id)
    getGoodsAllList();
    getGoodsMenu();
    getIndexMenu()
});
window.addEventListener("panDraft",function(e){
    sessionStorage.setItem('realname',e.detail.realname);
    sessionStorage.setItem('histDetail_id',e.detail.histDetail_id);
    sessionStorage.setItem('selectedDepot',e.detail.depot_id)
    getGoodsAllList();
    getGoodsMenu();
    getIndexMenu()
})
window.addEventListener("panAndAllotAdd",function(e){
    getSelList();
})
// 盘点设置批次返回
window.addEventListener("panSetBNBack", function(e) {
    panDraftVM.$set(setBNItem, 'BNList', e.detail.BNList)
    panDraftVM.$set(setBNItem, 'isOrgAmount', false)
    setBNItem.inventoryTotal = e.detail.productSum
    panDraftVM.calculation()
})
let prevInventoryDepot = {

}
var panDraftVM = new Vue({
    el: '#panDraftVM',
    data: {
        systemSetting:JSON.parse(localStorage.systemSetting),
        list: [],
        productList: [],
        qryProductList: [],
        originalList: [],
        totalPage: 0,
        lastPageSize: 0,
        page: 0,
        getSwitch: true,
        searchMsg: '',
        searchMsgInput: '',
        searchList: [],
        searchStockList: [],
        selectedDepot: '',
        selectedSupplier: '',
        selectedBuyer: '',
        depotList: [],
        buyerList: [],
        supplierList: [],
        historyTime: '',
        stockTime: '',
        remark: '',
        alltRemark: '',
        selProductList: [],//盘点
        createDate: '',
        realname: '',
        inventoryTotal: 0,
        beforeInventoryTotal: 0,
        profitCount: 0,
        profitPrice: 0,
        purchasePriceTotal: 0,
        salePriceTotal: 0,
        searchTotal: 0,
        pageTabId: "",
        alloctionProductList: [],//调拨
        lsDateFirst: '',
        lsDateLast: '',
        searchHistoryList: [],//盘点历史
        cgDateFirst: '',
        cgDateLast: '',
        allocationHistoryList: [],//调拨历史
        AllotTotal: 0,
        beforeAllotTotal: 0,
        proAllotCount: 0,
        proAllotPrice: 0,
        out_depot: sessionStorage.getItem("invtDepotPrev") ? sessionStorage.getItem("invtDepotPrev") : '',
        to_depot: sessionStorage.getItem("invtDepotNext") ? sessionStorage.getItem("invtDepotNext") : '',
        out_depot_name: '',
        to_depot_name: '',
        itl: '',
        loadNowDate: loadNowDate(),
        depotName: '',
        outAndTo: '',
        byIOS:false,
        is_draft: 0,
        histDetail_id: '',
        detailList: [],
        product: [],
        //全行业参数
        size_show: localStorage.getItem("size_show") || 1,
        color_show: localStorage.getItem("color_show") || 1,
        unit_show: localStorage.getItem("unit_show") || 0,
        origin_specification: localStorage.getItem("origin_specification") || 0,
        //权限相关
        positionName:false,
        stockManager:false,
        purchaseManager:false,
        companySetIndustry:true,
        labelPprinter:false,
        faAccount:true,
        is_advanced:0,
        company_name:'',
        company_id:'',
        user_id:'',
        jifenshow:false,
        bindDepot:-1,
        //--------------------
		vipLevel: localStorage.getItem("vipLevel"),
		systemSetting: JSON.parse(localStorage.systemSetting)
    },
	computed:{
		sns_show: function() {
			var _this = this;
			return function(snsArr, count) {
				if (_this.vipLevel == 1 && _this.systemSetting.sn_setting == 1) {
					if (snsArr && snsArr.length > 0) {
						return '<span class="iconfont icon-tubiaozhizuomoban1111111 font-orange"></span>'
					} else {
						return '<span class="iconfont icon-tubiaozhizuomoban1111111 font-gray"></span>'
					}
				} else {
					return ''
				}
			}
		}
	},
    watch: {
        selectedDepot: {
            handler: function (newVal) {
                // for(var i = 0, len = this.depotList.length; i < len; i++) {
                //     if(this.depotList[i].id == newVal) {
                //         this.depotName = this.depotList[i].name;
                //     }
                // }
                // this.clearSelProductListByCurrentDepot(newVal)
                //
                // //
                let _this = this
                if(prevInventoryDepot.id && prevInventoryDepot.id !== newVal && this.selProductList.length){
                    mui.confirm('切换仓库将清除已盘点的商品信息', '提示', ['取消', '确定'], function(e){
                        if(e.index === 0){
                            _this.selectedDepot = prevInventoryDepot.id
                            _this.depotName = prevInventoryDepot.name
                        }else if(e.index === 1){
                            let prevInventoryDepot = getInventoryDepot(newVal)
                            _this.depotName = prevInventoryDepot.name
                            _this.clearSelProductListByCurrentDepot(prevInventoryDepot.id)
                        }
                    },'div')
                }else{
                    prevInventoryDepot = getInventoryDepot(newVal)
                    this.depotName = prevInventoryDepot.name
                    this.clearSelProductListByCurrentDepot(prevInventoryDepot.id)
                }
                function getInventoryDepot(id){
                    for (let i = 0, len = _this.depotList.length; i < len; i++) {
                        if (_this.depotList[i].id === id) {
                            return {
                                name: _this.depotList[i].name,
                                id: id
                            }
                        }
                    }
                    return null
                }
            }
        }
    },
    methods: {
        getPurview :function(){//获取权限
            var _this = this;
            mui.ajax(severUrl + "sso/user/qryOp.json", {
                data : {
                    id : ''
                },
                headers : {
                    'Content-Type' : 'application/x-www-form-urlencoded'
                },
                xhrFields : {
                    withCredentials : true
                },
                dataType : 'json',
                type : 'post',
                timeout : 30000,
                async : false,
                success : function(res) {
                    if (res.success) {
                        // var position_name = res.data.position_name;
                        _this.company_name = res.data.company_name;
                        _this.company_id = res.data.company_id;
                        _this.bindDepot = res.data.manage_depot_id;
                        _this.user_id = res.data.id;
                        var code = res.data.position,permission = code.permission;
                        if(permission.indexOf('A11_1_O') >=0 || permission.indexOf('A11_1_E') >=0){
                            _this.positionName = true
                        }else{
                            _this.positionName = false
                        }
                        permission.indexOf('A4_1_E') >=0?_this.stockManager = true:_this.stockManager = false;
                        permission.indexOf('FA_ACC') >=0?_this.faAccount = true:_this.faAccount = false;
                        permission.indexOf('LOOK_PURCHASE') >=0?_this.purchaseManager = true:_this.purchaseManager = false;
                        permission.indexOf('ONLY_PRINT') >=0?_this.labelPprinter = true:_this.labelPprinter = false;
                        'RFRk,eYVo,y0oa,mVbc,pqrB,pDAY,CCP2,Oo4T,LfTY'.indexOf(_this.company_id) >=0?_this.jifenshow = true:_this.jifenshow=false
                        _this.companySetIndustry = res.data.company_set_industry;
                    }

                }
            });
        },
        searchInputName:function(){
            var msg = panDraftVM.searchMsgInput;
            if (!msg) {
                panDraftVM.searchList = [];
                document.getElementById('popover').style.opacity = 0;
            } else {
                panDraftVM.productSearch();
                mui("#popover").popover("show");
                document.getElementById('popover').style.opacity = 1;
            }
        },
        searchProduct: function(){
            if(this.searchMsg==null || this.searchMsg==''){
                panDraftVM.list=[];
                mui("#cunPopover").popover("hide");
                $("#hidePopover").css('display','none');
            }else{
                panDraftVM.list=[];
                for(var i=0; i<this.qryProductList.length; i++){
                    var model=this.qryProductList[i].model.toLowerCase().indexOf(this.searchMsg.toLowerCase());
                    var name=this.qryProductList[i].name.toLowerCase().indexOf(this.searchMsg.toLowerCase());
                    if((model!=null && model>=0) || (name!=null && name>=0)){
                        panDraftVM.list.push(this.qryProductList[i]);
                    }
                    if( panDraftVM.list.length>50){
                        break;
                    }
                }
                if(panDraftVM.list.length<=0){
                    var list={"model":"去创建商品？"};
                    panDraftVM.list.push(list)
                }
                mui("#cunPopover").popover("show");
                $("#hidePopover").css('display','block');
            }
        },
        productSearch: function () {
            var reg = new RegExp(this.searchMsgInput, 'i');
            var searchList = [];
            mui.each(panDraftVM.productList, function (index1, value1) {
                if (reg.test(value1.model)) {
                    searchList.push(value1);
                    return;
                }
                if (reg.test(value1.product_name)) {
                    searchList.push(value1);
                    return;
                }
            });
            this.searchList = searchList;
        },
        searchStock: function() {
            var reg = new RegExp(this.searchMsg, 'i');
            var searchList = [];
            mui.each(this.list, function (index1, value1) {
                mui.each(value1, function (index2, value2) {
                    if (reg.test(value2.model)) {
                        searchList.push(value2);
                    }
                })
            });

            var n = parseInt(searchList.length / 8);
            var newSearchList = [];
            for (var i = 1; i <= n; i++) {
                newSearchList[i - 1] = [].concat(searchList.slice((i - 1) * 8, i * 8))
            }
            newSearchList.push(searchList.splice(8 * n));

            this.searchList = newSearchList;
            this.list = this.searchList;
            return this.list;
        },
        /*盘点总数 盘前总数 盈亏总数 盈亏总金额*/
        calculation: function () {
            var inventoryTotal = 0;/*盘点总数*/
            var beforeInventoryTotal = 0;/*盘前总数*/
            var profitCount = 0;/*盈亏总数*/
            var profitPrice = 0;/*盈亏总金额*/
            mui.each(this.selProductList, function (index1, product) {
                if (product.depot_id == panDraftVM.selectedDepot) {//库房
                    var unitBeforeInventory = 0;
                    var unitInventory = 0;
                    mui.each(product.list, function (index, value) {
                        if (value.inventoryTotal!=='' || value.inventoryType==1) {
                            unitBeforeInventory += Number(value.amount);
                            unitInventory += Number(value.inventoryTotal);
                        }
                    });

                    beforeInventoryTotal = Number(beforeInventoryTotal) + Number(unitBeforeInventory);
                    inventoryTotal = Number(inventoryTotal) + Number(unitInventory);
                    profitCount = Number(profitCount) + Number(unitInventory - unitBeforeInventory);
                    profitPrice = Number(profitPrice) + Number((unitInventory - unitBeforeInventory) * product.amt);

                }
            });
            this.inventoryTotal = numToCur(inventoryTotal,panDraftVM.systemSetting.amount_decimals_setting);
            this.beforeInventoryTotal = numToCur(beforeInventoryTotal,panDraftVM.systemSetting.amount_decimals_setting);
            this.profitCount = numToCur(profitCount,panDraftVM.systemSetting.amount_decimals_setting);
            this.profitPrice = numToCur(profitPrice,panDraftVM.systemSetting.price_decimals_setting,'price');
        },

        invtcalculation: function () {
            var AllotTotal = 0;
            var beforeAllotTotal = 0;
            var proAllotCount = 0;
            var proAllotPrice = 0;
            mui.each(this.alloctionProductList, function (index1, product) {
                if (product.depot_id == panDraftVM.out_depot) {
                    var unitBeforeInventory = 0;
                    var unitInventory = 0;

                    mui.each(product.list, function (index, value) {
                        unitBeforeInventory += value.amount;
                        unitInventory += value.inventoryTotal;
                    });

                    beforeAllotTotal += unitBeforeInventory;
                    AllotTotal += unitInventory;
                    proAllotCount += unitInventory;
                    proAllotPrice += ((unitInventory) * product.amt);
                }
            });

            this.AllotTotal = AllotTotal;
            this.beforeAllotTotal = beforeAllotTotal;
            this.proAllotCount = proAllotCount;
            this.proAllotPrice = numToCur(proAllotPrice,panDraftVM.systemSetting.price_decimals_setting,'price');
        },
        calculationSearchList: function () {
            var purchasePriceTotal = 0;
            var salePriceTotal = 0;
            var searchTotal = 0;
            mui.each(this.searchStockList, function (index, product) {
                purchasePriceTotal += product.purchase_price * product.amount;
                salePriceTotal += product.sale_price * product.amount;
                searchTotal += Number(product.amount);
            });
            this.purchasePriceTotal = purchasePriceTotal;
            this.salePriceTotal = salePriceTotal;
            this.searchTotal = searchTotal;
        },
        calculationls: function () {
            var count = 0;
            var totalPrice = 0;
            mui.each(this.searchHistoryList, function (index, order) {
                count += (order.in_amount + order.out_amount);
                totalPrice += (order.order_amt - order.rebate_amt);
            });
            this.lsTotalAmount = count;
            this.lsTotalPrice = numToCur(totalPrice,panDraftVM.systemSetting.price_decimals_setting,'price');
        },
        calculationcg: function () {
            var count = 0;
            var totalPrice = 0;
            mui.each(this.allocationHistoryList, function (index, order) {
                count += (order.in_amount + order.out_amount);
                totalPrice += (order.order_amt - order.rebate_amt);
            });
            this.cgTotalAmount = count;
            this.cgTotalPrice = numToCur(totalPrice,panDraftVM.systemSetting.price_decimals_setting,'price');
        },
        warehouseSet: function () {
            viewHandle.openWindow('view/warehouseSetting.html','warehouseSetting.html')
        },
        childClixk:function (product) {
            if(event.toElement.checked){
                chooseAllList.push(product)
            }else{
                mui.each(chooseAllList,function (i,v) {
                    if(v.product_id == product.product_id && v.color_id == product.color_id && v.size_id == product.size_id ){
                        chooseAllList.splice(i,1)
                    }
                })
            }
            console.log(chooseAllList)
        },
		//盘点sn
		sns_set: function(item, product) {
			let _this=this
			var listSend = {
				item: item,
				product: product,
				args: {
					depot_id: _this.selectedDepot,
					parentPage: 'pd_order'
				}
			};
			viewHandle.openWindow("sns_set.html", "sns_set.html", JSON.stringify(listSend))
		},
        setBNStock(item, product){
            setBNItem = item
            let extras = {
                // 盘前
                sumAmount: item.amount,
                // 盘后
                selectAmount: item.inventoryTotal,
                productColorName: item.color_name,
                productColorId: item.color_id,
                productSizeName: item.size_name,
                productSizeId: item.size_id,
                productModel: product.model,
                productName: product.name,
                productUnit: item.main_uint_name,
                purchasePrice: this.purchaseManager ? product.purchase_price : null,
                productColorSizeId: item.product_color_size_id,
                productId: product.product_id,
                depotId: panDraftVM.selectedDepot,
                BNList: item.BNList || null,
                isDraft: true,
                isOrgAmount: item.isOrgAmount,
                setPageId: pageId,
                type: 'inventory'
            }
            mui.openWindow('./view/inventorySetBN.html', 'inventorySetBN', {extras : extras})
        },
        clearSelProductListByCurrentDepot(depotId){
            this.selProductList = this.selProductList.filter(function(v){
                return v.depot_id === depotId
            })
            sessionStorage.setItem("selProductList", JSON.stringify(this.selProductList))
        }
    },
    created: function () {
        if(mui.os.ios == true && sessionStorage.getItem("reloadPage") == 1){
            sessionStorage.removeItem("reloadPage");
            location.reload();
        }
    },
    mounted: function () {
        var _this = this;
        setListener();
        var winHeight = localStorage.getItem("pageHeight");  //获取当前页面高度
        $("body").css('height',localStorage.getItem("pageHeight"));
        $(window).resize(function () {
            var u = navigator.userAgent, app = navigator.appVersion;
            var isAndroid = u.indexOf('Android') > -1 || u.indexOf('Linux') > -1; //android终端或者uc浏览器
            var isiOS = !!u.match(/\(i[^;]+;( U;)? CPU.+Mac OS X/); //ios终端
            if(isAndroid){
                var thisHeight = $(this).height();
                if ( winHeight - thisHeight > 140 ) {
                    $("body").css('height',winHeight);
                    $(".focusHidden").hide();
                } else {
                    $(".focusHidden").show();
                    $("body").css('height',winHeight);
                    $("input").blur();
                    $("textarea").blur();
                }
            }else if(isiOS){

            }
        })
        mui.plusReady(function () {
            _this.getPurview()
        })
    }
});
//首页加载数据
function getGoodsAllList() {
        panDraftVM.page++;
        mui.ajax(severUrl + "scm/product/dataGrid.json", {//查询商品列表
            data: {
                "rows": 1000,
                "page": panDraftVM.page
            },
            headers: {
                'Content-Type': 'application/x-www-form-urlencoded'
            },
            xhrFields: {
                withCredentials: true
            },
            dataType: 'json',//服务器返回json格式数据
            type: 'post',//HTTP请求类型
            timeout: 10000,//超时时间设置为10秒；
            success: function (res) {
                if (res.success) {
                    if (res.data.list.length != 0) {
                        panDraftVM.qryProductList = panDraftVM.qryProductList.concat(res.data.list);
                    }
                    panDraftVM.totalPage = res.data.totalPage;
                    if (panDraftVM.totalPage > panDraftVM.page) {
                        getGoodsAllList();
                    } else if (panDraftVM.totalPage == panDraftVM.page) {

                    }
                } else {
                    mui.toast(res.msg)
                }
            },
            error:function(res){
                var btnArray = ["重新加载"];
                mui.confirm('', '网络异常', btnArray, function(e) {
                    window.location.href = 'xiao.html';
                },'div')
            }
        });
}
function getSelProductList() {
    //盘点

    var selDraftProductList = JSON.parse(localStorage.getItem("selDraftProductList"));
    var selProductList = JSON.parse(sessionStorage.getItem("selProductList"));

    panDraftVM.selProductList = selDraftProductList;
    if (selProductList) {
        for(var i=0;i<selProductList.length;i++){
            for(var j=0;j<panDraftVM.selProductList.length;j++){
                if(panDraftVM.selProductList[j].product_id==selProductList[i].product_id){
                    var pList=selProductList[i].list;
                    var dList=panDraftVM.selProductList[j].list;
                    for(var k=0;k<pList.length;k++){
                        for(var l=0;l<dList.length;l++){
                            if(dList[l].color_id==pList[k].color_id && dList[l].size_id==pList[k].size_id){
                                dList[l].inventoryTotal=pList[k].inventoryTotal;
                            }
                        }
                    }
                    panDraftVM.selProductList[j].list=dList;
                    break;
                }else if(j==panDraftVM.selProductList.length-1){
                    panDraftVM.selProductList.push(selProductList[i]);
                }
            }
        }
        sessionStorage.setItem("selProductList",JSON.stringify(panDraftVM.selProductList));
        panDraftVM.calculation();
    }else{

        var count=0;
        for(var i=0;i<panDraftVM.selProductList.length;i++){
            var spList=panDraftVM.selProductList[i].list;
            for(var j=0;j<spList.length;j++){
                if(spList[j].inventoryTotal!=spList[j].amount){
                    count++;
                }
            }
        }

        // if(count<panDraftVM.productList.length){
        //     var  btn=['确定'];
        //     var msg='盘前盘后数量相同项未显示，可选择其它商品继续盘点。';
        //     mui.confirm(msg, '提示',btn, function (e) {
        //         if(e.index == 1){

        //         }
        //     },'div')
        //     mui.toast("由于数据改变，盘前盘后数量相同项未显示！");
        // }

        sessionStorage.setItem("selProductList",JSON.stringify(panDraftVM.selProductList));
    }
    var createDate = sessionStorage.getItem("createDate");
    if (createDate) {
        panDraftVM.createDate = createDate;
    } else {
        var date = new Date();
        panDraftVM.createDate = date.getFullYear() + "-" + ((date.getMonth() + 1) < 10 ? ('0' + (date.getMonth() + 1)) : (date.getMonth() + 1)) + "-" + (date.getDate() < 10 ? ("0" + date.getDate()) : date.getDate());
    }
    //panDraftVM.remark = sessionStorage.getItem("panDraftRemake") || "";
    panDraftVM.alltRemark = sessionStorage.getItem("alltRemark") || "";
}

function getSelList(){
    if(mui.os.ios){
        mui.plusReady(function(){
            setTimeout(function(){
                htmlRender()
            },200)
        })
    }else{
        htmlRender()
    }
    function htmlRender(){
        var selDraftProductList = JSON.parse(localStorage.getItem("selDraftProductList"));
        let map = {}
        panDraftVM.selProductList.forEach(function (v) {
            v.list.forEach(function (v) {
                if(v.BNList){
                    map[v.product_color_size_id] = {
                        BNList: v.BNList,
                        selectAmount: v.inventoryTotal
                    }
                }
            })
        })
        selDraftProductList.forEach(function (v) {
            v.list.forEach(function (v) {
                let i = map[v.product_color_size_id]
                if(i && v.inventoryTotal === i.selectAmount){
                    v.BNList = i.BNList
                }
            })
        })
        panDraftVM.selProductList = selDraftProductList;
        panDraftVM.calculation()
    }
}

function getIndexMenu() {
    mui.ajax(severUrl + "scm/depot/list.json", {
        data: {
        },
        headers: {
            'Content-Type': 'application/x-www-form-urlencoded'
        },
        xhrFields: {
            withCredentials: true
        },
        dataType: 'json',
        type: 'post',
        timeout: 10000,
        success: function (res) {
            if (res.success) {

                panDraftVM.depotList = res.data;
                localStorage.setItem("depotList", JSON.stringify(res.data));
                var selectedDepot = sessionStorage.getItem("selectedDepot");
                if (selectedDepot) {
                    panDraftVM.selectedDepot = selectedDepot;
                } else if (res.data.length != 0) {
                    panDraftVM.selectedDepot = res.data[0].id;
                }
                prevInventoryDepot.id = panDraftVM.selectedDepot
                prevInventoryDepot.name = res.data.find(function(v){return v.id === selectedDepot}).name
            } else if (res.status == 10101) {
                if(localStorage.getItem("v") == 2 || localStorage.getItem("v") == "2"){
                    window.LOGOUT.jsCallWebViewForLogout();
                }
                location.replace("login.html");
            }
            console.log(panDraftVM.depotList)
        }
    });
    mui.ajax(severUrl + "crm/customer/dataGrid.json", {
        data: {
            type: 1,
            qryType: -1,
            rows: 50,
            page: 1
        },
        headers: {
            'Content-Type': 'application/x-www-form-urlencoded'
        },
        xhrFields: {
            withCredentials: true
        },
        dataType: 'json',
        type: 'post',
        timeout: 10000,
        success: function (res) {
            panDraftVM.buyerList = res.data.list;
            sessionStorage.setItem("buyerList", JSON.stringify(res.data.list));
            var selectedBuyer = sessionStorage.getItem("selectedBuyer");
            if (selectedBuyer) {
                panDraftVM.selectedBuyer = selectedBuyer;
            } else if (res.data.list.length != 0) {
                panDraftVM.selectedBuyer = res.data.list[0].id;
            }
        }
    });
    mui.ajax(severUrl + "crm/customer/dataGrid.json", {
        data: {
            type: 0,
            qryType: -1,
            rows: 500,
            page: 1
        },
        headers: {
            'Content-Type': 'application/x-www-form-urlencoded'
        },
        xhrFields: {
            withCredentials: true
        },
        dataType: 'json',
        type: 'post',
        timeout: 10000,
        success: function (res) {
            panDraftVM.supplierList = res.data.list;
            sessionStorage.setItem("supplierList", JSON.stringify(res.data.list));
            var selectedSupplier = sessionStorage.getItem("selectedSupplier");
            if (selectedSupplier) {
                panDraftVM.selectedSupplier = selectedSupplier;
            } else if (res.data.list.length != 0) {
                panDraftVM.selectedSupplier = res.data.list[0].id;
            }
        }
    });
    mui.ajax(severUrl + "sso/user/qryOp.json", {
        data: {
            id: ""
        },
        headers: {
            'Content-Type': 'application/x-www-form-urlencoded'
        },
        xhrFields: {
            withCredentials: true
        },
        dataType: 'json',
        async:false,
        type: 'post',
        timeout: 10000,
        success: function (res) {
            /*当数据传递成功，但数据为美欧*/
            if (typeof res.data == "undefined") return;
            sessionStorage.setItem("realname", res.data.realname);
            panDraftVM.realname = res.data.realname;
            if(res.data.manage_depot_id != -1){
                document.getElementById('my_depot').disabled=true;
                sessionStorage.setItem("selectedDepot",res.data.manage_depot_id);
                panDraftVM.outAndTo=res.data.manage_depot_id;
            }
        }
    });
}

/*点击库存查询的查询按钮 执行的方法*/
function getStockList(searchMsg) {
    mui.ajax(severUrl + "scm/stock/dataGrid.json", {/*商品总库存查询接口*/
        data: {
            rows: 1000,
            page: 1,
            status: '1',
            keyword: searchMsg,
        },
        headers: {
            'Content-Type': 'application/x-www-form-urlencoded'
        },
        xhrFields: {
            withCredentials: true
        },
        dataType: 'json',
        type: 'post',
        timeout: 10000,
        beforeSend: function() {
            // mask.show();//显示遮罩层
            mui('#dh')[0].style.display = "block";
        },
        complete: function() {
            //mask.close();//关闭遮罩层
            mui('#dh')[0].style.display = "none";
        },
        success: function (res) {
            if (res.success) {
                panDraftVM.searchStockList = res.data.list;
                panDraftVM.calculationSearchList();
                panDraftVM.searchStockList.sort(descCompare("model"));
                flag = false;
            } else {
                mui.toast(res.msg);
            }
        },
        error:function(res){
            var btnArray = ["重新加载"];
            mui.confirm('', '网络异常', btnArray, function(e) {
                window.location.href = 'cun.html';
            },'div')
        }
    });
}

function setListener() {
    setTimeout(function(){
        var u = navigator.userAgent;
        var isiOS = !!u.match(/\(i[^;]+;( U;)? CPU.+Mac OS X/); //ios终端
        if(isiOS){
            panDraftVM.byIOS=true;
        }
    },100);
    var pageHeight = sessionStorage.getItem("pageHeight");
    if (!pageHeight) {
        pageHeight = document.documentElement.clientHeight;
        sessionStorage.setItem("pageHeight", pageHeight);
    }
    document.getElementsByTagName("body")[0].style.height = pageHeight + "px";
    mui('body').on('tap', '.bar-fixed-bottom>a', function (e) {
        e.preventDefault();
        sessionStorage.removeItem("selProductList");
        sessionStorage.removeItem("alloctionProductList");
        sessionStorage.removeItem("selectedDepot");
        sessionStorage.removeItem("selectedSupplier");
        sessionStorage.removeItem("selectedBuyer");
        sessionStorage.removeItem("createDate");
        sessionStorage.removeItem("remark");
        sessionStorage.removeItem("alltRemark");
        sessionStorage.removeItem("product");
        sessionStorage.removeItem("pageTabId");
        sessionStorage.removeItem("searchMsg");
        var href = this.dataset.href;
        if (href) {
            if(href=="caigou"){
                localStorage.setItem('selStatus','1')
            }
            location.replace(href + ".html");
        }
    });
    /*退出按钮*/
    mui('#offCanvasSide').on('tap', '.outLogin', function (e) {
        mui.confirm('确定退出用户？', '提示', ["取消","确定"], function (e) {
            if (e.index == 1) {
                mui.ajax(severUrl + "logout", {
                    data: {},
                    headers: {
                        'Content-Type': 'application/x-www-form-urlencoded'
                    },
                    xhrFields: {
                        withCredentials: true
                    },
                    dataType: 'json',
                    type: 'post',
                    timeout: 10000,
                    complete: function () {
                        sessionStorage.removeItem("selectedDepot");
                        sessionStorage.removeItem("selectedSupplier");
                        sessionStorage.removeItem("selectedBuyer");
                        if(localStorage.getItem("v") == 2 || localStorage.getItem("v") == "2"){
                            window.LOGOUT.jsCallWebViewForLogout();
                        }
                        location.replace("login.html");
                    },
                });
            }
        },'div')
    });
    mui('body').on('tap', '.content-top-tab', function () {
        document.getElementById('popover').style.opacity = 0;
        mui("#popover").popover("hide");
    });
    mui('.mui-scroll-wrapper').scroll({
        deceleration: 0.0006 //flick 减速系数，系数越大，滚动速度越慢，滚动距离越小，默认值0.0006
    });
    mui("#stockTaking").on('tap', '.mui-switch', function (e) {
        e.stopPropagation();
    });
    //删除盘点信息
    mui("#stockTaking").on('tap', '.deleteProductItem', function (event) {
        event.stopPropagation();
        var btn = ["取消","确定"];
        mui.confirm('确认删除此条盘点信息吗？', '提示', btn, function (e) {
            if (e.index == 1) {
                var li = event.target.parentNode.parentNode.parentNode;
                var product_id = li.dataset.product_id;
                var flag = false;
                var listIndex = 0;
                var productIndex = 0;

                mui.each(panDraftVM.selProductList, function (index1, value) {
                    if (value.id == product_id) {
                        productIndex = index1;
                        if(value.list.length == 1){
                            flag = false;
                            return;
                        }else{
                            mui.each(value.list, function (index2, value2) {
                                if (value.id == product_id
                                    && value2.depot_id == panDraftVM.selectedDepot
                                    && value2.color_id == li.dataset.colorid
                                    && value2.size_id == li.dataset.sizeid
                                ) {
                                    listIndex = index2;
                                    flag = true;
                                    return;
                                }
                            });
                        }
                    }
                });

                if (flag) {
					//如果直接删除，那么在再未盘中就找不到对应的单品
                    panDraftVM.selProductList[productIndex].list.splice(listIndex, 1);
					// panDraftVM.selProductList[productIndex].list[listIndex].inventoryTotal=''
                    var dex=0;
                    $.each(panDraftVM.selProductList[productIndex].list,function(index,value){
                        if(value.inventoryTotal!=='' || value.inventoryType ==1){
                            dex++;
                            return false
                        }
                    });
                    if(dex==0){
                        panDraftVM.selProductList.splice(productIndex, 1);
                    }
                }else {
                    panDraftVM.selProductList.splice(productIndex, 1);
                }
                sessionStorage.setItem("selProductList", JSON.stringify(panDraftVM.selProductList));
                localStorage.setItem('selDraftProductList',JSON.stringify(panDraftVM.selProductList))
                panDraftVM.calculation();
            }
        },'div');
    });

    mui("#stockTaking").on('toggle', '.mui-switch', function (e) {
        var li = e.target.parentNode.parentNode.parentNode;
        var product_id = li.dataset.product_id;
        var index = li.dataset.index;
        mui.each(panDraftVM.selProductList, function (index1, value) {
            if (value.product_id == product_id && value.depot_id == panDraftVM.selectedDepot) {
                if (event.detail.isActive) {
                    value.list[index].ordertype = 1;
                } else {
                    value.list[index].ordertype = 0;
                }
                return false;
            }
        });
        panDraftVM.calculation();
    });
    mui("#commodityInto").on('tap', '.itemAdd', function () {
        sessionStorage.setItem("selectedDepot", panDraftVM.selectedDepot);
        sessionStorage.setItem("selectedSupplier", panDraftVM.selectedSupplier);
        sessionStorage.setItem("selectedBuyer", panDraftVM.selectedBuyer);
        sessionStorage.setItem("createDate", panDraftVM.createDate);
        sessionStorage.setItem("remark", panDraftVM.remark);
        sessionStorage.setItem("alltRemark", panDraftVM.alltRemark);
        localStorage.setItem("pageTabId", "inventoryQuery");
        sessionStorage.removeItem("selColorList");
        sessionStorage.removeItem("selSizeList");
        sessionStorage.removeItem("selList");
        sessionStorage.removeItem("barcodeList");
        sessionStorage.removeItem("name");
        sessionStorage.removeItem("model");
        sessionStorage.removeItem("material");
        sessionStorage.removeItem("purchase_price");
        sessionStorage.removeItem("sale_price");
        sessionStorage.removeItem("sale_price_b");
        sessionStorage.removeItem("otherAttrList");
        sessionStorage.removeItem("selListId");
        viewHandle.openWindow('itemAdd.html','itemAdd.html')
    })
    //盘点
    mui("#stockTaking").on('tap', '.selProductMenu', function () {
        sessionStorage.setItem("selectedDepot", panDraftVM.selectedDepot);
        localStorage.setItem("selectedDepot", panDraftVM.selectedDepot);
        sessionStorage.setItem("selectedSupplier", panDraftVM.selectedSupplier);
        sessionStorage.setItem("selectedBuyer", panDraftVM.selectedBuyer);
        sessionStorage.setItem("createDate", panDraftVM.createDate);
        sessionStorage.setItem("remark", panDraftVM.remark);
        sessionStorage.setItem("alltRemark", panDraftVM.alltRemark);
        sessionStorage.setItem("selProductList", JSON.stringify(panDraftVM.selProductList));
        localStorage.setItem("selDraftProductList", JSON.stringify(panDraftVM.selProductList));
        localStorage.setItem("pageTabId", "stockTaking");
        localStorage.removeItem("type")
        var product_id = this.dataset.product_id;
        var product ={product_id : '',name:'',purchase_price:'',model:'',id:'',product_name:'',sale_price:'',status:''};
        for (var i =0;i<panDraftVM.selProductList.length; i++){
            if(panDraftVM.selProductList[i].product_id==product_id){
                product.product_id=panDraftVM.selProductList[i].product_id;
                product.name=panDraftVM.selProductList[i].product_name;
                product.purchase_price=panDraftVM.selProductList[i].purchase_price;
                product.model=panDraftVM.selProductList[i].model;
                product.id=panDraftVM.selProductList[i].id;
                product.product_name=panDraftVM.selProductList[i].product_name;
                product.sale_price=panDraftVM.selProductList[i].sale_price;
                product.status=1;
                break;
            }
        }
        localStorage.setItem("product", JSON.stringify(product));
        var listSend = {};
        listSend.productId = product_id;
        listSend.type = 'panDraft'
        viewHandle.viewFire('goodsInventory.html','showInfo',listSend);
        viewHandle.openWindow('goodsInventory.html','goodsInventory.html',JSON.stringify(listSend))
        //location = 'goodsInventory.html?productId=' + product_id;
    });
    //盘点商品列表
    mui(".stockTak").on('tap', '.productList', function () {
        sessionStorage.setItem("selectedDepot", panDraftVM.selectedDepot);
        sessionStorage.setItem("selectedSupplier", panDraftVM.selectedSupplier);
        sessionStorage.setItem("selectedBuyer", panDraftVM.selectedBuyer);
        sessionStorage.setItem("createDate", panDraftVM.createDate);
        sessionStorage.setItem("remark", panDraftVM.remark);
        sessionStorage.setItem("alltRemark", panDraftVM.alltRemark);
        localStorage.setItem("pageTabId", "stockTaking");
        //sessionStorage.setItem("selProductList", JSON.stringify(panDraftVM.selProductList));
        localStorage.removeItem("inventoryProductList")
        var listSend = {};
        listSend.selectedDepot = panDraftVM.selectedDepot;
        listSend.selDraftProductList = JSON.parse(localStorage.getItem("selDraftProductList"))
        listSend.type = 'panDraft'
        viewHandle.viewFire('cunInventoryList.html','depot',listSend);
        viewHandle.openWindow('cunInventoryList.html','cunInventoryList.html',JSON.stringify(listSend))
    });

    mui("#stockTaking").on('tap', '.itemLink', function () {
        if(this.dataset.id == null){
            sessionStorage.removeItem("selColorList");
            sessionStorage.removeItem("selSizeList");
            sessionStorage.removeItem("selList");
            sessionStorage.removeItem("barcodeList");
            sessionStorage.removeItem("name");
            sessionStorage.removeItem("model");
            sessionStorage.removeItem("material");
            sessionStorage.removeItem("purchase_price");
            sessionStorage.removeItem("sale_price");
            sessionStorage.removeItem("otherAttrList");
            sessionStorage.removeItem("selListId");
            var arg = {};
            arg.model = panDraftVM.searchMsg;
            viewHandle.viewFire('itemAdd.html','modelAndName',arg);
            viewHandle.openWindow('itemAdd.html','itemAdd.html',JSON.stringify(arg));
            panDraftVM.searchMsg = '';
            panDraftVM.searchProduct()
        }else{
            var product ={product_id : '',name:'',purchase_price:'',model:'',id:'',product_name:'',sale_price:'',status:''};
            for (var i =0;i<panDraftVM.list.length; i++){
                if(panDraftVM.list[i].id==this.dataset.id){
                    product.product_id=panDraftVM.list[i].product_id;
                    product.name=panDraftVM.list[i].name;
                    product.purchase_price=panDraftVM.list[i].purchase_price;
                    product.model=panDraftVM.list[i].model;
                    product.id=panDraftVM.list[i].id;
                    product.product_name=panDraftVM.list[i].product_name;
                    product.sale_price=panDraftVM.list[i].purchase_price;
                    product.status=1;
                }
            }
            sessionStorage.setItem("selectedDepot", panDraftVM.selectedDepot);
            localStorage.setItem("selectedDepot", panDraftVM.selectedDepot);
            sessionStorage.setItem("selectedSupplier", panDraftVM.selectedSupplier);
            sessionStorage.setItem("selectedBuyer", panDraftVM.selectedBuyer);
            sessionStorage.setItem("createDate", panDraftVM.createDate);
            sessionStorage.setItem("remark", panDraftVM.remark);
            sessionStorage.setItem("product", JSON.stringify(product));
            localStorage.setItem("product", JSON.stringify(product));
            localStorage.setItem("pageTabId", "stockTaking");
            localStorage.removeItem("type")
            var cunCommonPurchaseList = JSON.parse(localStorage.getItem("cunCommonPurchaseList"));
            if (cunCommonPurchaseList) {
                mui.each(cunCommonPurchaseList, function (index, pdu) {
                    if (pdu.model == product.model) {
                        pdu.count++;
                        return false;
                    }
                    if (index == cunCommonPurchaseList.length - 1) {
                        cunCommonPurchaseList.push({ model: product.model, count: 1 });
                    }
                });
            } else {
                cunCommonPurchaseList = [];
                cunCommonPurchaseList.push({ model: product.model, count: 1 });
            }
            cunCommonPurchaseList.sort(function (a, b) {
                return a.count - b.count
            })
            localStorage.setItem("cunCommonPurchaseList", JSON.stringify(cunCommonPurchaseList));

            localStorage.setItem("product", JSON.stringify(product));
            var listSend = {};
            listSend.productId = this.dataset.id;
            listSend.type = 'panDraft'
            viewHandle.viewFire('goodsInventory.html','showInfo',listSend);
            viewHandle.openWindow('goodsInventory.html','goodsInventory.html',JSON.stringify(listSend))
            //location = 'goodsInventory.html?productId=' + this.dataset.id;
            panDraftVM.searchMsg='';
            mui("#cunPopover").popover("hide");
            $("#hidePopover").css('display','none');
        }
    });


    mui('body').on('tap', '.sousuo1', function () {
        $(".SearchIpt1").focus();
    });
    mui('body').on('tap', '.sousuo2', function () {
        $(".SearchIpt2").focus();
    });

    mui("#inventoryAllocation").on('tap', '.itemLink', function () {
        if(this.dataset.id == null){
            sessionStorage.removeItem("selColorList");
            sessionStorage.removeItem("selSizeList");
            sessionStorage.removeItem("selList");
            sessionStorage.removeItem("barcodeList");
            sessionStorage.removeItem("name");
            sessionStorage.removeItem("model");
            sessionStorage.removeItem("material");
            sessionStorage.removeItem("purchase_price");
            sessionStorage.removeItem("sale_price");
            sessionStorage.removeItem("otherAttrList");
            sessionStorage.removeItem("selListId");
            location = 'itemAdd.html?model='+panDraftVM.searchMsg+'&page=cun'
        }else{
            sessionStorage.setItem("invtDepotPrev", panDraftVM.out_depot);
            sessionStorage.setItem("invtDepotNext", panDraftVM.to_depot);
            if (panDraftVM.out_depot == '') {
                mui.toast("请选择调出仓库");
            } else if (panDraftVM.to_depot == '') {
                mui.toast("请选择调入仓库");
            } else {
                var product ={product_id : '',name:'',purchase_price:'',model:'',id:'',product_name:'',sale_price:'',status:''};
                for (var i =0;i<panDraftVM.list.length; i++){
                    if(panDraftVM.list[i].id==this.dataset.id){
                        product.product_id=panDraftVM.list[i].product_id;
                        product.name=panDraftVM.list[i].name;
                        product.purchase_price=panDraftVM.list[i].purchase_price;
                        product.model=panDraftVM.list[i].model;
                        product.id=panDraftVM.list[i].id;
                        product.product_name=panDraftVM.list[i].product_name;
                        product.sale_price=panDraftVM.list[i].purchase_price;
                        product.status=1;
                    }
                }
                sessionStorage.setItem("invtDepotPrev", panDraftVM.out_depot);
                sessionStorage.setItem("invtDepotNext", panDraftVM.to_depot);
                sessionStorage.setItem("alltRemark", panDraftVM.alltRemark);
                sessionStorage.setItem("invtproduct", JSON.stringify(product));
                localStorage.setItem("pageTabId", "inventoryAllocation");
                var cunCommonPurchaseList = JSON.parse(localStorage.getItem("cunCommonPurchaseList"));
                if (cunCommonPurchaseList) {
                    mui.each(cunCommonPurchaseList, function (index, pdu) {
                        if (pdu.model == product.model) {
                            pdu.count++;
                            return false;
                        }
                        if (index == cunCommonPurchaseList.length - 1) {
                            cunCommonPurchaseList.push({ model: product.model, count: 1 });
                        }
                    });
                } else {
                    cunCommonPurchaseList = [];
                    cunCommonPurchaseList.push({ model: product.model, count: 1 });
                }
                cunCommonPurchaseList.sort(function (a, b) {
                    return a.count - b.count
                });
                localStorage.setItem("cunCommonPurchaseList", JSON.stringify(cunCommonPurchaseList));
                var out_name,to_name,out_exist = false,to_exist = false;
                for (var i = 0, len = panDraftVM.depotList.length; i < len; i++) {
                    if (panDraftVM.depotList[i].id == panDraftVM.out_depot) {
                        out_name= panDraftVM.depotList[i].name;
                        out_exist = true;
                    }
                    if(panDraftVM.depotList[i].id == panDraftVM.to_depot){
                        to_name= panDraftVM.depotList[i].name;
                        to_exist = true;
                    }
                }
                if(out_exist && to_exist){
                    location = 'cunAlloction.html?productId=' + this.dataset.id + '&depotName=' + out_name +'&toDepotName=' + to_name;
                }
                panDraftVM.searchMsg='';
                mui("#panPopover").popover("hide");
                $("#hidePanPopover").css('display','none');
            }
        }

    });


    var toggleFlag = true;
    mui("#stockTaking").on('tap', '.toggle-state', function () {


        if (toggleFlag) {
            mui('#stockTaking .mui-icon-arrowup')[0].style.display = "block";
            mui('#stockTaking .selectForm')[0].style.display = "block";
            mui('#stockTaking .mui-icon-arrowdown')[0].style.display = "none";

            toggleFlag = false;
        }else {
            mui('#stockTaking .mui-icon-arrowup')[0].style.display = "none";
            mui('#stockTaking .selectForm')[0].style.display = "none";
            mui('#stockTaking .mui-icon-arrowdown')[0].style.display = "block";

            toggleFlag = true;
        }
    })

    var inventoryFlag = true;
    mui("#inventoryAllocation").on('tap', '.toggle-state', function () {
        if (inventoryFlag) {
            mui('#inventoryAllocation .mui-icon-arrowup')[0].style.display = "block";
            mui('.inventory-form')[0].style.display = "block";
            mui('#inventoryAllocation .mui-icon-arrowdown')[0].style.display = "none";

            inventoryFlag = false;
        }else {
            mui('#inventoryAllocation .mui-icon-arrowup')[0].style.display = "none";
            mui('.inventory-form')[0].style.display = "none";
            mui('#inventoryAllocation .mui-icon-arrowdown')[0].style.display = "block";

            inventoryFlag = true;
        }
    })

    //日期选择
    var dtpicker = new mui.DtPicker({
        type: "date",//设置日历初始视图模式
        labels: ['年', '月', '日']//设置默认标签区域提示语
    })
    mui('body').on('tap', '.diaoCreateDate', function () {
        var _self = this;
        dtpicker.show(function (e) {
            panDraftVM.createDate = e.text;
        })
    });
    mui('body').on('tap', '.panCreateDate', function () {
        var _self = this;
        dtpicker.show(function (e) {
            panDraftVM.createDate = e.text;
        })
    });

    mui('.inventorySearch').on('tap', '.mui-table-view-cell', function () {
        panDraftVM.searchMsg = "";
        sessionStorage.setItem("stockProduct_model", this.dataset.product_model);
        sessionStorage.setItem("stockProduct_id", this.dataset.product_id);
        localStorage.setItem("pageTabId", "inventoryQuery");
        sessionStorage.setItem("searchMsg", panDraftVM.searchMsg);
        location = 'inventorySearch.html'
        document.getElementById('popover').style.opacity = 0;
        panDraftVM.$nextTick(function () {
            mui("#popover").popover("hide");
            document.getElementsByClassName('mui-popover').style.opacity = 0;
        })
    });
    /*点击盘点按钮  弹出盘点列表*/
    mui('body').on('tap', '.inventory', function () {
        if (panDraftVM.selProductList.length == 0) {
            mui.toast('请选择盘点商品');
            return;
        }
        panDraftVM.is_draft = 0;
        panDraftVM.calculation();
        mui('#purchase').popover('toggle');
    });
    /*点击草稿按钮  弹出盘点列表*/
    mui('body').on('tap', '.inventory_draft', function () {
        if (panDraftVM.selProductList.length == 0) {
            mui.toast('请选择盘点商品');
            return;
        }
        showPurchase()
        function showPurchase() {
            panDraftVM.is_draft = 1;
            panDraftVM.calculation();
            mui('#purchase').popover('toggle');
        }


    });
    //盘点为0相关
    mui('body').on('tap', '.inventory_zero', function () {
        if(panDraftVM.selProductList.length <=0){
            mui.toast("请先盘点商品");
            return false
        }
        mui('#cunInfo')[0].style.display = 'none';
        mui('#pdZero')[0].style.display = 'block';

        let needSN = panDraftVM.vipLevel === '1' && panDraftVM.systemSetting.sn_setting === 1
        let product_ids = panDraftVM.selProductList.map(function (e) {
            return e.product_id
        })
        $API.order.queryOpByIds({
            product_ids: product_ids.join(';'),
            depot_id:  panDraftVM.detailList.depot_id,
            tracking_type: 1,
            needSN: needSN
        }).then(function(e) {
            if(!e.data){e.data=[]}
            const map = {}
            e.data.forEach(function(p) {
                if(!Array.isArray(map[p.product_id])){
                    map[p.product_id] = []
                }
                map[p.product_id].push(p)
            })
            for (let i = 0; i < panDraftVM.selProductList.length; i++) {
                const  currentProductId = panDraftVM.selProductList[i].product_id
                // 当前商品库存信息
                const data = map[currentProductId] || []

                data.forEach(function(p) {
                    let current = panDraftVM.selProductList[i].list.find(function (p2) {
                        return p2.color_id === p.color_id && p2.size_id === p.size_id && p2.product_id === p.product_id
                    })
                    // 当前数据不在列表中
                    if(!current){
                        p.inventoryTotal = ''
                        p.inventoryType = 0
                        if(p.product_sn_list){
                            p.product_sn_list = _.compact(p.product_sn_list.split(','))
                            p.product_sn_list_old = JSON.parse(JSON.stringify(p.product_sn_list))
                        }else{
                            p.product_sn_list = []
                            p.product_sn_list_old = []
                        }
                        panDraftVM.selProductList[i].list.push(p)
                    }
                })
            }

            localStorage.setItem('selDraftProductList',JSON.stringify(panDraftVM.selProductList))
            sessionStorage.setItem('selProductList',JSON.stringify(panDraftVM.selProductList))

        })
    });
    mui('body').on('tap', '.pdZeroSave', function () {
        if (chooseAllList.length <= 0) {
            mui.toast("请先盘点商品");
            return false
        }
        if (panDraftVM.vipLevel === '1' && panDraftVM.systemSetting.production_batch_setting === 1) {
            let loading = viewHandle.loading('请稍后..')
            let ids = chooseAllList.map(function (v){return v.product_color_size_id})
            $API.order.getBNListByIds({
                product_color_size_ids: "'" + ids.join("','") + "'",
                depot_id:  panDraftVM.detailList.depot_id
            }).then(function (e){
                loading.close()
                let data = {} // 商品批次数组 {product_color_size_id: BNList[设置为0]}
                e.data.forEach(function (e) {
                    if(!data[e.product_color_size_id]){
                        data[e.product_color_size_id] = []
                    }
                    data[e.product_color_size_id].push(e)
                    e.selectAmount = 0
                    e.amount = e.production_amount
                    delete e.purchase_price
                    delete e.production_amount
                })
                save('BN', data)

            }).catch(function (e) {
                loading.close()
            })

        }else{
            save()
        }

        function save(type, data) {
            mui('#cunInfo')[0].style.display = 'block';
            mui('#pdZero')[0].style.display = 'none';
            mui.each(chooseAllList,function (n,m) {
                mui.each(panDraftVM.selProductList,function (i,v) {
                    mui.each(v.list,function (j,k) {
                        if(m.product_id == k.product_id && m.color_id == k.color_id && m.size_id == k.size_id){
                            k.inventoryTotal = 0;
                            if(type === 'BN' && data && data[k.product_color_size_id]){
                                k.BNList = data[k.product_color_size_id]
                                data[k.product_color_size_id].forEach(function (c){
                                    c.color_name = k.color_name
                                    c.depot_name = cunVM.selectedDepot
                                    c.model = v.model
                                    c.name = v.name
                                    c.size_name = k.size_name
                                })
                            }
                            return false
                        }
                    })
                })
            })

            localStorage.setItem('selDraftProductList',JSON.stringify(panDraftVM.selProductList))
            sessionStorage.setItem('selProductList',JSON.stringify(panDraftVM.selProductList))
            var names = document.getElementsByName("checkChild");
            document.getElementsByName("chooseAll")[0].checked = false;
            for(var i =0; i<names.length; i++) {
                names[i].checked = false
            }
            chooseAllList = [];
        }
    });
    mui('body').on('tap', '.pdZeroBack', function () {
        mui('#cunInfo')[0].style.display = 'block';
        mui('#pdZero')[0].style.display = 'none';
        var names = document.getElementsByName("checkChild");
        document.getElementsByName("chooseAll")[0].checked = false;
        for(var i =0; i<names.length; i++) {
            names[i].checked = false
        }
        chooseAllList = [];
    });


    //扫码盘点
    mui("#stockTaking").on('tap', '.sweepCode', function () {
        if(!panDraftVM.stockManager){ //盘点权限
            mui.toast("您没有该权限");
            return
        }
        mui.each(panDraftVM.depotList, function (index, value) {
            if (value.id == panDraftVM.selectedDepot) {
                var depot = value.name;
                if (value.name.indexOf('#') != -1) {
                    depot = encodeURIComponent(value.name);
                }
                var cookie ='ecp_cookie='+localStorage.getItem("HF");
                var sendUrl = 'zhijianjxcapp://productscan/param?depot_id=' + panDraftVM.selectedDepot + '&depot_name=' + depot + '&ordertype=1' + '&is_manager='+panDraftVM.purchaseManager;
                if (mui.os.ios == true) {
                    sweepCode_i(cookie,sendUrl,888)
                } else if (mui.os.android == true) {
                    sweepCode(cookie,sendUrl,888)
                }
            }
        });
    });


    /*点击盘点弹出框中的 取消按钮*/
    mui('body').on('tap', '.cancelPurchase', function () {
        mui('#alloation').popover('hide');
        mui('#purchase').popover('hide');
    });

    mui('body').on('tap', '.firstSlider', function () {
        this.style.color = "#fff";
        var self = this;
        var itl = setTimeout(function () {
            self.style.color = "#000";
            clearTimeout(itl);
        }, 100);
        var sliderIndex = mui('#slider .mui-slider-item.mui-active')[0].dataset.index;
        var gallery = mui('#slider');
        gallery.slider().gotoItem(--sliderIndex);
    });
    mui('body').on('tap', '.firstSliderTB', function () {
        this.style.color = "#fff";
        var self = this;
        var itl = setTimeout(function () {
            self.style.color = "#000";
            clearTimeout(itl);
        }, 100);
        var sliderIndex = mui('#db .mui-slider-item.mui-active')[0].dataset.index;
        var gallery = mui('#db');
        gallery.slider().gotoItem(--sliderIndex);
    });

    mui('body').on('tap', '#inventoryQuery', function () {
        mui("#popover").popover("hide");
    });
    mui('body').on('tap', '#searchIpt', function (e) {
        e.stopPropagation();
    });
    mui('body').on('tap', '.lastSliderTB', function () {
        this.style.color = "#fff";
        var self = this;
        var itl = setTimeout(function () {
            self.style.color = "#000";
            clearTimeout(itl);
        }, 100);
        var sliderIndex = mui('#db .mui-slider-item.mui-active')[0].dataset.index;
        var gallery = mui('#db');
        gallery.slider().gotoItem(++sliderIndex);
    });

    /*点击库存查询的查询按钮*/
    mui('body').on('tap', '.searchStock', function () {
        getStockList(panDraftVM.searchMsgInput);
    });

    //盘点
    mui('body').on('tap', '.cgCreateOrder', function () {
        mui('#purchase').popover('toggle');
        if (panDraftVM.selProductList.length != 0) {
            var productList = [];
            mui.each(panDraftVM.selProductList, function (index, product) {
                if (product.depot_id == panDraftVM.selectedDepot) {
                    mui.each(product.list, function (index2, value) {
                        if (value.inventoryTotal!==''  || value.inventoryType==1) {
                            let p = {
                                product_id: product.product_id,
                                product_model: product.model,
                                type: value.ordertype,
                                purchase_price: product.purchase_price,
                                sale_price: product.sale_price || '', // TODO 某些情况下为 undefined
                                color_id: value.color_id,
                                color_name: value.color_name,
                                size_id: value.size_id,
                                size_name: value.size_name,
                                pre_amount: value.amount,
                                now_amount: value.inventoryTotal,
                                product_sn_list:value.product_sn_list || '',
                                product_name: product.name,
                                product_color_size_id: value.product_color_size_id
                            }
                            if(value.BNList && value.BNList.length){
                                p.bn_list = []
                                value.BNList.forEach(function(v) {
                                    p.bn_list.push({
                                        production_batch_id: v.isNew ? '': v.id,
                                        production_batch_number: v.production_batch_number || '',
                                        production_date_str: v.production_date_timestamp ? $comm.DATE_UTIL.formatDate(new Date(v.production_date_timestamp), false) : '',
                                        production_amount: value.isOrgAmount ? v.amount : Number((v.selectAmount - v.amount).toFixed(4)),
                                        product_color_size_id: v.product_color_size_id,
                                        expire_date_ms: v.expire_date_ms
                                    })
                                })
                                p.bn_list_length = p.bn_list.length
                            }
                            productList.push(p);
                        }
                    })
                }
            });
            var date = new Date();
            var time = panDraftVM.createDate + " " + (date.getHours() < 10 ? ("0" + date.getHours()) : date.getHours()) + ":" + (date.getMinutes() < 10 ? ("0" + date.getMinutes()) : date.getMinutes()) + ":" + (date.getSeconds() < 10 ? ("0" + date.getSeconds()) : date.getSeconds());
            let data = {
                id: '',
                remark: panDraftVM.remark,
                sign_date: time,
                customer_id: panDraftVM.selectedSupplier,
                depot_id: panDraftVM.selectedDepot,
                productlistlength: productList.length,
                productlist: productList,
                is_draft: panDraftVM.is_draft
            }
            data = JSON.parse(JSON.stringify(data))
            submit(data)
            function submit(data) {
                mui.ajax(severUrl + "scm/stockCheck/save.json", {
                    async:false,
                    data: data,
                    headers: {
                        'Content-Type': 'application/x-www-form-urlencoded'
                    },
                    xhrFields: {
                        withCredentials: true
                    },
                    dataType: 'json',
                    type: 'post',
                    timeout: 10000,
                    success: function (res) {
                        mui.toast(res.msg);
                        if (res.success) {
                            localStorage.setItem("productListPage","refresh");
                            localStorage.setItem("pinProductListPage","refresh");
                            localStorage.setItem("draftProductListPage","refresh");
                            localStorage.setItem("pinDraftProductListPage","refresh");
                            localStorage.setItem("cunInventoryListPage","refresh");
                            localStorage.setItem("cunAlloctionListPage","refresh");
                            sessionStorage.removeItem("selProductList");
                            localStorage.removeItem("selDraftProductList");
                            sessionStorage.removeItem("selectedDepot");
                            panDraftVM.selProductList = [];
                            panDraftVM.remark = "";
                            panDraftVM.calculation();
                            mui.ajax(severUrl + "scm/stockCheck/del.json",{
                                async:false,
                                data:{
                                    id:panDraftVM.histDetail_id,
                                },
                                headers: {
                                    'Content-Type':'application/x-www-form-urlencoded'
                                },
                                xhrFields: {
                                    withCredentials: true
                                },
                                dataType:'json',//服务器返回json格式数据
                                type:'post',//HTTP请求类型
                                timeout:10000,//超时时间设置为10秒；
                                success:function(res){
                                    viewHandle.viewFire('cun.html','panDraftBack')
                                    viewHandle.back('close')
                                }
                            });
                        }
                        if (res.status === 222) {
                            mui.confirm(res.msg, '提示？', ['确定盘点', '返回修改'], function (e) {
                                if(e.index === 0){
                                    data.force_impl_mismatched_pb = 1
                                    submit(data)
                                }
                            },'div')
                        }
                    }
                });
            }

        }
    });
    /**
     *
     *得到一个月最大天数
     */
    function getLastDay(year, month) {
        var new_year = year;
        var new_month = month++;

        if (month > 12) {
            new_month -= 12;
            new_year++;
        }
        var new_date = new Date(new_year, new_month, 1);
        return (new Date(new_date.getTime() - 1000 * 60 * 60 * 24)).getDate();
    }


    //日期选择
    var lsDateFirst = new mui.DtPicker({
        type: "date",
        labels: ['年', '月', '日']
    })
    var lsDateLast = new mui.DtPicker({
        type: "date",
        labels: ['年', '月', '日']
    })
    var cgDateFirst = new mui.DtPicker({
        type: "date",
        labels: ['年', '月', '日']
    })
    var cgDateLast = new mui.DtPicker({
        type: "date",
        labels: ['年', '月', '日']
    })
    var createDate = new mui.DtPicker({
        type: "date",
        labels: ['年', '月', '日']
    })
    mui('body').on('tap', '.lsDateFirst', function () {
        var _self = this;
        lsDateFirst.show(function (e) {
            panDraftVM.lsDateFirst = e.text;
        })
    });
    mui('body').on('tap', '.lsDateLast', function () {
        var _self = this;
        lsDateLast.show(function (e) {
            panDraftVM.lsDateLast = e.text;
        })
    });
    mui('body').on('tap', '.cgDateFirst', function () {
        var _self = this;
        cgDateFirst.show(function (e) {
            panDraftVM.cgDateFirst = e.text;
        })
    });
    mui('body').on('tap', '.cgDateLast', function () {
        var _self = this;
        cgDateLast.show(function (e) {
            panDraftVM.cgDateLast = e.text;
        })
    });
    mui('body').on('tap', '.createDate', function () {
        var _self = this;
        createDate.show(function (e) {
            panDraftVM.createDate = e.text;
        })
    });
}

/**
 * 数组去重
 */
Array.prototype.unique = function(){
    this.sort(); //先排序
    var res = [this[0]];
    for(var i = 1; i < this.length; i++){
        if(this[i] !== res[res.length - 1]){
            res.push(this[i]);
        }
    }
    return res;
}

//调拨历史
function searchStock(start_date, end_date) {
    mui.ajax(severUrl + "scm/stockAllot/dataGrid.json", {
        data: {
            start_date: start_date,
            end_date: end_date,
            rows: 500,
            page: 1
        },
        headers: {
            'Content-Type': 'application/x-www-form-urlencoded'
        },
        xhrFields: {
            withCredentials: true
        },
        dataType: 'json',
        type: 'post',
        timeout: 10000,
        success: function (res) {
            if (res.success) {
                for (var i = 0, len = res.data.list.length; i < len; i++) {
                    var productlistnames = res.data.list[i].productlistnames.split(';');
                    var newProductNames = productlistnames.unique();
                    res.data.list[i].productlistnames = newProductNames.join(';');
                }

                panDraftVM.allocationHistoryList = res.data.list;
                mui.each(res.data.list, function (index, value) {
                    mui.each(panDraftVM.depotList, function (index1, value1) {
                        if (value.out_depot_id == value1.id) {
                            value.out_depot_name = value1.name;
                        } else if (value.to_depot_id == value1.id) {
                            value.to_depot_name = value1.name;
                        }
                    })
                })
                panDraftVM.calculationcg();
            } else {
                mui.toast(res.msg);
            }
        }
    });
}
//盘点历史
function searchHistory(start_date, end_date) {
    mui.ajax(severUrl + "scm/stockCheck/dataGrid.json", {
        data: {
            start_date: start_date,
            end_date: end_date,
            rows: 500,
            page: 1
        },
        headers: {
            'Content-Type': 'application/x-www-form-urlencoded'
        },
        xhrFields: {
            withCredentials: true
        },
        dataType: 'json',
        type: 'post',
        timeout: 10000,
        success: function (res) {
            if (res.success) {
                // 详情-并合并相同货号
                for (var i = 0, len = res.data.list.length; i < len; i++) {
                    var productlistnames = res.data.list[i].productlistnames.split(';');
                    var newProductNames = productlistnames.unique();
                    res.data.list[i].productlistnames = newProductNames.join(';');
                }

                panDraftVM.searchHistoryList = res.data.list;
                panDraftVM.calculationls();
            } else {
                mui.toast(res.msg);
            }
        }
    });
}

mui('body').on('tap', '.kefu', function(){
    location = 'message.html?page=' + 'cun';
});

mui('.sideNavigation').on('tap', '.userInfo', function(){
    location = 'view/userInfo.html';
});

/**
 * desc
 * @param {*} propertyName
 */
function descCompare(propertyName) {
    return function (object1, object2) {
        var value1 = object1[propertyName];
        var value2 = object2[propertyName];
        if (value2 < value1) {
            return -1;
        } else if (value2 > value1) {
            return 1;
        } else {
            return 0;
        }
    }
}

/**
 * asc
 * @param {*} propertyName
 */
function ascCompare(propertyName) {
    return function (object1, object2) {
        var value1 = object1[propertyName];
        var value2 = object2[propertyName];
        if (value2 > value1) {
            return -1;
        } else if (value2 < value1) {
            return 1;
        } else {
            return 0;
        }
    }
}

/**
 * 升序、降序
 */
var flag=false;
mui('body').on('tap', '.click-th', function () {
    // 显示排序箭头
    var sort = document.getElementsByClassName('theadbgc')[1].getElementsByClassName('sort');

    for (var i = 0, len = sort.length; i < len; i++) {
        sort[i].classList.add("sort-img");
    }

    if (this.innerHTML.indexOf('sort-img') != -1) {
        this.getElementsByClassName('sort')[0].classList.remove("sort-img");
        var type = this.getElementsByClassName('sort')[0].getElementsByTagName('img')[0].dataset.type;

        panDraftVM.searchStockList.sort(descCompare(type));
    }

    //排序
    switch (this.dataset.type) {
        case 'model':
            if (flag) {
                panDraftVM.searchStockList.sort(descCompare("model"));
                this.getElementsByTagName('img')[0].src = 'img/down.png';
                flag = false;
            } else {
                panDraftVM.searchStockList.sort(ascCompare("model"));
                this.getElementsByTagName('img')[0].src = 'img/up.png';
                flag = true;
            }
            break;

        case 'product_name':
            if (flag) {
                panDraftVM.searchStockList.sort(descCompare("product_name"));
                this.getElementsByTagName('img')[0].src = 'img/down.png';
                flag = false;
            } else {
                panDraftVM.searchStockList.sort(ascCompare("product_name"));
                this.getElementsByTagName('img')[0].src = 'img/up.png';
                flag = true;
            }
            break;

        case 'purchase_price':
            if (flag) {
                panDraftVM.searchStockList.sort(descCompare("purchase_price"));
                this.getElementsByTagName('img')[0].src = 'img/down.png';
                flag = false;
            } else {
                panDraftVM.searchStockList.sort(ascCompare("purchase_price"));
                this.getElementsByTagName('img')[0].src = 'img/up.png';
                flag = true;
            }
            break;

        case 'sale_price':
            if (flag) {
                panDraftVM.searchStockList.sort(descCompare("sale_price"));
                this.getElementsByTagName('img')[0].src = 'img/down.png';
                flag = false;
            } else {
                panDraftVM.searchStockList.sort(ascCompare("sale_price"));
                this.getElementsByTagName('img')[0].src = 'img/up.png';
                flag = true;
            }
            break;

        case 'amount':
            if (flag) {
                panDraftVM.searchStockList.sort(descCompare("amount"));
                this.getElementsByTagName('img')[0].src = 'img/down.png';
                flag = false;
            } else {
                panDraftVM.searchStockList.sort(ascCompare("amount"));
                this.getElementsByTagName('img')[0].src = 'img/up.png';
                flag = true;
            }
            break;

    }

});
mui('.mui-bar').on('tap', '.back-cg', function () {
    sessionStorage.removeItem("remark");
    localStorage.removeItem("selProductList");
    localStorage.removeItem("selDraftProductList");
    sessionStorage.removeItem("selProductList");
    viewHandle.back('close')
});
mui('.mui-bar').on('tap', '.delDraft', function () {

    var  btnArray=['取消','确定'];
    mui.confirm('是否删除盘点草稿', '删除',btnArray, function(e){
        if(e.index == 1) {
            sessionStorage.removeItem("remark");
            localStorage.removeItem("selProductList");
            localStorage.removeItem("selDraftProductList");
            sessionStorage.removeItem("selProductList");

            mui.ajax(severUrl + "scm/stockCheck/del.json",{
                async:false,
                data:{
                    id:panDraftVM.histDetail_id
                },
                headers: {
                    'Content-Type':'application/x-www-form-urlencoded'
                },
                xhrFields: {
                    withCredentials: true
                },
                dataType:'json',//服务器返回json格式数据
                type:'post',//HTTP请求类型
                timeout:10000,//超时时间设置为10秒；
                success:function(res){
                    mui.toast(res.msg);
                    setTimeout(function(){
                        var listSend = {};
                        listSend.id = panDraftVM.histDetail_id;
                        viewHandle.viewFire('cun.html','historyBack',listSend);
                        viewHandle.back('close')
                    },350)
                }
            });
        }
    },'div');
});
function getGoodsMenu(){
    panDraftVM.realname=sessionStorage.getItem("realname");
    panDraftVM.histDetail_id=sessionStorage.getItem("histDetail_id");
    mui.ajax(severUrl + "scm/stockCheck/qryOp.json",{
        async:false,
        data:{
            id:panDraftVM.histDetail_id
        },
        headers: {
            'Content-Type':'application/x-www-form-urlencoded'
        },
        xhrFields: {
            withCredentials: true
        },
        dataType:'json',//服务器返回json格式数据
        type:'post',//HTTP请求类型
        timeout:10000,//超时时间设置为10秒；
        success:function(res){
            if(res.status==200){
                panDraftVM.detailList=res.data;
                let productList=res.data.productlist;
				//赋值序列号
                if(panDraftVM.vipLevel === '1' && panDraftVM.systemSetting.sn_setting == 1){
                    productList.forEach(function(v){
                        let snString = v.product_sn_list || ''
                        let sn_list = snString.split(',');
                        sn_list = sn_list.filter(function(sn){
                            return sn !='' && sn != null
                        }) || []
                        v.product_sn_list=sn_list
                    })
                } else if (panDraftVM.vipLevel === '1' && panDraftVM.systemSetting.production_batch_setting === 1) {
                    productList.forEach(function(v){
                        if(v.bn_list){
                            v.BNList = v.bn_list
                            v.isOrgAmount = true
                        }
                    })
                } else {
                   productList.forEach(function(v){
                        v.product_sn_list = []
                    })
                }
                panDraftVM.productList = productList
                panDraftVM.remark = res.data.remark || ''
                loadProductDtsInfo();
            }else{
                mui.toast(res.msg)
            }
        }
    });
}
function loadProductDtsInfo() {
    localStorage.removeItem('selDraftProductList')
    sessionStorage.removeItem('selProductList')
    var product_id = new Array()
    product_id[0]=panDraftVM.productList[0].product_id;
    for(var i=1;i<panDraftVM.productList.length;i++){
        var j=0;
        for(j;j<product_id.length;j++){
            if(product_id[j]==panDraftVM.productList[i].product_id){
                break;
            }

        }
        if(j==product_id.length){
            product_id[product_id.length]=panDraftVM.productList[i].product_id;
        }
    }

	let loading = viewHandle.loading('查询中...')
    $API.order.queryOpByIds({
        product_ids: product_id.join(';'),
        depot_id: panDraftVM.detailList.depot_id,
        tracking_type: 1
    }).then(function(e){
        loading.close()

        product_id.forEach(function(i, index){
            let data = e.data.filter(function(item){return item.product_id === i})
            process(data, i, index)
        })
        function process(data, product_id, index){

            let product = {}
            var colorList=[];
            var sizeList=[];
            mui.each(data,function(index,value){
                value.inventoryTotal='';
                value.ordertype=0;
                value.inventoryType=0; // 盘点类型 0:手动选择，1:扫码
                if(index!=0){
                    var i,j;
                    for(i=0;i<colorList.length;i++){
                        if(value.color_id==colorList[i].color_id){
                            break;
                        }
                    }
                    for(j=0;j<sizeList.length;j++){
                        if(value.size_id==sizeList[j].size_id){
                            break;
                        }
                    }
                    if(i==colorList.length){
                        colorList.push({color_name:value.color_name,color_id:value.color_id});
                    }
                    if(j==sizeList.length){
                        sizeList.push({size_name:value.size_name,size_id:value.size_id});
                    }
                }else{
                    colorList.push({color_name:value.color_name,color_id:value.color_id});
                    sizeList.push({size_name:value.size_name,size_id:value.size_id});
                }
            });
            product.list=data;

            panDraftVM.selProductList[index]=product;
            panDraftVM.selProductList[index].product_id = product_id;
            for(var c=0;c<panDraftVM.productList.length;c++){
                if(panDraftVM.selProductList[index].product_id==panDraftVM.productList[c].product_id){
                    panDraftVM.selProductList[index].model=panDraftVM.productList[c].product_model;
                    // panDraftVM.selProductList[i].amt=1;
                    panDraftVM.selProductList[index].amt=panDraftVM.productList[c].purchase_price;
                    panDraftVM.selProductList[index].depot_id=panDraftVM.detailList.depot_id;
                    panDraftVM.selProductList[index].id = product_id;
                    panDraftVM.selProductList[index].name=panDraftVM.productList[c].name;
                    panDraftVM.selProductList[index].product_name=panDraftVM.productList[c].name;
                    panDraftVM.selProductList[index].purchase_price=panDraftVM.productList[c].purchase_price;
                    for(var d=0;d<panDraftVM.selProductList[index].list.length;d++){
                        if(panDraftVM.selProductList[index].list[d].color_id==panDraftVM.productList[c].color_id && panDraftVM.selProductList[index].list[d].size_id==panDraftVM.productList[c].size_id){
                            panDraftVM.selProductList[index].list[d].inventoryTotal=numToCur(panDraftVM.productList[c].now_amount,panDraftVM.systemSetting.amount_decimals_setting);
                            panDraftVM.selProductList[index].list[d].product_sn_list=panDraftVM.productList[c].product_sn_list;
                            panDraftVM.selProductList[index].list[d].product_sn_list_old=_.compact(panDraftVM.productList[c].product_sn_list);
                            panDraftVM.selProductList[index].list[d].BNList = panDraftVM.productList[c].BNList
                            panDraftVM.selProductList[index].list[d].isOrgAmount = panDraftVM.productList[c].isOrgAmount
                            panDraftVM.selProductList[index].list[d].product_color_size_id =  panDraftVM.productList[c].product_color_size_id
                        }
                    }

                }
            }

        }
        panDraftVM.calculation();
        console.log(e,panDraftVM.selProductList)
        var msg='[';
        for(var e=0;e<panDraftVM.selProductList.length;e++){
            console.log(panDraftVM.selProductList[e])
            msg=msg+'{\"product_id\":'+'\"'+panDraftVM.selProductList[e].product_id+'\",';
            msg=msg+'\"model\":'+'\"'+panDraftVM.selProductList[e].model+'\",';
            msg=msg+'\"amt\":'+panDraftVM.selProductList[e].amt+',';
            msg=msg+'\"depot_id\":'+'\"'+panDraftVM.selProductList[e].depot_id+'\",';
            msg=msg+'\"id\":'+'\"'+panDraftVM.selProductList[e].id+'\",';
            msg=msg+'\"name\":'+'\"'+panDraftVM.selProductList[e].name+'\",';
            msg=msg+'\"product_name\":'+'\"'+panDraftVM.selProductList[e].product_name+'\",';
            msg=msg+'\"purchase_price\":'+panDraftVM.selProductList[e].purchase_price+',';
            msg=msg+'\"list\":'+JSON.stringify(panDraftVM.selProductList[e].list)+'}';
            if(e!=panDraftVM.selProductList.length-1){
                msg=msg+',';
            }
        }
        msg = msg+']';

        localStorage.setItem("selDraftProductList",msg);
        getSelProductList();

        console.log(e,panDraftVM.selProductList)
    }).catch(function(){
        loading.close()
    })
}
function calculation(){
    var inventoryTotal=0;
    var beforeInventoryTotal=0;
    var profitCount=0;
    var profitPrice=0;
    mui.each(this.product.list,function(index,value){
        if(value.inventoryTotal!==''){
            beforeInventoryTotal+=value.amount;
            inventoryTotal+=value.inventoryTotal;
        }
    });
    this.inventoryTotal=inventoryTotal;
    this.beforeInventoryTotal=beforeInventoryTotal;
    this.profitCount=inventoryTotal-beforeInventoryTotal;
    this.profitPrice=numToCur((inventoryTotal-beforeInventoryTotal)*this.purchase_price,panDraftVM.systemSetting.price_decimals_setting,'price');
}

//盘点为0
var chooseAllList = [];
function chooseAll(e){
    var list = []
    var names = document.getElementsByName("checkChild");
    var flag = false;
    for(var i =0; i<names.length; i++) {
        if($(e)[0].checked){
            flag = true;
            names[i].checked = true
            chooseAllList = list;
        }else{
            flag = false;
            names[i].checked = false
        }
    }
    if(flag){
        mui.each(panDraftVM.selProductList,function (j,k) {
            mui.each(k.list,function (i,v) {
                if(v.inventoryTotal==='' && v.inventoryType ==0){
                    list.push(v)
                }
            })
        })
        chooseAllList = list
    }else{
        chooseAllList = []
    }
}

window.addEventListener("set_back", function(e) {
	var product_id = e.detail.product_id,
		item = e.detail.item,
		product_sn_list = e.detail.product_sn_list || [];
	product_sn_list = _.compact(product_sn_list)
	var type = e.detail.type;
	if (mui.os.ios) {
		mui.plusReady(function() {
			setTimeout(function() {
				snsAdd()
			}, 200)
		})
	} else {
		snsAdd()
	}
	function snsAdd() {
		var selProductList = [];
		selProductList = panDraftVM.selProductList;
		if (selProductList) {
			mui.each(selProductList, function(sel, product) {
				if (product.product_id == product_id) {
					mui.each(product.list, function(pro, list) {
						if (list.color_id == item.color_id && list.size_id == item.size_id) {
							return list.product_sn_list = product_sn_list;
						}
					})
				}
			})
			panDraftVM.selProductList = selProductList;
		}
	}
})
