function getQueryString(name) {
	var reg = new RegExp("(^|&)" + name + "=([^&]*)(&|$)", "i");
	var r = window.location.search.substr(1).match(reg);
	if (r != null) return decodeURIComponent(r[2]); return null;
}
let loading
function setLoading(type){
	mui.plusReady(function(){
		if(!loading) {
			loading = $comm.showLoading('请稍后..', {back: 'transmit'})
			setTimeout(function(){
				if(loading){
					mui.toast('网络错误')
					loading.close()
					loading = null
					back()
				}
			},10000)
		}
	})
}
// 等待 数据全部获取 然后更新从开单列表中传递的价格
let loadingList = [false,false,false]
let amt;
function updateAmt(index){
	loadingList[index] = true
	if(loadingList.indexOf(false) === -1 && loading){
		loading.close()
		loading = null
	}
	if(!amt)return false
	if(loadingList.indexOf(false) === -1){
		setTimeout(function(){
			goodsMenuVM.sale_price = numToCur(amt,goodsMenuVM.systemSetting.price_decimals_setting,'price');
		},150)
	}
}
var hasLast = false;
window.addEventListener("showInfo",function(e){
	goodsMenuVM.type = e.detail.type;
	if(e.detail.selectDepot){
		sessionStorage.setItem("selectedDepot",e.detail.selectDepot);
		sessionStorage.setItem("productId",e.detail.product_id);
		goodsMenuVM.selectedDepot = e.detail.selectDepot
	}
	sessionStorage.setItem("defaultCustomer",e.detail.defaultCustomer);
	sessionStorage.setItem("selectedBuyer",e.detail.selectedBuyer);
	loadingList = [false,false,false]
	setLoading()
	loadPRoductDtsInfo();
	getGoodsMenu();
	kufang();
	goodsMenuVM.flogAmt=false
});
mui.plusReady(function(){
	// mui.toast('arg:'+ plus.webview.currentWebview().arg) // debug
	var arg = plus.webview.currentWebview().arg;
	if(arg){
		console.log(arg)
		arg = JSON.parse(arg);
		goodsMenuVM.type = arg.type;
		sessionStorage.setItem("defaultCustomer",arg.defaultCustomer);
		sessionStorage.setItem("selectedBuyer",arg.selectedBuyer);
		if(arg.selectDepot){
			sessionStorage.setItem("selectedDepot",arg.selectDepot);
			sessionStorage.setItem("productId",arg.product_id);
			goodsMenuVM.selectedDepot = arg.selectDepot
		}
		goodsMenuVM.flogAmt=false
		if(arg.type || arg.type === 0){
			loadingList = [false,false,false]
			setLoading()
		}
		loadPRoductDtsInfo();
		getGoodsMenu();
		kufang();
	}
});
window.addEventListener("editRefresh",function(){ //修改更新
	goodsMenuVM.flogAmt=false
	loadingList = [false,false,false]
	setLoading()
	loadPRoductDtsInfo();
	getGoodsMenu();
	kufang()
});
window.addEventListener("selectedType",function(e){
	console.log('selectedType:', e.detail.selectedType)
	goodsMenuVM.selectedType = e.detail.selectedType
});
mui.plusReady(function(){
	var args = JSON.parse(plus.webview.currentWebview().arg||'{}');
	if(args.selectedType !== undefined){
		console.log('args.selectedType:', args.selectedType)
		goodsMenuVM.selectedType = args.selectedType
	}
});
var goodsMenuVM = new Vue({
	el: '#goodsMenuVM',
	data: {
		systemSetting:{},
		colorList: [],
		sizeList: [],
		selTabId: '',
		product: { model: '', purchase_price: '', realname: '' },
		sale_price: 0.00,
		sale_price_show: 0.00,
		sale_price2: '***',
		totalPrice: "",
		totalAmount: "",
		selectedDepot: "",
		titleSwitch: true,
		stock: '',
		isOpen: false,
		goodInfo: '',
		buyerName: '',
		recentAmt: [],
		total: 0,
        sale_price_A:'',
        sale_price_B:'',
		last_sale:0, //上次销售价
		customer_category_price:0, //客户分类价
		//全行业参数
		size_show: localStorage.getItem("size_show") || 1,
		color_show: localStorage.getItem("color_show") || 1 ,
		unit_show: localStorage.getItem("unit_show") || 0,
		origin_specification: localStorage.getItem("origin_specification") || 0,
		unitChooseList:[],
		unitChoose:'',
		unitChooseName:'',
		unitMinName:'',
		temporary:'',
		type:0,
		saleChoose:"",//客户分类价
		//权限相关
		positionName:false,
		stockManager:false,
		purchaseManager:false,
		companySetIndustry:true,
		labelPprinter:false,
		faAccount:true,
		is_advanced:0,
		company_name:'',
		company_id:'',
		user_id:'',
		jifenshow:false,
		bindDepot:-1,
		convert: 1,//库存换算规则
        customize: false,//手动选择 自定义
		//--------------------
		flogAmt:false
	},
	watch: {
		unitChoose: {
			handler: function (newVal,oladVal) {
				console.error(`unitChoose--${oladVal}--${newVal}`)
				if(hasLast){
					goodsMenuVM.sale_price_show = numToCur(goodsMenuVM.sale_price,goodsMenuVM.systemSetting.price_decimals_setting,'price');
					goodsMenuVM.sale_price = numToCur(goodsMenuVM.sale_price_show,goodsMenuVM.systemSetting.price_decimals_setting,'price');
					mui.each(goodsMenuVM.unitChooseList,function(i,v){
						if(v.id == goodsMenuVM.unitChoose) {
							goodsMenuVM.unitChooseName = v.name;
						}
					})
					hasLast = false;
					goodsMenuVM.findColor(numToCur(goodsMenuVM.sale_price,goodsMenuVM.systemSetting.price_decimals_setting,'price'));
					return false
				}
				goodsMenuVM.unitChooseName = '';
				mui.each(goodsMenuVM.unitChooseList,function(i,v){
					if(v.id == goodsMenuVM.unitChoose){
						goodsMenuVM.unitChooseName = v.name;
						goodsMenuVM.convert = v.ratio || 1
                        if(goodsMenuVM.customize){
                        	if(goodsMenuVM.product != '' && goodsMenuVM.product.list !=undefined && goodsMenuVM.product.list.length>0){
								mui.each(goodsMenuVM.product.list,function(i,v){
									var	this_amount = numToCur(v.amount / (goodsMenuVM.convert || 1),goodsMenuVM.systemSetting.amount_decimals_setting)
									if(this_amount < v.count && v.count > 0){
										var btn = ["取消","确定"];
										mui.confirm('销售数量超过库存，是否继续', '提示', btn, function (e) {
											if (e.index == 0) {
												mui.each(goodsMenuVM.product.list,function(i,v){
													var	this_amount = numToCur(v.amount / (goodsMenuVM.convert || 1),goodsMenuVM.systemSetting.amount_decimals_setting)
													if(this_amount < v.count){
														v.count = 0
													}
												})
											}
										},'div');
										return false
									}
								})
							}
                            goodsMenuVM.customize = false
                        }
						var hasOld = false,oldPrice = 0;
						var AB_price=JSON.parse(localStorage.getItem("AB_price"))||[];
						var productId=sessionStorage.getItem('productId') || localStorage.getItem('productId') || getQueryString('productId');
						var depot =sessionStorage.getItem("selectedDepot") || localStorage.getItem("selectedDepot");
						mui.each(AB_price,function(i,v){
							if(v.unitChooseId == goodsMenuVM.unitChoose && v.product_id == productId){
								hasOld = true;
								oldPrice = Number(v.AB_price);
								return false
							}
						})
                        if(hasOld){
                            goodsMenuVM.sale_price_show = numToCur(oldPrice,goodsMenuVM.systemSetting.price_decimals_setting,'price');
                            goodsMenuVM.sale_price = numToCur(oldPrice,goodsMenuVM.systemSetting.price_decimals_setting,'price')
                        }else{
							if(goodsMenuVM.systemSetting.lastAmt_setting==1&&$comm.isFalseNotZero(goodsMenuVM.last_sale)){
								goodsMenuVM.sale_price_show = numToCur(Number(goodsMenuVM.last_sale * v.ratio),goodsMenuVM.systemSetting.price_decimals_setting,'price');
							}else if(goodsMenuVM.systemSetting.customer_category_price==1&&$comm.isFalseNotZero(goodsMenuVM.customer_category_price)){
								goodsMenuVM.sale_price_show = numToCur(Number(goodsMenuVM.customer_category_price * v.ratio),goodsMenuVM.systemSetting.price_decimals_setting,'price');
							}else{
								 goodsMenuVM.sale_price_show = numToCur(Number(goodsMenuVM.sale_price_A * v.ratio),goodsMenuVM.systemSetting.price_decimals_setting,'price');
							}
							goodsMenuVM.sale_price = numToCur(goodsMenuVM.sale_price_show,goodsMenuVM.systemSetting.price_decimals_setting,'price')
						}
					}
				});
				console.log("goodsMenuVM.sale_price",goodsMenuVM.sale_price);
				goodsMenuVM.findColor(numToCur(goodsMenuVM.sale_price,goodsMenuVM.systemSetting.price_decimals_setting,'price'));
				this.calculation();
				console.log($('#test').width());
			},
            deep:true
		},
		sale_price: {
			handler: function (newVal,oladVal) {
				console.error(`sale_price--${oladVal}--${newVal}`)
				if (parseFloat(newVal) < 0) {
					mui.alert("价格不能小于0");
					this.purchase_price = this.product.purchase_price;
				}
				this.calculation();
				var ro = 1
				mui.each(goodsMenuVM.unitChooseList,function(i,v){
					if(v.id == goodsMenuVM.unitChoose){
						ro = v.ratio;
						return false
					}
				});
				// findColor(numToCur(goodsMenuVM.sale_price),goodsMenuVM.systemSetting.price_decimals_setting,'price');
				goodsMenuVM.findColor(numToCur(goodsMenuVM.sale_price,goodsMenuVM.systemSetting.price_decimals_setting,'price'))
				
				if(goodsMenuVM.unit_show ==1){
					mui.each(goodsMenuVM.unitChooseList,function(i,v){
						if(v.id == goodsMenuVM.unitChoose){
							// var sale_price_show= Number(goodsMenuVM.sale_price * v.ratio);
							var sale_price_show = numToCur(goodsMenuVM.sale_price,goodsMenuVM.systemSetting.price_decimals_setting,'price');
							goodsMenuVM.sale_price_show = numToCur(sale_price_show,goodsMenuVM.systemSetting.price_decimals_setting,'price')
						}
					});
				}
			}
		},
		product: {
			handler: function () {
				mui.each(this.product.list, function (index, value) {
					if (value.count < 0) {
						mui.alert("商品数量不能小于0");
						value.count = 0;
					}
				});
				this.calculation();
			},
			deep: true
		}
	},
	computed:{
		saleChooseText:function(){
			var newVal=this.saleChoose;
			var text='';
			[
				{key:"sale_A",value:"A价"},
				{key:"sale_B",value:"B价"},
				{key:"sale_last",value:"上次销售价"},
				{key:"sale_category",value:"客户分类价"}
			].forEach(function(item){
				if(item.key===newVal){
					text=item.value
				}
			})
			return text
		}
	},
	methods: {
		initData:function(){
			Object.assign(this.$data,{
				size_show: localStorage.getItem("size_show") || 1,
				color_show: localStorage.getItem("color_show") || 1,
				unit_show: localStorage.getItem("unit_show") || 0,
				origin_specification: localStorage.getItem("origin_specification") || 0,
				logistics_number: sessionStorage.getItem("logistics_number") || '', 
				logistics: sessionStorage.getItem("logistics") || '',
				vipLevel: localStorage.getItem("vipLevel")
			})
		},
		unitPickerChoose: function() {
			//移除之前的
			var crr = mui('.mui-poppicker');
			if(crr.length!=0){
				crr[0].remove()
			}

			var self = this;
			var unitPicker = new mui.PopPicker();
			var unitNameChooseList=self.unitChooseList.map(function(unitItem){
				if(unitItem.ratio==1){
					return {
						text:unitItem.name,
						value:unitItem.id
					}
				}else if(unitItem.ratio<1){
					return {
						text:unitItem.name+';'+'1'+self.unitChooseList[0].name+'='+numToCur(1/unitItem.ratio,goodsMenuVM.systemSetting.amount_decimals_setting)+unitItem.name,
						value:unitItem.id
					}
				}else{
					return {
						text:unitItem.name+';'+'1'+unitItem.name+'='+unitItem.ratio+self.unitChooseList[0].name,
						value:unitItem.id
					}
				}
			})
			unitPicker.setData(unitNameChooseList);
			unitPicker.pickers[0].setSelectedValue(self.unitChoose, 1000);
			unitPicker.show(function(e) {
				self.unitChoose=e[0].value
			})
			setTimeout(function (){
				let arr=$('.mui-poppicker.mui-active').find('.mui-pciker-list').children()
				for(let i=0;i<arr.length;i++){
					if(arr[i].innerText.includes(';')){
						let dataList=arr[i].innerText.split(';')
						let div='<span>'+dataList[0]+'</span><span class="rule">'+dataList[1]+'</span>'
						//	添加元素
						 $(arr[i]).html('')
						$(arr[i]).append(div)
						//  调整位置
						let marginLeft=($('.rule').width()+5)/2
						$(arr[i]).css('margin-left',marginLeft)
					}
				}
			},100)
		},
		salePickerChoose: function() {

			//移除之前的
			var crr = mui('.mui-poppicker');
			if(crr.length!=0){
				crr[0].remove()
			}

			var self = this;
			var salePicker = new mui.PopPicker();
			var saleNameChooseList=[{
				text:"A价",
				value:"sale_A"
			},{
				text:"B价",
				value:"sale_B"
			}]
			if(self.systemSetting.lastAmt_setting==1){
				saleNameChooseList.push({
					text:"上次销售价",
					value:"sale_last"
				})
			}
			if(self.systemSetting.customer_category_price==1){
				saleNameChooseList.push({
					text:"客户分类价",
					value:"sale_category"
				})
			}
			salePicker.setData(saleNameChooseList);
			salePicker.pickers[0].setSelectedValue(self.saleChoose, 1000);
			salePicker.show(function(e) {
				self.saleChooseChange(e[0].value)
			})
		},
		saleChooseChange:function(value){
			var _this=this
			var newVal=value
			var sale_price=0
			switch (newVal) {
				case 'sale_A':
					sale_price=numToCur(goodsMenuVM.sale_price_A,goodsMenuVM.systemSetting.price_decimals_setting,'price');
					break;
				case 'sale_B':
					sale_price=numToCur(goodsMenuVM.sale_price_B,goodsMenuVM.systemSetting.price_decimals_setting,'price');
					break;
				case 'sale_last':
					if(goodsMenuVM.systemSetting.lastAmt_setting==1&&$comm.isFalseNotZero(goodsMenuVM.last_sale)){
						sale_price=numToCur(goodsMenuVM.last_sale,goodsMenuVM.systemSetting.price_decimals_setting,'price');
					}else{
						sale_price=numToCur(goodsMenuVM.sale_price_A,goodsMenuVM.systemSetting.price_decimals_setting,'price');
					}
					break;
				case 'sale_category':
					if(goodsMenuVM.systemSetting.customer_category_price==1&&$comm.isFalseNotZero(goodsMenuVM.customer_category_price)){
						sale_price=numToCur(goodsMenuVM.customer_category_price,goodsMenuVM.systemSetting.price_decimals_setting,'price');
					}else{
						sale_price=numToCur(goodsMenuVM.sale_price_A,goodsMenuVM.systemSetting.price_decimals_setting,'price');
					}
					break;
			}
			mui.each(goodsMenuVM.unitChooseList,function(i,v){
				if(v.id == goodsMenuVM.unitChoose){
					goodsMenuVM.unitChooseName = v.name;
					sale_price = numToCur(sale_price * v.ratio,goodsMenuVM.systemSetting.price_decimals_setting,'price');
					return false
				}
			});
			_this.sale_price=sale_price;
			_this.saleChoose=newVal
		},
		/**
		 * 分类价很多坑，改时需谨慎
		 */
		findColor:function(saleP){
			this.$nextTick(function(){
				var ro = 1;
				mui.each(goodsMenuVM.unitChooseList,function(i,v){
					if(v.id == goodsMenuVM.unitChoose){
						ro = v.ratio;
						return false
					}
				});
				// var saleP = handleDecimal(goodsMenuVM.sale_price);
				var A = numToCur(Number(goodsMenuVM.sale_price_A) * Number(ro),goodsMenuVM.systemSetting.price_decimals_setting,'price');
				var B = numToCur(Number(goodsMenuVM.sale_price_B) * Number(ro),goodsMenuVM.systemSetting.price_decimals_setting,'price');
				let L = A;
				let C = A;
				if(goodsMenuVM.systemSetting.lastAmt_setting==1&&$comm.isFalseNotZero(goodsMenuVM.last_sale)){
					 L = numToCur(Number(goodsMenuVM.last_sale) * Number(ro),goodsMenuVM.systemSetting.price_decimals_setting,'price');
				}
				if(goodsMenuVM.systemSetting.customer_category_price==1&&$comm.isFalseNotZero(goodsMenuVM.customer_category_price)){
					C = numToCur(Number(goodsMenuVM.customer_category_price) * Number(ro),goodsMenuVM.systemSetting.price_decimals_setting,'price');
				}
				var saleChoose=''
				if(saleP == A){
					saleChoose='sale_A'
				}else if(saleP == B){
					saleChoose='sale_B'
				}else if(saleP == L){
					saleChoose='sale_last'
				}else if(saleP==C){
					saleChoose='sale_category'
				}else{
					saleChoose=''
				}
				goodsMenuVM.saleChoose=saleChoose
			})
		},
		getPurview :function(){//获取权限
			var _this = this;
			mui.ajax(severUrl + "sso/user/qryOp.json", {
				data : {
					id : ''
				},
				headers : {
					'Content-Type' : 'application/x-www-form-urlencoded'
				},
				xhrFields : {
					withCredentials : true
				},
				dataType : 'json',
				type : 'post',
				timeout : 30000,
				async : false,
				success : function(res) {
					if (res.success) {
						// var position_name = res.data.position_name;
						_this.company_name = res.data.company_name;
						_this.company_id = res.data.company_id;
						_this.bindDepot = res.data.manage_depot_id;
						_this.user_id = res.data.id;
						var code = res.data.position,permission = code.permission;
						if(permission.indexOf('A11_1_O') >=0 || permission.indexOf('A11_1_E') >=0){
							_this.positionName = true
						}else{
							_this.positionName = false
						}
						permission.indexOf('A4_1_E') >=0?_this.stockManager = true:_this.stockManager = false;
						permission.indexOf('FA_ACC') >=0?_this.faAccount = true:_this.faAccount = false;
						permission.indexOf('LOOK_PURCHASE') >=0?_this.purchaseManager = true:_this.purchaseManager = false;
						permission.indexOf('ONLY_PRINT') >=0?_this.labelPprinter = true:_this.labelPprinter = false;
						'RFRk,eYVo,y0oa,mVbc,pqrB,pDAY,CCP2,Oo4T,LfTY'.indexOf(_this.company_id) >=0?_this.jifenshow = true:_this.jifenshow=false
						_this.companySetIndustry = res.data.company_set_industry;
					}

				}
			});
		},
		calculation: function () {
			var count = 0;
			mui.each(this.product.list, function (index, value) {
				if (value.count) {
					count += Number(value.count);
				}
			});
			this.totalAmount = numToCur(count,goodsMenuVM.systemSetting.amount_decimals_setting);
			var ratio = 1;
			mui.each(goodsMenuVM.unitChooseList, function (index, value) {
				if (value.id == goodsMenuVM.unitChoose) {
					ratio = value.ratio;
					return false
				}
			});
			// this.totalPrice = Number(count * this.sale_price * ratio).toFixed(2);
			this.totalPrice = numToCur(count * this.sale_price,goodsMenuVM.systemSetting.price_decimals_setting,'price');
		},
		changeUnitPrice: function () {
			this.isOpen = true;
			goodsMenuVM.$nextTick(function () {
				document.getElementById("priceIpt").focus();
				// mui(".btn-xiugai")[0].disabled = true;
				mui(".totalDetal")[0].style.display = 'none';
			})
		},
		
		changeTab: function (color) {
			this.selTabId = color.color_id;
		},
		batchAddCount: function(list, color_id) {
			for(var i = 0, len = list.length; i < len; i++) {
				if (list[i].color_id == color_id) {
					list[i].count = numToCur(Number(list[i].count) + 1,goodsMenuVM.systemSetting.amount_decimals_setting);
				}
			}

			this.product.list = list;
		},
		batchReduceCount: function(list, color_id){
			for(var i = 0, len = list.length; i < len; i++) {
				if (list[i].count > 0 && list[i].color_id == color_id) {
					list[i].count = numToCur(Number(list[i].count) - 1,goodsMenuVM.systemSetting.amount_decimals_setting);
				}
			}
			this.product.list = list;
			this.calculation();
		},
		addCount: function (item) {
			//goodsMenuVM.convert
			var	this_amount = numToCur(item.amount / (goodsMenuVM.convert || 1),goodsMenuVM.systemSetting.amount_decimals_setting)
			// if (item.count == item.amount && goodsMenuVM.titleSwitch) {
			if (item.count == this_amount && goodsMenuVM.titleSwitch) {
				var btn = ["取消","确定"];
				mui.confirm('销售数量超过库存，是否继续', '提示', btn, function (e) {
					if (e.index == 1) {
						item.count = numToCur(Number(item.count) + 1,goodsMenuVM.systemSetting.amount_decimals_setting);
						goodsMenuVM.titleSwitch = false;
					}
				},'div');
			} else {
				item.count = numToCur(Number(item.count) + 1,goodsMenuVM.systemSetting.amount_decimals_setting);
			}
			this.calculation();
		},
		reduceCount: function (item) {
			if (item.count > 0) {
				item.count = numToCur(Number(item.count) -1,goodsMenuVM.systemSetting.amount_decimals_setting);
			}
			this.calculation();
		},
		clearZero: function (item) {
			if(item.count ==0){
				item.count = ''
			}
			mui(".totalDetal")[0].style.display = 'none';

			return false;
		},
		blurCount: function (item) {

		},
		saveList: function (num, loading) {
			console.error(goodsMenuVM.flogAmt)

			if(num&&num==0){
				// 当商品数量为0
				var inp=document.getElementById('number');
				var num=inp.value;
				if(num==0||num==null){
					var draftInfo=JSON.parse(localStorage.getItem('draftInfo'))
					console.log(draftInfo)
					// 修改ding'dan数据
					mui.ajax(severUrl + "scm/order/save.json",{
						data: {
							id:draftInfo.order_id,
							creater_id:draftInfo.creater_id, //操作用户设置
							remark:draftInfo.remark,
							sign_date:draftInfo.sign_date,
							customer_id:draftInfo.customer_id,
							customer_name:draftInfo.customer_name,
							depot_id:draftInfo.depot_id,
							rebate_amt:draftInfo.rebate_amt,
							order_amt:draftInfo.order_amt,
							purchase_amt:draftInfo.purchase_amt,
							amount:draftInfo.productlist.amount,
							ordertype:draftInfo.ordertype,
							submit_status:1,
							productlistlength:0,
							pay_status:draftInfo.pay_status,
							account_id:'3cxx',
							account_name:draftInfo.account_name,
							debt_status:draftInfo.debt_status,
							debt_amt:draftInfo.debt_amt,
							consignee_address:draftInfo.consignee_address,
							org_debt_amt:draftInfo.org_debt_amt,
							delivery_status:draftInfo.delivery_status,
							delivery_type:draftInfo.delivery_type,
							delivery_date:draftInfo.delivery_date,
						},
						headers: {
								'Content-Type': 'application/x-www-form-urlencoded'
							},
							xhrFields: {
								withCredentials: true
							},
							dataType: 'json',
							type: 'post',
							timeout: 10000,
							success: function (res) {
								viewHandle.viewFire('pinDraft.html','updateSelProduct');
								viewHandle.back()
						}
					})
				}
			}else{
				var salePrice = this.sale_price;
				if(salePrice === ""){
					return mui.toast("请输入商品价格")
				}
				this.product.amt = this.sale_price;
				this.product.sale_price = this.sale_price;
				//行业单位绑定
				if(this.unit_show == 1){
					this.product.unitChooseId = this.unitChoose;
					for(var i = 0; i<this.unitChooseList.length; i++){
						if(this.unitChoose == this.unitChooseList[i].id){
							this.product.unitChooseName = this.unitChooseList[i].name;
							this.product.unitChooseRatio = this.unitChooseList[i].ratio;
							this.product.unitMinName = goodsMenuVM.unitMinName;
							break;
						}
					}
				}
				// 指定当前商品状态
				if(goodsMenuVM.selectedType !== undefined){ //指定了销售或退货
					goodsMenuVM.product.list.map(function(item){
						item.type = goodsMenuVM.selectedType
						item.ordertype = item.type
					})
					goodsMenuVM.product.type =  goodsMenuVM.selectedType  // 指定当前商品是销售还是销售退货
				}
				var selProductList = JSON.parse(localStorage.getItem("selProductList"));
				if (!selProductList || selProductList.length == 0) { // 没有商品列表
					selProductList = [];
					goodsMenuVM.product.depot_id = goodsMenuVM.selectedDepot;
					selProductList.push(addNewProductID(goodsMenuVM.product));
				} else { // 有商品列表
					mui.each(selProductList, function (index, value) { // 遍历之前的列表中的每个商品
						if (value.id == goodsMenuVM.product.product_id && value.depot_id == goodsMenuVM.selectedDepot && value.type === goodsMenuVM.selectedType) {
							saveChange(goodsMenuVM.selectedType)
							return false;
						}
						else if (value.id == goodsMenuVM.product.product_id && value.depot_id == goodsMenuVM.selectedDepot && goodsMenuVM.selectedType === undefined) {
							saveChange() // 兼容未传递selectedType的页面引入
							return false;
						}
						else if (index == selProductList.length - 1) { // 全部找完 没有 当前商品
							goodsMenuVM.product.depot_id = goodsMenuVM.selectedDepot;
							selProductList.push(addNewProductID(goodsMenuVM.product));
							return false;
						}
						function saveChange(selectedType) {
							// value 之前列表的符合本次修改的商品
							// 处理单位 单位在商品上 不在单品上
							if(goodsMenuVM.unit_show == 1){
								if(value.unitChooseId!==goodsMenuVM.unitChoose){
									//如果切换了单位 批次信息要清空
									value.list[0].product_production_batch_list=[]
								}
								value.unitChooseId = goodsMenuVM.unitChoose;
								for(var i = 0; i<goodsMenuVM.unitChooseList.length; i++){
									if(goodsMenuVM.unitChoose == goodsMenuVM.unitChooseList[i].id){
										value.unitChooseName = goodsMenuVM.unitChooseList[i].name;
										value.unitChooseRatio = goodsMenuVM.unitChooseList[i].ratio;
										value.unitMinName = goodsMenuVM.unitMinName;
										break;
									}
								}
							}
							var list=value.list;
							//已入库数量处理
							mui.each(list,function(i,v){
								mui.each(goodsMenuVM.product.list,function(k,m){
									if(v.color_id == m.color_id &&v.size_id == m.size_id && (selectedType === undefined || v.type === m.type)){
										m.used_amount = Number(v.used_amount);
										if(m.count > 0){}else{
											// 删除copy列表单品
											viewHandle.viewFire('H576E5848', 'deleteProductCopy', {key: v.__id__})
											viewHandle.viewFire('pinDraft.html', 'deleteProductCopy', {key: v.__id__})
										}
									}
								})
							});
							value.list = addNewProductID(goodsMenuVM.product).list;
							value.sale_price = salePrice;
							value.amt = salePrice;
							$.each(list,function(a,item){ // item 旧的
								// oldItem 修改后的
								$.each(value.list,function(c,oldItem){
									if(item.color_id === oldItem.color_id && item.size_id === oldItem.size_id && (selectedType === undefined ||selectedType === oldItem.type)){ // 兼容未分 销售 退货的数据
										oldItem.ordertype = (item.type||item.type===0)?item.type:item.ordertype;
										var product_sn_list=item.product_sn_list||[]
										var product_production_batch_list=item.product_production_batch_list||[]
										var production_amount=item.production_amount||0
										if(oldItem.count<product_sn_list.length){
											product_sn_list=product_sn_list.slice(0,oldItem.count)
										}
										// 订单用数据
										item.product_sn_list_old && (oldItem.product_sn_list_old = item.product_sn_list_old)
										item.product_sn_list_status && (oldItem.product_sn_list_status = item.product_sn_list_status)
										item.product_sn_list_vip && (oldItem.product_sn_list_vip = item.product_sn_list_vip)
										item.product_sn_used_list && (oldItem.product_sn_used_list = item.product_sn_used_list)
										item.__can_use_amount__ && (oldItem.__can_use_amount__ = item.__can_use_amount__)

										item.op_id && (oldItem.op_id = item.op_id)
										item.op_id_ && (oldItem.op_id_ = item.op_id_)
										item.__id__ && (oldItem.__id__ = item.__id__)
										item.__pid__ && (oldItem.__pid__ = item.__pid__)
										item.remark && (oldItem.remark = item.remark)
										item.isRemarkShow && (oldItem.isRemarkShow = item.isRemarkShow)

										oldItem.product_sn_list=product_sn_list
										//确保已设置过得序列号列表和批次号列表 不会被覆盖
										oldItem.product_production_batch_list=product_production_batch_list
										oldItem.production_amount=item.count>oldItem.count?oldItem.count:production_amount
										oldItem.type=oldItem.ordertype;
									}
								});
							});
						}
					});
				}
				selProductList = filterSelProductList(selProductList)
				function filterSelProductList(selProductList){
					return selProductList.filter(function(product){
						product.list = product.list.filter(function(row){
							return Number(row.count) > 0
						}) || []
						return product.list.length > 0
					}) || []
				}
				// console.log(JSON.stringify(selProductList,null,4)); // debug
				//app区别主页与草稿数据
				localStorage.setItem("selStatus","0");
				//AB价格记录
				var AB_price=JSON.parse(localStorage.getItem("AB_price")) || [];
				var isAdd=true;
				mui.each(AB_price,function(i,v){
					if(v.product_id == goodsMenuVM.product.id && v.depot_id == goodsMenuVM.selectedDepot){
						v.unitChooseId = goodsMenuVM.product.unitChooseId || ''
						v.AB_price=salePrice;
						isAdd=false;
						return false;
					}
				});
				if(isAdd){
					AB_price.push({
						"AB_price":salePrice,
						"unitChooseId":goodsMenuVM.product.unitChooseId,
						"product_id":goodsMenuVM.product.id,
						"depot_id":goodsMenuVM.selectedDepot
					});
				}
				localStorage.setItem("AB_price",JSON.stringify(AB_price));
				localStorage.setItem("selProductList", JSON.stringify(selProductList));
				sessionStorage.setItem("selProductList", JSON.stringify(selProductList));
				// console.log(JSON.stringify(selProductList,null,4)); // debug
				goodsMenuVM.sale_price = '0.00';
				goodsMenuVM.product.model = '';
				goodsMenuVM.titleSwitch = true;
				goodsMenuVM.selectedType = undefined
				// console.log('getQueryString:' + getQueryString('type') + ';sessionStorage' + sessionStorage.getItem('type') + ';goodsMenuVM.type:' + goodsMenuVM.type + ';localStorage:' + localStorage.type)
				if (getQueryString('type') == 3 || sessionStorage.getItem('type') == 3) {
					if(mui('#goodsColorSize')[0]){
				        mui('#goodsColorSize')[0].style.display = "none";
				        mui('#xiaoDom')[0].style.display = "block";
						mui('#xiaoDom')[0].style.visibility='visible'
				        //xiaoVM.selProductList = localStorage.getItem("selProductList");
				        sessionStorage.removeItem('type');
				        sessionStorage.removeItem('productId');
				        getSelProductList();
					}else{
				        sessionStorage.removeItem('type');
				        sessionStorage.removeItem('productId');
				        location = 'xiao.html';
					}
				}else if (goodsMenuVM.type == 4){
					viewHandle.viewFire('pinDraft.html','updateSelProduct');
					viewHandle.back()
				}else if (goodsMenuVM.type == 'inventTory'){
					viewHandle.viewFire('H576E5848','orderAdd');
					viewHandle.openWindow('H576E5848.html','H576E5848')
				}else if(localStorage.getItem('type') == 5){
					if(mui('#goodsColorSize')[0]){
						localStorage.removeItem('type');
						localStorage.removeItem('productId');
						mui('#goodsColorSize')[0].style.display = "none";
						mui('#productListVM')[0].style.display = "block";
						viewHandle.viewFire('H576E5848','orderAdd');
						viewHandle.back()
					}else{
						if(window.self === window.top){
							mui.openWindow({
								id:"xiao",
								url:"xiao.html"
							});
						}else{
							parent.getSelProductList();
							location = 'productList.html?page=xiao';
						}
					}
				    // location = 'xiao.html';
				}else if(localStorage.getItem('type') == "4-2"){
					mui('#goodsColorSize')[0].style.display = "none";
					mui('#pinDraftProductListVM')[0].style.display = "block";
					viewHandle.viewFire('pinDraft.html','updateSelProduct');
					viewHandle.back()
				}
				console.log('save-end')
			}
		},
        goDebatDts: function () {
            var id=sessionStorage.getItem("selectedBuyer");
            var name=sessionStorage.getItem("buyerName");
			if(name=="" || name==null){
                location = 'view/debatDts.html?id=' + xiaoVM.selectedBuyer + '&name=' + xiaoVM.buyerName + '&type=' + 'customer';
			}else{
                location = 'view/debatDts.html?id=' + id + '&name=' + name + '&type=' + 'customer';
			}


        }
    
	},
	mounted: function () {
		var _this = this;
		mui.plusReady(function () {
			goodsMenuVM.getPurview();
			if(localStorage.systemSetting){
				_this.systemSetting = JSON.parse(localStorage.systemSetting)
			}
		})
	}
});

function companyQry() {
    mui.ajax(severUrl + "scm/productpicture/qry.json", {
        data : {
            "productId":sessionStorage.getItem("productId") || localStorage.getItem("productId")
        },
        headers : {
            'Content-Type' : 'application/x-www-form-urlencoded'
        },
        xhrFields : {
            withCredentials : true
        },
        dataType : 'json',
        type : 'post',
        timeout : 10000,
        success : function(res) {
            if(null!=res.data && res.data!=""){
                var src = img_url+res.data.name;
                $(".phUpload").attr("src",src);
            }else{
                var src = "img/tx.jpg";
                $(".phUpload").attr("src",src);
            }
        },
		complete: function() {
			updateAmt(0)
		}
    });
}
function editColor(e,v){
	switch (v) {
		case 'A':
			goodsMenuVM.sale_price=numToCur(goodsMenuVM.sale_price_A,goodsMenuVM.systemSetting.price_decimals_setting,'price');
			break;
		case 'B':
			goodsMenuVM.sale_price=numToCur(goodsMenuVM.sale_price_B,goodsMenuVM.systemSetting.price_decimals_setting,'price');
			break;
		case 'lastSale':
			if(goodsMenuVM.last_sale !='' && goodsMenuVM.last_sale !=undefined){
				goodsMenuVM.sale_price=numToCur(goodsMenuVM.last_sale,goodsMenuVM.systemSetting.price_decimals_setting,'price');
			}else{
				goodsMenuVM.sale_price=numToCur(goodsMenuVM.sale_price_A,goodsMenuVM.systemSetting.price_decimals_setting,'price');
			}
			break;
	}
	mui.each(goodsMenuVM.unitChooseList,function(i,v){
		if(v.id == goodsMenuVM.unitChoose){
			goodsMenuVM.unitChooseName = v.name;
			goodsMenuVM.sale_price = numToCur(goodsMenuVM.sale_price * v.ratio,goodsMenuVM.systemSetting.price_decimals_setting,'price');
			return false
		}
	});
	$(".edit-xiugai").addClass('colorW');
    $(e).removeClass('colorW')
}

function unitCustomize(){
	goodsMenuVM.customize = true
}
mui('.mui-content').on('tap', '.look-price', function(){
	if (!goodsMenuVM.isOpen) {
		goodsMenuVM.isOpen = true;
	}else if(goodsMenuVM.isOpen){
		goodsMenuVM.isOpen = false;
	}
});

/**
 * load product dts info
 */
function loadPRoductDtsInfo(amt) {
	goodsMenuVM.flogAmt=false
	if(amt == "" || amt == null){
		var AB_price=JSON.parse(localStorage.getItem("AB_price"));
		var productId=sessionStorage.getItem('productId') || localStorage.getItem('productId') || getQueryString('productId');
		var depot =sessionStorage.getItem("selectedDepot") || localStorage.getItem("selectedDepot");
		mui.each(AB_price,function(i,v){
			if(v.product_id == productId && v.depot_id == depot&&v.unitChooseId==goodsMenuVM.product.unitChooseId){
				amt=v.AB_price;
				return false;
			}
		});
	}
    companyQry();
	if (!getQueryString('productId') && !sessionStorage.getItem('productId') && !localStorage.getItem('productId')) {
		return;
	}
	var customerId=sessionStorage.getItem('selectedBuyer');
	var is_default = 1;
	if(customerId != sessionStorage.getItem('defaultCustomer')){
		is_default = 0
	}
	mui.ajax(severUrl + "scm/product/qryOp.json", {
		data: {
			"id":sessionStorage.getItem('productId') || localStorage.getItem('productId') || getQueryString('productId'),
			"customer_id":customerId,
			"is_default":is_default
		},
		headers: {
			'Content-Type': 'application/x-www-form-urlencoded'
		},
		xhrFields: {
			withCredentials: true
		},
		dataType: 'json',
		type: 'post',
		timeout: 20000,
        beforeSend: function() {
            mui('#dh2')[0].style.display = "block";
        },
        complete: function() {
			updateAmt(1)
            //mask.close();//关闭遮罩层
            // mui('#dh2')[0].style.display = "none";  // scm/stock/qryOp.json 比较慢
        },
		success: function (res) {
			if(res.success){
				goodsMenuVM.sale_price = '';
				goodsMenuVM.product.name = res.data.name; //库存查询时更新
				goodsMenuVM.sale_price_A=res.data.sale_price;
				goodsMenuVM.sale_price_B=res.data.sale_price_b;
				//是否默认客户
				goodsMenuVM.last_sale=res.data.last_amt;
				goodsMenuVM.customer_category_price = res.data.customer_category_price;
				if(null!=amt){
					goodsMenuVM.sale_price=numToCur(Number(amt),goodsMenuVM.systemSetting.price_decimals_setting,'price');
				}else{
					//是否默认客户
					// if(sessionStorage.getItem('selectedBuyer') != sessionStorage.getItem('defaultCustomer')){
						if(goodsMenuVM.systemSetting.lastAmt_setting==1&&$comm.isFalseNotZero(goodsMenuVM.last_sale)){
							goodsMenuVM.sale_price = goodsMenuVM.last_sale;
						}else if(goodsMenuVM.systemSetting.customer_category_price==1&&$comm.isFalseNotZero(goodsMenuVM.customer_category_price)){
							goodsMenuVM.sale_price = goodsMenuVM.customer_category_price;
						}else{
							goodsMenuVM.sale_price = res.data.sale_price;
						}					
						goodsMenuVM.sale_price= numToCur(Number(goodsMenuVM.sale_price),goodsMenuVM.systemSetting.price_decimals_setting,'price');
						hasLast = true;
					// }else{
					// 	goodsMenuVM.sale_price = numToCur(Number(res.data.sale_price),goodsMenuVM.systemSetting.price_decimals_setting,'price');
					// }
				}
				// if(null!=amt){
				// 	goodsMenuVM.purchase_price=amt;
				// }else{
					goodsMenuVM.purchase_price=numToCur(res.data.purchase_price,goodsMenuVM.systemSetting.price_decimals_setting,'price');;
				// }
				goodsMenuVM.product.purchase_price = goodsMenuVM.purchase_price
				goodsMenuVM.goodInfo = res.data;
				var x=[];
				x.push({
					"billsn":res.data.billsn,
					"category":res.data.category,
					"id":res.data.id,
					"model":res.data.model,
					"material":res.data.material,
					"name":res.data.name,
					"purchase_price":res.data.purchase_price,
					"sale_price":res.data.sale_price,
					"sale_price_b":res.data.sale_price_b,
					"status":res.data.status,
					"stock_warn":res.data.stock_warn,
					"unit":res.data.unit,
					"colorlist":res.data.colorlist,
					"colornamelist":res.data.colornamelist,
					"sizelist":res.data.sizelist,
					"sizenamelist":res.data.sizenamelist,
					"company_id":res.data.company_id,
					"remark":res.data.remark,
					"barcodes":res.data.barcodes
				});
				var category = res.data.category;
				sessionStorage.setItem('category_id',category);
				sessionStorage.setItem('category_name','');
				sessionStorage.setItem('category_parent_name','');
				var parent_id='';
				if(category != '1' && category != ''){
					var categorylist = res.data.categorylist;
					mui.each(categorylist,function(i,v){
						if(v.id == category){
							sessionStorage.setItem('category_name',v.name);
							parent_id=v.parent_id;
							return;
						}
					})
				}
				if(parent_id !=''){
					mui.each(categorylist,function(i,v){
						if(v.id == parent_id){
							sessionStorage.setItem('category_parent_name',v.name);
							return;
						}
					})
				}
				sessionStorage.setItem("list",JSON.stringify(x));
				sessionStorage.setItem("name",res.data.name);
				sessionStorage.setItem("model",res.data.model);
				sessionStorage.setItem("material",res.data.material);
				sessionStorage.setItem("material",res.data.material);
				sessionStorage.setItem("purchase_price",res.data.purchase_price);
				sessionStorage.setItem("sale_price",res.data.sale_price);
				sessionStorage.setItem("sale_price_b",res.data.sale_price_b);
				sessionStorage.setItem("selColorList",JSON.stringify(res.data.colornamelist));
				sessionStorage.setItem("selSizeList",JSON.stringify(res.data.sizenamelist));
				sessionStorage.setItem("barcodes",JSON.stringify(res.data.barcodes));
				sessionStorage.setItem("id",res.data.id);
				sessionStorage.setItem("mainUnitId",res.data.main_unit);
				sessionStorage.setItem("mainUnitName",res.data.main_uint_name);
				goodsMenuVM.unitChoose = "";
				if(goodsMenuVM.unit_show ==1){
					var unitChooseList = [],unitList=[],unitChoose={};
					if(res.data.main_unit !="" && res.data.main_uint_name !=""){
						unitChoose = {
							id:res.data.main_unit,
							name:res.data.main_uint_name,
							ratio:1
						};
						unitChooseList.push(unitChoose);
					}
					if(res.data.unitrulelist.length>0){
						var list = res.data.unitrulelist;
						for(var i=0;i<list.length;i++){
							var info={
								id:list[i].assist_unit,
								name:list[i].assist_unit_name,
								ratio:list[i].ratio,
								editId:list[i].id,
								product_id:list[i].product_id
							};
							unitChoose = {
								id:list[i].assist_unit,
								name:list[i].assist_unit_name,
								ratio:list[i].ratio,
							};
							unitChooseList.push(unitChoose);
							unitList.push(info)
						}
					}
					goodsMenuVM.unitChooseList = unitChooseList;
					if(goodsMenuVM.sale_price == 0){
						goodsMenuVM.sale_price = '';
						mui.plusReady(function(){
							goodsMenuVM.sale_price = '0.00'
						})
					}
					if(!goodsMenuVM.unitChoose){
						goodsMenuVM.unitMinName = '';
						goodsMenuVM.temporary = ''; //清除上次记忆
						goodsMenuVM.unitChoose = ''; //清除上次防止监听失效
						if(goodsMenuVM.unitChooseList.length>0){
							goodsMenuVM.temporary = goodsMenuVM.unitChooseList[0].id;
							goodsMenuVM.unitChoose = goodsMenuVM.unitChooseList[0].id;
							goodsMenuVM.unitMinName = goodsMenuVM.unitChooseList[0].name
						}
					}
					console.log(goodsMenuVM.sale_price)
					console.log(unitList);
					sessionStorage.setItem("unitList",JSON.stringify(unitList))
				}
				goodsMenuVM.flogAmt=true

			}else{
				mui.toast(res.msg)
			}
		},
        error:function(res){
            mui.toast('网络异常')
        }
	});
}

/*库房*/
//kufang()
function kufang() {
	var depotList = JSON.parse(sessionStorage.getItem("depotList")) || JSON.parse(localStorage.getItem("depotList"));
	var id = sessionStorage.selectedDepot || localStorage.selectedDepot;
	mui.each(depotList, function (index, value) {
		if (value.id == id) {
			goodsMenuVM.stock = value.name;
			$("#stockVal").html(goodsMenuVM.stock)
			sessionStorage.setItem("name", value.name);
		}
	});
}

function hideTotal() {
	// mui(".btn-xiugai")[0].disabled = false;
	mui(".totalDetal")[0].style.display = 'block';
}

function getGoodsMenu(newAmt) {/*product.list.depot_id*/
	amt = newAmt
		mui("#dh2")[0].style.display = "block";
	goodsMenuVM.selectedDepot = sessionStorage.getItem("selectedDepot") || localStorage.getItem("selectedDepot");
	if(!goodsMenuVM.selectedDepot || goodsMenuVM.selectedDepot =='undefined'){
		mui.toast("仓库异常！请确认仓库是否正确！")
		return
	}
	var product = JSON.parse(sessionStorage.getItem("product")) || JSON.parse(localStorage.getItem("product"));
	if (!product) {
		return
	}
	goodsMenuVM.product.model = product.model;
	goodsMenuVM.colorList = [];
	goodsMenuVM.sizeList = [];
	mui.ajax(severUrl + "scm/stock/qryOp.json", {//单个商品库存查询接口
		data: {
			product_id: product.product_id,
			depot_id: goodsMenuVM.selectedDepot
		},
		headers: {
			'Content-Type': 'application/x-www-form-urlencoded'
		},
		xhrFields: {
			withCredentials: true
		},
		beforeSend: function() {
			mui('.loadColorAndSize').button('loading');
		},
		complete: function() {
			updateAmt(2)
		},
		dataType: 'json',//服务器返回json格式数据
		type: 'post',//HTTP请求类型
		timeout: 20000,//超时时间设置为20秒；
		success: function (res) {
			// debug
			console.log('商品类型(0销|1退|undefined未初始化):' + goodsMenuVM.selectedType)
			mui("#dh2")[0].style.display = "none";
			mui('.loadColorAndSize').button('reset');
			var colorList = [];
			var sizeList = [];

			mui.each(res.data, function (index, value) {
				value.count = 0;
				value.used_amount = 0;
				value.ordertype = 0;
				if (index != 0) {
					var i, j;
					for (i = 0; i < colorList.length; i++) {
						if (value.color_id == colorList[i].color_id) {
							break;
						}
					}
					for (j = 0; j < sizeList.length; j++) {
						if (value.size_id == sizeList[j].size_id) {
							break;
						}
					}
					if (i == colorList.length) {
						colorList.push({ color_name: value.color_name, color_id: value.color_id });
					}
					if (j == sizeList.length) {
						sizeList.push({ size_name: value.size_name, size_id: value.size_id });
					}
				} else {
					colorList.push({ color_name: value.color_name, color_id: value.color_id });
					sizeList.push({ size_name: value.size_name, size_id: value.size_id });
				}
			});

			product.list = res.data;
			
			var selProductList = JSON.parse(localStorage.getItem("selProductList"));
			var selStatus=localStorage.getItem("selStatus");
			// 来源页不是订单||来源页是订单   ？？？？？
			// if(selStatus != "1" || localStorage.getItem("pageTabId")=="draft"){
                if (selProductList && selProductList.length != 0) {
                    mui.each(selProductList, function (index, value) {
						goodsMenuVM.unitChoose = '';
                        if (value.id == product.product_id && value.depot_id == goodsMenuVM.selectedDepot && (goodsMenuVM.selectedType === undefined || goodsMenuVM.selectedType === value.type)) {
							goodsMenuVM.$nextTick(function(){
								setTimeout(function(){
									if(value.unitChooseId){
										goodsMenuVM.temporary = value.unitChooseId;
										goodsMenuVM.unitChoose = goodsMenuVM.temporary;
										mui.each(goodsMenuVM.unitChooseList,function(i,v){
											if(v.id == goodsMenuVM.unitChoose){
												goodsMenuVM.unitChooseName = v.name;
											}
										})
									}else{
										goodsMenuVM.unitChoose = goodsMenuVM.temporary;
										goodsMenuVM.unitChooseName = '';
										mui.each(goodsMenuVM.unitChooseList,function(i,v){
											if(v.id == goodsMenuVM.unitChoose){
												goodsMenuVM.unitChooseName = v.name;
											}
										})
									}
								},150)
							});
                        	// 存在当前的商品 value2 当前列表 value1 接口返回数据=显示列表
                            mui.each(product.list, function (index1, value1) {
                                mui.each(value.list, function (index2, value2) {
                                    if (value2.color_id == value1.color_id && value2.size_id == value1.size_id) {
                                    	// 存在当前的单品
                                    	if(goodsMenuVM.selectedType === undefined){
											// 商品选择类型未初始化 执行之前的逻辑
											value1.count = value2.count;
										}else{
                                    		// 处理不同类型的商品数量展示
                                    		if(goodsMenuVM.selectedType === CONSTANT.SALES){
                                    			if(value2.type === CONSTANT.SALES){
													value1.count = value2.count;
												}else{
													value1.count = 0
												}
											}else if(goodsMenuVM.selectedType === CONSTANT.SALES_RETURN_OF_GOODS){
												if(value2.type === CONSTANT.SALES_RETURN_OF_GOODS){
													value1.count = value2.count;
												}else{
													value1.count = 0
												}
											}
										}
                                    }
                                });
                            });
                        }else{
							goodsMenuVM.$nextTick(function(){
								setTimeout(function(){
									goodsMenuVM.unitChoose = goodsMenuVM.temporary;
									mui.each(goodsMenuVM.unitChooseList,function(i,v){
										if(v.id == goodsMenuVM.unitChoose){
											goodsMenuVM.unitChooseName = v.name;
										}
									})
								},150)
							});
						}
                    });
                }else{
					goodsMenuVM.$nextTick(function(){
						setTimeout(function(){
							goodsMenuVM.unitChoose = goodsMenuVM.temporary;
							mui.each(goodsMenuVM.unitChooseList,function(i,v){
								if(v.id == goodsMenuVM.unitChoose){
									goodsMenuVM.unitChooseName = v.name;
								}
							})
						},150)
					})
				}
			// }
			
			goodsMenuVM.sizeList = sizeList;
			goodsMenuVM.colorList = colorList;
			if (colorList.length != 0) {
			    if(goodsMenuVM.color_show == 0){
			        var hideColorList = [];
                    hideColorList.push(colorList[0]);
                    goodsMenuVM.colorList=hideColorList
                }
			}
            goodsMenuVM.selTabId = colorList[0].color_id;
			goodsMenuVM.product = product;
			goodsMenuVM.calculation();
		}
	});
}
mui('.mui-media').on('tap', '.link-product-attr', function () {
	//修改点击图片异常弹出网络异常
	//loadPRoductDtsInfo();
	if (getQueryString('type')) {
	    location = 'changeItem.html?productId=' + getQueryString('productId') + '&page=' + 'pinGoodsColorSize' + '&type=' + getQueryString('type')
	}else {
		var listSend = {};
		listSend.list = JSON.parse(sessionStorage.getItem("list"));
		listSend.mainUnitId = sessionStorage.getItem("mainUnitId");
		listSend.mainUnitName = sessionStorage.getItem("mainUnitName");
		listSend.unitList = JSON.parse(sessionStorage.getItem("unitList"));
		listSend.category_id = sessionStorage.getItem("category_id");
		listSend.category_name = sessionStorage.getItem("category_name");
		listSend.category_parent_name = sessionStorage.getItem("category_parent_name");
		viewHandle.viewFire('changeItem.html','changeItem',listSend);
		viewHandle.openWindow('changeItem.html','changeItem.html',JSON.stringify(listSend));
	}
	
});
mui('.mui-media').on('tap', '.show-img-info', function () {
	var id = sessionStorage.getItem("productId")||JSON.parse(sessionStorage.getItem("product")||'[]').product_id || localStorage.getItem("productId");
	var name = goodsMenuVM.product.name;
	mui.ajax(severUrl + "scm/product/qryProductPicturesById", {
		data: {
			id: id
		},
		headers: {
			'Content-Type': 'application/x-www-form-urlencoded'
		},
		xhrFields: {
			withCredentials: true
		},
		dataType: 'json',
		type: 'POST',
		timeout: 10000,
		success: function(res) {
			if (res.data.length > 0) {
				var list = res.data;
				for (var i = 0; i < list.length; i++) {
					list[i].name = img_url + list[i].name;
					list[i].product_name = name
				}
				var html = '';
				list.forEach(function(v, i) {
					if (v.is_default == 1) {
						html += '<a href="' + v.name + '" class="swipebox" title="主图">' +
							'<img src="' + v.name + '" alt="image">' +
							'</a>'
					} else {
						html += '<a href="' + v.name + '" class="swipebox" title="' + v.product_name + '">' +
							'<img src="' + v.name + '" alt="image">' +
							'</a>'
					}
				});
				$("#photo").html('');
				$("#photo").append(html);
				if (mui.os.ios == true) {
					$(".swipebox")[0].click()
				}
				$(".swipebox")[0].click()
			} else {
				mui.toast("您未上传图片")
			}
		}
	});
});
mui('.mui-bar').on('tap', '.back-cg', back);
function back(){
	goodsMenuVM.titleSwitch = true;
	if (getQueryString('type') == 3 || sessionStorage.getItem('type') == 3) {
		if(mui('#goodsColorSize')[0]){
			mui('#goodsColorSize')[0].style.display = "none";
			mui('#xiaoDom')[0].style.display = "block";
			mui('#xiaoDom')[0].style.visibility='visible'
			sessionStorage.removeItem('type');
			sessionStorage.removeItem('productId');
			getSelProductList();
		}else{
			sessionStorage.removeItem('type');
			sessionStorage.removeItem('productId');
			location = 'xiao.html';
		}
	}else if (goodsMenuVM.type == 4){
		viewHandle.back()
	}else if (goodsMenuVM.type == 'inventTory'){
		viewHandle.back()
	}else if(localStorage.getItem('type') == 5){
		mui('#goodsColorSize')[0].style.display = "none";
		mui('#productListVM')[0].style.display = "block";
	}else if(getQueryString('type') == '4-2' || sessionStorage.getItem('type') == '4-2'){
		location = 'pinDraftProductList.html?page=xiao';
	}
	// goodsMenuVM.sale_price = 0;
	goodsMenuVM.sale_price = '';
	goodsMenuVM.product.model = '';
	goodsMenuVM.unitChoose = ''
}

function getRecentAmt() {
	var customer_id='';
    if(getQueryString('type') == 5 || sessionStorage.getItem('type') == 5){
        customer_id=sessionStorage.getItem("selectedBuyer");
        goodsMenuVM.buyerName = sessionStorage.getItem("buyerName")
	}else{
        customer_id=xiaoVM.selectedBuyer;
        goodsMenuVM.buyerName = xiaoVM.buyerName;
	}
	var productId = getQueryString('productId') || sessionStorage.getItem('productId')
	if (!productId) {
		return;
	}
    mui.ajax(severUrl + "scm/order/recentAmt.json", {
        data: {
            "customer_id": customer_id,
            "product_id": productId
        },
        headers: {
            'Content-Type': 'application/x-www-form-urlencoded'
        },
        xhrFields: {
            withCredentials: true
        },
        dataType: 'json',
        type: 'post',
        timeout: 10000,
        success: function (res) {
			goodsMenuVM.recentAmt = res.data;
        }
    });
}

function pinGetRecentAmt() {

    var productId = getQueryString('productId') || sessionStorage.getItem('productId')
    if (!productId) {
        return;
    }
    //goodsMenuVM.buyerName = xiaoVM.buyerName;
    mui.ajax(severUrl + "scm/order/recentAmt.json", {
        data: {
            "customer_id": sessionStorage.getItem("selectedBuyer"),
            "product_id": productId
        },
        headers: {
            'Content-Type': 'application/x-www-form-urlencoded'
        },
        xhrFields: {
            withCredentials: true
        },
        dataType: 'json',
        type: 'post',
        timeout: 10000,
        success: function (res) {
            goodsMenuVM.recentAmt = res.data;
        }
    });
}

function getDebet() {
    var customer_id='';
    if(getQueryString('type') == 5 || sessionStorage.getItem('type') == 5){
        customer_id=sessionStorage.getItem("selectedBuyer");
    }else{
        customer_id=xiaoVM.selectedBuyer;
    }
	mui.ajax(severUrl + "scm/order/debet.json", {
        data: {
            "customer_id":customer_id,
        },
        headers: {
            'Content-Type': 'application/x-www-form-urlencoded'
        },
        xhrFields: {
            withCredentials: true
        },
        dataType: 'json',
        type: 'post',
        timeout: 10000,
        success: function (res) {
			goodsMenuVM.total = res.data;
        }
    });
}

function getNewDebet() {
    mui.ajax(severUrl + "scm/order/debet.json", {
        data: {
            "customer_id": sessionStorage.getItem("selectedBuyer"),
        },
        headers: {
            'Content-Type': 'application/x-www-form-urlencoded'
        },
        xhrFields: {
            withCredentials: true
        },
        dataType: 'json',
        type: 'post',
        timeout: 10000,
        success: function (res) {
            goodsMenuVM.total = res.data;
        }
    });
}



mui('.popover').on('tap', '.btn-xiugai', function () {
	goodsMenuVM.sale_price = numToCur(this.dataset.amt,goodsMenuVM.systemSetting.price_decimals_setting,'price');
});

mui('.mui-content').on('tap','.mui-icon-arrowdown',function(){
	$("#unitChoose").click();
});
function clearZero(obj) {
	obj.value = "";
	return false;
}


//
function priceCustomize(_this){
	$(_this).val(goodsMenuVM.saleChoose)
}


const EVENTLISTENER = {
	addKeyboardEventListener(cbFn){
		if(mui){
			mui.plusReady(function(){
				if(plus.os.name === 'iOS'){
					EVENTLISTENER.addKeyboardEventListenerIOS(cbFn)
				}else{
					EVENTLISTENER.addKeyboardEventListenerAndroid(cbFn)
				}
			})
		}
	},
	// android 键盘收回
	addKeyboardEventListenerAndroid(cbFn){
		let originHeight = window.innerHeight;
		window.addEventListener('resize',function (){
			let currHeight = window.innerHeight;

			if(currHeight < originHeight){
				//当软键盘弹起，在此处操作
				cbFn&&cbFn('show')
			}else{
				//当软键盘收起，在此处操作
				cbFn&&cbFn('hide')
			}

		})
	},
	// ios 键盘收回
	addKeyboardEventListenerIOS(cbFn){
		document.body.addEventListener('focusin', () => {
			cbFn&&cbFn('show')
		})
		document.body.addEventListener('focusout', () => {
			cbFn&&cbFn('hide')
		})
	}
}
EVENTLISTENER.addKeyboardEventListener(function(type){
	type === 'hide'&& hideTotal()
})

/**
 * 新增商品 添加__id__
 * @param product goodsMenuVM.product
 */
function addNewProductID(product){
	if(Array.isArray(product.list)){
		product = JSON.parse(JSON.stringify(product))
		product.list.forEach(function(i){i.__id__ = productListIdUtil.getNext();i.__pid__ = 0; i.op_id_ = i.__id__})
	}
	return product
}