
jQuery.fn.isChildOf=function (b){
    return (this.parents(b).length>0)
}
$("body").click(function(e) {
    if(!$(e.target).isChildOf('.sortHtml')&&!($(e.target)[0].getAttribute('class')&&$(e.target)[0].getAttribute('class')=='sortHtmlBtn')){
        mui('.sortHtml')[0].style.display='none'
    }
    //排序的高亮
    if(mui('.sortHtml')[0].style.display=='none'){
        mui(".sortHtmlBtn")[0].style.borderBottom=''
    }else{
        mui(".sortHtmlBtn")[0].style.borderBottom='2px solid orange'
    }
});
var data = { //上拉加载参数
    num: 0,
    startY: '',
    moveEndY: '',
    isLoading: true,
    to_qry:false
};
mui('body').on('tap', '.muiBack', function() {
    viewHandle.back('close');
});
var production_batch_select_vm = new Vue({
    el:"#production_batch_select_vm",
    data:{
        production_date:'',//生产日期
        finish_date:'',//到期日期
        item_info:'',
        product_info:'',
        // args:'',
        expire_date:'',//保质期
        expire_date_power:false,//保质期权限
        systemSetting:JSON.parse(localStorage.systemSetting),
        product_color_size_id:'',
        production_batch_number:'',
        type:'',
        depot_id:'',
        list:[],//批次号综合查询列表
        tempList:[],
        copyProductList:[],//对应的复制商品列表 为后面的批次选择的界面显示做铺垫
        qry_page: 1,
        indexCopy:'',
        unitChooseRatio:'',
        unitChooseName:'',
        unitChooseId:'',
        productList:[],
        batch_number_list:[],
        sort_list:[
            {id:0,name:'库存数量（升序）',sort:'amount',sort_rule:'asc'},
            {id:1,name:'库存数量（降序）',sort:'amount',sort_rule:'desc'},
            {id:2,name:'生产日期（升序）',sort:'production_date_timestamp',sort_rule:'asc'},
            {id:3,name:'生产日期（降序）',sort:'production_date_timestamp',sort_rule:'desc'},
            {id:4,name:'到期日期（升序）',sort:'finish_date_ms',sort_rule:'asc'},
            {id:5,name:'到期日期（降序）',sort:'finish_date_ms',sort_rule:'desc'},
            {id:6,name:'保质期（升序）',sort:'expire_date_ms',sort_rule:'asc'},
            {id:7,name:'保质期（降序）',sort:'expire_date_ms',sort_rule:'desc'},
            {id:8,name:'临期天数（升序）',sort:'finish_date_ms',sort_rule:'asc'},
            {id:9,name:'临期天数（降序）',sort:'finish_date_ms',sort_rule:'desc'}
        ],
        sort:'finish_date_ms',
        sort_rule:'asc',
        selectedSort:8,

        //全行业参数
        size_show: Number(localStorage.getItem("size_show") || 1),
        color_show: Number(localStorage.getItem("color_show") || 1),
        unit_show: Number(localStorage.getItem("unit_show") || 0),
        origin_specification: localStorage.getItem("origin_specification") || 0,
    },
    watch:{
        production_batch_number:function (newValue,oldValue){
            if(oldValue&&newValue==''){
                this.production_batch_number=''
                production_batch_select_vm.qry_page=1
                getProductionBatchInfo()
                mui("#popover1").popover("hide");
            }
        }
    },
    mixins:[globalSystemMixin],
    mounted:function (){
        var _this=this;
        setTimeout(function (){
            //用混入 利于后期的扩展
            production_batch_select_vm.expire_date_power=globalSystemMixin.computed.productionBatchPower(_this.systemSetting.production_batch_setting)
        },100)
        mui.plusReady(function (){
            mui('.mui-scroll-wrapper').scroll({
                deceleration: 0.0006
            });
            let page = plus.webview.currentWebview()
            let arg = page.arg;
            if(arg){
                arg=JSON.parse(arg);
                _this.item_info=arg.item;
                _this.product_info=arg.product;
                _this.depot_id=arg.depot_id;
                _this.type=arg.type;
                _this.copyProductList=arg.copyProductList;
                //外面的单位
                _this.unitChooseName=arg.unitChooseName;
                _this.unitChooseRatio=arg.unitChooseRatio;
                _this.unitChooseId=arg.unitChooseId;
                _this.productList=arg.productList;
                if(arg.index===0){
                    _this.indexCopy=arg.index
                }else{
                    if(arg.index){
                        _this.indexCopy=arg.index
                    }else{
                        _this.indexCopy=null
                    }
                }
                // console.error(production_batch_select_vm.expire_date_power, JSON.stringify(arg))
                // if(production_batch_select_vm.expire_date_power)
                _this.getColorSizeIdByProductId(arg.product.id, arg.depot_id, arg.item.color_id, arg.item.size_id);//查询获取保质期
            } else if ( page.setPageId ){
                // TODO 此处还未出辅单位数量
                // 订单BN设置选择
                _this.unitChooseName= page.unitChooseName
                _this.unitChooseRatio= page.unitChooseRatio
                _this.unitChooseId= page.unitChooseId
                _this.depot_id = page.depotId
                _this.type = page.type
                _this.product_color_size_id = page.product.product_color_size_id
                _this.setPageId = page.setPageId
                _this.product_info = {
                    product_id: page.product.product_id,
                    id: page.product.product_id,
                    model: page.productModel,
                    unitChooseRatio: page.unitChooseRatio
                }

                _this.item_info = { //当前使用的批次
                    color_name: page.colorName,
                    size_name: page.sizeName,
                    // TODO 本页面 item_info.production_amount / count 为当前单位下所选择的批次数量
                    production_amount: Number(( page.productionAmount / page.unitChooseRatio).toFixed(4)),
                    count:  Number(( page.usageAmount / page.unitChooseRatio).toFixed(4)),

                    product_production_batch_list: [],
                    unitChooseRatio: page.unitChooseRatio
                }
                if(page.productionBatchId ||  page.productionBatchNumber || page.productionDateTimestamp) { // 当前项目配置BN数据
                    _this.item_info.product_production_batch_list = [{
                        production_batch_id: page.productionBatchId,
                        production_batch_number: page.productionBatchNumber,
                        production_date_str: page.productionDateTimestamp ? $comm.DATE_UTIL.formatDate(new Date(page.productionDateTimestamp),false) : '',
                        expire_date_ms:_this.expire_date_ms
                    }]
                }
                _this.productList = [{ // 当前单品的主单位商品
                    product_id: page.product.product_id,
                    type: page.product.type,
                    list: [page.product]
                }]
                // 订单这里适配为当前编辑的项目为主商品
                _this.productList[0].list[0].product_production_batch_list = _this.item_info.product_production_batch_list
                _this.productList[0].list[0].unitChooseRatio = _this.productList[0].list[0].display_unit_ratio
                _this.productList[0].unitChooseRatio = _this.productList[0].list[0].display_unit_ratio

                // 转换为当前单位下所选择的批次数量
                _this.productList[0].list[0].production_amount = Number(( _this.productList[0].list[0].production_amount / page.unitChooseRatio).toFixed(4))
                // 当前商品的特殊商品
                _this.copyProductList = page.productList

                _this.copyProductList.forEach(function(p) {
                    if(p.production_batch_id || p.production_amount || p.production_batch_number || p.production_date_str || p.expire_date_ms ){
                        p.product_production_batch_list = [{
                            production_amount: p.production_amount,
                            production_batch_id: p.production_batch_id,
                            production_batch_number: p.production_batch_number,
                            production_date_str: p.production_date_str,
                            expire_date_ms: p.expire_date_ms
                        }]
                    }
                    // copy列表(这里是其他的本规格商品)单位 这里 处理
                    p.unitChooseRatio = 1
                    if(p.isRatio && p.product_production_batch_list){
                        p.product_production_batch_list[0].production_amount = Number(( p.product_production_batch_list[0].production_amount / p.display_unit_ratio).toFixed(4))
                    }
                })
                getProductionBatchInfo()
            }
        })
    },
    methods:{
        //排序的确定
        chooessQry(){
            if(this.selectedSort!==''){
                mui.each(this.sort_list,function (index,item){
                    if(item.id===production_batch_select_vm.selectedSort){
                        production_batch_select_vm.sort=item.sort
                        production_batch_select_vm.sort_rule=item.sort_rule
                        production_batch_select_vm.qry_page=1
                        getProductionBatchInfo()
                        mui(".sortHtml")[0].style.display='none'
                        mui('.sortHtmlBtn')[0].style.color='#ffb03b'
                    }
                })
            }else{
                mui(".sortHtml")[0].style.display='none'
            }
        },
        //排序的重置
        chooseReset(){
            production_batch_select_vm.sort='finish_date_ms'
            production_batch_select_vm.sort_rule='asc'
            production_batch_select_vm.selectedSort=8
            mui('.sortHtmlBtn')[0].style.color=''
            mui(".sortHtml")[0].style.display='none'
            getProductionBatchInfo()
        },
        showSortHtml(){
            if(mui(".sortHtml")[0].style.display=='none'){
                mui(".sortHtml")[0].style.display='block'
            }else{
                mui(".sortHtml")[0].style.display='none'
            }
        },
        selectSort(index){
            this.selectedSort=this.sort_list[index].id
        },
        selectBatchNumber(index){
            this.qry_page=1
            this.production_batch_number=this.batch_number_list[index].production_batch_number
            mui("#popover1").popover("hide");
            getProductionBatchInfo()
        },
        blurBatchNumber(){
            mui("#popover1").popover("hide");
        },
        productBatchSelect(){
            let checkList=this.list.filter(function (item){
                return item.checked==true
            })
            let isSelected=false
            if(this.item_info.product_production_batch_list && this.item_info.product_production_batch_list.length!=0){
                if(this.item_info.product_production_batch_list[0].production_batch_number){
                    isSelected=true //表示选择过批次号
                }
            }

            if(this.setPageId){
                if(!checkList[0]){
                    checkList[0] = {}
                    back.call(this)
                }
                if(this.item_info.count<checkList[0].num){
                    mui.toast('批次的数量大于商品数量')
                    return;
                }
                if(this.item_info.count>checkList[0].num){
                    let msg='批次的商品数量与销售的数量不一致'
                    if(production_batch_select_vm.type.includes('cai')){
                        msg="批次的商品数量与采购退货的数量不一致"
                    }
                    let _this = this
                    mui.confirm(msg, '提示信息', ["取消","确定"], function (e) {
                        if(e.index===1){
                            back(_this.setPageId, _this.unitChooseRatio)
                        }
                    },'div')
                }else{
                    back(this.setPageId, this.unitChooseRatio)
                }

                function back(setPageId, unit) {
                    mui.fire(plus.webview.getWebviewById(setPageId), 'productionBatchSelect', {
                        production_batch_id: checkList[0].id || null,
                        production_batch_number: checkList[0].production_batch_number || null,
                        production_date_str: checkList[0].id ? loadDates(checkList[0].production_date_timestamp) : null ,
                        production_date_timestamp: checkList[0].id ? Math.round(new Date(checkList[0].production_date_timestamp)/1) : null,
                        expire_date_ms: checkList[0].expire_date_ms || null,
                        production_amount: Number(( (checkList[0].num || 0 ) * unit).toFixed(4))
                    })
                    setTimeout(function(){
                        mui.back()
                    },0)
                }
                return
            }
            if(checkList.length==0&&!isSelected){
                //表示没有选择 直接关闭就可以了 增加 这样太单纯 如果是已选择了批次 这样写就有bug
                viewHandle.back('close');
                // 修改
            }else if(checkList.length == 0&&isSelected){
                //表示已选批次 然后取消 返回后需要清空所在的批次信息
                var listSend={
                    production_batch_id:'',
                    production_batch_number: '',
                    production_date_str:'',
                    product_color_size_id:'',
                    expire_date_ms:'',
                    num:'',
                    item:production_batch_select_vm.item_info,
                    product:production_batch_select_vm.product_info,
                    type:production_batch_select_vm.type,
                    indexCopy:production_batch_select_vm.indexCopy
                }
                // 写返回 并传递数据
                if(production_batch_select_vm.type.includes('caitui')){
                    viewHandle.viewFire('caigou.html','productionBatchSelect',listSend)
                }else{
                    viewHandle.viewFire('H576E5848','productionBatchSelect',listSend)
                    viewHandle.viewFire('HBuilder','productionBatchSelect',listSend)
                }
                viewHandle.back('close');
            }else{
                //在这里做数量的判断
                if(this.item_info.count>checkList[0].num){
                    let msg='批次的商品数量与销售的数量不一致'
                    if(production_batch_select_vm.type.includes('cai')){
                        msg="批次的商品数量与采购退货的数量不一致"
                    }
                    var btn = ["取消","确定"];
                    mui.confirm(msg, '提示信息', btn, function (e) {
                        if(e.index===1){
                            //表示有选择 需要做数据的传递
                            var listSend={
                                production_batch_id:checkList[0].id,
                                production_batch_number: checkList[0].production_batch_number,
                                production_date_str:loadDates(checkList[0].production_date_timestamp),
                                product_color_size_id:checkList[0].product_color_size_id,
                                expire_date_ms:checkList[0].expire_date_ms,
                                num:checkList[0].num,
                                item:production_batch_select_vm.item_info,
                                product:production_batch_select_vm.product_info,
                                type:production_batch_select_vm.type,
                                indexCopy:production_batch_select_vm.indexCopy
                            }
                            console.log(listSend)
                            // 写返回 并传递数据
                            if(production_batch_select_vm.type.includes('caitui')){
                                viewHandle.viewFire('caigou.html','productionBatchSelect',listSend)
                            }else{
                                viewHandle.viewFire('H576E5848','productionBatchSelect',listSend)
                                viewHandle.viewFire('HBuilder','productionBatchSelect',listSend)
                            }
                            viewHandle.back('close');
                        }
                    },'div')
                }else{
                    //表示有选择 需要做数据的传递
                    var listSend={
                        production_batch_id:checkList[0].id,
                        production_batch_number: checkList[0].production_batch_number,
                        production_date_str:loadDates(checkList[0].production_date_timestamp),
                        product_color_size_id:checkList[0].product_color_size_id,
                        expire_date_ms:checkList[0].expire_date_ms,
                        num:checkList[0].num,
                        item:production_batch_select_vm.item_info,
                        product:production_batch_select_vm.product_info,
                        type:production_batch_select_vm.type,
                        indexCopy:production_batch_select_vm.indexCopy
                    }
                    console.log(listSend)
                    // 写返回 并传递数据
                    if(production_batch_select_vm.type.includes('caitui')){
                        viewHandle.viewFire('caigou.html','productionBatchSelect',listSend)
                    }else{
                        viewHandle.viewFire('H576E5848','productionBatchSelect',listSend)
                        viewHandle.viewFire('HBuilder','productionBatchSelect',listSend)
                    }
                    viewHandle.back('close');
                }
            }
        },
        subSelectNum(index){
            let list=production_batch_select_vm.list
            if(list[index].num-1>=0){
                production_batch_select_vm.$set(list[index],'num',list[index].num-1)
                if(list[index].num==0){
                    production_batch_select_vm.$set(list[index],'checked',false)
                }
            }
        },
        addSelectNum(index){
            let list=production_batch_select_vm.list
            //取消其他的选中
            mui.each(list,function (i,item){
                if(i!=index){
                    production_batch_select_vm.$set(item,'checked',false)
                    production_batch_select_vm.$set(item,'num',0)
                }
            })
            if(!this.type.includes('tui')){
                if(production_batch_select_vm.item_info.product_production_batch_list&&production_batch_select_vm.item_info.product_production_batch_list.length>0&&production_batch_select_vm.item_info.product_production_batch_list[0].production_batch_number==list[index].production_batch_number){
                //    已有批次
                    if(list[index].num+1<=list[index].amount){
                        production_batch_select_vm.$set(list[index],'num',list[index].num+1)
                    }else{
                        mui.toast('已选数量和批次销售数量的和不能大于总批次库存')
                        return false
                    }
                }else{
                    //没有批次
                    if(list[index].num+1<=list[index].amount-list[index].selected_amount){
                        production_batch_select_vm.$set(list[index],'num',list[index].num+1)
                    }else{
                        mui.toast('已选数量和批次销售数量的和不能大于总批次库存')
                        return false
                    }
                }

            }else if(this.type.includes('caitui')){
                if(production_batch_select_vm.item_info.product_production_batch_list&&production_batch_select_vm.item_info.product_production_batch_list.length>0&&production_batch_select_vm.item_info.product_production_batch_list[0].production_batch_number==list[index].production_batch_number){
                    //    已有批次
                    if(list[index].num+1<=list[index].amount){
                        production_batch_select_vm.$set(list[index],'num',list[index].num+1)
                    }else{
                        mui.toast('已选数量和批次退货数量的和不能大于总批次库存')
                        return false
                    }
                }else{
                    //没有批次
                    if(list[index].num+1<=list[index].amount-list[index].selected_amount){
                        production_batch_select_vm.$set(list[index],'num',list[index].num+1)
                    }else{
                        mui.toast('已选数量和批次退货数量的和不能大于总批次库存')
                        return false
                    }
                }
            }else{
                //退货
                production_batch_select_vm.$set(list[index],'num',list[index].num+1)
            }
            if(production_batch_select_vm.list[index].num!=0){
                production_batch_select_vm.$set(list[index],'checked',true)
            }
        },
        /**
         * 单个的选中 选中当前需要取消其他的选中
         */
        itemCheckHandle(index){
            let list=production_batch_select_vm.list
            let oldNum=list[index].num
            let check=list[index].checked
            mui.each(list,function (i,item){
                production_batch_select_vm.$set(item,'checked',false)
                production_batch_select_vm.$set(item,'num',0)
            })
            if(check){
                //表示取消选中
                production_batch_select_vm.$set(list[index],'num',0)
                production_batch_select_vm.$set(list[index],'checked',false)
            }else{
                //表示选中
                if(list[index].num==0&&list[index].amount>=list[index].selected_amount){
                    if(list[index].amount<1){
                        mui.toast('选择的批次数量不能大于该批次下的商品数量')
                        setTimeout(function (){
                            production_batch_select_vm.$set(list[index],'checked',false)
                        },100)
                        return false
                    }
                    production_batch_select_vm.$set(list[index],'num',1)
                    if(oldNum!=0){
                        production_batch_select_vm.$set(list[index],'num',oldNum)
                    }
                }
                production_batch_select_vm.$set(list[index],'checked',true)
            }
        },
        itemNumchecked(index){
            if(Number(production_batch_select_vm.list[0].num)!=0){
                //判断
                if(Number(production_batch_select_vm.list[0].num)>Number(production_batch_select_vm.list[0].amount-production_batch_select_vm.list[0].selected_amount)){
                    mui.toast('已选数量和批次销售数量的和不能大于总批次库存')
                    production_batch_select_vm.$set(production_batch_select_vm.list[index],'num',0)
                }
            }
        },

        qryColorSizeIdByProductId(productId, depotId, colorId, sizeId) {
            return new Promise(function (resolve, reject){
                const loading = viewHandle.loading('请稍后...')
                $API.product.qryColorSizeIdsByProductIds({
                    'depot_id': depotId,
                    'product_ids': productId
                }).then(function(e) {
                    loading.close()
                    const temp = e.data.find(function (e){ return e.depot_id === depotId && e.product_id === productId && e.color_id === colorId && e.size_id === sizeId})
                    if(temp){
                        resolve(temp.product_color_size_id)
                    }else{
                        mui.toast('数据异常')
                        reject()
                    }
                }).catch(function(e) {
                    loading.close()
                    mui.toast('数据异常')
                    reject(e)
                })
            })
        },
        /**
         * 查询获取商品的colorSizeIdByProductId
         */
        getColorSizeIdByProductId(id, depotId, colorId, sizeId) {
            const _this = this
            this.qryColorSizeIdByProductId(id,depotId, colorId, sizeId).then(function (product_color_size_id) {
                _this.product_color_size_id = product_color_size_id
                getProductionBatchInfo()
            })
        }
    }
})

$(document).on('touchstart','#upFresh', function(e) {
    // e.preventDefault();
    data.startY = e.originalEvent.changedTouches[0].pageY;
});
$(document).on('touchmove', '#upFresh',function(e) {
    // e.preventDefault();
    data.moveEndY = e.originalEvent.changedTouches[0].pageY
    Y = data.startY - data.moveEndY;
    if(Y>80){
        upLoading()
    }
});
function getProductionBatchInfo(){
    let _this=this
    data.to_qry = false;
    mui.ajax(severUrl + "scm/productionbatch/dataGrid.json", {
        data: {
            "depot_id": production_batch_select_vm.depot_id,
            'product_color_size_id':production_batch_select_vm.product_color_size_id,
            'product_id':production_batch_select_vm.product_info.id,
            'page': production_batch_select_vm.qry_page,
            'rows': 10,
            "production_batch_number":production_batch_select_vm.production_batch_number,//批次号
            "sort":production_batch_select_vm.sort,//以什么排序
            "sort_rule":production_batch_select_vm.sort_rule,//升序降序
        },
        headers: {
            'Content-Type': 'application/x-www-form-urlencoded'
        },
        xhrFields: {
            withCredentials: true
        },
        dataType: 'json',
        type: 'get',
        timeout: 20000,
        beforeSend: function() {
            // mask.show();//显示遮罩层
            mui('#dh')[0].style.display = "block";
        },
        complete: function() {
            //mask.close();//关闭遮罩层
            mui('#dh')[0].style.display = "none";
        },
        success: function (res) {
            if(res.success){
                var totalPage=res.data.totalPage;
                if(production_batch_select_vm.qry_page==1){
                    production_batch_select_vm.list=[]
                }
                if(res.data.list.length!=0){
                    production_batch_select_vm.tempList=production_batch_select_vm.list
                    production_batch_select_vm.list=[]
                    production_batch_select_vm.list=res.data.list;
                    mui(".mui-pull-caption")[0].style.display = "block";
                    mui.each(production_batch_select_vm.list,function(index,item){
                        production_batch_select_vm.$set(item,'checked',false)
                        production_batch_select_vm.$set(item,'num',0)
                    })
                    let item_info=production_batch_select_vm.item_info
                    //已经有批次 做处理
                    if(item_info.product_production_batch_list && item_info.product_production_batch_list.length!=0){
                        if(item_info.product_production_batch_list[0].production_batch_number!=''){
                            mui.each(production_batch_select_vm.list,function (index,it){
                                if(it.production_batch_number==item_info.product_production_batch_list[0].production_batch_number&&it.id==item_info.product_production_batch_list[0].production_batch_id){
                                    production_batch_select_vm.$set(it,'checked',true)
                                    production_batch_select_vm.$set(it,'num',item_info.production_amount||0)
                                }
                            })
                        }
                    }
                    //获取批次下已被选择的商品数量 处理逻辑
                    if(!production_batch_select_vm.type.includes('tui')||production_batch_select_vm.type.includes('caitui')){
                        var xiaoList
                        //仅销售部分的逻辑
                        if(!production_batch_select_vm.type.includes('tui')){
                            xiaoList=production_batch_select_vm.productList.filter(function (em){
                                //1 找到对应的非赠品
                                return em.type==0&&em.product_id==production_batch_select_vm.product_info.product_id //0表示销售
                            })
                        }else{
                            xiaoList=production_batch_select_vm.productList.filter(function (em){
                                //1 找到对应的非赠品
                                return em.type==1&&em.product_id==production_batch_select_vm.product_info.product_id //1表示采购退货
                            })
                        }

                        console.log(xiaoList)
                        let item=xiaoList[0]

                        // 批次中已被选择的数量计算
                        mui.each(production_batch_select_vm.list,function (index,ite){
                            // 第一层 循环批次号的列表
                            let selected_amount=0  //记录当前批次下已选择的商品数量

                            //修改的第一步 计算非赠品的已选数量
                            item.list.forEach(function(v){
                                if(v.product_production_batch_list && v.product_production_batch_list.length) {
                                    //设置了批次
                                    if (ite.production_batch_number === v.product_production_batch_list[0].production_batch_number&&ite.id === v.product_production_batch_list[0].production_batch_id) {
                                        if(production_batch_select_vm.unitChooseRatio === item.unitChooseRatio){
                                            selected_amount+=Number(v.production_amount)
                                        }else{
                                            selected_amount+=Number(v.production_amount)/convertUnit(item.unitChooseRatio,production_batch_select_vm.unitChooseRatio)
                                        }
                                    }
                                }
                            })
                            //修改的第二步 计算赠品的已选数量
                            mui.each(production_batch_select_vm.copyProductList,function (i,it){
                                if(it.product_production_batch_list && it.product_production_batch_list.length!=0){
                                    //设置了批次
                                    if(ite.production_batch_number==it.product_production_batch_list[0].production_batch_number&&ite.id == it.product_production_batch_list[0].production_batch_id){
                                        if(production_batch_select_vm.unitChooseRatio==it.unitChooseRatio){
                                            selected_amount+=Number(it.production_amount)
                                        }else{
                                            //转成当前的单位
                                            selected_amount+=Number(it.production_amount)/convertUnit(it.unitChooseRatio,production_batch_select_vm.unitChooseRatio)
                                        }
                                    }
                                }
                            })
                            // //第三步 赋值
                            production_batch_select_vm.$set(production_batch_select_vm.list[index],'selected_amount',numToCur(selected_amount,production_batch_select_vm.systemSetting.amount_decimals_setting))
                        })
                    }

                    //对单位做处理 转成辅单位 库存单位转换
                    if(production_batch_select_vm.product_info.unitChooseRatio){
                        mui.each(production_batch_select_vm.list,function (index1,item1){
                            if(production_batch_select_vm.item_info.unitChooseRatio){
                                production_batch_select_vm.$set(item1,'amount',numToCur(Number(item1.amount/production_batch_select_vm.item_info.unitChooseRatio),production_batch_select_vm.systemSetting.amount_decimals_setting))
                            }else{
                                production_batch_select_vm.$set(item1,'amount',numToCur(Number(item1.amount/production_batch_select_vm.product_info.unitChooseRatio),production_batch_select_vm.systemSetting.amount_decimals_setting))
                            }
                        })
                    }
                    if (production_batch_select_vm.qry_page < totalPage) {
                        setTimeout(function() {
                            data.isLoading = true;
                            data.to_qry = true;
                            $('.mui-pull-caption').text('上拉加载更多');
                            production_batch_select_vm.qry_page++;
                        }, 1500)
                    } else {
                        data.isLoading = false;
                        $('.mui-pull-caption').text('没有更多数据了')
                    }
                    production_batch_select_vm.list=production_batch_select_vm.tempList.concat(production_batch_select_vm.list)
                }else{
                    mui.toast('暂无批次号信息')
                }
            }else{
                mui.toast(res.msg)
            }
        }
    })
}
function getBatchInfo(){
    mui.ajax(severUrl + "scm/productionbatch/qryProductionBatchNumbrList.json", {
        data: {
            "depot_id": production_batch_select_vm.depot_id,
            'product_color_size_id':production_batch_select_vm.product_color_size_id,
            'production_bn_keyword':production_batch_select_vm.production_batch_number,
            // 'rows':500,
            // 'pages':1
        },
        headers: {
            'Content-Type': 'application/x-www-form-urlencoded'
        },
        xhrFields: {
            withCredentials: true
        },
        dataType: 'json',
        type: 'get',
        timeout: 20000,
        success: function (res) {
            production_batch_select_vm.batch_number_list=[]
            if(res.data.list.length>0){
                production_batch_select_vm.batch_number_list=res.data.list
                mui("#popover1").popover("show");
                $("#hidePopover1").css('display','block');
                mui('#hidePopover1').scroll().scrollTo(0, 0, 0)
            }else{
                mui.toast('不存在该批次号')
            }
        }
    })
}
function convertUnit(startRatio,endRatio){
    if(!startRatio||!endRatio){
        return 1
    }
    return (1/startRatio)*endRatio
}
function loadNowDate(type) {
    var myDate = new Date();
    var Y = myDate.getFullYear()
    var M = (myDate.getMonth() + 1);
    var D = myDate.getDate();

    M >= 10 ? M = M : M = 0 + "" + M;
    D >= 10 ? D = D : D = 0 + "" + D;

    if (type == 1) {
        return Y + '-' + M + '-' + D;
    } else if (type == 2) {
        return Y + '-' + M + '-' + '01';
    }

}
function upLoading(){
    var scroll = mui('#pullrefresh').scroll();
    var scrollTop = scroll.y;
    //判断滚动到底部之下
    if(scrollTop < scroll.maxScrollY){
        if(data.isLoading === false || data.to_qry == false){
            return false
        }else{
            $('.mui-pull-caption').text('玩命加载中...');
            //请求数据
            getProductionBatchInfo()
        }
    }
}

var production_date = new mui.DtPicker({
    type: "date",
    labels: ['年', '月', '日']
});

var finish_date = new mui.DtPicker({
    type: "date",
    labels: ['年', '月', '日']
});
