window.addEventListener("saveBack",function(e){
    getAccountList()
});
window.addEventListener("infoBack",function(e){
    infoBackUpdate(e.detail.id,e.detail.is_default,e.detail.is_disable,e.detail.is_delete)
});
window.addEventListener("transferBack",function(e){
    transferBackUpdate(e.detail.id,e.detail.type,e.detail.amt)
});
window.addEventListener("defaultBack",function(e){
    getAccountList()
});
var settlement_accountVM = new Vue({
    el: '#settlement_accountVM',
    data: {
        systemSetting:JSON.parse(localStorage.systemSetting),
        accountList:[], //账户列表
        balanceTotal:0,
        //权限相关
        positionName:false,
        stockManager:false,
        purchaseManager:false,
        companySetIndustry:true,
        labelPprinter:false,
        faAccount:true,
        is_advanced:0,
        company_name:'',
        company_id:'',
        user_id:'',
        jifenshow:false,
        bindDepot:-1,
        //--------------------
    },
    methods: {
        getPurview :function(){//获取权限
            var _this = this;
            mui.ajax(severUrl + "sso/user/qryOp.json", {
                data : {
                    id : ''
                },
                headers : {
                    'Content-Type' : 'application/x-www-form-urlencoded'
                },
                xhrFields : {
                    withCredentials : true
                },
                dataType : 'json',
                type : 'post',
                timeout : 30000,
                async : false,
                success : function(res) {
                    if (res.success) {
                        // var position_name = res.data.position_name;
                        _this.company_name = res.data.company_name;
                        _this.company_id = res.data.company_id;
                        _this.bindDepot = res.data.manage_depot_id;
                        _this.user_id = res.data.id;
                        var code = res.data.position,permission = code.permission;
                        if(permission.indexOf('A11_1_O') >=0 || permission.indexOf('A11_1_E') >=0){
                            _this.positionName = true
                        }else{
                            _this.positionName = false
                        }
                        permission.indexOf('A4_1_E') >=0?_this.stockManager = true:_this.stockManager = false;
                        permission.indexOf('FA_ACC') >=0?_this.faAccount = true:_this.faAccount = false;
                        permission.indexOf('LOOK_PURCHASE') >=0?_this.purchaseManager = true:_this.purchaseManager = false;
                        permission.indexOf('ONLY_PRINT') >=0?_this.labelPprinter = true:_this.labelPprinter = false;
                        'RFRk,eYVo,y0oa,mVbc,pqrB,pDAY,CCP2,Oo4T,LfTY'.indexOf(_this.company_id) >=0?_this.jifenshow = true:_this.jifenshow=false
                        _this.companySetIndustry = res.data.company_set_industry;
                    }

                }
            });
        },
        totalBalance:function(){
            var balanceTotal = 0,_this = this;
            mui.each(this.accountList,function(i,v){
                balanceTotal +=Number(v.now_balance)
            });
            _this.balanceTotal = numToCur(balanceTotal,_this.systemSetting.price_decimals_setting,'price')
        }
    },
    created: function(){

    },
    mounted:function(){
        var _this = this;
        mui.plusReady(function(){
            getAccountList();
            _this.getPurview()
        })
    }
});
mui('.mui-scroll-wrapper').scroll({
    deceleration: 0.0006 //flick 减速系数，系数越大，滚动速度越慢，滚动距离越小，默认值0.0006
});
function getAccountList(){
    mui.ajax(severUrl + "fa/account/list.json", {
        data: {
        },
        headers: {
            'Content-Type': 'application/x-www-form-urlencoded'
        },
        xhrFields: {
            withCredentials: true
        },
        dataType: 'json',
        type: 'post',
        timeout: 10000,
        success: function (res) {
            if(res.success){
                mui.each(res.data,function(i,v){
                    v.now_balance = numToCur(v.now_balance,settlement_accountVM.systemSetting.price_decimals_setting,'price')
                })
                settlement_accountVM.accountList = res.data;
                settlement_accountVM.totalBalance()
            }
        }
    });
}
function infoBackUpdate(id,is_default,is_disable,is_delete){
    mui.each(settlement_accountVM.accountList,function(i,v){
        if(v.id == id){
            if(is_delete == 1){
                settlement_accountVM.accountList.splice(i,1)
            }else{
                v.is_default = is_default;
                v.is_disable = is_disable;
            }
            return false;
        }
    })
}
function transferBackUpdate(id,type,amt){
    mui.each(settlement_accountVM.accountList,function(i,v){
        if(v.id == id){
            if(type == 0){
                v.now_balance = numToCur(Number(v.now_balance) - Number(amt),settlement_accountVM.systemSetting.price_decimals_setting,'price')
            }else{
                v.now_balance = numToCur(Number(v.now_balance) + Number(amt),settlement_accountVM.systemSetting.price_decimals_setting,'price')
            }
            return false;
        }
    });
    if(type == 0){
        settlement_accountVM.balanceTotal =  numToCur(Number(settlement_accountVM.balanceTotal) - Number(amt),settlement_accountVM.systemSetting.price_decimals_setting,'price')
    }else{
        settlement_accountVM.balanceTotal =  numToCur(Number(settlement_accountVM.balanceTotal) + Number(amt),settlement_accountVM.systemSetting.price_decimals_setting,'price')
    }
}

mui('body').on('tap','.muiBack',function(){
    viewHandle.back('close')
});
mui('body').on('tap','.icon-jiahao',function(){
    viewHandle.openWindow('settlement_account_add.html','settlement_account_add.html')
});
mui('body').on('tap','.checkInfo',function(){
    if(!settlement_accountVM.faAccount){
        return false
    }
    var listSend = {};
    listSend.id = this.dataset.id;
    viewHandle.openWindow('settlement_account_info.html','settlement_account_info.html',JSON.stringify(listSend))
});
mui('body').on('tap','.transfer',function(){
    var listSend = {};
    listSend.id = this.dataset.id;
    listSend.account_type = this.dataset.account_type;
    listSend.name = this.dataset.name;
    listSend.balance = this.dataset.balance;
    viewHandle.openWindow('settlement_account_transfer.html','settlement_account_transfer.html',JSON.stringify(listSend))
});
mui('body').on('tap','.history',function(){
    var listSend = {};
    listSend.id = this.dataset.id;
    listSend.name = this.dataset.name;
    viewHandle.openWindow('settlement_account_history.html','settlement_account_history.html',JSON.stringify(listSend))
});
