mui.plusReady(function(){
    var arg = plus.webview.currentWebview().arg;
    if(arg){
        arg = JSON.parse(arg);
        settlement_account_history_infoVM.id = arg.id;
        settlement_account_history_infoVM.name = arg.name;
        settlement_account_history_infoVM.creater_name = arg.creater;
        getById()
    }

});
var settlement_account_history_infoVM = new Vue({
    el: '#settlement_account_history_infoVM',
    data: {
        systemSetting:JSON.parse(localStorage.systemSetting),
        id:'',
        name:'',
        account_id: '', //同id
        amt: 0,
        before_amt: 0,
        create_datetime: '',
        creater_id: '',
        // 操作日期
        creater_name: '',
        // 业务日期
        sign_date: '',
        is_deleted: 0,
        remark: '',
        type: 0,
        //权限相关
        positionName:false,
        stockManager:false,
        purchaseManager:false,
        companySetIndustry:true,
        labelPprinter:false,
        faAccount:true,
        is_advanced:0,
        company_name:'',
        company_id:'',
        user_id:'',
        jifenshow:false,
        bindDepot:-1,
        //--------------------
    },
    methods: {
        getPurview :function(){//获取权限
            var _this = this;
            mui.ajax(severUrl + "sso/user/qryOp.json", {
                data : {
                    id : ''
                },
                headers : {
                    'Content-Type' : 'application/x-www-form-urlencoded'
                },
                xhrFields : {
                    withCredentials : true
                },
                dataType : 'json',
                type : 'post',
                timeout : 30000,
                async : false,
                success : function(res) {
                    if (res.success) {
                        // var position_name = res.data.position_name;
                        _this.company_name = res.data.company_name;
                        _this.company_id = res.data.company_id;
                        _this.bindDepot = res.data.manage_depot_id;
                        _this.user_id = res.data.id;
                        var code = res.data.position,permission = code.permission;
                        if(permission.indexOf('A11_1_O') >=0 || permission.indexOf('A11_1_E') >=0){
                            _this.positionName = true
                        }else{
                            _this.positionName = false
                        }
                        permission.indexOf('A4_1_E') >=0?_this.stockManager = true:_this.stockManager = false;
                        permission.indexOf('FA_ACC') >=0?_this.faAccount = true:_this.faAccount = false;
                        permission.indexOf('LOOK_PURCHASE') >=0?_this.purchaseManager = true:_this.purchaseManager = false;
                        permission.indexOf('ONLY_PRINT') >=0?_this.labelPprinter = true:_this.labelPprinter = false;
                        'RFRk,eYVo,y0oa,mVbc,pqrB,pDAY,CCP2,Oo4T,LfTY'.indexOf(_this.company_id) >=0?_this.jifenshow = true:_this.jifenshow=false
                        _this.companySetIndustry = res.data.company_set_industry;
                    }

                }
            });
        },
        deleted:function(){
            var _this = this,url = '',msg = '';
            msg = _this.is_deleted ==1?"确认删除该单据?":"确认作废该单据?"
            mui.confirm(msg, '提示', ["取消","确定"], function (e) {
                if (e.index == 1) {
                    url = _this.is_deleted ==1?"fa/accountHistory/realDelete.json":"fa/accountHistory/deleted.json";
                    mui.ajax(severUrl + url, {
                        data: {
                            id:settlement_account_history_infoVM.id
                        },
                        headers: {
                            'Content-Type': 'application/x-www-form-urlencoded'
                        },
                        xhrFields: {
                            withCredentials: true
                        },
                        dataType: 'json',
                        type: 'post',
                        timeout: 10000,
                        success: function (res) {
                            mui.toast(res.msg);
                            if(res.success){
                                setTimeout(function(){
                                    var listSend = {};
                                    listSend.id = settlement_account_history_infoVM.id;
                                    listSend.type = _this.is_deleted==1?'del':"rev";
                                    viewHandle.viewFire('settlement_account_history.html','deleteBack',listSend);
                                    viewHandle.back('close')
                                },500)
                            }
                        }
                    });
                }
            },'div')
        }
    },
    created: function(){

    },
    mounted:function () {
        var _this = this;
        mui.plusReady(function () {
            _this.getPurview()
        })
    }
});

function getById(){
    mui.ajax(severUrl + "fa/accountHistory/info.json", {
        data: {
            id:settlement_account_history_infoVM.id
        },
        headers: {
            'Content-Type': 'application/x-www-form-urlencoded'
        },
        xhrFields: {
            withCredentials: true
        },
        dataType: 'json',
        type: 'post',
        timeout: 10000,
        success: function (res) {
            if(res.success){
                settlement_account_history_infoVM.account_id = res.data.account_id;
                settlement_account_history_infoVM.amt = res.data.amt;
                settlement_account_history_infoVM.before_amt = res.data.before_amt;
                settlement_account_history_infoVM.create_datetime = res.data.create_datetime;
                settlement_account_history_infoVM.sign_date = res.data.sign_date;
                settlement_account_history_infoVM.creater_id = res.data.creater_id;
                settlement_account_history_infoVM.is_deleted = res.data.is_deleted;
                settlement_account_history_infoVM.remark = res.data.remark;
                settlement_account_history_infoVM.type = res.data.type;
            }
        }
    });
}

mui('body').on('tap','.muiBack',function(){
    viewHandle.back('close')
});
