//获取当前日期
function loadNowDate(type) {
    var myDate = new Date();
    var Y = myDate.getFullYear()
    var M = (myDate.getMonth() + 1);
    var D = myDate.getDate();

    M >= 10 ? M = M : M = 0 + "" + M;
    D >= 10 ? D = D : D = 0 + "" + D;

    if (type == 1) {
        return Y + '-' + M + '-' + D;
    } else if (type == 2) {
        return Y + '-' + M + '-' + '01';
    }
}
mui.plusReady(function(){
    var arg = plus.webview.currentWebview().arg;
    if(arg){
        arg = JSON.parse(arg);
        settlement_account_transferVM.id = arg.id;
        settlement_account_transferVM.name = arg.name;
        settlement_account_transferVM.balance = arg.balance;
        settlement_account_transferVM.account_type = arg.account_type;
        getUser()
    }
})
var settlement_account_transferVM = new Vue({
    el: '#settlement_account_transferVM',
    data: {
        id:'',
        name:'',
        type:0, //转账类型
        account_type:1,
        balance:0, //账户余额
        amt:0, //转账金额
        creater_id:'', //经手人
        realname:'', //经手人
        createrList:[], //经手人列表
        createDate:loadNowDate(1), //业务时间
        remark:'',
        //权限相关
        positionName:false,
        stockManager:false,
        purchaseManager:false,
        companySetIndustry:true,
        labelPprinter:false,
        faAccount:true,
        is_advanced:0,
        company_name:'',
        company_id:'',
        user_id:'',
        jifenshow:false,
        bindDepot:-1,
        //--------------------
        saveLoading: false,
    },
    methods: {
        getPurview :function(){//获取权限
            var _this = this;
            mui.ajax(severUrl + "sso/user/qryOp.json", {
                data : {
                    id : ''
                },
                headers : {
                    'Content-Type' : 'application/x-www-form-urlencoded'
                },
                xhrFields : {
                    withCredentials : true
                },
                dataType : 'json',
                type : 'post',
                timeout : 30000,
                async : false,
                success : function(res) {
                    if (res.success) {
                        // var position_name = res.data.position_name;
                        _this.company_name = res.data.company_name;
                        _this.company_id = res.data.company_id;
                        _this.bindDepot = res.data.manage_depot_id;
                        _this.user_id = res.data.id;
                        var code = res.data.position,permission = code.permission;
                        if(permission.indexOf('A11_1_O') >=0 || permission.indexOf('A11_1_E') >=0){
                            _this.positionName = true
                        }else{
                            _this.positionName = false
                        }
                        permission.indexOf('A4_1_E') >=0?_this.stockManager = true:_this.stockManager = false;
                        permission.indexOf('FA_ACC') >=0?_this.faAccount = true:_this.faAccount = false;
                        permission.indexOf('LOOK_PURCHASE') >=0?_this.purchaseManager = true:_this.purchaseManager = false;
                        permission.indexOf('ONLY_PRINT') >=0?_this.labelPprinter = true:_this.labelPprinter = false;
                        'RFRk,eYVo,y0oa,mVbc,pqrB,pDAY,CCP2,Oo4T,LfTY'.indexOf(_this.company_id) >=0?_this.jifenshow = true:_this.jifenshow=false
                        _this.companySetIndustry = res.data.company_set_industry;
                    }

                }
            });
        },
        save:function(){
            if(settlement_account_transferVM.amt == 0){
                mui.toast("请输入转账金额");
                return false
            }
            let loading = $comm.showLoading('处理中,请稍后...')
            settlement_account_transferVM.saveLoading = true
            mui.ajax(severUrl + "fa/accountHistory/save.json", {
                data: {
                    account_id: settlement_account_transferVM.id,
                    type: settlement_account_transferVM.type,// 0支出,1收入
                    account_type: settlement_account_transferVM.account_type,// 0支出,1收入
                    amt: settlement_account_transferVM.amt,// 转账金额
                    creater_id: settlement_account_transferVM.creater_id,// 经手人
                    remark:settlement_account_transferVM.remark,
                    sign_date: settlement_account_transferVM.createDate
                },
                headers: {
                    'Content-Type': 'application/x-www-form-urlencoded'
                },
                xhrFields: {
                    withCredentials: true
                },
                dataType: 'json',
                type: 'post',
                timeout: 10000,
                success: function (res) {
                    mui.toast(res.msg);
                    if(res.success){
                        var listSend = {};
                        listSend.id = settlement_account_transferVM.id;
                        listSend.type = settlement_account_transferVM.type;
                        listSend.amt = settlement_account_transferVM.amt;
                        viewHandle.viewFire('settlement_account.html','transferBack',listSend);
                        setTimeout(function(){
                            viewHandle.back('close')
                            loading.close();
                        },500)
                    }else{
                        loading.close();
                        settlement_account_transferVM.saveLoading = false
                    }
                },
                error(){
                    loading.close();
                    income_expenses_addVM.saveLoading = false
                    mui.toast('网络错误')
                }
            });
        }
    },
    created: function(){

    },
    mounted:function () {
        var _this = this;
        mui.plusReady(function () {
            _this.getPurview()
        })
    }
});
function getUser(){
    mui.ajax(severUrl + "sso/user/qryOp.json", {
        data: {
            id: ""
        },
        headers: {
            'Content-Type': 'application/x-www-form-urlencoded'
        },
        xhrFields: {
            withCredentials: true
        },
        dataType: 'json',
        type: 'post',
        timeout: 10000,
        success: function (res) {
            if(res.success){
                settlement_account_transferVM.realname = res.data.realname;
                settlement_account_transferVM.creater_id = res.data.id;
                if(settlement_account_transferVM.positionName){
                    getAllUser()
                }
            }
        }
    });
}
function getAllUser() {
    mui.ajax(severUrl + "sso/user/dataAll.json",{
        data: {
            id: ""
        },
        headers: {
            'Content-Type': 'application/x-www-form-urlencoded'
        },
        xhrFields: {
            withCredentials: true
        },
        async:false,
        dataType: 'json',
        type: 'post',
        timeout: 10000,
        success: function(res) {
            if (res.msg) {
                settlement_account_transferVM.createrList = res.data;
            }
        }
    });
}

var dYear=new Date().getFullYear() ;
var dMonth=new Date().getMonth();
var dDay=new Date().getDate();
var createDate = new mui.DtPicker({
    type: "date",
    endDate: new Date(dYear, dMonth, dDay),//设置结束日期
    labels: ['年', '月', '日']
});
mui('body').on('tap', '.createDate', function () {
    var _self = this;
    createDate.show(function (e) {
        settlement_account_transferVM.createDate = e.text;
    })
});

mui('body').on('tap','.muiBack',function(){
    viewHandle.back('close')
});
