function getQueryString(name) {
    var reg = new RegExp("(^|&)" + name + "=([^&]*)(&|$)");
    var s=window.location.href.split('?');
    var r = s[1].match(reg);
    if (r != null) return decodeURIComponent(r[2]); return null;
}
window.addEventListener('singleStaff',function(e){
    $("#userName").html(e.detail.name);
    singleStaffVM.id = e.detail.userId;
    singleStaffVM.lsDateFirst = e.detail.lsDateFirst;
    singleStaffVM.lsDateLast = e.detail.lsDateLast;
    singleStaffVM.dataFirstDp = e.detail.lsDateFirst;
    singleStaffVM.dataLastDp = e.detail.lsDateLast;
    loadProductStatics();
});
mui.plusReady(function(){
    var arg = JSON.parse(plus.webview.currentWebview().arg);
    $("#userName").html(arg.name);
    singleStaffVM.id = arg.userId;
    singleStaffVM.lsDateFirst = arg.lsDateFirst;
    singleStaffVM.lsDateLast = arg.lsDateLast;
    singleStaffVM.dataFirstDp = arg.lsDateFirst;
    singleStaffVM.dataLastDp = arg.lsDateLast;
    loadProductStatics();
});
var singleStaffVM = new Vue({
	el: '#singleStaffVM',
	data: {
        systemSetting:JSON.parse(localStorage.systemSetting),
		id:'',
		list: [],
		searchMsg: '',
		lsDateFirst: '',
		lsDateLast:  '',
        dataFirstDp:'',
        dataLastDp:'',
        amount:'',
        keys:'',
        order_amt:'',
        his_click:'',
        //权限相关
        positionName:false,
        stockManager:false,
        purchaseManager:false,
        companySetIndustry:true,
        labelPprinter:false,
        faAccount:true,
        is_advanced:0,
        company_name:'',
        company_id:'',
        user_id:'',
        jifenshow:false,
        bindDepot:-1,
        //--------------------
        pageTabId:'achievement',
        allGoodsList:[],
        all_sales:0,
        all_tuihuo_amount: 0,
        all_order_amt:0,
        income:0,
        incomerate:0,
	},
	watch: {
		searchMsg: function (val) {
			if(!val){
                loadProductStatics();
			}
		}
	},
    methods:{
        getPurview :function(){//获取权限
            var _this = this;
            mui.ajax(severUrl + "sso/user/qryOp.json", {
                data : {
                    id : ''
                },
                headers : {
                    'Content-Type' : 'application/x-www-form-urlencoded'
                },
                xhrFields : {
                    withCredentials : true
                },
                dataType : 'json',
                type : 'post',
                timeout : 30000,
                async : false,
                success : function(res) {
                    if (res.success) {
                        // var position_name = res.data.position_name;
                        _this.company_name = res.data.company_name;
                        _this.company_id = res.data.company_id;
                        _this.bindDepot = res.data.manage_depot_id;
                        _this.user_id = res.data.id;
                        var code = res.data.position,permission = code.permission;
                        if(permission.indexOf('A11_1_O') >=0 || permission.indexOf('A11_1_E') >=0){
                            _this.positionName = true
                        }else{
                            _this.positionName = false
                        }
                        permission.indexOf('A4_1_E') >=0?_this.stockManager = true:_this.stockManager = false;
                        permission.indexOf('FA_ACC') >=0?_this.faAccount = true:_this.faAccount = false;
                        permission.indexOf('LOOK_PURCHASE') >=0?_this.purchaseManager = true:_this.purchaseManager = false;
                        permission.indexOf('ONLY_PRINT') >=0?_this.labelPprinter = true:_this.labelPprinter = false;
                        'RFRk,eYVo,y0oa,mVbc,pqrB,pDAY,CCP2,Oo4T,LfTY'.indexOf(_this.company_id) >=0?_this.jifenshow = true:_this.jifenshow=false
                        _this.companySetIndustry = res.data.company_set_industry;
                    }

                }
            });
        },
        qryByUid:function(){ //单品统计
            var data = timedifference(singleStaffVM.dataFirstDp, singleStaffVM.dataLastDp);
            if(data > 366){
                mui.toast("查询时间范围不能大于12个月，请分段查询");
                return;
            }
            mui.ajax(severUrl + "scm/product/productStaticsByUid.json", {
                data : {
                    uid:singleStaffVM.id,
                    keys:singleStaffVM.keys,
                    start_date:singleStaffVM.dataFirstDp,
                    end_date:singleStaffVM.dataLastDp
                },
                headers : {
                    'Content-Type' : 'application/x-www-form-urlencoded'
                },
                beforeSend: function() {
                    // mask.show();//显示遮罩层
                    mui('#dh')[0].style.display = "block";
                },
                complete: function() {
                    //mask.close();//关闭遮罩层
                    mui('#dh')[0].style.display = "none";
                },
                xhrFields : {
                    withCredentials : true
                },
                dataType : 'json',
                type : 'post',
                timeout : 30000,
                async : false,
                success : function(res) {
                    if (res.success) {
                        singleStaffVM.allGoodsList = res.data;
                        var all_sales=0;
                        var all_tuihuo_amount=0;
                        var all_order_amt=0;
                        var income=0;
                        var incomerate=0;
                        for (var i = 0, len = singleStaffVM.allGoodsList.length; i < len; i++) {
                            if (singleStaffVM.allGoodsList[i].all_sales) {
                                all_sales += Number(singleStaffVM.allGoodsList[i].all_sales);
                            }
                            if (singleStaffVM.allGoodsList[i].tuihuo_amount) {
                                all_tuihuo_amount += Number(singleStaffVM.allGoodsList[i].tuihuo_amount);
                            }

                            if (singleStaffVM.allGoodsList[i].all_order_amt) {
                                all_order_amt += Number(singleStaffVM.allGoodsList[i].all_order_amt);
                            }
                            if (singleStaffVM.allGoodsList[i].income) {
                                income += Number(singleStaffVM.allGoodsList[i].income);
                            }
                            if (singleStaffVM.allGoodsList[i].incomerate) {
                                incomerate += Number(singleStaffVM.allGoodsList[i].incomerate);
                            }
                        }
                        singleStaffVM.all_sales = numToCur(all_sales,singleStaffVM.systemSetting.price_decimals_setting,'price');
                        singleStaffVM.all_tuihuo_amount = numToCur(all_tuihuo_amount,singleStaffVM.systemSetting.price_decimals_setting,'price');
                        singleStaffVM.all_order_amt = numToCur(all_order_amt,singleStaffVM.systemSetting.price_decimals_setting,'price');
                        singleStaffVM.income = numToCur(income,singleStaffVM.systemSetting.price_decimals_setting,'price');
                        singleStaffVM.incomerate = numToCur((incomerate / singleStaffVM.allGoodsList.length),singleStaffVM.systemSetting.price_decimals_setting,'price');

                        if (singleStaffVM.incomerate == 'NaN') {
                            singleStaffVM.incomerate = 0;
                        }
                    }else{
                        mui.toast(res.msg)
                    }
                }
            })
        }
    },
	created: function () {
	},
    mounted: function () {
	    var _this = this;
        var winHeight = localStorage.getItem("pageHeight");  //获取当前页面高度
        $("body").css('height',localStorage.getItem("pageHeight"));
        $(window).resize(function () {
            var u = navigator.userAgent, app = navigator.appVersion;
            var isAndroid = u.indexOf('Android') > -1 || u.indexOf('Linux') > -1; //android终端或者uc浏览器
            var isiOS = !!u.match(/\(i[^;]+;( U;)? CPU.+Mac OS X/); //ios终端
            if(isAndroid){
                var thisHeight = $(this).height();
                if ( winHeight - thisHeight > 140 ) {
                    $("body").css('height',winHeight);
                } else {
                    $("body").css('height',winHeight);
                    $("input").blur();
                    $("textarea").blur();
                }
            }else if(isiOS){

            }
        });
        mui.plusReady(function () {
            _this.getPurview()
        })
    }
});
document.getElementById('slider').addEventListener('slide', function(e) {
    if(e.detail.slideNumber === 0){
        loadProductStatics()
    }else if(e.detail.slideNumber === 1){
        singleStaffVM.qryByUid()
    }
});
/**
 * 计算合计
 */
function totalNum() {
    var amount = 0;
    var order_amt = 0;
    $.each(singleStaffVM.list, function (index, order) {
        // 计算数量
        if (order.in_amount > 0 && order.out_amount == 0) {
            amount += Number(order.in_amount);
        }

        if (order.out_amount > 0 && order.in_amount == 0) {
            amount += Number(-(order.out_amount));
        }

        if (order.out_amount > 0 && order.in_amount > 0) {
            amount += Number(order.in_amount + -(order.out_amount));
        }

        // 计算总额
        order_amt += Number(order.order_amt);

    });
    singleStaffVM.amount=amount;
    singleStaffVM.order_amt=order_amt;
}

/**
 * 加载商品统计
 */
function loadProductStatics() {
    var data = timedifference(singleStaffVM.lsDateFirst, singleStaffVM.lsDateLast);
    if(data > 366){
        mui.toast("查询时间范围不能大于12个月，请分段查询");
        return;
    }
	mui.ajax(severUrl + "scm/order/getUserAllOrderInDays.json", {
		data: {
            user_id:singleStaffVM.id,
            ordertype:'1',
            start_date:singleStaffVM.lsDateFirst,
            end_date:singleStaffVM.lsDateLast
        },
		headers: {
			'Content-Type': 'application/x-www-form-urlencoded'
		},
		xhrFields: {
			withCredentials: true
		},
		dataType: 'json',
		type: 'post',
		timeout: 10000,
        beforeSend: function() {
            // mask.show();//显示遮罩层
            mui('#dh')[0].style.display = "block";
        },
        complete: function() {
            //mask.close();//关闭遮罩层
            mui('#dh')[0].style.display = "none";
        },
		success: function (res) {
			if (res.success) {
                singleStaffVM.list = res.data;
                totalNum();
			} else {
				mui.toast(res.msg);
			}
		},
        error:function(res){
            var btnArray = ["重新加载"];
            mui.confirm('', '网络异常', btnArray, function(e) {
                window.location.href = 'singleStaff.html';
            },'div')
        }
	});
}

mui('body').on('tap', '.qkInfo', function () {
    singleStaffVM.his_click = this.dataset.id;
    var listSend = {};
    listSend.id = this.dataset.id;
    listSend.type = 'customer';
    viewHandle.viewFire('customerDebets.html','customerDebets',listSend);
    viewHandle.openWindow( 'customerDebets.html','customerDebets.html',JSON.stringify(listSend));
});
/**
 * 查询
 */
mui('body').on('tap', '.time-search', function () {
    loadProductStatics();
});
/**
 * 初始化滚动条
 */
mui('.mui-scroll-wrapper').scroll({
	deceleration: 0.0006
});
/**
 * 调用时间控件
 */
var lsDateFirst = new mui.DtPicker({
	type: "date",
	labels: ['年', '月', '日']
});

var lsDateLast = new mui.DtPicker({
	type: "date",
	labels: ['年', '月', '日']
});
var dataFirstDp = new mui.DtPicker({
    type: "date",
    labels: ['年', '月', '日']
});

var dataLastDp = new mui.DtPicker({
    type: "date",
    labels: ['年', '月', '日']
});

mui('body').on('tap', '.lsDateFirst', function () {
	lsDateFirst.show(function (e) {
        singleStaffVM.lsDateFirst = e.text;
	})
});

mui('body').on('tap', '.lsDateLast', function () {
	lsDateLast.show(function (e) {
        singleStaffVM.lsDateLast = e.text;
	})
});


mui('body').on('tap', '.dataFirstDp', function () {
    dataFirstDp.show(function (e) {
        singleStaffVM.dataFirstDp = e.text;
    })
});

mui('body').on('tap', '.dataLastDp', function () {
    dataLastDp.show(function (e) {
        singleStaffVM.dataLastDp = e.text;
    })
});

mui('body').on('tap', '.back-cg', function () {
    viewHandle.back('close')
});
