var _that = null;
//日期组件
var lsDateFirst = lsDateLast = null;
var singleStoreVM = new Vue({
	el: "#singleStoreVM",
	data: {
		systemSetting:JSON.parse(localStorage.systemSetting),
		id: '',
		lsDateFirst: '',
		lsDateLast: '',
		list: [],

		amount: '',
		order_amt: '',
		storeName: '',
		his_click:'',
		//权限相关
		positionName:false,
		stockManager:false,
		purchaseManager:false,
		companySetIndustry:true,
		labelPprinter:false,
		faAccount:true,
		is_advanced:0,
		company_name:'',
		company_id:'',
		user_id:'',
		jifenshow:false,
		bindDepot:-1,
		//--------------------
	},
	created:function() {
		_that = this
		/**
		 * 页面加载参数
		 */
		window.addEventListener('singleStore', function(e) {
			$("#userName").html(e.detail.name);
			_that.storeName = e.detail.storeName
			_that.id = e.detail.storeId;
			_that.lsDateFirst = e.detail.lsDateFirst;
			_that.lsDateLast = e.detail.lsDateLast;
			_that.loadProductStatics();
		});

		mui.plusReady(function() {
			var arg = JSON.parse(plus.webview.currentWebview().arg);
			$("#storeName").html(arg.storeName);
			_that.storeName = arg.storeName;
			_that.id = arg.storeId;
			_that.lsDateFirst = arg.lsDateFirst;
			_that.lsDateLast = arg.lsDateLast;
			_that.loadProductStatics();
		});
	},
	mounted:function() {
		var _this = this;
		mui.plusReady(function () {
			_this.getPurview()
		})
		/**
		 * 初始化
		 */
		mui('.mui-scroll-wrapper').scroll({
			deceleration: 0.0006
		});

		lsDateFirst = new mui.DtPicker({
			type: "date",
			labels: ['年', '月', '日']
		});

		lsDateLast = new mui.DtPicker({
			type: "date",
			labels: ['年', '月', '日']
		});

	},
	methods: {
		getPurview :function(){//获取权限
			var _this = this;
			mui.ajax(severUrl + "sso/user/qryOp.json", {
				data : {
					id : ''
				},
				headers : {
					'Content-Type' : 'application/x-www-form-urlencoded'
				},
				xhrFields : {
					withCredentials : true
				},
				dataType : 'json',
				type : 'post',
				timeout : 30000,
				async : false,
				success : function(res) {
					if (res.success) {
						// var position_name = res.data.position_name;
						_this.company_name = res.data.company_name;
						_this.company_id = res.data.company_id;
						_this.bindDepot = res.data.manage_depot_id;
						_this.user_id = res.data.id;
						var code = res.data.position,permission = code.permission;
						if(permission.indexOf('A11_1_O') >=0 || permission.indexOf('A11_1_E') >=0){
							_this.positionName = true
						}else{
							_this.positionName = false
						}
						permission.indexOf('A4_1_E') >=0?_this.stockManager = true:_this.stockManager = false;
						permission.indexOf('FA_ACC') >=0?_this.faAccount = true:_this.faAccount = false;
						permission.indexOf('LOOK_PURCHASE') >=0?_this.purchaseManager = true:_this.purchaseManager = false;
						permission.indexOf('ONLY_PRINT') >=0?_this.labelPprinter = true:_this.labelPprinter = false;
						'RFRk,eYVo,y0oa,mVbc,pqrB,pDAY,CCP2,Oo4T,LfTY'.indexOf(_this.company_id) >=0?_this.jifenshow = true:_this.jifenshow=false
						_this.companySetIndustry = res.data.company_set_industry;
					}

				}
			});
		},
		/**
		 * 获取门店详情信息
		 */
		loadProductStatics:function() {
			var data = timedifference(this.lsDateFirst, this.lsDateLast);
			if (data > 366) {
				mui.toast("查询时间范围不能大于12个月，请分段查询");
				return;
			}
			pullUploading.load(1,true)
		},
		/**
		 * 计算合计
		 */
		totalNum:function() {
			var amount = 0;
			var order_amt = 0;
			$.each(this.list, function(index, order) {
				// 计算数量
				if (order.in_amount > 0 && order.out_amount == 0) {
					amount += Number(order.in_amount);
				}

				if (order.out_amount > 0 && order.in_amount == 0) {
					amount += Number(-(order.out_amount));
				}

				if (order.out_amount > 0 && order.in_amount > 0) {
					amount += Number(order.in_amount + -(order.out_amount));
				}

				// 计算总额
				order_amt += Number(order.order_amt);

			});
			this.amount = amount;
			this.order_amt = order_amt;
		},
		/**
		 * 查询信息
		 */
		seachData:function() {
			this.loadProductStatics(this.lsDateFirst, this.lsDateLast, this.searchMsg);
		},
		/**
		 * 显示开始时间
		 */
		showLsDateFirst:function() {
			lsDateFirst.show(function(e) {
				_that.lsDateFirst = e.text;
			})
		},
		/**
		 * 显示结束时间
		 */
		showLsDateLast:function() {
			lsDateLast.show(function(e) {
				_that.lsDateLast = e.text;
			})
		},
		/**
		 * 前往详情页面
		 */
		goInfo:function(id) {
			this.his_click = id;
			var listSend = {};
			listSend.id = id;
			listSend.type = 'customer';
			// viewHandle.viewFire('storeDebets.html', 'storeDebets', listSend);
			// viewHandle.openWindow('storeDebets.html', 'storeDebets.html', JSON.stringify(listSend));
			viewHandle.viewFire('customerDebets.html','customerDebets',listSend);
			viewHandle.openWindow('customerDebets.html', 'customerDebets.html', JSON.stringify(listSend));
		}
	}
})
/**
 * 后退
 */
mui('body').on('tap', '.back-cg', function() {
	viewHandle.back('close')
});

let pullUploading = new $comm.PullUpLoading('.J-pull-up-loading', '.J-scroll-wrapper', function (data) {
	return getProductStatics(data.num)
}, '.J-loading-text')

function getProductStatics(pageNum){
	if(pageNum){
		pullUploading.data.num = pageNum
	}
	let data = {
		rows: 25,
		page: pullUploading.data.num,
		depot_id: singleStoreVM.id,
		ordertype: '1',
		start_date: singleStoreVM.lsDateFirst,
		end_date: singleStoreVM.lsDateLast
	}

	mui('#dh')[0].style.display = "block";

	return $API.statistics.getDepotAllOrderInDays(data).then(function(res){
		mui('#dh')[0].style.display = "none";

		if(pullUploading.data.num === 1){
			singleStoreVM.list = []
			pullUploading.reset()
		}
		singleStoreVM.list.push.apply(singleStoreVM.list, res.data.list)
		singleStoreVM.totalNum()
		if(pullUploading.data.num === 1){
			mui(pullUploading.wrapperClass).scroll().refresh(); //先刷新一次布局再scrollTo
			mui(pullUploading.wrapperClass).scroll().scrollTo(0, 0, 100); //100毫秒滚动到顶
		}

		let isEntire = res.data.pageNumber >= res.data.totalPage
		return Promise.resolve({isEntire: isEntire})
	}).catch(function(){
		mui('#dh')[0].style.display = "none"
		return Promise.reject()
	})
}
