var smallAppStoreVM = new Vue({
	el: '#smallAppStoreVM',
	data: {
		//订单信息
		orderList:'',
		WIDout_trade_no:'',
		WIDsubject: '小程序商城开通',
		WIDtotal_amount:'', //支付金额
		WIDbody:'',
		order_add_column:'subscribe_wechat_mini',
		order_add_count: 1 , //开通级别  1:基础版； 2:高级版（改用vip_level）
		vip_level: 0 , //开通级别  0:基础版；1:高级版
		order_add_end_date:'',
		creater_id:'',
		dredgeType: "false",
		endDate: '',
		//权限相关
		positionName:false,
		stockManager:false,
		purchaseManager:false,
		companySetIndustry:true,
		labelPprinter:false,
		faAccount:true,
		is_advanced:0,
		company_name:'',
		company_id:'',
		user_id:'',
		jifenshow:false,
		bindDepot:-1,
		//--------------------
		isIosOne:false,
		// 为 true 时 支付调用ios 原生支付 并且变化价格
		isIosPayment: false
	},
	watch:{

	},
	methods: {
		/**
		 * 打开淘宝单品页面
		 * @param spm 淘宝商品链接 spm
		 */
		jumpTaoBaoPageBySpm(){
			if(!$("#checkChoose").is(':checked')){
			    mui.toast("支付需同意寒峰科技小程序商城用户协议");
			    return false;
			}
			var serviceUrl=localStorage.getItem('nopay_url_ios_wx')
			let nw = plus.webview.create(serviceUrl, 'taoBaoPage',{backButtonAutoControl: 'close'})
			nw.show()
		},
		getPurview :function(){//获取权限
			var _this = this;
			mui.ajax(severUrl + "sso/user/qryOp.json", {
				data : {
					id : ''
				},
				headers : {
					'Content-Type' : 'application/x-www-form-urlencoded'
				},
				xhrFields : {
					withCredentials : true
				},
				dataType : 'json',
				type : 'post',
				timeout : 30000,
				async : false,
				success : function(res) {
					if (res.success) {
						// var position_name = res.data.position_name;
						_this.company_name = res.data.company_name;
						_this.company_id = res.data.company_id;
						_this.bindDepot = res.data.manage_depot_id;
						_this.user_id = res.data.id;
						var code = res.data.position,permission = code.permission;
						if(permission.indexOf('A11_1_O') >=0 || permission.indexOf('A11_1_E') >=0){
							_this.positionName = true
						}else{
							_this.positionName = false
						}
						permission.indexOf('A4_1_E') >=0?_this.stockManager = true:_this.stockManager = false;
						permission.indexOf('FA_ACC') >=0?_this.faAccount = true:_this.faAccount = false;
						permission.indexOf('LOOK_PURCHASE') >=0?_this.purchaseManager = true:_this.purchaseManager = false;
						permission.indexOf('ONLY_PRINT') >=0?_this.labelPprinter = true:_this.labelPprinter = false;
						'RFRk,eYVo,y0oa,mVbc,pqrB,pDAY,CCP2,Oo4T,LfTY'.indexOf(_this.company_id) >=0?_this.jifenshow = true:_this.jifenshow=false
						_this.companySetIndustry = res.data.company_set_industry;
					}

				}
			});
		},
		paymentInfo:function(val){
			if(smallAppStoreVM.dredgeType =='false'){
				smallAppStoreVM.order_add_count = val;
				smallAppStoreVM.vip_level = Number(smallAppStoreVM.order_add_count - 1)
			}else{
				mui.toast("续费支付不允许切换版本，请联系客客服！")
			}
		},
		zfbPay:function(){
		    if(!$("#checkChoose").is(':checked')){
		        mui.toast("支付需同意寒峰科技小程序商城用户协议");
		        return false;
            }
			if(smallAppStoreVM.order_add_count == 1){
				if(smallAppStoreVM.dredgeType == 'false'){
					smallAppStoreVM.WIDtotal_amount=800;
					smallAppStoreVM.order_add_end_date=loadDateAddYear(1)
				}else{
					smallAppStoreVM.WIDtotal_amount=200;
					if(smallAppStoreVM.endDate){
						var timeAdd = checkTime(smallAppStoreVM.endDate)
						if(!timeAdd){
							smallAppStoreVM.order_add_end_date  = getMyYearData(smallAppStoreVM.endDate)
						}else{
							smallAppStoreVM.order_add_end_date=loadDateAddYear(1)
						}
					}else{
						smallAppStoreVM.order_add_end_date=loadDateAddYear(1)
					}
				}
			}else{
				if(smallAppStoreVM.dredgeType == 'false'){
					smallAppStoreVM.WIDtotal_amount=1600;
					smallAppStoreVM.order_add_end_date=loadDateAddYear(1)
				}else{
					smallAppStoreVM.WIDtotal_amount=300;
					if(smallAppStoreVM.endDate){
						var timeAdd = checkTime(smallAppStoreVM.endDate)
						if(!timeAdd){
							smallAppStoreVM.order_add_end_date  = getMyYearData(smallAppStoreVM.endDate)
						}else{
							smallAppStoreVM.order_add_end_date=loadDateAddYear(1)
						}
					}else{
						smallAppStoreVM.order_add_end_date=loadDateAddYear(1)
					}
				}
			}
			smallAppStoreVM.WIDout_trade_no=payNum();
			console.log(smallAppStoreVM.creater_id+','+smallAppStoreVM.company_id);
			setTimeout(function(){
				$(".new-btn-login").click();
			},500)
		},
		wxPay:function(){
            if(!$("#checkChoose").is(':checked')){
                mui.toast("支付需同意寒峰科技小程序商城用户协议");
                return false;
            }
			if(smallAppStoreVM.order_add_count == 1){
				if(smallAppStoreVM.dredgeType == 'false'){
					smallAppStoreVM.WIDtotal_amount=800;
					smallAppStoreVM.order_add_end_date=loadDateAddYear(1)
				}else{
					smallAppStoreVM.WIDtotal_amount=200;
					if(smallAppStoreVM.endDate){
						var timeAdd = checkTime(smallAppStoreVM.endDate);
						if(!timeAdd){
							smallAppStoreVM.order_add_end_date  = getMyYearData(smallAppStoreVM.endDate)
						}else{
							smallAppStoreVM.order_add_end_date=loadDateAddYear(1)
						}
					}else{
						smallAppStoreVM.order_add_end_date=loadDateAddYear(1)
					}
				}
			}else{
				if(smallAppStoreVM.dredgeType == 'false'){
					smallAppStoreVM.WIDtotal_amount=1600;
					smallAppStoreVM.order_add_end_date=loadDateAddYear(1)
				}else{
					smallAppStoreVM.WIDtotal_amount=300;
					if(smallAppStoreVM.endDate){
						var timeAdd = checkTime(smallAppStoreVM.endDate);
						if(!timeAdd){
							smallAppStoreVM.order_add_end_date  = getMyYearData(smallAppStoreVM.endDate)
						}else{
							smallAppStoreVM.order_add_end_date=loadDateAddYear(1)
						}
					}else{
						smallAppStoreVM.order_add_end_date=loadDateAddYear(1)
					}
				}
			}
			setTimeout(function(){
				if(mui.os.ios===true && localStorage.getItem('open_pay_ios')==1){
									var serviceUrl=localStorage.getItem('nopay_url_ios_wx')
								}else{
									var serviceUrl=localStorage.getItem('w_pay_url')
								}
				mui.ajax(serviceUrl,{
					data:{
						out_trade_no:payNum(),
						body:smallAppStoreVM.WIDsubject,
						total_fee:smallAppStoreVM.WIDtotal_amount,
						creater_id:smallAppStoreVM.creater_id,
						company_id:smallAppStoreVM.company_id,
						order_add_column:smallAppStoreVM.order_add_column,
						order_add_count:smallAppStoreVM.order_add_count,
						vip_level:smallAppStoreVM.vip_level,
						order_add_end_date:smallAppStoreVM.order_add_end_date
					},
					headers: {
						'Content-Type':'application/x-www-form-urlencoded'
					},
					xhrFields: {
						withCredentials: true
					},
					type:'post',
					timeout:10000,
					success:function(res){
						if(res.success){
							if (mui.os.ios == true) {
								wxPay_i(res.data)
							} else if (mui.os.android == true) {
								mui.plusReady(function() {
									var pkgname = 'com.tencent.mm';
									if (plus.runtime.isApplicationExist({ pname: pkgname})) {
										wxPay(res.data)
									}else{
										mui.toast("未检查到微信")
									}
								})
							}
						}else{
							mui.toast(res.msg)
						}
					}
				});
			},500)
		},
		orderHistory :function(){
			mui.ajax({// 商品定制/仓库定制/子账户/客户&&供应商定制
				url: severUrl + "pay/order/qryOrderList.json",
				type:'post',
				headers: {
					'Content-Type': 'application/x-www-form-urlencoded'
				},
				xhrFields: {
					withCredentials: true
				},
				data:{
					order_state: '',
					order_add_type:'subscribe_wechat_mini'
				},
				success:function (res) {
					if(res.data.length>0){
						smallAppStoreVM.orderList=res.data;
						$(".smallAppStoreVM").css('display','none');
						$("#orderHistory").css('display','block')
					}else{
						mui.toast("暂无订单历史")
					}
				}
			})
		},
		agreementCheck:function(){
			$(".smallAppStoreVM").css('display','none');
			$("#agreement").css('display','block')
		},
		iosPayment(){
			if(!$("#checkChoose").is(':checked')){
				mui.toast("支付需同意寒峰科技小程序商城用户协议");
				return false;
			}
			let type
			if(this.order_add_count === 1){ // 基础版
				type = 'miniEdition'
			}else{
				type = 'miniPremium'
			}
			if(this.dredgeType === 'true'){ // 续费
				type += 'Renewal'
			}
			let options = {
				user: this.company_id + '|' + this.creater_id,
				type: type
			}
			new Payment().pay(options).then(function(e){
				$API.payment.updatePermissionForIOSPay({
					pay_type: e.payment.productid,
					mapJsonStr: JSON.stringify(e)
				}).then(function(e){
					location.reload()
				}).catch(function(e){
					plus.nativeUI.alert(e ? e.msg : '支付失败');
				})
			}).catch(function(e){
				console.error(e)
			})
		}
	},
	created:function(){
		let _this = this
		setVuePaymentType(this)
		mui.plusReady(function(){
			$API.miniPrograms.getInfo().then(function(e){
				_this.dredgeType = "true"
				_this.order_add_count = Number(e.data.vip_level) + 1
				_this.endDate = e.data.end_date.trim().split(" ")[0]
			}).catch(function(e){
				if(e.type === 'success'){
				}else{
					// 网络错误
				}
			})
		})
	},
	mounted:function (){
		var _this = this;
		mui.plusReady(function(){
			getUser();
			_this.getPurview()
		})
	}
});
//简易随机四位数
function rand(min,max) {
	return Math.floor(Math.random()*(max-min))+min;
}
//订单编号
function payNum(){
	var vNow = new Date();
	var sNow = "";
	sNow += String(vNow.getFullYear());
	sNow += String(vNow.getMonth() + 1);
	sNow += String(vNow.getDate());
	sNow += String(vNow.getHours());
	sNow += String(vNow.getMinutes());
	sNow += String(vNow.getSeconds());
	sNow += String(vNow.getMilliseconds());
	sNow +=rand(1000,9999);
	return sNow;
}

//获取公司信息
function getUser(){
	mui.ajax({
		url:severUrl+"sso/user/qryOp.json",
		headers: {
			'Content-Type': 'application/x-www-form-urlencoded'
		},
		xhrFields: {
			withCredentials: true
		},
		type:"post",
		dataType:"json",
		timeout:10000,
		success:function(res){
			smallAppStoreVM.creater_id=res.data.id;
			smallAppStoreVM.company_id=res.data.company_id;
		}
	});
}
//获取当前日期一年后
function loadDateAddYear(type) {
	var myDate = new Date();
	var Y = myDate.getFullYear() + 1;
	var M = (myDate.getMonth() +1);
	var D = myDate.getDate();
	M >= 10 ? M = M : M = 0 + "" + M;
	D >= 10 ? D = D : D = 0 + "" + D;

	if (type == 1) {
		return Y + '-' + M + '-' + D;
	} else if (type == 2) {
		return Y + '-' + M + '-' + '01';
	}
}
//指定日期一年后
function getMyYearData(val){
	var d = new Date(val.replace(/-/g, "/"));
	d = new Date(d);
	var year = d.getFullYear() + 1;
	var mon = d.getMonth()+1;
	var day = d.getDate();
	var s = year+"-"+(mon<10?('0'+mon):mon)+"-"+(day<10?('0'+day):day);
	return(s);
}
function checkTime(value){
	var myDate = new Date();
	var now = myDate.valueOf();
	var time = new Date(value).valueOf();
	if(now>time){
		return true;
	}else{
		return false;
	}
}
mui('body').on('tap','.historyBack',function(){
	$(".smallAppStoreVM").css('display','block');
	$("#orderHistory").css('display','none')
});
mui('body').on('tap','.agreementBack',function(){
	$(".smallAppStoreVM").css('display','block');
	$("#agreement").css('display','none')
});