// 默认规格文本
let DefaultSizeText = undefined;
mui('body').on('tap','.muiBack',function(){
    viewHandle.back('close')
});
// 前一个页面传递的所有参数
let RES
window.addEventListener("stockLimitInit",function(e){
    RES = e.detail
})

mui.plusReady(function(){
    /**
     * 仓库数据数组
         id: "L2U2JH"
         ischecked: "0"
         isdisabled: "0"
         name: "测试仓库"
         remark: ""
     * @type {string|*}
     */
    /**
     *  单品数据数组
         colorItem: Object
             color_id: "L2U2S4"
             color_name: "白"
             disabled: false
             visible: false
         sizeItem: Object
             id: "L2U2SO"
             is_default: 1
             size_name: "  "
         limitItem:[
             depotId:'',
             stock_warn_max: undefined ,//库存上限
             stock_warn_min: undefined,//库存下限
         ]
     */
    getRES()
    function getRES(){
        if(RES){
            console.log(RES)
            VM.model = RES.model
            VM.selectDepotStatus = RES.oldShowStockType || 'sole'
            VM.SoleStockSet = formDataSoleStock(RES.specification, RES.allDepot, RES.stockLimitSave)
            VM.allStockSet = formDataSoleStock(RES.specification, [{}],RES.allStockSetSave)
            VM.originId = RES.originId
        }else{
            setTimeout(getRES,20)
        }
    }
})
const VM = new Vue({
    el: '#VM',
    data: {
        // 货号
        model: undefined,
        // 来源id 返回 和识别 新增 修改使用
        originId: undefined,
        // 当前选中仓库状态 all 全部设置 | sole 独自设置
        selectDepotStatus: 'all',
        // 所有仓库
        // allDepot: undefined,
        // 所有仓库设置最大值
        allDepotLimitMin: undefined,
        // 所有仓库设置最小值
        allDepotLimitMax: undefined,
        // 单品列表
        // productList: undefined,
        // 分仓库设置数据
        SoleStockSet: undefined,
        // 所有仓库设置数据
        allStockSet: undefined,
        // size 显示控制 size_show === '1' 尺码
        size_show: localStorage.getItem("size_show") || 1,
        // color 显示控制 color_show === '1' 显示
        color_show: localStorage.getItem("color_show") || 1,
        // 单位显示控制
        unit_show: localStorage.getItem("unit_show") || 0,
        // 原产地显示控制 {0，1... 字符串} origin_specification === '3' 产地 else 规格  优先显示 size_show
        origin_specification: localStorage.getItem("origin_specification") || 0,
    },
    watch: {
        // 监听库房状态 刷新 分库房设置对应值数据
        selectDepotStatus: function(val, oldVal){
            if(val === 'sole' && oldVal === 'all'){

            }
        }
    },
    methods: {
        // 选择颜色
        clickColorSelect(color, depot) {
            if(!color || !depot) return false;
            depot.color.map(color => color.color_active = false)
            color.color_active = true
        },
        // 批量设置单个颜色所有规格
        inputInputSetAllSize(color, type) {
            if(type === 'min') {
                // color.size.map(size => this.$set(size,'stock_warn_min', parseFloat(event.target.value)))
                const allmin = Number(color.allDepotLimitMin)
                color.size.map(item => {
                    const max = Number(item.stock_warn_max)
                    if(max > allmin || !item.stock_warn_max && item.stock_warn_max !== '0'){
                        item.stock_warn_min = color.allDepotLimitMin
                        item.error = null
                    }
                })
                // color.allDepotLimitMin = undefined // 恢复表头显示
            }else if(type === 'max') {
                const allMax = Number(color.allDepotLimitMax)
                color.size.map(item => {
                    const min = Number(item.stock_warn_min)
                    if(min < allMax || !item.stock_warn_min && item.stock_warn_min !== '0'){
                        item.stock_warn_max = color.allDepotLimitMax
                        item.error = null
                    }
                })
                // color.allDepotLimitMax = undefined // 恢复表头显示
            }
            this.$forceUpdate()
        },
        // 恢复批量设置表头
        inputBlurRemoveColorAllDepotLimit(color, type){
            if(type === 'min') {
                color.allDepotLimitMin = undefined // 恢复表头显示
            }else if(type === 'max') {
                color.allDepotLimitMax = undefined // 恢复表头显示
            }
        },
        // input验证限制
        changeVerify(size, type) {
            const min = Number(size.stock_warn_min)
            const max = Number(size.stock_warn_max)
            if(type === 'min') {
                if(size.stock_warn_min === '') {
                    size.error = null
                    return
                }
                if(size.stock_warn_max && size.stock_warn_max !== '0' && min >= max){
                    mui.toast('库存下限不能大于等于库存上限！')
                    size.error = 'error'
                }else{
                    size.error = null
                }
            }else if(type === 'max') {
                if(size.stock_warn_max === '') {
                    size.error = null
                    return
                }
                if(size.stock_warn_min && size.stock_warn_min !== '0' && min >= max){
                    mui.toast('库存上限限不能小于等于库存下限！')
                    size.error = 'error'
                }else{
                    size.error = null
                }
            }
        },
        // 保存数据
        clickEnterSave(){
            if (this.selectDepotStatus === 'all') {
                if(this.dataVerify(this.allStockSet)){
                    mui.confirm('所有仓库设置数量设置错误', '提示', ["返回修改"], function() {}, 'div');
                    return;
                }
                this.allStockLimitCopySoleStockLimit(undefined)
            } else if (this.dataVerify(this.SoleStockSet)){
                mui.confirm('分仓库设置数量设置错误', '提示', ["返回修改"], function() {}, 'div');
                return
            }

            if(this.selectDepotStatus !== 'all' && this.dataVerify(this.allStockSet)){
                this.allStockSet = undefined
            }
            // stockLimitSave 单个仓库的设置  // allStockSetSave 全部仓库设置 // oldShowStockType 上次界面停留的位置
            viewHandle.viewFire(this.originId, 'stockLimitSave', {stockLimitSave: this.SoleStockSet, allStockSetSave: this.allStockSet, oldShowStockType: this.selectDepotStatus})
            viewHandle.back('close')
        },
        /**
         * 所有库房批量设置 覆盖到 分库房设置
         * @param {allStockSet|undefined} oldSet 之前的设置 用来对比改变的那些属性 TODO 未实现
         */
        allStockLimitCopySoleStockLimit(oldSet){
            this.SoleStockSet.map(soleDepot => {
                soleDepot.color.map(soleColor => {
                    const allColor = this.allStockSet[0].color.find(color => color.color_id === soleColor.color_id)
                    soleColor.allDepotLimitMin = undefined
                    soleColor.allDepotLimitMax = undefined
                    soleColor.size.map(soleSize => {
                        const allSize = allColor.size.find(size => size.size_id === soleSize.size_id)
                        soleSize.stock_warn_min = allSize.stock_warn_min
                        soleSize.stock_warn_max = allSize.stock_warn_max
                    })
                })
            })
        },
        /**
         * 验证值是否无错误
         * @param stockSet
         * @return {boolean}
         */
        dataVerify(stockSet) {
            let flag = false
            stockSet.map(soleDepot => {
                soleDepot.color.map(soleColor => {
                    soleColor.size.find(soleSize => soleSize.error === 'error') && (flag = true)
                })
            })
            return flag
        }
    },
    created(){
        if(this.size_show === '1'){
            DefaultSizeText = '默认尺码'
        }else if(this.origin_specification === '3'){
            DefaultSizeText = '默认产地'
        }else if(this.origin_specification > 0){
            DefaultSizeText = '默认规格'
        }else{
            // DefaultSizeText = undefined // 用来不显示 size 栏
            DefaultSizeText = '默认规格'
        }
    }
})
/**
 * 数据组装 将单品列表 转换为多维数组
 * [
 *      {  //仓库
 *        name
 *        id
 *        // 颜色
 *        color: [{
 *            color_id:''
 *            color_name:''
 *            color_active:
 *            // 规格
 *            size:[{
 *               size_id
 *               size_name
 *               stock_warn_max
 *               stock_warn_min
 *            }]
 *        }]
 *      }
 * ]
 *   @param {specification} specification 单品列表 [{colorList: [], sizeList: []}]
 *   @param {allDepot} allDepot 仓库列表
 *   @param {StockSet} stockLimitSave 上次保存的记录
 *   @return {StockSet} 转换后的多维数组
 */
function formDataSoleStock(specification, allDepot, stockLimitSave) {
    specification = JSON.parse(JSON.stringify(specification))

    specification.colorList.map((item, index) => {
        item.color_active = index === 0 // 第一个 默认选择
        item.size = specification.sizeList
        item.color_name = item.color_name.trim() || '默认颜色'
        item.allDepotLimitMin = undefined
        item.allDepotLimitMax = undefined
    })
    specification.sizeList.map(item => {
        item.size_name = item.size_name.trim() || DefaultSizeText
        item.stock_warn_max = undefined
        item.stock_warn_min = undefined
    })
    const RES = []

    allDepot.map(function(item) {
        const depot = {}
        depot.color = JSON.parse(JSON.stringify(specification.colorList))
        depot.name = item.name
        depot.id = item.id
        RES.push(depot)
    })

    // 匹配之前的记录
    console.log(stockLimitSave)
    if(stockLimitSave) {
        stockLimitSave.map(oldDepot => {
            const newDepot = RES.find(item => item.id === oldDepot.id)
            if(newDepot) {
                oldDepot.color.map(oldColor => {
                    const newColor = newDepot.color.find(item => item.color_id === oldColor.color_id)
                    if(newColor) {
                        oldColor.size.map(oldSize =>{
                            const newSize = newColor.size.find(item => item.size_id === oldSize.size_id)
                            if(newSize){
                                newSize.stock_warn_max = oldSize.stock_warn_max
                                newSize.stock_warn_min = oldSize.stock_warn_min
                            }
                        })
                    }
                })
            }
        })
    }
    return RES
}
