function getQueryString(name) {
    var reg = new RegExp("(^|&)" + name + "=([^&]*)(&|$)");
    var r = window.location.search.substr(1).match(reg);
    if (r != null) return decodeURIComponent(r[2]); return null;
}
window.addEventListener("uploadList",function(){
    getDepotList('updataList')
});
var qryProduct = true;
var data = { //上拉加载参数
    num: 0,
    startY: '',
    moveEndY: '',
    isLoading: true
};
var supplierSetVM = new Vue({
	el: '#supplierSetVM',
	data: {
		depotList:[],
		remark:"",
		depot_name:'',
		depot_id:"",
		linkPageId:'',
		telPhone:'',
        addType:0,
        keyword:'',
        page:1,
        //权限相关
        positionName:false,
        stockManager:false,
        purchaseManager:false,
        buttonClick:true,
        companySetIndustry:true,
        labelPprinter:false,
        faAccount:true,
        is_advanced:0,
        company_name:'',
        company_id:'',
        user_id:'',
        jifenshow:false,
        bindDepot:-1,
        //--------------------
	},
    watch:{
        keyword:function(val){
            getDepotList('updataList')
        }
    },
	methods: {
        getPurview :function(){//获取权限
            var _this = this;
            mui.ajax(severUrl + "sso/user/qryOp.json", {
                data : {
                    id : ''
                },
                headers : {
                    'Content-Type' : 'application/x-www-form-urlencoded'
                },
                xhrFields : {
                    withCredentials : true
                },
                dataType : 'json',
                type : 'post',
                timeout : 30000,
                async : false,
                success : function(res) {
                    if (res.success) {
                        // var position_name = res.data.position_name;
                        _this.company_name = res.data.company_name;
                        _this.company_id = res.data.company_id;
                        _this.bindDepot = res.data.manage_depot_id;
                        _this.user_id = res.data.id;
                        var code = res.data.position,permission = code.permission;
                        if(permission.indexOf('A11_1_O') >=0 || permission.indexOf('A11_1_E') >=0){
                            _this.positionName = true
                        }else{
                            _this.positionName = false
                        }
                        permission.indexOf('A4_1_E') >=0?_this.stockManager = true:_this.stockManager = false;
                        permission.indexOf('FA_ACC') >=0?_this.faAccount = true:_this.faAccount = false;
                        permission.indexOf('LOOK_PURCHASE') >=0?_this.purchaseManager = true:_this.purchaseManager = false;
                        permission.indexOf('ONLY_PRINT') >=0?_this.labelPprinter = true:_this.labelPprinter = false;
                        'RFRk,eYVo,y0oa,mVbc,pqrB,pDAY,CCP2,Oo4T,LfTY'.indexOf(_this.company_id) >=0?_this.jifenshow = true:_this.jifenshow=false
                        _this.companySetIndustry = res.data.company_set_industry;
                    }

                }
            });
        },
	},
	created:function(){
	},
    mounted:function () {
        var _this = this;
        mui.plusReady(function () {
            _this.getPurview()
        })
    }
});
setListener();
function getDepotList(type){
    if(type == 'updataList'){
        supplierSetVM.page = 1;
    }
    qryProduct = false; //禁止短时间多次查询
	mui.ajax(severUrl + "crm/customer/dataGrid.json",{
		data:{
			type:0,
			qryType:-1,
			rows:20,
			page:supplierSetVM.page,
            status:-1,
            keyword:supplierSetVM.keyword
		},
		headers: { 
	      'Content-Type':'application/x-www-form-urlencoded' 
	  	},
        beforeSend: function() {
            mui('#dh')[0].style.display = "block";
        },
        complete: function() {
            mui('#dh')[0].style.display = "none";
        },
	  	xhrFields: {
          withCredentials: true
  		},
		dataType:'json',
		type:'post',
		timeout:10000,
		success:function(res){
			if(res.success){
                if(type == "updataList"){
                    supplierSetVM.depotList = []
                }
                var totalPage=res.data.totalPage;
                supplierSetVM.depotList = supplierSetVM.depotList.concat(res.data.list);
                mui(".mui-pull-caption")[0].style.display = "block";
                if(supplierSetVM.page<totalPage){
                    setTimeout(function(){
                        qryProduct = true;
                        data.isLoading = true;
                        $('.mui-pull-caption').text('上拉加载更多');
                        supplierSetVM.page++;
                    },1500)
                }else{
                    data.isLoading = false;
                    $('.mui-pull-caption').text('没有更多数据了')
                }
            }else{
			    mui.toast(res.msg)
            }
		}
	});
}
// 上拉加载
$(document).on('touchstart','#upFresh', function(e) {
    // e.preventDefault();
    data.startY = e.originalEvent.changedTouches[0].pageY;
});
$(document).on('touchmove', '#upFresh',function(e) {
    // e.preventDefault();
    data.moveEndY = e.originalEvent.changedTouches[0].pageY
    Y = data.startY - data.moveEndY;
    if(Y>80){
        upLoading()
    }
});
function upLoading(){
    var scroll = mui('#pullrefresh').scroll();
    var scrollTop = scroll.y;
    //判断滚动到底部之下
    if(scrollTop < scroll.maxScrollY){
        if( data.isLoading === false || qryProduct == false){
            return
        }else{
            $('.mui-pull-caption').text('玩命加载中...')
            //请求数据
            getDepotList()
        }
    }
}

function setListener(){
	window.addEventListener("pageshow",function(){
		getDepotList();
	});
	mui('.mui-scroll-wrapper').scroll({
	    deceleration: 0.0006 //flick 减速系数，系数越大，滚动速度越慢，滚动距离越小，默认值0.0006  
	});
	mui("#supplierSetVM").on('tap','.preservation',function(){
		if(supplierSetVM.depot_name==''){
			mui.toast("请输入供应商名称");
		}else{
			mui.ajax(severUrl + "crm/customer/save.json",{
				data:{
					id:supplierSetVM.linkPageId,
					type:0,
					name:supplierSetVM.depot_name,
					remark:supplierSetVM.remark,
                    telephone:supplierSetVM.telPhone
				},
				headers: { 
			      'Content-Type':'application/x-www-form-urlencoded' 
			  	},
			  	xhrFields: {
		          withCredentials: true
		  		},
				dataType:'json',
				type:'post',
				timeout:10000,
				success:function(res){
					if(res.status==200){
                        mui.toast(res.msg)
                        var page=getQueryString("page");
                        if(page){
                            sessionStorage.setItem("selectedSupplier",res.data.id);
                            location = '../'+page+'.html'
                        }else{
                            supplierSetVM.depot_name="";
                            supplierSetVM.remark="";
                            supplierSetVM.linkPageId="";
                            supplierSetVM.telPhone="";
                            getDepotList('updataList');
						}
					}else{
                        $comm.showLimitConfirm(res,{payOrderNameStrategy:'supplier',rootPath:'../'})
                    }
				}
			});
		}
		
	});
	mui("#supplierSetVM").on('tap','.delWarehouse',function(){
		var id=this.parentNode.parentNode.dataset.id;
		console.log(id)
		var btn = ["取消","确定"];
		mui.confirm('确认删除该供应商?','提示',btn,function(e){
		    if(e.index==1){
				mui.ajax(severUrl + "crm/customer/del.json",{
					data:{
						"id":id
					},
					headers: { 
				      'Content-Type': 'application/x-www-form-urlencoded' 
				  	},
				  	xhrFields: {
			          withCredentials: true
			  		},
					dataType:'json',//服务器返回json格式数据
					type:'post',//HTTP请求类型
					timeout:10000,//超时时间设置为10秒；
					success:function(res){
						mui.toast(res.msg);
						if(res.success){
                            $("tr").removeClass("trMy");
                            $("tr").addClass("myTr");
                            $("td").removeClass("my-td");
                            supplierSetVM.addType=0;
                            supplierSetVM.depot_name = "";
                            supplierSetVM.remark = "";
                            supplierSetVM.telPhone = "";
						   	getDepotList('updataList');
                            localStorage.setItem("caiPageAction",'supplierRefresh') //刷新页面参数
						}
					}
				});
		    }
		},'div');
		
	});
    mui("#supplierSetVM").on('tap','.moRenWarehouse',function(){
        var id=this.parentNode.dataset.id;
        var status=this.parentNode.dataset.status;
        var checked=this.parentNode.dataset.checked;
        if(status==1){
            mui.toast("禁用供应商不能设置为默认");
        }else{
            if(checked == 0 || checked == "" || checked == null){
                var btn = ["取消","确定"];
                mui.confirm('确认设为默认供应商?','提示',btn,function(e){
                    if(e.index==1){
                        for(var i=0;i<supplierSetVM.depotList.length;i++){
                            if(supplierSetVM.depotList[i].checked==1){
                                mui.ajax({
                                    url:severUrl+"crm/customer/setChecked.json",
                                    data:{"id":supplierSetVM.depotList[i].id,"status":1},
                                    headers: {
                                        'Content-Type': 'application/x-www-form-urlencoded'
                                    },
                                    xhrFields: {
                                        withCredentials: true
                                    },
                                    dataType:'json',//服务器返回json格式数据
                                    type:'post',//HTTP请求类型
                                    timeout:10000,//超时时间设置为10秒；
                                    success:function(){
                                        localStorage.setItem("caiPageAction",'supplierRefresh') //刷新页面参数
                                    }
                                })
                            }
                        }
                        mui.ajax({
                            url:severUrl+"crm/customer/setChecked.json",
                            data:{"id":id,"status":0},
                            headers: {
                                'Content-Type': 'application/x-www-form-urlencoded'
                            },
                            xhrFields: {
                                withCredentials: true
                            },
                            dataType:'json',//服务器返回json格式数据
                            type:'post',//HTTP请求类型
                            timeout:10000,//超时时间设置为10秒；
                            success:function(t){
                                if(t.data){
                                    $("tr").removeClass("trMy");
                                    $("tr").addClass("myTr");
                                    $("td").removeClass("my-td");
                                    supplierSetVM.addType=0;
                                    supplierSetVM.depot_name = "";
                                    supplierSetVM.remark = "";
                                    supplierSetVM.telPhone = "";
                                    getDepotList('updataList');
                                    mui.toast(t.msg);
                                }else{
                                    mui.toast(t.msg);
                                }
                            }
                        });
                    }
                },'div');
            }
        }
    });
    mui("#supplierSetVM").on('tap','.jinYongWarehouse',function(){
        var id=this.parentNode.dataset.id;
        var status=this.parentNode.dataset.status;
        var checked=this.parentNode.dataset.checked;
        if(checked==1){
            mui.toast("默认供应商不能禁用");
        }else{
            var btn = ["取消","确定"];
            var btnInfo="";
            if(status==0){
                btnInfo="确认禁用该供应商？"
            }else{
                btnInfo="确认启用该供应商？"
            }
            mui.confirm(btnInfo,'提示',btn,function(e){
                if(e.index==1){
                    mui.ajax({
                        url:severUrl+"crm/customer/enableOrDisable.json",
                        data:{"id":id,"status":status},
                        headers: {
                            'Content-Type': 'application/x-www-form-urlencoded'
                        },
                        xhrFields: {
                            withCredentials: true
                        },
                        dataType:'json',//服务器返回json格式数据
                        type:'post',//HTTP请求类型
                        timeout:10000,//超时时间设置为10秒；
                        success:function(t){
                            if(t.data){
                                $("tr").removeClass("trMy");
                                $("tr").addClass("myTr");
                                $("td").removeClass("my-td");
                                supplierSetVM.addType=0;
                                supplierSetVM.depot_name = "";
                                supplierSetVM.remark = "";
                                supplierSetVM.telPhone = "";
                                getDepotList('updataList');
                                mui.toast(t.msg);
                            }else{
                                $comm.showLimitConfirm(res,{payOrderNameStrategy:'supplier',rootPath:'../'})
                            }
                        }
                    })
                }
            },'div');

        }
    });
	mui("#supplierSetVM").on('tap','.my-cun-tbody .change',function(){
        var listSend = {};
        listSend.id = this.parentNode.dataset.id;
        listSend.type = 'supplier';
        viewHandle.openWindow('customerCreate.html','customerCreate.html',JSON.stringify(listSend));
	});

    mui("#supplierSetVM").on('tap', '.searchBtn', function (e) {
        var listSend = {}
        listSend.type = "supplier"
        viewHandle.openWindow('customerCreate.html','customerCreate.html',JSON.stringify(listSend));
    });

	mui("#supplierSetVM").on('tap', '.debetDts', function (e) {
		e.stopPropagation();
		var id = this.parentNode.parentNode.dataset.id;
		var name = this.parentNode.parentNode.dataset.name;
        sessionStorage.removeItem("customerTjTimeStart");
        sessionStorage.removeItem("customerTjTimeEnd");
        var listSend = {};
        listSend.id = id;
        listSend.name = name;
        listSend.pageTabId = 'qk';
        listSend.type = 'supplier';
        viewHandle.openWindow('debatDts.html','debatDts.html',JSON.stringify(listSend))
	});
}
mui(".mui-bar").on('tap', '.muiBack', function () {
    var opener = plus.webview.currentWebview().opener().id;
    var pageAction = localStorage.getItem("caiPageAction");
    if(opener == 'caigou.html' && pageAction == 'supplierRefresh'){
        viewHandle.viewFire('caigou.html','supplierRefresh');
    }
    viewHandle.back('close')
});