var tongjiVM = new Vue({
	el: '#tongjiVM',
	data: {
        realname: '',
        vipLevel:localStorage.getItem("vipLevel"),
        systemSetting:JSON.parse(localStorage.systemSetting),
        //消息显示
        messageShow: localStorage.getItem("qryType") || 0,
        messageNum: localStorage.getItem("messageNum") || 0,
        //全行业参数
        size_show: localStorage.getItem("size_show") || 1,
        color_show: localStorage.getItem("color_show") || 1,
        unit_show: localStorage.getItem("unit_show") || 0,
        origin_specification: localStorage.getItem("origin_specification") || 0,
        industryName:'综合',
        //权限相关
        positionName:false,
        stockManager:false,
        purchaseManager:false,
        companySetIndustry:true,
        labelPprinter:false,
        faAccount:true,
        is_advanced:0,
        company_name:'',
        company_id:'',
        user_id:'',
        jifenshow:false,
        bindDepot:-1,
        //--------------------
	},
	watch: {
	},
    methods:{
        getPurview :function(){//获取权限
            var _this = this;
            mui.ajax(severUrl + "sso/user/qryOp.json", {
                data : {
                    id : ''
                },
                headers : {
                    'Content-Type' : 'application/x-www-form-urlencoded'
                },
                xhrFields : {
                    withCredentials : true
                },
                dataType : 'json',
                type : 'post',
                timeout : 30000,
                async : false,
                success : function(res) {
                    if (res.success) {
                        // var position_name = res.data.position_name;
                        _this.company_name = res.data.company_name;
                        _this.company_id = res.data.company_id;
                        _this.bindDepot = res.data.manage_depot_id;
                        _this.user_id = res.data.id;

                        if( _this.company_id!='Gr9A'){
                            $("#go_shopping").css('display', 'block');
                        }

                        var code = res.data.position,permission = code.permission;
                        if(permission.indexOf('A11_1_O') >=0 || permission.indexOf('A11_1_E') >=0){
                            _this.positionName = true
                        }else{
                            _this.positionName = false
                        }
                        permission.indexOf('A4_1_E') >=0?_this.stockManager = true:_this.stockManager = false;
                        permission.indexOf('FA_ACC') >=0?_this.faAccount = true:_this.faAccount = false;
                        permission.indexOf('LOOK_PURCHASE') >=0?_this.purchaseManager = true:_this.purchaseManager = false;
                        permission.indexOf('ONLY_PRINT') >=0?_this.labelPprinter = true:_this.labelPprinter = false;
                        'RFRk,eYVo,y0oa,mVbc,pqrB,pDAY,CCP2,Oo4T,LfTY'.indexOf(_this.company_id) >=0?_this.jifenshow = true:_this.jifenshow=false
                        _this.companySetIndustry = res.data.company_set_industry;
                    }else if (res.status == 10101 || res.status == 10102) {
                        logOut(res.msg)
                    }
                }
            });
        },
	},
	created: function () {
	},
    mounted: function () {
	    var _this = this;
        setListener();
        var src=localStorage.getItem("shopPicture");
        $(".myUserImgBox").attr("src",src);
        mui.plusReady(function(){
            getLoginInfo();
            getIndexMenu();
            _this.getPurview()
        })
    }
});
function defaultParameters(){
    var messageNum = localStorage.getItem("messageNum") || 0;
    if(messageNum && messageNum >0){
        $(".showPoint").html(messageNum)
    }else{
        $(".showPoint").removeClass("showPoint")
    }
}
//用点击事件模拟上传
mui('#tongjiVM').on('tap', '#phUpload', function() {
    mui('#picture').popover('toggle');
    $("#pictureHide").show()
});
mui('#picture').on('tap', '.photo', function() {
//downWgt()
    var type = this.dataset.phototype;
    switch (type){
        case "photoAlbum":
            clickGallery();
            break;
        case "photograph":
            clickCamera();
            break;
    }
    $("#pictureHide").hide();
    mui('#picture').popover('toggle')
});
function getDirection(localUrl,name,fileName){
    var img=document.createElement("img");
    if(mui.os.ios){
        prepareUpload(localUrl,name,type,fileName,'',img.width)
    }else{
        var direction = 0;
        img.src = localUrl;
        img.onload = function(){
            EXIF.getData(img,function(){
                direction = EXIF.getTag(this, 'Orientation');
                switch (direction) {
                    case 1: //0
                        break;
                    case 6: //->90
                        direction = 90;
                        break;
                    case 8: //<-90
                        direction = 270;
                        break;
                    case 3: //180
                        direction = 180;
                        break;
                }
                prepareUpload(localUrl,name,fileName,direction,img.width)
            })
        }
    }
}
//发送照片
function clickGallery() {
    plus.gallery.pick(function(path) {
        var name = (new Date()).valueOf()
        var fileName = 'gallery';
        getDirection(path,name,fileName)
    }, function(err) {

    });
}
// 拍照
function clickCamera() {
    var cmr = plus.camera.getCamera();
    var res = cmr.supportedImageResolutions[0]; //分辨率
    var fmt = cmr.supportedImageFormats[0]; //拍照格式
    cmr.captureImage(function(path) {
        plus.io.resolveLocalFileSystemURL(path, function(entry) {
            var name = (new Date()).valueOf()
            var localUrl = entry.toLocalURL();
            var fileName = 'camera';
            getDirection(localUrl,name,fileName)
        });
    }, function(err) {
        // console.error("拍照失败：" + err.message);
    }, {
        index: 1,
        optimize:false //自动调整图片方向
    });
}
function prepareUpload(localUrl,name,fileName,direction,width){
    var data = {};
    if(width && Number(width) <1080){
        data = {
            src: localUrl,
            dst: "_doc/zhijianjxc/"+fileName+"/"+ name+".jpg",
            quality: 40,
            rotate:direction || 0,
            overwrite: true
        }
    }else{
        data = {
            src: localUrl,
            dst: "_doc/zhijianjxc/"+fileName+"/"+ name+".jpg",
            quality: 40,
            width:'1080px',
            height:'1080px',
            rotate:direction || 0,
            overwrite: true
        }
    }
    plus.zip.compressImage(data, function(e) {
        $("#phUpload").attr('src',e.target);
        viewHandle.fileUpload(e.target,null,null,null,'head')
    }, function(err) {
        mui.toast("图片压缩失败,无法上传！")
    });
}
function setListener() {
    window.addEventListener("pageshow",function(){
        if(sessionStorage.getItem("reloadPage") == "1"){
            sessionStorage.removeItem("reloadPage");
            location.reload();
        }
        setTimeout(function(){
            if(sessionStorage.getItem("reloadPage") == "1"){
                sessionStorage.removeItem("reloadPage");
                location.reload();
            }
        },100);
    });
    mui('.mui-scroll-wrapper').scroll({
        deceleration: 0.0006 //flick 减速系数，系数越大，滚动速度越慢，滚动距离越小，默认值0.0006
    });
}
function getIndexMenu() {
    mui.ajax(severUrl + "scm/depot/list.json", {
        data: {
        },
        headers: {
            'Content-Type': 'application/x-www-form-urlencoded'
        },
        xhrFields: {
            withCredentials: true
        },
        dataType: 'json',
        type: 'post',
        timeout: 10000,
        success: function (res) {
            if (res.success) {
                var selectedDepot = sessionStorage.getItem("selectedDepot");
                if (selectedDepot && selectedDepot!='undefined') {
                    sessionStorage.setItem("selectedDepot", selectedDepot)
                } else if (res.data.length != 0) {
                    sessionStorage.setItem("selectedDepot", res.data[0].id)
                }
            }else if (res.status == 10101 || res.status == 10102) {
                logOut(res.msg)
            }
        }
    });
}


/**
 * 获取用户登录信息
 */
function getLoginInfo() {
	mui.ajax(severUrl + "sso/user/qryOp.json", {
		data: {
			id: ""
		},
		headers: {
			'Content-Type': 'application/x-www-form-urlencoded'
		},
		xhrFields: {
			withCredentials: true
		},
		dataType: 'json',
		type: 'post',
		timeout: 10000,
		success: function (res) {
		    if(res.success){
                tongjiVM.realname = res.data.realname;
                var industry = res.data.company_industry;
                mui.ajax(severUrl + "sso/industry/list.json", {
                    data : {},
                    headers : {
                        'Content-Type' : 'application/x-www-form-urlencoded'
                    },
                    xhrFields : {
                        withCredentials : true
                    },
                    dataType : 'json',
                    type : 'post',
                    timeout : 10000,
                    success : function(res) {
                        if (res.success) {
                            if(industry !=undefined && industry !=''){
                                mui.each(res.data, function (i, v) {
                                    if(v.id == industry){
                                        tongjiVM.industryName =v.name;
                                        return false;
                                    }
                                });
                            }else{
                                tongjiVM.industryName = "综合";
                            }
                        }
                    }
                });
            }else if (res.status == 10101 || res.status == 10102) {
                logOut(res.msg)
            }
		}
	});
}

/**
 * 退出登录
 */
mui('#offCanvasSide').on('tap', '.outLogin', function (e) {
	mui.confirm('确定退出用户？', '提示', ["取消","确定"], function (e) {
		if (e.index == 1) {
			// signOut()
			clearCashSignOut()
		}
	},'div')
});

/**
 * 左侧导航
 */
mui('#offCanvasSide').on('tap', '.goodsAdd', function (e) {
	e.preventDefault();
	var href = this.dataset.href;
    sessionStorage.removeItem("selColorList");
    sessionStorage.removeItem("selSizeList");
    sessionStorage.removeItem("selList");
    sessionStorage.removeItem("name");
    sessionStorage.removeItem("model");
    sessionStorage.removeItem("material");
    sessionStorage.removeItem("mainUnitId");
    sessionStorage.removeItem("mainUnitName");
    sessionStorage.removeItem("unitList");
    sessionStorage.removeItem("category_id");
    sessionStorage.removeItem("category_name");
    sessionStorage.removeItem("category_parent_name");
    sessionStorage.removeItem("barcodeList");
    sessionStorage.removeItem("purchase_price");
    sessionStorage.removeItem("sale_price");
    sessionStorage.removeItem("sale_price_b");
    sessionStorage.removeItem("otherAttrList");
    sessionStorage.removeItem("selListId");
    viewHandle.openWindow(href + '.html',href + '.html')
});
mui('body').on('tap','#goodsList',function(){
    //清楚单品查询记录
    sessionStorage.removeItem('singleDateFirst');
    sessionStorage.removeItem('singleDateLast');
    sessionStorage.removeItem('singleMsg');
    viewHandle.openWindow('singleTongJi.html','singleTongJi.html');
});
mui('body').on('tap','#flowStatistics',function(){
    //清楚流水查询记录
    sessionStorage.removeItem('flowDateFirst');
    sessionStorage.removeItem('flowDateLast');
    sessionStorage.removeItem('flowDepot');
    sessionStorage.removeItem('flowMsg');
    sessionStorage.removeItem('flowId');
    viewHandle.openWindow('flowStatistics.html','flowStatistics.html');
});
mui('body').on('tap','#customer',function(){
    viewHandle.openWindow('customerTongJi.html','customerTongJi.html');
});
//资金流水
mui('body').on('tap','#journalAccount',function(){
    viewHandle.openWindow('journalAccount.html','journalAccount.html');
});
mui('body').on('tap','#supplier',function(){
    viewHandle.openWindow('supplierTongJi.html','supplierTongJi.html');
});
mui('body').on('tap','#staff',function(){
    viewHandle.openWindow('staff.html','staff.html');
});
mui('body').on('tap','#store',function(){
    viewHandle.openWindow('storeTongji.html','storeTongji.html');
});
mui('body').on('tap','#chatQQ',function(){
    window.location.href = "mqqwpa://im/chat?chat_type=wpa&uin=1740565494&version=1&src_type=web&web_src=oicqzone.com";
});

mui("body").on('tap', '.itemAdd', function () {
    sessionStorage.removeItem("selColorList");
    sessionStorage.removeItem("selSizeList");
    sessionStorage.removeItem("selList");
    sessionStorage.removeItem("barcodeList");
    sessionStorage.removeItem("name");
    sessionStorage.removeItem("model");
    sessionStorage.removeItem("material");
    sessionStorage.removeItem("mainUnitId");
    sessionStorage.removeItem("mainUnitName");
    sessionStorage.removeItem("unitList");
    sessionStorage.removeItem("category_id");
    sessionStorage.removeItem("category_name");
    sessionStorage.removeItem("category_parent_name");
    sessionStorage.removeItem("purchase_price");
    sessionStorage.removeItem("sale_price");
    sessionStorage.removeItem("sale_price_b");
    sessionStorage.removeItem("selListId");
    sessionStorage.removeItem("otherAttrList");
    viewHandle.openWindow( 'itemAdd.html','itemAdd.html');
});

mui('body').on('tap', '.warehouseSettings', function () {
    viewHandle.openWindow('warehouseSettings.html','warehouseSettings.html')
});

mui('body').on('tap', '.customerSetting', function () {
    viewHandle.openWindow('view/customerSetting.html','ustomerSetting.html');
});

mui('body').on('tap', '.supplierSetting', function () {
    viewHandle.openWindow('view/supplierSetting.html','view/supplierSetting.html');
});

/*左侧导航 小程序管理*/
mui('body').on('tap','.LPsettings',function(){
    viewHandle.openWindow('view/adminSettings.html','view/adminSettings.html');
});
mui('body').on('tap','.sns_list_qry',function(){
    viewHandle.openWindow('sns_list.html','sns_list.html')
})
mui('body').on('tap','.batch_list_qry',function(){
    viewHandle.openWindow('batch_list.html','batch_list.html')
})
var tap_first  = null;
function unsafe_tap(){
    if(!tap_first){
        tap_first = new Date().getTime();
        setTimeout(function() {
            tap_first = null;
        }, 1500);
    }else{
        return true;
    }
}

/*左侧导航 员工账户管理*/
mui('body').on('tap', '.addUser', function () {
    viewHandle.openWindow('view/user.html','view/user.html');
});


mui('body').on('tap', '.bill_collection', function () { //票据设置
    var typeList={
        size_show: tongjiVM.size_show,
        color_show: tongjiVM.color_show,
        unit_show: tongjiVM.unit_show,
        origin_specification: tongjiVM.origin_specification,
        ordertype:2
    }
    mui.os.ios ? printCollocate_b():printConfiguration_b(typeList,tongjiVM.purchaseManager)
});
mui('body').on('tap', '.label_collection', function () { //标签设置
    mui.ajax(severUrl + "scm/productother/dataGrid.json", {
        data: {
        },
        headers: {
            'Content-Type': 'application/x-www-form-urlencoded'
        },
        xhrFields: {
            withCredentials: true
        },
        dataType: 'json',//服务器返回json格式数据
        type: 'post',//HTTP请求类型
        timeout: 10000,//超时时间设置为10秒；
        success: function (res) {
            var send = [],list = {};
            list = {
                "keyList":res.data.list
            }
            send.push(list);
            mui.os.ios ? printCollocate_i(send):printConfiguration(send);
        }
    });
});

mui('body').on('tap', '.userList', function () {
    viewHandle.openWindow('view/userList.html','view/userList.html');
});

mui('body').on('tap', '.clearHC', function () {
	clearCash();
});

/**
 * bottom nav event
 */
mui(".mui-bar-tab").on('tap', 'a', function () {
    sessionStorage.removeItem("sort");
    sessionStorage.removeItem("sort_rule");
    sessionStorage.removeItem("cun_category_parent_id");
    sessionStorage.removeItem("cun_category_id");
    //localStorage.removeItem("cun_depot_id");
	var id = this.dataset.id;
    var pageAction ='';
	if(id == 'xiao'){
        pageAction = localStorage.getItem("xiaopPageAction");
        if(pageAction == 'customerRefresh'){
            viewHandle.viewFire('H576E5848','customerRefresh');
        }
        viewHandle.openWindow(id+'.html',"H576E5848")
    }else if(id == 'caigou'){
        pageAction = localStorage.getItem("caiPageAction");
        if(pageAction == 'supplierRefresh'){
            viewHandle.viewFire(id + '.html','supplierRefresh');
        }
        viewHandle.openWindow(id+'.html',id+'.html')
    }else{
        viewHandle.openWindow(id+'.html',id+'.html')
    }
});

mui('body').on('tap', '.kefu', function () {
    viewHandle.openWindow('message.html','message.html')
});
mui('body').on('tap', '#go_shopping', function () {
    viewHandle.openWindow('valueAddedService.html','valueAddedService.html')
});

mui('.sideNavigation').on('tap', '.userInfo', function(){
    viewHandle.openWindow('view/accountSetting.html','accountSetting.html')
});

