let orderId
mui.plusReady(function(){
	var arg = plus.webview.currentWebview().arg;
	if(arg){
		orderId=arg.order_id
	}else if(!orderId && JSON.parse(localStorage.getItem('draftInfo'))){
		orderId=JSON.parse(localStorage.getItem('draftInfo')).order_id
	}else{
		orderId=sessionStorage.getItem('draftId')
	}
	console.log(orderId)
});
const upLoadImgUrl = 'cosfile/uploadPicture'
const IMG_URL_HEAD_TEMP = img_url_temp
const IMG_URL_HEAD = img_url
var upFile = {
	fileA: '',
	fileB: '',
	fileC: '',
	fileD: ''
}
var vm = new Vue({
	el:"#uploadPicVM",
	data:{
		imgList:[],
		upFileType:'',
	},
	created:function(){
		console.log("create")
	},
	mounted:function(){
		this.imgList=JSON.parse(localStorage.getItem('orderRemarkTempImg'))||[]
	},
	methods:{
		delPic:function (index){
			console.log(index)
			let data
			if(this.imgList[index].id){
				data={
					picture_provenance:'ORDER',
					comment_id:vm.imgList[index].order_id,
					picture_id:vm.imgList[index].id
				}
			}else{
				if(orderId){
					data={
						picture_provenance:'ORDER',
						comment_id:orderId,
						fileName:vm.imgList[index].name
					}
				}else{
					data={
						picture_provenance:'ORDER',
						fileName:vm.imgList[index].name
					}
				}
			}
			mui.ajax(severUrl + "cosfile/delPicture.json", {
				data: data,
				headers: {
					'Content-Type': 'application/x-www-form-urlencoded'
				},
				xhrFields: {
					withCredentials: true
				},
				dataType: 'json',
				type: 'post',
				timeout: 10000,
				success: function(res) {
					if(res.success){
						// 删除图片
						vm.imgList.splice(index,1)
						localStorage.setItem('orderRemarkTempImg',JSON.stringify(vm.imgList))
						mui.toast(res.msg)
					}else{
						mui.toast(res.msg)
					}
				}
			})
		},
		imgClick:function (index){
			var html = '';
			this.imgList.forEach(function(v, i) {
				let head
				console.log(v.id,orderId)
				if(!v.id&&!vm.orderId){
					head=IMG_URL_HEAD_TEMP
				}else{
					head=IMG_URL_HEAD
				}
				let url =head+v.name
					html += '<a href="' + url + '" class="swipebox" title="">' +
						'<img src="' + url + '" alt="image">' +
						'</a>'
			});
			$("#photo").html('');
			$("#photo").append(html);
			$(".swipebox")[index].click()
		}
	},
})
mui('body').on('tap', '.muiBack', function() {
	localStorage.removeItem('historyOrderId')
	viewHandle.viewFire('H576E5848','remarkPic')
	// viewHandle.viewFire('HBuilder','remarkPic')  //调试的时候用这个，提交的时候用上面那个 HBuilder打包的问题
	viewHandle.viewFire('pinDraft.html','remarkPic')
	viewHandle.viewFire('draft.html','remarkPic')
	viewHandle.viewFire('caigou.html','remarkPic')
	viewHandle.back('close');
});

mui('#uploadPicVM').on('tap', '#addPic', function() {
	if(vm.imgList.length==0){
		vm.upFileType = 'fileA'
	}else if(vm.imgList.length==1){
		vm.upFileType = 'fileB'
	}else if(vm.imgList.length==2){
		vm.upFileType = 'fileC'
	}else if(vm.imgList.length==3){
		vm.upFileType = 'fileD'
	}else{
		mui.toast('最多只能添加4张!')
		return false
	}
	mui('#picture').popover('toggle');
});

function clickType(type) {
	if(mui.os.android === true && (type === 'photoAlbum' || type === 'photograph')){
		$comm.requestAndroidPermission("android.permission.READ_EXTERNAL_STORAGE").then(result => {
			if(result == 1){
				func()
			}
		})
	}else{
		func()
	}
	
	function func(){
		switch (type) {
			case "photoAlbum":
				clickGallery(vm.upFileType);
				break;
			case "photograph":
				clickCamera(vm.upFileType);
				break;
		}
	}
	mui('#picture').popover('toggle')
}

function getDirection(localUrl, name, type, fileName) {
	var img = document.createElement("img");
	img.src = localUrl;
	img.onload = function() {
		prepareUpload(localUrl, name, type, fileName, '', img.width, img.height)
	}
}
//相册
function clickGallery(type) {
	plus.gallery.pick(function(path) {
		var name = (new Date()).valueOf()
		var fileName = 'gallery';
		getDirection(path, name, type, fileName)
	}, function(err) {});
}
// 拍照
function clickCamera(type) {
	var cmr = plus.camera.getCamera();
	cmr.captureImage(function(path) {
		plus.io.resolveLocalFileSystemURL(path, function(entry) {
			var localUrl = entry.toLocalURL();
			var name = (new Date()).valueOf();
			var fileName = 'camera';
			getDirection(localUrl, name, type, fileName)
		});
	}, function(err) {
		console.error("拍照失败：" + err.message);
	}, {
		filename: '/storage/emulated/0/Pictures/',
		index: 1, //摄像头类型（1:主摄，2:副摄）Android - 2.2+ (不支持)iOS - 4.3+ (支持)
		optimize: false //自动调整图片的方向（图片显示会有延迟）iOS不支持
	});
}

function prepareUpload(localUrl, name, type, fileName, direction, width, height) {
	var data = {};
	var maxWidth = 720
	if ((width || width == 0) && Number(width) < maxWidth) {
		data = {
			src: localUrl,
			dst: "_doc/" + fileName + "/" + name + ".jpg",
			quality: 60,
			rotate: direction || 0,
			overwrite: true
		}
	} else {
		height = maxWidth * height / width;
		data = {
			src: localUrl,
			dst: "_doc/" + fileName + "/" + name + ".jpg",
			quality: 40,
			width: maxWidth + 'px',
			height: height + 'px',
			rotate: direction || 0,
			overwrite: true
		}
	}
	plus.zip.compressImage(data, function(e) {
		console.log(e)
		const fileUploadData = {}
		if(orderId){
			fileUploadData.picture_provenance='ORDER'
			fileUploadData.comment_id=orderId
		}else{
			fileUploadData.picture_provenance='ORDER'
		}
		switch (type) {
			case "fileA":
				upFile.fileA = e.target;
				break;
			case "fileB":
				upFile.fileB = e.target;
				break;
			case "fileC":
				upFile.fileC = e.target;
				break;
			case "fileD":
				upFile.fileD = e.target;
				break;
		}
		fileUpload(upLoadImgUrl, e.target, fileUploadData, function(status, res){
			console.log(res)
			if(status) {
				switch (type) {
					case "fileA":
						vm.$set(vm.imgList,0,{"name":res.data})
						break;
					case "fileB":
						vm.$set(vm.imgList,1,{"name":res.data})
						break;
					case "fileC":
						vm.$set(vm.imgList,2,{"name":res.data})
						break;
					case "fileD":
						vm.$set(vm.imgList,3,{"name":res.data})
						break;
				}
				let imglist=vm.imgList
				imglist.forEach((item)=>{
					item.temp=true
					if(orderId){
						item.temp=false
					}else{
						if(item.id){
							item.temp=false
						}
					}
				})
			//将数据存起来
				localStorage.setItem('orderRemarkTempImg',JSON.stringify(imglist))
				mui.toast(res.msg)
			}else{

				mui.toast('上传失败！')
			}
			// setTimeout(function (){
			// 	circleChart.remove();
			// 	VM.uploadImgEnd(type, status, res)
			// },200)
		}, function (schedule, state, res) {

		})
	}, function(err) {
		console.log("压缩失败：  " + err.message);
	});
}

/**
 * 文件上传
 * @param url 上传服务器地址
 * @param src 本地文件路径
 * @param data 额外参数
 * @param cbFn 回调 实参1 响应码 实参2  响应体
 * @param timerFn 上传中 50ms 回调  实参 进度 小数
 */
function fileUpload(url ,src, data, cbFn, timerFn) {
	let timer = null
	let res
	const server = severUrl + url;
	//打开等待旋转提示按钮
	// const wt = plus.nativeUI.showWaiting();
	const task = plus.uploader.createUpload(server, {
		method: "post"
	}, function(t, status) {
		// wt.close(); //关闭等待提示按钮
		// console.log(status,t)
		let f = false
		if(status === 200 && JSON.parse(t.responseText||'{}').status === 200){
			f = true
		}
		res = JSON.parse(status? t.responseText||'{}' : '{}')
		cbFn && cbFn(f, JSON.parse(status? t.responseText||'{}' : '{}'))
	});
	task.addFile(src, {});
	if(data){
		for (const dataKey in data) {
			task.addData(dataKey, data[dataKey].toString());
		}
	}
	task.start();
	if(timerFn){
		timer = setInterval(function () {
			let schedule = task.uploadedSize/task.totalSize
				// ios uploadedSize 是 0
			;(task.state === 3 || task.state === 4) && timerFn(schedule,task.state, res)
			if(task.state === 4){
				clearInterval(timer)
			}
		}, 50)
	}
}
