
var userInfoVM = new Vue({
    el: '#userInfoVM',
    data: {
        id:'',
        dp_name:'',
        industry:'',
        industry_name:'',
        address:'',
        industryIndex:0,
        iconNameList:["icon-tx-lft-t","icon-ea-","icon-neiyi","icon-qingjiemaojin","icon-xiangbao","icon-suliaotong",
            "icon-bangongyongpin","icon-wanju","icon-icon-test","icon-gongyipin01","icon-jiancai","icon-jiaju1","icon-dengju",
            "icon-wujin","icon-qichepeijian","icon-shoujirenzheng","icon-fengshan","icon-jiupingkuai","icon-yaopin","icon-meizhuangrihua",
            "icon-nongzinongji","icon-fresh","icon-dami","icon-yaocai","icon-chaye","icon-tub2","icon-youpinwangtubiao-","icon-yaodai",
            "icon-zhongbiaopeishi-","icon-yanjing","icon-qiche","icon-jiudian","icon-chongwu","icon-muying","icon-jiaju","icon-qita"],
        //权限相关
        positionName:false,
        stockManager:false,
        purchaseManager:false,
        companySetIndustry:true,
        labelPprinter:false,
        faAccount:true,
        is_advanced:0,
        company_name:'',
        company_id:'',
        user_id:'',
        jifenshow:false,
        bindDepot:-1,
        //--------------------
    },
    watch: {
    },
    methods: {
        getPurview :function(){//获取权限
            var _this = this;
            mui.ajax(severUrl + "sso/user/qryOp.json", {
                data : {
                    id : ''
                },
                headers : {
                    'Content-Type' : 'application/x-www-form-urlencoded'
                },
                xhrFields : {
                    withCredentials : true
                },
                dataType : 'json',
                type : 'post',
                timeout : 30000,
                async : false,
                success : function(res) {
                    if (res.success) {
                        // var position_name = res.data.position_name;
                        _this.company_name = res.data.company_name;
                        _this.company_id = res.data.company_id;
                        _this.bindDepot = res.data.manage_depot_id;
                        _this.user_id = res.data.id;
                        var code = res.data.position,permission = code.permission;
                        if(permission.indexOf('A11_1_O') >=0 || permission.indexOf('A11_1_E') >=0){
                            _this.positionName = true
                        }else{
                            _this.positionName = false
                        }
                        permission.indexOf('A4_1_E') >=0?_this.stockManager = true:_this.stockManager = false;
                        permission.indexOf('FA_ACC') >=0?_this.faAccount = true:_this.faAccount = false;
                        permission.indexOf('LOOK_PURCHASE') >=0?_this.purchaseManager = true:_this.purchaseManager = false;
                        permission.indexOf('ONLY_PRINT') >=0?_this.labelPprinter = true:_this.labelPprinter = false;
                        'RFRk,eYVo,y0oa,mVbc,pqrB,pDAY,CCP2,Oo4T,LfTY'.indexOf(_this.company_id) >=0?_this.jifenshow = true:_this.jifenshow=false
                        _this.companySetIndustry = res.data.company_set_industry;
                    }

                }
            });
        },
        saveInfo: function () {
            mui.ajax(severUrl + "sso/company/save.json", {
                data: {
                    name: this.dp_name,
                    industry: this.industry,
                    address: this.address
                },
                dataType: 'json',//服务器返回json格式数据
                type: 'post',//HTTP请求类型
                xhrFields: {
                    withCredentials: true
                },
                crossDomain: true,//crossDomain设置为true，强制使用5+跨域
                timeout: 10000,//超时时间设置为10秒；
                success: function (data) {
                    mui.toast(data.msg);
                    if (data.success) {
                        setTimeout(function () {
                           viewHandle.back('close')
                        }, 1000)
                    }
                }
            });
        },
    },
    created: function () {
    },
    mounted: function () {
        var _this = this;
        mui.plusReady(function(){
            getUserList();
            _this.getPurview()
        })
    }
});

function getUserList() {
    mui.ajax(severUrl + "sso/company/qry.json", {
        data: {},
        headers: {
            'Content-Type': 'application/x-www-form-urlencoded'
        },
        xhrFields: {
            withCredentials: true
        },
        dataType: 'json',//服务器返回json格式数据
        type: 'post',//HTTP请求类型
        timeout: 10000,//超时时间设置为10秒；
        success: function (res) {
            userInfoVM.dp_name = res.data.name;
            userInfoVM.industry = res.data.industry;
            userInfoVM.industry_name = res.data.industry_name;
            userInfoVM.address = res.data.address;
            mui.ajax(severUrl + "sso/industry/list.json", {
                data : {},
                headers : {
                    'Content-Type' : 'application/x-www-form-urlencoded'
                },
                xhrFields : {
                    withCredentials : true
                },
                dataType : 'json',
                type : 'post',
                timeout : 10000,
                success : function(res) {
                    if (res.success) {
                        if(userInfoVM.industry !=''){
                            mui.each(res.data, function (i, v) {
                                if(v.id == userInfoVM.industry){
                                    userInfoVM.industryIndex =i;
                                    return false;
                                }
                            });
                        }else{
                            userInfoVM.industryIndex = 0;
                        }
                    }
                }
            });
        }
    });
};

mui('.mui-content').on('tap','.chooseIndustry',function(){
    viewHandle.openWindow('wholeIndustry.html?parentPage=userInfo','wholeIndustry.html');
});

mui(".mui-content").on('tap', '.validCodeBox', function () {
    updataValidCode();
});

mui('body').on('tap', '.beian', function (e) {
    e.preventDefault();
    var href = this.dataset.href;
    if (href) {
        location.replace(href);
    }
});

mui('body').on('tap', '.muiBack', function (e) {
    viewHandle.back('close')
});

function copyInfo(type) {
    if (type == 1) {
        mui('.beian')[0].style.display = 'none';
    } else {
        mui('.beian')[0].style.display = 'block';
    }
}