var userListVM = new Vue({
    el: '#userListVM',
    data: {
        list: [],
        //权限相关
        positionName:false,
        stockManager:false,
        purchaseManager:false,
        companySetIndustry:true,
        labelPprinter:false,
        faAccount:true,
        is_advanced:0,
        company_name:'',
        company_id:'',
        user_id:'',
        jifenshow:false,
        bindDepot:-1,
        //--------------------
    },
    watch: {

    },
    methods: {
        getPurview :function(){//获取权限
            var _this = this;
            mui.ajax(severUrl + "sso/user/qryOp.json", {
                data : {
                    id : ''
                },
                headers : {
                    'Content-Type' : 'application/x-www-form-urlencoded'
                },
                xhrFields : {
                    withCredentials : true
                },
                dataType : 'json',
                type : 'post',
                timeout : 30000,
                async : false,
                success : function(res) {
                    if (res.success) {
                        // var position_name = res.data.position_name;
                        _this.company_name = res.data.company_name;
                        _this.company_id = res.data.company_id;
                        _this.bindDepot = res.data.manage_depot_id;
                        _this.user_id = res.data.id;
                        var code = res.data.position,permission = code.permission;
                        if(permission.indexOf('A11_1_O') >=0 || permission.indexOf('A11_1_E') >=0){
                            _this.positionName = true
                        }else{
                            _this.positionName = false
                        }
                        permission.indexOf('A4_1_E') >=0?_this.stockManager = true:_this.stockManager = false;
                        permission.indexOf('FA_ACC') >=0?_this.faAccount = true:_this.faAccount = false;
                        permission.indexOf('LOOK_PURCHASE') >=0?_this.purchaseManager = true:_this.purchaseManager = false;
                        permission.indexOf('ONLY_PRINT') >=0?_this.labelPprinter = true:_this.labelPprinter = false;
                        'RFRk,eYVo,y0oa,mVbc,pqrB,pDAY,CCP2,Oo4T,LfTY'.indexOf(_this.company_id) >=0?_this.jifenshow = true:_this.jifenshow=false
                        _this.companySetIndustry = res.data.company_set_industry;
                    }

                }
            });
        },
    },
    mounted: function () {
        var _this = this;
        mui.plusReady(function () {
            getUserList();
            _this.getPurview()
        })
    },
    created: function () {

    }
});

window.addEventListener('addBack',function(e){
    mui.each(userListVM.list,function(i,v){
        if(v.id == e.detail.id){
            v.position_name = e.detail.name
        }
    })
});
function refresh() {
    
}
setListener();
function getUserList() {
    mui.ajax(severUrl + "sso/user/dataAll.json", {
        data: {
            status:-1
        },
        headers: {
            'Content-Type': 'application/x-www-form-urlencoded'
        },
        xhrFields: {
            withCredentials: true
        },
        dataType: 'json',//服务器返回json格式数据
        type: 'post',//HTTP请求类型
        timeout: 10000,//超时时间设置为10秒；
        success: function (res) {
            userListVM.list = res.data;
        }
    });
}
mui("#userListVM").on('tap','.jinYongWarehouse',function(){
    var id=this.parentNode.dataset.id;
    var status=this.parentNode.dataset.status;
    var btn = ["取消","确定"];
    var btnInfo="";
    if(status==0){
        btnInfo="确认启用该员工？"
    }else{
        btnInfo="确认禁用该员工？禁用后将无法登陆！"
    }
    mui.confirm(btnInfo,'提示',btn,function(e){
        if(e.index==1){
            mui.ajax({
                url:severUrl+"sso/user/disable.json",
                headers: {
                    'Content-Type': 'application/x-www-form-urlencoded'
                },
                xhrFields: {
                    withCredentials: true
                },
                data:{
                    id:id,
                    status: status
                },
                type:"post",
                dataType:"json",
                timeout:10000,
                success:function(res){
                    if(res.success){
                       mui.toast(res.msg);
                        getUserList()
                    }else{
                        $comm.showLimitConfirm(res,{payOrderNameStrategy:'user',rootPath:'../'})
                    }

                }
            });
        }
    },'div');
});
function setListener() {
    mui('.mui-scroll-wrapper').scroll({
        deceleration: 0.0006 //flick 减速系数，系数越大，滚动速度越慢，滚动距离越小，默认值0.0006
    });
    mui('#userListVM').on('tap', '.historyItem', function () {
        sessionStorage.setItem("changeUserInterCode","2");
        var listSend = {};
        listSend.id = this.parentNode.dataset.id;
        listSend.changeUserInterCode = 2;
        viewHandle.openWindow('changeUser.html','changeUser.html',JSON.stringify(listSend));
        //location = 'changeUser.html?id='+ this.parentNode.dataset.id;
    });
    mui('.mui-content').on('tap', '.deleteItem', function (e) {
        e.stopPropagation();
        var btn = ["取消","确定"];
        var self = this;
        mui.confirm('确认删除该员工?', '提示', btn, function (e) {
            if (e.index == 1) {
                var id = self.dataset.userid;
                mui.ajax(severUrl + "sso/user/del.json", {
                    data: {
                        "id": id
                    },
                    headers: {
                        'Content-Type': 'application/x-www-form-urlencoded'
                    },
                    xhrFields: {
                        withCredentials: true
                    },
                    dataType: 'json',
                    type: 'post',
                    timeout: 10000,
                    success: function (res) {
                        mui.toast(res.msg);
                        if (res.success) {
                            getUserList();
                        }
                    }
                });
            }
        },'div');
    });
}
mui('body').on('tap', '.muiBack', function () {
    viewHandle.back('close')
});
