// let user_info = localStorage.user_info || {}
var versionComparisonVM = new Vue({
    el: '#versionComparisonVM',
    data: {
        version_title:'',
        version_detail:'',
        version_img:'',
        type:'',
        company_id: '',
        creater_id: '',
		
		general_version:localStorage.getItem("general_version") || '0',  // '1'  付费版本 基础版 或 高级版
		vipLevel:localStorage.getItem("vipLevel") || '0', // '0' 基础 '1' 高级版
        isIosOne:false,
        isIosPayment: false
    },
    methods: {
        //获取公司信息
        getUser(){
            mui.ajax({
                url:severUrl+"sso/user/qryOp.json",
                headers: {
                    'Content-Type': 'application/x-www-form-urlencoded'
                },
                xhrFields: {
                    withCredentials: true
                },
                type:"post",
                dataType:"json",
                timeout:10000,
                success:function(res){
                    versionComparisonVM.creater_id = res.data.id;
                    versionComparisonVM.company_id = res.data.company_id;
                }
            });
        },
        // open_qq:function(){
        //     window.open("mqqwpa://im/chat?chat_type=wpa&uin=1740565494&version=1&src_type=web&web_src=oicqzone.com");
        // },
        update_version:function(){
            if(this.isIosPayment){
                this.iosPayment()
                return
            }
            var nw = plus.webview.create('https://item.taobao.com/item.htm?spm=a1z10.1-c.w4004-23431182283.2.4dff10b3WAu20A&id=587564838426');
            nw.show()
        },
        iosPayment(){
            let options = {
                user: this.company_id + '|' + this.creater_id,
                type: this.version_title === '' ? 'premium' : 'edition'
            }
            new Payment().pay(options).then(function(e){
                console.log(e)
                $API.payment.updatePermissionForIOSPay({
                    pay_type: e.payment.productid,
                    mapJsonStr: JSON.stringify(e)
                }).then(function(e){
                    plus.nativeUI.alert(e ? e.msg : '支付成功，即将清楚缓存重新加载', clearCache);
                }).catch(function(e){
                    plus.nativeUI.alert(e ? e.msg : '支付失败');
                })
            }).catch(function(e){
                console.error(e)
            })
        },
        jump_openScanCodePayUpload() {
            viewHandle.openWindow('./openScanCodePayUpload.html','openScanCodePayUpload')
        }
    },
    created: function () {
        setVuePaymentType(this)
    },
    mounted:function(){
        var _this = this;
        mui.plusReady(function(){
            var args = JSON.parse(plus.webview.currentWebview().arg);
            if(args){
                if(args.type === 'scan_payment'){
                    _this.type = args.type;
                    document.getElementsByClassName("version")[0].innerHTML = "扫码收款";
                    _this.version_img = "images/scan_payment.jpg";
                    _this.version_detail = "<span class='font14'><span class='version_info_point'></span>扫客户二维码，收款安全，不跑单不漏单</span><br />" +
                        "<span class='font14'><span class='version_info_point'></span>直接对接进销存，销售和资金对账更轻松</span><br />" +
                        "<span class='font14'><span class='version_info_point'></span>微信/支付宝商户平台体现手续费0.38%，费率低于同类产品</span><br />" +
                        "<span class='font14'><span class='version_info_point'></span>资金自动提现银行卡，T+1到账</span><br />"
                }else{
                    if(_this.general_version === '1'){
                        document.getElementsByClassName("version")[0].innerHTML = "当前版本：指尖进销存基础版";
                        _this.version_img = _this.isIosPayment ? "images/version_vip_ios.png" : 'images/version_vip.png';
                        _this.version_detail = "<span class='font14'><span class='version_info_point'></span>基础版/高级版的商品、门店、员工数量均可单独购买</span><br />" +
                            "<span class='font10'><span class='version_info_point hide'></span>商品款数100个=" + (_this.isIosPayment ? '60元':'50元(1000个=300元)') + "，仓库门店1个=" + (_this.isIosPayment ? '118':'100') + "元，员工一个=" + (_this.isIosPayment ? '60':'50') + "元</span>"
                    }else{
                        document.getElementsByClassName("version")[0].innerHTML = "当前版本：指尖进销存体验版";
                        _this.version_img = _this.isIosPayment ? "images/version_ios.png" : 'images/version.png';
                        _this.version_title = "指尖进销存数据存储在云服务器上，为了给您提供一个安全稳定的存储环境，部分属性有上限设置，请选择适合您的版本使用。";
                        _this.version_detail = "<span class='font14'><span class='version_info_point'></span>基础版的商品、门店、员工数量均可单独购买</span><br />" +
                            "<span class='font10'><span class='version_info_point hide'></span>商品款数100个=" + (_this.isIosPayment ? '60元':'50元(1000个=300元)') + "，仓库门店1个=" + (_this.isIosPayment ? '118':'100') + "元，员工一个=" + (_this.isIosPayment ? '60':'50') + "元</span>"
                    }
                }
            }
        })
    }
});

mui('body').on('tap','.muiBack',function(){
    viewHandle.back('close')
});