// 添加依赖 // 方向未写完
let ___V_TOOLTIP_ADD_STATUS___ = false
const SHOW = {
    el: undefined,
    innerEl: undefined,
    angle: undefined,
}
function addStatus(){
    addStyle()
    document.body.addEventListener('click', function (e){
        if(e.target !== SHOW.el && e.target !== SHOW.innerEl && SHOW.el){
            close()
        }
    })
}
// 关闭所有的tooltip
function close() {
    let tooltips = document.querySelectorAll('.__v-tooltip__')
    for(let i = 0; i < tooltips.length; i++){
        tooltips[i].parentNode.removeChild(tooltips[i])
    }
}
// add tooltip dom
const addTooltip = (function() {
    let tooltip
    return function (innerText){
        if(tooltip){
            tooltip.innerText = innerText
            return tooltip
        }else{
            const tooltip = document.createElement('span')
            tooltip.style.padding = '5px'
            tooltip.style.maxWidth = '80vw'
            tooltip.style.minWidth = '1.4rem'
            tooltip.style.width = 'max-content'
            tooltip.style.zIndex= '1'
            tooltip.style.position = 'absolute'
            tooltip.style.left = '50%'
            tooltip.style.top = '-0.4rem'
            tooltip.style.transform = 'translate(-50%, -100%)'
            tooltip.style.borderRadius = '5px'
            tooltip.style.backgroundColor = '#333'
            tooltip.style.color = '#eee'
            tooltip.style.fontSize = '16px'
            tooltip.style.fontWeight = '500'
            tooltip.style.textAlign = 'left'
            tooltip.innerText = innerText
            tooltip.classList.add('__v-tooltip__')
            return tooltip
        }
    }
})()


// 添加style 伪元素
function addStyle() {
    const  style = document.createElement('style')
    style.innerText='' +
        '.__v-tooltip__angle::after {' +
        '   position: absolute;bottom: -0.4rem;' +
        '   left: 50%;' +
        '   transform: translateX(-50%);' +
        '   content: "";' +
        '   border-color: transparent;' +
        '   border-style: solid;' +
        '   border-width: .4rem .4rem 0 .4rem;' +
        '   border-top-color: #333;' +
        '}' +
        '.__v-tooltip__angle_bottom::after {' +
        '   position: absolute;bottom: -0.4rem;' +
        '   left: 50%;' +
        '   transform: translateX(-50%);' +
        '   content: "";' +
        '   border-color: transparent;' +
        '   border-style: solid;' +
        '   border-width: 0 .4rem .4rem .4rem;' +
        '   border-top-color: #333;' +
        '}'
    document.head.appendChild(style)
}

Vue.directive('tooltip', {
    inserted: function (el, binding) {
        if(!___V_TOOLTIP_ADD_STATUS___){
            ___V_TOOLTIP_ADD_STATUS___ = true
            addStatus()
        }
        el.addEventListener('click', function(e){
            if(SHOW.innerEl === e.target || SHOW.angle === e.target ){
                return
            }
            close()
            if(binding.value || e.currentTarget.innerText){}else{return e.stopPropagation()}
            const tooltip = addTooltip(binding.value || e.currentTarget.innerText)
            SHOW.el = e.currentTarget
            if(binding.modifiers.bottom === true){ // 在下面生成
                tooltip.style.top = ''
                tooltip.style.bottom = '-0.4rem'
            }
            SHOW.innerEl = tooltip
            e.currentTarget.style.position = 'relative'
            // 三角
            const angle = document.createElement('span')
            angle.style.position = 'absolute'
            angle.style.bottom = '0'
            angle.style.left = 'inherit'
            if(binding.modifiers.bottom === true){ // 在下面生成
                angle.classList.add('__v-tooltip__angle_bottom')
                angle.style.top = '0'
            }else{
                angle.classList.add('__v-tooltip__angle')
                angle.style.bottom = '0'
            }
            SHOW.angle = angle
            tooltip.appendChild(angle)
            e.currentTarget.appendChild(tooltip)
            const pos = tooltip.getBoundingClientRect()
            if(pos.x < 0){
                angle.style.marginLeft = pos.x + 'px'
                tooltip.style.marginLeft = -pos.x + 'px'
                document.querySelector('#__v-tooltip__after')
            }else if(pos.right > window.innerWidth ){
                let v = window.innerWidth - pos.right
                angle.style.marginLeft = -v + 'px'
                tooltip.style.marginLeft = v + 'px'
            }
            e.stopPropagation()
        })
    },
    update: function(el, binding) {
        if(binding.value !== binding.oldValue){
           addTooltip(binding.value)
        }
    }
})