(function(w){
    window.$API = window.$API || {}
    // 单据相关api
    $API.order = {
        // 删除盘点草稿
        delStockCheck(data){
            return request({
                url: 'scm/stockCheck/del.json',
                method: 'post',
                data: data,
                timeout: 60000,
            })
        },
        // 删除单据
        delOrder(data){
            return request({
                url: 'scm/order/del.json',
                method: 'post',
                data: data,
                timeout: 60000,
            })
        },
        // 撤销 盘点
        revertStockCheck(data){
            return request({
                url: 'scm/stockCheck/revert.json',
                method: 'post',
                data: data,
                timeout: 10000,
            })
        },
        // 撤销 单据
        revertOrder(data){
            return request({
                url: 'scm/order/revert.json',
                method: 'post',
                data: data,
                timeout: 10000,
            })
        },
        // 撤销 调拨
        revertStockAllot(data){
            return request({
                url: 'scm/stockAllot/revert.json',
                method: 'post',
                data: data,
                timeout: 10000,
            })
        },
        // 单据查询
        queryOrderInfo(data){
            return request({
                url: 'scm/order/qryOp.json',
                method: 'post',
                data: data,
                timeout: 10000,
            })
        },
        // 库存盘点草稿多商品库存详情批量查询
        queryOpByIds(params){
            return request({
                url: 'scm/stock/qryOpByIds.json',
                method: 'get',
                params: params,
                timeout: 10000,
            })
        },
        // 查询单据条码
        qryOpWithBarcode(data){
            return request({
                url: 'scm/order/qryOpWithBarcode.json',
                method: 'post',
                data: data
            })

        },
        // 客户/供应商账款收款-接口合并成一个
        saveAndClearDebt(data){
            return request({
                url: 'fa/customerHistory/saveAndClearDebt.json',
                method: 'post',
                data: data
            })

        },
        clearDebtByOrderID(data){
            return request({
                url: 'scm/order/clearDebtByOrderID.json',
                method: 'post',
                data: data
            })

        },
        getAccountList(data){
            return request({
                url: 'fa/account/list.json',
                method: 'post',
                data: data
            })
        },
        getOtherCostList(data){
            return request({
                url: 'scm/order/getOtherCostList.json',
                method: 'post',
                data: data
            })
        },
        saveOrder(data){
            return request({
                url: 'scm/order/save.json',
                method: 'post',
                timeout: 60000,
                data: data
            })
        },
        // 获取库存盘点单据信息
        getStockCheckOrder(data){
            return request({
                url: 'scm/stockCheck/qryOp.json',
                method: 'post',
                data: data
            })
        },
        // 获取指定商品的批次信息
        getBNListByIds(data) {
            return request({
                url: 'scm/productionbatch/getAllsByIds.json',
                method: 'post',
                data: data
            })
        }

    }
})(window)
