(function(w){
    window.$API = window.$API || {}
    // 统计相关api
    $API.statistics = {
        // 根据单品id 日期 获取商品统计单品详情
        qryOpWithSalesAndPurchasesAndDataTime(data){
            return request({
                url: 'scm/stock/qryOpWithSalesAndPurchasesAndDataTime.json',
                method: 'post',
                data: data
            })
        },
        // 根据单品id 日期 获取商品统计单品详情的订单统计数据
        qryOpWithDate(data){
            return request({
                url: 'scm/stock/qryOpWithDate.json',
                method: 'post',
                data: data
            })
        },
        // 商品 单品统计 - 商品交易情况
        productStatics(data){
            return request({
                url: 'scm/product/productStatics.json',
                method: 'post',
                // notToast: true, //错误不提示
                data: data
            })
        },
        // 商品统计 合计接口
        dataGridWithTotalInfo(data){
            return request({
                url: 'scm/product/dataGridWithTotalInfo.json',
                method: 'post',
                data: data
            })
        },
        // 客户统计 客户交易情况
        getOrderInfoByCustomerName(data,timeout){
            return request({
                url: 'scm/order/getOrderInfoByCustomerName.json',
                method: 'post',
                timeout: timeout,
                // notToast: true, //错误不提示
                data: data
            })
        },
        // 客户统计-单品统计  查询指定客户指定时间段下的单品销售详情
        productStaticsByCustomerIdAndModel(data){
            return request({
                url: 'crm/customer/productStaticsByCustomerIdAndModel.json',
                method: 'post',
                data: data
            })
        },
        // 单品流水-单品库存数量变动合计查询
        // getProductStaticsStockChangeTotal(data){
        //     return request({
        //         url: 'crm/customer/productStaticsByCustomerIdAndModel.json',
        //         method: 'post',
        //         data: data
        //     })
        // },
        // 库存盘点历史查询
        getStockCheckDataGrid(data){
            return request({
                url: 'scm/stockCheck/dataGrid.json',
                method: 'post',
                data: data
            })
        },
        // 调拨历史查询
        getStockAllotDataGrid(data){
            return request({
                url: 'scm/stockAllot/dataGrid.json',
                method: 'post',
                data: data
            })
        },
        // 门店统计详情
        getDepotAllOrderInDays(data){
            return request({
                url: 'scm/depot/getDepotAllOrderInDays.json',
                method: 'post',
                data: data
            })
        },
        // 财务客户充值总计
        getTotalCustomerAccounts(params){
            return request({
                url: 'crm/customer/totalCustomerAccounts.json',
                method: 'get',
                params: params
            })
        },
        // 获取客户账款单客户/供应商 欠款/还款统计
        getCustomerHistoryByClient(data){
            return request({
                url: 'fa/customerHistory/dataGridTotal.json',
                method: 'post',
                data: data
            })
        },
        // 获取客户账款单客户/供应商 欠款/还款统计
        getDataGridCustomerFaTotal(data){
            return request({
                url: 'crm/customer/dataGridCustomerFaTotal.json',
                method: 'post',
                data: data
            })
        },
        // 销售采购历史对账
        getAllOrderInfoByTimes(data){
            return request({
                url: 'scm/order/getAllOrderInfoByTimes.json',
                method: 'post',
                data: data
            })
        },
        // 获取客户/供应商 收款详情
        getCustomerHistoryById(data){
            return request({
                url: 'fa/customerHistory/qryOpById.json',
                method: 'post',
                data: data
            })
        },

    }
})(window)