(function(w){
    window.$API = window.$API || {}
    // 用户相关api
    $API.user = {
        // 查询当前用户
        getCurrUser(data){
            return request({
                url: 'sso/user/qryOp.json',
                method: 'post',
                data: data
            })
        },
        // 查询员工用户
        getUser(data){
            return request({
                url: 'sso/user/dataAll.json',
                method: 'post',
                data: data
            })
        },
        // 查询顾客/供应商信息 crm/customer/qryOpSimple.json"
        getCustomer(data){
            return request({
                url: 'crm/customer/qryOpSimple.json',
                method: 'post',
                data: data
            })
        },
        // 修改保存顾客/供应商信息 crm/customer/save.json"
        setCustomer(data){
            return request({
                url: 'crm/customer/save.json',
                method: 'post',
                data: data
            })
        },// setIntegralHistory
        setIntegralHistory(data){
            return request({
                url: 'crm/integralHistory/save.json',
                method: 'post',
                data: data
            })
        },
        // 查询当前主体
        qryCompany(data){
            return request({
                url: 'sso/company/qry.json',
                data: data,
                method: 'post'
            })
        },
        // 设置客户积分-批量
        modifyCustomerIntegralByIds(data){
            return request({
                url: 'crm/customer/modifyCustomerIntegralByIds.json',
                data: data,
                method: 'post'
            })
        },
        // 查询客户分类
        getCustomerCategory(data){
            return request({
                url: 'crm/customerCategory/list.json',
                data: data,
                method: 'post'
            })
        },
        // 查询客户账款 供应商账款 财务
        getDataGridCustomerFa(data){
            return request({
                url: 'crm/customer/dataGridCustomerFa.json',
                data: data,
                method: 'post'
            })
        },
        // 查询客户账款 供应商账款 详情列表
        getCustomerHistoryDataGrid(data){
            return request({
                url: 'fa/customerHistory/dataGrid.json',
                data: data,
                method: 'post'
            })
        },
        // 查询员工列表 sso/user/dataAll.json
        getUserList(data){
            return request({
                url: 'sso/user/dataAll.json',
                method: 'get'
            })
        },
        // 用户积分变化
        changeIntegral(data){
            return request({
                url: 'crm/customer/changeIntegral.json',
                method: 'post',
                data: data
            })
        },
        // 查询积分规则
        queryIntegralAddRule(data){
            return request({
                url: 'crm/integraladdrule/qryOp.json',
                method: 'post',
                data: data
            })
        },
        // 查询积分抵现规则
        queryIntegralReduceRule(data){
            return request({
                url: 'crm/integralreducerule/qryOp.json',
                method: 'post',
                data: data
            })
        }
    }
})(window)