// window.addEventListener("checkedList",function(e){
// 	sessionStorage.setItem("checkedList",JSON.stringify(e.detail.checkedList));
// 	printCodeVM.checkedList = e.detail.checkedList
// });
mui.plusReady(function() {
	var arg = JSON.parse(plus.webview.currentWebview().arg);
	sessionStorage.setItem("checkedList", JSON.stringify(arg.checkedList));
	printCodeVM.checkedList = arg.checkedList;
	mui.each(printCodeVM.checkedList,function(i,v){
		v.num = Math.ceil(v.num)
	});
	console.log(printCodeVM.checkedList);
	FastClick.attach(document.getElementById("table"));
});
var printCodeVM = new Vue({
	el: '#printCodeVM',
	data: {
		checkedList: [],
		material: '',
		//全行业参数
		size_show: localStorage.getItem("size_show") || 1,
		color_show: localStorage.getItem("color_show") || 1,
		unit_show: localStorage.getItem("unit_show") || 0,
		origin_specification: localStorage.getItem("origin_specification") || 0,
		pic_name:''
	},
	methods: {
		reduceCount: function(num, index) {
			for (var i = 0, len = this.checkedList.length; i < len; i++) {
				if (this.checkedList[i].num > 0 && index == i) {
					this.checkedList[i].num = Math.ceil(this.checkedList[i].num) - 1
				}
			}
		},
		addCount: function(num, index) {
			for (var i = 0, len = this.checkedList.length; i < len; i++) {
				if (index == i) {
					this.checkedList[i].num = Math.ceil(this.checkedList[i].num) + 1
				}
			}
		},
		batchReduceCount: function() {
			for (var i = 0, len = this.checkedList.length; i < len; i++) {
				if (this.checkedList[i].num > 0) {
					this.checkedList[i].num = Math.ceil(this.checkedList[i].num) - 1
				}
			}
		},
		batchAddCount: function() {
			for (var i = 0, len = this.checkedList.length; i < len; i++) {
				this.checkedList[i].num = Math.ceil(this.checkedList[i].num) + 1
			}
		},
		get_pic_info:function(id,callback){
			mui.ajax(severUrl + "scm/productpicture/qry.json", {
				data: {
					"productId": id
				},
				headers: {
					'Content-Type': 'application/x-www-form-urlencoded'
				},
				xhrFields: {
					withCredentials: true
				},
				dataType: 'json',
				type: 'post',
				success: function(re) {
					if (null != re.data && re.data != "") {
						callback(re.data);
					}else{
						callback()
					}
				},
				error:function(){
					callback()
				}
			});
		},
		get_pics(ids,cbFn){
			viewHandle.waiting("数据查询中...")
			mui.ajax(severUrl + "scm/productpicture/qrys.json", {
				data: {
					"product_ids": ids.join()
				},
				headers: {
					'Content-Type': 'application/x-www-form-urlencoded'
				},
				xhrFields: {
					withCredentials: true
				},
				dataType: 'json',
				type: 'post',
				success: function(res) {
					if(res.success){
						cbFn && cbFn(res.data)
						viewHandle.close();
					}else{
						viewHandle.close();
						mui.toast(res.msg)
					}
				},
				error(){
					viewHandle.close()
					mui.toast('网络错误！')
				}
			});
		}
	},
	mounted:function () {
		var _this = this;
		mui.plusReady(function(){
			// if(printCodeVM.checkedList.length>0){
			// 	_this.get_pic_info(printCodeVM.checkedList[0].id || printCodeVM.checkedList[0].product_id)
			// }
		})
	}
});

mui('.mui-scroll-wrapper').scroll({
	deceleration: 0.0005
});

function subPrint() {
	
	let idsList=printCodeVM.checkedList.map(function(item){
		return (item.id||item.product_id)
	})||[]
	

	let imgList=[];
	printCodeVM.get_pics(idsList,function(data){
		data.forEach(function(pic){
			imgList.push({
				id:pic.product_id,
				name: pic.name
			})
		})
		code_print(imgList)
	})
	function code_print(imgList){
		var is_session = true;
		for (var i = 0; i < printCodeVM.checkedList.length; i++) {
			if (printCodeVM.checkedList[i].material == undefined) {
				printCodeVM.checkedList[i].material = printCodeVM.material;
			}
			if (printCodeVM.checkedList[i].material == "undefined") {
				printCodeVM.checkedList[i].material = "";
			}
			printCodeVM.checkedList[i].origin_specification = printCodeVM.origin_specification;
			
			printCodeVM.checkedList[i].pic_name = printCodeVM.checkedList[i].picture_name;
			if(!printCodeVM.checkedList[i].pic_name){
				printCodeVM.checkedList[i].pic_name=""
				let info=imgList.find(function(img){return img.id==(printCodeVM.checkedList[i].id||printCodeVM.checkedList[i].product_id)})
				if(info){
					printCodeVM.checkedList[i].pic_name=info.name||''
				}
			}
			
			printCodeVM.checkedList[i].pic_url = img_url
		}
		
		var opener = plus.webview.currentWebview().opener().id;
		if (opener == 'cun.html') {
			viewHandle.viewFire('cun.html','closeOperation')
		}
		var send = JSON.parse(JSON.stringify(printCodeVM.checkedList));
		
		mui.each(send, function(j, k) {
			if (k.keylist) {
				k.keyList = k.keylist;
				delete(k["keylist"])
			}
			if (k.otherattrlist) {
				k.otherAttrList = k.otherattrlist;
				delete(k["otherattrlist"])
			}
		})
		
		if (mui.os.ios == true) {
			printCode_i(send,{
				systemSetting:{
					sn_setting:0
				}
			})
			// printCode_i(printCodeVM.checkedList)
		} else if (mui.os.android == true) {
			printCode(send,{
				systemSetting:{
					sn_setting:0
				}
			})
		}
	}
}
function printSetting() {
	// for(var i=0;i<printCodeVM.checkedList.length;i++){
	//     if(printCodeVM.checkedList[i].material==undefined){
	//         printCodeVM.checkedList[i].material=printCodeVM.material;
	//     }
	//     if(printCodeVM.checkedList[i].material=="undefined"){
	//         printCodeVM.checkedList[i].material="";
	//     }
	// }
	var list = [];
	mui.each(printCodeVM.checkedList, function(i, v) {
		if (i == 0) {
			list.push(v)
		} else {
			if (v.model != printCodeVM.checkedList[i - 1].model) {
				v.keyList = [];
				list.push(v)
			}
		}
	})
	var send = JSON.parse(JSON.stringify(list));
	mui.each(send, function(j, k) {
		if (k.keylist) {
			k.keyList = k.keylist;
			delete(k["keylist"])
		}
		if (k.otherattrlist) {
			k.otherAttrList = k.otherattrlist;
			delete(k["otherattrlist"])
		}
	})
	if (mui.os.android == true) {
		printConfiguration(send)
		//window.LABELPRINTCONFIG.jsCallWebViewForPrintLabelConfig(JSON.stringify(printCodeVM.checkedList))
	} else {
		//window.webkit.messageHandlers.jsCallWebViewForPrintLabelConfig.postMessage(JSON.stringify(printCodeVM.checkedList))
		// printCollocate_i(printCodeVM.checkedList)
		printCollocate_i(send)
	}
}
mui("body").on("tap", ".muiBack", function() {
	viewHandle.back('close')
});
