mui.plusReady(function(){
	var arg = plus.webview.currentWebview().arg;
	if(arg){
		arg = JSON.parse(arg);
		VIPServiceVM.WIDsubject = arg.payOrderName;
		$('.VIPDom .contentPage-title').html(VIPServiceVM.WIDsubject);
		htmlShow()
	}
});
var VIPServiceVM = new Vue({
	el: '#VIPServiceVM',
	data: {
		//订单信息
		WIDout_trade_no:'',
		WIDsubject: '',
		//WIDsubject: 'abc',
		WIDtotal_amount:'',
		WIDbody:'',
		order_add_column:'',
		order_add_count:'',
		order_add_end_date:'',
		creater_id:'',
		//页面显示
		expiredDays:'',//到期前天数
		expiredDay:'永久', //到期前时间
		expiredNum:'', //到期前数量
		max_num:0, //默认最大数量
		addNum:0, //实际最大数量
		expireDate:'永久', //到期时间
		info_num:'', //提示信息
		info_year:'',//提示信息
		addLength:0, //加减长度
		add_type:'', //增加类型提示
		add_fields:'', //增加字段
		useCount:'', //当前已使用
		paymentAmount:0, //支付金额
		unitPrice:0, //基础价格
		orderList:[], //订单历史
		//权限相关
		positionName:false,
		stockManager:false,
		purchaseManager:false,
		companySetIndustry:true,
		labelPprinter:false,
		faAccount:true,
		is_advanced:0,
		company_name:'',
		company_id:'',
		user_id:'',
		jifenshow:false,
		bindDepot:-1,
		//--------------------
		isIosOne:false,
		isIosPayment: false
	},
	watch:{
	},
	methods: {
		/**
		* 打开淘宝单品页面
		 * @param spm 淘宝商品链接 spm
		 */
		jumpTaoBaoPageBySpm(){
			var serviceUrl=localStorage.getItem('nopay_url_ios_other')
			let nw = plus.webview.create(serviceUrl, 'taoBaoPage',{backButtonAutoControl: 'close'})
			nw.show()
		},		 
		getPurview :function(){//获取权限
			var _this = this;
			mui.ajax(severUrl + "sso/user/qryOp.json", {
				data : {
					id : ''
				},
				headers : {
					'Content-Type' : 'application/x-www-form-urlencoded'
				},
				xhrFields : {
					withCredentials : true
				},
				dataType : 'json',
				type : 'post',
				timeout : 30000,
				async : false,
				success : function(res) {
					if (res.success) {
						// var position_name = res.data.position_name;
						_this.company_name = res.data.company_name;
						_this.company_id = res.data.company_id;
						_this.bindDepot = res.data.manage_depot_id;
						_this.user_id = res.data.id;
						var code = res.data.position,permission = code.permission;
						if(permission.indexOf('A11_1_O') >=0 || permission.indexOf('A11_1_E') >=0){
							_this.positionName = true
						}else{
							_this.positionName = false
						}
						permission.indexOf('A4_1_E') >=0?_this.stockManager = true:_this.stockManager = false;
						permission.indexOf('FA_ACC') >=0?_this.faAccount = true:_this.faAccount = false;
						permission.indexOf('LOOK_PURCHASE') >=0?_this.purchaseManager = true:_this.purchaseManager = false;
						permission.indexOf('ONLY_PRINT') >=0?_this.labelPprinter = true:_this.labelPprinter = false;
						'RFRk,eYVo,y0oa,mVbc,pqrB,pDAY,CCP2,Oo4T,LfTY'.indexOf(_this.company_id) >=0?_this.jifenshow = true:_this.jifenshow=false
						_this.companySetIndustry = res.data.company_set_industry;
					}

				}
			});
		},
		zfbPay:function(){
			if(this.paymentAmount==0){
				mui.toast("请选择增加的数量");
				return;
			}
			VIPServiceVM.WIDout_trade_no=payNum();
			VIPServiceVM.WIDtotal_amount=this.paymentAmount;
			//VIPServiceVM.WIDtotal_amount=0.01;
			VIPServiceVM.order_add_column=this.add_fields;
			VIPServiceVM.order_add_count=this.addNum;
			VIPServiceVM.order_add_end_date=this.expireDate;
			console.log(VIPServiceVM.creater_id+','+VIPServiceVM.company_id);
			setTimeout(function(){
				$(".new-btn-login").click();
			},500)
		},
		wxPay:function(){
			if(this.paymentAmount==0){
				mui.toast("请选择增加的数量");
				return;
			}
			setTimeout(function(){
				if(mui.os.ios===true && localStorage.getItem('open_pay_ios')==1){
					var serviceUrl=localStorage.getItem('nopay_url_ios_wx')
				}else{
					var serviceUrl=localStorage.getItem('w_pay_url')
				}
				
				mui.ajax(serviceUrl,{
					data:{
						out_trade_no:payNum(),
						body:VIPServiceVM.WIDsubject,
						total_fee:VIPServiceVM.paymentAmount,
						creater_id:VIPServiceVM.creater_id,
						company_id:VIPServiceVM.company_id,
						order_add_column:VIPServiceVM.add_fields,
						order_add_count:VIPServiceVM.addNum,
						order_add_end_date:VIPServiceVM.expireDate
					},
					headers: {
						'Content-Type':'application/x-www-form-urlencoded'
					},
					xhrFields: {
						withCredentials: true
					},
					type:'post',
					timeout:10000,
					success:function(res){
						if(res.success){
							if (mui.os.ios == true) {
								wxPay_i(res.data)
							} else if (mui.os.android == true) {
								mui.plusReady(function() {
									var pkgname = 'com.tencent.mm'; 
									if (plus.runtime.isApplicationExist({ pname: pkgname})) {
										wxPay(res.data)
									}else{
										mui.toast("未检查到微信")
									}
								})
							}
						}else{
							mui.toast(res.msg)
						}
					}
				});
            },500)

		},
		numAdd:function(){
			//this.expireDate=loadDate(1);
			this.addNum = Number(this.addNum) + Number(this.addLength);
			this.payAmount()
		},
		numReduce:function(){
			if(Number(this.addNum)>Number(this.expiredNum)){
				this.addNum = Number(this.addNum) - Number(this.addLength);
				if(this.addNum == this.expiredNum){
					// this.expireDate=this.expiredDay;
					this.paymentAmount=0
				}else{
					this.payAmount()
					//this.expireDate=loadDate(1);
				}
			}else{
				this.addNum=Number(this.expiredNum);
				$(".mui-numbox-input").val(this.addNum)
			}
		},
		//支付价格
		payAmount:function(){
			if(this.WIDsubject ==='定制商品数量' && !this.isIosPayment){
				if((this.addNum-this.max_num) <500){
					this.paymentAmount=Number((this.addNum-this.max_num))*this.unitPrice;
					$("#zheKou").hide();
				}else if((this.addNum-this.max_num) > 900){
					this.paymentAmount=Number((this.addNum-this.max_num))*this.unitPrice*0.6;
					$("#zheKou").html(" (6折)");
					$("#zheKou").show();
				}else{
					this.paymentAmount=Number((this.addNum-this.max_num))*this.unitPrice*0.8;
					$("#zheKou").html(" (8折)");
					$("#zheKou").show();
				}
			}else{
				this.paymentAmount=Number((this.addNum-this.max_num))*this.unitPrice;
				$("#zheKou").hide();
			}

		},
		orderHistory:function(){
			mui.ajax({// 商品定制/仓库定制/子账户/客户&&供应商定制
				url: severUrl + "pay/order/qryOrderList.json",
				type:'post',
				headers: {
					'Content-Type': 'application/x-www-form-urlencoded'
				},
				xhrFields: {
					withCredentials: true
				},
				data:{
					order_state: '',
					order_add_type:VIPServiceVM.add_fields
				},
				success:function (res) {
					if(res.data.length>0){
						VIPServiceVM.orderList=res.data;
						$(".VIPDom").css('display','none');
						$("#orderHistory").css('display','block')
					}else{
						mui.toast("暂无订单历史")
					}
				}
			})
		},
		iosPayment(){
			if(this.paymentAmount === 0){
				mui.toast("请选择增加的数量");
				return;
			}
			console.log(this)
			let type
			let quantity = (this.addNum - this.max_num) / this.addLength
			switch (this.WIDsubject) {
				case '定制商品数量': type = 'product'; break;
				case '定制客户数量': type = 'customer'; break;
				case '定制供应商数量': type = 'supplier'; break;
				case '定制员工数量': type = 'staff'; break;
				case '定制仓库门店数量': type = 'depot'; break;
			}
			let options = {
				user: this.company_id + '|' + this.creater_id,
				type: type,
				payment: 100,
				quantity: quantity,
			}

			new Payment().pay(options).then(function(e){
				console.log(e)
				$API.payment.updatePermissionForIOSPay({
					pay_type: e.payment.productid,
					mapJsonStr: JSON.stringify(e)
				}).then(function(e){
					location.reload()
				}).catch(function(e){
					plus.nativeUI.alert(e ? e.msg : '支付失败');
				})
			}).catch(function(e){
				console.error(e)
			})
		}
	},
	created:function(){
		setVuePaymentType(this)
	},
	mounted:function (){
		var _this = this;
		mui.plusReady(function () {
			getUser();
			_this.getPurview()
		})
	}
});
//订单头部div设置
function htmlShow(){
	switch (VIPServiceVM.WIDsubject) {
		case '定制商品数量':
			setTimeout(function(){
				getNum('product','');
			},500);
			// document.getElementById('iconfontGoods').className = 'iconfont icon-liwu1';
			$(".mainDiv").css('background-color','#528186');
			break;
		case '定制客户数量':
			setTimeout(function(){
				getNum('customer',1);
			},500);
			document.getElementById('iconfont').className = 'iconfont icon-fcstubiao17';
			$(".mainDiv").css('background-color','#e75a13');
			break;
		case '定制供应商数量':
			setTimeout(function(){
				getNum('supplier',0);
			},500);
			document.getElementById('iconfont').className = 'iconfont icon-gongyingshang';
			$(".mainDiv").css('background-color','#7589a2');
			break;
		case '定制员工数量':
			setTimeout(function(){
				getNum('user','');
			},500);
			document.getElementById('iconfont').className = 'iconfont icon-yuangongguanli-copy';
			$(".mainDiv").css('background-color','#f5ae44');
			break;
		case '定制仓库门店数量':
			setTimeout(function(){
				getNum('depot','');
			},500);
			document.getElementById('iconfont').className = 'iconfont icon-duomendian';
			$(".mainDiv").css('background-color','#97aab1');
			break;
	}
}
function getNum(condition,type){
	mui.ajax({
		url:severUrl+"scm/companypriority/qryConditionUseCountMaxCountEndDate.json",
		data: {
			condition:condition,
			type:type
		},
		headers: {
			'Content-Type': 'application/x-www-form-urlencoded'
		},
		xhrFields: {
			withCredentials: true
		},
		type:"post",
		dataType:"json",
		timeout:10000,
		success:function(res){
			VIPServiceVM.max_num=res.data.max_count ||res.data.max_default_count;
			VIPServiceVM.addNum=res.data.max_count;
			VIPServiceVM.expiredDay=res.data.end_date;
			VIPServiceVM.expiredNum=res.data.max_count;
			VIPServiceVM.useCount=res.data.use_count;
			switch (condition) {
				case 'product':
					VIPServiceVM.addLength=100;
					if(VIPServiceVM.isIosPayment){
						VIPServiceVM.unitPrice=0.6;
						VIPServiceVM.info_year='每增加100个=60元';
					}else{
						VIPServiceVM.unitPrice=0.5;
						VIPServiceVM.info_year='每增加100个=50元';
					}
					VIPServiceVM.add_type='商品';
					VIPServiceVM.add_fields='max_product';
					VIPServiceVM.info_num='当前可创建'+VIPServiceVM.max_num+'个商品';
					break;
				case 'customer':
					VIPServiceVM.addLength=50;
					if(VIPServiceVM.isIosPayment){
						VIPServiceVM.unitPrice=1.2;
						VIPServiceVM.info_year='每增加50个=60元';
					}else{
						VIPServiceVM.unitPrice=1;
						VIPServiceVM.info_year='每增加50个=50元';
					}
					VIPServiceVM.add_type='客户';
					VIPServiceVM.add_fields='max_customer';
					VIPServiceVM.info_num='当前可创建'+VIPServiceVM.max_num+'个客户';
					break;
				case 'supplier':
					VIPServiceVM.addLength=10;
					if(VIPServiceVM.isIosPayment){
						VIPServiceVM.unitPrice=6;
						VIPServiceVM.info_year='每增加10个=60元';
					}else{
						VIPServiceVM.unitPrice=5;
						VIPServiceVM.info_year='每增加10个=50元';
					}
					VIPServiceVM.add_type='供应商';
					VIPServiceVM.add_fields='max_supplier';
					VIPServiceVM.info_num='当前可创建'+VIPServiceVM.max_num+'个供应商';
					break;
				case 'user':
					VIPServiceVM.addLength=1;
					if(VIPServiceVM.isIosPayment){
						VIPServiceVM.unitPrice=60;
						VIPServiceVM.info_year='每增加1个=60元';
					}else{
						VIPServiceVM.unitPrice=50;
						VIPServiceVM.info_year='每增加1个=50元';
					}
					VIPServiceVM.add_type='员工';
					VIPServiceVM.add_fields='max_user';
					VIPServiceVM.info_num='当前可创建'+VIPServiceVM.max_num+'个员工';
					break;
				case 'depot':
					VIPServiceVM.addLength=1;
					if(VIPServiceVM.isIosPayment){
						VIPServiceVM.unitPrice=118;
						VIPServiceVM.info_year='每增加1个=118元';
					}else{
						VIPServiceVM.unitPrice=100;
						VIPServiceVM.info_year='每增加1个=100元';
					}
					VIPServiceVM.add_type='门店/仓库';
					VIPServiceVM.add_fields='max_depot';
					VIPServiceVM.info_num='当前可创建'+VIPServiceVM.max_num+'个门店/仓库';
					break;
			}
		}
	});
}

mui('body').on('tap','.historyBack',function(){
	$(".VIPDom").css('display','block');
	$("#orderHistory").css('display','none')
});

mui("body").on('tap','.muiBack',function(){
	viewHandle.back('close')
});

//简易随机四位数
function rand(min,max) {
	return Math.floor(Math.random()*(max-min))+min;
}
//获取公司信息
function getUser(){
	mui.ajax({
		url:severUrl+"sso/user/qryOp.json",
		headers: {
			'Content-Type': 'application/x-www-form-urlencoded'
		},
		xhrFields: {
			withCredentials: true
		},
		type:"post",
		dataType:"json",
		timeout:10000,
		success:function(res){
			VIPServiceVM.creater_id=res.data.id;
			VIPServiceVM.company_id=res.data.company_id;
		}
	});
}
//订单编号
function payNum(){
	var vNow = new Date();
	var sNow = "";
	sNow += String(vNow.getFullYear());
	sNow += String(vNow.getMonth() + 1);
	sNow += String(vNow.getDate());
	sNow += String(vNow.getHours());
	sNow += String(vNow.getMinutes());
	sNow += String(vNow.getSeconds());
	sNow += String(vNow.getMilliseconds());
	sNow +=rand(1000,9999);
	return sNow;
}
//计算时间差
function datedifference(sDate1, sDate2) {
	var dateSpan,iDays;
	sDate1 = Date.parse(sDate1);
	sDate2 = Date.parse(sDate2);
	dateSpan = sDate2 - sDate1;
	dateSpan = Math.abs(dateSpan);
	iDays = Math.floor(dateSpan / (24 * 3600 * 1000));
	return iDays
}
//获取当前日期
function loadNowDate(type) {
	var myDate = new Date();
	var Y = myDate.getFullYear();
	var M = (myDate.getMonth() + 1);
	var D = myDate.getDate();

	M >= 10 ? M = M : M = 0 + "" + M;
	D >= 10 ? D = D : D = 0 + "" + D;

	if (type == 1) {
		return Y + '-' + M + '-' + D;
	} else if (type == 2) {
		return Y + '-' + M + '-' + '01';
	}
}
//获取当前日期一年后
function loadDate(type) {
	var myDate = new Date();
	var Y = myDate.getFullYear()+1;
	var M = (myDate.getMonth() + 1);
	var D = myDate.getDate();

	M >= 10 ? M = M : M = 0 + "" + M;
	D >= 10 ? D = D : D = 0 + "" + D;

	if (type == 1) {
		return Y + '-' + M + '-' + D;
	} else if (type == 2) {
		return Y + '-' + M + '-' + '01';
	}
}
//格式化指定时间
function getMyData(val){
	var d = new Date(val);
	d = new Date(d);
	var year = d.getFullYear();
	var mon = d.getMonth()+1;
	var day = d.getDate();
	var s = year+"-"+(mon<10?('0'+mon):mon)+"-"+(day<10?('0'+day):day);
	return(s);
}