mui.plusReady(function(){
	var arg = JSON.parse(plus.webview.currentWebview().arg);
	sessionStorage.setItem("realname",arg.realname);
	sessionStorage.setItem("alltDetail_id",arg.alltDetail_id);
	alltDetailVM.openType=arg.openType||''
	alltDetailVM.htmlType = arg.htmlType || '';
	getGoodsMenu();
});
window.addEventListener("allocationXQ",function(e){
	sessionStorage.setItem("realname",e.detail.realname);
	sessionStorage.setItem("alltDetail_id",e.detail.alltDetail_id);
	alltDetailVM.openType=e.detail.openType||''
	alltDetailVM.htmlType = e.detail.htmlType || '';
	getGoodsMenu();
});
var alltDetailVM = new Vue({
	el: '#alltDetailVM',
	data: {
		systemSetting:JSON.parse(localStorage.systemSetting),
		alltDetail_id:'',
		detailList:[],
		realname:'',
		htmlType:'',
		openType:'',
		//全行业参数
		size_show: localStorage.getItem("size_show") || 1,
		color_show: localStorage.getItem("color_show") || 1,
		unit_show: localStorage.getItem("unit_show") || 0,
		origin_specification: localStorage.getItem("origin_specification") || 0,
		//权限相关
		positionName:false,
		stockManager:false,
		purchaseManager:false,
		companySetIndustry:true,
		labelPprinter:false,
		faAccount:true,
		is_advanced:0,
		company_name:'',
		vipLevel:localStorage.getItem("vipLevel"),
		company_id:'',
		user_id:'',
		jifenshow:false,
		bindDepot:-1,
		//--------------------
	},
	computed:{
		sns_show:function(){
			var _this = this;
			return function(count){
				if(_this.vipLevel == 1 && _this.systemSetting.sn_setting == 1){
					if(count > 0){
						return '<span class="iconfont icon-tubiaozhizuomoban1111111 font-orange"></span>'
					}else{
						return '<span class="iconfont icon-tubiaozhizuomoban1111111 font-gray"></span>'
					}
				}else{
					return ''
				}
			}
		}
	},
	methods: {
		showBN(item) {
			if(item.bn_list.length > 0) {
				let extras = {
					productModel: item.product_model,
					productName: item.product_name,
					productColorName:  item.color_name,
					productSizeName: item.size_name,
					BNList: item.bn_list,
					productUnit: item.main_unit_name,
					purchasePrice: this.purchaseManager ? item.purchase_price : null,
					type: 'transfer',
					depotName: this.detailList.out_depot_name,
					purchaseManager: this.purchaseManager
				}
				mui.openWindow('./view/inventoryShowBN.html', 'inventoryShowBN', {extras: extras})
			}
		},
		sns_look:function(item,e){//sn查看
		// 点击序列号图标放大
		e.target.style.fontSize='18px'
		setTimeout(function(){
			e.target.style.fontSize='16px'
		},80)
			var listSend = {
				item:item,
				parentPage:'cation_xq'
			};
			viewHandle.openWindow("sns_show.html","sns_show.html",JSON.stringify(listSend))
		},
		getPurview :function(){//获取权限
			var _this = this;
			mui.ajax(severUrl + "sso/user/qryOp.json", {
				data : {
					id : ''
				},
				headers : {
					'Content-Type' : 'application/x-www-form-urlencoded'
				},
				xhrFields : {
					withCredentials : true
				},
				dataType : 'json',
				type : 'post',
				timeout : 30000,
				async : false,
				success : function(res) {
					if (res.success) {
						// var position_name = res.data.position_name;
						_this.company_name = res.data.company_name;
						_this.company_id = res.data.company_id;
						_this.bindDepot = res.data.manage_depot_id;
						_this.user_id = res.data.id;
						var code = res.data.position,permission = code.permission;
						if(permission.indexOf('A11_1_O') >=0 || permission.indexOf('A11_1_E') >=0){
							_this.positionName = true
						}else{
							_this.positionName = false
						}
						permission.indexOf('A4_1_E') >=0?_this.stockManager = true:_this.stockManager = false;
						permission.indexOf('FA_ACC') >=0?_this.faAccount = true:_this.faAccount = false;
						permission.indexOf('LOOK_PURCHASE') >=0?_this.purchaseManager = true:_this.purchaseManager = false;
						permission.indexOf('ONLY_PRINT') >=0?_this.labelPprinter = true:_this.labelPprinter = false;
						'RFRk,eYVo,y0oa,mVbc,pqrB,pDAY,CCP2,Oo4T,LfTY'.indexOf(_this.company_id) >=0?_this.jifenshow = true:_this.jifenshow=false
						_this.companySetIndustry = res.data.company_set_industry;
					}

				}
			});
		},
		changeRemark:function(val){
			if(alltDetailVM.detailList.remark ==''){
				return false
			}
			mui.ajax(severUrl + "scm/stockAllot/updateRemark.json",{
				data:{
					id: alltDetailVM.alltDetail_id,
					remark: alltDetailVM.detailList.remark
				},
				headers: {
					'Content-Type':'application/x-www-form-urlencoded'
				},
				xhrFields: {
					withCredentials: true
				},
				dataType:'json',//服务器返回json格式数据
				type:'post',//HTTP请求类型
				timeout:10000,//超时时间设置为10秒；
				success:function(res){
					mui.toast(res.msg)
				}
			});
		}
	},
	mounted: function () {
		var _this = this;
		setTimeout(function(){
			var winHeight = $(window).height();  //获取当前页面高度
			$(window).resize(function () {
				var u = navigator.userAgent, app = navigator.appVersion;
				var isAndroid = u.indexOf('Android') > -1 || u.indexOf('Linux') > -1; //android终端或者uc浏览器
				var isiOS = !!u.match(/\(i[^;]+;( U;)? CPU.+Mac OS X/); //ios终端
				if(isAndroid){
					var thisHeight = $(this).height();
					if ( winHeight - thisHeight > 140 ) {
					} else {
						$("input").blur();
					}
				}else if(isiOS){

				}
			});
		},350);
		mui.plusReady(function(){
			_this.getPurview()
		})
	}
});
function getGoodsMenu(){
	alltDetailVM.realname=sessionStorage.getItem("realname");
	alltDetailVM.alltDetail_id=sessionStorage.getItem("alltDetail_id");

	console.log(alltDetailVM.alltDetail_id);
	mui.ajax(severUrl + "scm/stockAllot/qryOp.json",{
		data:{
			id:alltDetailVM.alltDetail_id
		},
		headers: {
	      'Content-Type':'application/x-www-form-urlencoded'
	  	},
	  	xhrFields: {
	      withCredentials: true
		},
		dataType:'json',//服务器返回json格式数据
		type:'post',//HTTP请求类型
		timeout:10000,//超时时间设置为10秒；
		success:function(res){
			if(res.status==200){
				alltDetailVM.detailList=res.data;
				alltDetailVM.realname=res.data.creater_name
				console.log(alltDetailVM.detailList);
			}else{
				mui.toast(res.msg)
			}
		}
	});
}
mui('body').on('tap','.procurement',function(e){
	mui.confirm("撤销后，该单据内所有的商品库存数量将会变动，是否确认撤销？","提示",["取消","确定"],function(e){
		if(e.index==1 && buttonClick){
			buttonClick = false;
			mui(".procurement").button('loading');
			// console.log(alltDetailVM.alltDetail_id)
			// console.log(JSON.stringify(alltDetailVM.detailList.productlist,null,2))
			// console.log(alltDetailVM.detailList.productlistlength)
			mui.ajax(severUrl + "scm/stockAllot/revert.json",{
				data:{
					id:alltDetailVM.detailList.id,
					out_depot_id: alltDetailVM.detailList.out_depot_id,
					in_depot_id: alltDetailVM.detailList.to_depot_id,
					productlistlength:alltDetailVM.detailList.productlistlength,
					productlist:alltDetailVM.detailList.productlist
				},
				headers: {
				  'Content-Type':'application/x-www-form-urlencoded'
				  },
				  xhrFields: {
				  withCredentials: true
				},
				dataType:'json',//服务器返回json格式数据
				type:'post',//HTTP请求类型
				timeout:10000,//超时时间设置为10秒；
				success:function(res){
					if(res.status==200){
						//sessionStorage.setItem("reloadPage","1");
						mui.toast(res.msg);
						setTimeout(function(){
							mui(".procurement").button('reset');
							var listSend = {};
							if(alltDetailVM.htmlType == "flowStatistics"){
								viewHandle.viewFire('flowStatistics.html','backUpdate');
							}else if(alltDetailVM.htmlType == "associatRecord"){
								listSend.id = alltDetailVM.histDetail_id;
								listSend.type = 9;
								viewHandle.viewFire('associatRecord.html','product_del',listSend);
							}else{
								listSend.id = alltDetailVM.alltDetail_id;
								viewHandle.viewFire('cun.html','allocationBack',listSend);
							}
							viewHandle.back()
						},1000)
					}else{
						mui.toast(res.msg);
						mui(".procurement").button('reset');
					}
					buttonClick = true;
				},
				error:function(res){
					// mui.alert('',res.msg);
					mui.toast(res.msg);
					mui(".procurement").button('reset');
					buttonClick = true;
				}
			});
		}
	},'div');


});
mui('body').on('tap','.delinvProductItem',function(e){
	mui.ajax(severUrl + "/scm/stockAllot/del.json",{
		data:{
			id:alltDetailVM.alltDetail_id,
		},
		headers: {
		  'Content-Type':'application/x-www-form-urlencoded'
		},
		xhrFields: {
		  withCredentials: true
		},
		dataType:'json',//服务器返回json格式数据
		type:'post',//HTTP请求类型
		timeout:10000,//超时时间设置为10秒；
		success:function(res){
			if(res.status==200){
				mui.toast(res.msg);
				setTimeout(function(){
					mui.back();
				},1000)
			}
		}
	});
});

mui("body").on('tap','.icon-shanchu',function(e){
	mui.confirm("确定要删除吗？","提示",["取消","确定"],function(e){
		if(e.index==1){
			mui.ajax(severUrl + "scm/stockAllot/del.json",{
				data:{
					id:alltDetailVM.alltDetail_id
				},
				headers: {
					'Content-Type':'application/x-www-form-urlencoded'
				},
				xhrFields: {
					withCredentials: true
				},
				dataType:'json',//服务器返回json格式数据
				type:'post',//HTTP请求类型
				timeout:10000,//超时时间设置为10秒；
				success:function(res){
					if(getQueryString('htmlType') == "flowStatistics"){
						sessionStorage.setItem("reloadPage","1");
					}
					if(res.status==200){
						mui.toast(res.msg);
						setTimeout(function(){
							var listSend = {};
							listSend.id = alltDetailVM.alltDetail_id;
							viewHandle.viewFire('cun.html','allocationBack',listSend);
							viewHandle.back()
						},1000)
					}
				}
			});
		}
	},'div');
});
mui('body').on('tap','.muiBack',function(e){
	viewHandle.back()
});
