mui.init({
	gestureConfig:{
		longtap:true//默认为false，不监听
	}
});
var selList = [];
window.addEventListener("editColor",function(e) {
	sessionStorage.setItem("selColorList",e.detail.selColorList);
	selColorVM.product_id = e.detail.product_id;
	selColorVM.selColorList = JSON.parse(sessionStorage.getItem("selColorList"));
	selColorVM.oldColorList = JSON.parse(sessionStorage.getItem("selColorList"));
	selList = [];
	getColorList()
});
mui.plusReady(function(){
	var arg = JSON.parse(plus.webview.currentWebview().arg);
	sessionStorage.setItem("selColorList",arg.selColorList);
	selColorVM.product_id = arg.product_id;
	selColorVM.selColorList = JSON.parse(sessionStorage.getItem("selColorList"));
	selColorVM.oldColorList = JSON.parse(sessionStorage.getItem("selColorList"));
	selList = [];
	getColorList()
});
window.addEventListener('dragSortHandle',function (){
	getColorList()
})
var selColorVM = new Vue({
	el: '#selColorVM',
	data: {
		// 搜索文件
		searchText:undefined,
		colorList: [],
		product_id:'',
		popoverTitle: '',
		changeColorObj: { color_name: '', id: '' },
		selColorList: [],
		oldColorList: [],
		//权限相关
		positionName:false,
		stockManager:false,
		purchaseManager:false,
		companySetIndustry:true,
		labelPprinter:false,
		faAccount:true,
		is_advanced:0,
		company_name:'',
		company_id:'',
		user_id:'',
		jifenshow:false,
		bindDepot:-1,
		//--------------------
	},
	computed: {
		showList() {
			mui('.mui-scroll-wrapper').scroll().scrollTo(0,0,100)
			if(this.searchText){
				return this.colorList.filter(item=>item.color_name.indexOf(this.searchText) !== -1)
			}else{
				return this.colorList
			}
		}
	},
	methods: {
		getPurview :function(){//获取权限
			var _this = this;
			mui.ajax(severUrl + "sso/user/qryOp.json", {
				data : {
					id : ''
				},
				headers : {
					'Content-Type' : 'application/x-www-form-urlencoded'
				},
				xhrFields : {
					withCredentials : true
				},
				dataType : 'json',
				type : 'post',
				timeout : 30000,
				async : false,
				success : function(res) {
					if (res.success) {
						// var position_name = res.data.position_name;
						_this.company_name = res.data.company_name;
						_this.company_id = res.data.company_id;
						_this.bindDepot = res.data.manage_depot_id;
						_this.user_id = res.data.id;
						var code = res.data.position,permission = code.permission;
						if(permission.indexOf('A11_1_O') >=0 || permission.indexOf('A11_1_E') >=0){
							_this.positionName = true
						}else{
							_this.positionName = false
						}
						permission.indexOf('A4_1_E') >=0?_this.stockManager = true:_this.stockManager = false;
						permission.indexOf('FA_ACC') >=0?_this.faAccount = true:_this.faAccount = false;
						permission.indexOf('LOOK_PURCHASE') >=0?_this.purchaseManager = true:_this.purchaseManager = false;
						permission.indexOf('ONLY_PRINT') >=0?_this.labelPprinter = true:_this.labelPprinter = false;
						'RFRk,eYVo,y0oa,mVbc,pqrB,pDAY,CCP2,Oo4T,LfTY'.indexOf(_this.company_id) >=0?_this.jifenshow = true:_this.jifenshow=false
						_this.companySetIndustry = res.data.company_set_industry;
					}

				}
			});
		},
		selColor: function (item) {
			var modify = true,find = false;
			mui.each(selColorVM.oldColorList, function (index, val) {
				if (val.color_id == item.id) {
					find = true;
					var id = item.id;
					var product_id = selColorVM.product_id;
					mui.ajax(severUrl + "scm/product/unselectColorSize.json", {
						data: {
							product_id:product_id,
							type:'color_id',
							type_value: id,
							oldlist:selColorVM.oldColorList,
							oldlistlength:selColorVM.oldColorList.length
						},
						beforeSend:function(){
							viewHandle.waiting("修改中...")
						},
						complete: function() {
							viewHandle.close()
						},
						headers: {
							'Content-Type': 'application/x-www-form-urlencoded'
						},
						xhrFields: {
							withCredentials: true
						},
						async:false,
						dataType: 'json',//服务器返回json格式数据
						type: 'post',//HTTP请求类型
						timeout: 50000,//超时时间设置为10秒；
						success: function (res) {
							if(res.success){
								var selColorList = JSON.parse(sessionStorage.getItem("selColorList"));
								var list = JSON.parse(sessionStorage.getItem("list"));
								mui.each(selColorList,function(i,v){
									if(v.color_id == id){
										selColorList.splice(i,1);
										sessionStorage.setItem("selColorList", JSON.stringify(selColorList));
										selColorVM.oldColorList = selColorList;
									}
								});
							}else{
                                mui.toast(res.msg);
								item.disabled = "disabled";
								modify = false
							}
							color_edit()
						}
					});
				}
			});
			if(!find){
				color_edit()
			}
			function color_edit(){
				if(!modify){
					return;
				}
				if (!item.disabled) {
					item.checked = !item.checked;
				}

				if (item.checked) {
					selList.push({ color_name: item.color_name, color_id: item.id, visible: item.visible, disabled: item.disabled || false });

				} else {
					for (var i = 0; i < selList.length; i++) {
						if (item.id == selList[i].color_id) {
							selList.splice(i, 1);
						}
					}
				}
			}
		},
		changeColor: function (item) {
			if (item) {
				this.popoverTitle = "修改颜色";
				this.changeColorObj = item;
				selColorVM.isChoose = 0;
				mui.each(selColorVM.oldColorList, function (index, val) {
					if (val.color_id == item.id) {
						selColorVM.isChoose = 1;
						return false;
					}
				})
			} else {
				this.changeColorObj = { color_name: '', id: '' };
				this.popoverTitle = "添加颜色";
			}
			mui('#colorPopover').popover('show');
		},
		confirmColor: function () {
            var id=this.changeColorObj.id;
            var color_name=this.changeColorObj.color_name;
			mui.ajax(severUrl + "scm/productcolor/save.json", {
				data: {
					id: this.changeColorObj.id,
					color_name: this.changeColorObj.color_name
				},
				headers: {
					'Content-Type': 'application/x-www-form-urlencoded'
				},
				xhrFields: {
					withCredentials: true
				},
				dataType: 'json',//服务器返回json格式数据
				type: 'post',//HTTP请求类型
				timeout: 10000,//超时时间设置为10秒；
				success: function (res) {
					mui('#colorPopover').popover('toggle');
					mui.toast(res.msg);
                    getNewColorList();
                    if(res.success){
                        for(var j=0; j<selColorVM.selColorList.length; j++){
                            if(id == selColorVM.selColorList[j].color_id){
                                selColorVM.selColorList[j].color_name=color_name;
                            }
                        }
                        for(var i=0; i<selList.length; i++){
                            if(id == selList[i].color_id){
                                selList[i].color_name=color_name;
                            }
                        }
                        sessionStorage.setItem("selColorList",JSON.stringify(selColorVM.selColorList));
                    }
				}
			});

		},
		cancelColor: function () {
			mui('#colorPopover').popover('toggle');
		},
		deleteColor: function () {
            var id = this.changeColorObj.id;
			mui.ajax(severUrl + "scm/productcolor/del.json", {
				data: {
					id: this.changeColorObj.id
				},
				headers: {
					'Content-Type': 'application/x-www-form-urlencoded'
				},
				xhrFields: {
					withCredentials: true
				},
				dataType: 'json',//服务器返回json格式数据
				type: 'post',//HTTP请求类型
				timeout: 10000,//超时时间设置为10秒；
				success: function (res) {
					mui('#colorPopover').popover('toggle');
					mui.toast(res.msg);
                    getNewColorList();
                    if(res.success){
                        for(var j=0; j<selColorVM.selColorList.length; j++){
                            if(id == selColorVM.selColorList[j].color_id){
                                selColorVM.selColorList.splice(j,1);
                            }
                        }
                        for(var i=0; i<selList.length; i++){
                            if(id == selList[i].color_id){
                                selList.splice(i,1);
                            }
                        }
                        sessionStorage.setItem("selColorList",JSON.stringify(selColorVM.selColorList));
                    }
				}
			});
		},
		confirmDefault: function () {
			mui.ajax(severUrl + "scm/productcolor/setDefault.json", {
				data: {
					id: this.changeColorObj.id
				},
				headers: {
					'Content-Type': 'application/x-www-form-urlencoded'
				},
				xhrFields: {
					withCredentials: true
				},
				dataType: 'json',//服务器返回json格式数据
				type: 'post',//HTTP请求类型
				timeout: 10000,//超时时间设置为10秒；
				success: function (res) {
					mui('#colorPopover').popover('toggle');
					mui.toast(res.msg);
					getNewColorList();
				}
			});
		},
		saveColorList: function () {//点击保存执行的函数
			var colorList = this.colorList;
			var oldCheckedList = [];
			var saveList = [];
			mui.each(selColorVM.selColorList, function (childIndex, childCOlor) {
				mui.each(colorList, function (index, color) {
					if (color.checked && color.id == childCOlor.color_id) {
						oldCheckedList.push({ color_name: color.color_name, color_id: color.id, visible: color.visible, disabled: color.disabled || false });
						return false;
					}
				});
			});

			if (selList.length == 0) {
				saveList = oldCheckedList;
			} else if (oldCheckedList.length == 0) {
				saveList = selList;
			} else if (selList.length != 0 && oldCheckedList.length != 0) {
				var oldAdd = [];
				mui.each(oldCheckedList, function (i, v) {
					var add = true;
					mui.each(selList, function (k, m) {
						if(m.color_id == v.color_id){
							add = false
						}
					});
					if(add){
						oldAdd.push({ color_name: v.color_name, color_id: v.color_id, visible: v.visible, disabled: v.disabled || false })
					}
				});
				if(oldAdd.length >0){
					saveList = oldAdd.concat(selList)
				}else{
					saveList = selList;
				}
			} else {
				mui.toast('请选择颜色');
				return;
			}

			if (saveList.length == 0) {
				saveList = JSON.parse(sessionStorage.getItem("selColorList"));
			}
			sessionStorage.setItem("selColorList", JSON.stringify(unique(saveList)));
			var listSend = {};
			listSend.colorNewest = sessionStorage.getItem("selColorList");
			viewHandle.viewFire('changeItem.html','colorAndSizeUpdate',listSend);
			viewHandle.back()
			selColorVM.searchText = undefined
		}
	},
	created: function () {
		// getColorList();
		FastClick.attach(document.body);
	},
	mounted:function(){
		var _this = this;
		mui.plusReady(function(){
			_this.getPurview()
		})
	}
});

function unique(list) {
	var arr = [];
	for (var i = 0; i < list.length; i++) {
		if (i == 0) arr.push(list[i]);
		b = false;
		if (arr.length > 0 && i > 0) {
			for (var j = 0; j < arr.length; j++) {
				if (arr[j].color_id == list[i].color_id) {
					b = true;
				}
			}
			if (!b) {
				arr.push(list[i]);
			}
		}
	}
	return arr;
}

function getColorList() {
	mui.ajax(severUrl + "scm/productcolor/dataGrid.json", {
		data: {
		},
		headers: {
			'Content-Type': 'application/x-www-form-urlencoded'
		},
		xhrFields: {
			withCredentials: true
		},
		dataType: 'json',//服务器返回json格式数据
		type: 'post',//HTTP请求类型
		timeout: 10000,//超时时间设置为10秒；
		success: function (res) {
			var list = res.data.list;

			if (selColorVM.selColorList) {
				mui.each(list, function (index, color) {
					for (var i = 0; i < selColorVM.selColorList.length; i++) {
						if (color.id == selColorVM.selColorList[i].color_id) {
							color.checked = true;
							// color.order = true;
							color.disabled = selColorVM.selColorList[i].disabled;
							color.visible = selColorVM.selColorList[i].visible;
							break;
						}
					}
					if(i == selColorVM.selColorList.length) {color.checked = false; color.order = false}
				});
			} else {
				mui.each(list, function (index, color) {
					color.checked = false;
					// color.order = false;
				});
			}
			selColorVM.colorList = list;
		}
	});
}
function getNewColorList() {
    mui.ajax(severUrl + "scm/productcolor/dataGrid.json", {
        data: {
        },
        headers: {
            'Content-Type': 'application/x-www-form-urlencoded'
        },
        xhrFields: {
            withCredentials: true
        },
        dataType: 'json',//服务器返回json格式数据
        type: 'post',//HTTP请求类型
        timeout: 10000,//超时时间设置为10秒；
        success: function (res) {
            var list = res.data.list;
            var colorList = selColorVM.colorList;

            if (colorList) {
                mui.each(list, function (index, color) {
                    var i;
                    for (i = 0; i < colorList.length; i++) {
                        if (color.id == colorList[i].id) {
                            color.checked = colorList[i].checked;
                            color.order = colorList[i].order;
                            color.disabled = colorList[i].disabled;
                            color.visible = colorList[i].visible;
                            break;
                        }
                    }
                    if(i == colorList.length){color.checked = false; color.order = false;}
                });
            } else {
                mui.each(list, function (index, color) {
                    color.checked = false;
                    color.order = false;
                });
            }
            selColorVM.colorList = list;
        }
    });
}
mui(".mui-content").on("tap", ".mui-icon.mui-icon-closeempty", function () {
	mui('#colorPopover').popover('hide');
	document.getElementById("colorPopover").classList.remove("mui-active")
});
mui("body").on("tap",".muiBack",function(){
	viewHandle.back()
	selColorVM.searchText = undefined
});
mui('.mui-scroll-wrapper').scroll({
	deceleration: 0.0006
});
function tochildPage(){
	console.log(plus.webview.currentWebview())
	let page=plus.webview.create('colorOrSizeDragSort.html','',{top:'0px',bottom:'0px'})
	plus.webview.currentWebview().append(page)
	// setTimeout(function (){
	// 	plus.webview.currentWebview().close(page)
	// },3000)
}
