function getQueryString(name) {
	var reg = new RegExp("(^|&)" + name + "=([^&]*)(&|$)", "i");
	var r = window.location.search.substr(1).match(reg);
	if (r != null) return decodeURIComponent(r[2]); return null;
}
var mainPhoto = '',old_parameters = [];
mui.plusReady(function(){
	var arg = JSON.parse(plus.webview.currentWebview().arg);
	sessionStorage.setItem('list',JSON.stringify(arg.list || ''));
	var mainUnitId = arg.mainUnitId || '';
	sessionStorage.setItem("mainUnitId",mainUnitId);
	var mainUnitName = arg.mainUnitName || '';
	sessionStorage.setItem("mainUnitName",mainUnitName);
	var unitList = arg.unitList || '';
	sessionStorage.setItem("unitList",JSON.stringify(unitList));
	goodsAddVM.category =  arg.category_id || 1;
	goodsAddVM.category_name =  arg.category_name || '';
	goodsAddVM.category_parent_name =  arg.category_parent_name || '';
	goodsAddVM.expire_date_ms=arg.list[0].expire_date_ms;//获取到传过来的保质期时间戳
	//将传过来的事件戳转换 默认转换为天
	goodsAddVM.expire_date=getTimeUnitStampTODate(goodsAddVM.expire_date_ms,goodsAddVM.expire_date_unit_show)
	goodsAddVM.getAllDepot(function(){
		processingStockWarningData()
	})
	getGoodsMenu();
	qryAllCustomerCategoryPricesByProductId();
	companyQry()
});
window.addEventListener("colorAndSizeUpdate",function(e) {
	if(e.detail.colorNewest && e.detail.colorNewest != undefined){
		sessionStorage.setItem('selColorList',e.detail.colorNewest);
        goodsAddVM.colorList = JSON.parse(e.detail.colorNewest)
	}
	if(e.detail.sizeNewest && e.detail.sizeNewest != undefined){
		sessionStorage.setItem('selSizeList',e.detail.sizeNewest);
        goodsAddVM.sizeList = JSON.parse(e.detail.sizeNewest)
	}
    editSelList()
});
window.addEventListener("unitUpdate",function(e){
    goodsAddVM.mainUnitId = e.detail.mainUnitId;
    sessionStorage.setItem('mainUnitId',e.detail.mainUnitId);
    goodsAddVM.mainUnitName = e.detail.mainUnitName;
    sessionStorage.setItem('mainUnitName',e.detail.mainUnitName);
    goodsAddVM.unitList = e.detail.unitList;
    sessionStorage.setItem('unitList',JSON.stringify(e.detail.unitList))
});
window.addEventListener("categoryUpdate",function(e){
    goodsAddVM.category = e.detail.category_id;
    sessionStorage.setItem('category_id',e.detail.category_id);
    goodsAddVM.category_name = e.detail.category_name;
    sessionStorage.setItem('category_name',e.detail.category_name);
    goodsAddVM.category_parent_name = e.detail.category_parent_name;
    sessionStorage.setItem('category_parent_name',e.detail.category_parent_name)
});
window.addEventListener("otherUpdate",function(e){
    goodsAddVM.material = e.detail.material || ''
});
window.addEventListener("codeUpdate",function(e){
	sessionStorage.setItem('selList',JSON.stringify(e.detail.selList));
	goodsAddVM.barcodeNumber = e.detail.barcodeNumber>0? '已设置':'未设置';
    goodsAddVM.selbarCodeList = e.detail.barcodeList;
    editSelList()
});
window.addEventListener("updateCategoryPprice", function(e) {
	var info = e.detail;
	goodsAddVM.saveCustomerCategoryPrices(info.customerCategory)
});
window.addEventListener('stockLimitSave', function(e) {
	goodsAddVM.stockLimit.stockLimitSave = e.detail.stockLimitSave
	goodsAddVM.stockLimit.allStockSetSave = e.detail.allStockSetSave
	goodsAddVM.stockLimit.oldShowStockType = e.detail.oldShowStockType
	goodsAddVM.updateAddStockLimitText()
});
mui('body').on('tap', '#remark', function() {
	document.getElementById("remark").scrollIntoView()
})
function autoGrow (oField) {
	$(oField).autoHeight()
}
var goodsAddVM = new Vue({
	el: '#goodsAddVM',
	data: {
		systemSetting:JSON.parse(localStorage.systemSetting),
		name:'',
		model:'',
		remark: '',
		// 库存预警
		stockLimit: {
			// '未设置','已设置','部分设置'
			statusText: '未设置',
			// 单仓库列表 设置了预警的 提交使用这个合并数据
			stockLimitSave: undefined,
			// 所有仓库 设置预警
			allStockSetSave: undefined,
			// 上次界面 可配置首次打开
			oldShowStockType: 'sole',
		},
		allDepot: [],
		status:'',
		barcodeNumber:'已设置',
		purchase_price:'',
		sale_price:'',
        sale_price_b:'',
		purchase_price2: '***',
		sale_price2:'***',
		sale_price3:'***',
		colorList:[],
		sizeList:[],
		material:'',
		list:[],
		barcodes:[],
		changeList:[],
		amountTotal:0,
		goodsList:[],
		goodsId:sessionStorage.getItem("selListId")||'',
		depot_id:'',
		stockSwt:false,
		selbarCodeList:[],
		category:1,
		category_name:'',
		category_parent_name:'',
		isOpen: false,
		isOpen2: false,
		isOpen3: false,
		id:'',
		photoName1:'',
		photoName2:'',
		photoName3:'',
		photoName4:'',
		purchasePriceEdit:false,
		mainUnitId:sessionStorage.getItem("mainUnitId") || '',
		mainUnitName:sessionStorage.getItem("mainUnitName") || '',
		unitList:JSON.parse(sessionStorage.getItem("unitList")) || [],
		//全行业参数
		size_show: localStorage.getItem("size_show") || 1,
		color_show: localStorage.getItem("color_show") || 1 ,
		unit_show: localStorage.getItem("unit_show") || 0,
		origin_specification: localStorage.getItem("origin_specification") || 0,
		upFileType:'fileA', //图片类型
		//权限相关
		positionName:false,
		stockManager:false,
		purchaseManager:false,
		companySetIndustry:true,
		labelPprinter:false,
		faAccount:true,
		is_advanced:0,
		company_name:'',
		company_id:'',
		user_id:'',
		jifenshow:false,
		bindDepot:-1,
		// 用户开启库存预警功能？
		isStockLimit: false,
		//--------------------
		customerCategory: [], //客户分类价,
		//--------------------
		// 保质期
		expire_date:'',
		expire_date_toggleFlag:false,
		expire_date_unit:0,
		expire_date_power:false,
		expire_date_ms:''
	},
	mixin:[globalSystemMixin],
	directives:{
		intInput:{
			//v-int-input 指令不能大写 input type要是text number 会有问题 会把"-"、"+"识别为空 难以处理
			bind: function(el, binding, vnode) {
				let input = vnode.elm;
				if (!input) return;
				input.addEventListener('input', function (e) {
					let oldValue = input.value;
					let newValue = input.value;
					newValue = newValue.replace(/[^0-9]/g, '');
					// 判断是否需要更新，避免进入死循环
					if (newValue !== oldValue) {
						input.value = newValue;
						input.dispatchEvent(new Event('input')); // 通知v-model更新
					}
				})
			}
		},
	},
	computed:{
		expire_date_unit_show:function (){
			if(this.expire_date_unit==0){
				return '天'
			}else if(this.expire_date_unit==1){
				return '周'
			}else if(this.expire_date_unit==2){
				return '月'
			}else{
				return '年'
			}
		}
	},
	methods: {
		changeExpireDateToggleFlag:function (){
			this.expire_date_toggleFlag=!this.expire_date_toggleFlag
		},
		changeExpireDateUnit(type){
			this.expire_date_unit=type
			setTimeout(function (){
				goodsAddVM.expire_date_toggleFlag=false
			},200)
		},
		getPurview :function(){//获取权限
			var _this = this;
			mui.ajax(severUrl + "sso/user/qryOp.json", {
				data : {
					id : ''
				},
				headers : {
					'Content-Type' : 'application/x-www-form-urlencoded'
				},
				xhrFields : {
					withCredentials : true
				},
				dataType : 'json',
				type : 'post',
				timeout : 30000,
				async : false,
				success : function(res) {
					if (res.success) {
						// var position_name = res.data.position_name;
						_this.company_name = res.data.company_name;
						_this.company_id = res.data.company_id;
						_this.bindDepot = res.data.manage_depot_id;
						_this.user_id = res.data.id;
						var code = res.data.position,permission = code.permission;
						if(permission.indexOf('A11_1_O') >=0 || permission.indexOf('A11_1_E') >=0){
							_this.positionName = true
						}else{
							_this.positionName = false
						}
						permission.indexOf('A4_1_E') >=0?_this.stockManager = true:_this.stockManager = false;
						permission.indexOf('FA_ACC') >=0?_this.faAccount = true:_this.faAccount = false;
						permission.indexOf('LOOK_PURCHASE') >=0?_this.purchaseManager = true:_this.purchaseManager = false;
						permission.indexOf('ONLY_PRINT') >=0?_this.labelPprinter = true:_this.labelPprinter = false;
						'RFRk,eYVo,y0oa,mVbc,pqrB,pDAY,CCP2,Oo4T,LfTY'.indexOf(_this.company_id) >=0?_this.jifenshow = true:_this.jifenshow=false
						_this.companySetIndustry = res.data.company_set_industry;
					}

				}
			});
		},
		createGoods:function(){//点击保存按钮执行的函数
			if(this.name==''){
				mui.toast('请输入商品名称');
			}else if(this.model==''){
				mui.toast('请输入商品货号');
			}else if(this.purchase_price=='' && this.purchase_price !=0){
				mui.toast('请输入采购成本价');
			}else if(this.sale_price=='' && this.sale_price !=0){
				mui.toast('请输入销售价');
			}else if(this.colorList.length==0){
				mui.toast('请设置商品颜色');
			}else if(this.sizeList.length==0){
				mui.toast('请设置商品尺寸');
			}else{
				if(this.remark.trim().length > 100){
					mui.toast('商品备注字数超过最大字数100'); return
				}
				if(this.model.trim().length > 30){
					mui.toast('商品货号字数超过最大字数30'); return
				}
				if(this.name.trim().length > 50){
					mui.toast('商品名称字数超过最大字数50'); return
				}
				for(var i=0;i<goodsAddVM.list.length;i++){
					if(goodsAddVM.list[i].barcode==undefined){
                        goodsAddVM.list[i].barcode='';
					}
				}
				// data = {//“创建商品”部分增加字段list:[”barcode”:”88888888”]用于保存条码  //创建商品
				// 	id:goodsAddVM.id,
				// 	category:goodsAddVM.category,
				// 	name:goodsAddVM.name.trim(),
				// 	billsn:1,
				// 	stock_warn:0,
				// 	model:goodsAddVM.model.trim(),
				// 	remark: goodsAddVM.remark.trim(),
				// 	material:goodsAddVM.material,
				// 	status:1,
				// 	unit:1,
				// 	sale_price:goodsAddVM.sale_price,
				// 	sale_price_b:goodsAddVM.sale_price_b,
				// 	purchase_price:goodsAddVM.purchase_price,
				// 	depot_id:JSON.parse(localStorage.depotList)[0].id,
				// 	listlength:goodsAddVM.list.length,
				// 	amount:0,
				// 	list:goodsAddVM.list
				// }

				// 库存预警数据合并
				const copyVMList = JSON.parse(JSON.stringify(goodsAddVM.list))
				if (goodsAddVM.isStockLimit === true && goodsAddVM.stockLimit.stockLimitSave) {
					goodsAddVM.stockLimit.stockLimitSave.map(depot => {
						const depot_id = depot.id
						depot.color.map(color => {
							const color_id = color.color_id
							color.size.map(size =>{
								const size_id = size.size_id
								const singleProduct = copyVMList.find(singleProduct => singleProduct.size_id === size_id && singleProduct.color_id === color_id)
								if(singleProduct) {
									const stock_warn = {depot_id, stock_warn_max: size.stock_warn_max || '', stock_warn_min: size.stock_warn_min || ''}
									if(singleProduct.stock_warn){
										let list = JSON.parse(singleProduct.stock_warn)
										list.push(stock_warn)
										singleProduct.stock_warn = JSON.stringify(list)
									}else{
										singleProduct.stock_warn = JSON.stringify([stock_warn])
									}
								}
							})
						})
					})
				}
				//处理保质期的换算 时间戳 毫秒
				let expire_date_ms=getTimeUnitDateTOStamp(goodsAddVM.expire_date,goodsAddVM.expire_date_unit_show)
				mui.ajax(severUrl + "scm/product/modify.json",{
					data:{//“创建商品”部分增加字段list:[”barcode”:”88888888”]用于保存条码  //创建商品
						id:goodsAddVM.id,
						category:goodsAddVM.category,
						name:goodsAddVM.name.trim(),
						billsn:1,
						stock_warn:0,
						model:goodsAddVM.model.trim(),
						remark: goodsAddVM.remark.trim(),
						material:goodsAddVM.material,
						main_unit:goodsAddVM.mainUnitId,
						status:1,
						unit:1,
						sale_price:goodsAddVM.sale_price,
                        sale_price_b:goodsAddVM.sale_price_b,
						purchase_price:goodsAddVM.purchase_price,
						depot_id:JSON.parse(localStorage.depotList)[0].id,
						listlength:goodsAddVM.list.length,
						amount:0,
						list: copyVMList,
						expire_date_ms:expire_date_ms||"",//保质期
					},
				  	xhrFields: {
				      withCredentials: true
					},
					dataType:'json',//服务器返回json格式数据
					type:'post',//HTTP请求类型
					timeout:20000,//超时时间设置为10秒；
                    beforeSend: function() {
                        // mask.show();//显示遮罩层
                        mui('#dh')[0].style.display = "block";
                    },
                    complete: function() {
                        //mask.close();//关闭遮罩层
                        mui('#dh')[0].style.display = "none";
                    },
					success:function(res){
						mui.toast(res.msg);
						if(res.success){
							sessionStorage.removeItem("selColorList");
							sessionStorage.removeItem("selSizeList");
							sessionStorage.removeItem("selList");
							sessionStorage.removeItem("name");
						    sessionStorage.removeItem("model");
                            sessionStorage.removeItem("material");
							sessionStorage.removeItem("category_id");
							sessionStorage.removeItem("category_name");
							sessionStorage.removeItem("mainUnitId");
							sessionStorage.removeItem("mainUnitName");
							sessionStorage.removeItem("unitList");
							sessionStorage.removeItem("category_parent_name");
						    sessionStorage.removeItem("purchase_price");
						    sessionStorage.removeItem("sale_price");
						    sessionStorage.removeItem("sale_price_b");
						    sessionStorage.removeItem("selListId");
						    sessionStorage.removeItem("selbarCodeList");
						    sessionStorage.removeItem("barcodeList")    
						    sessionStorage.removeItem("list");
							var t2 = window.setTimeout(function () {
									creatBackRefresh(goodsAddVM.id);
									viewHandle.back('close')
							}, 500);
						}
					},
                    error : function(){
                        mui.toast('保存失败！');
                    },
				});
			}
		},
		//批量保存商品客户分类价
		saveCustomerCategoryPrices:function(customerCategory){
			let _this=this
			if(JSON.stringify(customerCategory)==JSON.stringify(_this.customerCategory)){
				return
			}
			
			var customerCategoryPrices=customerCategory.map(function (customer) {
				return {
					customer_category_id:customer.id,
					price:customer.price
				}
			});
			
			mui.ajax(severUrl + "scm/productCustomerPrice/saveCustomerCategoryPrices.json", {
				data: {
					product_id:goodsAddVM.id,
					customerCategoryPrices:JSON.stringify(customerCategoryPrices)
				},
				headers: {
					'Content-Type': 'application/x-www-form-urlencoded'
				},
				xhrFields: {
					withCredentials: true
				},
				dataType: 'json',
				type: 'post',
				timeout: 10000,
				success: function(res) {
					if (res.status == 200) {
						mui.toast(res.msg);
						_this.customerCategory=customerCategory
						//保存
						let priceList=_this.customerCategory.reduce(function (prev, cur) {
							if(!isNaN(parseInt(cur.price))){
								prev.push(cur.price)
							}
							return prev
						},[])
						sessionStorage.setItem('customerCategory', JSON.stringify(customerCategory));
						$("#classifSet").val(priceList.join("/"))	
					}else {
						 mui.toast('保存失败！');
					}
				}
			});
		},
		editAlert:function(e){
			var _this = this;
			if(!_this.purchasePriceEdit){
				mui.confirm('修改采购价会改变当前库存成本，会影响利润计算，是否强行修改？', '提示', ["取消","确定"], function (e) {
					if (e.index == 1){
						_this.purchasePriceEdit = true;
					}
				},'div');
			}
		},
		purchaseInfo:function(){
			mui.alert("采购价根据每次进货输入的价格自动调整",'','','','div')
		},
		// 点击库存预警
		clickAddStockLimit() {
			const _this = this
			if(_this.allDepot.length > 0){ // 至少有一个仓库
				go()
			}else{
				// 获取仓库 再继续
				_this.getAllDepot(go,'获取仓库失败，无法进入库存预警，请重试')
			}
			function go(){
				const colorList = JSON.parse(JSON.stringify(_this.colorList))
				const sizeList = JSON.parse(JSON.stringify(_this.sizeList))
				const specification = formDataStockLimitData(colorList, sizeList)
				const source = {allDepot: _this.allDepot, specification, model: _this.model, originId: 'changeItem.html'}
				JumpPage.jump('./stockLimitSet.html','stockLimitSet', function () {
					viewHandle.viewFire('stockLimitSet', 'stockLimitInit', Object.assign(_this.stockLimit, source))
				})
			}
		},
		// 获取所有仓库
		getAllDepot(cbFn, errText){
			const _this = this
			mui.ajax(severUrl + "scm/depot/list.json", {
				data: {},
				headers: {
					'Content-Type': 'application/x-www-form-urlencoded'
				},
				xhrFields: {
					withCredentials: true
				},
				dataType: 'json',
				type: 'post',
				timeout: 10000,
				success: function(res) {
					if (res) {
						if (res.success && Array.isArray(res.data)) {
							_this.allDepot = res.data; /*depotList仓库列表*/
							cbFn&&cbFn()
						} else if (res.status == 10101 || res.status == 10102) { // 登录失效
							logOut(res.msg)
						} else {
							mui.toast('获取仓库异常' + res.msg)
						}
					}
				},
				error(){
					console.log('请求异常')
					errText && mui.toast(errText)
				}
			})
		},
		// 更新库存预警 状态
		updateAddStockLimitText(){
			if(this.isStockLimit === false || !this.stockLimit.stockLimitSave) return;
			let colorList = JSON.parse(JSON.stringify(this.colorList))
			let sizeList = JSON.parse(JSON.stringify(this.sizeList))
			const specification = formDataStockLimitData(colorList, sizeList)
			colorList = specification.colorList
			sizeList = specification.sizeList
			const allDepot = this.allDepot
			const productList = []
			const queryList = []

			const _this = this
			if(allDepot.length > 0){
				update()
			}else{
				_this.getAllDepot(update, '更新库存预警状态失败')
			}
			function update(){
				// 生成单品列表
				allDepot.map(item => {
					const depot_id = item.id
					colorList.map(item => {
						const color_id = item.color_id
						sizeList.map(item => {
							const size_id = item.size_id
							productList.push({depot_id, color_id, size_id})
						})
					})
				})
				let text = ''
				// 在设置的中查询 查到就将结果添加到queryList
				_this.stockLimit.stockLimitSave.map(depot => {
					const depot_id = depot.id
					depot.color.map(color => {
						const color_id = color.color_id
						color.size.map(size =>{
							const size_id = size.size_id
							const singleProduct = productList.find(singleProduct => singleProduct.size_id === size_id &&
								singleProduct.color_id === color_id &&
								singleProduct.depot_id === depot_id &&
								(size.stock_warn_min || size.stock_warn_max)
							)
							if(singleProduct){
								queryList.push(singleProduct)
							}
						})
					})
				})
				if(queryList.length === 0){
					text = '未设置'
				} else if(productList.length > queryList.length){
					text = '部分设置'
				} else {
					text = '已设置'
				}
				_this.stockLimit.statusText = text
			}
		}
	},
	created:function(){
		// this.getAllDepot()
	},
	mounted:function(){
		// 初始化 isStockLimit 库存预警设置
		if(this.systemSetting){
			// 1 启用 0 停用
			this.isStockLimit = this.systemSetting.stock_warn_setting === 1
		}
		setTimeout(function (){
			//用混入 利于后期的扩展
			goodsAddVM.expire_date_power=globalSystemMixin.computed.productionBatchPower(goodsAddVM.systemSetting.production_batch_setting)
		},300)
		var _this = this;
		mui.plusReady(function(){
			_this.getPurview()
		})
	}
});

function companyQry() {
    mui.ajax(severUrl + "scm/product/qryProductPicturesById", {
        data: {
            id: goodsAddVM.id
        },
        headers: {
            'Content-Type': 'application/x-www-form-urlencoded'
        },
        xhrFields: {
            withCredentials: true
        },
        dataType: 'json',
        type: 'POST',
        timeout: 10000,
        success: function (res) {
            if (res.data.length > 0) {
                var list = res.data;
                for (var i = 0; i < list.length; i++) {
                    if (list[0].is_default == 1) {
                        switch (i) {
                            case 0:
                                goodsAddVM.photoName1 = list[i].name;
                                break;
                            case 1:
                                goodsAddVM.photoName2 = list[i].name;
                                break;
                            case 2:
                                goodsAddVM.photoName3 = list[i].name;
                                break;
                            case 3:
                                goodsAddVM.photoName4 = list[i].name;
                                break;
                        }
                    } else {
                        goodsAddVM.photoName1 = '';
                        switch (i) {
                            case 0:
                                goodsAddVM.photoName2 = list[i].name;
                                break;
                            case 1:
                                goodsAddVM.photoName3 = list[i].name;
                                break;
                            case 2:
                                goodsAddVM.photoName4 = list[i].name;
                                break;
                        }
                    }
                    list[i].product_name = name;
                    list[i].name = img_url + list[i].name;
                }
                var html = '';
                for (var n = 0; n < list.length; n++) {
                    if (list[0].is_default == 1) {n
                        $(".imgbox").eq(n).children("img").attr("src", list[n].name);
                        $(".imgbox").eq(n).children("img").css('display', 'block');
                        // if (n == 0) {
                        //     $(".mainImg").hide()
                        //     mui('#delA')[0].style.height = '21px';
                        // }
                        switch (n) {
                            case 0:
                                $(".mainImg").hide()
                                mui('#delA')[0].style.height = '21px';
                                break;
                            case 1:
                                mui('#delB')[0].style.height = '21px';
                                break;
                            case 2:
                                mui('#delC')[0].style.height = '21px';
                                break;
                            case 3:
                                mui('#delD')[0].style.height = '21px';
                                break;
                        }
                        if (n > 3) {
                            return;
                        }
                    } else {
                        $(".imgbox").eq(n + 1).children("img").attr("src", list[n].name);
                        $(".imgbox").eq(n + 1).children("img").css('display', 'block');
                        switch (n) {
                            case 0:
                                $(".mainImg").hide()
                                mui('#delB')[0].style.height = '21px';
                                break;
                            case 1:
                                $(".mainImg").hide()
                                mui('#delC')[0].style.height = '21px';
                                break;
                            case 2:
                                $(".mainImg").hide()
                                mui('#delD')[0].style.height = '21px';
                                break;
                        }
                        if (n > 2) {
                            return;
                        }
                    }
                }
            }
        },
    });
}
//第一张图片

mui('#goodsAddVM').on('tap', '.heads', function() {
	mui('#picture').popover('toggle');
	goodsAddVM.upFileType = 'fileA'
});
mui('#goodsAddVM').on('tap', '.heads2', function() {
	mui('#picture').popover('toggle');
	goodsAddVM.upFileType = 'fileB'
});
mui('#goodsAddVM').on('tap', '.heads3', function() {
	mui('#picture').popover('toggle');
	goodsAddVM.upFileType = 'fileC'
});
mui('#goodsAddVM').on('tap', '.heads4', function() {
	mui('#picture').popover('toggle');
	goodsAddVM.upFileType = 'fileD'
});

//获取客户分类价
function qryAllCustomerCategoryPricesByProductId() {
	
	mui.ajax(severUrl + "scm/productCustomerPrice/qryAllCustomerCategoryPricesByProductId.json", {
		data: {
			product_id:goodsAddVM.id
		},
		headers: {
			'Content-Type': 'application/x-www-form-urlencoded'
		},
		xhrFields: {
			withCredentials: true
		},
		dataType: 'json',
		type: 'post',
		timeout: 10000,
		success: function(res) {
			let customerCategory = res.data
			goodsAddVM.customerCategory=customerCategory
			let priceList=goodsAddVM.customerCategory.reduce(function (prev, cur) {
			    if(!isNaN(parseInt(cur.price))){
			        prev.push(cur.price)
			    }
			    return prev
			},[])
			$("#classifSet").val(priceList.join("/"))
		}
	});
}
// 上传类型选择 相册 相机
function clickType(type){
	if(mui.os.android === true && (type === 'photoAlbum' || type === 'photograph')){
		plus.android.requestPermissions(['android.permission.READ_EXTERNAL_STORAGE'], function(e){
			if(e.granted.length>0){	//权限被允许
				//调用依赖获取定位权限的代码
				open()
			}
		}, function(e){
		});
	}else{
		open()
	}

	function open(){
		switch (type){
			case "photoAlbum":
				clickGallery(goodsAddVM.upFileType);
				break;
			case "photograph":
				clickCamera(goodsAddVM.upFileType);
				break;
		}
	}

	mui('#picture').popover('toggle')
}
function getDirection(localUrl,name,type,fileName){
	var img=document.createElement("img");
	if(mui.os.ios){
		img.src = localUrl;
		img.onload = function(){
			prepareUpload(localUrl,name,type,fileName,'',img.width,img.height)
		}
	}else{
		// var direction = 0;
		img.src = localUrl;
		img.onload = function(){
			prepareUpload(localUrl,name,type,fileName,'',img.width,img.height)
		}
		// img.onload = function(){
		// 	EXIF.getData(img,function(){
		// 		direction = EXIF.getTag(this, 'Orientation');
		// 		switch (direction) {
		// 			case 1: //0
		// 				break;
		// 			case 6: //->90
		// 				direction = 90;
		// 				break;
		// 			case 8: //<-90
		// 				direction = 270;
		// 				break;
		// 			case 3: //180
		// 				direction = 180;
		// 				break;
		// 		}
		// 		prepareUpload(localUrl,name,type,fileName,direction,img.width,img.height)
		// 	})
		// }
	}
}
//相册
function clickGallery(type) {
	plus.gallery.pick(function(path) {
		var name = (new Date()).valueOf();
		var fileName = 'gallery';
		getDirection(path,name,type,fileName)
	}, function(err) {});
}
// 拍照
function clickCamera(type) {
	var cmr = plus.camera.getCamera();
	// var res = cmr.supportedImageResolutions[0];
	// var fmt = cmr.supportedImageFormats[0];
	cmr.captureImage(function(path) {
		plus.io.resolveLocalFileSystemURL(path, function(entry) {
			var localUrl = entry.toLocalURL();
			var name = (new Date()).valueOf();
			var fileName = 'camera';
			getDirection(localUrl,name,type,fileName)
		});
	}, function(err) {
		console.error("拍照失败：" + err.message);
	}, {
		filename:'/storage/emulated/0/Pictures/',
		index: 1, //摄像头类型（1:主摄，2:副摄）Android - 2.2+ (不支持)iOS - 4.3+ (支持)
		optimize:false //自动调整图片的方向（图片显示会有延迟）iOS不支持
	});
}
function prepareUpload(localUrl,name,type,fileName,direction,width,height){
	var data = {};
	var maxWidth=720
	if(Number(width) <maxWidth){
		data = {
			src: localUrl,
			dst: "_doc/"+fileName+"/"+ name+".jpg",
			quality: 60,
			rotate:direction || 0,
			overwrite: true
		}
	}else{
		// height = maxWidth * height / width;
		data = {
			src: localUrl,
			dst: "_doc/"+fileName+"/"+ name+".jpg",
			quality: 40,
			width: maxWidth +'px',
			// height:(maxWidth < height ? maxWidth : height)+'px',
			rotate:direction || 0,
			overwrite: true
		}
	}
	plus.zip.compressImage(data, function(e) {
		switch (type){
			case "fileA":
				$("#head").attr('src',e.target);
				mainPhoto = e.target;
				$('.mainImg').hide();
				$("#head").show();
				mui('#delA')[0].style.height = '21px';
				viewHandle.fileUpload(e.target,goodsAddVM.id,1,'','edit',goodsAddVM.photoName1,1);
				break;
			case "fileB":
				$("#head2").attr("src", e.target);
				$("#head2").show();
				mui('#delB')[0].style.height = '21px';
				viewHandle.fileUpload(e.target,goodsAddVM.id,0,'','edit',goodsAddVM.photoName2,2);
				break;
			case "fileC":
				$("#head3").attr("src", e.target);
				$("#head3").show();
				mui('#delC')[0].style.height = '21px';
				viewHandle.fileUpload(e.target,goodsAddVM.id,0,'','edit',goodsAddVM.photoName3,3);
				break;
			case "fileD":
				$("#head4").attr("src", e.target);
				$("#head4").show();
				mui('#delD')[0].style.height = '21px';
				viewHandle.fileUpload(e.target,goodsAddVM.id,0,'','edit',goodsAddVM.photoName4,4)
				break;
		}
		//viewHandle.fileUpload(e.target,123,0,123)
	}, function(err) {
		console.error("压缩失败：" + err.message);
	});
}
mui(".bli").on('tap','#delA',function(){
	var btn = ["取消","确定"]
	mui.confirm('确认删除该图片？','提示',btn,function(e){
		if(e.index==1){
			delPicById(goodsAddVM.id,goodsAddVM.photoName1,function(){
				goodsAddVM.photoName1 = ''
				$("#head").attr("src", '');
				mui('#delA')[0].style.height =0
				$('.mainImg').show();
			})
		}
	},'div');
})
mui(".bli").on('tap','#delB',function(){
	var btn = ["取消","确定"]
	mui.confirm('确认删除该图片？','提示',btn,function(e){
		if(e.index==1){
			delPicById(goodsAddVM.id,goodsAddVM.photoName2,function(){
				goodsAddVM.photoName2 = ''
				$("#head2").attr("src", '');
				mui('#delB')[0].style.height =0
			})
		}
	},'div');
})
mui(".bli").on('tap','#delC',function(){
	var btn = ["取消","确定"]
	mui.confirm('确认删除该图片？','提示',btn,function(e){
		if(e.index==1){
			delPicById(goodsAddVM.id,goodsAddVM.photoName3,function(){
				goodsAddVM.photoName3 = ''
				$("#head3").attr("src", '');
				mui('#delC')[0].style.height =0
			})
		}
	},'div');
})
mui(".bli").on('tap','#delD',function(){
	var btn = ["取消","确定"]
	mui.confirm('确认删除该图片？','提示',btn,function(e){
		if(e.index==1){
			delPicById(goodsAddVM.id,goodsAddVM.photoName4,function(){
				goodsAddVM.photoName4 = ''
				$("#head4").attr("src", '');
				mui('#delD')[0].style.height =0
			})
		}
	},'div');
})
function delPicById(id,name,cb){
	mui.ajax(severUrl + "cosfile/modifyPictureFile.json", {
		data: {
			product_id: id,
			old_name: name
		},
		headers: {
			'Content-Type': 'application/x-www-form-urlencoded'
		},
		xhrFields: {
			withCredentials: true
		},
		dataType: 'json',
		type: 'post',
		timeout: 20000,
		success: function (res) {
			mui.toast(res.msg);
			if (res.success) {
				if (typeof cb == "function") {
					cb();
				}
			}
		},
		error: function(){
			mui.toast('服务器错误')
		}
	});
}

/*点击删除按钮*/
mui('header').on('tap', '.icon-shanchu', function() {
	var btn = ["取消","确定"];
	var model=goodsAddVM.model;
	var id=goodsAddVM.id;
	var title='确认删除该商品: '+model+'?';
	mui.confirm(title,'提示',btn,function(e){
		if(e.index==1){
			mui.ajax(severUrl + "scm/product/del.json",{//删除商品
				data:{
					"id":id
				},
				headers: {
					'Content-Type': 'application/x-www-form-urlencoded'
				},
				xhrFields: {
					withCredentials: true
				},
				dataType:'json',//服务器返回json格式数据
				type:'post',//HTTP请求类型
				timeout:10000,//超时时间设置为10秒；
				success:function(res){
					if(res.success){
						mui.toast(res.msg);
						setTimeout(function() {
							var opener = plus.webview.currentWebview().opener().id;
							if(opener = 'cun.html'){
								var list = {
									id:id
								}
								viewHandle.viewFire('cun.html','removeList',list);
							}
							localStorage.setItem("productListPage","refresh");
							localStorage.setItem("pinProductListPage","refresh");
							localStorage.setItem("draftProductListPage","refresh");
							localStorage.setItem("pinDraftProductListPage","refresh");
							localStorage.setItem("cunInventoryListPage","refresh");
							localStorage.setItem("cunAlloctionListPage","refresh");
							viewHandle.back('close')
						},500);
					}else{
						if(res.status == 222){
							var btn = ["取消","确定"];
							mui.confirm(res.msg, '提示', btn, function (e) {
								if (e.index == 1) {
									var listSend = {};
									listSend.list = res.data;
									viewHandle.openWindow("associatRecord.html","associatRecord.html",JSON.stringify(listSend))
								}
							},'div');
						}else{
							mui.toast(res.mag)
						}
						return false
					}
				}
			});
		}
	},'div');
});
/*点击禁用按钮*/
mui('header').on('tap', '.icon-ban', function() {
	var btn = ["取消","确定"];
	var model=goodsAddVM.model;
	var id=goodsAddVM.id,title='';
	if(goodsAddVM.status == 1){
		title='确认禁用该商品: '+model+'?';
	}else{
		title='确认取消禁用该商品: '+model+'?';
	}
	mui.confirm(title,'提示',btn,function(e){
		if(e.index==1){
			mui.ajax(severUrl + "scm/product/enableOrDisable.json",{//删除商品
				data:{
					"id":id
				},
				headers: {
					'Content-Type': 'application/x-www-form-urlencoded'
				},
				xhrFields: {
					withCredentials: true
				},
				dataType:'json',//服务器返回json格式数据
				type:'post',//HTTP请求类型
				timeout:10000,//超时时间设置为10秒；
				success:function(res){
					if(res.success){
						mui.toast(res.msg);
						setTimeout(function() {
							var opener = plus.webview.currentWebview().opener().id;
							if(opener = 'cun.html'){
								var list = {
									id:id
								}
								viewHandle.viewFire('cun.html','disList',list);
							}
							// if(opener == 'goodsList.html'){
							// 	var list = {
							// 	    id:id
							// 	}
							// 	viewHandle.viewFire('goodsList.html','removeList',list);
							// }
							viewHandle.back('close')
						},500);
					}else{

					}
				}
			});
		}
	},'div');
});

mui("body").on("tap",".muiBack",function () {
	var this_parameters = [
		goodsAddVM.name,
		goodsAddVM.colorList,
		goodsAddVM.sizeList,
		goodsAddVM.mainUnitName,
		goodsAddVM.unitList,
		goodsAddVM.category_parent_name,
		goodsAddVM.category_name,
		goodsAddVM.material,
		goodsAddVM.purchase_price,
		goodsAddVM.sale_price,
		goodsAddVM.sale_price_b
	],btn = '',confirmExist=false,newArr = [],par_diff = false,
		barcodes=JSON.parse(sessionStorage.getItem('barcodeList')),
		selList=JSON.parse(sessionStorage.getItem('selList'));
	mui.each(this_parameters,function(i,v){
		if(i == 1 || i==2){
			if(v.length != old_parameters[i].length){
				par_diff = true;
			}else{
				mui.each(this_parameters[i],function(n,m){
					if(m.toString() != old_parameters[i][n].toString()){
						par_diff = true;
						return false
					}
				})
			}
			if(par_diff){
				return false;
			}
		}else{
			if(v.toString() != old_parameters[i].toString()){
				par_diff = true;
				return false
			}
		}
	})
	if(barcodes && selList){
		for(var i=0; i<selList.length; i++){
			var isNew = true;
			for(var k=0; k<barcodes.length; k++){
				if(selList[i].color_id == barcodes[k].color_id && selList[i].size_id == barcodes[k].size_id){
					isNew = false;
					if(selList[i].barcode != barcodes[k].barcode){
						confirmExist = true;
						break;
					}
				}
			}
			if(isNew){
				newArr=newArr.concat(selList[i])
			}
		}
		for(var n = 0; n<newArr.length; n++){
			if(newArr[n].barcode && newArr[n].barcode !=''){
				confirmExist = true;
				break
			}
		}
	}
	$("input").blur();
	if(par_diff || confirmExist){
		var msg = ''
		par_diff?msg = '商品属性有改动，是否保存？':msg = '条码未保存是否保存？';
		btn = ["取消","不保存","保存"];
		mui.confirm(msg, '提示', btn, function (e) {
			if (e.index == 2) {
				goodsAddVM.createGoods()
			}else if(e.index == 1){
				viewHandle.back('close');
			}
		},'div')
	}else{
		viewHandle.back('close');
	}
});

setListener();
//获取信息
function getGoodsMenu(){
		var selColorList=JSON.parse(sessionStorage.getItem("selColorList"));
		var selSizeList=JSON.parse(sessionStorage.getItem("selSizeList"));
		var depotList=JSON.parse(localStorage.getItem("depotList"));
		var listInfo = JSON.parse(sessionStorage.getItem("list"));
		goodsAddVM.selbarCodeList=listInfo[0].barcodes;
		goodsAddVM.name=listInfo[0].name;
		goodsAddVM.id = listInfo[0].id;
		goodsAddVM.model=listInfo[0].model;
		goodsAddVM.remark =  listInfo[0].remark|| '';
		goodsAddVM.material=listInfo[0].material;
		goodsAddVM.status=listInfo[0].status;
		if(goodsAddVM.material == undefined || goodsAddVM.material=="undefined"){
			goodsAddVM.material="";
		}
		goodsAddVM.mainUnitId=sessionStorage.getItem("mainUnitId");
		if(goodsAddVM.mainUnitId == undefined || goodsAddVM.mainUnitId=="undefined"){
			goodsAddVM.mainUnitId="";
		}
		goodsAddVM.mainUnitName=sessionStorage.getItem("mainUnitName");
		if(goodsAddVM.mainUnitName == undefined || goodsAddVM.mainUnitName=="undefined"){
			goodsAddVM.mainUnitName="";
		}
		goodsAddVM.unitList=JSON.parse(sessionStorage.getItem("unitList"));
		if(goodsAddVM.unitList == undefined || goodsAddVM.unitList=="undefined"){
			goodsAddVM.unitList=[];
		}
		goodsAddVM.purchase_price=numToCur(listInfo[0].purchase_price,goodsAddVM.systemSetting.price_decimals_setting,'price');
		goodsAddVM.sale_price=numToCur(listInfo[0].sale_price,goodsAddVM.systemSetting.price_decimals_setting,'price');
		goodsAddVM.sale_price_b=numToCur(listInfo[0].sale_price_b,goodsAddVM.systemSetting.price_decimals_setting,'price');

		goodsAddVM.depot_id= depotList[0].id || listInfo[0].id;

		goodsAddVM.colorList=selColorList || (listInfo[0].colornamelist);
		goodsAddVM.sizeList=selSizeList || (listInfo[0].sizenamelist);
		var list=[];
		mui.each(goodsAddVM.colorList,function(index1,color){
			color.visible=false;
			mui.each(goodsAddVM.sizeList,function(index2,size){
				if(!color.disabled||!size.disabled){
					color.visible=true;
					for(var i=0;i<goodsAddVM.selbarCodeList.length;i++){
						if(goodsAddVM.selbarCodeList[i].color_id==color.color_id && goodsAddVM.selbarCodeList[i].size_id==size.size_id){
							var barcode = goodsAddVM.selbarCodeList[i].barcode;
						}
					}
					list.push({
						color_name:color.color_name,
						size_name:size.size_name,
						color_id:color.color_id,
						size_id:size.size_id,
						name:goodsAddVM.name,
						amount:0,//goodsAddVM.sizeList.length
						barcode:barcode
					});
					goodsAddVM.stockSwt=true;
				}
			})
		});
		mui.each(list,function(index,val){
			mui.each(barcodes,function(index2,val2){
				if((val.color_id==val2.color_id)&&(val.size_id==val2.size_id)){
				val.barcode=val2.barcode;
				}
			})
		});
		goodsAddVM.list=list;
		sessionStorage.setItem("selColorList",JSON.stringify(goodsAddVM.colorList));
		sessionStorage.setItem("selSizeList",JSON.stringify(goodsAddVM.sizeList));
		var selList=JSON.parse(sessionStorage.getItem("selList"));
		var barcodes=listInfo;
		mui.each(selList,function(index1,val1){
			mui.each(barcodes,function(index2,val2){
				if((val1.color_id==val2.color_id)&&(val1.size_id==val2.size_id)){
					val1.barcode=val2.barcode
				}
			})
		});
		goodsAddVM.list=list;
		sessionStorage.setItem("selList",JSON.stringify(list));
		getStockAndBarcodeInfo()
	    old_parameters = [ //老参数记录
			goodsAddVM.name,
			goodsAddVM.colorList,
			goodsAddVM.sizeList,
			goodsAddVM.mainUnitName,
			goodsAddVM.unitList,
			goodsAddVM.category_parent_name,
			goodsAddVM.category_name,
			goodsAddVM.material,
			goodsAddVM.purchase_price,
			goodsAddVM.sale_price,
			goodsAddVM.sale_price_b
		]
}

//处理库存预警数据
function processingStockWarningData(){
	let listInfo = JSON.parse(sessionStorage.getItem("list"));
	if(goodsAddVM.isStockLimit && listInfo[0].stock_warn_list){
		const stockLimitSave = formDataOldStockWranListTOStockLimitSave(listInfo[0].stock_warn_list)
		if(stockLimitSave){
			goodsAddVM.stockLimit.stockLimitSave = stockLimitSave
		}
		goodsAddVM.updateAddStockLimitText()
	}
}

function editSelList(){
    var list=[];
    mui.each(goodsAddVM.colorList,function(index1,color){
        color.visible=false;
        mui.each(goodsAddVM.sizeList,function(index2,size){
            if(!color.disabled||!size.disabled){
                color.visible=true;
                for(var i=0;i<goodsAddVM.selbarCodeList.length;i++){
                    if(goodsAddVM.selbarCodeList[i].color_id==color.color_id && goodsAddVM.selbarCodeList[i].size_id==size.size_id){
                        var barcode = goodsAddVM.selbarCodeList[i].barcode;
                    }
                }
                list.push({
                    color_name:color.color_name,
                    size_name:size.size_name,
                    color_id:color.color_id,
                    size_id:size.size_id,
                    name:goodsAddVM.name,
                    amount:0,//goodsAddVM.sizeList.length
                    barcode:barcode
                });
                goodsAddVM.stockSwt=true;
            }
        })
    });
    goodsAddVM.list=list;
    sessionStorage.setItem("selList",JSON.stringify(list));
}

function getStockAndBarcodeInfo(){
	mui.ajax(severUrl + "scm/product/qryInitStock.json",{
		data:{
			"depot_id":'', //不传查所有
			"product_id":goodsAddVM.id
		},
		headers: {
			'Content-Type': 'application/x-www-form-urlencoded'
		},
		xhrFields: {
			withCredentials: true
		},
		dataType:'json',//服务器返回json格式数据
		type:'post',//HTTP请求类型
		timeout:10000,//超时时间设置为10秒；
		success:function(res){
			goodsAddVM.$nextTick(function(){
				if(res.success){
					// 初始库存
					mui('.mainDiv').on('tap','.initialInventory',function(){
						viewHandle.waiting("数据查询中...")
						mui.ajax(severUrl + "scm/product/qryInitStockList.json",{
							data:{
								depot_id:'',
								product_id:goodsAddVM.id
							},
							headers: {
								'Content-Type': 'application/x-www-form-urlencoded'
							},
							xhrFields: {
								withCredentials: true
							},
							dataType:'json',//服务器返回json格式数据
							type:'post',//HTTP请求类型
							timeout:10000,//超时时间设置为10秒；
							success:function(res){
								viewHandle.close();
								var depotList = unique(JSON.parse(JSON.stringify(res.data)),"depot_id") //条件
								var selSizeColorList = unique(JSON.parse(JSON.stringify(res.data)),"color_id");
								selSizeColorList = unique(selSizeColorList,"depot_id","same");
								function unique(arr,type,condition) {
									var array = arr;
									function loop(index) {
										if (index >= 1) {
											if(condition == "same"){
												if (array[index][type] !== array[0][type]) {
													array.splice(index, 1);
												}
											}else{
												if (array[index][type] === array[index - 1][type]) {
													array.splice(index, 1);
												}
											}
											loop(index - 1);
										}
									}
									loop(array.length - 1);
									return array;
								}
								var listSend = {};
								listSend.big_list = res.data;
								mui.each(listSend.big_list,function(i,v){ //打印参数添加
									v.name = goodsAddVM.name;
									v.model = goodsAddVM.model;
									v.sale_price_a = goodsAddVM.sale_price;
									v.sale_price_b = goodsAddVM.sale_price_b;
									v.material = goodsAddVM.material
								});
								listSend.expireDateMs = goodsAddVM.expire_date_ms
								listSend.init_page = true;
								listSend.selColorList = selSizeColorList;
								listSend.model = goodsAddVM.model;
								listSend.depotList = depotList;
								viewHandle.openWindow('initialInventory.html','initialInventory.html',JSON.stringify(listSend));
							}
						});
					})
					if(res.data !== ''){
						goodsAddVM.amountTotal = numToCur(res.data,goodsAddVM.systemSetting.amount_decimals_setting)
					}else{
						goodsAddVM.amountTotal = '---'
					}
				}else{
					goodsAddVM.amountTotal = '---'
					mui('.mainDiv').on('tap','.initialInventory',function(){
						mui.toast(res.msg)
					})
				}
				var selList=JSON.parse(sessionStorage.getItem('selList'));
				var setBarcode = true;
				for(var i=0; i<selList.length; i++){
					if(selList[i].barcode ==''){
						setBarcode = false;
						break;
					}
				}
				if(setBarcode){
					goodsAddVM.barcodeNumber = '已设置';
				}else{
					goodsAddVM.barcodeNumber = '未设置';
				}
				console.log(goodsAddVM.barcodeNumber)
			})
		}
	});
}
function setListener(){
	mui(".mui-content").on('tap','.changeColor',function(){
	  sessionStorage.setItem("name",goodsAddVM.name);
	  sessionStorage.setItem("model",goodsAddVM.model);
	  sessionStorage.setItem("material",goodsAddVM.material);
	  sessionStorage.setItem("purchase_price",goodsAddVM.purchase_price);
	  sessionStorage.setItem("sale_price",goodsAddVM.sale_price);
	  sessionStorage.setItem("sale_price_b",goodsAddVM.sale_price_b);
	  sessionStorage.setItem("selColorList",JSON.stringify(goodsAddVM.colorList));
	  sessionStorage.setItem("selSizeList",JSON.stringify(goodsAddVM.sizeList));
		var listSend = {};
        listSend.product_id = goodsAddVM.id;
        listSend.selColorList = JSON.stringify(goodsAddVM.colorList);
		viewHandle.viewFire('changeColor.html','editColor',listSend);
		viewHandle.openWindow('changeColor.html','changeColor.html',JSON.stringify(listSend));
  	  //location = 'changeColor.html?product_id='+id
	});
	//客户分类价
	mui(".mui-content").on('tap', '.categoryPage', function() {
		sessionStorage.setItem("name", goodsAddVM.name);
		sessionStorage.setItem("model", goodsAddVM.model);
		sessionStorage.setItem("material", goodsAddVM.material);
		sessionStorage.setItem("purchase_price", goodsAddVM.purchase_price);
		sessionStorage.setItem("sale_price", goodsAddVM.sale_price);
		sessionStorage.setItem("sale_price_b", goodsAddVM.sale_price_b);
		sessionStorage.setItem("selColorList", JSON.stringify(goodsAddVM.colorList));
		sessionStorage.setItem("selSizeList", JSON.stringify(goodsAddVM.sizeList));
		var listSend = {};
		listSend.customerCategory = goodsAddVM.customerCategory
		listSend.fromType='update'
		viewHandle.viewFire('categoryPriceList.html', 'categoryPriceList', listSend);
		viewHandle.openWindow('view/categoryPriceList.html', 'categoryPriceList.html', JSON.stringify(
			listSend))
	});
	mui(".mui-content").on('tap','.companyPage',function(){
		sessionStorage.setItem("name",goodsAddVM.name);
		sessionStorage.setItem("model",goodsAddVM.model);
		sessionStorage.setItem("material",goodsAddVM.material);
		sessionStorage.setItem("purchase_price",goodsAddVM.purchase_price);
		sessionStorage.setItem("sale_price",goodsAddVM.sale_price);
		sessionStorage.setItem("sale_price_b",goodsAddVM.sale_price_b);
		sessionStorage.setItem("selColorList",JSON.stringify(goodsAddVM.colorList));
		sessionStorage.setItem("selSizeList",JSON.stringify(goodsAddVM.sizeList));
		var listSend = {};
		listSend.mainUnitId = goodsAddVM.mainUnitId;
		listSend.mainUnitName = goodsAddVM.mainUnitName;
		listSend.unitList = goodsAddVM.unitList;
		listSend.fromType = 'change';
		listSend.id = goodsAddVM.id;
		viewHandle.viewFire('companyPage.html','unitUpdate',listSend);
		viewHandle.openWindow('view/companyPage.html','companyPage.html',JSON.stringify(listSend))
		//location = 'view/companyPage.html?pageType=edit'
	});
	mui(".mui-content").on('tap','.classificationPage',function(){
		sessionStorage.setItem("name",goodsAddVM.name);
		sessionStorage.setItem("model",goodsAddVM.model);
		sessionStorage.setItem("material",goodsAddVM.material);
		sessionStorage.setItem("purchase_price",goodsAddVM.purchase_price);
		sessionStorage.setItem("sale_price",goodsAddVM.sale_price);
		sessionStorage.setItem("sale_price_b",goodsAddVM.sale_price_b);
		sessionStorage.setItem("selColorList",JSON.stringify(goodsAddVM.colorList));
		sessionStorage.setItem("selSizeList",JSON.stringify(goodsAddVM.sizeList));
        var listSend = {
            category_id : goodsAddVM.category || '',
            category_name : goodsAddVM.category_name || '',
            category_parent_name : goodsAddVM.category_parent_name || '',
            fromType:'change'
        };
        viewHandle.viewFire('classificationPage.html','classificationUpdate',listSend);
        viewHandle.openWindow('view/classificationPage.html','classificationPage.html',JSON.stringify(listSend))
	});

	mui('.mui-content').on('tap', '.look-price2', function(){
		if (!goodsAddVM.isOpen2 && goodsAddVM.purchaseManager) {
			goodsAddVM.isOpen2 = true;
            goodsAddVM.isOpen3 = true;
		}else if(goodsAddVM.isOpen2 && goodsAddVM.purchaseManager){
			goodsAddVM.isOpen2 = false;
		}else {
			mui.toast('您未有权查看！');
		}
	});
    mui('.mui-content').on('tap', '.look-price3', function(){
        if (!goodsAddVM.isOpen3 && goodsAddVM.purchaseManager) {
            goodsAddVM.isOpen3 = true;
        }else if(goodsAddVM.isOpen3 && goodsAddVM.purchaseManager){
            goodsAddVM.isOpen3 = false;
        }else {
            mui.toast('您未有权查看！');
        }
    });
	
	mui(".mui-content").on('tap','.changeSize',function(){
	  sessionStorage.setItem("name",goodsAddVM.name);
	  sessionStorage.setItem("model",goodsAddVM.model);
	  sessionStorage.setItem("material",goodsAddVM.material);
	  sessionStorage.setItem("purchase_price",goodsAddVM.purchase_price);
	  sessionStorage.setItem("sale_price",goodsAddVM.sale_price);
	  sessionStorage.setItem("sale_price_b",goodsAddVM.sale_price_b);
	  sessionStorage.setItem("selColorList",JSON.stringify(goodsAddVM.colorList));
	  sessionStorage.setItem("selSizeList",JSON.stringify(goodsAddVM.sizeList));
      var listSend = {};
      listSend.product_id = goodsAddVM.id;
      listSend.selSizeList = JSON.stringify(goodsAddVM.sizeList);
      viewHandle.viewFire('changeSize.html','editSize',listSend);
      viewHandle.openWindow('changeSize.html','changeSize.html',JSON.stringify(listSend));
	});

    mui(".mui-content").on('tap','.changeOther',function(){
        sessionStorage.setItem("name",goodsAddVM.name);
        sessionStorage.setItem("model",goodsAddVM.model);
        sessionStorage.setItem("material",goodsAddVM.material);
        sessionStorage.setItem("purchase_price",goodsAddVM.purchase_price);
        sessionStorage.setItem("sale_price",goodsAddVM.sale_price);
		sessionStorage.setItem("sale_price_b",goodsAddVM.sale_price_b);
        sessionStorage.setItem("selColorList",JSON.stringify(goodsAddVM.colorList));
        sessionStorage.setItem("selSizeList",JSON.stringify(goodsAddVM.sizeList));
        var listSend = {};
        listSend.product_id = goodsAddVM.id;
        listSend.material = goodsAddVM.material;
        viewHandle.viewFire('changeOther.html','otherUpdate',listSend);
        viewHandle.openWindow('changeOther.html','changeOther.html',JSON.stringify(listSend))
    });
	mui(".mui-content").on('tap','.goPd',function(){
		// var productId=(sessionStorage.id)||(JSON.parse(sessionStorage.getItem("list"))[0].id);
		var product={
			product_id:goodsAddVM.id,
			id:goodsAddVM.id,
			name:goodsAddVM.name,
			purchase_price:goodsAddVM.purchase_price,
			model:goodsAddVM.model,
			product_name:goodsAddVM.name,
			sale_price:goodsAddVM.sale_price,
			status:1
		};
		sessionStorage.setItem('product',JSON.stringify(product));
		localStorage.setItem('product',JSON.stringify(product));
		// sessionStorage.setItem("pageTabId","stockTaking");
		var listSend = {};
		listSend.productId = goodsAddVM.id;
		listSend.fromHtml = 'changeItem';
		viewHandle.viewFire('goodsInventory.html','showInfo',listSend)
		viewHandle.openWindow('goodsInventory.html','goodsInventory.html',JSON.stringify(listSend))
	});

	//点击设置条码
	mui(".mui-content").on('tap','.barcodeSet',function(){
		if(goodsAddVM.name==''){
			mui.toast('请输入商品名称');
		}else if(goodsAddVM.model==''){
			mui.toast('请输入商品货号');
		}else if(goodsAddVM.purchase_price == '' && goodsAddVM.purchase_price !=0){
			mui.toast('请输入采购成本价');
		}else if(goodsAddVM.sale_price == '' && goodsAddVM.sale_price !=0){
			mui.toast('请输入销售价');
		}else if(goodsAddVM.colorList.length==0){
			mui.toast('请设置商品颜色');
		}else if(goodsAddVM.sizeList.length==0){
			mui.toast('请设置商品尺寸');
		}else{//当数据都已填写
            var list=JSON.parse(sessionStorage.getItem("selList"));
            for(var i=0;i<list.length;i++){
                if(list[i].barcode==undefined){
                    list[i].barcode='';
                }
            }
            sessionStorage.setItem("enterCode",'0');
            sessionStorage.setItem("selList",JSON.stringify(list));
			sessionStorage.setItem("name",goodsAddVM.name);
			sessionStorage.setItem("model",goodsAddVM.model);
            sessionStorage.setItem("material",goodsAddVM.material);
			sessionStorage.setItem("purchase_price",goodsAddVM.purchase_price);
			sessionStorage.setItem("sale_price",goodsAddVM.sale_price);
			sessionStorage.setItem("sale_price_b",goodsAddVM.sale_price_b);
			sessionStorage.setItem("selDepotId",goodsAddVM.depot_id);
			var selList=JSON.parse(sessionStorage.getItem("selList"));
			var barcodes=JSON.parse(sessionStorage.getItem("list"));
			mui.each(selList,function(index1,val1){
				mui.each(barcodes,function(index2,val2){
					if((val1.color_id==val2.color_id)&&(val1.size_id==val2.size_id)){
						val1.barcode=val2.barcode
					}
				})
			})
			console.log(selList);
			sessionStorage.setItem("selList",JSON.stringify(selList));
            sessionStorage.setItem("barcodeList",JSON.stringify(selList));
            var listSend = {};
            listSend.id = goodsAddVM.id;
            listSend.model = goodsAddVM.model;
            listSend.name = goodsAddVM.name;
			listSend.sale_price = goodsAddVM.sale_price;
			listSend.sale_price_b = goodsAddVM.sale_price_b;
            listSend.enterCode = '0';
            listSend.selList = selList;
            listSend.material = goodsAddVM.material;
            viewHandle.openWindow('changeCode.html','changeCode.html',JSON.stringify(listSend))
		}		
	}) 
}
function creatBackRefresh(id){
	var opener = plus.webview.currentWebview().opener().id;
	localStorage.setItem("productListPage","refresh");
	localStorage.setItem("pinProductListPage","refresh");
	localStorage.setItem("draftProductListPage","refresh");
	localStorage.setItem("pinDraftProductListPage","refresh");
	localStorage.setItem("cunInventoryListPage","refresh");
	localStorage.setItem("cunAlloctionListPage","refresh");
    var list ={};
	switch (opener) {
		case "caigou.html":
			list.id = id;
			viewHandle.viewFire('caigou.html','editRefresh',list);
			break;
		case "H576E5848":
			viewHandle.viewFire('H576E5848','editRefresh',list);
			break;
		case "productList.html":
			list.id = id;
			list.imgSrc = mainPhoto;
			viewHandle.viewFire("productList.html","editRefresh",list);
			break;
		case "pinProductList.html":
			list.id = id;
			list.imgSrc = mainPhoto;
			viewHandle.viewFire('pinProductList.html','editRefresh',list);
			break;
		case "draftProductList.html":
            list.id = id;
			list.imgSrc = mainPhoto;
			viewHandle.viewFire('draftProductList.html','editRefresh',list);
			break;
		case "pinDraftProductList.html":
			list.id = id;
			list.imgSrc = mainPhoto;
			viewHandle.viewFire('pinDraftProductList.html','editRefresh',list);
			break;
		case "cunInventoryList.html":
			list.id = id;
			list.imgSrc = mainPhoto;
			viewHandle.viewFire('cunInventoryList.html','editRefresh',list);
			break;
		case "cunAlloctionList.html":
			list.id = id;
			list.imgSrc = mainPhoto;
			viewHandle.viewFire('cunAlloctionList.html','editRefresh',list);
			break;
		case "cunAlloction.html":
			viewHandle.viewFire('cunAlloction.html','editRefresh');
			break;
		case "goodsInventory.html":
			viewHandle.viewFire('goodsInventory.html','editRefresh');
			break;
		case "pinGoodsColorSize.html":
			list.id = id;
			viewHandle.viewFire('pinGoodsColorSize.html','editRefresh',list);
			// viewHandle.viewFire('cunAlloctionList.html','editRefresh');
			break;
		case "goodsColorSize.html":
            list.id = id;
			viewHandle.viewFire('goodsColorSize.html','editRefresh',list);
			// viewHandle.viewFire('cunAlloctionList.html','editRefresh');
			break;
			// 已经不用的页面
		// case "goodsList.html":
		// 	list.id = id;
		// 	list.purchase_price = goodsAddVM.purchase_price;
		// 	list.sale_price = goodsAddVM.sale_price;
		// 	viewHandle.viewFire('goodsList.html','updateList',list);
		// 	break;
		case "cun.html": //库存刷新
			list.id = id;
			list.imgSrc = mainPhoto;
			list.purchase_price = goodsAddVM.purchase_price;
			list.sale_price = goodsAddVM.sale_price;
			list.name = goodsAddVM.name;
			viewHandle.viewFire('cun.html','updateList',list);
			break;
	}
}

/**
 * 库存限制数据 统一
 * @param {colorList} colorList
 * @param {sizeList} sizeList
 * @return {specification} {colorLis, sizeList}
 */
function formDataStockLimitData(colorList, sizeList){
	if(colorList && colorList[0].id){
		colorList.map(item =>{
			item.color_id = item.id
			delete item.id
		})
	}
	if(sizeList && sizeList[0].id){
		sizeList.map(item =>{
			item.size_id = item.id
			delete item.id
		})
	}
	return {colorList, sizeList}
}

/**
 * 将接口返回的库存预警数据处理成页面使用的树形数据结构
 * @param {stockWranList} stockWranList
 * @return {*[]}
 */
function formDataOldStockWranListTOStockLimitSave(stockWranList){
	// 仓库->{color_id size_id _limit} ==> 仓库->color->size, limit
	const stockLimitSave = []
	const depotCache = {}
	const colorCache = {}
	if(stockWranList) {
		stockWranList.map(item => {
			if(depotCache[item.depot_id]){
				depotCache[item.depot_id].push(item)
			}else{
				depotCache[item.depot_id] = [item]
			}
			if(colorCache[item.color_id]){
				colorCache[item.color_id].push(item)
			}else{
				colorCache[item.color_id] = [item]
			}
			item.id = item.depot_id
			delete item.depot_id
		})
		for(const depotCacheKey in depotCache){
			// depotCache[depotCacheKey] 每个仓库下的所有单品 item
			const depot = {
				id: depotCacheKey,
				name: depotCache[depotCacheKey][0].depot_name,
				color: getColorList(depotCacheKey)
			}
			stockLimitSave.push(depot)
		}

		/**
		 * 获取当前仓库的所有颜色
		 */
		function getColorList(depotId) {
			const colorList = []
			// colorCacheKey 颜色id
			for (const colorCacheKey in colorCache) {
				const allColorList = colorCache[colorCacheKey] //当前颜色id 下的 所有单品 按仓库id 过滤
				const getSizeListData = allColorList.filter(color => color.id === depotId)
				const color = {
					size: getSizeListData.filter(item => item.color_id === colorCacheKey),
					color_name: allColorList[0].color_name,
					color_id: colorCacheKey,
				}
				colorList.push(color)
			}
			return colorList
		}
	}
	return stockLimitSave
}