function getQueryString(name) {
    var reg = new RegExp("(^|&)" + name + "=([^&]*)(&|$)", "i");
    var r = window.location.search.substr(1).match(reg);
    if (r != null) return decodeURIComponent(r[2]); return null;
}

mui.plusReady(function(){
    var arg = plus.webview.currentWebview().arg;
    if(arg){
        arg = JSON.parse(arg);
        userVM.id = arg.id;
        loadPosition();
        // getDepotList();
        if(arg.changeUserInterCode == "1"){
            $("#selectPart").attr("disabled",true);
        }
    }

});

var mobileReg = /^1(3|4|5|6|7|8|9)\d{9}$/;
var wait = 59;
var userVM = new Vue({
    el: '#userVM',
    data: {
        id: '',
        loginUser: '',
        realName: '',
        mobile: '',
        ranCode: '',
        oldpassword: '',
        password: '',
        repassword: '',
        positionId: '-1',
        autoLogin: true,
        postionTree: [],
        isPwd: false,
        manageDepotId:'-1',
        depotList: [],
        //权限相关
        positionName:false,
        stockManager:false,
        purchaseManager:false,
        companySetIndustry:true,
        labelPprinter:false,
        faAccount:true,
        is_advanced:0,
        company_name:'',
        company_id:'',
        user_id:'',
        jifenshow:false,
        bindDepot:-1,
        //--------------------
    },
    methods: {
        getPurview :function(){//获取权限
            var _this = this;
            mui.ajax(severUrl + "sso/user/qryOp.json", {
                data : {
                    id : ''
                },
                headers : {
                    'Content-Type' : 'application/x-www-form-urlencoded'
                },
                xhrFields : {
                    withCredentials : true
                },
                dataType : 'json',
                type : 'post',
                timeout : 30000,
                async : false,
                success : function(res) {
                    if (res.success) {
                        // var position_name = res.data.position_name;
                        _this.company_name = res.data.company_name;
                        _this.company_id = res.data.company_id;
                        _this.bindDepot = res.data.manage_depot_id;
                        _this.user_id = res.data.id;
                        var code = res.data.position,permission = code.permission;
                        if(permission.indexOf('A11_1_O') >=0 || permission.indexOf('A11_1_E') >=0){
                            _this.positionName = true
                        }else{
                            _this.positionName = false
                        }
                        permission.indexOf('A4_1_E') >=0?_this.stockManager = true:_this.stockManager = false;
                        permission.indexOf('FA_ACC') >=0?_this.faAccount = true:_this.faAccount = false;
                        permission.indexOf('LOOK_PURCHASE') >=0?_this.purchaseManager = true:_this.purchaseManager = false;
                        permission.indexOf('ONLY_PRINT') >=0?_this.labelPprinter = true:_this.labelPprinter = false;
                        'RFRk,eYVo,y0oa,mVbc,pqrB,pDAY,CCP2,Oo4T,LfTY'.indexOf(_this.company_id) >=0?_this.jifenshow = true:_this.jifenshow=false
                        _this.companySetIndustry = res.data.company_set_industry;
                    }

                }
            });
        },
        getRanCode: function () {
            if (this.mobile == '') {
                mui.toast('请输入手机号');
            } else {
                pourTime();
                var btn = document.getElementById('rancode');
                btn.setAttribute("disabled", "disabled");
                mui.ajax(severUrl + "userInit/getSMSCode", {
                    data: {
                        uname: this.mobile,
                    },
                    dataType: 'json',//服务器返回json格式数据
                    type: 'post',//HTTP请求类型
                    xhrFields: {
                        withCredentials: true
                    },
                    crossDomain: true,//crossDomain设置为true，强制使用5+跨域
                    timeout: 10000,//超时时间设置为10秒；
                    success: function (data) {
                        if (data.success) {
                            mui.toast("验证码已发送成功，请注意查收");
                        } else {
                            mui.toast(data.msg);
                            btn.removeAttribute("disabled");
                        }
                    }
                });
            }
        },
        submitForm: function () {
            if (this.realName == '') {
                mui.toast('请输入员工姓名');
                return;
            } else if (this.positionId == '-1') {
                mui.toast('请选择角色');
                return;
            } {
                if(userVM.loginUser == userVM.id){
                    var btn = ["取消","确定"];
                    mui.confirm('修改本人信息后将会重启App是否继续？','提示',btn,function(e){
                        if(e.index==1){
                            userSave('login')
                        }
                    },'div');
                }else{
                    userSave()
                }
            }
        },
        submitPwd: function() {
            if (this.oldpassword == '') {
                mui.toast('请输入旧密码');
                return;
            } else if (this.password == '') {
                mui.toast('请输入新密码');
                return;
            } else if (this.repassword == '') {
                mui.toast('请再次输入密码');
                return;
            }else if (this.password != this.repassword ) {
                mui.toast('两次密码输入不一致');
                return;
            } {
                var regPd = /^[a-zA-Z0-9_]{6,15}$/;
                if(!regPd.test(this.repassword)){
                    mui.toast("密码只允许输入6-10位数字,英文或下划线");
                    return false
                }
                if(userVM.loginUser == userVM.id){
                    var btn = ["取消","确定"];
                    mui.confirm('修改本人信息后将会重启App是否继续？','提示',btn,function(e){
                        if(e.index==1){
                            userVM.savePwd('login')
                        }
                    },'div');
                }else{
                    userVM.savePwd()
                }
            }
        },
        savePwd:function(val){
            mui.ajax(severUrl + "sso/user/savePwd.json", {
                data: {
                    id: userVM.id,
                    pwd: doRSAEncrypt(this.oldpassword),
                    pwd1: doRSAEncrypt(this.password),
                    pwd2: doRSAEncrypt(this.repassword)
                },
                dataType: 'json',//服务器返回json格式数据
                type: 'post',//HTTP请求类型
                xhrFields: {
                    withCredentials: true
                },
                crossDomain: true,//crossDomain设置为true，强制使用5+跨域
                timeout: 10000,//超时时间设置为10秒；
                success: function (data) {
                    mui.toast(data.msg);
                    if (data.success) {
                        if(val == "login"){
                            setTimeout(function(){
                                plus.runtime.restart();
                            },350)
                        }else{
                            setTimeout(function () {
                                viewHandle.back('close')
                            }, 1000)
                        }
                    }
                }
            });
        },
        selectOneHide:function(){
            $("#selectOneHide").hide();
        }
    },
    created: function () {
        setListener();
    },
    mounted:function(){
        var _this = this;
        mui.plusReady(function () {
            _this.getPurview()
        })
    }
});

function userSave(val){
    mui.ajax(severUrl + "sso/user/save.json", {
        data: {
            id: userVM.id,
            realname: userVM.realName,
            position_id: userVM.positionId,
            manage_depot_id: userVM.manageDepotId
        },
        dataType: 'json',//服务器返回json格式数据
        type: 'post',//HTTP请求类型
        xhrFields: {
            withCredentials: true
        },
        crossDomain: true,//crossDomain设置为true，强制使用5+跨域
        timeout: 10000,//超时时间设置为10秒；
        success: function (data) {
            mui.toast(data.msg);
            if (data.success) {
                sessionStorage.removeItem('selectedDepot');
                sessionStorage.removeItem('invtDepotPrev');
                sessionStorage.removeItem('invtDepotNext');
                setTimeout(function () {
                    if(val == 'login'){
                        plus.runtime.restart();
                    }else{
                        var opener = plus.webview.currentWebview().opener().id;
                        var list = {};
                        if(opener == 'userList.html'){
                            mui.each(userVM.postionTree,function(i,v){
                                if(v.id == userVM.positionId){
                                    list.id = userVM.id;
                                    list.name = v.name;
                                    return false
                                }
                            })
                            viewHandle.viewFire('userList.html','addBack',list)
                        }
                        setTimeout(function(){
                            viewHandle.back('close')
                        },1000)
                    }
                }, 1000)
            }
        }
    });
}

function loadUser() {
    mui.ajax(severUrl + "sso/user/qryOp.json", {
        data: {
            'id': userVM.id
        },
        headers: {
            'Content-Type': 'application/x-www-form-urlencoded'
        },
        xhrFields: {
            withCredentials: true
        },
        dataType: 'json',
        type: 'post',
        timeout: 10000,
        success: function (res) {
            if (res.success) {
                userVM.id = res.data.id;
                userVM.realName = res.data.realname;
                userVM.positionId = res.data.position_id;
                userVM.mobile = res.data.uname;
                userVM.manageDepotId = res.data.manage_depot_id;
                login_user();
                var showType=true;
                mui.each(userVM.depotList,function(i,v){
                    if(userVM.manageDepotId != -1){
                        if(v.id == userVM.manageDepotId){
                            showType=false;
                            return false;
                        }
                    }else{
                        showType=false;
                        return false;
                    }
                });
                if(showType){
                    $("#selectOneHide").show();
                }else{
                    $("#selectList").show();
                }
            }
        }
    });
}
function login_user(){
    mui.ajax(severUrl + "sso/user/qryOp.json", {
        data: {
            id: ""
        },
        headers: {
            'Content-Type': 'application/x-www-form-urlencoded'
        },
        xhrFields: {
            withCredentials: true
        },
        dataType: 'json',
        type: 'post',
        timeout: 10000,
        success: function (res) {
            userVM.loginUser = res.data.id;
            if(userVM.loginUser == userVM.id){
                $("#selectPart").prop("disabled", true)
            }
        }
    });
}

function loadPosition() { //角色列表
    mui.ajax(severUrl + "sso/position/postionTree.json", {
        data: {},
        headers: {
            'Content-Type': 'application/x-www-form-urlencoded'
        },
        xhrFields: {
            withCredentials: true
        },
        dataType: 'json',
        type: 'post',
        timeout: 10000,
        success: function (res) {
            if (res.success) {
                userVM.postionTree = res.data;
                getDepotList()
            }
        }
    });
}
function getDepotList(){
    mui.ajax(severUrl + "scm/depot/list.json", {
        data: {},
        headers: {
            'Content-Type': 'application/x-www-form-urlencoded'
        },
        xhrFields: {
            withCredentials: true
        },
        dataType: 'json',
        type: 'post',
        timeout: 10000,
        success: function (res) {
            if (res.success) {
                userVM.depotList = res.data;
                loadUser(); //当前用户角色
            }
        }
    });
}

function setListener() {
    // var pageHeight = sessionStorage.getItem("pageHeight");
    // if (!pageHeight) {
    //     pageHeight = document.documentElement.clientHeight * 2;
    //     sessionStorage.setItem("pageHeight", pageHeight);
    // }
    // document.getElementsByTagName("body")[0].style.height = pageHeight + "px";

    mui(".mui-content").on('tap', '.validCodeBox', function () {
        updataValidCode();
    });
    mui('body').on('tap', '.beian', function (e) {
        e.preventDefault();
        var href = this.dataset.href;
        if (href) {
            location.replace(href);
        }
    });

    mui('body').on('tap', '.back', function (e) {
        viewHandle.back('close')
    });
}
function pourTime(btn) {
    var btn = document.getElementById('rancode');
    if (wait == 0) {
        btn.removeAttribute("disabled");
        btn.innerHTML = "重新发送";
        wait = 59;
    } else {
        btn.innerHTML = "(" + wait + "s)重新发送";
        wait--;
        setTimeout(function () {
            pourTime(btn);
        },
            1000)
    }
}

function copyInfo(type) {
    if (type == 1) {
        mui('.beian')[0].style.display = 'none';
    } else {
        mui('.beian')[0].style.display = 'block';
    }
}

mui('.mui-content-padded').on('tap', '.change-pwd', function () {
    mui('#userId')[0].style.display = 'none';
    mui('#pwdId')[0].style.display = 'block';
});

mui('.mui-content-padded').on('tap', '.change-user', function() {
    mui('#userId')[0].style.display = 'block';
    mui('#pwdId')[0].style.display = 'none';
});
