window.addEventListener("otherUpdate",function(e){
    sessionStorage.setItem("material",e.detail.material);
    sessionStorage.setItem("otherAttrList",JSON.stringify(e.detail.otherAttrList));
    selOtherVM.material = e.detail.material;
    getKeyList();
});
mui.plusReady(function(){
    var args = JSON.parse(plus.webview.currentWebview().arg);
    sessionStorage.setItem("material",args.material);
    sessionStorage.setItem("otherAttrList",JSON.stringify(args.otherAttrList));
    selOtherVM.material = args.material;
    getKeyList();
});
var selList = [];
var selOtherVM = new Vue({
    el: '#selOtherVM',
    data: {
        keyList: [],
        popoverTitle: '',
        material: sessionStorage.getItem('material') || '',
        changeKeyObj: { additional_key_name: '' },
        otherAttrList: [],
        //权限相关
        positionName:false,
        stockManager:false,
        purchaseManager:false,
        companySetIndustry:true,
        labelPprinter:false,
        faAccount:true,
        is_advanced:0,
        company_name:'',
        company_id:'',
        user_id:'',
        jifenshow:false,
        bindDepot:-1,
        //--------------------
    },
    methods: {
        getPurview :function(){//获取权限
            var _this = this;
            mui.ajax(severUrl + "sso/user/qryOp.json", {
                data : {
                    id : ''
                },
                headers : {
                    'Content-Type' : 'application/x-www-form-urlencoded'
                },
                xhrFields : {
                    withCredentials : true
                },
                dataType : 'json',
                type : 'post',
                timeout : 30000,
                async : false,
                success : function(res) {
                    if (res.success) {
                        // var position_name = res.data.position_name;
                        _this.company_name = res.data.company_name;
                        _this.company_id = res.data.company_id;
                        _this.bindDepot = res.data.manage_depot_id;
                        _this.user_id = res.data.id;
                        var code = res.data.position,permission = code.permission;
                        if(permission.indexOf('A11_1_O') >=0 || permission.indexOf('A11_1_E') >=0){
                            _this.positionName = true
                        }else{
                            _this.positionName = false
                        }
                        permission.indexOf('A4_1_E') >=0?_this.stockManager = true:_this.stockManager = false;
                        permission.indexOf('FA_ACC') >=0?_this.faAccount = true:_this.faAccount = false;
                        permission.indexOf('LOOK_PURCHASE') >=0?_this.purchaseManager = true:_this.purchaseManager = false;
                        permission.indexOf('ONLY_PRINT') >=0?_this.labelPprinter = true:_this.labelPprinter = false;
                        'RFRk,eYVo,y0oa,mVbc,pqrB,pDAY,CCP2,Oo4T,LfTY'.indexOf(_this.company_id) >=0?_this.jifenshow = true:_this.jifenshow=false
                        _this.companySetIndustry = res.data.company_set_industry;
                    }

                }
            });
        },
        selKey: function (item) {
            if(item == 'caizhi'){
                mui.toast('默认属性无法取消');
                return;
            }
            if (!item.disabled) {
                item.checked = !item.checked;
            }

            if (item.checked) {
                selList.push({ additional_key_name: item.additional_key_name, visible: item.visible || false, disabled: item.disabled || false });

            } else {
                for (var i = 0; i < selList.length; i++) {
                    if (item.additional_key_name == selList[i].additional_key_name) {
                        selList.splice(i, 1);
                    }
                }
            }
        },
        changeKey: function (item) {
            if(item == 'caizhi'){
                mui.toast('默认属性无法修改');
                return;
            }
            if (item) {
                this.popoverTitle = "删除属性";
                this.changeKeyObj = item;
            } else {
                this.changeKeyObj = { additional_key_name: '' };
                this.popoverTitle = "添加属性";
            }
            window.scrollTo(0, 0, 100);
            mui('#keyPopover').popover('toggle');
        },
        confirmKey: function () {
            var additional_key_name = this.changeKeyObj.additional_key_name;
            mui.ajax(severUrl + "scm/productother/save.json", {
                data: {
                    additional_key_name: this.changeKeyObj.additional_key_name
                },
                headers: {
                    'Content-Type': 'application/x-www-form-urlencoded'
                },
                xhrFields: {
                    withCredentials: true
                },
                dataType: 'json',//服务器返回json格式数据
                type: 'post',//HTTP请求类型
                timeout: 10000,//超时时间设置为10秒；
                success: function (res) {
                    mui('#keyPopover').popover('toggle');
                    mui.toast(res.msg);
                    getNewKeyList();
                }
            });

        },
        cancelKey: function () {
            mui('#keyPopover').popover('toggle');
        },
        deleteKey: function () {
            mui.ajax(severUrl + "scm/productother/del.json", {
                data: {
                    additional_key_name: this.changeKeyObj.additional_key_name
                },
                headers: {
                    'Content-Type': 'application/x-www-form-urlencoded'
                },
                xhrFields: {
                    withCredentials: true
                },
                dataType: 'json',//服务器返回json格式数据
                type: 'post',//HTTP请求类型
                timeout: 10000,//超时时间设置为10秒；
                success: function (res) {
                    mui('#keyPopover').popover('toggle');
                    mui.toast(res.msg);
                    getNewKeyList();
                }
            });
        },
        saveAttrList: function () {
            var keyList = this.keyList;
            var otherAttrList = [];
            for(var i=0;i<keyList.length;i++){
                if(keyList[i].checked == true){
                    otherAttrList.push({ additional_key_name: keyList[i].additional_key_name, additional_value: keyList[i].additional_value });
                }
            }
            sessionStorage.setItem("otherAttrList",JSON.stringify(otherAttrList));
            if(this.material !=''){
                sessionStorage.setItem("material",this.material);
            }
            // if(mui.os.ios == true){
            //     sessionStorage.setItem("reloadPage","1");
            // }
            var listSend = {};
            listSend.material = this.material;
            listSend.otherAttrList = otherAttrList;
            viewHandle.viewFire('itemAdd.html','otherUpdate',listSend);
            viewHandle.back('close')
            //mui.back();
        }
    },
    created:function(){
        setlistener();
        FastClick.attach(document.body);
        // getKeyList();
    },
    mounted:function () {
        var _this = this;
        mui.plusReady(function () {
            _this.getPurview()
        })
    }
});
var close = document.getElementById("close");
close.onclick = function () {
    document.getElementById("keyPopover").style.display = "none";
    document.getElementById("keyPopover").classList.remove("mui-active");
};
function getKeyList() {
    mui.ajax(severUrl + "scm/productother/dataGrid.json", {
        data: {
        },
        headers: {
            'Content-Type': 'application/x-www-form-urlencoded'
        },
        xhrFields: {
            withCredentials: true
        },
        dataType: 'json',//服务器返回json格式数据
        type: 'post',//HTTP请求类型
        timeout: 10000,//超时时间设置为10秒；
        success: function (res) {
            var list = res.data.list;
            var otherAttrList = JSON.parse(sessionStorage.getItem("otherAttrList"));
            mui.each(list, function (index, key) {
                key.checked = false;
                key.additional_value = "";
            });
            if(otherAttrList){
                for(var i=0;i<otherAttrList.length;i++){
                    for(var j=0;j<list.length;j++){
                        if(list[j].additional_key_name==otherAttrList[i].additional_key_name){
                            list[j].checked = true;
                            list[j].additional_value = otherAttrList[i].additional_value;
                        }
                    }
                }
            }
            selOtherVM.keyList = list;
        }
    });
}
function getNewKeyList() {
    mui.ajax(severUrl + "scm/productother/dataGrid.json", {
        data: {
        },
        headers: {
            'Content-Type': 'application/x-www-form-urlencoded'
        },
        xhrFields: {
            withCredentials: true
        },
        dataType: 'json',//服务器返回json格式数据
        type: 'post',//HTTP请求类型
        timeout: 10000,//超时时间设置为10秒；
        success: function (res) {
            var list = res.data.list;
            var keyList = selOtherVM.keyList;
            if (keyList) {
                mui.each(list, function (index, key) {
                    var i;
                    for (i = 0; i < keyList.length; i++) {
                        if (key.additional_key_name == keyList[i].additional_key_name) {
                            key.checked = keyList[i].checked;
                            key.additional_value = keyList[i].additional_value;
                            break;
                        }
                    }
                    i == keyList.length && (key.checked = false);
                });
            } else {
                mui.each(list, function (index, key) {
                    key.checked = false;
                });
            }
            selOtherVM.keyList = list;
        }
    });
}
function setlistener() {
    mui('.mui-scroll-wrapper').scroll({
        deceleration: 0.0005
    });
}
mui('body').on('tap','.muiBack',function(){
   viewHandle.back('close')
});