window.addEventListener("unitUpdate",function(e) {
	companyPageVM.fromType = e.detail.fromType || '';
	companyPageVM.unitList = [];
	companyPageVM.mainUnitId = '';
	companyPageVM.mainUnitName = '';
	sessionStorage.setItem("mainUnitId",e.detail.mainUnitId);
	sessionStorage.setItem("mainUnitName",e.detail.mainUnitName);
	sessionStorage.setItem("id",e.detail.id);
	if(e.detail.unitList && e.detail.unitList !=undefined){
		sessionStorage.setItem("unitList",JSON.stringify(e.detail.unitList));
		companyPageVM.unitList = e.detail.unitList

	}else{
		sessionStorage.removeItem("unitList");
		companyPageVM.unitList=[]
	}
	companyPageVM.mainUnitId = e.detail.mainUnitId || '';
	companyPageVM.mainUnitName = e.detail.mainUnitName || '';
	mui.each(companyPageVM.unitList,function(i,v){
		var ratio = Number(v.ratio);
		var leftRatio= 0,rightRatio=0;
		if(ratio){
			if(ratio<1){
				leftRatio = 1;
				rightRatio = numToCur(1/ratio)
			}else{
				leftRatio = ratio;
				rightRatio = 1
			}
			v.leftRatio = leftRatio;
			v.rightRatio = rightRatio
		}else{
			v.ratio = 1;
			v.leftRatio = 1;
			v.rightRatio = 1
		}
		// companyPageVM.$set(v,'leftRatio',leftRatio);
		// companyPageVM.$set(v,'rightRatio',rightRatio);

	})
	//清除残留
	$("span[data-type=888]").parent().parent().parent().remove()
});
mui.plusReady(function(){
	var arg = plus.webview.currentWebview().arg;
	if(arg){
		arg = JSON.parse(arg);
		companyPageVM.fromType = arg.fromType || '';
		companyPageVM.unitList = [];
		companyPageVM.mainUnitId = '';
		companyPageVM.mainUnitName = '';
		sessionStorage.setItem("mainUnitId",arg.mainUnitId);
		sessionStorage.setItem("mainUnitName",arg.mainUnitName);
		sessionStorage.setItem("id",arg.id);
		if(arg.unitList && arg.unitList !=undefined){
			sessionStorage.setItem("unitList",JSON.stringify(arg.unitList));
			companyPageVM.unitList = arg.unitList
		}else{
			sessionStorage.removeItem("unitList");
			companyPageVM.unitList=[]
		}
		companyPageVM.mainUnitId = arg.mainUnitId || '';
		companyPageVM.mainUnitName = arg.mainUnitName || '';
		mui.each(companyPageVM.unitList,function(i,v){
			var ratio = Number(v.ratio);
			var leftRatio= 0,rightRatio=0;
			if(ratio){
				if(ratio<1){
					leftRatio = 1;
					rightRatio = numToCur(1/ratio)
				}else{
					leftRatio = ratio;
					rightRatio = 1
				}
				v.leftRatio = leftRatio;
				v.rightRatio = rightRatio
			}else{
				v.ratio = 1;
				v.leftRatio = 1;
				v.rightRatio = 1
			}
		})
		//清除残留
		$("span[data-type=888]").parent().parent().parent().remove()
	}
});
var companyPageVM = new Vue({
	el: '#companyPageVM',
	data: {
		fromType:'',
		mainUnitId:sessionStorage.getItem("mainUnitId") || '',
		mainUnitName:sessionStorage.getItem("mainUnitName") || '',
		unitList:JSON.parse(sessionStorage.getItem("unitList")) || [],
		//权限相关
		positionName:false,
		stockManager:false,
		purchaseManager:false,
		companySetIndustry:true,
		labelPprinter:false,
		faAccount:true,
		is_advanced:0,
		company_name:'',
		company_id:'',
		user_id:'',
		jifenshow:false,
		bindDepot:-1,
		//--------------------
	},
	methods: {
		getPurview :function(){//获取权限
			var _this = this;
			mui.ajax(severUrl + "sso/user/qryOp.json", {
				data : {
					id : ''
				},
				headers : {
					'Content-Type' : 'application/x-www-form-urlencoded'
				},
				xhrFields : {
					withCredentials : true
				},
				dataType : 'json',
				type : 'post',
				timeout : 30000,
				async : false,
				success : function(res) {
					if (res.success) {
						// var position_name = res.data.position_name;
						_this.company_name = res.data.company_name;
						_this.company_id = res.data.company_id;
						_this.bindDepot = res.data.manage_depot_id;
						_this.user_id = res.data.id;
						var code = res.data.position,permission = code.permission;
						if(permission.indexOf('A11_1_O') >=0 || permission.indexOf('A11_1_E') >=0){
							_this.positionName = true
						}else{
							_this.positionName = false
						}
						permission.indexOf('A4_1_E') >=0?_this.stockManager = true:_this.stockManager = false;
						permission.indexOf('FA_ACC') >=0?_this.faAccount = true:_this.faAccount = false;
						permission.indexOf('LOOK_PURCHASE') >=0?_this.purchaseManager = true:_this.purchaseManager = false;
						permission.indexOf('ONLY_PRINT') >=0?_this.labelPprinter = true:_this.labelPprinter = false;
						'RFRk,eYVo,y0oa,mVbc,pqrB,pDAY,CCP2,Oo4T,LfTY'.indexOf(_this.company_id) >=0?_this.jifenshow = true:_this.jifenshow=false
						_this.companySetIndustry = res.data.company_set_industry;
					}

				}
			});
		},
		addRule:function(index,item){
			if(item.ratio !=undefined && item.ratio !=''){
				sessionStorage.setItem('unitList',JSON.stringify(this.unitList));
				if(this.unitList[index].product_id !=undefined){
					editUnitByProduct(index)
				}else{
					if(this.fromType == 'change'){
						addUnitByProduct(index)
					}
				}
			}
		}
	},
	created: function () {
	},
	mounted:function (){
		var _this = this;
		var winHeight = $(window).height();  //获取当前页面高度
		$(window).resize(function () {
			var u = navigator.userAgent, app = navigator.appVersion;
			var isAndroid = u.indexOf('Android') > -1 || u.indexOf('Linux') > -1; //android终端或者uc浏览器
			var isiOS = !!u.match(/\(i[^;]+;( U;)? CPU.+Mac OS X/); //ios终端
			if(isAndroid){
				var thisHeight = $(this).height();
				if ( winHeight - thisHeight > 140 ) {
				} else {
					$("input").blur();
				}
			}else if(isiOS){

			}
		});
		mui.plusReady(function(){
			var companyEditIndex = sessionStorage.getItem("companyEditIndex");
			if(companyEditIndex !=undefined && companyEditIndex !=""){
				var companyEditIndex = sessionStorage.getItem("companyEditIndex");
				editUnitByProduct(companyEditIndex)
			}
			_this.getPurview()
		})
	}
});

setListener();
function setListener(){
	window.addEventListener("pageshow",function(){
		if(sessionStorage.getItem("reloadPage") == "1"){
			sessionStorage.removeItem("reloadPage");
			location.reload();
		}
		setTimeout(function(){
			if(sessionStorage.getItem("reloadPage") == "1"){
				sessionStorage.removeItem("reloadPage");
				location.reload();
			}
		},100);
	});
}

mui(".mui-content").on('tap','.childChoose',function(){
	var type = this.dataset.type;
	if(type == 999){
		if(companyPageVM.unitList.length>0){
			mui.toast("已设置辅助单位无法修改");
			return
		}
	}
	var listSend = {};
	listSend.index = type;
	listSend.pageType = companyPageVM.pageType;
	listSend.mainUnitId = companyPageVM.mainUnitId;
	listSend.mainUnitId = companyPageVM.mainUnitId;
	listSend.mainUnitName = companyPageVM.mainUnitName;
	listSend.unitList = companyPageVM.unitList;
	listSend.fromType = companyPageVM.fromType;
	listSend.id = sessionStorage.getItem('id');
	viewHandle.viewFire('unitSelection.html','unitSelectionUpdate',listSend);
	viewHandle.openWindow('../unitSelection.html','unitSelection.html',JSON.stringify(listSend));
});
mui(".mui-content").on('tap','.unitAdd',function(){
	if(companyPageVM.mainUnitId !=''){
		var html='<div style="margin-top: 10px; background-color: #FFFFFF; border-radius: 6px">' +
			'<div class="main" style="border-radius: 0; border-bottom: 1px solid #eeeeee; background-color: transparent">' +
			'<div class="childMain">' +
			'<span class="info childInfo">辅单位</span>' +
			'<span class="mainCompany" style="width: 67%"></span>' +
			'</div>' +
			'<div class="child" style="width: 40%">' +
			'<span class="childChoose" data-type="888" style="width: 46%">选择</span>' +
			'<span class="childAdd" onclick="unitDel(this)" style="width: 46%">删除</span>' +
			'</div>' +
			'</div>';
		$(".companyDom").append(html);
	}else{
		mui.toast("请先选择最小主单位")
	}
});
//
function unitDel(e){
	$(e).parent().parent().parent().remove()
}
mui(".mui-content").on('tap','.unitDel',function(){
	if(companyPageVM.fromType == 'change' && this.dataset.type !=888){
		removeUnitByProduct(this.dataset.type)
	}else{
		companyPageVM.unitList.splice(this.dataset.type,1);
		sessionStorage.setItem('unitList',JSON.stringify(companyPageVM.unitList));
	}
});
mui(".mui-content").on('tap','.createGoods',function(){
	$("input").blur();
	setTimeout(function(){
		var listSend = {};
		listSend.mainUnitId = companyPageVM.mainUnitId;
		listSend.mainUnitName = companyPageVM.mainUnitName;
		listSend.unitList = companyPageVM.unitList;
		if(companyPageVM.fromType == 'change'){
			viewHandle.viewFire('changeItem.html','unitUpdate',listSend);
		}else{
			viewHandle.viewFire('itemAdd.html','unitUpdate',listSend);
		}
		viewHandle.back()
	},500)
});
mui('body').on('tap','.muiBack',function(){
	var listSend = {};
	listSend.mainUnitId = companyPageVM.mainUnitId;
	listSend.mainUnitName = companyPageVM.mainUnitName;
	listSend.unitList = companyPageVM.unitList;
	if(companyPageVM.fromType == 'change'){
		viewHandle.viewFire('changeItem.html','unitUpdate',listSend);
	}else{
		viewHandle.viewFire('itemAdd.html','unitUpdate',listSend);
	}
	viewHandle.back()
});
//商品修改->辅助单位修改
function editUnitByProduct(index){
	sessionStorage.removeItem("companyEditIndex");
	var list = JSON.parse(sessionStorage.getItem("unitList"));
	mui.ajax(severUrl + "sso/unitrule/modify.json", {
		data: {
			id:list[index].editId,
			product_id:list[index].product_id,
			ratio: list[index].ratio,
			assist_unit:list[index].id
		},
		headers: {
			'Content-Type': 'application/x-www-form-urlencoded'
		},
		xhrFields: {
			withCredentials: true
		},
		dataType: 'json',//服务器返回json格式数据
		type: 'post',//HTTP请求类型
		timeout: 10000,//超时时间设置为10秒；
		success: function (res) {
			if(res.success){
				mui.toast(res.msg)
			}
		}
	});
}
//商品修改->添加规则
function addUnitByProduct(index){
	var list = JSON.parse(sessionStorage.getItem("unitList"));
	var unitRuleList=[];
	var unitRule={
		ratio: list[index].ratio,
		assist_unit:list[index].id
	};
	unitRuleList.push(unitRule);
	mui.ajax(severUrl + "sso/unitrule/add.json", {
		data: {
			product_id:sessionStorage.getItem("id"),
			unitRuleListLength:1,
			unitRuleList:unitRuleList
		},
		headers: {
			'Content-Type': 'application/x-www-form-urlencoded'
		},
		xhrFields: {
			withCredentials: true
		},
		dataType: 'json',//服务器返回json格式数据
		type: 'post',//HTTP请求类型
		timeout: 10000,//超时时间设置为10秒；
		success: function (res) {
			if(res.success){
				mui.toast(res.msg);
				list[index].editId = res.data[0].id;
				list[index].product_id =  res.data[0].product_id;
				companyPageVM.unitList = list;
				sessionStorage.setItem("unitList",JSON.stringify(list))
			}
		}
	});
}
//商品修改->删除规则
function removeUnitByProduct(index){
	var list = JSON.parse(sessionStorage.getItem("unitList"));
	if(list[index].editId !=undefined && list[index].editId !=""){
		mui.ajax(severUrl + "sso/unitrule/delete.json", {
			data: {
				id:list[index].editId
			},
			headers: {
				'Content-Type': 'application/x-www-form-urlencoded'
			},
			xhrFields: {
				withCredentials: true
			},
			dataType: 'json',//服务器返回json格式数据
			type: 'post',//HTTP请求类型
			timeout: 10000,//超时时间设置为10秒；
			success: function (res) {
				if(res.success){
					mui.toast(res.msg);
					companyPageVM.unitList.splice(index,1);
					sessionStorage.setItem('unitList',JSON.stringify(companyPageVM.unitList));
				}
			}
		});
	}else{
		companyPageVM.unitList.splice(index,1);
		sessionStorage.setItem('unitList',JSON.stringify(companyPageVM.unitList));
	}
}

function editRatio(e,type){
	var index = e.dataset.index,oldVal,newVal;
	//如果输入非数字，则替换为''
	e.value = e.value.replace(/[^\d\.]/g, '');
	// 必须保证第一个为数字而不是.
	e.value = e.value.replace(/^\./g, '');
	// 保证只有出现一个.而没有多个.
	e.value = e.value.replace(/\.{2,}/g, '.');
	// 只能输入两位小数
	e.value = e.value.replace(/^(\-)*(\d+)\.(\d\d).*$/, '$1$2.$3');
	if(Number(e.value) < 1 && e.value != ''){
		e.value = 1
		mui.toast("请输入大于1的规则")
	}
	if(type == 'left'){
		var thisLeft = $("#leftRatio"+index).val();
		$("#rightRatio"+index).val(1);
		companyPageVM.unitList[index].leftRatio = thisLeft
		companyPageVM.unitList[index].rightRatio = 1
		companyPageVM.unitList[index].ratio = thisLeft
	}else{
		var thisRight = $("#rightRatio"+index).val();
		if(thisRight !=''){
			$("#leftRatio"+index).val(1);
			companyPageVM.unitList[index].leftRatio = 1
			companyPageVM.unitList[index].rightRatio = thisRight
			companyPageVM.unitList[index].ratio = numToCur((1/Number(thisRight)),7);
		}else{
			companyPageVM.unitList[index].ratio = 1;
		}
	}
}

//是否除尽
function judgeDivisor(m, n){
	var num = {};
	var i = 0;
	var x = parseInt(m / n);
	m = m % n;
	var result = "";
	while (m != 0 && !(m in num)) {
		num[m] = i++;
		result += parseInt(m * 10 / n);
		m = m * 10 % n;
	}
	return m == 0;
}
//小数位数
function numLen(m){
	var num = 1/m;
	//处理非数字
	if(!isNaN(num)){
		num = ''+num
		if(/e/i.test(num)){
			num = Number(num).toFixed(18).replace(/.?0+$/, "")
		}
	}
	var numL = num.toString().split(".");
	if(numL.length>1){
		return numL[1].length
	}else{
		return 0
	}
}