function getQueryString(name) {
    var reg = new RegExp("(^|&)" + name + "=([^&]*)(&|$)");
    var r = window.location.search.substr(1).match(reg);
    if (r != null) return decodeURIComponent(r[2]); return null;
}
window.addEventListener("showInfo",function(e){
	localStorage.setItem("productId",e.detail.productId);
	var depotName=getQueryString('depotName') || localStorage.getItem("depotName")
	var toDepotName=getQueryString('toDepotName') || localStorage.getItem("toDepotName");
	if(depotName){
		cunAlloctionVM.depotName=depotName
	}
	if(toDepotName){
		cunAlloctionVM.toDepotName=toDepotName
	}
	loadProductDtsInfo();
	getGoodsMenu();
});
mui.plusReady(function(){
	var arg = plus.webview.currentWebview().arg;
	if(arg){
		arg = JSON.parse(arg);
		localStorage.setItem("productId",arg.productId);
		loadProductDtsInfo();
		getGoodsMenu();
	}
});
window.addEventListener("editRefresh",function(){ //修改更新
	loadProductDtsInfo();
	getGoodsMenu();
});
var cunAlloctionVM = new Vue({
	el: '#cunAlloctionVM',
	data: {
		systemSetting:JSON.parse(localStorage.systemSetting),
		colorList:[],
		sizeList:[],
		selTabId:'',
		product:{model:'',purchase_price :''},
		purchase_price :0,
		totalPrice:"",
		totalAmount:"",
		invtDepotPrev:"",
		invtDepotNext:"",
		titleSwitch:true,
		inventoryTotal:0,
		beforeInventoryTotal:0,
		profitCount:0,
		profitPrice:0,
		depotName: getQueryString('depotName') || localStorage.getItem("depotName"),
		toDepotName: getQueryString('toDepotName') || localStorage.getItem("toDepotName"),
		isOpen: false,
		toDepotList:[],
		//全行业参数
		size_show: localStorage.getItem("size_show") || 1,
		color_show: localStorage.getItem("color_show") || 1,
		unit_show: localStorage.getItem("unit_show") || 0,
		origin_specification: localStorage.getItem("origin_specification") || 0,
		//权限相关
		positionName:false,
		stockManager:false,
		purchaseManager:false,
		companySetIndustry:true,
		labelPprinter:false,
		faAccount:true,
		is_advanced:0,
		company_name:'',
		company_id:'',
		user_id:'',
		jifenshow:false,
		bindDepot:-1,
		//--------------------
	},
	methods: {
		getPurview :function(){//获取权限
			var _this = this;
			mui.ajax(severUrl + "sso/user/qryOp.json", {
				data : {
					id : ''
				},
				headers : {
					'Content-Type' : 'application/x-www-form-urlencoded'
				},
				xhrFields : {
					withCredentials : true
				},
				dataType : 'json',
				type : 'post',
				timeout : 30000,
				async : false,
				success : function(res) {
					if (res.success) {
						// var position_name = res.data.position_name;
						_this.company_name = res.data.company_name;
						_this.company_id = res.data.company_id;
						_this.bindDepot = res.data.manage_depot_id;
						_this.user_id = res.data.id;
						var code = res.data.position,permission = code.permission;
						if(permission.indexOf('A11_1_O') >=0 || permission.indexOf('A11_1_E') >=0){
							_this.positionName = true
						}else{
							_this.positionName = false
						}
						permission.indexOf('A4_1_E') >=0?_this.stockManager = true:_this.stockManager = false;
						permission.indexOf('FA_ACC') >=0?_this.faAccount = true:_this.faAccount = false;
						permission.indexOf('LOOK_PURCHASE') >=0?_this.purchaseManager = true:_this.purchaseManager = false;
						permission.indexOf('ONLY_PRINT') >=0?_this.labelPprinter = true:_this.labelPprinter = false;
						'RFRk,eYVo,y0oa,mVbc,pqrB,pDAY,CCP2,Oo4T,LfTY'.indexOf(_this.company_id) >=0?_this.jifenshow = true:_this.jifenshow=false
						_this.companySetIndustry = res.data.company_set_industry;
					}

				}
			});
		},
		calculation:function(){
			var inventoryTotal=0;
			var beforeInventoryTotal=0;
			var profitCount=0;
			var profitPrice=0;
			mui.each(this.product.list,function(index,value){
				beforeInventoryTotal+=Number(value.amount);
				inventoryTotal+=Number(value.inventoryTotal);
			});
			this.inventoryTotal=inventoryTotal;
			this.beforeInventoryTotal=beforeInventoryTotal;
			this.profitCount=inventoryTotal;
			this.profitPrice=numToCur(inventoryTotal*cunAlloctionVM.purchase_price,cunAlloctionVM.systemSetting.price_decimals_setting,'price');
		},
		changeUnitPrice:function(){
			cunAlloctionVM.$nextTick(function(){
                document.getElementById("priceIpt").focus();
            })
		},
		changeTab:function(color){
			this.selTabId=color.color_id;
		},
		batchAddCount:function(list, color_id){
			for(var i = 0, len = list.length; i < len; i++) {
				if (list[i].color_id == color_id) {
					list[i].inventoryTotal = numToCur(Number(list[i].inventoryTotal) + 1);
				}
			}
			this.product.list = list;
			this.calculation();
		},
		batchReduceCount: function(list, color_id){
			for(var i = 0, len = list.length; i < len; i++) {
				if (list[i].inventoryTotal > 0 && list[i].color_id == color_id) {
					list[i].inventoryTotal = numToCur(Number(list[i].inventoryTotal) - 1);
				}
			}
			this.product.list = list;
			this.calculation();
		},
		addCount:function(item){
			item.inventoryTotal = numToCur(Number(item.inventoryTotal) + 1);
			this.calculation();
			mui.each(cunAlloctionVM.toDepotList,function(i,v){
				if(v.color_id == item.color_id && v.size_id == item.size_id){
					v.inventoryTotal = numToCur(Number(v.inventoryTotal) + 1);
					return false;
				}
			})
		},
		reduceCount:function(item){
			if(item.inventoryTotal>0){
				item.inventoryTotal = numToCur(Number(item.inventoryTotal) - 1);
			}
			this.calculation();
			mui.each(cunAlloctionVM.toDepotList,function(i,v){
				if(v.color_id == item.color_id && v.size_id == item.size_id){
					v.inventoryTotal = numToCur(Number(v.inventoryTotal) - 1);
					return false;
				}
			})
		},
		saveList:function(){
			this.product.amt=this.purchase_price;
			var alloctionProductList=JSON.parse(localStorage.getItem("alloctionProductList"));
			console.log(alloctionProductList)
			if(!alloctionProductList||alloctionProductList.length==0){
				alloctionProductList=[];
				cunAlloctionVM.product.depot_id=cunAlloctionVM.invtDepotPrev;
				cunAlloctionVM.product.nextDepot_id=cunAlloctionVM.invtDepotNext;
				alloctionProductList.push(cunAlloctionVM.product);
			}else{
				mui.each(alloctionProductList,function(index,value){
					if(value.product_id==cunAlloctionVM.product.product_id&&value.depot_id==cunAlloctionVM.invtDepotPrev){
						if(value.list.inventoryTotal!=0){

							$.each(value.list,function(a,b){
								$.each(cunAlloctionVM.product.list,function(c,d){
									if(b.color_id == d.color_id && b.size_id == d.size_id){
										var product_sn_list=b.product_sn_list||[]
										if(d.inventoryTotal<product_sn_list.length){
											product_sn_list=product_sn_list.slice(0,d.inventoryTotal)
										}
										d.product_sn_list=product_sn_list
										console.log(b.product_sn_list_old)
										d.product_sn_list_old=b.product_sn_list_old||[]
										return;
									}
								});
							});
							value.list=cunAlloctionVM.product.list;
							value.list.nextDepot_id=cunAlloctionVM.invtDepotNext;
							value.amt=cunAlloctionVM.product.amt;
							return false;
						}

					}else if(index==alloctionProductList.length-1){
						if(value.list.inventoryTotal!=0){
							cunAlloctionVM.product.depot_id=cunAlloctionVM.invtDepotPrev;
							cunAlloctionVM.product.nextDepot_id=cunAlloctionVM.invtDepotNext;
							alloctionProductList.push(cunAlloctionVM.product);
							return false;
						}

					}
				});
			}
			localStorage.setItem("alloctionProductList",JSON.stringify(alloctionProductList));
            sessionStorage.removeItem("type");
			if(getQueryString("type") == 0 || getQueryString("type") == 2){
				mui.openWindow({
					id: 'cun',
					url: 'cun.html'
				});
			}else if(localStorage.getItem("type") == 7){
				mui('#cunAlloction')[0].style.display = "none";
				mui('#cunAlloctionListVM')[0].style.display = "block";
				viewHandle.viewFire('cun.html','panAndAllotAdd');
				viewHandle.back()
			}else{
				viewHandle.viewFire('cun.html','panAndAllotAdd');
				viewHandle.back()
			}
		}
	},
	mounted: function(){
		var _this = this;
		FastClick.attach(document.body);
		mui.plusReady(function () {
			_this.getPurview()
		})
	}
});
// getGoodsMenu();
function getGoodsMenu(){
	var product=JSON.parse(sessionStorage.getItem("invtproduct")) || JSON.parse(localStorage.getItem("invtproduct"));
	if(!product){
		return;
	}
	cunAlloctionVM.invtDepotPrev=sessionStorage.getItem("invtDepotPrev") || localStorage.getItem("invtDepotPrev");
	cunAlloctionVM.invtDepotNext=sessionStorage.getItem("invtDepotNext") || localStorage.getItem("invtDepotNext");
	cunAlloctionVM.purchase_price=product.purchase_price;
	cunAlloctionVM.product.model = product.model;
	cunAlloctionVM.sizeList=[];
	cunAlloctionVM.colorList=[];
	mui.ajax(severUrl + "scm/stock/qryOp.json",{
		data:{
			product_id:product.product_id,
			depot_id:cunAlloctionVM.invtDepotPrev
		},
		headers: {
	      'Content-Type':'application/x-www-form-urlencoded'
	  	},
	  	xhrFields: {
	      withCredentials: true
		},
		beforeSend: function() {
			mui('.loadColorAndSize').button('loading');
		},
		complete: function() {
			mui('.loadColorAndSize').button('reset');
		},
		async:false,
		dataType:'json',//服务器返回json格式数据
		type:'post',//HTTP请求类型
		timeout:10000,//超时时间设置为10秒；
		success:function(res){
			var colorList=[];
			var sizeList=[];
			mui.each(res.data,function(index,value){
				value.inventoryTotal=0;
				value.ordertype=0;
				if(index!=0){
					var i,j;
					for(i=0;i<colorList.length;i++){
						if(value.color_id==colorList[i].color_id){
							break;
						}
					}
					for(j=0;j<sizeList.length;j++){
						if(value.size_id==sizeList[j].size_id){
							break;
						}
					}
					if(i==colorList.length){
						colorList.push({color_name:value.color_name,color_id:value.color_id});
					}
					if(j==sizeList.length){
						sizeList.push({size_name:value.size_name,size_id:value.size_id});
					}
				}else{
					colorList.push({color_name:value.color_name,color_id:value.color_id});
					sizeList.push({size_name:value.size_name,size_id:value.size_id});
				}
			});
			product.list=res.data;
			var alloctionProductList=JSON.parse(localStorage.getItem("alloctionProductList"));
			if(alloctionProductList&&alloctionProductList.length!=0){
		       mui.each(alloctionProductList,function(index,value){
					if(value.product_id==product.product_id&&value.depot_id==cunAlloctionVM.invtDepotPrev){
						mui.each(product.list,function(index1,value1){
							mui.each(value.list,function(index2,value2){
								if(value2.color_id==value1.color_id&&value2.size_id==value1.size_id){
									value1.inventoryTotal=value2.inventoryTotal;
									return false;
								}
							});
						});
						// cunAlloctionVM.purchase_price=value.amt;
						return false;
					}
				});
			}
			cunAlloctionVM.sizeList=sizeList;
			cunAlloctionVM.colorList=colorList;
			if(colorList.length!=0){
				cunAlloctionVM.selTabId=colorList[0].color_id;
			}
			cunAlloctionVM.product=product;
			cunAlloctionVM.calculation();
			toDepotList(product.product_id);
		}
	});
}
function toDepotList(id){
	mui.ajax(severUrl + "scm/stock/qryOp.json",{
		data:{
			product_id:id,
			depot_id:cunAlloctionVM.invtDepotNext
		},
		headers: {
			'Content-Type':'application/x-www-form-urlencoded'
		},
		xhrFields: {
			withCredentials: true
		},
		dataType:'json',//服务器返回json格式数据
		type:'post',//HTTP请求类型
		timeout:10000,//超时时间设置为10秒；
		success:function(res){
			var product=res.data;
			var alloctionProductList=JSON.parse(localStorage.getItem("alloctionProductList"));
			if(alloctionProductList&&alloctionProductList.length!=0){
				mui.each(alloctionProductList,function(index,value){
					if(value.product_id==product[0].product_id&&value.depot_id==cunAlloctionVM.invtDepotPrev){
						mui.each(product,function(index1,value1){
							mui.each(value.list,function(index2,value2){
								if(value2.color_id==value1.color_id&&value2.size_id==value1.size_id){
									value1.inventoryTotal=value2.inventoryTotal;
									return false;
								}
							});
						});
						return false;
					}
				});
			}
			cunAlloctionVM.toDepotList=product
		}
	});
}
function companyQry() {
    mui.ajax(severUrl + "scm/productpicture/qry.json", {
        data : {
            "productId":getQueryString('productId') || sessionStorage.getItem("productId") || localStorage.getItem("productId")
        },
        headers : {
            'Content-Type' : 'application/x-www-form-urlencoded'
        },
        xhrFields : {
            withCredentials : true
        },
        dataType : 'json',
        type : 'post',
        timeout : 10000,
        success : function(res) {
            var src = '';
            if(null!=res.data && res.data!=""){
                src = img_url+res.data.name;
                $(".phUpload").attr("src",src);
            }else{
                src = "img/tx.jpg";
                $(".phUpload").attr("src",src);
            }
        }
    });
}

/**
 * load product dts info
 */
function loadProductDtsInfo() {
    companyQry();
	mui.ajax(severUrl + "scm/product/qryOp.json", {
		data: {
			"id": getQueryString('productId') || sessionStorage.getItem("productId") || localStorage.getItem("productId")
		},
		headers: {
			'Content-Type': 'application/x-www-form-urlencoded'
		},
		xhrFields: {
			withCredentials: true
		},
		dataType: 'json',
		type: 'get',
		timeout: 10000,
		success: function (res) {
			if(res.success){
				cunAlloctionVM.product.purchase_price = res.data.purchase_price;
				cunAlloctionVM.product.main_uint_name = res.data.main_uint_name;
				cunAlloctionVM.purchase_price = res.data.purchase_price;

				var x=[];
				x.push({
					"billsn":res.data.billsn,
					"category":res.data.category,
					"id":res.data.id,
					"model":res.data.model,
					"material":res.data.material,
					"name":res.data.name,
					"purchase_price":res.data.purchase_price,
					"sale_price":res.data.sale_price,
					"sale_price_b":res.data.sale_price_b,
					"status":res.data.status,
					"stock_warn":res.data.stock_warn,
					"unit":res.data.unit,
					"colorlist":res.data.colorlist,
					"colornamelist":res.data.colornamelist,
					"sizelist":res.data.sizelist,
					"sizenamelist":res.data.sizenamelist,
					"company_id":res.data.company_id,
					"remark":res.data.remark,
					"barcodes":res.data.barcodes
				});
				var category = res.data.category;
				sessionStorage.setItem('category_id',category);
				sessionStorage.setItem('category_name','');
				sessionStorage.setItem('category_parent_name','');
				var parent_id='';
				if(category != '1' && category != ''){
					var categorylist = res.data.categorylist;
					mui.each(categorylist,function(i,v){
						if(v.id == category){
							sessionStorage.setItem('category_name',v.name);
							parent_id=v.parent_id;
							return;
						}
					})
				}
				if(parent_id !=''){
					mui.each(categorylist,function(i,v){
						if(v.id == parent_id){
							sessionStorage.setItem('category_parent_name',v.name);
							return;
						}
					})
				}
				sessionStorage.setItem("list",JSON.stringify(x));
				sessionStorage.setItem("name",res.data.name);
				sessionStorage.setItem("model",res.data.model);
				sessionStorage.setItem("material",res.data.material);
				sessionStorage.setItem("purchase_price",res.data.purchase_price);
				sessionStorage.setItem("sale_price",res.data.sale_price);
				sessionStorage.setItem("sale_price_b",res.data.sale_price_b);
				sessionStorage.setItem("selColorList",JSON.stringify(res.data.colornamelist));
				sessionStorage.setItem("selSizeList",JSON.stringify(res.data.sizenamelist));
				sessionStorage.setItem("barcodes",JSON.stringify(res.data.barcodes));
				sessionStorage.setItem("id",res.data.id);
				sessionStorage.setItem("mainUnitId",res.data.main_unit);
				sessionStorage.setItem("mainUnitName",res.data.main_uint_name);
				if(cunAlloctionVM.unit_show ==1){
					var unitChooseList = [],unitList=[],unitChoose={};
					if(res.data.main_unit !="" && res.data.main_uint_name !=""){
						unitChoose = {
							id:res.data.main_unit,
							name:res.data.main_uint_name,
							ratio:1
						};
						unitChooseList.push(unitChoose);
					}
					if(res.data.unitrulelist.length>0){
						var list = res.data.unitrulelist;
						for(var i=0;i<list.length;i++){
							var info={
								id:list[i].assist_unit,
								name:list[i].assist_unit_name,
								ratio:list[i].ratio,
								editId:list[i].id,
								product_id:list[i].product_id
							};
							unitChoose = {
								id:list[i].assist_unit,
								name:list[i].assist_unit_name,
								ratio:list[i].ratio
							};
							unitChooseList.push(unitChoose);
							unitList.push(info)
						}
					}
					cunAlloctionVM.unitChooseList = unitChooseList;
					cunAlloctionVM.unitMinName = '';
					if(cunAlloctionVM.unitChooseList.length>0){
						cunAlloctionVM.unitMinName = cunAlloctionVM.unitChooseList[0].name
					}
					sessionStorage.setItem("unitList",JSON.stringify(unitList))
				}
				cunAlloctionVM.calculation()
			}
		}
	});
}
mui('.mui-media').on('tap', '.link-product-attr', function () {
	if(getQueryString('productId')){
		location = 'changeItem.html?productId=' + getQueryString('productId') + '&page=' + 'cunAlloction' + '&type='+ 2;
	}else{
		var listSend = {};
		listSend.list = JSON.parse(sessionStorage.getItem("list"));
		listSend.mainUnitId = sessionStorage.getItem("mainUnitId");
		listSend.mainUnitName = sessionStorage.getItem("mainUnitName");
		listSend.unitList = JSON.parse(sessionStorage.getItem("unitList"));
		listSend.category_id = sessionStorage.getItem("category_id");
		listSend.category_name = sessionStorage.getItem("category_name");
		listSend.category_parent_name = sessionStorage.getItem("category_parent_name");
		viewHandle.viewFire('changeItem.html','changeItem',listSend);
		viewHandle.openWindow('changeItem.html','changeItem.html',JSON.stringify(listSend));
	}
});
mui('.mui-media').on('tap', '.show-img-info', function () {
	var id = sessionStorage.getItem("productId") || localStorage.getItem("productId");
	var name = cunAlloctionVM.product.name;
	mui.ajax(severUrl + "scm/product/qryProductPicturesById", {
		data: {
			id: id
		},
		headers: {
			'Content-Type': 'application/x-www-form-urlencoded'
		},
		xhrFields: {
			withCredentials: true
		},
		dataType: 'json',
		type: 'POST',
		timeout: 10000,
		success: function(res) {
			if (res.data.length > 0) {
				var list = res.data;
				for (var i = 0; i < list.length; i++) {
					list[i].name = img_url + list[i].name;
					list[i].product_name = name
				}
				var html = '';
				list.forEach(function(v, i) {
					if (v.is_default == 1) {
						html += '<a href="' + v.name + '" class="swipebox" title="主图">' +
							'<img src="' + v.name + '" alt="image">' +
							'</a>'
					} else {
						html += '<a href="' + v.name + '" class="swipebox" title="' + v.product_name + '">' +
							'<img src="' + v.name + '" alt="image">' +
							'</a>'
					}
				});
				$("#photo").html('');
				$("#photo").append(html);
				if (mui.os.ios == true) {
					$(".swipebox")[0].click()
				}
				$(".swipebox")[0].click()
			} else {
				mui.toast("您未上传图片")
			}
		}
	});
});
mui('.mui-bar').on('tap', '.back-cg', function(){
	if(getQueryString("type") == 0){
        location = 'cunAlloctionList.html';
		sessionStorage.removeItem("type")
	}else if(getQueryString("type") == 2){
		location = 'cun.html';
	}else if(localStorage.getItem("type")==7){
		mui('#cunAlloction')[0].style.display = "none";
		mui('#cunAlloctionListVM')[0].style.display = "block";
		localStorage.removeItem("type")
	}else{
        viewHandle.back()
	}
});

mui('.mui-content').on('tap', '.look-price', function(){
	if (!cunAlloctionVM.isOpen && cunAlloctionVM.purchaseManager) {
		cunAlloctionVM.isOpen = true;
	}else if(cunAlloctionVM.isOpen && cunAlloctionVM.purchaseManager){
		cunAlloctionVM.isOpen = false;
	}else {
		mui.toast('没有查看权限');
	}
});
function clearZero(obj) {
	obj.value = "";
	return false;
}
function hideBottom(type) {
	if (type == 1) {
		mui('.goodsI-pd')[0].style.display = 'none';
	}else {
		mui('.goodsI-pd')[0].style.display = 'block';
		cunAlloctionVM.calculation()
	}
}
