var type = '';
var titleName = "新建客户";
var editName = "修改客户";
var toggleFlag = false;
mui.plusReady(function(){
	var arg = plus.webview.currentWebview().arg;
	if(arg){
		arg = JSON.parse(arg);
		type = arg.type || '';
		customerCreateVM.type = arg.type || '';
		customerCreateVM.name = arg.userName || '';
		customerCreateVM.page = arg.page || '';
		customerCreateVM.id = arg.id || '';
		getCustomerById()
	}
});
function getQueryString(name) {
	var reg = new RegExp("(^|&)" + name + "=([^&]*)(&|$)");
	var r = window.location.search.substr(1).match(reg);
	if (r != null) return decodeURIComponent(r[2]); return null;
}
var customerCreateVM = new Vue({
	el: '#customerCreateVM',
	data: {
		systemSetting: JSON.parse(localStorage.systemSetting),
		id:'',
		name:'',
		address:'',
		remark:'',
		telPhone:'',
		wechat_no:'',
		birthday:'',
		bank_card:'',
		integral:'',
		beforeIntegral:0,
		begin_arrears:0,
		arrears:'',
		page:'',
		type:'',
		consignee_telephone:'',
		consignee_name:'',
		category_id:'',//客户分类id
		category_name:'',//客户分类名称
		source:'', //客户来源
		status:'', //客户状态
		//权限相关
		positionName:false,
		stockManager:false,
		purchaseManager:false,
		companySetIndustry:true,
		labelPprinter:false,
		faAccount:true,
		is_advanced:0,
		company_name:'',
		company_id:'',
		user_id:'',
		jifenshow:false,
		bindDepot:-1,
		//--------------------
	},
	computed: {
		debtAmtName: function(){
			if(this.systemSetting.debt_amt_show_type === 2){
				return '余额'
			}
			return '欠款'
		}
	},
	methods: {
		getPurview :function(){//获取权限
			var _this = this;
			mui.ajax(severUrl + "sso/user/qryOp.json", {
				data : {
					id : ''
				},
				headers : {
					'Content-Type' : 'application/x-www-form-urlencoded'
				},
				xhrFields : {
					withCredentials : true
				},
				dataType : 'json',
				type : 'post',
				timeout : 30000,
				async : false,
				success : function(res) {
					if (res.success) {
						// var position_name = res.data.position_name;
						_this.company_name = res.data.company_name;
						_this.company_id = res.data.company_id;
						_this.bindDepot = res.data.manage_depot_id;
						_this.user_id = res.data.id;
						var code = res.data.position,permission = code.permission;
						if(permission.indexOf('A11_1_O') >=0 || permission.indexOf('A11_1_E') >=0){
							_this.positionName = true
						}else{
							_this.positionName = false
						}
						permission.indexOf('A4_1_E') >=0?_this.stockManager = true:_this.stockManager = false;
						permission.indexOf('FA_ACC') >=0?_this.faAccount = true:_this.faAccount = false;
						permission.indexOf('LOOK_PURCHASE') >=0?_this.purchaseManager = true:_this.purchaseManager = false;
						permission.indexOf('ONLY_PRINT') >=0?_this.labelPprinter = true:_this.labelPprinter = false;
						'RFRk,eYVo,y0oa,mVbc,pqrB,pDAY,CCP2,Oo4T,LfTY'.indexOf(_this.company_id) >=0?_this.jifenshow = true:_this.jifenshow=false
						_this.companySetIndustry = res.data.company_set_industry;
					}

				}
			});
		},
		category:function(){
			var listSend = {};
			listSend.fromType = 'create';
			listSend.category_id = this.category_id || '';
			listSend.category_name = this.category_name || ''
			viewHandle.openWindow('customer_category.html','customer_category.html',JSON.stringify(listSend));
		}
	},
	created: function(){
		window.addEventListener("categoryBack",function(e){
			customerCreateVM.category_id = e.detail.category_id || '';
			customerCreateVM.category_name = e.detail.category_name || ''
		});
	},
	mounted:function () {
		var _this = this;
		mui.plusReady(function () {
			_this.getPurview()
		})
	}
});
function getCustomerById(){
	var id = customerCreateVM.id;
	if(id != null && id != ''){
		if(type == "supplier"){
			editName = "修改供应商"
		}else{
			editName = "修改客户"
		}
		$(".contentPage-title").html(editName);
		$(".registerBtn").html("修改");
		mui.ajax(severUrl + "crm/customer/qryOp.json", {
			data: {
				id:id
			},
			headers: {
				'Content-Type': 'application/x-www-form-urlencoded'
			},
			xhrFields: {
				withCredentials: true
			},
			dataType: 'json',
			type: 'post',
			timeout: 10000,
			success: function (res) {
				customerCreateVM.id = res.data.customer.id;
				customerCreateVM.name = res.data.customer.name;
				customerCreateVM.address = res.data.customer.address;
				customerCreateVM.remark = res.data.customer.remark;
				customerCreateVM.arrears = customerCreateVM.systemSetting.debt_amt_show_type !== 2 ? res.data.customer.arrears : -res.data.customer.arrears;
				customerCreateVM.telPhone = res.data.customer.telephone;
				customerCreateVM.wechat_no = res.data.customer.wechat_no;
				customerCreateVM.birthday = res.data.customer.birthday;
				customerCreateVM.bank_card = res.data.customer.bank_card;
				customerCreateVM.integral = res.data.customer.integral;
				customerCreateVM.begin_arrears = customerCreateVM.systemSetting.debt_amt_show_type !== 2 ? res.data.customer.begin_arrears : -res.data.customer.begin_arrears ;
				customerCreateVM.beforeIntegral = res.data.customer.integral;
				customerCreateVM.category_name = res.data.customer.category_name;
				customerCreateVM.category_id = res.data.customer.customer_category_id;
				var source = res.data.customer.wx_fast_register == 1?'小程序注册 ':'进销存添加 '
				customerCreateVM.source = source + res.data.customer.create_datetime.substring(0,10);
				customerCreateVM.status = res.data.customer.status == 1?'禁用':'启用';
				customerCreateVM.consignee_name=res.data.customer.consignee_name;
				customerCreateVM.consignee_telephone=res.data.customer.consignee_telephone;
			}
		})
	}else{
		if(type == "supplier"){
			titleName = "新建供应商"
		}else{
			titleName = "新建客户"
		}
		$(".contentPage-title").html(titleName);
		$(".registerBtn").html("新建");
	}
}
mui("body").on('tap','.registerBtn',function(){
	var typeIndex = 1;
	if(type == "supplier"){
		typeIndex = 0
	}else{
		typeIndex = 1
	}
	$('.registerBtn').attr("disabled",true) //禁用按钮，防止用户多次点击
	let data = {
		id: customerCreateVM.id,
		type: typeIndex,
		telephone: customerCreateVM.telPhone,
		name: customerCreateVM.name,
		remark: customerCreateVM.remark,
		address:customerCreateVM.address,
		arrears:(customerCreateVM.systemSetting.debt_amt_show_type !== 2 ? customerCreateVM.arrears : -customerCreateVM.arrears ) || 0,
		wechat_no:customerCreateVM.wechat_no,
		birthday:customerCreateVM.birthday,
		bank_card:customerCreateVM.bank_card,
		integral:customerCreateVM.integral,
		customer_category_id:customerCreateVM.category_id, //客户分类
		consignee_name: customerCreateVM.consignee_name,
		consignee_telephone: customerCreateVM.consignee_telephone
	}

	$API.user.setCustomer(data).then(function(res){
		$('.registerBtn').attr("disabled",false)
		if(customerCreateVM.id !='' && typeIndex == 1 && Number(customerCreateVM.integral) >=0){
			// 设置积分
			$API.user.setIntegralHistory({
				customer_id:customerCreateVM.id,
				changeinteral :Number(customerCreateVM.integral) - Number(customerCreateVM.beforeIntegral)
			})
		}
		mui.toast(res.msg);
		$("input").blur();
		if(customerCreateVM.page){
			var listSend = {};
			if(customerCreateVM.page == 'xiao'){
				listSend.selectedBuyer = res.data.id;
				listSend.selectedBuyerName = customerCreateVM.name;
				listSend.arrears = customerCreateVM.arrears;
				listSend.telephone = customerCreateVM.telPhone;
				viewHandle.viewFire('H576E5848','customerUpdate',listSend);
			}else{
				listSend.selectedSupplier = res.data.id;
				listSend.selectedSupplierName = customerCreateVM.name
				viewHandle.viewFire('caigou.html','supplerUpdate',listSend);
				//sessionStorage.setItem("selectedSupplier",res.data.id);
			}
			setTimeout(function(){
				viewHandle.back("close")
			},800)
		}else{
			setTimeout(function(){
				if(type == "supplier"){
					localStorage.setItem("caiPageAction",'supplierRefresh'); //刷新页面参数
					viewHandle.viewFire('supplierSetting.html','uploadList')
				}else{
					localStorage.setItem("xiaoPageAction",'customerRefresh'); //刷新页面参数
					viewHandle.viewFire('customerSetting.html','uploadList')

				}
				viewHandle.back("close")
			},800)
		}
	}).catch(function(e){
		$('.registerBtn').attr("disabled",false)
		if(e&&e.data){
			$comm.showLimitConfirm(e.data,{payOrderNameStrategy:'customer',rootPath:'../'})
		}
	})
});
mui("#customerCreateVM").on('tap', '#details', function () {
	if (!toggleFlag) {
		mui('.mui-icon-arrowup')[0].style.display = "block";
		mui('.details')[0].style.display = "block";
		mui('.mui-icon-arrowdown')[0].style.display = "none";

		toggleFlag = true;
	} else {
		mui('.mui-icon-arrowup')[0].style.display = "none";
		mui('.details')[0].style.display = "none";
		mui('.mui-icon-arrowdown')[0].style.display = "block";

		toggleFlag = false;
	}
});

mui(".details").on("tap",".icon-fuzhi",function(){
	viewHandle.copyText(customerCreateVM.address)
});

//日期选择
var birthday = new mui.DtPicker({
	type: "date",
	labels: ['年', '月', '日'],
	beginYear:1920
});
mui('body').on('tap', '#birthday', function () {
	var _self = this;
	birthday.show(function (e) {
		customerCreateVM.birthday = e.text;
	})
});
mui('body').on('tap','.muiBack',function(){
	switch (customerCreateVM.page) {
		case "xiao":
			viewHandle.viewFire('H576E5848','customerRefresh');
			break;
		case "caigou":
			viewHandle.viewFire('caigou.html','supplierRefresh');
			break;
	}
	viewHandle.back("close")
});
