mui.plusReady(function(){
	loadProductStatics('',customerTongJiVM.lsDateFirst,customerTongJiVM.lsDateLast,"updateList")
});
var flag = false;
var qryProduct = true;
var data = { //上拉加载参数
	num: 0,
	startY: '',
	moveEndY: '',
	isLoading: true
};
var customerTongJiVM = new Vue({
	el: '#customerTongJiVM',
	components: {
		'list-filter': httpVueLoader('components/v-components/ListFilter.vue'),
		'date-selection': httpVueLoader('components/v-components/DateSelection.vue')
	},
	data: {
		systemSetting:JSON.parse(localStorage.systemSetting),
		list: [],
		totalRow:'', //总计
		searchMsg: '',
		lsDateFirst: $comm.DATE_UTIL.getMonth($comm.DATE_UTIL.formatDate(new Date()))[0],
		lsDateLast: $comm.DATE_UTIL.formatDate(new Date()),
		queryParams: {
			customer_category_id: undefined
		},
        sale_all_count:'',
        all_amt:'',
		all_debet:'',
		page:1,
        sort_rule:'desc',
        sort:'all_amt',
		//权限相关
		positionName:false,
		stockManager:false,
		purchaseManager:false,
		companySetIndustry:true,
		labelPprinter:false,
		faAccount:true,
		is_advanced:0,
		company_name:'',
		company_id:'',
		user_id:'',
		jifenshow:false,
		bindDepot:-1,
		//--------------------
		filterData: [{
			title: '客户分类',
			value: 'customerCategory',
			showChildren: true,
			isEntire: true,
			isEntireActive: true,
			entireValue: '0',
			lazy: function (){
				return new Promise(function(resolve, reject){
					// 查询客户分类
					$API.user.getCustomerCategory().then(function(e){
						let data = []
						if(Array.isArray(e.data)){
							e.data.forEach(function(i){
								let row = {
									title: i.name,
									// type: 'checkbox', // 单选 ？ 多选
									type: 'radio',
									group: 'customerCategory',
									active: false,
									value: i.id,
								}
								data.push(row)
							})
						}
						resolve(data)
					}).catch(function(){reject()})
				})
			}
		}]
	},
	watch: {
        searchMsg:function(val){
        	if(!val){
				loadProductStatics('',customerTongJiVM.lsDateFirst,customerTongJiVM.lsDateLast,"updateList")
			}
		}
	},
	methods:{
		getPurview :function(){//获取权限
			var _this = this;
			mui.ajax(severUrl + "sso/user/qryOp.json", {
				data : {
					id : ''
				},
				headers : {
					'Content-Type' : 'application/x-www-form-urlencoded'
				},
				xhrFields : {
					withCredentials : true
				},
				dataType : 'json',
				type : 'post',
				timeout : 30000,
				async : false,
				success : function(res) {
					if (res.success) {
						// var position_name = res.data.position_name;
						_this.company_name = res.data.company_name;
						_this.company_id = res.data.company_id;
						_this.bindDepot = res.data.manage_depot_id;
						_this.user_id = res.data.id;
						var code = res.data.position,permission = code.permission;
						if(permission.indexOf('A11_1_O') >=0 || permission.indexOf('A11_1_E') >=0){
							_this.positionName = true
						}else{
							_this.positionName = false
						}
						permission.indexOf('A4_1_E') >=0?_this.stockManager = true:_this.stockManager = false;
						permission.indexOf('FA_ACC') >=0?_this.faAccount = true:_this.faAccount = false;
						permission.indexOf('LOOK_PURCHASE') >=0?_this.purchaseManager = true:_this.purchaseManager = false;
						permission.indexOf('ONLY_PRINT') >=0?_this.labelPprinter = true:_this.labelPprinter = false;
						'RFRk,eYVo,y0oa,mVbc,pqrB,pDAY,CCP2,Oo4T,LfTY'.indexOf(_this.company_id) >=0?_this.jifenshow = true:_this.jifenshow=false
						_this.companySetIndustry = res.data.company_set_industry;
					}

				}
			});
		},
		dateChange(e){
			this.lsDateFirst = e.start_time
			this.lsDateLast = e.end_time
			loadProductStatics(this.searchMsg,this.lsDateFirst,this.lsDateLast,'updateList');
		},
		filterChange(e){
			let customerCategory = e.customerCategory[0]
			if(customerCategory !== this.filterData[0].entireValue){
				this.queryParams.customer_category_id = customerCategory
			}else{
				this.queryParams.customer_category_id = undefined
			}
			loadProductStatics(customerTongJiVM.searchMsg,customerTongJiVM.lsDateFirst,customerTongJiVM.lsDateLast,'updateList');
		}
	},
	created: function () {},
    mounted: function () {
        var _this = this;
        var winHeight = localStorage.getItem("pageHeight");  //获取当前页面高度
        $("body").css('height',localStorage.getItem("pageHeight"));
        $(window).resize(function () {
            var u = navigator.userAgent, app = navigator.appVersion;
            var isAndroid = u.indexOf('Android') > -1 || u.indexOf('Linux') > -1; //android终端或者uc浏览器
            var isiOS = !!u.match(/\(i[^;]+;( U;)? CPU.+Mac OS X/); //ios终端
            if(isAndroid){
                var thisHeight = $(this).height();
                if ( winHeight - thisHeight > 140 ) {
                    $("body").css('height',winHeight);
                } else {
                    $("body").css('height',winHeight);
                    $("input").blur();
                    $("textarea").blur();
                }
            }else if(isiOS){

            }
        });
        mui.plusReady(function () {
			_this.getPurview()
		})
    }
});
/**
 * 计算合计
 */
function totalNum() {
    var sale_all_count = 0;
    var all_amt = 0;
    var all_debet = 0;
	for (var i = 0, len = customerTongJiVM.list.length; i < len; i++) {
		if (customerTongJiVM.list[i].sale_all_count) {
            sale_all_count += Number(customerTongJiVM.list[i].sale_all_count);
		}

		if (customerTongJiVM.list[i].all_amt) {
            all_amt += Number(customerTongJiVM.list[i].all_amt);
		}

		if (customerTongJiVM.list[i].debt_all_amt) {
			all_debet += Number(customerTongJiVM.list[i].debt_all_amt);
		}
	}
	customerTongJiVM.sale_all_count=sale_all_count;
	customerTongJiVM.all_amt=numToCur(all_amt,customerTongJiVM.systemSetting.price_decimals_setting,'price');
	customerTongJiVM.all_debet=numToCur(all_debet,customerTongJiVM.systemSetting.price_decimals_setting,'price');
}

/**
 * 加载客户统计
 */
function loadProductStatics(name,startTime,endTime,type) {
	var data = timedifference(startTime, endTime);
	if(data > 366){
		mui.toast("查询时间范围不能大于12个月，请分段查询");
		return;
	}
	if(type == 'updateList'){
		customerTongJiVM.page = 1;
	}
	qryProduct = false; //禁止短时间多次查询
	let _data = {
		name:name,
		ordertype: 1,// 0为采购（还款） 1为销售（清欠）
		type: 1,//0为供应商（还款） 1为客户（清欠）
		start_date:startTime,
		end_date:endTime,
		page:customerTongJiVM.page,
		rows:25,
		sort:customerTongJiVM.sort,
		sort_rule:customerTongJiVM.sort_rule
	}
	if(customerTongJiVM.queryParams.customer_category_id !== undefined){
		_data.customer_category_id = customerTongJiVM.queryParams.customer_category_id
	}
	let timeout = name !== '' ? 15000 : 10000
	let _mask = mui('#dh')[0]
	_mask.style.display = "block"
	$API.statistics.getOrderInfoByCustomerName(_data, timeout).then(function(res){
		var totalPage=res.data.totalPage;
		customerTongJiVM.totalRow = res.data.totalRow;
		if(type == "updateList"){
			customerTongJiVM.list = [];
		}
		customerTongJiVM.list = customerTongJiVM.list.concat(res.data.list);
		mui(".mui-pull-caption")[0].style.display = "block";
		if(customerTongJiVM.page<totalPage){
			setTimeout(function(){
				qryProduct = true;
				data.isLoading = true;
				$('.mui-pull-caption').text('上拉加载更多');
				customerTongJiVM.page++;
			},1500)
		}else{
			data.isLoading = false;
			$('.mui-pull-caption').text('没有更多数据了')
		}
		//customerTongJiVM.list.sort(descCompare("all_amt"));
		totalNum();
		_mask.style.display = "none"
	}).catch(function(){
		_mask.style.display = "none"
	})
}

// 上拉加载
$(document).on('touchstart','#upFresh', function(e) {
	// e.preventDefault();
	data.startY = e.originalEvent.changedTouches[0].pageY;
});
$(document).on('touchmove', '#upFresh',function(e) {
	// e.preventDefault();
	data.moveEndY = e.originalEvent.changedTouches[0].pageY
	Y = data.startY - data.moveEndY;
	if(Y>80){
		upLoading()
	}
});
function upLoading(){
	var scroll = mui('#pullrefresh').scroll();
	var scrollTop = scroll.y;
	//判断滚动到底部之下
	if(scrollTop < scroll.maxScrollY){
		if( data.isLoading === false || qryProduct == false){
			return
		}else{
			$('.mui-pull-caption').text('玩命加载中...')
			//请求数据
			loadProductStatics('',customerTongJiVM.lsDateFirst,customerTongJiVM.lsDateLast)
		}
	}
}

/**
 * 初始化滚动条
 */
mui('.mui-scroll-wrapper').scroll({
	deceleration: 0.0006
});

/**
 * desc
 * @param {*} propertyName 
 */
function descCompare(propertyName) {
	return function (object1, object2) {
		var value1 = object1[propertyName];
		var value2 = object2[propertyName];
		if (value2 < value1) {
			return -1;
		} else if (value2 > value1) {
			return 1;
		} else {
			return 0;
		}
	}
}

/**
 * asc
 * @param {*} propertyName 
 */
function ascCompare(propertyName) {
	return function (object1, object2) {
		var value1 = object1[propertyName];
		var value2 = object2[propertyName];
		if (value2 > value1) {
			return -1;
		} else if (value2 < value1) {
			return 1;
		} else {
			return 0;
		}
	}
}

/**
 * 升序、降序
 */
mui('.theadbgc').on('tap', '.click-th', function () {
	// 显示排序箭头
	var sort = document.getElementsByClassName('theadbgc')[0].getElementsByClassName('sort');

	for (var i = 0, len = sort.length; i < len; i++) {
		sort[i].classList.add("sort-img");
	}
	if (this.innerHTML.indexOf('sort-img') != -1) {
		this.getElementsByClassName('sort')[0].classList.remove("sort-img");
		var type = this.getElementsByClassName('sort')[0].getElementsByTagName('img')[0].dataset.type;

        //customerTongJiVM.list.sort(descCompare(type));
	}

	// 排序
	switch (this.dataset.type) {
		case 'sale_all_count':
			customerTongJiVM.sort = 'sale_all_count';
			if (flag) {
				customerTongJiVM.sort_rule = "desc";
                //customerTongJiVM.list.sort(descCompare("sale_all_count"));
				this.getElementsByTagName('img')[0].src = 'img/down.png';
				flag = false;
			} else {
				customerTongJiVM.sort_rule = "asc";
                //customerTongJiVM.list.sort(ascCompare("sale_all_count"));
				this.getElementsByTagName('img')[0].src = 'img/up.png';
				flag = true;
			}
			loadProductStatics(customerTongJiVM.searchMsg,customerTongJiVM.lsDateFirst,customerTongJiVM.lsDateLast,"updateList");
			break;
		case 'all_amt':
			customerTongJiVM.sort = 'all_amt';
			if (flag) {
				customerTongJiVM.sort_rule = "desc";
                //customerTongJiVM.list.sort(descCompare("all_amt"));
				this.getElementsByTagName('img')[0].src = 'img/down.png';
				flag = false;
			} else {
				customerTongJiVM.sort_rule = "asc";
                //customerTongJiVM.list.sort(ascCompare("all_amt"));
				this.getElementsByTagName('img')[0].src = 'img/up.png';
				flag = true;
			}
			loadProductStatics(customerTongJiVM.searchMsg,customerTongJiVM.lsDateFirst,customerTongJiVM.lsDateLast,"updateList");
			break;
        case 'debt_all_amt':
			customerTongJiVM.sort = 'debt_all_amt';
            if (flag) {
				customerTongJiVM.sort_rule = "desc";
                //customerTongJiVM.list.sort(descCompare("debt_all_amt"));
                this.getElementsByTagName('img')[0].src = 'img/down.png';
                flag = false;
            } else {
				customerTongJiVM.sort_rule = "asc";
                //customerTongJiVM.list.sort(ascCompare("debt_all_amt"));
                this.getElementsByTagName('img')[0].src = 'img/up.png';
                flag = true;
            }
			loadProductStatics(customerTongJiVM.searchMsg,customerTongJiVM.lsDateFirst,customerTongJiVM.lsDateLast,"updateList");
            break;
	}
});


mui('table').on('tap', '.tongJiInfo', function (e) {
    e.stopPropagation();
	var data = timedifference(customerTongJiVM.lsDateFirst, customerTongJiVM.lsDateLast);
	if(data > 366){
		mui.toast("查询时间范围不能大于12个月，请分段查询");
		return;
	}
    // var name = this.parentNode.parentNode.dataset.name;telephone
    var id = this.parentNode.dataset.id || this.dataset.id;
    var name = this.parentNode.dataset.name || this.dataset.name;
    var tel=this.parentNode.dataset.tel || this.dataset.tel;
    var type=this.getAttribute('type');
	var listSend = {};
	listSend.id = id;
	listSend.name = name;
	listSend.tel = tel;
	listSend.pageTabId = type;
	listSend.customerTjTimeStart = customerTongJiVM.lsDateFirst;
	listSend.customerTjTimeEnd = customerTongJiVM.lsDateLast;
	listSend.type = 'customer';
	//viewHandle.viewFire('debatDts.html','debatDts',listSend);
	viewHandle.openWindow('view/debatDts.html','debatDts.html',JSON.stringify(listSend))
    //location = "view/debatDts.html?id=" + id + '&name='+ name+ '&tel='+ tel + '&type=' +'customer'+'&htmlType='+type;
});

/**
 * 客户查询
 */
mui('body').on('click', '.btn-chaxun', function () {
	loadProductStatics(customerTongJiVM.searchMsg,customerTongJiVM.lsDateFirst,customerTongJiVM.lsDateLast,'updateList');
});
mui('body').on('tap', '.back-cg', function () {
    viewHandle.back('close')
	//location = 'tongji.html';
});

