function getQueryString(name) {
	var reg = new RegExp("(^|&)" + name + "=([^&]*)(&|$)", "i");
	var r = window.location.search.substr(1).match(reg);
	if (r != null) return decodeURIComponent(r[2]); return null;
}
let loadingList = [false,false,false]
let amt;
function updateAmt(index){
	loadingList[index] = true
	if(!amt)return false
	if(loadingList.indexOf(false) === -1){
		setTimeout(function(){
			goodsMenuVM.sale_price = numToCur(amt,goodsMenuVM.systemSetting.price_decimals_setting,'price');
		},150)
	}
}
mui.plusReady(function(){
	var args = JSON.parse(plus.webview.currentWebview().arg||'{}');
	if(args.selectedType !== undefined){
		console.log('args.selectedType:', args.selectedType)
		goodsMenuVM.selectedType = args.selectedType
	}
});
window.addEventListener("showInfo",function(e){ //草稿页面颜色尺码展示
	goodsMenuVM.type = e.detail.type;
	if( e.detail.selectDepot){
		sessionStorage.setItem("selectedDepot", e.detail.selectDepot);
		// goodsMenuVM.selectedDepot =  e.detail.selectDepot
	}
	loadProductDtsInfo(e.detail.product_id);
	getGoodsMenu();
	kufang();
});
mui.plusReady(function(){
	var arg = plus.webview.currentWebview().arg;
	if(arg){
		arg = JSON.parse(arg);
		goodsMenuVM.type = arg.type;
		if(arg.selectDepot){
			sessionStorage.setItem("selectedDepot",arg.selectDepot);
			// goodsMenuVM.selectedDepot = arg.selectDepot
		}
		loadProductDtsInfo(arg.product_id);
		getGoodsMenu();
		kufang();
	}
});
window.addEventListener("editRefresh",function(e){ //修改更新
	loadProductDtsInfo(e.detail.id);
	getGoodsMenu();
	kufang();
});
window.addEventListener("selectedType",function(e){
	goodsMenuVM.selectedType = e.detail.selectedType
});
var goodsMenuVM = new Vue({
	el: '#goodsMenuVM',
	data: {
		systemSetting:JSON.parse(localStorage.systemSetting),
		colorList: [],
		sizeList: [],
		selTabId: '',
		product: { model: '', purchase_price: '' },
		purchase_price: 0,
		purchase_price_old:0,
		purchase_price_show: 0,
		purchase_price2: '***',
		totalPrice: "",
		totalAmount: "",
		selectedDepot: "",
		titleSwitch: true,
		stock: "",
		isOpen: false,
		//全行业参数
		size_show: localStorage.getItem("size_show") || 1,
		color_show: localStorage.getItem("color_show") || 1 ,
		unit_show: localStorage.getItem("unit_show") || 0,
		origin_specification: localStorage.getItem("origin_specification") || 0,
		unitChooseList:[],
		unitChoose:'',
		unitChooseName:'',
		unitMinName:'',
		temporary:'',
		type:0,
		//权限相关
		positionName:false,
		stockManager:false,
		purchaseManager:false,
		companySetIndustry:true,
		labelPprinter:false,
		faAccount:true,
		is_advanced:0,
		company_name:'',
		company_id:'',
		user_id:'',
		jifenshow:false,
		bindDepot:-1,
		//--------------------
	},
	watch: {
		unitChoose: {
			handler: function () {
				mui.each(goodsMenuVM.unitChooseList,function(i,v){
					if(v.id == goodsMenuVM.unitChoose){
						goodsMenuVM.unitChooseName = v.name;
						var hasOld = false,oldPrice = 0;
						var AB_purchase=JSON.parse(localStorage.getItem("AB_purchase")) || [];
						mui.each(AB_purchase,function(i,v){
							if(v.unitChooseId == goodsMenuVM.unitChoose && v.product_id == goodsMenuVM.product.product_id){
								hasOld = true;
								oldPrice = Number(v.AB_purchase);
								return false
							}
						})
						if(hasOld){
							goodsMenuVM.purchase_price_show = numToCur(oldPrice,goodsMenuVM.systemSetting.price_decimals_setting,'price');
							goodsMenuVM.purchase_price = numToCur(oldPrice,goodsMenuVM.systemSetting.price_decimals_setting,'price')
						}else{
							goodsMenuVM.purchase_price_show = numToCur(Number(goodsMenuVM.purchase_price_old * v.ratio),goodsMenuVM.systemSetting.price_decimals_setting,'price');
							goodsMenuVM.purchase_price = numToCur(goodsMenuVM.purchase_price_show,goodsMenuVM.systemSetting.price_decimals_setting,'price')
						}
					}
				})
				this.calculation();
			},
		},
		purchase_price: {
			handler: function (newVal) {
				if (parseFloat(newVal) < 0) {
					mui.alert("价格不能小于0");
					this.purchase_price = this.product.purchase_price;
				}
				this.calculation();
				if(goodsMenuVM.unit_show ==1){
					mui.each(goodsMenuVM.unitChooseList,function(i,v){
						if(v.id == goodsMenuVM.unitChoose){
							var purchase_price_show = Number(goodsMenuVM.purchase_price);
							goodsMenuVM.purchase_price_show = numToCur(purchase_price_show,goodsMenuVM.systemSetting.price_decimals_setting,'price')
						}
					});
				}
			},
			deep: true
		},
		product: {
			handler: function () {
				mui.each(this.product.list, function (index, value) {
					if (value.count < 0) {
						mui.alert("商品数量不能小于0");
						value.count = 0;
					}
				});
				this.calculation();
			},
			deep: true
		}
	},
	methods: {
		unitPickerChoose: function() {
			//移除之前的
			var crr = mui('.mui-poppicker');
			if(crr.length!=0){
				crr[0].remove()
			}

			var self = this;
			var unitPicker = new mui.PopPicker();
			var unitNameChooseList=self.unitChooseList.map(function(unitItem){
				if(unitItem.ratio==1){
					return {
						text:unitItem.name,
						value:unitItem.id
					}
				}else if(unitItem.ratio<1){
					return {
						text:unitItem.name+';'+'1'+self.unitChooseList[0].name+'='+numToCur(1/unitItem.ratio,goodsMenuVM.systemSetting.amount_decimals_setting)+unitItem.name,
						value:unitItem.id
					}
				}else{
					return {
						text:unitItem.name+';'+'1'+unitItem.name+'='+unitItem.ratio+self.unitChooseList[0].name,
						value:unitItem.id
					}
				}
			})
			unitPicker.setData(unitNameChooseList);
			unitPicker.pickers[0].setSelectedValue(self.unitChoose, 1000);
			unitPicker.show(function(e) {
				self.unitChoose=e[0].value
			})
			setTimeout(function (){
				let arr=$('.mui-poppicker.mui-active').find('.mui-pciker-list').children()
				for(let i=0;i<arr.length;i++){
					if(arr[i].innerText.includes(';')){
						let dataList=arr[i].innerText.split(';')
						let div='<span>'+dataList[0]+'</span><span class="rule">'+dataList[1]+'</span>'
						//	添加元素
						$(arr[i]).html('')
						$(arr[i]).append(div)
						//  调整位置
						let marginLeft=($('.rule').width()+5)/2  //这里的5是运算规则的margin-left
						$(arr[i]).css('margin-left',marginLeft)
					}
				}
			},100)
		},
		getPurview :function(){//获取权限
			var _this = this;
			mui.ajax(severUrl + "sso/user/qryOp.json", {
				data : {
					id : ''
				},
				headers : {
					'Content-Type' : 'application/x-www-form-urlencoded'
				},
				xhrFields : {
					withCredentials : true
				},
				dataType : 'json',
				type : 'post',
				timeout : 30000,
				async : false,
				success : function(res) {
					if (res.success) {
						// var position_name = res.data.position_name;
						_this.company_name = res.data.company_name;
						_this.company_id = res.data.company_id;
						_this.bindDepot = res.data.manage_depot_id;
						_this.user_id = res.data.id;
						var code = res.data.position,permission = code.permission;
						if(permission.indexOf('A11_1_O') >=0 || permission.indexOf('A11_1_E') >=0){
							_this.positionName = true
						}else{
							_this.positionName = false
						}
						permission.indexOf('A4_1_E') >=0?_this.stockManager = true:_this.stockManager = false;
						permission.indexOf('FA_ACC') >=0?_this.faAccount = true:_this.faAccount = false;
						permission.indexOf('LOOK_PURCHASE') >=0?_this.purchaseManager = true:_this.purchaseManager = false;
						permission.indexOf('ONLY_PRINT') >=0?_this.labelPprinter = true:_this.labelPprinter = false;
						'RFRk,eYVo,y0oa,mVbc,pqrB,pDAY,CCP2,Oo4T,LfTY'.indexOf(_this.company_id) >=0?_this.jifenshow = true:_this.jifenshow=false
						_this.companySetIndustry = res.data.company_set_industry;
					}

				}
			});
		},
		calculation: function () {
			var count = 0;
			mui.each(this.product.list, function (index, value) {
				if (value.count) {
					count += Number(value.count);
				}
			});
			this.totalAmount = numToCur(count,goodsMenuVM.systemSetting.price_decimals_setting,'price');
			var ratio = 1;
			mui.each(goodsMenuVM.unitChooseList, function (index, value) {
				if (value.id == goodsMenuVM.unitChoose) {
					ratio = value.ratio;
					return false
				}
			});
			this.totalPrice = numToCur(Number(count * this.purchase_price),goodsMenuVM.systemSetting.price_decimals_setting,'price');
		},
		changeUnitPrice: function () {
			lookPrice();
		},
		changeTab: function (color) {
			this.selTabId = color.color_id;
		},
		batchAddCount: function(list, color_id) {
			for(var i = 0, len = list.length; i < len; i++) {
				if (list[i].color_id == color_id) {
					list[i].count = numToCur(Number(list[i].count) + 1,goodsMenuVM.systemSetting.amount_decimals_setting);
				}
			}

			this.product.list = list;
			this.calculation();
		},
		batchReduceCount: function(list, color_id){
			for(var i = 0, len = list.length; i < len; i++) {
				if (list[i].count > 0 && list[i].color_id == color_id) {
					list[i].count = numToCur(Number(list[i].count) - 1,goodsMenuVM.systemSetting.amount_decimals_setting);
				}
			}
			this.product.list = list;
			this.calculation();
		},
		addCount: function (item) {
			item.count = numToCur(Number(item.count) + 1,goodsMenuVM.systemSetting.amount_decimals_setting);
			this.calculation();
		},
		reduceCount: function (item) {
			if (item.count > 0) {
				item.count = numToCur(Number(item.count) -1,goodsMenuVM.systemSetting.amount_decimals_setting);
			}
			this.calculation();
		},
		clearZero: function (item) {
			if(item.count ==0){
				item.count = ''
			}
			mui(".totalDetal")[0].style.display = 'none';

			return false;
		},
		blurCount: function (item) {

		},
		saveList: function (num) {
			if(num&&num==0){
				// 当商品数量为0
				var inp=document.getElementById('number');
				var num=inp.value;
				if(num==0||num==null){
					var draftInfo=JSON.parse(localStorage.getItem('draftInfo'))
					console.log(draftInfo)
					// 修改ding'dan数据
					mui.ajax(severUrl + "scm/order/save.json",{
						data: {
							id:draftInfo.order_id,
							creater_id:draftInfo.creater_id, //操作用户设置
							remark:draftInfo.remark,
							sign_date:draftInfo.sign_date,
							customer_id:draftInfo.customer_id,
							customer_name:draftInfo.customer_name,
							depot_id:draftInfo.depot_id,
							rebate_amt:draftInfo.rebate_amt,
							order_amt:draftInfo.order_amt,
							purchase_amt:draftInfo.purchase_amt,
							amount:draftInfo.productlist.amount,
							ordertype:draftInfo.ordertype,
							submit_status:1,
							productlistlength:0,
							pay_status:draftInfo.pay_status,
							account_id:'3cxx',
							account_name:draftInfo.account_name,
							debt_status:draftInfo.debt_status,
							debt_amt:draftInfo.debt_amt,
							consignee_address:draftInfo.consignee_address,
							org_debt_amt:draftInfo.org_debt_amt,
							delivery_status:draftInfo.delivery_status,
							delivery_type:draftInfo.delivery_type,
							delivery_date:draftInfo.delivery_date,
						},
						headers: {
								'Content-Type': 'application/x-www-form-urlencoded'
							},
							xhrFields: {
								withCredentials: true
							},
							dataType: 'json',
							type: 'post',
							timeout: 10000,
							success: function (res) {
								viewHandle.viewFire('pinDraft.html','updateSelProduct');
								viewHandle.back()
						}
					})
				}
			}else{
				var purchase = this.purchase_price;
					if(purchase === ""){
						return mui.toast("请输入商品价格")
					}
					this.product.amt = this.purchase_price;
					this.product.sale_price = this.purchase_price;
					//行业单位绑定
					if(this.unit_show == 1){
						this.product.unitChooseId = this.unitChoose;
						for(var i = 0; i<this.unitChooseList.length; i++){
							if(this.unitChoose == this.unitChooseList[i].id){
								this.product.unitChooseName = this.unitChooseList[i].name;
								this.product.unitChooseRatio = this.unitChooseList[i].ratio;
								this.product.unitMinName = goodsMenuVM.unitMinName;
								break;
							}
						}
					}
				// 指定当前商品状态
				if(goodsMenuVM.selectedType !== undefined){ //指定了销售或退货
					goodsMenuVM.product.list.map(function(item){
						item.ordertype = goodsMenuVM.selectedType
						item.type = item.ordertype
					})
					goodsMenuVM.product.type =  goodsMenuVM.selectedType  // 指定当前商品是销售还是销售退货
				}
					var selProductList = JSON.parse(localStorage.getItem("selProductList"));
					if (!selProductList || selProductList.length == 0) {
						selProductList = [];
						goodsMenuVM.product.depot_id = goodsMenuVM.selectedDepot;
						selProductList.push(addNewProductID(goodsMenuVM.product));
					} else { // 有商品列表
						mui.each(selProductList, function (index, value) {
							if (value.id == goodsMenuVM.product.product_id && value.depot_id == goodsMenuVM.selectedDepot && value.type === goodsMenuVM.selectedType){
								saveChange(goodsMenuVM.selectedType)
								return false;
							}
							else if (value.id == goodsMenuVM.product.product_id && value.depot_id == goodsMenuVM.selectedDepot && goodsMenuVM.selectedType === undefined) {
								saveChange()
								return false;
							}
							else if (index == selProductList.length - 1) {
								goodsMenuVM.product.depot_id = goodsMenuVM.selectedDepot;
								selProductList.push(addNewProductID(goodsMenuVM.product));
								return false;
							}
							function saveChange(selectedType){
								if(goodsMenuVM.unit_show == 1){
									value.unitChooseId = goodsMenuVM.unitChoose;
									for(var i = 0; i<goodsMenuVM.unitChooseList.length; i++){
										if(goodsMenuVM.unitChoose == goodsMenuVM.unitChooseList[i].id){
											value.unitChooseName = goodsMenuVM.unitChooseList[i].name;
											value.unitChooseRatio = goodsMenuVM.unitChooseList[i].ratio;
											value.unitMinName = goodsMenuVM.unitMinName;
											break;
										}
									}
								}
								var list=value.list;
								//已入库数量处理
								mui.each(list,function(i,v){
									mui.each(goodsMenuVM.product.list,function(k,m){
										if(v.color_id == m.color_id &&v.size_id == m.size_id && (selectedType === undefined || v.ordertype === m.ordertype)){
	 										m.used_amount = Number(v.used_amount)
											// console.log('changeItem:', m)
											if(m.count > 0){}else{
												viewHandle.viewFire('caigou.html','deleteProductCopy', {key:v.__id__});
												viewHandle.viewFire('draft.html', 'deleteProductCopy', {key: v.__id__})
											}
										}
									})
								});
								value.list = addNewProductID(goodsMenuVM.product).list;
								value.amt = goodsMenuVM.product.amt;
								value.sale_price = goodsMenuVM.product.amt;
								$.each(list,function(a,item){
									$.each(value.list,function(c,oldItem){
										if(item.color_id === oldItem.color_id && item.size_id === oldItem.size_id && (selectedType === undefined ||selectedType === oldItem.ordertype)){
											oldItem.ordertype=item.ordertype;
											var product_sn_list=item.product_sn_list||[]
											var product_production_batch_list=item.product_production_batch_list||[]
											var production_amount=item.production_amount||0
											if(oldItem.count<product_sn_list.length){
												product_sn_list=product_sn_list.slice(0,oldItem.count)
											}

											// 订单用数据
											item.product_sn_list_old && (oldItem.product_sn_list_old = item.product_sn_list_old)
											item.product_sn_list_status && (oldItem.product_sn_list_status = item.product_sn_list_status)
											item.product_sn_list_vip && (oldItem.product_sn_list_vip = item.product_sn_list_vip)
											item.product_sn_used_list && (oldItem.product_sn_used_list = item.product_sn_used_list)
											item.__can_use_amount__ && (oldItem.__can_use_amount__ = item.__can_use_amount__)

											item.op_id && (oldItem.op_id = item.op_id)
											item.op_id_ && (oldItem.op_id_ = item.op_id_)
											item.__id__ && (oldItem.__id__ = item.__id__)
											item.__pid__ && (oldItem.__pid__ = item.__pid__)
											item.remark && (oldItem.remark = item.remark)
											item.isRemarkShow && (oldItem.isRemarkShow = item.isRemarkShow)

											oldItem.product_sn_list=product_sn_list
											//确保已设置过得序列号列表和批次号列表 不会被覆盖
											oldItem.product_production_batch_list=product_production_batch_list
											oldItem.production_amount=item.count>oldItem.count?oldItem.count:production_amount
											return;
										}
									});
								});
							}
						});
					}
					selProductList = filterSelProductList(selProductList)
					function filterSelProductList(selProductList){
						return selProductList.filter(function(product){
							product.list = product.list.filter(function(row){
								return Number(row.count) > 0
							}) || []
							return product.list.length > 0
						}) || []
					}
					console.log(selProductList);
					var AB_purchase=JSON.parse(localStorage.getItem("AB_purchase")) || [];
					var isAdd=true;
					mui.each(AB_purchase,function(i,v){
						if(v.product_id == goodsMenuVM.product.id && v.depot_id == goodsMenuVM.selectedDepot){
							v.unitChooseId = goodsMenuVM.product.unitChooseId || ''
							v.AB_purchase=purchase;
							isAdd=false;
							return false;
						}
					});
					if(isAdd){
						AB_purchase.push({
							"AB_purchase":purchase,
							"unitChooseId":goodsMenuVM.product.unitChooseId,
							"product_id":goodsMenuVM.product.id,
							"depot_id":goodsMenuVM.selectedDepot
						});
					}
					localStorage.setItem("AB_purchase",JSON.stringify(AB_purchase));
					localStorage.setItem("selProductList", JSON.stringify(selProductList));
				    sessionStorage.setItem("selProductList", JSON.stringify(selProductList));
					goodsMenuVM.selectedType = undefined
					if(goodsMenuVM.type == 2){
						viewHandle.viewFire('draft.html','updateSelProduct');
						viewHandle.back()
					}else if(goodsMenuVM.type == 'inventTory'){
						viewHandle.viewFire('caigou.html','orderAdd');
						viewHandle.openWindow('caigou.html','caigou.html')
					}else if(localStorage.getItem('type') == 4) {
						localStorage.removeItem("product");
						localStorage.removeItem('productId');
						localStorage.removeItem("selectedDepot");
						localStorage.removeItem('type');
						mui('#goodsColorSize')[0].style.display = "none";
						mui('#pinProductListVM')[0].style.display = "block";
						viewHandle.viewFire('caigou.html','orderAdd');
						viewHandle.back()
				    }else if(localStorage.getItem('type') == '4-1'){
						mui('#goodsColorSize')[0].style.display = "none";
						mui('#draftProductListVM')[0].style.display = "block";
						viewHandle.viewFire('draft.html','updateSelProduct');
						viewHandle.back()
					} else {
						if(mui('#caigouDom')[0]){
				            mui('#caigouDom')[0].style.display = "block";
							mui('#caigouDom')[0].style.visibility='visible'
				            mui('#goodsColorSize')[0].style.display = "none";
						}else{
				            location = 'caigou.html';
						}
						getSelProductList();
					}
				}
			},
			purchaseInfo: function() {
				mui.alert("修改后库存成本以移动平均价计算", '', '', '', 'div')
			}
	},
	created: function () {

	},
	mounted: function(){
		var _this = this;
		mui.plusReady(function(){
			if (getQueryString('productId')) {
				loadProductDtsInfo(getQueryString('productId'));
			}
			goodsMenuVM.getPurview()
		})
	}
});

function companyQry(productId) {
    mui.ajax(severUrl + "scm/productpicture/qry.json", {
        data : {
            "productId":productId
        },
        headers : {
            'Content-Type' : 'application/x-www-form-urlencoded'
        },
        xhrFields : {
            withCredentials : true
        },
        dataType : 'json',
        type : 'post',
        timeout : 10000,
        success : function(res) {
            if(null!=res.data && res.data!=""){
                var src = img_url+res.data.name;
                $(".phUpload").attr("src",src);
            }else{
                var src = "img/tx.jpg";
                $(".phUpload").attr("src",src);
            }
        },
		complete: function() {
			updateAmt(0)
		},
    });
}

/**
 * load product dts info
 */
function loadProductDtsInfo(productId) {
	if(!productId){
		return false
	}
    companyQry(productId);
	mui.ajax(severUrl + "scm/product/qryOp.json", {
		data: {
			"id": productId
		},
		headers: {
			'Content-Type': 'application/x-www-form-urlencoded'
		},
		xhrFields: {
			withCredentials: true
		},
		dataType: 'json',
		type: 'get',
		timeout: 20000,
        beforeSend: function() {
            mui('#dh2')[0].style.display = "block";
        },
        complete: function() {
			updateAmt(1)
            //mask.close();//关闭遮罩层
            mui('#dh2')[0].style.display = "none";
        },
		success: function (res) {
			if(res.success){
				var amt = '';
				var AB_purchase=JSON.parse(localStorage.getItem("AB_purchase"));
				var depot =sessionStorage.getItem("selectedDepot") || localStorage.getItem("selectedDepot");
				mui.each(AB_purchase,function(i,v){
					if(v.product_id == productId && v.depot_id == depot){
						amt=v.AB_purchase;
						return false;
					}
				});
				if(amt != ''){
					goodsMenuVM.product.purchase_price = Number(amt)
					goodsMenuVM.purchase_price = Number(amt)
				}else{
					goodsMenuVM.product.purchase_price = res.data.purchase_price;
					goodsMenuVM.purchase_price = res.data.purchase_price;
				}
				goodsMenuVM.purchase_price_old = res.data.purchase_price
				goodsMenuVM.product.name = res.data.name
				var x=[];
				x.push({
					"billsn":res.data.billsn,
					"category":res.data.category,
					"id":res.data.id,
					"model":res.data.model,
					"material":res.data.material,
					"name":res.data.name,
					"purchase_price":res.data.purchase_price,
					"sale_price":res.data.sale_price,
					"sale_price_b":res.data.sale_price_b,
					"status":res.data.status,
					"stock_warn":res.data.stock_warn,
					"unit":res.data.unit,
					"colorlist":res.data.colorlist,
					"colornamelist":res.data.colornamelist,
					"sizelist":res.data.sizelist,
					"sizenamelist":res.data.sizenamelist,
					"company_id":res.data.company_id,
					"remark":res.data.remark,
					"barcodes":res.data.barcodes
				});
				var category = res.data.category;
				sessionStorage.setItem('category_id',category);
				sessionStorage.setItem('category_name','');
				sessionStorage.setItem('category_parent_name','');
				var parent_id='';
				if(category != '1' && category != ''){
					var categorylist = res.data.categorylist;
					mui.each(categorylist,function(i,v){
						if(v.id == category){
							sessionStorage.setItem('category_name',v.name);
							parent_id=v.parent_id;
							return;
						}
					})
				}
				if(parent_id !=''){
					mui.each(categorylist,function(i,v){
						if(v.id == parent_id){
							sessionStorage.setItem('category_parent_name',v.name);
							return;
						}
					})
				}
				sessionStorage.setItem("list",JSON.stringify(x));
				sessionStorage.setItem("name",res.data.name);
				sessionStorage.setItem("model",res.data.model);
				sessionStorage.setItem("material",res.data.material);
				sessionStorage.setItem("purchase_price",res.data.purchase_price);
				sessionStorage.setItem("sale_price",res.data.sale_price);
				sessionStorage.setItem("sale_price_b",res.data.sale_price_b);
				sessionStorage.setItem("selColorList",JSON.stringify(res.data.colornamelist));
				sessionStorage.setItem("selSizeList",JSON.stringify(res.data.sizenamelist));
				sessionStorage.setItem("barcodes",JSON.stringify(res.data.barcodes));
				sessionStorage.setItem("id",res.data.id);
				sessionStorage.setItem("mainUnitId",res.data.main_unit);
				sessionStorage.setItem("mainUnitName",res.data.main_uint_name);
				if(goodsMenuVM.unit_show ==1) {
					var unitChooseList = [], unitList = [], unitChoose = {};
					if (res.data.main_unit != "" && res.data.main_uint_name != "") {
						unitChoose = {
							id: res.data.main_unit,
							name: res.data.main_uint_name,
							ratio: 1,
						};
						unitChooseList.push(unitChoose);
					}
					if (res.data.unitrulelist.length > 0) {
						var list = res.data.unitrulelist;
						for (var i = 0; i < list.length; i++) {
							var info = {
								id: list[i].assist_unit,
								name: list[i].assist_unit_name,
								ratio: list[i].ratio,
								editId: list[i].id,
								product_id: list[i].product_id
							};
							unitChoose = {
								id: list[i].assist_unit,
								name: list[i].assist_unit_name,
								ratio: list[i].ratio,
							};
							unitChooseList.push(unitChoose);
							unitList.push(info)
						}
					}
					goodsMenuVM.unitChooseList = unitChooseList;
					goodsMenuVM.unitMinName = '';
					goodsMenuVM.temporary = ''; //清除上次记忆
					if (goodsMenuVM.unitChooseList.length > 0) {
						goodsMenuVM.temporary = goodsMenuVM.unitChooseList[0].id;
						goodsMenuVM.unitMinName = goodsMenuVM.unitChooseList[0].name
					}
					sessionStorage.setItem("unitList",JSON.stringify(unitList))
				}
			}else{
				mui.toast(res.msg)
			}
		},
        error:function(res){
            var btnArray = ["重新加载"];
            mui.confirm('', '网络异常', btnArray, function(e) {
                location = 'caigou.html';
            },'div')
        }
	});
}

function hideTotal() { // 不用按钮控制修改 离开输入框 触发
	// mui(".btn-xiugai")[0].disabled = false;
	mui(".totalDetal")[0].style.display = 'block';
}

function getGoodsMenu(newAmt) {
	amt = newAmt
		mui("#dh2")[0].style.display = "block";
	goodsMenuVM.selectedDepot = sessionStorage.getItem("selectedDepot") || localStorage.getItem("selectedDepot");
	if(!goodsMenuVM.selectedDepot || goodsMenuVM.selectedDepot =='undefined'){
		mui.toast("仓库异常！请确认仓库是否正确！")
		return
	}
	var product = JSON.parse(sessionStorage.getItem("product")) || JSON.parse(localStorage.getItem("product"));
	if (!product) {
		return;
	}
	if(null!=newAmt){
        goodsMenuVM.purchase_price=newAmt;
	}else{
        goodsMenuVM.purchase_price=product.purchase_price;
	}
	goodsMenuVM.product.model = product.model;
	goodsMenuVM.colorList = [];
	goodsMenuVM.sizeList = [];
	goodsMenuVM.unitChooseName = '';
	mui.ajax(severUrl + "scm/stock/qryOpWithsales.json", {
		data: {
			product_id: product.product_id,
			depot_id: goodsMenuVM.selectedDepot
		},
		headers: {
			'Content-Type': 'application/x-www-form-urlencoded'
		},
		xhrFields: {
			withCredentials: true
		},
		beforeSend: function() {
			mui('.loadColorAndSize').button('loading');
		},
		complete: function() {
			updateAmt(2)
		},
		dataType: 'json',//服务器返回json格式数据
		type: 'post',//HTTP请求类型
		timeout: 20000,//超时时间设置为20秒；
		success: function (res) {
			// debug
			console.log('商品类型(0销|1退|undefined未初始化):' + goodsMenuVM.selectedType)
			mui("#dh2")[0].style.display = "none";
			mui('.loadColorAndSize').button('reset');
			var colorList = [];
			var sizeList = [];
			mui.each(res.data, function (index, value) {
				value.count = 0;
				value.used_amount = 0;
				value.ordertype = 0;
				if (index != 0) {
					var i, j;
					for (i = 0; i < colorList.length; i++) {
						if (value.color_id == colorList[i].color_id) {
							break;
						}
					}
					for (j = 0; j < sizeList.length; j++) {
						if (value.size_id == sizeList[j].size_id) {
							break;
						}
					}
					if (i == colorList.length) {
						colorList.push({ color_name: value.color_name, color_id: value.color_id });
					}
					if (j == sizeList.length) {
						sizeList.push({ size_name: value.size_name, size_id: value.size_id });
					}
				} else {
					colorList.push({ color_name: value.color_name, color_id: value.color_id });
					sizeList.push({ size_name: value.size_name, size_id: value.size_id });
				}
			});

			product.list = res.data;
			var selProductList = JSON.parse(localStorage.getItem("selProductList"));

			if (selProductList && selProductList.length != 0) {
				mui.each(selProductList, function (index, value) {
					goodsMenuVM.unitChoose = '';
					if (value.id == product.product_id && value.depot_id == goodsMenuVM.selectedDepot && (goodsMenuVM.selectedType === undefined || goodsMenuVM.selectedType === value.type)) {
						goodsMenuVM.$nextTick(function(){
							setTimeout(function(){
								if(value.unitChooseId){
									goodsMenuVM.temporary = value.unitChooseId;
									goodsMenuVM.unitChoose = goodsMenuVM.temporary;
									mui.each(goodsMenuVM.unitChooseList,function(i,v){
										if(v.id == goodsMenuVM.unitChoose){
											goodsMenuVM.unitChooseName = v.name;
										}
									})
								}else{
									goodsMenuVM.unitChoose = goodsMenuVM.temporary;
									goodsMenuVM.unitChooseName = '';
									mui.each(goodsMenuVM.unitChooseList,function(i,v){
										if(v.id == goodsMenuVM.unitChoose){
											goodsMenuVM.unitChooseName = v.name;
										}
									})
								}
							},150)
						});
						mui.each(product.list, function (index1, value1) {
							mui.each(value.list, function (index2, value2) {
								if (value2.color_id == value1.color_id && value2.size_id == value1.size_id) {
									// 存在当前的单品
									if(goodsMenuVM.selectedType === undefined){
										// 商品选择类型未初始化 执行之前的逻辑
										value1.count = value2.count;
									}else{
										// 处理不同类型的商品数量展示
										if(goodsMenuVM.selectedType === CONSTANT.SALES){
											if(value2.ordertype === CONSTANT.SALES){
												value1.count = value2.count;
											}else{
												value1.count = 0
											}
										}else if(goodsMenuVM.selectedType === CONSTANT.SALES_RETURN_OF_GOODS){
											if(value2.ordertype === CONSTANT.SALES_RETURN_OF_GOODS){
												value1.count = value2.count;
											}else{
												value1.count = 0
											}
										}
									}
									// return false;
								}
							});
						});
					}else{
						goodsMenuVM.$nextTick(function(){
							setTimeout(function(){
								goodsMenuVM.unitChoose = goodsMenuVM.temporary;
								mui.each(goodsMenuVM.unitChooseList,function(i,v){
									if(v.id == goodsMenuVM.unitChoose){
										goodsMenuVM.unitChooseName = v.name;
									}
								})
							},150)
						});
					}
				});
			}else{
				goodsMenuVM.$nextTick(function(){
					setTimeout(function(){
						goodsMenuVM.unitChoose = goodsMenuVM.temporary;
						mui.each(goodsMenuVM.unitChooseList,function(i,v){
							if(v.id == goodsMenuVM.unitChoose){
								goodsMenuVM.unitChooseName = v.name;
							}
						})
					},150)
				});
			}
			goodsMenuVM.sizeList = sizeList;
			goodsMenuVM.colorList = colorList;
			if (colorList.length != 0) {
				if(goodsMenuVM.color_show == 0){
					var hideColorList = [];
					hideColorList.push(colorList[0]);
					goodsMenuVM.colorList=hideColorList
				}
			}
			goodsMenuVM.selTabId = colorList[0].color_id;
			goodsMenuVM.product = product;
			goodsMenuVM.calculation();
		}
	});
}
function kufang() {
	var depotList = JSON.parse(localStorage.getItem("depotList"));
	var id = sessionStorage.selectedDepot || localStorage.selectedDepot;

	mui.each(depotList, function (index, value) {
		if (value.id == id) {
			goodsMenuVM.stock = value.name;
			sessionStorage.setItem("name", value.name);
		}
	});
}

mui('.mui-media').on('tap', '.link-product-attr', function () {
	if (getQueryString('type')) {
		location = 'changeItem.html?productId=' + getQueryString('productId') + '&page=' + 'goodsColorSize' + '&type=' + getQueryString('type')
	}else {
		var listSend = {};
		listSend.list = JSON.parse(sessionStorage.getItem("list"));
		listSend.mainUnitId = sessionStorage.getItem("mainUnitId");
		listSend.mainUnitName = sessionStorage.getItem("mainUnitName");
		listSend.unitList = JSON.parse(sessionStorage.getItem("unitList"));
		listSend.category_id = sessionStorage.getItem("category_id");
		listSend.category_name = sessionStorage.getItem("category_name");
		listSend.category_parent_name = sessionStorage.getItem("category_parent_name");
		viewHandle.viewFire('changeItem.html','changeItem',listSend);
		viewHandle.openWindow('changeItem.html','changeItem.html',JSON.stringify(listSend))
	}
});

mui('.mui-content').on('tap', '.look-price', function(){
	if(goodsMenuVM.isOpen && goodsMenuVM.purchaseManager){
        goodsMenuVM.isOpen=false;
	}else if(!goodsMenuVM.isOpen && goodsMenuVM.purchaseManager){
        goodsMenuVM.isOpen=true;
	}else{
		mui.toast('没有查看权限！')
	}
});
mui('.mui-media').on('tap', '.show-img-info', function () {
	var id =JSON.parse(sessionStorage.getItem("product")||'[]').product_id||sessionStorage.getItem("productId")||JSON.parse(localStorage.getItem("product")||'[]').product_id|| localStorage.getItem("productId");
	var name = goodsMenuVM.product.name;
	mui.ajax(severUrl + "scm/product/qryProductPicturesById", {
		data: {
			id: id
		},
		headers: {
			'Content-Type': 'application/x-www-form-urlencoded'
		},
		xhrFields: {
			withCredentials: true
		},
		dataType: 'json',
		type: 'POST',
		timeout: 10000,
		success: function(res) {
			if (res.data.length > 0) {
				var list = res.data;
				for (var i = 0; i < list.length; i++) {
					list[i].name = img_url + list[i].name;
					list[i].product_name = name
				}
				var html = '';
				list.forEach(function(v, i) {
					if (v.is_default == 1) {
						html += '<a href="' + v.name + '" class="swipebox" title="主图">' +
							'<img src="' + v.name + '" alt="image">' +
							'</a>'
					} else {
						html += '<a href="' + v.name + '" class="swipebox" title="' + v.product_name + '">' +
							'<img src="' + v.name + '" alt="image">' +
							'</a>'
					}
				});
				$("#photo").html('');
				$("#photo").append(html);
				if (mui.os.ios == true) {
					$(".swipebox")[0].click()
				}
				$(".swipebox")[0].click()
			} else {
				mui.toast("您未上传图片")
			}
		}
	});
});
mui('.mui-bar').on('tap', '.back-cg', function(){
	if(goodsMenuVM.type == 2){
		viewHandle.back()
	}else if(goodsMenuVM.type == 'inventTory'){
		viewHandle.back()
	}else if(localStorage.getItem("type")== '4-1'){
	}else if(localStorage.getItem("type")== '4'){
		mui('#goodsColorSize')[0].style.display = "none";
		mui('#pinProductListVM')[0].style.display = "block";
	}else{
		mui('#caigouDom')[0].style.display = "block";
		mui('#caigouDom')[0].style.visibility='visible'
		mui('#goodsColorSize')[0].style.display = "none";
	}
});
function lookPrice() {
	if (!goodsMenuVM.isOpen && goodsMenuVM.purchaseManager) {
		goodsMenuVM.isOpen = true;
		goodsMenuVM.$nextTick(function () {
			document.getElementById("priceIpt").focus();
			// mui(".btn-xiugai")[0].disabled = true;
			mui(".totalDetal")[0].style.display = 'none';
		})
	}else if(!goodsMenuVM.purchaseManager) {
		mui.toast('没有查看权限！');
	}
}

function clearZero(obj) {
	obj.value = "";
	return false;
}

const EVENTLISTENER = {
	addKeyboardEventListener(cbFn){
		if(mui){
			mui.plusReady(function(){
				if(plus.os.name === 'iOS'){
					EVENTLISTENER.addKeyboardEventListenerIOS(cbFn)
				}else{
					EVENTLISTENER.addKeyboardEventListenerAndroid(cbFn)
				}
			})
		}
	},
	// android 键盘收回
	addKeyboardEventListenerAndroid(cbFn){
		let originHeight = window.innerHeight;
		window.addEventListener('resize',function (){
			let currHeight = window.innerHeight;

			if(currHeight < originHeight){
				//当软键盘弹起，在此处操作
				cbFn&&cbFn('show')
			}else{
				//当软键盘收起，在此处操作
				cbFn&&cbFn('hide')
			}

		})
	},
	// ios 键盘收回
	addKeyboardEventListenerIOS(cbFn){
		document.body.addEventListener('focusin', () => {
			cbFn&&cbFn('show')
		})
		document.body.addEventListener('focusout', () => {
			cbFn&&cbFn('hide')
		})
	}
}
EVENTLISTENER.addKeyboardEventListener(function(type){
	type === 'hide'&& hideTotal()
})

/**
 * 新增商品 添加__id__
 * @param product goodsMenuVM.product
 */
function addNewProductID(product){
	if(Array.isArray(product.list)){
		product = JSON.parse(JSON.stringify(product))
		product.list.forEach(function(i){i.__id__ = productListIdUtil.getNext();i.__pid__ = 0; i.op_id_ = i.__id__})
	}
	return product
}