mui.plusReady(function(){
    var arg = plus.webview.currentWebview().arg;
    if(arg){
        arg = JSON.parse(arg);
        income_expenses_history_infoVM.subject_type = arg.type;
        income_expenses_history_infoVM.subject_id = arg.id;
        income_expenses_history_infoVM.depot_name = arg.depot_name;
        income_expenses_history_infoVM.creater_name = arg.user_name;
        if(arg.type == 1){
            $('.titleName').html('支出')
        }else{
            $('.titleName').html('收入')
        }
        getById()
    }
});
var income_expenses_history_infoVM = new Vue({
    el: '#income_expenses_history_infoVM',
    data: {
        id:'',
        subject_id: '',
        subject_name: '',
        subject_type: 0,
        account_id: '',
        account_name: '',
        account_type: 0,
        amt:0,
        depot_id: '',
        depot_name: '',
        remark:'',
        is_deleted:0,
        creater_id:'', //经手人
        creater_name:'', //经手人
        create_datetime:'',
        sign_date:'',
        //权限相关
        positionName:false,
        stockManager:false,
        purchaseManager:false,
        companySetIndustry:true,
        labelPprinter:false,
        faAccount:true,
        is_advanced:0,
        company_name:'',
        company_id:'',
        user_id:'',
        jifenshow:false,
        bindDepot:-1,
        //--------------------
    },
    methods: {
        getPurview :function(){//获取权限
            var _this = this;
            mui.ajax(severUrl + "sso/user/qryOp.json", {
                data : {
                    id : ''
                },
                headers : {
                    'Content-Type' : 'application/x-www-form-urlencoded'
                },
                xhrFields : {
                    withCredentials : true
                },
                dataType : 'json',
                type : 'post',
                timeout : 30000,
                async : false,
                success : function(res) {
                    if (res.success) {
                        // var position_name = res.data.position_name;
                        _this.company_name = res.data.company_name;
                        _this.company_id = res.data.company_id;
                        _this.bindDepot = res.data.manage_depot_id;
                        _this.user_id = res.data.id;
                        var code = res.data.position,permission = code.permission;
                        if(permission.indexOf('A11_1_O') >=0 || permission.indexOf('A11_1_E') >=0){
                            _this.positionName = true
                        }else{
                            _this.positionName = false
                        }
                        permission.indexOf('A4_1_E') >=0?_this.stockManager = true:_this.stockManager = false;
                        permission.indexOf('FA_ACC') >=0?_this.faAccount = true:_this.faAccount = false;
                        permission.indexOf('LOOK_PURCHASE') >=0?_this.purchaseManager = true:_this.purchaseManager = false;
                        permission.indexOf('ONLY_PRINT') >=0?_this.labelPprinter = true:_this.labelPprinter = false;
                        'RFRk,eYVo,y0oa,mVbc,pqrB,pDAY,CCP2,Oo4T,LfTY'.indexOf(_this.company_id) >=0?_this.jifenshow = true:_this.jifenshow=false
                        _this.companySetIndustry = res.data.company_set_industry;
                    }

                }
            });
        },
        deleted:function(){
            mui.ajax(severUrl + "fa/subjectHistory/deleted.json", {
                data: {
                    id:income_expenses_history_infoVM.subject_id
                },
                headers: {
                    'Content-Type': 'application/x-www-form-urlencoded'
                },
                xhrFields: {
                    withCredentials: true
                },
                dataType: 'json',
                type: 'post',
                timeout: 10000,
                success: function (res) {
                    mui.toast(res.msg);
                    if(res.success){
                        setTimeout(function(){
                            var listSend = {};
                            listSend.id = income_expenses_history_infoVM.subject_id;
                            viewHandle.viewFire('income_expenses_history.html','deleteBack',listSend);
                            viewHandle.back('close')
                        },500)
                    }
                }
            });
        },
        del:function(){
            mui.ajax(severUrl + "fa/subjectHistory/deletedInvalid.json", {
                data: {
                    id:income_expenses_history_infoVM.subject_id
                },
                headers: {
                    'Content-Type': 'application/x-www-form-urlencoded'
                },
                xhrFields: {
                    withCredentials: true
                },
                dataType: 'json',
                type: 'post',
                timeout: 10000,
                success: function (res) {
                    mui.toast(res.msg);
                    if(res.success){
                        setTimeout(function(){
                            var listSend = {};
                            listSend.id = income_expenses_history_infoVM.subject_id;
                            listSend.type = 'del';
                            viewHandle.viewFire('income_expenses_history.html','deleteBack',listSend);
                            viewHandle.back('close')
                        },500)
                    }
                }
            });
        }
    },
    computed:{
        typeName:function(){
            if(this.subject_type == 0){
                return '支出'
            }else{
                return '收入'
            }
        }
    },
    created: function(){

    },
    mounted:function () {
        var _this = this;
        mui.plusReady(function () {
            _this.getPurview()
        })
    }
});
function getById(){
    mui.ajax(severUrl + "fa/subjectHistory/info.json", {
        data: {
            id:income_expenses_history_infoVM.subject_id
        },
        headers: {
            'Content-Type': 'application/x-www-form-urlencoded'
        },
        xhrFields: {
            withCredentials: true
        },
        dataType: 'json',
        type: 'post',
        timeout: 10000,
        success: function (res) {
            income_expenses_history_infoVM.subject_name = res.data.subject_info.name;
            income_expenses_history_infoVM.account_name = res.data.account_info.name;
            income_expenses_history_infoVM.account_type = res.data.account_type;
            income_expenses_history_infoVM.amt = res.data.amt;
            income_expenses_history_infoVM.is_deleted = res.data.is_deleted;
            income_expenses_history_infoVM.remark = res.data.remark;
            income_expenses_history_infoVM.create_datetime = res.data.create_datetime;//业务日期
            income_expenses_history_infoVM.sign_date = res.data.sign_date;//业务日期
        }
    });
}


mui('body').on('tap','.muiBack',function(){
    viewHandle.back('close')
});
