var intergralDeductionVM = new Vue({
	el: '#intergralDeductionVM',
	data: {
		//订单信息
		orderList:'',
		WIDout_trade_no:'',
		WIDsubject: '积分增值服务',
		WIDtotal_amount:'',
		WIDbody:'',
		order_add_column:'subscribe_integral',
		order_add_count:'100',
		order_add_end_date:'',
		creater_id:'',
		endDate:'',
		a_year:'', //一年后
		half_a_year:'', //半年后
		//权限相关
		positionName:false,
		stockManager:false,
		purchaseManager:false,
		companySetIndustry:true,
		labelPprinter:false,
		faAccount:true,
		is_advanced:0,
		company_name:'',
		company_id:'',
		user_id:'',
		jifenshow:false,
		bindDepot:-1,
		//--------------------
		isIosOne:false
	},
	methods: {
		getPurview :function(){//获取权限
			var _this = this;
			mui.ajax(severUrl + "sso/user/qryOp.json", {
				data : {
					id : ''
				},
				headers : {
					'Content-Type' : 'application/x-www-form-urlencoded'
				},
				xhrFields : {
					withCredentials : true
				},
				dataType : 'json',
				type : 'post',
				timeout : 30000,
				async : false,
				success : function(res) {
					if (res.success) {
						// var position_name = res.data.position_name;
						_this.company_name = res.data.company_name;
						_this.company_id = res.data.company_id;
						_this.bindDepot = res.data.manage_depot_id;
						_this.user_id = res.data.id;
						var code = res.data.position,permission = code.permission;
						if(permission.indexOf('A11_1_O') >=0 || permission.indexOf('A11_1_E') >=0){
							_this.positionName = true
						}else{
							_this.positionName = false
						}
						permission.indexOf('A4_1_E') >=0?_this.stockManager = true:_this.stockManager = false;
						permission.indexOf('FA_ACC') >=0?_this.faAccount = true:_this.faAccount = false;
						permission.indexOf('LOOK_PURCHASE') >=0?_this.purchaseManager = true:_this.purchaseManager = false;
						permission.indexOf('ONLY_PRINT') >=0?_this.labelPprinter = true:_this.labelPprinter = false;
						'RFRk,eYVo,y0oa,mVbc,pqrB,pDAY,CCP2,Oo4T,LfTY'.indexOf(_this.company_id) >=0?_this.jifenshow = true:_this.jifenshow=false
						_this.companySetIndustry = res.data.company_set_industry;
					}

				}
			});
		},
		zfbPay:function(){
			if($(".colorA").hasClass("editInstructions")){
				intergralDeductionVM.WIDtotal_amount=30;
				intergralDeductionVM.order_add_end_date=intergralDeductionVM.half_a_year
			}else{
				intergralDeductionVM.WIDtotal_amount=50;
				intergralDeductionVM.order_add_end_date=intergralDeductionVM.a_year
			}
			intergralDeductionVM.WIDout_trade_no=payNum();
			console.log(intergralDeductionVM.creater_id+','+intergralDeductionVM.company_id);
			setTimeout(function(){
				$(".new-btn-login").click();
			},500)
		},
		wxPay:function(){
			if($(".colorA").hasClass("editInstructions")){
				intergralDeductionVM.WIDtotal_amount=30;
				intergralDeductionVM.order_add_end_date=intergralDeductionVM.half_a_year
			}else{
				intergralDeductionVM.WIDtotal_amount=50;
				intergralDeductionVM.order_add_end_date=intergralDeductionVM.a_year
			}
			setTimeout(function(){

				if(mui.os.ios===true && localStorage.getItem('open_pay_ios')==1){
									var serviceUrl=localStorage.getItem('nopay_url_ios_wx')
								}else{
									var serviceUrl=localStorage.getItem('w_pay_url')
								}
				mui.ajax(serviceUrl,{
					data:{
						out_trade_no:payNum(),
						body:intergralDeductionVM.WIDsubject,
						total_fee:intergralDeductionVM.WIDtotal_amount,
						creater_id:intergralDeductionVM.creater_id,
						company_id:intergralDeductionVM.company_id,
						order_add_column:intergralDeductionVM.order_add_column,
						order_add_count:intergralDeductionVM.order_add_count,
						order_add_end_date:intergralDeductionVM.order_add_end_date
					},
					headers: {
						'Content-Type':'application/x-www-form-urlencoded'
					},
					xhrFields: {
						withCredentials: true
					},
					type:'post',
					timeout:10000,
					success:function(res){
						if(res.success){
							if (mui.os.ios == true) {
								wxPay_i(res.data)
							} else if (mui.os.android == true) {
								mui.plusReady(function() {
									var pkgname = 'com.tencent.mm';
									if (plus.runtime.isApplicationExist({ pname: pkgname})) {
										wxPay(res.data)
									}else{
										mui.toast("未检查到微信")
									}
								})
							}
						}else{
							mui.toast(res.msg)
						}
					}
				});
			},500)
		},
		orderHistory:function(){
			mui.ajax({// 商品定制/仓库定制/子账户/客户&&供应商定制
				url: severUrl + "pay/order/qryOrderList.json",
				type:'post',
				headers: {
					'Content-Type': 'application/x-www-form-urlencoded'
				},
				xhrFields: {
					withCredentials: true
				},
				data:{
					order_state: '',
					order_add_type:'subscribe_integral'
				},
				success:function (res) {
					if(res.data.length>0){
						intergralDeductionVM.orderList=res.data;
						$(".VIPDom").css('display','none');
						$("#orderHistory").css('display','block')
					}else{
						mui.toast("暂无订单历史")
					}
				}
			})
		}

	},
	created: function(){

	},
	mounted: function(){
		var _this = this;
		mui.plusReady(function(){
			getUser();
			dxQryOp();
			_this.getPurview()
		})
		if(mui.os.ios===true && localStorage.getItem('open_pay_ios')==1){
					intergralDeductionVM.isIosOne=true
				}
	}

});

mui("body").on('tap','.colorA',function(e){

	$(".colorB").removeClass("editInstructions");
	$(".colorA").addClass("editInstructions")
});

mui("body").on('tap','.colorB',function(e){
	$(".colorA").removeClass("editInstructions");
	$(".colorB").addClass("editInstructions")
});

//获取当前日期一年后
function loadDateAddYear(type) {
	var myDate = new Date();
	var Y = myDate.getFullYear() + 1;
	var M = (myDate.getMonth() +1);
	var D = myDate.getDate();
	M >= 10 ? M = M : M = 0 + "" + M;
	D >= 10 ? D = D : D = 0 + "" + D;

	if (type == 1) {
		return Y + '-' + M + '-' + D;
	} else if (type == 2) {
		return Y + '-' + M + '-' + '01';
	}
}
function loadDate(type) {
	var myDate = new Date();
	var Y = myDate.getFullYear();
	var M = (myDate.getMonth() +1);
	var D = myDate.getDate();
	if(12 - M >=6){
		M+=6
	}else{
		Y+=1;
		M=6-(12 - M)
	}
	M >= 10 ? M = M : M = 0 + "" + M;
	D >= 10 ? D = D : D = 0 + "" + D;

	if (type == 1) {
		return Y + '-' + M + '-' + D;
	} else if (type == 2) {
		return Y + '-' + M + '-' + '01';
	}
}
//指定日期半年后
function getMyData(val){
	var d = new Date(val.replace(/-/g, "/"));
	d = new Date(d);
	var year = d.getFullYear();
	var mon = d.getMonth()+1;
	var day = d.getDate();
	if(12 - mon >=6){
		mon+=6
	}else{
		year+=1;
		mon=6-(12 -mon)
	}
	var s = year+"-"+(mon<10?('0'+mon):mon)+"-"+(day<10?('0'+day):day);
	return(s);
}
//指定日期一年后
function getMyYearData(val){
	var d = new Date(val.replace(/-/g, "/"));
	d = new Date(d);
	var year = d.getFullYear() + 1;
	var mon = d.getMonth()+1;
	var day = d.getDate();
	var s = year+"-"+(mon<10?('0'+mon):mon)+"-"+(day<10?('0'+day):day);
	return(s);
}
//简易随机四位数
function rand(min,max) {
	return Math.floor(Math.random()*(max-min))+min;
}
//订单编号
function payNum(){
	var vNow = new Date();
	var sNow = "";
	sNow += String(vNow.getFullYear());
	sNow += String(vNow.getMonth() + 1);
	sNow += String(vNow.getDate());
	sNow += String(vNow.getHours());
	sNow += String(vNow.getMinutes());
	sNow += String(vNow.getSeconds());
	sNow += String(vNow.getMilliseconds());
	sNow +=rand(1000,9999);
	return sNow;
}

//获取公司信息
function getUser(){
	mui.ajax({
		url:severUrl+"sso/user/qryOp.json",
		headers: {
			'Content-Type': 'application/x-www-form-urlencoded'
		},
		xhrFields: {
			withCredentials: true
		},
		type:"post",
		dataType:"json",
		timeout:10000,
		success:function(res){
			intergralDeductionVM.creater_id=res.data.id;
			intergralDeductionVM.company_id=res.data.company_id;
		}
	});
}
//抵现获取
function dxQryOp(){
	mui.ajax(severUrl + "crm/integralreducerule/qryOp.json", {
		data : {

		},
		headers : {
			'Content-Type' : 'application/x-www-form-urlencoded'
		},
		xhrFields : {
			withCredentials : true
		},
		dataType : 'json',
		type : 'post',
		timeout : 10000,
		success : function(res) {
			if(res.success){
				intergralDeductionVM.$nextTick(function(){
					intergralDeductionVM.half_a_year=getMyData(res.data.end_date.substr(0,10));
					intergralDeductionVM.a_year=getMyYearData(res.data.end_date.substr(0,10))
				})
			}else{
				intergralDeductionVM.$nextTick(function(){
					intergralDeductionVM.half_a_year=loadDate(1);
					intergralDeductionVM.a_year=loadDateAddYear(1)
				})
			}
		}
	});
}
mui('body').on('tap','.historyBack',function(){
    $(".VIPDom").css('display','block');
    $("#orderHistory").css('display','none')
});
mui('body').on('tap','.muiBack',function(){
	viewHandle.back('close')
});