var msgIndex = 0
mui.plusReady(function(e) {
	// 关闭ios侧滑返回
	plus.webview.currentWebview().setStyle({
		'popGesture': 'none'
	});
	var args = JSON.parse(plus.webview.currentWebview().arg);
	if (msgIndex == 0) {
		msgIndex++;
		if (args.msg == '' || args.msg == '登录超时，请重新登录') {
			mui.toast(args.msg)
		} else {
			mui.alert(args.msg, '', '', '', 'div');
		}
	}
	// 关闭所有页面 保留自己 和 首页
	let WA = plus.webview.all();
	let currWA = plus.webview.currentWebview()
	for (let i = 0; i < WA.length; i++) {
		if (currWA !== WA[i] && WA[i].id !== 'H576E5848') {
			WA[i].close('none',150)
		}
	}
	// sessionStorage.clear(); //无效
	// localStorage.clear();
})
var loginVM = new Vue({
	el: '#loginVM',
	data: {
		userno: '',
		pwd: '',
		validCode: '',
		autoLogin: true,
		// yzmSrc: severUrl + 'ValidCode',
		yzmSrc: '',
		openEye: true,
		loginToken: '',
		unionId:''
	},
	methods: {
		submitForm: function() {
			if (loginVM.userno == '') {
				mui.toast('请输入账号');
			} else if (loginVM.pwd == '') {
				mui.toast('请输入密码 ');
			} else if ($('#slider').css('display') != 'none') {
				return
			} else {
				// 账号密码都已输入
				// 判断请求返回没 
				if (slider.requestBack == true) {
					slider.requestBack = false
				} else {
					$('#slider').css('display', 'block')
					return
				}
				// 8.24
				slider.loading = true
				mui.ajax(severUrl + "ValidCode/jpgs", {
					data:{
						codeId: '',
						unionId:loginVM.unionId
					},
					type: 'GET',
					dataType: "json",
					xhrFields: {
						withCredentials: true
					},
					crossDomain: true, //crossDomain设置为true，强制使用5+跨域
					success: function(res) {
						slider.requestBack=true
						if (res.status == 200) {
							slider.image1 = res.data.image1
							slider.image2 = res.data.image2
							slider.loading = false
							slider.isCanSlide = true
							slider.startTime = new Date().getTime()
							slider.codeId = res.data.codeId
							$('.auth-canvas2_').css('top',res.data.y)
						} else {
							mui.toast(res.msg)
							$('#slider').css('display', 'none')
							// 禁用按钮
							$("#loginBtn").attr("disabled", 'disabled');
							// 一分钟后放开禁用按钮
							setTimeout(function() {
								$("#loginBtn").attr('disabled', false)
							}, 60000)
						}
					}
				})
				console.log(slider.codeId)
				$('#slider').css('display', 'block')
			}
		},
		eyeOpen: function() {
			loginVM.openEye = !loginVM.openEye;
			var password = document.getElementById("password");
			if (loginVM.openEye) {
				password.type = "password"
			} else {
				password.type = "text"
			}
		},
		getPublicKey: function() {
			if (!localStorage || !localStorage['publicKey']) {
				mui.ajax({
					type: 'POST',
					url: severUrl + "getPublicKey.json",
					success: function(res) {
						if (res.success) {
							localStorage['publicKey'] = res.data.publicKey;
						}
					}
				})
			}
		},
		getValidCode: function() {
			// var img = mui(".validCode")[0];
			mui.ajax(severUrl + "ValidCode/newJpg.json", {
				data: {

				},
				dataType: 'json', //服务器返回json格式数据
				type: 'post', //HTTP请求类型
				xhrFields: {
					withCredentials: true
				},
				crossDomain: true, //crossDomain设置为true，强制使用5+跨域
				timeout: 10000, //超时时间设置为10秒；
				success: function(data) {
					if (data.success) {
						loginVM.yzmSrc = "data:image/jpg;base64," + data.data;
					} else {
						mui.toast(data.msg)
					}
				}
			});
		}
	},
	mounted: function() {
		var _this = this;
		localStorage.removeItem("publicKey");
		mui.plusReady(function() {
			_this.getPublicKey()
			// _this.getValidCode()
		})

		mui.ajax(severUrl + 'preIndex', {
			data: {
				codeId: ''
			},
			type: 'GET',
			dataType: "json",
			success: function(res) {
				console.log(res)
				if (res.success) {
					loginVM.loginToken = res.data.token
					loginVM.unionId=res.data.unionId
				} else {
					mui.toast(res.msg);
				}
			}
		})
	},
	created: function() {
		setListener();
	}
});

function showHideCopy(type) {
	if (type == 1) {
		document.getElementsByClassName("beian")[0].style.display = "none";
	} else {
		document.getElementsByClassName("beian")[0].style.display = "block";
	}
}

mui('.mui-content').on('focus', '.mui-input-clear', function(e) {
	e.preventDefault();

});

function chatQQ() {
	window.open("mqqwpa://im/chat?chat_type=wpa&uin=1740565494&version=1&src_type=web&web_src=oicqzone.com");
}

function setListener() {
	var pageHeight = sessionStorage.getItem("pageHeight");
	if (!pageHeight) {
		pageHeight = document.documentElement.clientHeight;
		sessionStorage.setItem("pageHeight", pageHeight);
	}
	setTimeout(function() {
		localStorage.removeItem("initializeAccount")
	}, 1000);
	//   document.getElementsByTagName("body")[0].style.height=pageHeight*2+"px";

	mui(".mui-content").on('tap', '.validCodeBox', function() {
		updataValidCode();
	});
	mui('body').on('tap', '.beian', function(e) {
		e.preventDefault();
		var href = this.dataset.href;
		if (href) {
			location.replace(href);
		}
	});
	mui('body').on('tap', '.register', function(e) {
		e.preventDefault();
		viewHandle.openWindow('view/register.html', 'register.html')
	});
	mui('body').on('tap', '.modifyPassword', function(e) {
		e.preventDefault();
		viewHandle.openWindow('view/modifyPassword.html', 'modifyPassword.html')
	});
}

function updataValidCode() {
	//img.src = severUrl+"ValidCode?t=" + Math.random();
	loginVM.validCode = undefined
	loginVM.getValidCode()
}

function pourTime(btn) {
	var btn = document.getElementById('rancode');
	if (wait == 0) {
		btn.removeAttribute("disabled");
		btn.innerHTML = "重新发送";
		wait = 59;
	} else {
		btn.innerHTML = "(" + wait + "s)重新发送";
		wait--;
		setTimeout(function() {
				pourTime(btn);
			},
			1000)
	}
}
