function loadNowDate(type) {
    var myDate = new Date();
    var Y = myDate.getFullYear();
    var M = (myDate.getMonth() + 1);
    var D = myDate.getDate();

    M >= 10 ? M = M : M = 0 + "" + M;
    D >= 10 ? D = D : D = 0 + "" + D;

    if (type == 1) {
        return Y + '-' + M + '-' + D;
    } else if (type == 2) {
        return Y + '-' + M + '-' + '01';
    }

}
var messageListVM = new Vue({
    el: '#messageListVM',
    data: {
        pageTabId: 'no',
        noReadList: [],
        readList: [],
        //权限相关
        positionName:false,
        stockManager:false,
        purchaseManager:false,
        companySetIndustry:true,
        labelPprinter:false,
        faAccount:true,
        is_advanced:0,
        company_name:'',
        company_id:'',
        user_id:'',
        jifenshow:false,
        bindDepot:-1,
        //--------------------
    },
    methods: {
        getPurview :function(){//获取权限
            var _this = this;
            mui.ajax(severUrl + "sso/user/qryOp.json", {
                data : {
                    id : ''
                },
                headers : {
                    'Content-Type' : 'application/x-www-form-urlencoded'
                },
                xhrFields : {
                    withCredentials : true
                },
                dataType : 'json',
                type : 'post',
                timeout : 30000,
                async : false,
                success : function(res) {
                    if (res.success) {
                        // var position_name = res.data.position_name;
                        _this.company_name = res.data.company_name;
                        _this.company_id = res.data.company_id;
                        _this.bindDepot = res.data.manage_depot_id;
                        _this.user_id = res.data.id;
                        var code = res.data.position,permission = code.permission;
                        if(permission.indexOf('A11_1_O') >=0 || permission.indexOf('A11_1_E') >=0){
                            _this.positionName = true
                        }else{
                            _this.positionName = false
                        }
                        permission.indexOf('A4_1_E') >=0?_this.stockManager = true:_this.stockManager = false;
                        permission.indexOf('FA_ACC') >=0?_this.faAccount = true:_this.faAccount = false;
                        permission.indexOf('LOOK_PURCHASE') >=0?_this.purchaseManager = true:_this.purchaseManager = false;
                        permission.indexOf('ONLY_PRINT') >=0?_this.labelPprinter = true:_this.labelPprinter = false;
                        'RFRk,eYVo,y0oa,mVbc,pqrB,pDAY,CCP2,Oo4T,LfTY'.indexOf(_this.company_id) >=0?_this.jifenshow = true:_this.jifenshow=false
                        _this.companySetIndustry = res.data.company_set_industry;
                    }

                }
            });
        },
    },
    created: function () {},
    mounted:function(){
        var _this = this;
        mui.plusReady(function(){
            getNoReadMessageList();
            _this.getPurview()
        })
    }
});
mui('.mui-scroll-wrapper').scroll({
    deceleration: 0.0006
});
mui("#slider")[0].addEventListener('slide', function(e) {
    if(e.detail.slideNumber === 0){
        getNoReadMessageList()
    }else if(e.detail.slideNumber === 1){
        getReadMessageList()
    }
});

mui("body").on('tap',".readSpan",function(){
    mui.ajax({
        url:severUrl+"sso/message/readMessage.json",
        data:{
            notice_id:this.dataset.id,
            company_id:""
        },
        headers: {
            'Content-Type': 'application/x-www-form-urlencoded'
        },
        xhrFields: {
            withCredentials: true
        },
        type:"post",
        dataType:"json",
        timeout:10000,
        success:function(res){
            if(res.success){
                mui.toast("设置成功");
                setTimeout(function(){
                    if(messageListVM.noReadList.length==1){
                        localStorage.setItem("qryType",0)
                    }
                    window.location.reload()
                },500)
            }
        }
    });
});
function getNoReadMessageList(){
    mui.ajax({
        url:severUrl+"sso/message/qryNoReadMessage.json",
        data:{
            type:1,
            forceRead:1 //1：从数据库查询数据；非1：从缓存获取
        },
        type:"post",
        headers: {
            'Content-Type': 'application/x-www-form-urlencoded'
        },
        xhrFields: {
            withCredentials: true
        },
        dataType:"json",
        timeout:10000,
        success:function(res){
            if(res.success){
                messageListVM.noReadList=res.data;
                if(messageListVM.noReadList.length>0){
                    if(res.data.length >99){
                        localStorage.setItem('messageNum',"99+")
                    }else{
                        localStorage.setItem('messageNum',res.data.length)
                    }
                    localStorage.setItem("qryType",1);

                }else{
                    localStorage.removeItem('messageNum');
                    localStorage.setItem("qryType",0)
                }
                messageListVM.$nextTick(function() {
                    $(".titleHeight").each(function () {
                        var h=this.offsetHeight;
                        if(h>10 && h<18){
                            $(this).css("line-height","35px");
                            $(this).parent().css("position","absolute")
                        }
                    })
                })
            }
        }
    });
}
function getReadMessageList(){
    mui.ajax({
        url:severUrl+"sso/message/qryReadMessage.json",
        data:{
            type: 1
        },
        type:"post",
        headers: {
            'Content-Type': 'application/x-www-form-urlencoded'
        },
        xhrFields: {
            withCredentials: true
        },
        dataType:"json",
        timeout:10000,
        success:function(res){
            if(res.success){
                messageListVM.readList=res.data;
                messageListVM.$nextTick(function() {
                    $(".titleRead").each(function () {
                        var h=this.offsetHeight;
                        if(h>10 && h<18){
                            $(this).css("line-height","35px");
                            $(this).parent().css("position","absolute")
                        }
                    })
                })
            }
        }
    });
}
function checkInfo(e){
    mui('.mui-scroll-wrapper').scroll({
        deceleration: 0.0006
    });
    if(!$(e).siblings().is(":animated")){
        $(e).siblings().slideToggle();
    }
    $(e).parent().parent().parent().siblings().children().find(".infoList").slideUp();
    if($(e).find("span").hasClass("mui-icon-arrowdown")){
        $(e).find("span").removeClass("mui-icon-arrowdown");
        $(e).find("span").addClass("mui-icon-arrowup")
    }else{
        $(e).find("span").removeClass("mui-icon-arrowup");
        $(e).find("span").addClass("mui-icon-arrowdown")
    }
    $(e).parents("tr").siblings().find(".mui-icon").removeClass("mui-icon-arrowup");
    $(e).parents("tr").siblings().find(".mui-icon").addClass("mui-icon-arrowdown")
}
mui('body').on('tap','.muiBack',function(){
    viewHandle.viewFire("message.html","numUpdate");
    viewHandle.back('close')
});