var newMiniProgramsEditVM = new Vue({
	el: '#newMiniProgramsEditVM',
	data: {
		// 名称
		nickName: '',
		// 名称不可用时提示
		wording: '请输入名称并检测',
		// 切换名称是否可用
		test: false,
		// 切换是否名称需要提交素材
		refer: false,
		// 是否需要提供资格审查素材
		needQualify: false,
		// 是否已经提交名称认证素材
		referComplete: false,
		// 是否已经提交组织机构代码或营业执照
		licenseComplete: false,
		// 名称素材ID
		nameMedia: '',
		// 审核单id
		audit_id: "",
		// 资格审查列表
		fatherQualifyList: [],
		childrenQualifyList: [],
		qualifyList: [],
		// 修改服务类目材料
		certicates: [],
		// 小程序介绍
		programIntroduce: '',
		// 头像ID
		headMedia: '',
		// APPID
		appID: '',
		// AccessToken
		accessToken: '',
		// 新名称
		nick_name: '',
		// 组织机构代码证或营业执照–临时素材mediaid
		license: '',
		// 	其他证明材料---临时素材 mediaid
		naming_other_stuff_1: '',
		// 其他证明材料---临时素材 mediaid
		naming_other_stuff_2: '',
		// 微信返回类目
		allNameList: '',
		// 父级类目列表
		fatherNameList: [],
		// 子级类目列表
		childrenNameList: [],
		// 用户选中的父级类目
		selectFatherId: '',
		// 用户选中父级类目后，看到的子级类目
		seeChildrenId: [],
		// 用户选中的子级类目
		selectChildrenId: '',
		// 当前点击的button的值
		nowButton: "",
		pickerType: 1,
		miniData: {
			name: false,
			nameInfo: '',
			headImg: false,
			headImgInfo: '',
			introduce: false,
			introduceInfo: '',
			category: false,
			categoryInfo: '',
			audit_reason: ''
		},
		headSrc: '',
		getcategories: null,
		categoryQuota:0,
		categoryLimit:0,
		//权限相关
		positionName: false,
		stockManager: false,
		purchaseManager: false,
		companySetIndustry: true,
		labelPprinter: false,
		faAccount: true,
		is_advanced: 0,
		company_name: '',
		company_id: '',
		user_id: '',
		jifenshow: false,
		bindDepot: -1,
		//--------------------
	},
	watch: {
		selectFatherId: {
			handler: function() {
				// 清空父级目录需要需要提交资质审核的列表
				newMiniProgramsEditVM.fatherQualifyList.splice(0, newMiniProgramsEditVM.fatherQualifyList.length);
				// 清空子级目录需要需要提交资质审核的列表
				newMiniProgramsEditVM.childrenQualifyList.splice(0, newMiniProgramsEditVM.childrenQualifyList.length);
				// 清空展示的需要提交资质审核的列表
				newMiniProgramsEditVM.qualifyList.splice(0, newMiniProgramsEditVM.qualifyList.length);
				// 清空上传的资质审核图片
				newMiniProgramsEditVM.certicates.splice(0, newMiniProgramsEditVM.certicates.length);
				// 监听父类目是否显示提交资格审查按钮
				for (var h = 0; h < newMiniProgramsEditVM.fatherNameList.length; h++) {
					if (newMiniProgramsEditVM.selectFatherId === newMiniProgramsEditVM.fatherNameList[h].id &&
						newMiniProgramsEditVM.fatherNameList[h].sensitive_type === 1) {
						for (var a = 0; a < newMiniProgramsEditVM.fatherNameList[h].qualify.exter_list.length; a++) {
							newMiniProgramsEditVM.fatherQualifyList.push(newMiniProgramsEditVM.fatherNameList[h].qualify.exter_list[a]);
						}
						newMiniProgramsEditVM.needQualify = true;
						break;
					} else {
						newMiniProgramsEditVM.needQualify = false;
					}
				}
				newMiniProgramsEditVM.qualifyList = newMiniProgramsEditVM.fatherQualifyList.concat(newMiniProgramsEditVM.childrenQualifyList);
				// 监听父服务类目切换子类服务类目
				newMiniProgramsEditVM.seeChildrenId.splice(0, newMiniProgramsEditVM.seeChildrenId.length);
				for (var i = 0; i < newMiniProgramsEditVM.fatherNameList.length; i++) {
					if (newMiniProgramsEditVM.selectFatherId === newMiniProgramsEditVM.fatherNameList[i].id) {
						for (var j = 0; j < newMiniProgramsEditVM.fatherNameList[i].children.length; j++) {
							for (var k = 0; k < newMiniProgramsEditVM.childrenNameList.length; k++) {
								if (newMiniProgramsEditVM.fatherNameList[i].children[j] === newMiniProgramsEditVM.childrenNameList[k].id) {
									newMiniProgramsEditVM.seeChildrenId.push(newMiniProgramsEditVM.childrenNameList[k]);
									break;
								}
							}
						}
					}
				}
			}
		},
		// 监听子类目是否显示提交资格审查按钮
		selectChildrenId: {
			handler: function() {
				// 清空子级目录需要需要提交资质审核的列表
				newMiniProgramsEditVM.childrenQualifyList.splice(0, newMiniProgramsEditVM.childrenQualifyList.length);
				// 清空展示的需要提交资质审核的列表
				newMiniProgramsEditVM.qualifyList.splice(0, newMiniProgramsEditVM.qualifyList.length);
				// 清空上传的资质审核图片
				newMiniProgramsEditVM.certicates.splice(0, newMiniProgramsEditVM.certicates.length);
				newMiniProgramsEditVM.needQualify = false;
				for (var h = 0; h < newMiniProgramsEditVM.childrenNameList.length; h++) {
					if (newMiniProgramsEditVM.selectChildrenId === newMiniProgramsEditVM.childrenNameList[h].id &&
						newMiniProgramsEditVM.childrenNameList[h].sensitive_type === 1) {
						for (var b = 0; b < newMiniProgramsEditVM.childrenNameList[h].qualify.exter_list.length; b++) {
							newMiniProgramsEditVM.childrenQualifyList.push(newMiniProgramsEditVM.childrenNameList[h].qualify.exter_list[b]);
						}
						newMiniProgramsEditVM.needQualify = true;
						break;
					}
				}
				newMiniProgramsEditVM.qualifyList = newMiniProgramsEditVM.fatherQualifyList.concat(newMiniProgramsEditVM.childrenQualifyList);
			}
		},
	},
	methods: {
		show_audit_reason: function() {
			mui.alert(this.miniData.audit_reason, '提示')
		},
		getPurview: function() { //获取权限
			var _this = this;
			mui.ajax(severUrl + "sso/user/qryOp.json", {
				data: {
					id: ''
				},
				headers: {
					'Content-Type': 'application/x-www-form-urlencoded'
				},
				xhrFields: {
					withCredentials: true
				},
				dataType: 'json',
				type: 'post',
				timeout: 30000,
				async: false,
				success: function(res) {
					if (res.success) {
						// var position_name = res.data.position_name;
						_this.company_name = res.data.company_name;
						_this.company_id = res.data.company_id;
						_this.bindDepot = res.data.manage_depot_id;
						_this.user_id = res.data.id;
						var code = res.data.position,
							permission = code.permission;
						if (permission.indexOf('A11_1_O') >= 0 || permission.indexOf('A11_1_E') >= 0) {
							_this.positionName = true
						} else {
							_this.positionName = false
						}
						permission.indexOf('A4_1_E') >= 0 ? _this.stockManager = true : _this.stockManager = false;
						permission.indexOf('FA_ACC') >= 0 ? _this.faAccount = true : _this.faAccount = false;
						permission.indexOf('LOOK_PURCHASE') >= 0 ? _this.purchaseManager = true : _this.purchaseManager = false;
						permission.indexOf('ONLY_PRINT') >= 0 ? _this.labelPprinter = true : _this.labelPprinter = false;
						'RFRk,eYVo,y0oa,mVbc,pqrB,pDAY,CCP2,Oo4T,LfTY'.indexOf(_this.company_id) >= 0 ? _this.jifenshow = true :
							_this.jifenshow = false
						_this.companySetIndustry = res.data.company_set_industry;
						newMiniProgramsEditVM.getAccessToken()
					}

				}
			});
		},
		// 初始化服务类目
		selectCategories: function() {
			if (newMiniProgramsEditVM.allNameList.errcode == 0) {
				var categoriesList = newMiniProgramsEditVM.allNameList.categories_list.categories;
				for (var i = 0; i < categoriesList.length; i++) {
					if (categoriesList[i].level === 1) {
						newMiniProgramsEditVM.fatherNameList.push(categoriesList[i]);
					} else {
						newMiniProgramsEditVM.childrenNameList.push(categoriesList[i]);
					}
				}
			}
			if (newMiniProgramsEditVM.getcategories && newMiniProgramsEditVM.getcategories.first_name != '') {
				mui.each(newMiniProgramsEditVM.fatherNameList, function(i, v) {
					if (v.name == newMiniProgramsEditVM.getcategories.first_name) {
						return newMiniProgramsEditVM.selectFatherId = newMiniProgramsEditVM.fatherNameList[i].id;
					}
				})
				if (newMiniProgramsEditVM.fatherNameList.length == 0) {
					newMiniProgramsEditVM.fatherNameList.push({
						id: newMiniProgramsEditVM.getcategories.first,
						name: newMiniProgramsEditVM.getcategories.first_name
					})
					newMiniProgramsEditVM.selectFatherId = newMiniProgramsEditVM.getcategories.first
				}
				newMiniProgramsEditVM.$nextTick(function() {
					mui.each(newMiniProgramsEditVM.seeChildrenId, function(i, v) {
						if (v.name == newMiniProgramsEditVM.getcategories.second_name) {
							return newMiniProgramsEditVM.selectChildrenId = newMiniProgramsEditVM.seeChildrenId[i].id;
						}
					})
				})
			} else {
				newMiniProgramsEditVM.selectFatherId = newMiniProgramsEditVM.fatherNameList[0].id;
			}
		},
		// 检测名字
		testName: function() {
			var obj = {
				"nick_name": newMiniProgramsEditVM.nickName
			}
			var json = JSON.stringify(obj)
			mui.ajax({
				type: 'POST',
				header: {
					contentType: 'application/json; encoding=utf-8',
				},
				url: "https://www.zhijianjxc.com/cgi-bin/wxverify/checkwxverifynickname?access_token=" + newMiniProgramsEditVM
					.accessToken,
				data: json,
				success: function(res) {
					if (res.errcode === 0) {
						newMiniProgramsEditVM.test = true;
						if (res.wording != "") {
							newMiniProgramsEditVM.refer = true;
							newMiniProgramsEditVM.wording = res.wording;
						} else {
							newMiniProgramsEditVM.wording = "名称可用"
							newMiniProgramsEditVM.refer = false;
						}
					} else {
						switch (res.errcode) {
							case 53010:
								newMiniProgramsEditVM.wording = "名称格式不合法"
								break;
							case 53011:
								newMiniProgramsEditVM.wording = "名称检测命中频率限制"
								break;
							case 53012:
								newMiniProgramsEditVM.wording = "禁止使用该名称"
								break;
							case 53013:
								newMiniProgramsEditVM.wording = "公众号：名称与已有公众号名称重复;小程序：该名称与已有小程序名称重复"
								break;
							case 53014:
								newMiniProgramsEditVM.wording = "公众号：公众号已有{名称A+}时，需与该帐号相同主体才可申请{名称A};小程序：小程序已有{名称A+}时，需与该帐号相同主体才可申请{名称A}"
								break;
							case 53015:
								newMiniProgramsEditVM.wording = "公众号：该名称与已有小程序名称重复，需与该小程序帐号相同主体才可申请;小程序：该名称与已有公众号名称重复，需与该公众号帐号相同主体才可申请"
								break;
							case 53016:
								newMiniProgramsEditVM.wording = "公众号：该名称与已有多个小程序名称重复，暂不支持申请;小程序：该名称与已有多个公众号名称重复，暂不支持申请"
								break;
							case 53017:
								newMiniProgramsEditVM.wording = "公众号：小程序已有{名称A+}时，需与该帐号相同主体才可申请{名称A};小程序：公众号已有{名称A+}时，需与该帐号相同主体才可申请{名称A}"
								break;
							case 53018:
								newMiniProgramsEditVM.wording = "名称命中微信号"
								break;
							case 53019:
								newMiniProgramsEditVM.wording = "名称在保护期内"
								break;
							case 40001:
								newMiniProgramsEditVM.wording = "token令牌无效"
								break;
							default:
								newMiniProgramsEditVM.wording = "未知错误"
						}
						newMiniProgramsEditVM.test = false;
					}
				},
				error: function() {
					// mui.alert('',"提交小程序介绍失败");
				}
			});
		},
		// 设置名称
		setnickname: function() {
			if (newMiniProgramsEditVM.nickName === "") {
				mui.toast("请填写小程序名称");
				return;
			}
			if (newMiniProgramsEditVM.license === "") {
				mui.toast("请上传组织机构代码证或营业执照,如已上传，请等待上传完毕");
				return;
			}
			var objS = {
				"nick_name": newMiniProgramsEditVM.nickName,
				"id_card": "",
				"license": newMiniProgramsEditVM.license,
				"naming_other_stuff_1": "",
				"naming_other_stuff_2": "",
			}
			var jsonS = JSON.stringify(objS)
			mui.ajax({
				type: 'POST',
				url: "https://www.zhijianjxc.com/wxa/setnickname?access_token=" + newMiniProgramsEditVM.accessToken,
				data: jsonS,
				beforeSend: function() {
					mui('#dh')[0].style.display = "block";
				},
				success: function(res) {
					if (res.errcode === 0) {
						mui.toast("提交成功");
						mui('#dh')[0].style.display = "none";
						newMiniProgramsEditVM.audit_id = res.audit_id;
						newMiniProgramsEditVM.getaccountbasicinfo('check')
					}
					// 小程序文档 https://developers.weixin.qq.com/doc/oplatform/Third-party_Platforms/2.0/api/Mini_Program_Basic_Info/setnickname.html
					// 包含 audit_id 说明审核中 否则 审核完毕
					else if(res.audit_id){
						mui('#dh')[0].style.display = "none";
						mui.alert("提交成功", "等待审核名称");
					}
					else {
						mui('#dh')[0].style.display = "none";
						switch (res.errcode) {
							case 91001:
								mui.alert("名称设置错误", "不是公众号快速创建的小程序");
								break;
							case 91002:
								mui.alert("名称设置错误", "小程序发布后不可改名");
								break;
							case 91003:
								mui.alert("名称设置错误", "改名状态不合法");
								break;
							case 91004:
								mui.alert("名称设置错误", "昵称不合法");
								break;
							case 91005:
								mui.alert("名称设置错误", "昵称15天主体保护");
								break;
							case 91006:
								mui.alert("名称设置错误", "昵称命中微信号");
								break;
							case 91007:
								mui.alert("名称设置错误", "昵称已被占用");
								break;
							case 91008:
								mui.alert("名称设置错误", "昵称命中7天侵权保护期");
								break;
							case 91009:
								mui.alert("名称设置错误", "需要提交材料");
								break;
							case 91010:
								mui.alert("名称设置错误", "其他错误");
								break;
							case 91011:
								mui.alert("名称设置错误", "查不到昵称修改审核单信息");
								break;
							case 91012:
								mui.alert("名称设置错误", "其他错误");
								break;
							case 91013:
								mui.alert("名称设置错误", "占用名字过多");
								break;
							case 91014:
								mui.alert("名称设置错误", "+号规则 同一类型关联名主体不一致");
								break;
							case 91015:
								mui.alert("名称设置错误", "原始名不同类型主体不一致");
								break;
							case 91016:
								mui.alert("名称设置错误", "名称占用者≥2");
								break;
							case 91017:
								mui.alert("名称设置错误", "+号规则 不同类型关联名主体不一致");
								break;
							case 91018:
								mui.alert("名称设置错误", "组织类型小程序发布后，侵权被清空昵称");
								break;	
							case 91019:
								mui.alert("提交成功", "小程序昵称正在审核中");
								break;	
							default:
								mui.alert("名称设置错误", "未知错误");
						}
					}
				},
				error: function() {
					mui('#dh')[0].style.display = "none";
					mui.alert("提交小程序介绍失败", '', '', '', 'div');
				}
			});
		},
		// 提交小程序介绍
		subProgramIntroduce: function() {
			if (newMiniProgramsEditVM.programIntroduce === "") {
				mui.toast("请填写小程序介绍");
				return;
			}
			// console.log(newMiniProgramsEditVM.programIntroduce);
			var data = {
				"signature": newMiniProgramsEditVM.programIntroduce,
			}
			var jsonS = JSON.stringify(data)
			mui.ajax({
				type: 'POST',
				url: "https://www.zhijianjxc.com/cgi-bin/account/modifysignature?access_token=" + newMiniProgramsEditVM.accessToken,
				data: jsonS,
				beforeSend: function() {
					mui('#dh')[0].style.display = "block";
				},
				success: function(res) {
					if (res.errcode != 0) {
						mui.alert("提交小程序介绍失败", '', '', '', 'div');
						mui('#dh')[0].style.display = "none";
					} else {
						mui.toast("提交成功");
						mui('#dh')[0].style.display = "none";
						newMiniProgramsEditVM.getaccountbasicinfo('check')
						// newMiniProgramsEditVM.miniData.introduce = true;
						// if(newMiniProgramsEditVM.miniData.introduce && newMiniProgramsEditVM.miniData.name
						// && newMiniProgramsEditVM.miniData.category && newMiniProgramsEditVM.miniData.headImg){
						//     mui.alert('创建完成，请告知指尖进销存工作人员已完成创建，以便及时部署代码,如已部署小程序请忽略该提示', '提示', function() {
						//         viewHandle.close('close');
						//     },'div');
						// }
					}
				},
				error: function() {
					mui('#dh')[0].style.display = "none";
					mui.alert("提交小程序介绍失败", '', '', '', 'div');
				}
			});
		},
		// 设置头像
		changeHeadImg: function() {
			if (newMiniProgramsEditVM.headMedia === "" || newMiniProgramsEditVM.headMedia == null) {
				mui.toast("请上传头像，如已上传，请等待上传完毕");
				return false;
			}
			var objCH = {
				"head_img_media_id": newMiniProgramsEditVM.headMedia,
				"x1": 0,
				"y1": 0,
				"x2": 1,
				"y2": 1,
			}
			var jsonCH = JSON.stringify(objCH)
			mui.ajax({
				type: 'POST',
				url: "https://www.zhijianjxc.com/cgi-bin/account/modifyheadimage?access_token=" + newMiniProgramsEditVM.accessToken,
				data: jsonCH,
				beforeSend: function() {
					mui('#dh')[0].style.display = "block";
				},
				success: function(res) {
					var send_success = true;
					if (res.errcode != 0) {
						mui('#dh')[0].style.display = "none";
						switch (res.errcode) {
							case 40097:
								send_success = false;
								mui.alert("头像设置错误", "参数错误");
								break;
							case 41006:
								send_success = false;
								mui.alert("头像设置错误", "media_id不能为空");
								break;
							case 40007:
								send_success = false;
								mui.alert("头像设置错误", "非法的media_id");
								break;
							case 46001:
								mui.alert("头像设置错误", "media_id不存在");
								send_success = false;
								break;
							case 40009:
								send_success = false;
								mui.alert("头像设置错误", "图片尺寸太大");
								break;
							case 53202:
								send_success = false;
								mui.alert("头像设置错误", "本年头像修改次数已用完");
								break;
							case 53203:
								send_success = false;
								mui.alert("头像设置错误", "修改功能正在升级，暂无法修改");
								break;
							default:
								send_success = false;
								mui.alert("头像设置错误", "未知错误");
						}
					}
					if (send_success) {
						mui.toast("提交成功");
						mui('#dh')[0].style.display = "none";
						newMiniProgramsEditVM.getaccountbasicinfo('check')
					}
				},
				error: function() {
					mui('#dh')[0].style.display = "none";
					mui.alert("提交头像失败", '', '', '', 'div');
				}
			});
		},
		// 返回上一个页面
		goback: function() {
			mui.back();
		},
		// 获取AccessToken
		getAccessToken: function() {
			mui.ajax(severUrl + "wechattool/handle/getAuthorizerAccessToken.json", {
				data: {
					authorizer_appid: newMiniProgramsEditVM.appID,
					company_id: newMiniProgramsEditVM.company_id
				},
				headers: {
					'Content-Type': 'application/x-www-form-urlencoded'
				},
				dataType: 'json',
				type: 'post',
				timeout: 10000,
				success: function(res) {
					newMiniProgramsEditVM.accessToken = res.data;
					// console.log(newMiniProgramsEditVM.accessToken);
					if (res.status === 400) {
						mui.toast("获取异常");
						mui("#error")[0].style.display = 'block'
					} else {
						if (res.msg == '暂时未审核') {
							mui.toast("获取异常");
							mui("#error")[0].style.display = 'block'
						} else {
							mui.toast("获取token成功");
							newMiniProgramsEditVM.getaccountbasicinfo();
							newMiniProgramsEditVM.getcategory();
							setTimeout(function() {
								newMiniProgramsEditVM.getAllNameList()
							}, 220)
						}
					}
				},
				error: function(res) {
					mui.alert("获取AccessToken失败", '', '', '', 'div');
				}
			});
		},
		// 获取服务类目
		getAllNameList: function() {
			mui.ajax({
				type: "get",
				url: "https://www.zhijianjxc.com/cgi-bin/wxopen/getallcategories?access_token=" + newMiniProgramsEditVM.accessToken,
				dataType: 'json',
				success: function(res) {
					newMiniProgramsEditVM.allNameList = res;
					newMiniProgramsEditVM.selectCategories();
					// console.log("成功了"+result.data);
				},
				//请求失败，包含具体的错误信息
				error: function(e) {
					// console.log("失败代码"+e.status);
					// console.log("失败响应报文"+e.responseText);
				}
			});
		},
		//获取小程序信息
		getaccountbasicinfo: function(val) {
			mui.ajax({
				type: "post",
				url: "https://www.zhijianjxc.com/cgi-bin/account/getaccountbasicinfo?access_token=" + newMiniProgramsEditVM.accessToken,
				success: function(res) {
					if (res.errcode == 0 && res.errmsg == 'ok') {
						if (res.nickname != '') { //审核中现在无法判断
							newMiniProgramsEditVM.miniData.nameInfo = '已设置';
							newMiniProgramsEditVM.nickName = res.nickname;
							newMiniProgramsEditVM.miniData.name = true
						} else {
							newMiniProgramsEditVM.miniData.nameInfo = '未设置'
						}
						if (res.head_image_info != '' && res.head_image_info.head_image_url != '') {
							if (res.head_image_info.head_image_url ==
								"http://mmbiz.qpic.cn/mmbiz/a5icZrUmbV8p5jb6RZ8aYfjfS2AVle8URwBt8QIu6XbGewB9wiaWYWkPwq4R7pfdsFibuLkic16UcxDSNYtB8HnC1Q/0"
							) {
								newMiniProgramsEditVM.miniData.headImgInfo = '未设置'
							} else {
								newMiniProgramsEditVM.miniData.headImgInfo = '已设置';
								newMiniProgramsEditVM.miniData.headImg = true;
								newMiniProgramsEditVM.headSrc = res.head_image_info.head_image_url;
							}
						} else {
							newMiniProgramsEditVM.miniData.headImgInfo = '未设置'
						}
						if (res.signature_info != '' && res.signature_info.signature != '') {
							newMiniProgramsEditVM.miniData.introduceInfo = '已设置';
							newMiniProgramsEditVM.miniData.introduce = true;
							newMiniProgramsEditVM.programIntroduce = res.signature_info.signature
						} else {
							newMiniProgramsEditVM.miniData.introduceInfo = '未设置'
						}
					}
					if (val == 'check') {
						if (newMiniProgramsEditVM.miniData.introduce && newMiniProgramsEditVM.miniData.name &&
							newMiniProgramsEditVM.miniData.category && newMiniProgramsEditVM.miniData.headImg) {
							mui.alert('创建完成，请告知指尖进销存工作人员已完成创建，以便及时部署代码,如已部署小程序请忽略该提示', '提示', function() {
								viewHandle.close('close');
							}, 'div');
						}
					}
				},
				error: function(e) {

				}
			});
		},
		//获取小程序已设置类目信息
		getcategory: function(val) {
			mui.ajax({
				type: "post",
				url: "https://www.zhijianjxc.com/cgi-bin/wxopen/getcategory?access_token=" + newMiniProgramsEditVM.accessToken,
				success: function(res) {
					if (res.errcode == 0 && res.errmsg == 'ok') {
						if (res.categories != '' && res.categories.length > 0) {
							if (res.categories[0].audit_status != 3) {
								if (res.categories[0].audit_status == 1) {
									newMiniProgramsEditVM.miniData.categoryInfo = '审核中'
								} else {
									newMiniProgramsEditVM.miniData.categoryInfo = '审核不通过'
									newMiniProgramsEditVM.miniData.audit_reason = res.categories[0].audit_reason
								}
								newMiniProgramsEditVM.getcategories = res.categories[0];
							} else {
								newMiniProgramsEditVM.miniData.categoryInfo = '已设置';
								newMiniProgramsEditVM.miniData.category = true;
								newMiniProgramsEditVM.getcategories = res.categories[0];
							}
						} else {
							newMiniProgramsEditVM.miniData.categoryInfo = '未设置'
						}
						var quota=res.quota  //本更改周期内还可以添加类目的次数
						var limit=res.limit  //一个更改周期内可以添加类目的次数
						newMiniProgramsEditVM.categoryQuota=quota
						newMiniProgramsEditVM.categoryLimit=limit
					}
					if (val == 'check') {
						if (newMiniProgramsEditVM.miniData.introduce && newMiniProgramsEditVM.miniData.name &&
							newMiniProgramsEditVM.miniData.category && newMiniProgramsEditVM.miniData.headImg) {
							mui.alert('创建完成，请告知指尖进销存工作人员已完成创建，以便及时部署代码,如已部署小程序请忽略该提示', '提示', function() {
								viewHandle.close('close');
							}, 'div');
						}
					}
				},
				error: function(e) {

				}
			});
		},
		// 添加类目
		modifyCategory: function() {
			if (newMiniProgramsEditVM.categoryQuota <= 1) {
				mui.toast("超出每月次数限制, 请联系指尖客服");
				return;
			}
			if (newMiniProgramsEditVM.selectFatherId === "") {
				mui.toast("请填选择一级类目");
				return;
			}
			if (newMiniProgramsEditVM.selectChildrenId === "" && newMiniProgramsEditVM.seeChildrenId.length > 0) {
				mui.toast("请填选择二级类目");
				return;
			}
			//判断是否已经有类目在审核
			if (newMiniProgramsEditVM.getcategories && newMiniProgramsEditVM.getcategories.audit_status == 1) {
				mui.toast("已存有类目在审核中，请耐心等待");
				return;
			}
			if (newMiniProgramsEditVM.qualifyList.length > newMiniProgramsEditVM.certicates.length){
				mui.confirm("当前上传类目资料" + newMiniProgramsEditVM.certicates.length + "份，确定提交？", "提示", ["取消", "确定"], function (e) {
					if (e.index === 1 ) {
						next()
					}
				},'div')
			}else{
				next()
			}
			function next(){
				if (newMiniProgramsEditVM.getcategories && newMiniProgramsEditVM.getcategories.audit_status == 3) {
					return mui.confirm("存在有审核成功的类目，是否更换类目", '提示', ['取消', '更换'], function(e) {
						if (e.index == 1) {
							mui.ajax({
								type: "post",
								url: "https://www.zhijianjxc.com/cgi-bin/wxopen/deletecategory?access_token=" + newMiniProgramsEditVM.accessToken,
								data: JSON.stringify({
									"first": newMiniProgramsEditVM.getcategories.first,
									"second": newMiniProgramsEditVM.getcategories.second
								}),
								beforeSend: function() {
									mui('#dh')[0].style.display = "block";
								},
								success: function(res) {
									mui.toast("删除类目成功");
									if (res.errcode === 0) {
										var objT = {
											"categories": [{
												"first": newMiniProgramsEditVM.selectFatherId,
												"second": newMiniProgramsEditVM.selectChildrenId,
												"certicates": newMiniProgramsEditVM.certicates
											}]
										};
										var jsonT = JSON.stringify(objT);
										var sendUrl = '';
										sendUrl = "https://www.zhijianjxc.com/cgi-bin/wxopen/addcategory?access_token=" +
											newMiniProgramsEditVM.accessToken;
										mui.ajax({
											type: "post",
											url: sendUrl,
											data: jsonT,
											success: function(res) {
												mui.toast("提交成功");
												mui('#dh')[0].style.display = "none";
												if (res.errcode === 0) {
													newMiniProgramsEditVM.getcategory('check')
												} else {
													switch (res.errcode) {
														case 53300:
															mui.alert("添加服务类别错误", "超出每月次数限制");
															break;
														case 53301:
															mui.alert("添加服务类别错误", "超出可配置类目总数限制");
															break;
														case 53302:
															mui.alert("添加服务类别错误", "当前账号主体类型不允许设置此种类目");
															break;
														case 53303:
															mui.alert("添加服务类别错误", "提交的参数不合法");
															break;
														case 53304:
															mui.alert("添加服务类别错误", "与已有类目重复");
															break;
														case 53305:
															mui.alert("添加服务类别错误", "包含未通过IPC校验的类目");
															break;
														case 53306:
															mui.alert("添加服务类别错误", "修改类目只允许修改类目资质，不允许修改类目ID");
															break;
														case 53307:
															mui.alert("添加服务类别错误", "只有审核失败的类目允许修改");
															break;
														case 53308:
															mui.alert("添加服务类别错误", "审核中的类目不允许删除");
															break;
														default:
															mui.alert("添加服务类别错误", "未知错误");
													}
												}
											},
											error: function(e) {
												mui('#dh')[0].style.display = "none";
												mui.toast("添加服务类别失败");
											}
										});

									}
								},
								error: function(e) {
									mui('#dh')[0].style.display = "none";
									mui.toast("服务类别删除失败");
								}
							});
						}
					}, 'div');
				}
				/**
				 * 未审核通过，重新审核其他类目
				 */
				if (newMiniProgramsEditVM.getcategories && newMiniProgramsEditVM.getcategories.audit_status == 2) {
					if (
						newMiniProgramsEditVM.getcategories.first != newMiniProgramsEditVM.selectFatherId ||
						newMiniProgramsEditVM.getcategories.second != newMiniProgramsEditVM.selectChildrenId
					) {
						return mui.ajax({
							type: "post",
							url: "https://www.zhijianjxc.com/cgi-bin/wxopen/deletecategory?access_token=" + newMiniProgramsEditVM.accessToken,
							data: JSON.stringify({
								"first": newMiniProgramsEditVM.getcategories.first,
								"second": newMiniProgramsEditVM.getcategories.second
							}),
							beforeSend: function() {
								mui('#dh')[0].style.display = "block";
							},
							success: function(res) {
								mui.toast("删除类目成功");
								if (res.errcode === 0) {
									var objT = {
										"categories": [{
											"first": newMiniProgramsEditVM.selectFatherId,
											"second": newMiniProgramsEditVM.selectChildrenId,
											"certicates": newMiniProgramsEditVM.certicates
										}]
									};
									var jsonT = JSON.stringify(objT);
									var sendUrl = '';
									sendUrl = "https://www.zhijianjxc.com/cgi-bin/wxopen/addcategory?access_token=" +
										newMiniProgramsEditVM.accessToken;
									mui.ajax({
										type: "post",
										url: sendUrl,
										data: jsonT,
										success: function(res) {
											mui.toast("提交成功");
											mui('#dh')[0].style.display = "none";
											if (res.errcode === 0) {
												newMiniProgramsEditVM.getcategory('check')
											} else {
												switch (res.errcode) {
													case 53300:
														mui.alert("添加服务类别错误", "超出每月次数限制");
														break;
													case 53301:
														mui.alert("添加服务类别错误", "超出可配置类目总数限制");
														break;
													case 53302:
														mui.alert("添加服务类别错误", "当前账号主体类型不允许设置此种类目");
														break;
													case 53303:
														mui.alert("添加服务类别错误", "提交的参数不合法");
														break;
													case 53304:
														mui.alert("添加服务类别错误", "与已有类目重复");
														break;
													case 53305:
														mui.alert("添加服务类别错误", "包含未通过IPC校验的类目");
														break;
													case 53306:
														mui.alert("添加服务类别错误", "修改类目只允许修改类目资质，不允许修改类目ID");
														break;
													case 53307:
														mui.alert("添加服务类别错误", "只有审核失败的类目允许修改");
														break;
													case 53308:
														mui.alert("添加服务类别错误", "审核中的类目不允许删除");
														break;
													default:
														mui.alert("添加服务类别错误", "未知错误");
												}
											}
										},
										error: function(e) {
											mui('#dh')[0].style.display = "none";
											mui.toast("添加服务类别失败");
										}
									});

								}
							},
							error: function(e) {
								mui('#dh')[0].style.display = "none";
								mui.toast("服务类别删除失败");
							}
						});
					}

				}
				var sendUrl = '';
				/**
				 * 未审核通过，重新审核当前类目
				 */
				if (newMiniProgramsEditVM.getcategories && newMiniProgramsEditVM.getcategories.audit_status == 2) {
					var objT = {
						"first": newMiniProgramsEditVM.selectFatherId,
						"second": newMiniProgramsEditVM.selectChildrenId,
						"certicates": newMiniProgramsEditVM.certicates
					};
					sendUrl = "https://www.zhijianjxc.com/cgi-bin/wxopen/modifycategory?access_token=" + newMiniProgramsEditVM.accessToken;
				} else {
					var objT = {
						"categories": [{
							"first": newMiniProgramsEditVM.selectFatherId,
							"second": newMiniProgramsEditVM.selectChildrenId,
							"certicates": newMiniProgramsEditVM.certicates
						}]
					};
					sendUrl = "https://www.zhijianjxc.com/cgi-bin/wxopen/addcategory?access_token=" + newMiniProgramsEditVM.accessToken;
				}
				var jsonT = JSON.stringify(objT);
				mui.ajax({
					type: "post",
					url: sendUrl,
					data: jsonT,
					beforeSend: function() {
						mui('#dh')[0].style.display = "block";
					},
					success: function(res) {
						mui.toast("提交成功");
						mui('#dh')[0].style.display = "none";
						if (res.errcode === 0) {
							newMiniProgramsEditVM.getcategory('check')
						} else {
							switch (res.errcode) {
								case 53300:
									mui.alert("添加服务类别错误", "超出每月次数限制");
									break;
								case 53301:
									mui.alert("添加服务类别错误", "超出可配置类目总数限制");
									break;
								case 53302:
									mui.alert("添加服务类别错误", "当前账号主体类型不允许设置此种类目");
									break;
								case 53303:
									mui.alert("添加服务类别错误", "提交的参数不合法");
									break;
								case 53304:
									mui.alert("添加服务类别错误", "与已有类目重复");
									break;
								case 53305:
									mui.alert("添加服务类别错误", "包含未通过IPC校验的类目");
									break;
								case 53306:
									mui.alert("添加服务类别错误", "修改类目只允许修改类目资质，不允许修改类目ID");
									break;
								case 53307:
									mui.alert("添加服务类别错误", "只有审核失败的类目允许修改");
									break;
								case 53308:
									mui.alert("添加服务类别错误", "审核中的类目不允许删除");
									break;
								default:
									mui.alert("添加服务类别错误", "未知错误");
							}
						}
					},
					error: function(e) {
						mui('#dh')[0].style.display = "none";
						mui.toast("添加服务类别失败");
					}
				});
			}
		},
	},
	created: function() {},
	mounted: function() {
		var _this = this;
		mui.plusReady(function() {
			mui.ajax(severUrl + "wechattool/handle/getAuthorizerAppid.json", {
				data: {},
				headers: {
					'Content-Type': 'application/x-www-form-urlencoded'
				},
				dataType: 'json',
				type: 'post',
				timeout: 10000,
				success: function(res) {
					newMiniProgramsEditVM.appID = res.data;
					// mui.alert('',res.data)
				},
				error: function(res) {
					// mui.alert('',res.msg);
					mui.alert("获取app id失败", '', '', '', 'div');
				}
			});
			_this.getPurview()
		})
	}
});
// 提交名称认证素材
mui('#newMiniProgramsEditVM').on('tap', '.picker1', function() {
	mui('#picture').popover('toggle');
	newMiniProgramsEditVM.pickerType = 1
	// $('.webuploader-element-invisible').eq(1).click();
});


// 上传头像
mui('#newMiniProgramsEditVM').on('tap', '.picker2', function() {
	//$('.webuploader-element-invisible').eq(2).click();
	mui('#picture').popover('toggle');
	newMiniProgramsEditVM.pickerType = 2
});

// 提交资质审核认证素材
var picker3Index = 0
var picker3Name = ''
mui('#newMiniProgramsEditVM').on('tap', '.picker3', function(e) {
	// $('.webuploader-element-invisible').eq(3).click();
	mui('#picture').popover('toggle');
	picker3Index = this.dataset.index;
	picker3Name = this.dataset.value
	newMiniProgramsEditVM.pickerType = 3
});

mui('#newMiniProgramsEditVM').on('tap', '.picker4', function() {
	mui('#picture').popover('toggle');
	newMiniProgramsEditVM.pickerType = 4
});


mui('#picture').on('tap', '.photo', function() {
	var type = this.dataset.phototype;
	switch (type) {
		case "photoAlbum":
			clickGallery();
			break;
		case "photograph":
			clickCamera();
			break;
	}
	mui('#picture').popover('toggle')
});
function getDirection(localUrl, name, fileName) {
	var img = document.createElement("img");
	if (mui.os.ios) {
		prepareUpload(localUrl, name, type, fileName, '', img.width)
	} else {
		var direction = 0;
		img.src = localUrl;
		img.onload = function() {
			EXIF.getData(img, function() {
				direction = EXIF.getTag(this, 'Orientation');
				switch (direction) {
					case 1: //0
						break;
					case 6: //->90
						direction = 90;
						break;
					case 8: //<-90
						direction = 270;
						break;
					case 3: //180
						direction = 180;
						break;
				}
				prepareUpload(localUrl, name, fileName, direction, img.width)
			})
		}
	}
}
//发送照片
function clickGallery() {
	plus.gallery.pick(function(path) {
		var name = (new Date()).valueOf();
		var fileName = 'gallery';
		getDirection(path, name, fileName)
	}, function(err) {

	});
}
// 拍照
function clickCamera() {
	var cmr = plus.camera.getCamera();
	var res = cmr.supportedImageResolutions[0]; //分辨率
	var fmt = cmr.supportedImageFormats[0]; //拍照格式
	cmr.captureImage(function(path) {
		plus.io.resolveLocalFileSystemURL(path, function(entry) {
			var name = (new Date()).valueOf();
			var localUrl = entry.toLocalURL();
			var fileName = 'camera';
			getDirection(localUrl, name, fileName)
		});
	}, function(err) {
		// console.error("拍照失败：" + err.message);
	}, {
		index: 1,
		optimize: false //自动调整图片方向
	});
}

function prepareUpload(localUrl, name, fileName, direction, width) {
	var data = {};
	if (width && Number(width) < 1080) {
		data = {
			src: localUrl,
			dst: "_doc/zhijianjxc/" + fileName + "/" + name + ".jpg",
			quality: 40,
			rotate: direction || 0,
			overwrite: true
		}
	} else {
		data = {
			src: localUrl,
			dst: "_doc/zhijianjxc/" + fileName + "/" + name + ".jpg",
			quality: 40,
			width: '1080px',
			height: '1080px',
			rotate: direction || 0,
			overwrite: true
		}
	}
	plus.zip.compressImage(data, function(e) {
		switch (newMiniProgramsEditVM.pickerType) {
			case 1:
				localStorage.setItem("shopPicture", e.target);
				break;
			case 2:
				$("#headDiv1 img").attr('src', e.target);
				$("#headDiv2 img").attr('src', e.target);
				localStorage.setItem("shopPicture", e.target);
				break;
			case 3:
				localStorage.setItem("shopPicture", e.target);
				break;
			case 4:
				localStorage.setItem("shopPicture", e.target);
				break;
		}
		upP(e.target)
	}, function(err) {
		mui.toast("图片压缩失败,无法上传！")
	});
}

function upP(src) {
	let key = picker3Name || ''
	let server = '';
	switch (newMiniProgramsEditVM.pickerType) {
		case 1:
			server = "https://www.zhijianjxc.com/cgi-bin/media/upload?access_token=" + newMiniProgramsEditVM.accessToken +
				"&type=image";
			break;
		case 2:
			server = "https://www.zhijianjxc.com/cgi-bin/media/upload?access_token=" + newMiniProgramsEditVM.accessToken +
				"&type=image";
			break;
		case 3:
			server = "https://www.zhijianjxc.com/cgi-bin/media/upload?access_token=" + newMiniProgramsEditVM.accessToken +
				"&type=image";
			break;
		case 4:
			server = "https://www.zhijianjxc.com/cgi-bin/media/upload?access_token=" + newMiniProgramsEditVM.accessToken +
				"&type=image";
			break;
	}
	var wt = plus.nativeUI.showWaiting();
	var task = plus.uploader.createUpload(server, {
		method: "post"
	}, function(t, status) {
		if (status === 200) {
			if (JSON.parse(t.responseText).media_id) {
				switch (newMiniProgramsEditVM.pickerType) {
					case 1:
						newMiniProgramsEditVM.nameMedia = JSON.parse(t.responseText).media_id;
						newMiniProgramsEditVM.referComplete = true;
						break;
					case 2:
						newMiniProgramsEditVM.headMedia = JSON.parse(t.responseText).media_id;
						break;
					case 3:
						newMiniProgramsEditVM.certicates.push({
							key: key,
							value: JSON.parse(t.responseText).media_id
						});
						mui("#qualify" + picker3Index)[0].style.display = 'block'
						break;
					case 4:
						newMiniProgramsEditVM.license = JSON.parse(t.responseText).media_id;
						newMiniProgramsEditVM.licenseComplete = true;
						break;
				}
			}
			mui.toast(key + "上传成功");
			wt.close(); //关闭等待提示按钮
		} else {
			mui.toast(key + "上传失败");
			wt.close(); //关闭等待提示按钮
		}
	});
	task.addFile(src, {});
	task.start();
}
mui('body').on('tap', '.mui-icon-refresh', function() {
	newMiniProgramsEditVM.getcategory('check')
})
