// 销售订单
/**
 * next_used 本次开单数量
 * used_amount 已出库数量
 * amount 总数量
 * __id__ 前端单品id
 * __pid__ 前端单品父级id
 * op_id_ 新开单新的单品用来找到自己的父级 配合 is_extra 1 特殊的商品
 * op_id 后端生成的的单品id
 * parent_op_id 父级id
 * __can_use_amount__ //前端定义 能够开单的数量 amount-used_amount
 * */
let pageId = null
let Draft = null
// 返回唯一id 索引
function getProductIndex(){
	return productListIdUtil.getNext()
}

function getQueryString(name) {
	var reg = new RegExp("(^|&)" + name + "=([^&]*)(&|$)", "i");
	var r = window.location.search.substr(1).match(reg);
	if (r != null) return decodeURIComponent(r[2]); return null;
}
window.addEventListener('reload', function(e) {
	reload()
})
let isCopySnSet = null
// 第一次计算
let firstCalculation = true
window.addEventListener("updateSelProduct",function(){
	getSelProductList()
});
window.addEventListener("deleteProductCopy",function(e){
	draftVM.productCopyAdd[e.detail.key] = []
	draftVM.calculationAddCopyList()
});
window.addEventListener("set_back",function(e){ //未支持不同类型
	var product_id = e.detail.product_id,
		item = e.detail.item,product_sn_list = e.detail.product_sn_list,type = e.detail.type;
	product_sn_list = _.compact(product_sn_list)
	if(mui.os.ios){
		mui.plusReady(function(){
			setTimeout(function(){
				snsAdd()
			},200)
		})
	}else{
		snsAdd()
	}
	function snsAdd(){
		draftVM.isChangeDraft = true
		if(isCopySnSet){
			if(type === 'order_xiao'){
				isCopySnSet.product_sn_list_vip = product_sn_list || [];
			}else{
				isCopySnSet.product_sn_list = product_sn_list || [];
			}
			isCopySnSet = null
			return
		}
		sessionStorage.removeItem("selProductList");
		var selProductList = JSON.parse(localStorage.getItem("selProductList"));
		if (selProductList) {
			mui.each(selProductList,function(sel,product){
				if(product.product_id == product_id && product.type === item.type){
					mui.each(product.list,function(pro,list){
						if(list.color_id == item.color_id && list.size_id == item.size_id && list.ordertype == item.ordertype){
							if(type == 'order_xiao'){
								list.product_sn_list_vip = product_sn_list || [];
							}else{
								list.product_sn_list = product_sn_list || [];
							}
							return false
						}
					})
					return false
				}
			})
			draftVM.selProductList = [];
			draftVM.selProductList = selProductList;
			localStorage.selProductList = JSON.stringify(selProductList)
		}
	}
})
window.addEventListener('remarkPic',function (e){
	console.log('123')
//获取备注图片
	$comm.getRemarkHeightLight()
});
window.addEventListener("draftUpdate",function(e){
	sessionStorage.setItem("draftId",e.detail.draftId);
	sessionStorage.setItem("supplierList",JSON.stringify(e.detail.buyerList));
	sessionStorage.setItem("buyerList",JSON.stringify(e.detail.buyerList));
	sessionStorage.setItem("defaultCustomer",e.detail.defaultCustomer);
	getDraft()
});
mui.plusReady(function(){
	var arg = JSON.parse(plus.webview.currentWebview().arg);
	sessionStorage.setItem("draftId",arg.draftId);
	sessionStorage.setItem("supplierList",JSON.stringify(arg.buyerList));
	sessionStorage.setItem("buyerList",JSON.stringify(arg.buyerList));
	sessionStorage.setItem("defaultCustomer",arg.defaultCustomer);
	getDraft()
});
Vue.filter("time-format", function (time) {
	var date = new Date(time);
	var newDate = date.getFullYear() + "-" + ((date.getMonth() + 1) < 10 ? "0" + (date.getMonth() + 1) : (date.getMonth() + 1)) + "-" + (date.getDate() < 10 ? "0" + date.getDate() : date.getDate());
	return newDate;
});
var keyList = [];
function getKeyList(){
	mui.ajax(severUrl + "scm/productother/dataGrid.json", {
		async:false,
		data: {
		},
		headers: {
			'Content-Type': 'application/x-www-form-urlencoded'
		},
		xhrFields: {
			withCredentials: true
		},
		dataType: 'json',//服务器返回json格式数据
		type: 'post',//HTTP请求类型
		timeout: 10000,//超时时间设置为10秒；
		success: function (res) {
			if(res.success){
				keyList = res.data.list;
			}else if (res.status == 10101 || res.status == 10102) {
				logOut(res.msg)
			}
		}
	});
}
var simpleQryTime =0;
var dikou_amt = false;

// 订单客户 id 与 name
let customerDefault = null

// 缓存
let CACHE = {
	copyProductAttr: {},
}
var draftVM = new Vue({
	el: '#draftVM',
	components: {
		'picker': httpVueLoader('components/v-components/Picker.vue')
	},
	data: {
		systemSetting:JSON.parse(localStorage.systemSetting),
		list: [],
		originalList: [],
		productList: [],
		totalPage: 0,
		lastPageSize: 0,
		page: 0,
		getSwitch: true,
		searchMsg: '',
		searchList: [],
		// selectedDepot: sessionStorage.getItem("selectedDepot") || '',
        selectedDepot:'',
		selectedSupplier: '',
		selectedBuyer: '',
		depotList: [],
		buyerList: [],
		supplierList: [],
		userList:[],
		telePhone:'',
		remark: sessionStorage.getItem("remark") || '',
		order_from:0,
		selProductList: [],
		totalPrice: 0,
		totalPriceOld: 0,
		editTotalPrice: 0,
		totalAmount: 0,
		totalAmountOld: 0,
		vipPrice:0,
		vipCount:0,
		createDate: sessionStorage.getItem("createDate") || '',
		realname: sessionStorage.getItem("realname") || '',
		moLing: sessionStorage.getItem("moLing") || 0,
		realPay: 0,
		itl: '',
		vipLevel:localStorage.getItem("vipLevel"),
		order_flag: sessionStorage.getItem("order_flag") || 5,
		truePay: 0,
		noPay: 0,
        isPay: true,
		deliveryDate: loadNowDate(),
		pay_status:1,
		account_id:'', //收款账户ID
		deliveryType: 0,
		deliveryStatus: 1,
		depotName: '',
		buyerName: '',
		deliveryName: '自提',
		deliveryStatusName: '已发',
        head_name:'',
		//积分与抵现参数
		jifenKT:0, //积分开通
		jifenRule:0,//积分规则
		dixianKT:0, //抵现开通
		dixianRule:0, //抵线规则
		cost_money_unit:0, //每消费 元
		increase_bonus:0, //可积 分
		dxCost_money_unit:0, //抵扣 元
		dxIncrease_bonus:0, //每使用 分
		customerIntegral:0, //客户已有积分
		cgUseIntegral:0, //开单使用积分
		customerAddIntegral:'', //客户增加积分
		dkNumber:0, //抵扣金额
		//全行业参数
		size_show: localStorage.getItem("size_show") || 1,
		color_show: localStorage.getItem("color_show") || 1 ,
		unit_show: localStorage.getItem("unit_show") || 0,
		origin_specification: localStorage.getItem("origin_specification") || 0,
        draft_logistics_number: sessionStorage.getItem("draft_logistics_number"),
		consignee_address:'',
		// print_address:'',
		expenseName:'', //费用名称
		expense:0, //费用金额
		expenseId:0, //历史费用ID
		expenseDegression:0, //费用成本
		expenseList:[],
		//管理员选择销售员
		allUserList: [],
		orderUserId:'',
		//结算账户查询
		accountList:[],
		accountBalance:'default', //欠款
		truePayFirst:true, //帮助抵扣处理
		usedAmounts: 0, //已出库数量
		dingjin:0,
		orderTimeModify:false, //订单时间修改
		//权限相关
		positionName:false,
		stockManager:false,
		purchaseManager:false,
		companySetIndustry:true,
		labelPprinter:false,
		faAccount:true,
		is_advanced:0,
		company_name:'',
		company_id:'',
		user_id:'',
		jifenshow:false,
		bindDepot:-1,
		print_status:0,
		keyList: keyList,
		//--------------------
		show: {
			productListTab: false, // false 销|true 退
		},
		style: {
			// 列表tab头样式
			productTab: {
				color: '#fff',
				backgroundColor: '#748ca4',
				// border: '1px solid #4a7191',
				borderBottom: '1px solid #f1f1f1',
				borderRadius: '6px 6px 0 6px',
				height: '30px',
				lineHeight: '18px',
			},
			activeTab: {
				color: '#4a7191',
				backgroundColor: '#fff',
				border: '1px solid #f1f1f1',
				borderRadius: '6px 6px 0 0',
				borderBottom: '0',
				marginRight: '0'
			}
		},
		statistics: {
			// 主商品数量合计（行数）
			oldXiao: 0,
			oldTui: 0,
			// 主商品数量+特殊商品数量合计（行数）
			xiao: 0,
			tui:0,
			// 主商品数量合计 （主单位数量）
			oldXiao_: 0,
			oldTui_: 0,
			// 主商品数量+特殊商品数量合计 （主单位数量）
			xiao_: 0,
			tui_:0,

		},
		// 快递公司数据
		deliveryCompanyList: [],
		deliveryCompany: '',
		// 根据单品复制的商品
		productCopyAdd: {
			// key: id+colorId+sizeId value: [item] //item 当前单品复制的商品列表 + item.saveStatus=true
		},
		// 订单被修改了吗？ （序列号变化 商品变化）
		isChangeDraft: false,
		isChangeDraftComputedOld: null,
		draftId:sessionStorage.getItem('draftId'),
		orderRemarkImg:[]
	},
	watch: {
		orderUserId:function(){ //销售员选择
			var _this = this;
			mui.each(_this.allUserList,function(i,v){
				if(v.id == _this.orderUserId){
					_this.realname = v.realname
				}
			})
		},
		/*监听库房*/
		selectedDepot: {
			handler: function (newVal,oldVal) {
				for (var i = 0, len = draftVM.depotList.length; i < len; i++) {
					if (draftVM.depotList[i].id == newVal) {
						draftVM.depotName = draftVM.depotList[i].name;
					}
				}
				// if (newVal !== oldVal  && newVal !== "修改") { // 现不支持修改
				if (newVal !== oldVal) {
					sessionStorage.setItem("selectedDepot", newVal)
				}
			}
		},
		/*物流监听*/
        deliveryType:{
            handler: function (newVal) {
            	var _this = this;
				var arr = ['自提', '快递', '物流', '送货'];
				this.deliveryName = arr[newVal];
				var isActive = document.getElementById("mySwitch").classList.contains("mui-active");
				if(this.deliveryType !=0 && this.consignee_address ==''){
					if(this.deliveryStatus == 0){

					}else{

					}
				}else{
					if(isActive){
						mui("#mySwitch").switch().toggle();
						$("#mySwitch .mui-switch-handle").css("transform","translate(0px, 0px)")
						setTimeout(function(){
							this.deliveryStatus = 1
							var arr = ['未发', '已发'];
							this.deliveryStatusName = arr[newVal];
						},500)
					}
				}
				if(!_this.selectedSupplier){
					return
				}
				//非默认客户查询信息
				var thisDeliveryType = this.deliveryType;
				if(this.selectedSupplier != sessionStorage.getItem('defaultCustomer') && this.deliveryType !=0 && this.consignee_address==''){
					mui.ajax(severUrl + "crm/customer/qryOp.json", {
						data: {
							id:_this.selectedSupplier,
						},
						headers: {
							'Content-Type': 'application/x-www-form-urlencoded'
						},
						xhrFields: {
							withCredentials: true
						},
						dataType: 'json',
						type: 'post',
						timeout: 20000,
						success: function (res) {
							if(thisDeliveryType != 3){
								draftVM.consignee_address = res.data.customer.name;
								// draftVM.print_address = res.data.customer.address;
								if(res.data.customer.telephone){
									draftVM.consignee_address +=','+res.data.customer.telephone
								}
								if(res.data.customer.address){
									draftVM.consignee_address +=','+res.data.customer.address
								}
							}else{
								draftVM.consignee_address = res.data.customer.address
							}
						}
					});
				}
            }
		},
        deliveryStatus:{
            handler: function (newVal) {
                var arr = ['未发', '已发'];
                this.deliveryStatusName = arr[newVal];
            }
		},
        truePay: function (val) {
        	if(this.vipLevel == 1){
				if (this.vipPrice > 0) {
					this.noPay = numToCur(Number(this.vipPrice) - (Number(this.truePay) + Number(this.moLing) + Number(this.dkNumber)),draftVM.systemSetting.price_decimals_setting,'price')
				} else {
					this.noPay = numToCur(Number(this.vipPrice) - (Number(this.truePay) - Number(this.moLing) - Number(this.dkNumber)),draftVM.systemSetting.price_decimals_setting,'price')
				}
                // if (this.truePay!=0){
                //     $(".quanQian").css('background-color','#556890')
                // }else if (this.truePay==0 && this.vipPrice !=0 && (this.vipPrice != this.moLing && Math.abs(this.vipPrice) !=this.moLing)){
                //     $(".quanQian").css('background-color','gainsboro')
                // }
			}else{
				if (this.totalPrice > 0) {
					this.noPay = numToCur(Number(this.totalPrice) - (Number(this.truePay) + Number(this.moLing) + Number(this.dkNumber)),draftVM.systemSetting.price_decimals_setting,'price')
				} else {
					this.noPay = numToCur(Number(this.totalPrice) - (Number(this.truePay) - Number(this.moLing) - Number(this.dkNumber)),draftVM.systemSetting.price_decimals_setting,'price')
				}
                // if (this.truePay!=0){
                //     $(".quanQian").css('background-color','#556890')
                // }else if (this.truePay==0 && this.totalPrice !=0 && (this.totalPrice != this.moLing && Math.abs(this.totalPrice) !=this.moLing)){
                //     $(".quanQian").css('background-color','gainsboro')
                // }
			}
			this.customerAddIntegral = parseInt((this.truePay - Number(this.expense || 0))/this.cost_money_unit * this.increase_bonus);
			if(this.accountBalance != 'default' && this.truePayFirst){
				if(Number(this.accountBalance) <0){
					if(this.editTotalPrice > 0){
						if(-Number(this.accountBalance) >= Number(this.editTotalPrice)){
							this.truePay = 0
						}else{
							this.truePay = numToCur(Number(this.accountBalance) + Number(this.editTotalPrice),draftVM.systemSetting.price_decimals_setting,'price')
						}
					}
				}else{
					if(this.editTotalPrice < 0){
						if(Number(this.accountBalance) >= -Number(this.editTotalPrice)){
							this.truePay = 0
						}else{
							this.truePay = numToCur(Number(this.accountBalance) + Number(this.editTotalPrice),draftVM.systemSetting.price_decimals_setting,'price')
						}
					}
				}
			}
        },
        moLing: function (val) {
        	if(this.vipLevel == 1){
				if (this.vipPrice > 0) {
					this.truePay = numToCur(Number(this.vipPrice) - (Number(this.noPay) + Number(this.moLing) + Number(this.dkNumber)),draftVM.systemSetting.price_decimals_setting,'price')
				} else {
					this.truePay = numToCur(Number(this.vipPrice) - (Number(this.noPay) - Number(this.moLing) - Number(this.dkNumber)),draftVM.systemSetting.price_decimals_setting,'price')
				}
			}else{
				if (this.totalPrice > 0) {
					this.truePay = numToCur(Number(this.totalPrice) - (Number(this.noPay) + Number(this.moLing) + Number(this.dkNumber)),draftVM.systemSetting.price_decimals_setting,'price')
				} else {
					this.truePay = numToCur(Number(this.totalPrice) - (Number(this.noPay) - Number(this.moLing) - Number(this.dkNumber)),draftVM.systemSetting.price_decimals_setting,'price')
				}
			}

        },
        noPay: function (val) {
        	if(this.vipLevel == 1){
				if (this.vipPrice > 0) {
					this.truePay = numToCur(Number(this.vipPrice) - (Number(this.noPay) + Number(this.moLing) + Number(this.dkNumber)),draftVM.systemSetting.price_decimals_setting,'price')
				} else {
					this.truePay = numToCur(Number(this.vipPrice) - (Number(this.noPay) - Number(this.moLing) - Number(this.dkNumber)),draftVM.systemSetting.price_decimals_setting,'price')
				}
			}else{
				if (this.totalPrice > 0) {
					this.truePay = numToCur(Number(this.totalPrice) - (Number(this.noPay) + Number(this.moLing) + Number(this.dkNumber)),draftVM.systemSetting.price_decimals_setting,'price')
				} else {
					this.truePay = numToCur(Number(this.totalPrice) - (Number(this.noPay) - Number(this.moLing) - Number(this.dkNumber)),draftVM.systemSetting.price_decimals_setting,'price')
				}
			}
        },
        draft_logistics_number: function (val) {
            sessionStorage.setItem("draft_logistics_number",this.draft_logistics_number)
        },
		'show.productListTab': function(value){
			if(value){
				this.style.productTab.borderRadius = '6px 6px 6px 0'
				this.style.productTab.marginLeft = '8px'
				this.style.productTab.marginRight = '0'
			}else{
				this.style.productTab.borderRadius = '6px 6px 0 6px'
				this.style.productTab.marginRight = '8px'
				this.style.productTab.marginLeft = '0'
			}
		},
		deliveryCompany(val,oldVal){
        	if(val === undefined){
        		this.deliveryCompany = oldVal
			}
		}
	},
	computed:{
		sizeName:function(){
			if(this.size_show == 1){
				return '尺码'
			}else{
				if(this.origin_specification ==3){
					return '产地'
				}else{
					return '规格'
				}
			}
		},
		sns_show:function(){
			var _this = this;
			return function(snsArr,count){
				if(_this.vipLevel == 1 && _this.systemSetting.sn_setting == 1){
					if(snsArr && snsArr.length > 0 && count != '' && count > 0 && snsArr.length == count){
						return '<span class="iconfont icon-tubiaozhizuomoban1111111 font-orange"></span>'
					}else{
						return '<span class="iconfont icon-tubiaozhizuomoban1111111 font-gray"></span>'
					}
				}else{
					return ''
				}
			}
		},
		// 当前停留销售 / 退货页面
		currentInnerPage: function() {
			return this.show.productListTab ? CONSTANT.SALES_RETURN_OF_GOODS : CONSTANT.SALES
		},
		vipOpenOrderXiao: function() {
			return this.selProductList.filter(function(item){
				return item.order_in === 'in'
			})
		},
		vipOpenOrderTui: function() {
			return this.selProductList.filter(function(item){
				return item.order_out === 'out'
			})
		},
		// vip分批出库 显示第一行＋-
		showAddandReduce: function() { //
			return this.vipOpenOrderXiao.length > 0
		},
		// 订单相关信息是否修改（商品列表不做处理，在计算合计时直接处理为修改状态） false 未修改 true 已修改 null 未初始化
		isChangeDraftComputed: function(){
			if(this.isChangeDraft) return true
			// 时间修改允许开单！！！
			// if(this.isChangeDraft || this.orderTimeModify) return true
			if(this.isChangeDraftComputedOld === null) return null //还未获取到订单数据
			let isChangeDraftComputed = {
				depot_id: this.selectedDepot,    //仓库		// draftVM.selectedDepot
				customer_id: this.selectedSupplier,//客户   	// draftVM.selectedSupplier
				creater_id: this.orderUserId,  //员工  	// draftVM.orderUserId
				// creater_date: this.createDate,  //创建日期  	// draftVM.createDate
				delivery_type: Number(this.deliveryType),		 //发货方式 draftVM.deliveryType （需要转数字类型）
				delivery_status: this.deliveryStatus,    //发货状态 draftVM.deliveryStatus
				delivery_company: this.deliveryCompany,  //快递公司 draftVM.deliveryCompany
				logistics_number: this.draft_logistics_number, //快递单号 draftVM.draft_logistics_number
				consignee_address: this.consignee_address, //收货地址 draftVM.consignee_address
				remark: this.remark,//备注 draftVM.remark
				order_flag: Number(this.order_flag),// 旗子 // draftVM.order_flag（需要转数字类型）
			}
			// 自提不比对以下数据
			if(isChangeDraftComputed.delivery_type === 0 ){
				isChangeDraftComputed.consignee_address = this.isChangeDraftComputedOld.consignee_address
				isChangeDraftComputed.draft_logistics_number = this.isChangeDraftComputedOld.draft_logistics_number
				isChangeDraftComputed.deliveryCompany = this.isChangeDraftComputedOld.deliveryCompany
			}
			for(let k in isChangeDraftComputed){
				if(isChangeDraftComputed.hasOwnProperty(k)){
					if (isChangeDraftComputed[k] !== this.isChangeDraftComputedOld[k]){
						return true
					}
				}
			}
			return  false
		}
	},
	methods: {
		setColor: function(v, b) {
			var self = this;
			var orderFlag = v;
			if (self.initOrderFlag == orderFlag) return;
			self.initOrderFlag = orderFlag;
			draftVM.order_flag = orderFlag;
			changeOrderFlag(draftVM)
			// mui.ajax(severUrl + "scm/order/updateFlag.json", { //销售历史小旗帜order_flag 修改
			// 	data: {
			// 		id: draftVM.draftId,
			// 		order_flag: orderFlag
			// 	},
			// 	headers: {
			// 		'Content-Type': 'application/x-www-form-urlencoded'
			// 	},
			// 	xhrFields: {
			// 		withCredentials: true
			// 	},
			// 	dataType: 'json',
			// 	type: 'post',
			// 	timeout: 10000,
			// 	success: function(res) {
			// 		draftVM.order_flag = orderFlag;
			// 		changeOrderFlag(draftVM)
			// 		mui.toast(res.msg)
			// 	}
			// });
		},
		uploadPic:function (e){
			console.log(e)
			viewHandle.openWindow('view/uploadPic.html', 'uploadPic.html',{order_id:e});
		},
		vip_choose_sn:function(item,product){
			isCopySnSet = null
			var _this = this;
			if(!item.next_used || Number(item.next_used <=0)){
				return mui.toast("请先选择出库数量")
			}
			localStorage.selProductList = JSON.stringify(draftVM.selProductList)
			var listSend = {
				item:item,
				args:{
					can_choose:item.next_used,
					product_id:item.product_id,
					// depot_id:_this.out_depot,
					model:product.model,
					name:product.name,
					qryPage:'order_xiao'
				}
			};
			viewHandle.openWindow("sns_choose.html","sns_choose.html",JSON.stringify(listSend))
		},
		sns_look:function(item,product,e){//sn查看
		// 点击序列号图标放大
		e.target.style.fontSize='18px'
		setTimeout(function(){
			e.target.style.fontSize='16px'
		},80)
			var listSend = {
				item:item,
				product:product,
				parentPage:'order'
			};
			viewHandle.openWindow("sns_show.html","sns_show.html",JSON.stringify(listSend))
		},
		snsSet:function(item,product,e,type){//sn设置
		// 点击序列号图标放大
			if(type === 'copyProduct'){
				isCopySnSet = item
			}
		e.target.style.fontSize='18px'
		setTimeout(function(){
			e.target.style.fontSize='16px'
		},80)
			var listSend = {
				item:item,
				product:product,
				args:{
					depot_id:draftVM.selectedDepot,
					parentPage:'xiao_order'
				}
			};
			viewHandle.openWindow("sns_set.html","sns_set.html",JSON.stringify(listSend))
		},
		getPurview :function(){//获取权限
			var _this = this;
			mui.ajax(severUrl + "sso/user/qryOp.json", {
				data : {
					id : ''
				},
				headers : {
					'Content-Type' : 'application/x-www-form-urlencoded'
				},
				xhrFields : {
					withCredentials : true
				},
				dataType : 'json',
				type : 'post',
				timeout : 30000,
				async : false,
				success : function(res) {
					if (res.success) {
						// var position_name = res.data.position_name;
						_this.company_name = res.data.company_name;
						_this.company_id = res.data.company_id;
						_this.bindDepot = res.data.manage_depot_id;
						_this.user_id = res.data.id;
						var code = res.data.position,permission = code.permission;
						if(permission.indexOf('A11_1_O') >=0 || permission.indexOf('A11_1_E') >=0){
							_this.positionName = true
						}else{
							_this.positionName = false
						}
						permission.indexOf('A4_1_E') >=0?_this.stockManager = true:_this.stockManager = false;
						permission.indexOf('FA_ACC') >=0?_this.faAccount = true:_this.faAccount = false;
						permission.indexOf('LOOK_PURCHASE') >=0?_this.purchaseManager = true:_this.purchaseManager = false;
						permission.indexOf('ONLY_PRINT') >=0?_this.labelPprinter = true:_this.labelPprinter = false;
						'RFRk,eYVo,y0oa,mVbc,pqrB,pDAY,CCP2,Oo4T,LfTY'.indexOf(_this.company_id) >=0?_this.jifenshow = true:_this.jifenshow=false
						_this.companySetIndustry = res.data.company_set_industry;
						// ==
						if(res.data.manage_depot_id != -1){
							document.getElementById('my_depot').disabled=true;
						}
					}

				}
			});
		},
		// vip 出库数量编辑后计算调用
		vipPricseEdit:function(){
			var _this = this;
			if (_this.vipPrice > 0) {
				_this.noPay = numToCur(Number(_this.vipPrice) - (Number(_this.truePay) + Number(_this.moLing) + Number(_this.dkNumber)),draftVM.systemSetting.price_decimals_setting,'price')
			} else {
				_this.noPay = numToCur(Number(_this.vipPrice) - (Number(_this.truePay) - Number(_this.moLing) - Number(_this.dkNumber)),draftVM.systemSetting.price_decimals_setting,'price')
			}
			// if (_this.truePay!=0){
			// 	$(".quanQian").css('background-color','#556890')
			// }else if (_this.truePay==0 && _this.vipPrice !=0 && (_this.vipPrice != _this.moLing && Math.abs(_this.vipPrice) !=_this.moLing)){
			// 	$(".quanQian").css('background-color','gainsboro')
			// }
			_this.customerAddIntegral = parseInt(_this.truePay - Number(_this.expense || 0)/_this.cost_money_unit * _this.increase_bonus);
			if(_this.accountBalance != 'default' && _this.truePayFirst){
				if(Number(_this.accountBalance) <0){
					if(_this.editTotalPrice > 0){
						if(-Number(_this.accountBalance) >= Number(_this.editTotalPrice)){
							_this.truePay = 0
						}else{
							_this.truePay = numToCur(Number(_this.accountBalance) + Number(_this.editTotalPrice),draftVM.systemSetting.price_decimals_setting,'price')
						}
					}
				}else{
					if(_this.editTotalPrice < 0){
						if(Number(_this.accountBalance) >= -Number(_this.editTotalPrice)){
							_this.truePay = 0
						}else{
							_this.truePay = numToCur(Number(_this.accountBalance) + Number(_this.editTotalPrice),draftVM.systemSetting.price_decimals_setting,'price')
						}
					}
				}
			}
		},
		logistics_number:function(){
			var isActive = document.getElementById("mySwitch").classList.contains("mui-active");
			if(draftVM.draft_logistics_number != ''){
				if(isActive){
					mui("#mySwitch").switch().toggle();
					$("#mySwitch .mui-switch-handle").css("transform","translate(0px, 0px)")
				}
			}else{
				if(!isActive){
					mui("#mySwitch").switch().toggle();
					$("#mySwitch .mui-switch-handle").css("transform","translate(43px, 0px)")
				}
			}
		},
		searchProduct: function () {
            if(this.searchMsg==null || this.searchMsg==''){
                draftVM.list=[];
                mui("#popover").popover("hide");
                $("#hidePopover").css('display','none');
            }else{
            	clearTimeout(simpleQryTime);
				simpleQryTime = setTimeout(function () {
					mui.ajax(severUrl + "scm/product/dataGridSimple", {
						data: {
							keyword:draftVM.searchMsg
						},
						headers: {
							'Content-Type': 'application/x-www-form-urlencoded'
						},
						xhrFields: {
							withCredentials: true
						},
						dataType: 'json',
						type: 'post',
						timeout: 10000,
						success: function (res) {
							if (res.success) {
								draftVM.list = []
								if(draftVM.searchMsg !='' && draftVM.searchMsg !=null){
									draftVM.list = draftVM.list.concat(res.data.list);
									if(draftVM.list.length<=0){
										var list={"model":"去创建商品？"};
										draftVM.list.push(list);
									}
									mui("#popover").popover("show");
									$("#hidePopover").css('display','block');
								}
							}else{
								mui.toast(res.msg);
							}
						}
					});
				},300)
            }
		},
		getIntegral:function(){
			draftVM.customerAddIntegral = parseInt((draftVM.truePay - Number(draftVM.expense || 0))/draftVM.cost_money_unit * draftVM.increase_bonus);
		},
		calculation: function () {
			var count = 0,totalPrice = 0,usedAmounts = 0;
			this.statistics.oldXiao = 0
			this.statistics.oldTui = 0
			this.statistics.oldXiao_ = 0
			this.statistics.oldTui_ = 0
			let statistics = this.statistics
			mui.each(this.selProductList, function (index1, product) {
				var ratio = 1;
				if(product.unitChooseRatio){
					ratio = product.unitChooseRatio
				}
				mui.each(product.list, function (index2, value) {

					if (value.ordertype == 0) {
						totalPrice += Number(value.count * product.amt);
						let _count = Number(value.count * ratio);
						statistics.oldXiao_ += _count
						count += _count
						usedAmounts += Number(value.used_amount * ratio);
						_count&&statistics.oldXiao++
					} else {
						totalPrice -= Number(value.count * product.amt);
						let _count = Number(value.count * ratio);
						statistics.oldTui_ += _count
						count -= _count
						usedAmounts -= Number(value.used_amount * ratio);
						_count&&statistics.oldTui++
					}
				});
				// }
			});
			this.totalAmount =numToCur(count,draftVM.systemSetting.amount_decimals_setting);
			this.usedAmounts =numToCur(usedAmounts,draftVM.systemSetting.amount_decimals_setting);
			this.totalPrice = numToCur(Number(totalPrice) + Number(this.expense),draftVM.systemSetting.price_decimals_setting,'price');
			if (this.totalPrice < 0) {
				this.truePay = numToCur(Number(this.totalPrice) + Number(this.moLing), draftVM.systemSetting.price_decimals_setting,'price');
				this.editTotalPrice = numToCur(Number(this.totalPrice) + Number(this.moLing),draftVM.systemSetting.price_decimals_setting,'price');
			} else {
				this.truePay = numToCur(Number(this.totalPrice) - Number(this.moLing) - Number(this.dkNumber),draftVM.systemSetting.price_decimals_setting,'price');
				this.editTotalPrice = numToCur(Number(this.totalPrice) - Number(this.moLing) - Number(this.dkNumber),draftVM.systemSetting.price_decimals_setting,'price');
			}
			this.totalPriceOld = this.totalPrice
			this.totalAmountOld = this.totalAmount
			this.calculationAddCopyList()
		},
		vipCalculation: function (type) {
			var vipPrice = 0,vipCount = 0;
			mui.each(this.selProductList, function (index1, product) {
				// if (product.depot_id == draftVM.selectedDepot) {
				var ratio = 1;
				if(product.unitChooseRatio){
					ratio = product.unitChooseRatio
				}
				mui.each(product.list, function (index2, value) {
					if (value.ordertype == 0) {
						vipPrice += Number((value.next_used || 0) * product.amt);
						vipCount += Number((value.next_used || 0) * ratio);
					} else {
						vipPrice -= Number((value.next_used || 0) * product.amt);
						vipCount -= Number((value.next_used || 0) * ratio);
					}
				});
				// }
			});
			this.vipPrice = numToCur(Number(vipPrice) + Number(this.expense),draftVM.systemSetting.price_decimals_setting,'price');
			this.vipCount = numToCur(vipCount,draftVM.systemSetting.amount_decimals_setting);
			if (this.vipPrice < 0) {
				this.truePay = Number(this.vipPrice) + Number(this.moLing);
				this.editTotalPrice = numToCur(Number(this.vipPrice) + Number(this.moLing),draftVM.systemSetting.price_decimals_setting,'price');
			} else {
				this.truePay = Number(this.vipPrice) - Number(this.moLing) - Number(this.dkNumber);
				this.editTotalPrice = numToCur(Number(this.vipPrice) - Number(this.moLing) - Number(this.dkNumber),draftVM.systemSetting.price_decimals_setting,'price');
			}
			this.vipCalculationAddCopyList()
			if(type == 'reset'){
				this.vipPricseEdit() //价格相同主动触发
			}
		},
		clearUser:function(){
			this.buyerName='';
			this.searchUser();
		},
		qryCustomerBySimple:function(type){
			clearTimeout(simpleQryTime)
			simpleQryTime = setTimeout(function () {
				mui.ajax(severUrl + "crm/customer/dataGridSimple.json", {
					data: {
						keyword:draftVM.buyerName,
						type: 1,
						qryType: -1,
						rows: 20,
						page: 1
					},
					headers: {
						'Content-Type': 'application/x-www-form-urlencoded'
					},
					xhrFields: {
						withCredentials: true
					},
					dataType: 'json',
					type: 'post',
					timeout: 10000,
					success: function (res) {
						if (res.success) {
							draftVM.userList = res.data.list;
							mui("#hideUserPopover").scroll().scrollTo(0,0,0);
							mui("#userPopover").popover("show");
							$("#hideUserPopover").css('display','block');
						}
					}
				});
			},150)
		},
		searchUser:function(){
			var _this = this;
			_this.userList=[];
			if(_this.buyerName==null || _this.buyerName==''){
				_this.qryCustomerBySimple()
			}else{
				_this.qryCustomerBySimple("search")
			}
		},
		vipNextUsedAll:function(){
			var _this = this;
			mui.each(_this.selProductList,function(i,v){
			    mui.each(v.list,function(n,m){
			        var next_used = numToCur(m.count - m.used_amount)>0?numToCur(m.count - m.used_amount):''
					m.next_used = next_used
			    })
			})
			//赠品
			for(let key in _this.productCopyAdd){
				if(_this.productCopyAdd.hasOwnProperty(key)){
					_this.productCopyAdd[key].forEach(function(m){
						if(numToCur(m.count - m.used_amount)>0){
							m.next_used = numToCur(m.count - m.used_amount)>0?numToCur(m.count - m.used_amount):''
						}
					})
				}
			}
			_this.$nextTick(function(){
				_this.$forceUpdate();
				_this.vipCalculation("reset")
			})
		},
		vipNextUsed:function(item){
			var _this = this;
			if(item.next_used != ''){
				if(item.next_used > numToCur(item.count - item.used_amount)){
					mui.toast("您已出库"+item.used_amount+"件,再次出库"+item.next_used+"件将超过订单数量");
					if(numToCur(item.count - item.used_amount) >0){
						// draftVM.$set(item,'next_used',numToCur(item.count - item.used_amount))
						item.next_used = numToCur(item.count - item.used_amount)
					}else{
						// draftVM.$set(item,'next_used','')
						item.next_used = ''
					}
				}
			}
			_this.$nextTick(function(){
				_this.$forceUpdate();
				_this.vipCalculation("reset")
			})
			console.log(draftVM.selProductList)
		},
		vipAdd:function(type,item){
			var _this = this;
			if(type === 'single' || type === 'extra'){
				if(!item.next_used) {
					item.next_used = 1
				}else{
					item.next_used = Number(item.next_used) + 1
				}
				_this.vipNextUsed(item)
			}else{
				mui.each(_this.selProductList,function(i,v){
					mui.each(v.list,function(n,m){
						if(numToCur(m.count - m.used_amount)>0){
							if(!m.next_used){
								if(numToCur(m.count - m.used_amount) >=1){
									m.next_used = 1
								}else{
									m.next_used = numToCur(m.count - m.used_amount)
								}
							}else{
								if(m.next_used < numToCur(m.count - m.used_amount) && numToCur(m.count - m.used_amount) >= 1){
									m.next_used +=1
								}else{
									m.next_used = numToCur(m.count - m.used_amount)
								}
							}
						}
					})
				})
				// 赠品
				for(let key in _this.productCopyAdd){
					if(_this.productCopyAdd.hasOwnProperty(key)){
						_this.productCopyAdd[key].forEach(function(m){
							if(numToCur(m.count - m.used_amount)>0){
								if(!m.next_used){
									if(numToCur(m.count - m.used_amount) >=1){
										m.next_used = 1
									}else{
										m.next_used = numToCur(m.count - m.used_amount)
									}
								}else{
									if(m.next_used < numToCur(m.count - m.used_amount) && numToCur(m.count - m.used_amount) >= 1){
										m.next_used +=1
									}else{
										m.next_used = numToCur(m.count - m.used_amount)
									}
								}
							}
						})
					}
				}

				_this.$nextTick(function(){
                    _this.$forceUpdate();
					_this.vipCalculation("reset")
				})
                var allCheck = true,useCheck = false
                mui.each(_this.selProductList,function(i,v){
                    mui.each(v.list,function(n,m){
                        if(m.count > m.used_amount && m.count != m.next_used){
                            allCheck = false;
                            return false
                        }
                    })
                })
				// 检查赠品
				for(let key in _this.productCopyAdd){
					if(_this.productCopyAdd.hasOwnProperty(key)){
						_this.productCopyAdd[key].forEach(function(m){
							if(m.count > m.used_amount && m.count != m.next_used){
								allCheck = false;
							}
						})
					}
				}
				if(allCheck){
				    mui.toast("商品已全部出库")
                }
			}
		},
		vipReduce:function(type,item){
			var _this = this;
			if(type == 'single'){
				if(item.next_used) {
					if(Number(item.next_used) > 0){
						item.next_used = Number(item.next_used) - 1
					}
				}
				item.next_used <= 0?item.next_used = '':item.next_used = item.next_used;

				$.each(draftVM.selProductList,function(outer_i,value){
					 $.each(value.list,function(inner_i,info){
						 var product_sn_list_vip=info.product_sn_list_vip||[]
						 if(Number(item.next_used)<product_sn_list_vip.length){
							product_sn_list_vip=product_sn_list_vip.slice(0,Number(item.next_used))
						 }
						 info.product_sn_list_vip=_.cloneDeep(product_sn_list_vip)
					 })

				})

				_this.$nextTick(function(){
					_this.$forceUpdate();
					_this.vipCalculation()
				})
			}else if(type === 'extra'){
				if(item.next_used) {
					if(Number(item.next_used) > 0){
						item.next_used = Number(item.next_used) - 1
					}
				}
				item.next_used <= 0 && (item.next_used = '')
				for(let key in _this.productCopyAdd){
					if(_this.productCopyAdd.hasOwnProperty(key)){
						_this.productCopyAdd[key].forEach(function(m){
							let product_sn_list_vip=m.product_sn_list_vip||[]
							if(Number(item.next_used)<product_sn_list_vip.length){
								product_sn_list_vip=product_sn_list_vip.slice(0,Number(item.next_used))
							}
							m.product_sn_list_vip=_.cloneDeep(product_sn_list_vip)
						})
					}
				}

			}else{
				mui.each(_this.selProductList,function(i,v){
					mui.each(v.list,function(n,m){
						if(numToCur(m.count - m.used_amount)>0){
							if(m.next_used){
								m.next_used -=1;
								m.next_used <= 0?m.next_used = '':m.next_used = m.next_used
							}
						}
					})
				})
				// 赠品
				for(let key in _this.productCopyAdd){
					if(_this.productCopyAdd.hasOwnProperty(key)){
						_this.productCopyAdd[key].forEach(function(m){
							if(numToCur(m.count - m.used_amount)>0){
								if(m.next_used){
									m.next_used -=1;
									m.next_used = m.next_used <= 0 ? '' : m.next_used
								}
							}
						})
					}
				}
				_this.$nextTick(function(){
					_this.$forceUpdate();
					_this.vipCalculation("reset")
				})
			}
		},
		// 动画高度切换 - 动画开始时执行 动画结束后移除高度
		slideHeight(el, type) {
			if(type === 'xiao' && this.show.productListTab === false || type === 'tui' && this.show.productListTab === true){
				this.slideProductListBox.style.height = el.clientHeight + 'px'
			}
		},
		slideAutoHeight() {this.slideProductListBox.style.height = 'auto'},
		// 赠品功能
		// 返回当前单品的copy list
		getProductCopyList(key) {
			return this.productCopyAdd[key] || []
		},
		// 计算复制的商品统计
		calculationAddCopyList(){
			let num = 0 // 价格
			let count = 0 // 主单位数量
			let statistics = this.statistics
			statistics.xiao = 0
			statistics.tui = 0
			statistics.xiao_ = 0
			statistics.tui_ = 0
			for (const productCopyAddKey in this.productCopyAdd) {
				if(this.productCopyAdd.hasOwnProperty(productCopyAddKey)){
					this.productCopyAdd[productCopyAddKey].map(function(item){
						let _count = Number(item.count) * item.unitChooseRatio
						if(item.type === 0){
							statistics.xiao++
							count += _count
							num += Number(item.count) * Number(item.price)
							statistics.xiao_+= _count
						}else{
							statistics.tui++
							count +=  -_count
							num += -(Number(item.count) * Number(item.price))
							statistics.tui_ += _count
						}
					})
				}
			}
			statistics.xiao_ = numToCur(Number(this.statistics.oldXiao_) + statistics.xiao_, draftVM.systemSetting.amount_decimals_setting)
			statistics.tui_ = numToCur(Number(this.statistics.oldTui_) + statistics.tui_, draftVM.systemSetting.amount_decimals_setting)
			this.totalPrice = Number(this.totalPriceOld) + num
			this.totalAmount = Number(this.totalAmountOld) + count
			this.statistics.xiao += this.statistics.oldXiao
			this.statistics.tui += this.statistics.oldTui

			if (this.totalPrice < 0) {
				this.truePay = numToCur(Number(this.totalPrice) + Number(this.moLing),draftVM.systemSetting.price_decimals_setting,'price');
				this.editTotalPrice = numToCur(Number(this.totalPrice) + Number(this.moLing), draftVM.systemSetting.price_decimals_setting,
					'price');
			} else {
				this.truePay = numToCur(Number(this.totalPrice) - Number(this.moLing) - Number(this.dkNumber),draftVM.systemSetting.price_decimals_setting,'price');
				this.editTotalPrice = numToCur(Number(this.totalPrice) - Number(this.moLing) - Number(this.dkNumber), draftVM.systemSetting
					.price_decimals_setting, 'price');
			}
			// 计算触发单据被修改 排除首次计算
			if(firstCalculation){
				firstCalculation = false
			}else{
				this.isChangeDraft = true
			}
		},
		// 更改复制单品单位
		changeCopyProductItemUnit(item){
			// item.unitChooseId;
			let unit = item.unitData.find(function(_item){return item.unitChooseId === _item.id})
			item.unitChooseName = unit.name
			item.unitChooseRatio = unit.ratio
			item.price = numToCur(item.originPrice * item.unitChooseRatio,this.systemSetting.price_decimals_setting,'price')
			this.calculationAddCopyList()
		},
		/**
		 * 修改特殊商品颜色尺码
		 * @param item 特殊商品
		 * @param key color || size
		 */
		changeCopyProductItemAttr(item, key){
			item[key + '_name'] = item[key + 'List'].find(function(i){return i.id === item[key + '_id']}).name
			draftVM.isChangeDraft = true
		},
		chengProductRemark(){
			draftVM.isChangeDraft = true
		},
		/**
		 * 修改单品备注显示状态
		 * @param item
		 */
		changeRemarkShow(item){
			this.$set(item, 'isRemarkShow', !item.isRemarkShow)
			// item.isRemarkShow = !item.isRemarkShow
		},
		// 删除复制的单品
		deleteCopyProductItem(item){
			const _this = this
			if(item.used_amount){
				mui.toast('已有部分入库的产品不能被删除!')
				return
			}
			mui.confirm('确认删除此条销售信息吗？', '提示', ['取消', '确定'], function(e) {
				if (e.index === 1) {
					const key = item.__pid__
					_this.productCopyAdd[key] = _this.productCopyAdd[key].filter(function(_item){return _item !== item})
					_this.calculationAddCopyList()
				}
			}, 'div')
		},
		// 复制单品
		copyProduct(product, item){
			const _this = this
			// 查询商品属性（单位 颜色 尺码）
			if(CACHE.copyProductAttr[product.id]) {
				cb(CACHE.copyProductAttr[product.id])
			}else{
				$API.product.qryColorSizeUnitByProductIds({product_ids: product.id}).then(function(e){
					e.data.forEach(function(i){
						CACHE.copyProductAttr[i.product_id] = i
					})
					cb(CACHE.copyProductAttr[product.id])
				}).catch(function(e){
					mui.toast('数据查询失败！')
					console.log(e)
				})
			}
			function cb(copyProductAttr){
				// console.log(product, item)
				const key = item.__id__
				let value = {
					id: product.id,
					model: product.model,
					name: product.name,
					color_id: item.color_id,
					color_name: item.color_name,
					size_id: item.size_id,
					size_name: item.size_name,
					// product_sn_list: [],
					count: item.count, //默认数量
					used_amount: 0,
					type: item.type, // 0销 1退
					purchase_price: item.purchase_price,// 采购价 销售需要分别记录本次销售价与采购价 /采购 是一个 不用
					price: numToCur(product.amt,_this.systemSetting.price_decimals_setting,'price'), //默认价格
					unitChooseId: product.unitChooseId || null, //: "L0W6" // id 选择的单位id
					unitChooseName: product.unitChooseName || null, //: "箱" // 选择的单位
					unitChooseRatio: product.unitChooseRatio || 1, //: 1 // 比例
					unitMinName: product.unitMinName || null, //: "箱" // 主单位
					unitData: getAttrList(copyProductAttr.units||[],'unit'), // 单位列表
					product_sn_list: [],
					product_sn_list_old: [],
					product_sn_list_vip: [],
					product_sn_list_status: [],
					product_sn_used_list: [],
					__pid__: item.__id__,
					__id__: getProductIndex(),
					colorList: getAttrList(copyProductAttr.colors||[], 'color'),
					sizeList: getAttrList(copyProductAttr.sizes||[], 'size')
				}
				value.originPrice = value.price / (value.unitChooseRatio || 0)
				if(_this.productCopyAdd[key]){
					_this.productCopyAdd[key].push(value)
				}else{
					_this.$set(_this.productCopyAdd,key,[value])
				}
				_this.calculationAddCopyList()
				function getAttrList(attrList, key){
					if(key === 'unit'){
						return attrList.map(function(i){
							return {
								id: i.assist_unit,
								name: i.assist_unit_name,
								ratio: i.ratio || 1,
								isMain: !i.id // 主单位没有 id
							}
						})
					}
					return attrList.map(function(i){
						return {
							id: i[key+'_id'],
							name: i[key+'_name']
						}
					})
				}
			}
		},
		// 开单选择赠品序列号
		vip_chose_sn_extra(item){
			if(!item.next_used || Number(item.next_used <=0)){
				return mui.toast("请先选择出库数量")
			}
			isCopySnSet = item
			let listSend = {
				item:item,
				args:{
					can_choose:item.next_used,
					product_id:item.product_id,
					// depot_id:_this.out_depot,
					model:item.model,
					name:item.name,
					qryPage:'order_xiao'
				}
			};
			viewHandle.openWindow("sns_choose.html","sns_choose.html",JSON.stringify(listSend))
		},
		// 开单赠品合计
		vipCalculationAddCopyList(type){
			let vipPrice = 0,vipCount = 0;
			for(let k in this.productCopyAdd){
				if(this.productCopyAdd.hasOwnProperty(k)){
					this.productCopyAdd[k].forEach(function(i){
						if (i.type === 0) {
							vipPrice += Number((i.next_used || 0) * i.price);
							vipCount += Number((i.next_used || 0) * i.unitChooseRatio);
						} else {
							vipPrice -= Number((i.next_used || 0) * i.price);
							vipCount -= Number((i.next_used || 0) * i.unitChooseRatio);
						}
					})
				}
			}
			this.vipPrice = numToCur(vipPrice + Number(draftVM.vipPrice),draftVM.systemSetting.price_decimals_setting,'price');
			this.vipCount = numToCur(vipCount+ draftVM.vipCount,draftVM.systemSetting.amount_decimals_setting);
			if (this.vipPrice < 0) {
				this.truePay = numToCur(Number(this.vipPrice) + Number(this.moLing),draftVM.systemSetting.price_decimals_setting,'price');
				this.editTotalPrice = numToCur(Number(this.vipPrice) + Number(this.moLing),draftVM.systemSetting.price_decimals_setting,'price');
			} else {
				this.truePay = numToCur(Number(this.vipPrice) - Number(this.moLing) - Number(this.dkNumber),draftVM.systemSetting.price_decimals_setting,'price');
				this.editTotalPrice = numToCur(Number(this.vipPrice) - Number(this.moLing) - Number(this.dkNumber),draftVM.systemSetting.price_decimals_setting,'price');
			}
			if(type === 'reset'){
				// this.vipPricseEdit() //价格相同主动触发
			}
		},
		selectChange: function(type, e){
			this[type] = e.id
		},
		verifyBuyerName() {
			let buyerName = this.buyerName
			let id = this.selectedSupplier
			console.log('关闭客户列表， 客户名称：', buyerName)
			const temp = this.userList.find(function(e){return e.name === buyerName && e.id === id})
			if(!temp ){
				this.selectedBuyer = customerDefault.id || '';
				this.selectedSupplier = customerDefault.id || '';
				this.buyerName = customerDefault.name || '';
				this.telePhone = customerDefault.telephone || ''
				console.log('客户名称异常， 客户名称修改为：', this.buyerName)
				// getById(this.selectedBuyer)
			}
		},
	},
	created: function () {
		let _this = this
		// 获取快递公司列表信息
		function getDeliveryCompanyList(){
			$API.delivery.getDeliveryCompanyList().then(function(res){
				_this.deliveryCompanyList = res.data
			}).catch(function(){
				mui.confirm('获取快递公司列表失败', '错误', ['取消', "确定"], function(e) {
					if (e.index === 1) {
						getDeliveryCompanyList()
					}
				}, 'div');
			})
		}
		mui.plusReady(getDeliveryCompanyList)
		mui.plusReady(function() {
			pageId = plus.webview.currentWebview().id
		})
	},
	mounted: function () {
		var _this = this;
		FastClick.attach(document.body);
        var winHeight = localStorage.getItem("pageHeight");  //获取当前页面高度
        $(window).resize(function () {
            var u = navigator.userAgent, app = navigator.appVersion;
            var isAndroid = u.indexOf('Android') > -1 || u.indexOf('Linux') > -1; //android终端或者uc浏览器
            var isiOS = !!u.match(/\(i[^;]+;( U;)? CPU.+Mac OS X/); //ios终端
            if(isAndroid){
                var thisHeight = $(this).height();
                if ( winHeight - thisHeight > 140 ) {
                    $(".focusHidden").hide();
                } else {
                    $(".focusHidden").show();
                    $("input").blur();
                    $("textarea").blur();
                }
            }else if(isiOS){

            }
        })
		mui.plusReady(function(){
			_this.draftId=sessionStorage.getItem('draftId')
			getKeyList()
			changeOrderFlag(this);
			setListener();
			// qryUser(); 重复请求
			_this.getPurview()
		})

		// 开单列表盒子
		this.slideProductListBox = document.querySelector("#slide-productList-box")
	}
});

function getDraft(){
	var draftId = sessionStorage.getItem("draftId");
	var selProductList = JSON.parse(sessionStorage.getItem("selProductList"));
	draftVM.supplierList = JSON.parse(sessionStorage.getItem("buyerList")); //最取值错误？？？。。。。。。。。。
	draftVM.buyerList = JSON.parse(sessionStorage.getItem("buyerList")); //..........
	draftVM.depotList = JSON.parse(localStorage.getItem("depotList"));
	if (!selProductList) {
		$API.order.queryOrderInfo({
			id: draftId
		}).then(function(res){
			Draft = JSON.parse(JSON.stringify(res.data))
			draftVM.deliveryCompany=res.data.delivery_company;
			draftVM.selProductList = [];
			draftVM.order_flag = res.data.order_flag;
			draftVM.remark = res.data.remark;
			draftVM.order_from = res.data.order_from;
			draftVM.dingjin =numToCur(res.data.order_amt,draftVM.systemSetting.price_decimals_setting,'price');
			draftVM.pay_status = res.data.pay_status;
			draftVM.head_name = res.data.head_name;
			// 储存订单信息
			localStorage.setItem('draftInfo',JSON.stringify(res.data))
			//储存备注图片信息
			draftVM.orderRemarkImg=res.data.orderpicture
			draftVM.orderRemarkImg.forEach((item)=>{
				item.temp=false
			})
			localStorage.setItem('orderRemarkTempImg',JSON.stringify(draftVM.orderRemarkImg))
			$comm.getRemarkHeightLight()
			setTimeout(function(){
				$('#remark[autoHeight]').autoHeight();
			},280)
			var test=res.data.consignee_address;
			var mapObj = {
				"{":"",
				"consignee":"收货人",
				"mobile":"电话",
				"address":"地址",
				"transportDay":"收货时间",
				"}":""
			};
			test = test.replace(/{|consignee|mobile|address|transportDay|}/gi, function(matched){
				return mapObj[matched];
			});
			draftVM.consignee_address = test;

			//价格绑定
			AB_price(res.data);
			draftVM.selectedDepot = res.data.depot_id;
			draftVM.draft_logistics_number = res.data.logistics_number;
			sessionStorage.setItem("draft_logistics_number",draftVM.draft_logistics_number);
			//草稿物流信息参数修改以便监听
			draftVM.deliveryType=res.data.delivery_type;
			draftVM.deliveryStatus=res.data.delivery_status;
			draftVM.realname = res.data.creater_name;
			getAllUser(res.data.creater_name);
			//客户查询
			getById(res.data.customer_id);
			draftVM.moLing = res.data.rebate_amt;
			changeOrderFlag(res.data);

			// 获取单据中商品的属性
			let productIdList = []
			res.data.productlist.forEach(function(item){
				if (item.is_extra === 1){
					!productIdList.includes(item.product_id)&&productIdList.push(item.product_id)
				}
			})
			let copyProductAttrs = []
			if (productIdList.length){
				$API.product.qryColorSizeUnitByProductIds({
					product_ids:productIdList.join(';')
				}).then(function(e){
					copyProductAttrs = e.data

					cbFn()
				}).catch(function(e){mui.toast('数据获取失败！');console.error(e)})
			}else{
				cbFn()
			}

			function cbFn(){
				// 获取单位数据
				// console.log({units})

				// 排除特殊商品 组装特殊商品
				let productCopyAddOrigin = {}
				let productList = []
				let productCopyList = res.data.productlist.filter(function(item){
					if(item.is_extra === 1){
						return true
					}else{
						productList.push(item)
					}
				})
				productList.forEach(function (item){
					item.__id__ = getProductIndex()
					item.__pid__ = 0
					productCopyList.forEach(function(i){
						if(i.parent_op_id === item.op_id){
							i.__pid__ = item.__id__
						}
					})
				})
				res.data.productlist = productList
				productCopyList.forEach(function(item){
					let copyProductItemAttr = copyProductAttrs.find(function(i){return i.product_id === item.product_id}) || {}
					item.__id__ = getProductIndex()
					if(!Array.isArray(productCopyAddOrigin[item.__pid__])){
						productCopyAddOrigin[item.__pid__] = []
					}
					let count = numToCur(item.amount,draftVM.systemSetting.amount_decimals_setting)
					if(item.display_unit_ratio){
						let isToFixed=Number(item.amount/item.display_unit_ratio);
						count = numToCur(isToFixed,draftVM.systemSetting.amount_decimals_setting)
					}
					let _item = {
						id: item.product_id,
						model: item.product_model,
						name: item.product_name,
						color_id: item.color_id,
						color_name: item.color_name,
						size_id: item.size_id,
						size_name: item.size_name,
						// product_sn_list: item.product_sn_list || [],
						count: count, //默认数量
						used_amount: numToCur(item.used_amount / (item.display_unit_ratio || 1),draftVM.systemSetting.amount_decimals_setting),
						type: item.type, // 0销 1退
						ordertype: item.type, // 0销 1退
						purchase_price: item.purchase_price,// 采购价 销售需要分别记录本次销售价与采购价 /采购 是一个 不用
						price: numToCur(item.amt*(item.display_unit_ratio||1),draftVM.systemSetting.price_decimals_setting,'price'), //默认价格
						unitChooseId: item.display_unit_id || null, //: "L0W6" // id 选择的单位id
						unitChooseName: item.display_unit_name || null, //: "箱" // 选择的单位
						unitChooseRatio: item.display_unit_ratio || 1, //: 1 // 比例
						unitMinName: item.unitMinName || null, //: "箱" // 主单位 未返回
						unitData: getAttrList(copyProductItemAttr.units||[],'unit'), // 单位列表
						originPrice: item.amt,
						product_sn_list:_.compact(_.split(item.product_sn_list,',')),
						product_sn_list_old:_.compact(_.split(item.product_sn_list,',')),
						product_sn_list_vip:_.compact(_.split(item.product_sn_list_vip,',')),
						product_sn_list_status:_.compact(_.split(item.product_sn_list_status,',')),
						product_sn_used_list:_.compact(_.split(item.product_sn_used_list,',')),
						op_id: item.op_id,
						parent_op_id: item.parent_op_id,
						__pid__: item.__pid__,
						__id__: item.__id__,
						colorList: getAttrList(copyProductItemAttr.colors||[],'color'),
						sizeList: getAttrList(copyProductItemAttr.sizes||[],'size'),
						remark: item.description,
						isRemarkShow: !!item.description
					}
					productCopyAddOrigin[item.__pid__].push(_item)
				})
				function getAttrList(attrList, key){
					if(key === 'unit'){
						return attrList.map(function(i){
							return {
								id: i.assist_unit,
								name: i.assist_unit_name,
								ratio: i.ratio || 1,
								isMain: !i.id // 主单位没有 id
							}
						})
					}
					return attrList.map(function(i){
						return {
							id: i[key+'_id'],
							name: i[key+'_name']
						}
					})
				}

				draftVM.productCopyAdd = productCopyAddOrigin

				var selProductList = [];
				function addSelProductListItem(product,res,count) {
					selProductList.push({
						unit: product.unit,
						product_id: product.product_id,
						billsn: res.data.billsn,
						name: product.product_name,
						purchase_price: product.purchase_price,
						model: product.product_model,
						orderId: product.id,
						id: product.product_id,
						product_name: product.product_name,
						sale_price: numToCur(product.sale_price * (product.display_unit_ratio || 1),draftVM.systemSetting.price_decimals_setting,'price'),
						amt: numToCur(product.amt * (product.display_unit_ratio || 1),draftVM.systemSetting.price_decimals_setting,'price'),
						depot_id: res.data.depot_id,
						material:product.material,
						sale_price_a: numToCur(product.sale_price_a,draftVM.systemSetting.price_decimals_setting,'price'),
						sale_price_b: numToCur(product.sale_price_b,draftVM.systemSetting.price_decimals_setting,'price'),
						unitChooseId : product.display_unit_id,
						unitChooseName : product.display_unit_name,
						unitChooseRatio : product.display_unit_ratio,
						type: product.type,
						list: [{
							size_name: product.size_name,
							amount: count,
							color_id: product.color_id,
							product_id: product.product_id,
							size_id: product.size_id,
							depot_id: res.data.depot_id,
							color_name: product.color_name,
							product_sn_list:_.compact(_.split(product.product_sn_list,',')),
							product_sn_list_old:_.compact(_.split(product.product_sn_list,',')),
							product_sn_list_vip:_.compact(_.split(product.product_sn_list_vip,',')),
							product_sn_list_status:_.compact(_.split(product.product_sn_list_status,',')),
							product_sn_used_list:_.compact(_.split(product.product_sn_used_list,',')),
							count: count,
							barcode:product.barcode,
							ordertype: product.type,
							type: product.type,
							used_amount: numToCur(product.used_amount / (product.display_unit_ratio || 1),draftVM.systemSetting.amount_decimals_setting),
							form_order:1,
							op_id: product.op_id,
							parent_op_id: product.parent_op_id || '',
							__pid__: product.__pid__,
							__id__: product.__id__,
							remark: product.description,
							isRemarkShow: !!product.description
						}]
					})
				}
				mui.each(res.data.productlist, function (index, product) {
					if(product.display_unit_ratio !=undefined && product.display_unit_ratio !=''){
						var isToFixed=Number(product.amount/product.display_unit_ratio);
						var count = numToCur(isToFixed,draftVM.systemSetting.amount_decimals_setting)
						// if(isToFixed %1 !==0){
						// 	var count=isToFixed.toFixed(2)
						// }else{
						// 	var count=isToFixed.toFixed(0)
						// }
					}else{
						var count= numToCur(product.amount,draftVM.systemSetting.amount_decimals_setting)
					}
					if (selProductList.length == 0) {
						addSelProductListItem(product,res,count)
					} else {
						mui.each(selProductList, function (index1, selProduct) {
							if (product.product_id === selProduct.product_id && product.type === selProduct.type) {
								selProduct.list.push({
									size_name: product.size_name,
									amount: count,
									color_id: product.color_id,
									product_id: product.product_id,
									barcode:product.barcode,
									size_id: product.size_id,
									depot_id: res.data.depot_id,
									color_name: product.color_name,
									product_sn_list:_.compact(_.split(product.product_sn_list,',')),
									product_sn_list_old:_.compact(_.split(product.product_sn_list,',')),
									product_sn_list_vip:_.compact(_.split(product.product_sn_list_vip,',')),
									product_sn_list_status:_.compact(_.split(product.product_sn_list_status,',')),
									product_sn_used_list:_.compact(_.split(product.product_sn_used_list,',')),
									count: count,
									ordertype: product.type,
									type:product.type,
									used_amount: numToCur(product.used_amount / (product.display_unit_ratio || 1),draftVM.systemSetting.amount_decimals_setting),
									form_order:1,
									op_id: product.op_id,
									parent_op_id: product.parent_op_id,
									__pid__: product.__pid__,
									__id__: product.__id__,
									remark: product.description,
									isRemarkShow: !!product.description
								});
								return false;
							} else if (index1 === selProductList.length - 1) {
								addSelProductListItem(product,res,count)
							}
						});
					}
				});
				draftVM.selProductList = selProductList;
				draftVM.$nextTick(function () {
					// mui('.mui-switch')['switch']();
					// $(".listSwitch").css('transform','none');
					draftVM.createDate = res.data.sign_date.slice(0, res.data.sign_date.indexOf(" "));
					draftVM.draftDate = res.data.sign_date
				});
				// draftVM.vipLevel == 1?draftVM.vipCalculation():draftVM.calculation()
				firstCalculation = true
				draftVM.calculation();
				draftVM.isChangeDraftComputedOld = {
					depot_id: res.data.depot_id,    //仓库		// draftVM.selectedDepot
					customer_id: res.data.customer_id,//客户   	// draftVM.selectedSupplier
					creater_id: res.data.creater_id,  //员工  	// draftVM.orderUserId
					// creater_date: res.data.creater_date,  //创建日期  	// draftVM.createDate
					delivery_type: res.data.delivery_type,		 //发货方式 draftVM.deliveryType （需要转数字类型）
					delivery_status: res.data.delivery_status,    //发货状态 draftVM.deliveryStatus
					delivery_company: res.data.delivery_company,  //快递公司 draftVM.deliveryCompany
					logistics_number: res.data.logistics_number, //快递单号 draftVM.draft_logistics_number
					consignee_address: draftVM.consignee_address, //收货地址 draftVM.consignee_address
					remark: res.data.remark,//备注 draftVM.remark
					order_flag: res.data.order_flag,// 旗子 // draftVM.order_flag（需要转数字类型）
				}
				localStorage.setItem("selProductList",JSON.stringify(selProductList));
			}
		}).catch(function(e){mui.toast('单据查询失败！');console.error(e)})
	}
}
//通过商品及客户ID查询单个商品
function qryByProductIdAndCustomerId(i,v,user,AB_price) {
	var salePrice='';
	mui.ajax(severUrl + "scm/product/qryOp.json", {
		data: {
			"id":v.id,
			"customer_id":user,
			"is_default":0
		},
		headers: {
			'Content-Type': 'application/x-www-form-urlencoded'
		},
		xhrFields: {
			withCredentials: true
		},
		dataType: 'json',
		type: 'post',
		timeout: 8000,
		success: function (res) {
			if(res.success){
				if(user != ''){
					salePrice=res.data.last_amt != ''?res.data.last_amt : res.data.sale_price
				}else{
					salePrice=res.data.sale_price
				}
				v.amt=numToCur(salePrice * (v.unitChooseRatio || 1),draftVM.systemSetting.price_decimals_setting,'price');
				v.sale_price=numToCur(salePrice * (v.unitChooseRatio || 1),draftVM.systemSetting.price_decimals_setting,'price');
				//AB价格记录
				mui.each(AB_price,function(index,value){
					if(value.product_id == v.product_id && value.depot_id == draftVM.selectedDepot){
						value.AB_price=salePrice;
						return false;
					}
				});
				if(i == draftVM.selProductList.length-1){
					setTimeout(function(){
						draftVM.calculation();
					},500)
					viewHandle.close()
				}
			}
		}
	});
	return salePrice;
}

function AB_price(list){
	var AB_price=[];
	for(var i=0; i<list.productlist.length; i++){
		if(i==0){
			AB_price.push({
				"AB_price":numToCur(list.productlist[i].amt * (list.productlist[i].display_unit_ratio || 1),draftVM.systemSetting.price_decimals_setting,'price'),
				"unitChooseId":list.productlist[i].display_unit_id || '',
				"product_id":list.productlist[i].product_id,
				"depot_id":list.depot_id
			})
		}else{
			if(list.productlist[i].product_id != list.productlist[i-1].product_id){
				AB_price.push({
					"AB_price":numToCur(list.productlist[i].amt * (list.productlist[i].display_unit_ratio || 1),draftVM.systemSetting.price_decimals_setting,'price'),
					"product_id":list.productlist[i].product_id,
					"unitChooseId":list.productlist[i].display_unit_id || '',
					"depot_id":list.depot_id
				})
			}
		}
	}
	localStorage.setItem("AB_price",JSON.stringify(AB_price))
}
function getAllUser(name) {
	mui.ajax(severUrl + "sso/user/dataAll.json",{
		data: {
			id: ""
		},
		headers: {
			'Content-Type': 'application/x-www-form-urlencoded'
		},
		xhrFields: {
			withCredentials: true
		},
		dataType: 'json',
		type: 'post',
		timeout: 10000,
		success: function(res) {
			if (res.msg) {
				mui.plusReady(function(){
					draftVM.allUserList = res.data;
					mui.each(draftVM.allUserList,function(i,v){
					    if(v.realname == name){
                            draftVM.orderUserId = v.id;
                            return false
                        }
                    })
				})
			}
		}
	});
}
function changeOrderFlag(value) {
	var qizhi = document.getElementById("qizhi");

	if (value.order_flag == 1) {
		qizhi.style.color = "red";
	}
	if (value.order_flag == 2) {
		qizhi.style.color = "yellow";
	}
	if (value.order_flag == 3) {
		qizhi.style.color = "blue";
	}
	if (value.order_flag == 4) {
		qizhi.style.color = "green";
	}
	if (value.order_flag == 5) {
		qizhi.style.color = "#666";
	}
}

mui('body').on('tap', '.icon-sousuo', function () {
    $(".productSearchIpt").focus();
});

mui("body").on('tap', '.sweepCode', function () {
	mui.each(draftVM.depotList, function (index, value) {
		if (value.id === draftVM.selectedDepot) {
			var depot = value.name;
			if (value.name.indexOf('#') !== -1) {
				depot = encodeURIComponent(value.name);
			}
			var cookie = 'ecp_cookie=' + localStorage.getItem("HF");

			var sendUrl = 'zhijianjxcapp://productscan/param?depot_id=' + draftVM.selectedDepot + '&depot_name=' +
				depot +'&ordertype=1&sn_setting='+ draftVM.systemSetting.sn_setting + '&type=' + draftVM.currentInnerPage
			if (draftVM.selectedBuyer === sessionStorage.getItem('defaultCustomer')) {
				sendUrl += '&is_manager=' + draftVM.purchaseManager
			} else {
				sendUrl += '&customer_id=' + draftVM.selectedBuyer
			}
			if (mui.os.ios === true) {
				sweepCode_i(cookie, sendUrl, 888)
			} else if (mui.os.android === true) {
				sweepCode(cookie, sendUrl, 888)
			}
		}
	});
});

function getSelProductList() {
	if(mui.os.ios){
		mui.plusReady(function(){
			setTimeout(function(){
				htmlRender()
			},200)
		})
	}else{
		htmlRender()
	}
	function htmlRender(){
		var selProductList = JSON.parse(localStorage.getItem("selProductList"));
		if (selProductList) {
			localStorage.setItem('selProductListType', 'draft') // 异常退出时 排除 销售页知道数据不是自己的
			draftVM.isChangeDraft = true
			draftVM.selProductList = selProductList;
			draftVM.calculation();
			// draftVM.$nextTick(function () {
			// 	mui('.mui-switch')['switch']();
			// 	$(".listSwitch").css('transform','none')
			// })
			//sessionStorage.removeItem("selProductList");
		}
	}
}
function setListener() {
	// 红旗
	// var qizhiForm = document.getElementById("qizhiForm");
	// var qizhi = document.getElementById("qizhi");
	// var qizhi1 = document.getElementById("qizhi1");
	// var qizhi2 = document.getElementById("qizhi2");
	// var qizhi3 = document.getElementById("qizhi3");
	// var qizhi4 = document.getElementById("qizhi4");
	// var qizhi5 = document.getElementById("qizhi5");
	// var list = qizhiForm.getElementsByTagName('input');
	// for (var i = 0; i < list.length; i++) {//遍历处理，对于每个块都有onclick函数
	// 	list[i].onclick = function () {
	// 		for (i = 0; i < list.length; i++) {//在点击事件中再加载一个遍历，当点击事件触发时，先让其他元素的颜色保持不变
	// 			list[i].style.background = "#fff";
	// 		}
	// 		qizhi.style.color = this.style.color;
	// 		this.style.background = "#f1f1f1";//要点击的事件块发生颜色变化，同时上一步使得其他的块颜色保持不变，这就让上一次点击变化的颜色恢复到原来的颜色
	// 		document.getElementById('qizhiForm').style.display = "none";
	// 		draftVM.order_flag = this.value;
	// 		flag = true;
	// 	}
	// }
	//
	// var flag = true;
	// mui(".bg-white").on('tap', '.toggleState', function () {
	// 	if (flag) {
	// 		document.getElementById('qizhiForm').style.display = "block";
	// 		flag = false;
	// 	} else {
	// 		document.getElementById('qizhiForm').style.display = "none";
	// 		flag = true;
	// 	}
	// });

	mui(".mui-content").on('tap', '.toggleState', function() {
		mui.confirm("", "旗帜方式", ["取消", "确定"], function(e) {
			if (e.index == 1) {
				var type = Number($(".chooseOne")[0].getAttribute("name"));
				switch (type) {
					case 1:
						draftVM.setColor(type, 'red')
						break;
					case 2:
						draftVM.setColor(type, 'yellow')
						break;
					case 3:
						draftVM.setColor(type, 'blue')
						break;
					case 4:
						draftVM.setColor(type, 'green')
						break;
					case 5:
						draftVM.setColor(type, '#666')
						break;
				}
			} else {

			}
		}, 'div');
		//样式重写
		$(".mui-popup-in").css('border-radius', 0);
		$(".mui-popup-inner").css('border-radius', '6px');
		$(".mui-popup-inner").css('overflow', 'hidden');
		$(".mui-popup-inner").css('padding', 0);
		$(".mui-popup-title").remove();
		$(".mui-popup-buttons").css('display', 'none');
		//样式重写
		var muiPrompt =
			"<div class='qizhiType' style='display: flex; align-items: center; justify-content: space-between; height: 40px; padding: 0 15px;'>" +
			"<span name='5' class='iconfont icon-qizhi chooseclick' style='color: #666'></span>" +
			"<span name='1' class='iconfont icon-qizhi chooseclick' style='color: red'></span>" +
			"<span name='2' class='iconfont icon-qizhi chooseclick' style='color: yellow'></span>" +
			"<span name='3' class='iconfont icon-qizhi chooseclick' style='color: blue'></span>" +
			"<span name='4' class='iconfont icon-qizhi chooseclick' style='color: green'></span>" +
			"</div>"
		$(".mui-popup-text").html(muiPrompt);
		setTimeout(function() {
			$('.qizhiType span').removeClass("chooseOne")
		})
	});
	mui("body").on('tap', '.chooseclick', function() {
		$('.qizhiType span').removeClass("chooseOne")
		$(this).addClass("chooseOne")
		mui.trigger(document.getElementsByClassName("mui-popup-button-bold")[0], 'tap');
	})
	// 隐藏显示发货方式
	var toggleFlagFh = true;
	mui(".mui-border").on('tap', '.toggle-state-fh', function () {
		mui('.productSearchIpt')[0].blur();
		if (toggleFlagFh) {
			mui('.toggle-state-fh .mui-icon-arrowup')[0].style.display = "block";
			mui('.selectFormFh')[0].style.display = "block";
			mui('.toggle-state-fh .mui-icon-arrowdown')[0].style.display = "none";

			toggleFlagFh = false;
		} else {
			mui('.toggle-state-fh .mui-icon-arrowup')[0].style.display = "none";
			mui('.selectFormFh')[0].style.display = "none";
			mui('.toggle-state-fh .mui-icon-arrowdown')[0].style.display = "block";

			toggleFlagFh = true;
		}
	})
	// window.addEventListener("pageshow", function () {
	// 	getSelProductList();
	// });
	mui('.fh-status').on('toggle', '.mui-switch', function () {
		if (draftVM.deliveryStatus == 0) {
			draftVM.deliveryStatus = 1;
			draftVM.deliveryStatusName = '已发';
		} else {
			draftVM.deliveryStatus = 0;
			draftVM.deliveryStatusName = '未发';
		}
	});
	function newOrderPrint(){
		mui('.procurement').button('loading');
		// $(".orderPrint").css('pointer-events','none');
		$("button").css('pointer-events','none');
		kaidan()
	}

	mui('.mui-scroll-wrapper').scroll({
		deceleration: 0.0006 //flick 减速系数，系数越大，滚动速度越慢，滚动距离越小，默认值0.0006
	});
	mui(".mui-content").on('tap', '.mui-switch', function (e) {
		e.stopPropagation();
	});
	mui(".mui-content").on('tap', '.deleteProductItem', function (e) {
		e.stopPropagation();
		var li = e.target.parentNode.parentNode.parentNode;
		var product_id = li.dataset.product_id;
		var index = li.dataset.index;
		var dex=0;
		mui.each(draftVM.selProductList, function (index1, value) {
			if (value.product_id == product_id && value.depot_id == draftVM.selectedDepot && value.type === draftVM.currentInnerPage) {
				if(value.list[index].used_amount >0){
					mui.toast("已有部分入库的产品不能被删除!")
				}else{
					mui.confirm('确认删除此条信息吗？', '提示', ['取消', '删除'], function(e) {
						if (e.index === 1) {
						// 	mui.ajax(severUrl + "scm/order/deleteByOrderProduct.json", {
						// 		data: {
						// 			id: value.orderId,
						// 			product_id: product_id,
						// 			type: value.list[index].ordertype,
						// 			color_id: value.list[index].color_id,
						// 			size_id: value.list[index].size_id
						// 		},
						// 		headers: {
						// 			'Content-Type': 'application/x-www-form-urlencoded'
						// 		},
						// 		xhrFields: {
						// 			withCredentials: true
						// 		},
						// 		dataType: 'json',
						// 		type: 'post',
						// 		timeout: 8000,
						// 		success: function (res) {
						// 			if (res.status == 200 || res.status == 401) {
										value.list[index].count = 0;
										draftVM.productCopyAdd[value.list[index].__id__] = []
										mui.each(value.list,function(i,v){
											dex+=Number(v.count);
										});
										if(dex==0){
											draftVM.selProductList.splice(index1,1);
											var AB_list=JSON.parse(localStorage.getItem("AB_price"));
											mui.each(AB_list,function(i,v){
												if(product_id == v.product_id && draftVM.selectedDepot == v.depot_id){
													AB_list.splice(i,1)
												}
											});
											localStorage.setItem("AB_price",JSON.stringify(AB_list))
										}
										sessionStorage.setItem("selProductList", JSON.stringify(draftVM.selProductList));
										localStorage.setItem("selProductList", JSON.stringify(draftVM.selProductList));
										//localStorage.removeItem("selProductList");
										draftVM.calculation();
						// 			}
						// 		}
						// 	});
						}
					}, 'div')
				}
				return false;
			}
		});
	});
	// 快递单号录入
	mui(".selectFormFh").on('tap', '.sweepNumber', function () {
//		location.href = 'zhijianjxcapp://barcodescan/param?color_id=-1&size_id=-1';
        var sendUrl = 'zhijianjxcapp://barcodescan/param?color_id=-1&size_id=-1';
        var cookie = 'ecp_cookie='+localStorage.getItem("HF");
		if (mui.os.ios == true) {
			sweepCode_i(cookie,sendUrl,777)
		} else if (mui.os.android == true) {
			sweepCode(cookie,sendUrl,777)
		}
	});

	// 开单弹窗全欠 已不使用
	// mui('.popover').on('tap', '.quanQian', function () {
	// 	if(draftVM.truePay!=0){
	// 		draftVM.isPay = false;
	// 		draftVM.truePay = 0;
	// 		$(".quanQian").css('background-color','gainsboro')
	// 	} else {
	// 		draftVM.isPay = true;
	// 		draftVM.noPay = 0;
	// 		$(".quanQian").css('background-color','#556890')
	// 	}
	// });

	// 开单弹窗折扣
	mui('.popover').on('tap', '.zheKou', function () {
		var price = 0;
		draftVM.vipLevel == 1?price = draftVM.vipPrice:price = draftVM.totalPrice;
		var discount=numToCur(Math.abs((Number(price) - Number(draftVM.moLing)) / Number(price) * 10),draftVM.systemSetting.price_decimals_setting,'price');
		mui.confirm("", "折扣", ["取消","确定"], function (e) {
			if(e.index==1){
				var reduced = Number(mui("#discount")[0].value);
				var editPrice = Number(mui("#reduced")[0].value);
				var isDiscounte = /^[0-9]{1}|[0-9]{1}.[0-9]*$/;
				if (isDiscounte.test(reduced) && reduced <= 10) {
					draftVM.moLing=numToCur(editPrice,draftVM.systemSetting.price_decimals_setting,'price');
					draftVM.vipLevel == 1?draftVM.vipCalculation():draftVM.calculation()
				}else{
					mui.toast("折扣金额错误，请检查。")
				}
			}else{

			}
		},'div');
		$(".mui-popup-title").remove();
		$(".mui-popup-input input").remove();
		var muiPrompt ="<div style='display: flex; align-items: center;'>" +
			"<span style='width: 45px'>优惠：</span>" +
			"<input class='my-popup-input' placeholder='0元' type='number' id='reduced' @input='reduced' value='"+draftVM.moLing+"' />" +
			"</div>" +
			"<div style='display: flex; align-items: center; margin-top: 10px'>"+
			"<span style='width: 45px'>折扣：</span>" +
			"<input class='my-popup-input' placeholder='0-10折' type='number' id='discount' @input='discount' value='"+discount+"' />" +
			"</div>";
		$(".mui-popup-text").html(muiPrompt);
		document.getElementById("reduced").addEventListener("input", function(event) {
			//优惠后折扣计算
			var editPrice = Number(mui("#reduced")[0].value);
			var zhekou=(Number(Math.abs(price) - editPrice)) / Number(Math.abs(price)) * 10;
			mui("#discount")[0].value=numToCur(zhekou,draftVM.systemSetting.price_decimals_setting,'price')
		});
		document.getElementById("reduced").addEventListener("click", function(event) {
			mui("#reduced")[0].value = ""
		});
		document.getElementById("reduced").addEventListener("blur", function(event) {
			if(mui("#reduced")[0].value == ''){
				mui("#reduced")[0].value = draftVM.moLing
			}
		});
		document.getElementById("discount").addEventListener("input", function(event) {
			//折扣后优惠计算
			var editPrice = Number(mui("#discount")[0].value);
			var zhekou=Math.abs(Number(price-(editPrice/10*price)));
			mui("#reduced")[0].value=numToCur(zhekou,draftVM.systemSetting.price_decimals_setting,'price')
		});
		document.getElementById("discount").addEventListener("click", function(event) {
			mui("#discount")[0].value = ""
		});
		document.getElementById("discount").addEventListener("blur", function(event) {
			if(mui("#discount")[0].value == ''){
				mui("#discount")[0].value = discount
			}
		})
	});

	//其他费用监听
	var expenseId = '';
	mui('.popover').on('tap', '.otherExpenses', function () {
		if(buttonClick){
			buttonClick = false;
			mui.ajax(severUrl + "scm/order/getOtherCostList.json", {
				data: {
				},
				headers: {
					'Content-Type': 'application/x-www-form-urlencoded'
				},
				xhrFields: {
					withCredentials: true
				},
				dataType: 'json',
				type: 'post',
				timeout: 10000,
				success: function (res) {
					draftVM.expenseList = res.data;
					expenseInfo(draftVM.expenseList)
					setTimeout(function(){
						buttonClick = true;
					},500)
				}
			});
		}
	});
function expenseInfo(list){
	let selected = draftVM.expenseName
	let selectHtml
	if(selected){
		selectHtml = '<option value="not">无</option>'
	}else{
		selectHtml = '<option value="not" selected="selected">无</option>'
	}
	mui.each(list, function(i, v) {
		let selectedStr = selected === v.other_cost_name? ' selected="selected"':''
		selectHtml += `<option value="${v.id}"${selectedStr}>${v.other_cost_name}</option>`
	})
	selectHtml = "<select id='expensesNameClick'>"+selectHtml+"</select>";
	let setSelected = list.find(function(item){return item.other_cost_name === selected})
	mui.confirm("", "折扣", ["取消","确定"], function (e) {
		if(e.index===1){
			let selecredValue = mui("#expensesNameClick")[0].value // 选择器选中id （expenseId）
			let expenseValue = mui("#expense")[0].value // 费用金额
			let expenseDegressionValue = mui("#expenseDegression")[0].value // 成本金额
			let expenseNameValue = mui("#expenseName")[0].value// 费用名称

			if(selecredValue === 'not' && expenseNameValue === '' && expenseValue === '' && expenseDegressionValue === ''){
				setExpense(expenseValue,'',expenseDegressionValue,expenseNameValue)
			}else if(expenseNameValue === ''){
				mui.toast('请输入费用名称或选择已有类型！');
				return false
			}
			setExpense(expenseValue,selecredValue,expenseDegressionValue,expenseNameValue)
		}
	},'div');
	function setExpense(expense, expenseId, expenseDegression, expenseName){
		draftVM.expense = expense;
		draftVM.expenseDegression = expenseDegression;
		draftVM.expenseName = expenseName
		draftVM.expenseId = expenseId
		draftVM.editTotalPrice = (draftVM.vipLevel == 1?numToCur(draftVM.totalPrice,draftVM.systemSetting.price_decimals_setting,'price'):numToCur(draftVM.vipPrice,draftVM.systemSetting.price_decimals_setting,'price'));
		draftVM.vipLevel == 1?draftVM.vipCalculation():draftVM.calculation()
	}
	$(".mui-popup-title").remove();
	$(".mui-popup-input input").remove();
	var muiPrompt ="<div style='display: flex; align-items: center;'>" +
		"<span style='width: 45px'>名称：</span>" +selectHtml+
		"<input class='my-popup-input' placeholder='请输入费用名称' type='text' id='expenseName' value='"+draftVM.expenseName+"' style='padding-right: 22px!important;' />" +
		"<span id='expenseSelect' class='mui-icon mui-icon-arrowdown' style='position: absolute; right: 15px; color: #555; pointer-events: none'></span>"+
		"</div>" +
		"<div style='display: flex; align-items: center; margin-top: 10px'>"+
		"<span style='width: 45px'>费用：</span>" +
		"<input class='my-popup-input' placeholder='费用金额' type='number' id='expense' value='"+String(draftVM.expense)+"' />" +
		"</div>" +
		"<div style='display: flex; align-items: center; margin-top: 10px'>"+
		"<span style='width: 45px'>成本：</span>" +
		"<input class='my-popup-input' placeholder='成本金额' type='number' id='expenseDegression' value='"+String(draftVM.expenseDegression)+"' />" +
		"</div>";
	$(".mui-popup-text").html(muiPrompt);
	if(selected && !setSelected){
		mui("#expensesNameClick")[0].value = 'customize'
	}
	document.getElementById("expenseName").addEventListener("click", function(event) {
		mui("#expenseName")[0].value = ""
	})
	document.getElementById("expenseName").addEventListener("input", function(event) {
		mui("#expensesNameClick")[0].value = 'customize'
	})
	document.getElementById("expenseName").addEventListener("blur", function(event) {
		if(mui("#expenseName")[0].value === ''){
			mui("#expenseName")[0].value = draftVM.expenseName
		}
	});
	document.getElementById("expense").addEventListener("click", function(event) {
		//费用金额监听
		mui("#expense")[0].value = ""
	});
	document.getElementById("expense").addEventListener("input", function(event) {
		mui("#expenseName")[0].value === '' && (mui("#expensesNameClick")[0].value = 'customize')
	})
	document.getElementById("expense").addEventListener("blur", function(event) {
		if(mui("#expense")[0].value ===''){
			mui("#expense")[0].value = draftVM.expense|| ''
		}
	});
	document.getElementById("expenseDegression").addEventListener("click", function(event) {
		//费用成本监听
		mui("#expenseDegression")[0].value = ""
	});
	document.getElementById("expenseDegression").addEventListener("input", function(event) {
		mui("#expenseName")[0].value === '' && (mui("#expensesNameClick")[0].value = 'customize')
	})
	document.getElementById("expenseDegression").addEventListener("blur", function(event) {
		if(mui("#expenseDegression")[0].value === ''){
			mui("#expenseDegression")[0].value = draftVM.expenseDegression|| ''
		}
	});
	document.getElementById("expensesNameClick").addEventListener("change", function(event) {
		if(mui("#expensesNameClick")[0].value === 'not'){
			expenseId = '';
			mui("#expense")[0].value = '';
			mui("#expenseDegression")[0].value = ''
			mui("#expenseName")[0].value = ''
			return
		}
		//修改监听
		mui.each(list,function(i,v){
			if(v.id == mui("#expensesNameClick")[0].value){
				expenseId = v.id;
				mui("#expense")[0].value = v.other_cost_price;
				mui("#expenseDegression")[0].value = v.other_cost_purchase;
				mui("#expenseName")[0].value = v.other_cost_name
			}
		})
	})
}
	mui('.popover').on('tap', '.jifen', function () {
		if(draftVM.dixianKT == 1){
			var info='原有'+draftVM.customerIntegral+'分，每'+draftVM.dxIncrease_bonus+'分抵'+draftVM.dxCost_money_unit+'元';
			var btnArray=[ '取消','确定'];
			mui.prompt('',info,'积分抵现',btnArray,function(e) {
				if(e.index==1){
					if(e.value > draftVM.customerIntegral){
						mui.toast('请输入正确的积分') ;
						return;
					}
					draftVM.cgUseIntegral=e.value;
					var truePayEdit = numToCur(Number(e.value/draftVM.dxIncrease_bonus * draftVM.dxCost_money_unit),draftVM.systemSetting.price_decimals_setting,'price');
					if(Number(draftVM.truePay) >0 && Number(draftVM.truePay) >=truePayEdit){
						draftVM.truePay = numToCur(Number(draftVM.truePay) + Number(draftVM.dkNumber) - Number(truePayEdit),draftVM.systemSetting.price_decimals_setting,'price');
						draftVM.dkNumber = numToCur(Number(truePayEdit),draftVM.systemSetting.price_decimals_setting,'price');
						draftVM.vipLevel == 1?draftVM.vipCalculation():draftVM.calculation();
						$(".dkSpan").show()
					}else{
						$(".dkSpan").hide();
						mui.toast('抵扣金额不能大于实际金额')
					}
				}else{

				}
			},'div');
			document.querySelector('.mui-popup-input input').type='number'
		}else{
			if(draftVM.dixianKT == 2){
				mui.toast("默认客户不积分")
			}else{
				mui.toast("请到左上角功能菜单“客户管理”中开启积分功能")
			}
		}
	});

	// 旧开关 切换销售与退货
	// mui(".productList").on('toggle', '.mui-switch', function (event) {
	// 	var _this = this;
	// 	var li = event.target.parentNode.parentNode.parentNode;
	// 	var product_id = li.dataset.product_id;
	// 	var index = li.dataset.index;
	// 	mui.each(draftVM.selProductList, function (index1, value) {
	// 		if (value.product_id == product_id && value.depot_id == draftVM.selectedDepot && value.list[index]!=undefined) {
	// 			if(value.list[index].product_sn_list && value.list[index].product_sn_list.length > 0){
	// 				var btnArray = ['取消','确定'];
	// 				mui.confirm('', '更改销售状态序临时序列号将被清除！', btnArray, function(e) {
	// 					if(e.index == 1){
	// 						value.list[index].product_sn_list = value.list[index].product_sn_list_old;
	// 						type_edit(value)
	// 					}else{
	// 						_this.classList.toggle('mui-active');
	// 						_this.querySelector('.mui-switch-handle').setAttribute('style', '');
	// 					}
	// 				},'div')
	// 			}else{
	// 				type_edit(value)
	// 			}
	// 			function type_edit(args){
	// 				var old_type = 0,new_type = 1;
	// 				if (event.detail.isActive) {
	// 					old_type = 0;
	// 					new_type = 1;
	// 				} else {
	// 					old_type = 1;
	// 					new_type = 0;
	// 				}
	// 				if(args.list[index].form_order == 1){
	// 					mui.ajax(severUrl + "scm/order/setOrderDraftType.json", {
	// 						data: {
	// 							order_id: args.orderId,
	// 							product_id: product_id,
	// 							color_id: args.list[index].color_id,
	// 							size_id: args.list[index].size_id,
	// 							old_type: old_type,
	// 							new_type: new_type
	// 						},
	// 						headers: {
	// 							'Content-Type': 'application/x-www-form-urlencoded'
	// 						},
	// 						xhrFields: {
	// 							withCredentials: true
	// 						},
	// 						dataType: 'json',
	// 						type: 'post',
	// 						timeout: 8000,
	// 						success: function (res) {
	// 							if (res.success) {
	// 								args.list[index].ordertype = new_type;
	// 								draftVM.calculation();
	// 								mui.toast("修改成功")
	// 							}else{
	// 								args.list[index].ordertype = old_type;
	// 								//动态添加按钮历史样式问题
	// 								$(".mui-switch-mini").removeClass("mui-active")
	// 								$(".listSwitch").css('transform','none');
	// 								mui.toast(res.msg)
	// 							}
	// 						}
	// 					});
	// 				}else{
	// 					if (event.detail.isActive){
	// 						args.list[index].ordertype = 1
	// 					}else{
	// 						args.list[index].ordertype = 0
	// 					}
	// 					// args.list[index].ordertype = new_type;
	// 					draftVM.calculation()
	// 				}
	// 			}
	// 			return false;
	// 		}
	// 	});
	// });
	mui(".mui-bar-nav").on('tap', '.itemAdd', function () {
		sessionStorage.setItem("selectedDepot", draftVM.selectedDepot);
		sessionStorage.setItem("selectedSupplier", draftVM.selectedSupplier);
		sessionStorage.setItem("selectedBuyer", draftVM.selectedBuyer);
		sessionStorage.setItem("createDate", draftVM.createDate);
		sessionStorage.setItem("selProductList", JSON.stringify(draftVM.selProductList));
		sessionStorage.setItem("remark", draftVM.remark);
		sessionStorage.setItem("order_flag", draftVM.order_flag);
		sessionStorage.setItem("moLing", draftVM.moLing);
        sessionStorage.removeItem("selColorList");
        sessionStorage.removeItem("selSizeList");
        sessionStorage.removeItem("selList");
        sessionStorage.removeItem("purchase_price");
        sessionStorage.removeItem("sale_price");
        sessionStorage.removeItem("sale_price_b");
        sessionStorage.removeItem("name");
        sessionStorage.removeItem("model");
        sessionStorage.removeItem("material");
		sessionStorage.removeItem("mainUnitId");
		sessionStorage.removeItem("mainUnitName");
		sessionStorage.removeItem("unitList");
		sessionStorage.removeItem("category_id");
		sessionStorage.removeItem("category_name");
		sessionStorage.removeItem("category_parent_name");
		viewHandle.openWindow( 'itemAdd.html','itemAdd.html');
	})
	mui(".mui-content").on('tap', '.selProductInfo', function () {
		sessionStorage.setItem("selectedDepot", draftVM.selectedDepot);
		localStorage.setItem("selectedDepot", draftVM.selectedDepot);
		sessionStorage.setItem("selectedSupplier", draftVM.selectedSupplier);
		//sessionStorage.setItem("selectedBuyer", draftVM.selectedBuyer); ????
		sessionStorage.setItem("selectedBuyer", draftVM.selectedSupplier);
		sessionStorage.setItem("createDate", draftVM.createDate);
		sessionStorage.setItem("remark", draftVM.remark);
		sessionStorage.setItem("order_flag", draftVM.order_flag);
		sessionStorage.setItem("realname", draftVM.realname);
		sessionStorage.setItem("selProductList", JSON.stringify(draftVM.selProductList));
		localStorage.setItem("selProductList", JSON.stringify(draftVM.selProductList));
		sessionStorage.setItem("moLing", draftVM.moLing);
		var product_id = this.dataset.product_id;
        sessionStorage.setItem("id", product_id);
		sessionStorage.setItem("productId", product_id);
        localStorage.setItem("productId", product_id);
        localStorage.removeItem("selStatus")
		var product;
		var id=this.dataset.id;
		var model=this.dataset.model;
		var name=this.dataset.name;
		var product_name=this.dataset.product_name;
		var purchase_price=this.dataset.purchase_price;
		var sale_price=this.dataset.sale_price;
		var status=1;
		draftVM.$nextTick(function(){
			var pt={
				id:id,
				model:model,
				name:name,
				product_id:product_id,
				product_name:product_name,
				purchase_price:Number(purchase_price),
				sale_price:Number(sale_price),
				status:status,
				type: draftVM.currentInnerPage
			};
			product = pt;
			localStorage.setItem("product", JSON.stringify(product));
			var listSend = {};
			listSend.type = 4
			listSend.defaultCustomer = sessionStorage.getItem("defaultCustomer");
			listSend.selectedBuyer = draftVM.selectedSupplier;
			// viewHandle.viewFire('pinGoodsColorSize.html','showInfo',listSend)
			// viewHandle.openWindow('pinGoodsColorSize.html','pinGoodsColorSize.html',JSON.stringify(listSend))
			JumpPage.jump('pinGoodsColorSize.html','pinGoodsColorSize.html',function (){
				viewHandle.viewFire("pinGoodsColorSize.html",'selectedType', {selectedType: draftVM.show.productListTab === false? CONSTANT.SALES : CONSTANT.SALES_RETURN_OF_GOODS})
				viewHandle.viewFire('pinGoodsColorSize.html','showInfo',listSend);
			},'slide-in-right',200,listSend)
		})
	});
	mui(".mui-content").on('tap', '.itemLink', function () {
        if(this.dataset.id == null){
            sessionStorage.removeItem("selColorList");
            sessionStorage.removeItem("selSizeList");
            sessionStorage.removeItem("selList");
            sessionStorage.removeItem("purchase_price");
            sessionStorage.removeItem("sale_price");
			sessionStorage.removeItem("sale_price_b");
            sessionStorage.removeItem("name");
            sessionStorage.removeItem("model");
            sessionStorage.removeItem("material");
			sessionStorage.removeItem("mainUnitId");
			sessionStorage.removeItem("mainUnitName");
			sessionStorage.removeItem("unitList");
			sessionStorage.removeItem("category_id");
			sessionStorage.removeItem("category_name");
			sessionStorage.removeItem("category_parent_name");
            sessionStorage.removeItem("selListId");
            sessionStorage.setItem("selectedDepot", draftVM.selectedDepot);
            sessionStorage.setItem("selectedSupplier", draftVM.selectedSupplier);
            sessionStorage.setItem("selectedBuyer", draftVM.selectedBuyer);
            sessionStorage.setItem("createDate", draftVM.createDate);
            sessionStorage.setItem("selProductList", JSON.stringify(draftVM.selProductList));
            sessionStorage.setItem("remark", draftVM.remark);
            sessionStorage.setItem("order_flag", draftVM.order_flag);
            sessionStorage.setItem("moLing", draftVM.moLing);
			var arg = {};
			arg.model = draftVM.searchMsg;
			viewHandle.viewFire('itemAdd.html','modelAndName',arg);
			viewHandle.openWindow('itemAdd.html','itemAdd.html',JSON.stringify(arg));
			draftVM.searchMsg = '';
			draftVM.searchProduct();
        }else{
            draftVM.searchMsg = "";
            var product ={product_id : '',name:'',purchase_price:'',model:'',id:'',product_name:'',sale_price:'',status:''};
            for (var i =0;i<draftVM.list.length; i++){
                if(draftVM.list[i].id==this.dataset.id){
                    product.product_id=draftVM.list[i].product_id;
                    product.name=draftVM.list[i].name;
                    product.purchase_price=draftVM.list[i].purchase_price;
                    product.model=draftVM.list[i].model;
                    product.id=draftVM.list[i].id;
                    product.product_name=draftVM.list[i].product_name;
                    product.sale_price=draftVM.list[i].sale_price;
                    product.status=1;
                    product.type = draftVM.currentInnerPage
                }
            }
            sessionStorage.setItem("selectedDepot", draftVM.selectedDepot);
            localStorage.setItem("selectedDepot", draftVM.selectedDepot);
            sessionStorage.setItem("selectedSupplier", draftVM.selectedSupplier);
            sessionStorage.setItem("selectedBuyer", draftVM.selectedSupplier);
            sessionStorage.setItem("createDate", draftVM.createDate);
            sessionStorage.setItem("remark", draftVM.remark);
            sessionStorage.setItem("order_flag", draftVM.order_flag);
            sessionStorage.setItem("realname", draftVM.realname);
            sessionStorage.setItem("product", JSON.stringify(product));
            localStorage.setItem("product", JSON.stringify(product));
            sessionStorage.setItem("moLing", draftVM.moLing);
            sessionStorage.setItem("productId",this.dataset.id);
            localStorage.setItem("productId",this.dataset.id);
            sessionStorage.setItem("selProductList", JSON.stringify(draftVM.selProductList));
            localStorage.setItem("selProductList", JSON.stringify(draftVM.selProductList));
			localStorage.removeItem("selStatus");
			var listSend = {};
			listSend.type = 4;
			listSend.defaultCustomer = sessionStorage.getItem("defaultCustomer");
			listSend.selectedBuyer = draftVM.selectedSupplier;
			// viewHandle.viewFire('pinGoodsColorSize.html','showInfo',listSend);
			draftVM.searchMsg = '';
			draftVM.searchProduct();
			// viewHandle.openWindow('pinGoodsColorSize.html','pinGoodsColorSize.html',JSON.stringify(listSend))
			JumpPage.jump('pinGoodsColorSize.html','pinGoodsColorSize.html',function (){
				viewHandle.viewFire("pinGoodsColorSize.html",'selectedType', {selectedType: draftVM.show.productListTab === false? CONSTANT.SALES : CONSTANT.SALES_RETURN_OF_GOODS})
				viewHandle.viewFire('pinGoodsColorSize.html','showInfo',listSend);
			},'slide-in-right',200,listSend)
		}
	});
	// tap go productList
    mui(".typeSwitch").on('tap', '.productList', function () {
        sessionStorage.setItem("selectedDepot", draftVM.selectedDepot);
        sessionStorage.setItem("selectedSupplier", draftVM.selectedSupplier);
        //sessionStorage.setItem("selectedBuyer", draftVM.selectedBuyer); ???????
        sessionStorage.setItem("selectedBuyer", draftVM.selectedSupplier);
        sessionStorage.setItem("createDate", draftVM.createDate);
        sessionStorage.setItem("remark", draftVM.remark);
        sessionStorage.setItem("order_flag", draftVM.order_flag);
        sessionStorage.setItem("realname", draftVM.realname);
		sessionStorage.setItem("selProductList", JSON.stringify(draftVM.selProductList));
		var listSend = {
			defaultCustomer:sessionStorage.getItem("defaultCustomer"),
			selectedBuyer:draftVM.selectedSupplier,
			selectedDepot:draftVM.selectedDepot,
			selectedType: draftVM.currentInnerPage,
		};
		JumpPage.jump('pinDraftProductList.html','pinDraftProductList.html',function (){
			viewHandle.viewFire("pinDraftProductList.html",'selectedType', {selectedType: draftVM.show.productListTab === false? CONSTANT.SALES : CONSTANT.SALES_RETURN_OF_GOODS})
			viewHandle.viewFire("pinDraftProductList.html",'depot',listSend)
		},'slide-in-right',200,listSend)
    });

	// 销售员 与销售时间显示隐藏
	var toggleFlag = true;
	mui(".radius").on('tap', '.toggle-state', function () {
		if (toggleFlag) {
			mui('.toggle-state .mui-icon-arrowup')[0].style.display = "block";
			mui('.selectForm')[0].style.display = "block";
			mui('.toggle-state .mui-icon-arrowdown')[0].style.display = "none";

			toggleFlag = false;
		} else {
			mui('.toggle-state .mui-icon-arrowup')[0].style.display = "none";
			mui('.selectForm')[0].style.display = "none";
			mui('.toggle-state .mui-icon-arrowdown')[0].style.display = "block";

			toggleFlag = true;
		}
	});

	mui(".mui-content").on('tap', '.backBtn', function () {
		mui.openWindow({
			id: 'xiao',
			url: 'xiao.html'
		});
		sessionStorage.removeItem("selProductList");
		localStorage.removeItem("selProductList");
		sessionStorage.removeItem("selectedDepot");
		sessionStorage.removeItem("selectedSupplier");
		sessionStorage.removeItem("selectedBuyer");
		sessionStorage.removeItem("createDate");
		sessionStorage.removeItem("remark");
		sessionStorage.removeItem("realname");
		sessionStorage.removeItem("product");
		sessionStorage.removeItem("moLing");
		localStorage.removeItem("AB_price");
		sessionStorage.removeItem("remark");
	});
	//日期选择
	var dtpicker = new mui.DtPicker({
		type: "date",//设置日历初始视图模式
		labels: ['年', '月', '日']//设置默认标签区域提示语
	});
	mui('body').on('tap', '.createDate', function () {
		var _self = this;
		dtpicker.show(function (e) {
			draftVM.orderTimeModify = true;
			draftVM.createDate = e.text;
		})
	});
	mui('body').on('tap', '.procurement', function () {
		if(draftVM.isChangeDraftComputed){
			mui.toast('请先保存修改的订单！')
			return
		}
		draftVM.verifyBuyerName()
		if(draftVM.vipLevel == 1){
			// mui.each(draftVM.selProductList,function(i,v){
			//     mui.each(v.list,function(j,k){
			//     	if(v.order_in == 'in' && v.order_out == 'out'){
			//     		return false
			// 		}
			//         if(k.ordertype == 0){
			// 			draftVM.$set(v, 'order_in', 'in')
			// 			// v.order_in = 'in'
			// 		}
			// 		if(k.ordertype == 1){
			// 			draftVM.$set(v, 'order_out', 'out')
			// 			// v.order_out = 'out'
			// 		}
			//     })
			// })
			// console.log('wwwwwww',draftVM.selProductList)
			// mui("#mainDom")[0].style.display = 'none';
			// mui("#vipDom")[0].style.display = 'block';
			const args = {
				orderType: CONSTANT.PRESENT_SALES,
				purchaseManager: draftVM.purchaseManager,
				data: Draft,
				oldData: null, // TODO 旧数据 如果有的话
				pageId: pageId
			}
			mui.openWindow('./view/subOrderAmountSelect.html','subOrderAmountSelectPurchase', {extras: {args: args}})
		}else{
			kaidanShow()
		}
	});
	mui('body').on('tap', '.addMoling', function () {
		// if (draftVM.moLing < draftVM.totalPrice) {
		draftVM.moLing++;

		if (draftVM.totalPrice > 0) {
			draftVM.truePay--;
		} else {
			draftVM.truePay++;
		}
		// }
	});
	mui('body').on('tap', '.reduceMoling', function () {
		if (draftVM.moLing > 0) {
			if (draftVM.totalPrice > 0) {
				draftVM.truePay++;
			} else {
				draftVM.truePay--;
			}
			draftVM.moLing--;
		}
	});
	mui('body').on('tap', '.cancelPurchase', function () {
		draftVM.moLing = 0;
		draftVM.dkNumber = 0;
		draftVM.editTotalPrice = draftVM.totalPrice;
		draftVM.truePayFirst = true;
		$(".dkSpan").hide();
		mui('#purchase').popover('toggle');
	});

	mui('body').on('tap','.payType',function(){
		mui.confirm("", "付款方式", ["取消","确定"], function (e) {
			if(e.index==1){
				let $colorOrange = $(".colorOrange")
				var type = $colorOrange.attr("type");
				var id = $colorOrange.attr("id");
				draftVM.pay_status = Number(type)
				draftVM.account_id = id;
			}else{

			}
		},'div');
		//样式重写
		let $mui_popup_inner = $(".mui-popup-inner")
		$(".mui-popup-in").css('border-radius',0);
		$mui_popup_inner.css('border-radius','6px');
		$mui_popup_inner.css('overflow','hidden');
		$mui_popup_inner.css('padding',0);
		$(".mui-popup-title").remove();
		$(".mui-popup-buttons").css('display','none');
		var muiPrompt = '';
		let defColor = '#b74c00'
		let color = {
			1: '#fe7e7e',
			2: '#09aaf0',
			3: '#51c232',
			4: '#f90000',
		}
		let defIcon = 'icon-qitaphone'
		let icon = {
			1: 'icon-xianjin',
			2: 'icon-zhifubao',
			3: 'icon-icon1460188541813',
			4: 'icon-bank-card',
		}
		function getColor(v){
			return !draftVM.pay_status ? (v.is_default === 1 ? 'colorOrange' : '') : ( draftVM.pay_status === v.type ? 'colorOrange' : '')
		}
		mui.each(draftVM.accountList,function(i,v){
			if (v.is_disable != 1){
				muiPrompt +=
					'<div class="payTypeDiv chooessType">' +
					'<div style="display: flex; flex: 1;">' +
					'<span class="iconfont ' + (icon[v.type] || defIcon) + '" style="color: '+ (color[v.type] || defColor) +'">&nbsp;</span>' +
					'<span class="chooseColor ' + getColor(v) +'" type="' + v.type + '" id="' + v.id + '">' + v.name + '</span>' +
					'</div>' +
					'<div style="width: 24px">' +
					'<span class="mui-icon mui-icon-checkmarkempty chooseColor ' + getColor(v) + '" style="font-size: 36px; display: none;"></span>' +
					'</div>' +
					'</div>'
			}
		})
		$(".mui-popup-text").html(muiPrompt);
	})
	mui("body").on('tap','.chooessType',function(){
		$('.chooseColor').removeClass("colorOrange")
		$(this).find('.chooseColor').addClass("colorOrange")
		mui.trigger(document.getElementsByClassName("mui-popup-button-bold")[0],'tap');
	})

	mui('body').on('tap', '.firstSlider', function () {
		var self = this;
		self.style.color = "#fff";
		self.style.borderColor = "#fff";
		var itl = setTimeout(function () {
			self.style.color = "#000";
			self.style.borderColor = "#B7B7BB";
			clearTimeout(itl);
		}, 100);
		var sliderIndex = mui('#slider .mui-slider-item.mui-active')[0].dataset.index;
		var gallery = mui('#slider');
		gallery.slider().gotoItem(--sliderIndex);
	});
	mui('body').on('tap', '.lastSlider', function () {
		var self = this;
		self.style.color = "#fff";
		self.style.borderColor = "#fff";
		var itl = setTimeout(function () {
			self.style.color = "#000";
			self.style.borderColor = "#B7B7BB";
			clearTimeout(itl);
		}, 100);
		var sliderIndex = mui('#slider .mui-slider-item.mui-active')[0].dataset.index;
		var gallery = mui('#slider');
		gallery.slider().gotoItem(++sliderIndex);
	});
	mui("header").on('tap', '.delDraft', function () {
		mui.confirm("确认删除订单吗", "提示", ["取消","确定"], function (e) {
			if (e.index == 1) {
				var draftId = sessionStorage.getItem("draftId");
				mui.ajax(severUrl + "scm/order/del.json", {
					data: {
						id: draftId
					},
					headers: {
						'Content-Type': 'application/x-www-form-urlencoded'
					},
					xhrFields: {
						withCredentials: true
					},
					dataType: 'json',
					type: 'post',
					timeout: 10000,
					success: function (res) {
						mui.toast(res.msg);
						if (res.success) {
							sessionStorage.removeItem("selectedDepot");
							sessionStorage.removeItem("selectedSupplier");
							sessionStorage.removeItem("selectedBuyer");
							sessionStorage.removeItem("createDate");
							sessionStorage.removeItem("remark");
							sessionStorage.removeItem("realname");
							sessionStorage.removeItem("product");
							sessionStorage.removeItem("moLing");
							setTimeout(function () {
								var listSend = {};
								listSend.id = draftId;
								viewHandle.viewFire('H576E5848','pinDraftBack',listSend)
								// viewHandle.back() //222
								viewHandle.back("close")
								localStorage.setItem('selProductListType', 'null')
							}, 1000);
						}
					}
				});
				localStorage.removeItem("selProductList");
			}
		},'div')
	})
	mui('body').on('tap', '.orderPrint', function () {
		if(draftVM.accountBalance != 'default'){
			if(Number(draftVM.accountBalance) <0){
				if(Number(draftVM.editTotalPrice) >0){
					if((Number(draftVM.accountBalance) + Number(draftVM.noPay)) >0){
						mui.confirm("客户余额不足！"+numToCur(Number(draftVM.accountBalance) + Number(draftVM.noPay),draftVM.systemSetting.price_decimals_setting,'price')+"元将计入客户欠款。", "提示", ["取消","确定"], function (e) {
							if(e.index==1){
								draftVM.noPay = numToCur(Number(draftVM.accountBalance) + Number(draftVM.noPay),draftVM.systemSetting.price_decimals_setting,'price');
								dikou_amt = true;
								newOrderPrint()
							}else{

							}
						},'div');
						return false
					}else{
						newOrderPrint()
					}
				}else{
					newOrderPrint()
				}
			}else{
				if(Number(draftVM.editTotalPrice) < 0){
					if((Number(draftVM.accountBalance) + Number(draftVM.noPay)) <0){
						mui.confirm("欠客户款不足抵扣！"+numToCur(Number(draftVM.accountBalance) + Number(draftVM.noPay),draftVM.systemSetting.price_decimals_setting,'price')+"元 将充入客户余额。", "提示", ["取消","确定"], function (e) {
							if(e.index==1){
								draftVM.noPay = numToCur(Number(draftVM.accountBalance) + Number(draftVM.noPay),draftVM.systemSetting.price_decimals_setting,'price')
								dikou_amt = true;
								newOrderPrint()
							}else{
							}
						},'div');
					}else{
						newOrderPrint()
					}
				}else{
					newOrderPrint()
				}
			}
		}else{
			newOrderPrint()
		}
	});

	mui('body').on('tap', '.cgCreateOrder', function () {
		console.log(1)
		if(draftVM.accountBalance != 'default'){ //如果有欠款
			if(Number(draftVM.accountBalance) <0){
				if(Number(draftVM.editTotalPrice) >0){
					if((Number(draftVM.accountBalance) + Number(draftVM.noPay)) >0){
						mui.confirm("客户余额不足！"+numToCur(Number(draftVM.accountBalance) + Number(draftVM.noPay),draftVM.systemSetting.price_decimals_setting,'price')+"元将计入客户欠款。", "提示", ["取消","确定"], function (e) {
							if(e.index==1){
								draftVM.noPay = numToCur(Number(draftVM.accountBalance) + Number(draftVM.noPay),draftVM.systemSetting.price_decimals_setting,'price')
								dikou_amt = true;
								newCreateOrder()
							}else{

							}
						},'div');
						return false
					}else{
						newCreateOrder()
					}
				}else{
					newCreateOrder()
				}
			}else{
				if(Number(draftVM.editTotalPrice) < 0){
					if((Number(draftVM.accountBalance) + Number(draftVM.noPay)) <0){
						mui.confirm("欠客户款不足抵扣！"+numToCur(Number(draftVM.accountBalance) + Number(draftVM.noPay),draftVM.systemSetting.price_decimals_setting,'price')+"元 将充入客户余额。", "提示", ["取消","确定"], function (e) {
							if(e.index==1){
								draftVM.noPay = numToCur(Number(draftVM.accountBalance) + Number(draftVM.noPay),draftVM.systemSetting.price_decimals_setting,'price')
								dikou_amt = true;
								newCreateOrder()
							}else{
							}
						},'div');
					}else{
						newCreateOrder()
					}
				}else{
					newCreateOrder()
				}
			}
		}else{
			newCreateOrder()
		}
	});
	// 开新单据
	function newCreateOrder(){
        if(!draftVM.selectedSupplier){
            return mui.toast("请选择客户")
        }
		mui('.procurement').button('loading');
		$("button").css('pointer-events','none');
		mui('#purchase').popover('toggle');
		if (draftVM.selProductList.length != 0) {
			debugger
			var money = document.getElementById("money");
			var zfb = document.getElementById("zfb");
			var wx = document.getElementById("wx");
			// /*order_flag*/
			// if (qizhi1.checked) {
			// 	draftVM.order_flag = 1;
			// }
			// if (qizhi2.checked) {
			// 	draftVM.order_flag = 2;
			// }
			// if (qizhi3.checked) {
			// 	draftVM.order_flag = 3;
			// }
			// if (qizhi4.checked) {
			// 	draftVM.order_flag = 4;
			// }
			// if (qizhi5.checked) {
			// 	draftVM.order_flag = 5;
			// }
			//
			// qizhi.style.color = "#666";
			// qizhiForm.style.display = "none";

			var productList = [];

			mui.each(draftVM.selProductList, function (index, product) {
				//不区分仓库
				// if (product.depot_id == draftVM.selectedDepot) {
				mui.each(product.list, function (index2, value) {
					var checkType;
					draftVM.vipLevel == 1?checkType = value.next_used:checkType =value.count;
					if(checkType && checkType != 0) {
						var purchasePrice = product.purchase_price;
						productList.push({
							product_id: product.product_id,
							product_model: product.model,
							product_name:product.name,
							// product_sn_list:value.product_sn_list || [],
							product_sn_list:value.product_sn_list_vip || [], //开单
							barcode:value.barcode,
							type: value.ordertype,
							purchase_price: purchasePrice,
							sale_price: Number(product.amt) / (product.unitChooseRatio || 1),
							amt: Number(product.amt) / (product.unitChooseRatio || 1),
							// sale_price: product.amt,
							// amt: product.amt,
							color_id: value.color_id,
							color_name: value.color_name,
							size_id: value.size_id,
							size_name: value.size_name,
							amount: checkType,
							unitChooseId: product.unitChooseId,
							unitChooseName: product.unitChooseName,
							unitChooseRatio: Number(product.unitChooseRatio) || null,
							op_id: value.op_id || '',
							parent_op_id: value.parent_op_id || '',
							__id__:value.__id__,
							__pid__:value.__pid__,
							__can_use_amount__: Number(numToCur($comm.subtract(value.amount,value.used_amount) * (product.unitChooseRatio || 1),draftVM.systemSetting.amount_decimals_setting)),
							remark: value.remark
						});
					}
				})
				// }
			});
			//总成本金额计算
			var purchase_amt = 0;
			mui.each(productList, function (index, val) {
				purchase_amt += (val.amount * val.purchase_price);
			})

			if (purchase_amt >= 0) {
				purchase_amt = purchase_amt;
			} else {
				purchase_amt = purchase_amt;
				if (purchase_amt > 0) {
					purchase_amt = -purchase_amt;
				}
			}

			var date = new Date(),time = '';
			var creatTime = date.getFullYear() + "-" + ((date.getMonth() + 1) < 10 ? ('0' + (date.getMonth() + 1)) : (date.getMonth() + 1)) + "-" + (date.getDate() < 10 ? ("0" + date.getDate()) : date.getDate());
			if(draftVM.orderTimeModify){
				time = draftVM.createDate + " " + (date.getHours() < 10 ? ("0" + date.getHours()) : date.getHours()) + ":" + (date.getMinutes() < 10 ? ("0" + date.getMinutes()) : date.getMinutes()) + ":" + (date.getSeconds() < 10 ? ("0" + date.getSeconds()) : date.getSeconds());
			}else{
				time = creatTime + " " + (date.getHours() < 10 ? ("0" + date.getHours()) : date.getHours()) + ":" + (date.getMinutes() < 10 ? ("0" + date.getMinutes()) : date.getMinutes()) + ":" + (date.getSeconds() < 10 ? ("0" + date.getSeconds()) : date.getSeconds());
			}
			var draftId = sessionStorage.getItem("draftId");

			if(draftVM.moLing == ''){
				draftVM.moLing =0;
			}
			if(draftVM.noPay == ''){
				draftVM.noPay =0;
			}
			var saveIntegral='';
			if(draftVM.jifenKT !=1 || sessionStorage.getItem('defaultCustomer') == draftVM.selectedSupplier){
				draftVM.customerAddIntegral='';
				saveIntegral = ''
			}else{
				saveIntegral=parseInt(draftVM.customerAddIntegral - draftVM.cgUseIntegral)
			}

			var productListToSend = productList;
			mui.each(productListToSend, function (index, val) {
				if(val.unitChooseRatio != undefined && val.unitChooseRatio !=''){
					val.amount = Number(val.amount * val.unitChooseRatio)
				}
			});
			var logistics_number = '';
			if(draftVM.deliveryType !=0){
				logistics_number = draftVM.draft_logistics_number
			}else{
				logistics_number = ''
			}
			var noPay = 0,deduction_amt = 0;
			if(dikou_amt){
				deduction_amt = -Number(draftVM.accountBalance);
				noPay = draftVM.noPay
			}else{
				if(draftVM.accountBalance <0){
					deduction_amt = draftVM.noPay;
				}else{
					if(draftVM.noPay <0){
						deduction_amt = draftVM.noPay
					}else{
						noPay = draftVM.noPay;
					}
				}
			}
			var debt_status = 0;
			if (parseFloat(noPay) == parseFloat(draftVM.editTotalPrice)) {
				debt_status = 0;
			} else if (noPay == 0) {
				debt_status = 2;
			} else {
				debt_status = 1;
			}
			var account_name = ''
			draftVM.accountList.forEach(function(v){
				if(v.id == draftVM.account_id){
					account_name = v.name
				}
			})
			let list=JSON.parse(localStorage.getItem('orderRemarkTempImg'))
			let fileNames=''
			if(list && list.length!=0){
				mui.each(list,function (index,val){
					if(index!=list.length-1){
						fileNames+=val.name+';'
					}else{
						fileNames+=val.name
					}
				})
			}
			console.log(fileNames)
			// 开新单据
			createOrder({
				// id: draftId,
				draft_order_id:draftId,//????
				ordersn:$comm.getOrderSn(),
				creater_id: draftVM.orderUserId, //操作用户设置
				remark: draftVM.remark,
				sign_date: time,
				customer_id: draftVM.selectedSupplier,
				customer_name: draftVM.buyerName,
				// customer_id: customerId,
				depot_id: draftVM.selectedDepot,
				rebate_amt: draftVM.moLing,
				order_amt: draftVM.vipLevel == 1?draftVM.vipPrice:draftVM.totalPrice,
				purchase_amt: purchase_amt,
				amount: draftVM.vipLevel == 1?draftVM.vipCount:draftVM.totalAmount,
				logistics_number:logistics_number, //快递单号
				consignee_address:draftVM.consignee_address, //收货地址
				ordertype: 1,
				submit_status: 0,
				productlistlength: productListToSend.length,
				pay_status: draftVM.pay_status,
				account_id:draftVM.account_id,
				account_name:account_name,
				order_flag: draftVM.order_flag,
				productlist: productListToSend,
				debt_status: debt_status,
				debt_amt: noPay,
				org_debt_amt: noPay,
				deduction_amt: deduction_amt,
				delivery_status: draftVM.deliveryStatus,
				delivery_type: draftVM.deliveryType,
				delivery_date: draftVM.deliveryDate,
				changeinteral:saveIntegral,
				discount:draftVM.dkNumber, //抵扣金额
				other_cost_purchase:draftVM.expenseDegression || 0, //费用成本
				other_cost_name:draftVM.expenseName, //费用名称
				other_cost_price:draftVM.expense || 0, //费用
				other_id:draftVM.expenseId, //费用id
				picture_names:fileNames
			}, function () {
				sessionStorage.removeItem("selProductList");
				localStorage.removeItem("selProductList");
				draftVM.expenseName='';
				draftVM.expense=0;
				draftVM.expenseId='';
				// plus.webview.getWebviewById('H576E5848').evalJS("arrearsEdit('"+customerId+"','"+noPay+"','"+dikou_amt+"')");
				draftVM.expenseDegression=0;
				sessionStorage.removeItem("selectedDepot");
				sessionStorage.removeItem("selectedSupplier");
				sessionStorage.removeItem("selectedBuyer");
				sessionStorage.removeItem("createDate");
				sessionStorage.removeItem("remark");
				sessionStorage.removeItem("realname");
				sessionStorage.removeItem("product");
				sessionStorage.removeItem("moLing");
				localStorage.removeItem("AB_price");
				localStorage.setItem("productListPage","refresh");
				localStorage.setItem("pinProductListPage","refresh");
				localStorage.setItem("draftProductListPage","refresh");
				localStorage.setItem("pinDraftProductListPage","refresh");
				localStorage.setItem("cunInventoryListPage","refresh");
				localStorage.setItem("cunAlloctionListPage","refresh");
				draftVM.truePayFirst = true;
				draftVM.truePay = 0;
				dikou_amt = false;
				mui('.procurement').button('reset');
				// $(".cgCreateOrder").css('pointer-events','auto');
				$("button").css('pointer-events','auto');
				openOrderToDraftList(draftId)
			}, true)
			mui(".pullReFresh").scroll().scrollTo(0,0,0);
			window.scrollTo(0,0);
		}
	}
	mui('body').on('tap', '.draftSave', function () {
		var customerId = draftVM.selectedSupplier;
		if(!customerId){
			return mui.toast("请选择客户");
		}
		if (draftVM.selProductList.length != 0) {
			var money = document.getElementById("money");
			var zfb = document.getElementById("zfb");
			var wx = document.getElementById("wx");
			/*order_flag*/
			// if (qizhi1.checked) {
			// 	draftVM.order_flag = 1;
			// }
			// if (qizhi2.checked) {
			// 	draftVM.order_flag = 2;
			// }
			// if (qizhi3.checked) {
			// 	draftVM.order_flag = 3;
			// }
			// if (qizhi4.checked) {
			// 	draftVM.order_flag = 4;
			// }
			// if (qizhi5.checked) {
			// 	draftVM.order_flag = 5;
			// }

			// qizhi.style.color = "#666";
			// qizhiForm.style.display = "none";

			var productList = [];

			mui.each(draftVM.selProductList, function (index, product) {
				//不区分仓库
				// if (product.depot_id == draftVM.selectedDepot) {
				mui.each(product.list, function (index2, value) {
					// var checkType;
					// draftVM.vipLevel == 1?checkType = value.next_used:checkType =value.count;
					if(value.count != 0) {
						var purchasePrice = product.purchase_price;
						const p = {
							product_id: product.product_id,
							product_model: product.model,
							product_name:product.name,
							product_sn_list: get_product_sn_list(value),
							barcode:value.barcode,
							type: value.ordertype,
							purchase_price: purchasePrice,
							sale_price: Number(product.amt) / (product.unitChooseRatio || 1),
							amt: Number(product.amt) / (product.unitChooseRatio || 1),
							color_id: value.color_id,
							color_name: value.color_name,
							size_id: value.size_id,
							size_name: value.size_name,
							amount: value.count,
							unitChooseId: product.unitChooseId,
							unitChooseName: product.unitChooseName,
							unitChooseRatio: Number(product.unitChooseRatio) || null,
							op_id: value.op_id || '',
							parent_op_id: value.parent_op_id || '',
							__id__:value.__id__,
							__pid__:value.__pid__,
							__can_use_amount__: Number(numToCur($comm.subtract(value.amount,value.used_amount) * (product.unitChooseRatio || 1),draftVM.systemSetting.amount_decimals_setting)),
							remark: value.remark
						}
						productList.push(p);

						const batch = findBatch(p.product_id, p.color_id, p.size_id)
						p.production_date_timestamp = batch.production_date_timestamp
						p.production_batch_number = batch.production_batch_number
						p.production_batch_id = batch.production_batch_id
						p.production_amount = batch.production_amount
						p.expire_date_ms = batch.expire_date_ms

					}
				})
				// }
			});
			// 特意不对比depotId
			function findBatch(productId,colorId,sizeId){
				return Draft.productlist.find(function (v){
					return v.size_id === sizeId && v.color_id === colorId && v.size_id === sizeId
				}) || {}
			}
			//总成本金额计算
			var purchase_amt = 0;
			mui.each(productList, function (index, val) {
				purchase_amt += (val.amount * val.purchase_price);
			})

			if (purchase_amt >= 0) {
				purchase_amt = purchase_amt;
			} else {
				purchase_amt = purchase_amt;
				if (purchase_amt > 0) {
					purchase_amt = -purchase_amt;
				}
			}

			var date = new Date(),time = '';
			// var creatTime = date.getFullYear() + "-" + ((date.getMonth() + 1) < 10 ? ('0' + (date.getMonth() + 1)) : (date.getMonth() + 1)) + "-" + (date.getDate() < 10 ? ("0" + date.getDate()) : date.getDate());
			if(draftVM.orderTimeModify){
				time = draftVM.createDate + " " + (date.getHours() < 10 ? ("0" + date.getHours()) : date.getHours()) + ":" + (date.getMinutes() < 10 ? ("0" + date.getMinutes()) : date.getMinutes()) + ":" + (date.getSeconds() < 10 ? ("0" + date.getSeconds()) : date.getSeconds());
			}else{
				time = draftVM.draftDate
			}
			var draftId = sessionStorage.getItem("draftId");

			if(draftVM.moLing == ''){
				draftVM.moLing =0;
			}
			if(draftVM.noPay == ''){
				draftVM.noPay =0;
			}

			var debt_status = 0;
			// if (draftVM.noPay == draftVM.totalPrice) {
			if (parseFloat(draftVM.noPay) == parseFloat(draftVM.editTotalPrice)) {
				debt_status = 0;
			} else if (draftVM.noPay == 0) {
				debt_status = 2;
			} else {
				debt_status = 1;
			}
			var saveIntegral='';
			if(draftVM.jifenKT !=1 || sessionStorage.getItem('defaultCustomer') == draftVM.selectedSupplier){
				draftVM.customerAddIntegral='';
				saveIntegral = ''
			}else{
				saveIntegral=parseInt(draftVM.customerAddIntegral - draftVM.cgUseIntegral)
			}

			var productListToSend = productList;
			mui.each(productListToSend, function (index, val) {
				if(val.unitChooseRatio != undefined && val.unitChooseRatio !=''){
					val.amount = Number(val.amount * val.unitChooseRatio)
				}
			});
			var logistics_number = '';
			if(draftVM.deliveryType !=0){
				logistics_number = draftVM.draft_logistics_number
			}else{
				logistics_number = ''
			}
			var account_name = ''
			draftVM.accountList.forEach(function(v){
				if(v.id == draftVM.account_id){
					account_name = v.name
				}
			})
			let list=JSON.parse(localStorage.getItem('orderRemarkTempImg'))
			let fileNames=''
			if(list && list.length!=0){
				mui.each(list,function (index,val){
					if(index!=list.length-1){
						fileNames+=val.name+';'
					}else{
						fileNames+=val.name
					}
				})
			}
			console.log(fileNames)
			// 保存订单
			createOrder({
				id: draftId,
				// draft_order_id:draftId,//????
                creater_id: draftVM.orderUserId, //操作用户设置
				remark: draftVM.remark,
				sign_date: time,
				customer_id: customerId,
				customer_name: draftVM.buyerName,
				depot_id: draftVM.selectedDepot,
				rebate_amt: draftVM.moLing,
				order_amt: draftVM.vipLevel == 1? draftVM.dingjin : draftVM.totalPrice,
				purchase_amt: purchase_amt,
				amount: draftVM.totalAmount,
				logistics_number:logistics_number, //快递单号
				consignee_address:draftVM.consignee_address, //收货地址
				ordertype: 1,
				submit_status: 1,
				productlistlength: productListToSend.length,
				pay_status: draftVM.pay_status,
				account_id:draftVM.account_id,
				account_name:account_name,
				order_flag: draftVM.order_flag,
				productlist: productListToSend,
				debt_status: debt_status,
				debt_amt: draftVM.noPay,
				org_debt_amt: draftVM.noPay,
				delivery_status: draftVM.deliveryStatus,
				delivery_type: draftVM.deliveryType,
				delivery_date: draftVM.deliveryDate,
				changeinteral:saveIntegral,
				discount:draftVM.dkNumber, //抵扣金额
				picture_names:fileNames
			}, reload)
			mui(".pullReFresh").scroll().scrollTo(0,0,0);
			window.scrollTo(0,0);
		}
	});
}
function reload() {
	resetChangeStatus('isChangeDraft')
	draftVM.orderTimeModify = false
	sessionStorage.removeItem("selProductList");
	localStorage.removeItem("selProductList");
	draftVM.selProductList = [];
	draftVM.expenseName='';
	draftVM.expense=0;
	draftVM.expenseId='';
	draftVM.expenseDegression=0;
	sessionStorage.removeItem("selectedDepot");
	sessionStorage.removeItem("selectedSupplier");
	sessionStorage.removeItem("selectedBuyer");
	sessionStorage.removeItem("createDate");
	sessionStorage.removeItem("remark");
	sessionStorage.removeItem("realname");
	sessionStorage.removeItem("product");
	sessionStorage.removeItem("moLing");
	localStorage.removeItem("AB_price");
	getDraft()
	// setTimeout(function () {
	// viewHandle.back() //222
	var listSend = {};
	listSend.id = draftVM.draftId;
	// listSend.backType = backType;
	listSend.formType = 'draft';
	viewHandle.viewFire('H576E5848','pinDraftBack',listSend);
	// viewHandle.back("close")
	localStorage.setItem('selProductListType', 'null')
	// }, 500);
}
/**
 * 返回更新单据状态
 * @param draftId
 */
function openOrderToDraftList(draftId){
	let backType = false;
	mui.each(draftVM.selProductList,function(i,v){
		mui.each(v.list,function(i,v){
			if(v.count !== v.used_amount + Number(v.next_used||0)){
				backType = true;
				return false
			}
		})
	})
	// 判断特殊商品是否全部出库
	if(!backType){
		for(let k in draftVM.productCopyAdd){
			if(backType)break
			if(!draftVM.productCopyAdd.hasOwnProperty(k)) continue
			mui.each(draftVM.productCopyAdd[k],function(i,v){
				if(v.count !== v.used_amount + Number(v.next_used||0)){
					backType = true;
					return false
				}
			})
		}
	}
	draftVM.selProductList = [];
	setTimeout(function () {
		let listSend = {};
		listSend.id = draftId;
		listSend.backType = backType; // false 全部出库
		viewHandle.viewFire('H576E5848','pinDraftBack',listSend)
		// viewHandle.back() //222
		viewHandle.back("close")
		localStorage.setItem('selProductListType', 'null')
		// sessionStorage.removeItem("remark");
	}, 500);
}
function createOrder(data, cb, isOpenOrderByDraft) {
	data.delivery_company = draftVM.deliveryCompany
	viewHandle.waiting("保存中",60000)
	data = formDataProductCopy(data, draftVM.productCopyAdd, false, isOpenOrderByDraft)
	if( data === false){
		viewHandle.close()
		mui('.procurement').button('reset');
		$("button").css('pointer-events','auto');
		return
	}
	if(data.productlistlength > 300){
		viewHandle.close()
		mui('.procurement').button('reset');
		$("button").css('pointer-events','auto');
		return mui.toast('超过300行商品，无法保存！')
	}
	mui.ajax(severUrl + "scm/order/save.json", {
		data: data,
		headers: {
			'Content-Type': 'application/x-www-form-urlencoded'
		},
		xhrFields: {
			withCredentials: true
		},
		dataType: 'json',
		type: 'post',
		timeout: 60000,
		success: function (res) {
			viewHandle.close()
			mui.toast(res.msg);
			if (res.success) {
				//	清空备注的图片信息 ly 20211103
				localStorage.removeItem('orderRemarkTempImg')
				//获取备注图片高亮
				$comm.getRemarkHeightLight()
				if (typeof cb == "function") {
					let deliveryCompany = draftVM.deliveryCompanyList.find(function(i){
						return i.delivery_company === data.delivery_company
					})
					let deliveryCompanyStr = deliveryCompany ? deliveryCompany.name : ''
					cb(res.data.id,res.data.ordersn,data.logistics_number||'',deliveryCompanyStr);
				}
				draftVM.pay_status = 1;
			}else{
				mui('.procurement').button('reset');
				$("button").css('pointer-events','auto');
                sessionStorage.removeItem('kdStatus');
			}
		},
		error: function(){
			viewHandle.close()
			mui.toast('开单失败');
			mui('.procurement').button('reset');
			$("button").css('pointer-events','auto');
		}
	});
}

/**
 * 开单并打印
 * @return {*}
 */
function kaidan(){
		sessionStorage.setItem('kdStatus','0');
        var customerId = draftVM.selectedSupplier;
		if(!customerId){
			return mui.toast("请选择客户")
		}
        mui('#purchase').popover('toggle');
        if (draftVM.selProductList.length != 0) {
            var money = document.getElementById("money");
            var zfb = document.getElementById("zfb");
            var wx = document.getElementById("wx");
			// /*order_flag*/
            // if (qizhi1.checked) {
            //     draftVM.order_flag = 1;
            // }
            // if (qizhi2.checked) {
            //     draftVM.order_flag = 2;
            // }
            // if (qizhi3.checked) {
            //     draftVM.order_flag = 3;
            // }
            // if (qizhi4.checked) {
            //     draftVM.order_flag = 4;
            // }
            // if (qizhi5.checked) {
            //     draftVM.order_flag = 5;
            // }
			//
            // qizhi.style.color = "#666";
            // qizhiForm.style.display = "none";

            var productList = [];

            mui.each(draftVM.selProductList, function (index, product) {
            	//不区分仓库
                // if (product.depot_id == draftVM.selectedDepot) {
                    mui.each(product.list, function (index2, value) {
						var checkType;
						draftVM.vipLevel == 1?checkType = value.next_used:checkType =value.count;
						if(checkType && checkType != 0) {
                            var purchasePrice = product.purchase_price;
                            productList.push({
                                product_id: product.product_id,
                                product_model: product.model,
								product_name:product.name,
								// product_sn_list:value.product_sn_list || [],
								product_sn_list:value.product_sn_list_vip || [], //开单并打印
								barcode:value.barcode,
                                type: value.ordertype,
                                purchase_price: purchasePrice,
                                sale_price: Number(product.amt) / (product.unitChooseRatio || 1),
                                amt: Number(product.amt) / (product.unitChooseRatio || 1),
                                color_id: value.color_id,
                                color_name: value.color_name,
                                size_id: value.size_id,
                                size_name: value.size_name,
								amount: checkType,
								unitChooseId: product.unitChooseId,
								unitChooseName: product.unitChooseName,
								unitChooseRatio: Number(product.unitChooseRatio) || null,
								op_id: value.op_id || '',
								parent_op_id: value.parent_op_id || '',
								__id__:value.__id__,
								__pid__:value.__pid__,
								__can_use_amount__: Number(numToCur($comm.subtract(value.amount,value.used_amount) * (product.unitChooseRatio || 1),draftVM.systemSetting.amount_decimals_setting)),
								remark: value.remark
                            });
                        }
                    })
              //  }
            });
            //总成本金额计算
            var purchase_amt = 0;
            mui.each(productList, function (index, val) {
                purchase_amt += (val.amount * val.purchase_price);
            })

            if (purchase_amt >= 0) {
                purchase_amt = purchase_amt;
            } else {
                purchase_amt = purchase_amt;
                if (purchase_amt > 0) {
                    purchase_amt = -purchase_amt;
                }
            }

            var date = new Date(),time = '';
			var creatTime = date.getFullYear() + "-" + ((date.getMonth() + 1) < 10 ? ('0' + (date.getMonth() + 1)) : (date.getMonth() + 1)) + "-" + (date.getDate() < 10 ? ("0" + date.getDate()) : date.getDate());
            //var time = draftVM.createDate + " " + (date.getHours() < 10 ? ("0" + date.getHours()) : date.getHours()) + ":" + (date.getMinutes() < 10 ? ("0" + date.getMinutes()) : date.getMinutes()) + ":" + (date.getSeconds() < 10 ? ("0" + date.getSeconds()) : date.getSeconds());
			if(draftVM.orderTimeModify){
				time = draftVM.createDate + " " + (date.getHours() < 10 ? ("0" + date.getHours()) : date.getHours()) + ":" + (date.getMinutes() < 10 ? ("0" + date.getMinutes()) : date.getMinutes()) + ":" + (date.getSeconds() < 10 ? ("0" + date.getSeconds()) : date.getSeconds());
			}else {
				time = creatTime + " " + (date.getHours() < 10 ? ("0" + date.getHours()) : date.getHours()) + ":" + (date.getMinutes() < 10 ? ("0" + date.getMinutes()) : date.getMinutes()) + ":" + (date.getSeconds() < 10 ? ("0" + date.getSeconds()) : date.getSeconds());
			}
			var draftId = sessionStorage.getItem("draftId");
			var saveIntegral='';
			if(draftVM.jifenKT !=1 || sessionStorage.getItem('defaultCustomer') == draftVM.selectedSupplier){
				draftVM.customerAddIntegral='';
				saveIntegral = ''
			}else{
				saveIntegral=parseInt(draftVM.customerAddIntegral - draftVM.cgUseIntegral)
			}
			var productListToSend = productList;
			mui.each(productListToSend, function (index, val) {
				if(val.unitChooseRatio != undefined && val.unitChooseRatio !=''){
					val.amount = Number(val.amount * val.unitChooseRatio)
				}
			});

            var logistics_number = '';
            if(draftVM.deliveryType !=0){
                logistics_number = draftVM.draft_logistics_number
            }else{
                logistics_number = ''
            }
            var noPay = 0,deduction_amt = 0;
			if(dikou_amt){
				deduction_amt = -Number(draftVM.accountBalance);
				noPay = draftVM.noPay
			}else{
				if(draftVM.accountBalance <0){
					deduction_amt = draftVM.noPay;
				}else{
					if(draftVM.noPay <0){
						deduction_amt = draftVM.noPay
					}else{
						noPay = draftVM.noPay;
					}
				}
			}
			var debt_status = 0;
			if (noPay == draftVM.totalPrice) {
				debt_status = 0;
			} else if (noPay == 0) {
				debt_status = 2;
			} else {
				debt_status = 1;
			}
			var account_name = ''
			draftVM.accountList.forEach(function(v){
				if(v.id == draftVM.account_id){
					account_name = v.name
				}
			})
			var data = {
				// id: draftId,
				draft_order_id:draftId,//????
				ordersn:$comm.getOrderSn(),
				creater_id: draftVM.orderUserId, //操作用户设置
				remark: draftVM.remark,
				sign_date: time,
				customer_id: customerId,
				customer_name:draftVM.buyerName,
				depot_id: draftVM.selectedDepot,
				rebate_amt: draftVM.moLing,
				order_amt: draftVM.vipLevel == 1?draftVM.vipPrice:draftVM.totalPrice,
				purchase_amt: purchase_amt,
				amount: draftVM.vipLevel == 1?draftVM.vipCount:draftVM.totalAmount,
				ordertype: 1,
				submit_status: 0,
				logistics_number:logistics_number, //快递单号
				consignee_address:draftVM.consignee_address, //快递单号
				productlistlength: productListToSend.length,
				pay_status: draftVM.pay_status,
				account_id:draftVM.account_id,
				account_name:draftVM.account_name,
				order_flag: draftVM.order_flag,
				productlist: productListToSend,
				debt_status: debt_status,
				debt_amt: noPay,
				org_debt_amt: noPay,
				deduction_amt: deduction_amt,
				delivery_status: draftVM.deliveryStatus,
				delivery_type: draftVM.deliveryType,
				delivery_date: draftVM.deliveryDate,
				changeinteral:saveIntegral,
				discount:draftVM.dkNumber, //抵扣金额
				other_cost_purchase:draftVM.expenseDegression || 0, //费用成本
				other_cost_name:draftVM.expenseName, //费用名称
				other_cost_price:draftVM.expense || 0, //费用
				other_id:draftVM.expenseId, //费用id
			}
			let printData = formDataProductCopy(data,draftVM.productCopyAdd,true,false)
            createOrder(data, function (orderId, orderSN,logisticsNumber,deliveryCompanyStr) {
				mui.ajax(severUrl + "sso/company/qry.json", {
					data: {
						id: ""
					},
					headers: {
						'Content-Type': 'application/x-www-form-urlencoded'
					},
					xhrFields: {
						withCredentials: true
					},
					dataType: 'json',
					type: 'post',
					timeout: 10000,
					success: function (res) {
						if (res.data.status == 1) {
							data = printData
							mui.each(draftVM.allUserList,function(i,v){
								if(data.creater_id == v.id){
									return data.real_name=v.realname //销售员
								}
							})
							mui.each(draftVM.accountList,function(i,v){
								if(draftVM.pay_status == v.type){
									return data.account_name = v.name
								}
							})
							//打印新增参数
                            data.realname = draftVM.realname;
							if(dikou_amt){
								data.truePay = draftVM.truePay - (data.deduction_amt || 0);
                            }else{
								data.truePay = draftVM.truePay;
							}
							draftVM.getIntegral();
							var saveIntegral='';
							if(draftVM.jifenKT !=1 || sessionStorage.getItem('defaultCustomer') == draftVM.selectedSupplier){
								draftVM.customerAddIntegral='';
								saveIntegral = ''
							}else{
								saveIntegral=parseInt(draftVM.customerAddIntegral - draftVM.cgUseIntegral)
							}
							//销售草稿开单数据添加
							data.head_name = draftVM.head_name; //登陆者
							data.depot_name = draftVM.depotName;
							data.customer_name = draftVM.buyerName;
							data.company_name = localStorage.getItem("companyName");
							data.telePhone = draftVM.telePhone;
							data.color_show = draftVM.color_show; //全行业参数
							data.size_show = draftVM.size_show; //全行业参数
							data.unit_show = draftVM.unit_show; //全行业参数
							data.origin_specification = draftVM.origin_specification; //全行业参数
							data.change_interal = saveIntegral!=""?saveIntegral:0;//本单积分
							data.integral = Number(draftVM.customerIntegral + saveIntegral); //总积分
							data.print_address = draftVM.consignee_address
							data.ordersn = orderSN
							data.logistics_number = logisticsNumber
							data.delivery_company_name = deliveryCompanyStr
							data.is_check_customer = draftVM.accountBalance === 'default'
							if(draftVM.accountBalance != 'default'){
								data.totalDebtAmt = numToCur(Number(draftVM.accountBalance) + Number(data.debt_amt) + Number(data.deduction_amt),draftVM.systemSetting.price_decimals_setting,'price')
							}
							sessionStorage.removeItem("selProductList");
							draftVM.selProductList = [];
							printData = JSON.stringify(data)
							$API.print.modifyPrintStatus({id: orderId}).catch(function(e){mui.toast('打印状态修改失败！')})
							if(mui.os.ios==true) {
								receiptPrint_i(printData,draftVM.purchaseManager);
							}else if (mui.os.android == true) {
								printBill(printData,draftVM.purchaseManager);
							}
							printBack()
						} else {
							$comm.showLimitPrint({rootPath:'./'})
							mui('.procurement').button('reset');
							$("button").css('pointer-events','auto');
							printBack()
						}
					}
				});
				function printBack(){
					setTimeout(function(){
						sessionStorage.removeItem("selProductList");
						localStorage.removeItem("selProductList");
						sessionStorage.removeItem("selectedDepot");
						sessionStorage.removeItem("selectedSupplier");
						sessionStorage.removeItem("selectedBuyer");
						sessionStorage.removeItem("createDate");
						sessionStorage.removeItem("remark");
						sessionStorage.removeItem("realname");
						sessionStorage.removeItem("product");
						sessionStorage.removeItem("moLing");
						localStorage.removeItem("AB_price");
						localStorage.setItem("productListPage","refresh");
						localStorage.setItem("pinProductListPage","refresh");
						localStorage.setItem("draftProductListPage","refresh");
						localStorage.setItem("pinDraftProductListPage","refresh");
						localStorage.setItem("cunInventoryListPage","refresh");
						localStorage.setItem("cunAlloctionListPage","refresh");
						draftVM.truePayFirst = true;
						//draftVM.truePay = 0;
						dikou_amt = false;
						openOrderToDraftList(draftId)
						mui(".pullReFresh").scroll().scrollTo(0,0,0);
						window.scrollTo(0,0);
					},500)
				}
            },true);
        }
}

mui('#mainDom').on('tap', '#pinHistoryOrder', function () {
	if ($("#printDiv").is(':visible')) {
		$("#printDiv").hide();
	} else {
		$("#printDiv").show();
	}
	document.getElementById("pinHistoryOrder").src="img/dayin2.png";
	setTimeout(function(){
		document.getElementById("pinHistoryOrder").src="img/dayin.png";
	},300);

	mui.ajax(severUrl + "sso/company/qry.json", {
		data: {
			id: ""
		},
		headers: {
			'Content-Type': 'application/x-www-form-urlencoded'
		},
		xhrFields: {
			withCredentials: true
		},
		dataType: 'json',
		type: 'post',
		timeout: 10000,
		success: function(res) {
			draftVM.print_status = res.data.status;
		}
	});
})
// 票据打印
mui('#printDiv').on('tap', '#printBill', function() {
	if (draftVM.print_status == 1) {
		$("#printDiv").hide();
		mui.ajax(severUrl + "crm/customer/qryOp.json", {
				data: {
					id:draftVM.selectedSupplier
				},
				headers: {
					'Content-Type': 'application/x-www-form-urlencoded'
				},
				xhrFields: {
					withCredentials: true
				},
				dataType: 'json',
				type: 'post',
				timeout: 10000,
				success: function (res) {
					var customerIntegral=Number(res.data.customer.integral);
					var productList = [],data = [];
					mui.each(draftVM.selProductList, function (index, product) {
						//不区分仓库
						// if (product.depot_id == draftVM.selectedDepot) {
						mui.each(product.list, function (index2, value) {
							var checkType;
							// draftVM.vipLevel == 1?checkType = value.next_used:checkType =value.count;
							checkType = value.count;
							if(checkType && checkType != 0) {
								productList.push({
									product_id: product.product_id,
									product_model: product.model,
									product_name:product.name,
									product_sn_list:value.product_sn_list || [],
									barcode:value.barcode,
									type: value.ordertype,
									purchase_price: product.purchase_price,
									sale_price: Number(product.amt) / (product.unitChooseRatio || 1),
									amt: Number(product.amt) / (product.unitChooseRatio || 1),
									color_id: value.color_id,
									color_name: value.color_name,
									size_id: value.size_id,
									size_name: value.size_name,
									amount: checkType,
									unitChooseId: product.unitChooseId,
									unitChooseName: product.unitChooseName,
									unitChooseRatio: Number(product.unitChooseRatio) || null,
									op_id: value.op_id || '',
									parent_op_id: value.parent_op_id || '',
									__id__:value.__id__,
									__pid__:value.__pid__,
									__can_use_amount__: Number(numToCur($comm.subtract(value.amount,value.used_amount) * (product.unitChooseRatio || 1),draftVM.systemSetting.amount_decimals_setting)),
									remark: value.remark
								});
							}
						})
					});
					//总成本金额计算
					var purchase_amt = 0;
					mui.each(productList, function (index, val) {
						purchase_amt += (val.amount * val.purchase_price);
					})

					if (purchase_amt >= 0) {
						purchase_amt = purchase_amt;
					} else {
						purchase_amt = purchase_amt;
						if (purchase_amt > 0) {
							purchase_amt = -purchase_amt;
						}
					}
					var date = new Date(),time = '';
					var creatTime = date.getFullYear() + "-" + ((date.getMonth() + 1) < 10 ? ('0' + (date.getMonth() + 1)) : (date.getMonth() + 1)) + "-" + (date.getDate() < 10 ? ("0" + date.getDate()) : date.getDate());
					//var time = draftVM.createDate + " " + (date.getHours() < 10 ? ("0" + date.getHours()) : date.getHours()) + ":" + (date.getMinutes() < 10 ? ("0" + date.getMinutes()) : date.getMinutes()) + ":" + (date.getSeconds() < 10 ? ("0" + date.getSeconds()) : date.getSeconds());
					if(draftVM.orderTimeModify){
						time = draftVM.createDate + " " + (date.getHours() < 10 ? ("0" + date.getHours()) : date.getHours()) + ":" + (date.getMinutes() < 10 ? ("0" + date.getMinutes()) : date.getMinutes()) + ":" + (date.getSeconds() < 10 ? ("0" + date.getSeconds()) : date.getSeconds());
					}else {
						if(draftVM.draftDate){
							time=draftVM.draftDate
						}else{
							time = creatTime + " " + (date.getHours() < 10 ? ("0" + date.getHours()) : date.getHours()) + ":" + (date.getMinutes() < 10 ? ("0" + date.getMinutes()) : date.getMinutes()) + ":" + (date.getSeconds() < 10 ? ("0" + date.getSeconds()) : date.getSeconds());
						}
					}
					var draftId = sessionStorage.getItem("draftId");
					// var saveIntegral='';
					// if(draftVM.jifenKT !=1 || sessionStorage.getItem('defaultCustomer') == draftVM.selectedSupplier){
					// 	draftVM.customerAddIntegral='';
					// 	saveIntegral = ''
					// }else{
					// 	saveIntegral=parseInt(draftVM.customerAddIntegral - draftVM.cgUseIntegral)
					// }
					var productListToSend = productList;
					mui.each(productListToSend, function (index, val) {
						if(val.unitChooseRatio != undefined && val.unitChooseRatio !=''){
							val.amount = Number(val.amount * val.unitChooseRatio)
						}
					});

					var logistics_number = '';
					if(draftVM.deliveryType !=0){
						logistics_number = draftVM.draft_logistics_number
					}else{
						logistics_number = ''
					}
					var debt_status = 0;
					if (draftVM.noPay == draftVM.totalPrice) {
						debt_status = 0;
					} else if (draftVM.noPay == 0) {
						debt_status = 2;
					} else {
						debt_status = 1;
					}
					var account_name = ''
					draftVM.accountList.forEach(function(v){
						if(v.id == draftVM.account_id){
							account_name = v.name
						}
					})
					data = {
						draft_order_id:draftId,
						creater_id: draftVM.orderUserId || '',
						remark: draftVM.remark,
						sign_date: time,
						customer_id: draftVM.selectedSupplier || '',
						depot_id: draftVM.selectedDepot || '',
						rebate_amt: draftVM.moLing,
						order_amt: draftVM.totalPrice,
						purchase_amt: purchase_amt,
						amount: draftVM.totalAmount,
						ordertype: 1,
						submit_status: 0,
						logistics_number:logistics_number, //快递单号
						consignee_address:draftVM.consignee_address, //快递单号
						productlistlength: productListToSend.length,
						pay_status: draftVM.pay_status,
						// account_id:draftVM.account_id,
						// account_name:draftVM.account_name,
						account_id:'',
						account_name:'',
						order_flag: draftVM.order_flag,
						productlist: productListToSend,
						debt_status: debt_status,
						debt_amt: 0,
						org_debt_amt: 0,
						deduction_amt: 0,
						delivery_status: draftVM.deliveryStatus,
						delivery_type: draftVM.deliveryType,
						delivery_date: draftVM.deliveryDate,
						changeinteral:0,
						// discount:draftVM.dkNumber || 0, //抵扣金额
						// other_cost_purchase:draftVM.expenseDegression || 0, //费用成本
						// other_cost_name:draftVM.expenseName, //费用名称
						// other_cost_price:draftVM.expense || 0, //费用
						// other_id:draftVM.expenseId, //费用id
						discount:0, //抵扣金额
						other_cost_purchase:0, //费用成本
						other_cost_name:'', //费用名称
						other_cost_price:0, //费用
						other_id:'', //费用id
					}
					let printData = formDataProductCopy(data,draftVM.productCopyAdd,true,false)
					data = printData
					mui.each(draftVM.allUserList,function(i,v){
						if(data.creater_id == v.id){
							return data.real_name=v.realname //销售员
						}
					})
					//打印新增参数
					data.realname = draftVM.realname;
					// data.truePay = draftVM.truePay;
					data.truePay = 0;
					draftVM.customerAddIntegral = 0;
					//销售草稿开单数据添加
					data.head_name = draftVM.head_name; //登陆者
					data.depot_name = draftVM.depotName;
					data.customer_name = draftVM.buyerName;
					data.company_name = localStorage.getItem("companyName");
					data.telePhone = draftVM.telePhone;
					data.color_show = draftVM.color_show; //全行业参数
					data.size_show = draftVM.size_show; //全行业参数
					data.unit_show = draftVM.unit_show; //全行业参数
					data.origin_specification = draftVM.origin_specification; //全行业参数
					data.change_interal = 0;//本单积分
					data.integral = Number(customerIntegral); //总积分
					data.print_address = draftVM.consignee_address

					data.ordersn = Draft.ordersn
					data.logistics_number = draftVM.draft_logistics_number
					let deliveryCompany = draftVM.deliveryCompanyList.find(function(i){
						return i.delivery_company === Draft.delivery_company
					})
					data.delivery_company_name = deliveryCompany ? deliveryCompany.name : ''
					data.is_check_customer = draftVM.accountBalance === 'default'

					if(draftVM.accountBalance != 'default'){
						data.totalDebtAmt = numToCur(draftVM.accountBalance,draftVM.systemSetting.price_decimals_setting,'price')
					}
					printData = JSON.stringify(data)
					if(mui.os.ios==true) {
						receiptPrint_i(printData,draftVM.purchaseManager);
					}else if (mui.os.android == true) {
						printBill(printData,draftVM.purchaseManager);
					}
				}
		})
	} else {
		$("#printDiv").hide();
		$comm.showLimitPrint({rootPath:'./'})

	}
});


mui('#printDiv').on('tap', '#printBarcode', function() {
	$("#printDiv").hide();
	console.log(draftVM.selProductList)
	if (draftVM.print_status == 1) {
		var draftId=sessionStorage.getItem("draftId")
		if (draftVM.vipLevel == 1 && draftVM.systemSetting.sn_setting == 1) {
			var list=[]
			draftVM.selProductList.forEach(function(pro){
				pro.list.forEach(function(item){
					list.push({
						id:draftId,
						color_id: item.color_id,
						color_name: item.color_name,
						material:pro.material,
						product_model: pro.model,
						product_name: pro.name,
						product_id:pro.product_id,
						product_sn_list:item.product_sn_list,
						sale_price_a:pro.sale_price_a,
						sale_price_b:pro.sale_price_b,
						size_id:item.size_id,
						size_name:item.size_name,
						type:item.ordertype
					})
				})
			})
			var listSend = {
				model: list[0].product_model,
				name: list[0].product_name,
				print_list: list,
				parentPage: 'item_print'
			};
			viewHandle.openWindow("sns_print.html", "sns_print.html", JSON.stringify(listSend))
		} else {
			viewHandle.waiting("数据查询中请稍后...")
			mui.ajax(severUrl + "scm/order/qryOpWithBarcode.json", {
				data: {
					id: draftId
				},
				headers: {
					'Content-Type': 'application/x-www-form-urlencoded'
				},
				xhrFields: {
					withCredentials: true
				},
				dataType: 'json',
				type: 'post',
				timeout: 10000,
				success: function(res) {
					var list = res.data.productlist;
					var checkedList = [],
						qry_id = [],
						qry_index = 0,
						qry_list = [];
					mui.each(list, function(i, v) {
						if (!qry_id.includes(v.product_id)) {
							qry_id.push(v.product_id)
						}
					})
					if (qry_id.length > 0) {
						if (qry_id.length > 10) {
							viewHandle.close();
							viewHandle.waiting("数据较多请等待...")
						}
						grt_productotherattr()
					}
					function grt_productotherattr() {
						mui.ajax(severUrl + "scm/productotherattr/qryOp.json", {
							data: {
								product_id: qry_id[qry_index]
							},
							headers: {
								'Content-Type': 'application/x-www-form-urlencoded'
							},
							xhrFields: {
								withCredentials: true
							},
							dataType: 'json', //服务器返回json格式数据
							type: 'post', //HTTP请求类型
							timeout: 10000, //超时时间设置为10秒；
							success: function(res) {
								if (qry_index < qry_id.length) {
									qry_list.push({
										product_id: qry_id[qry_index],
										otherAttrList: res.data
									})
									if (qry_index == qry_id.length - 1) {
										viewHandle.close();
										mui.each(list, function(i, v) {
											mui.each(qry_list, function(k, n) {
												if (v.product_id == n.product_id) {
													checkedList.push({
														"barcode": list[i].barcode,
														"color": list[i].color_name,
														"color_id": list[i].color_id,
														"index": i + "",
														"product_id": n.product_id,
														"model": list[i].product_model,
														"name": list[i].product_name,
														"num": Number(list[i].amount).toFixed(0),
														"size": list[i].size_name,
														"size_id": list[i].size_id,
														"material": list[i].material,
														"otherAttrList": n.otherAttrList,
														"sale_price": list[i].sale_price_a,
														"sale_price_a": list[i].sale_price_a,
														"sale_price_b": list[i].sale_price_b,
														'keyList': keyList
													});
													return false
												}
											})
										})
										var k = 0;
										var msg = "";
										for (var j = 0; j < checkedList.length; j++) {
											if (checkedList[j].barcode == "") {
												msg += "货号:" + checkedList[j].model + "  颜色:" + checkedList[j].color + "  尺码:" + checkedList[j].size +
													"\n";
												k++;
											}
											if (k > 17) {
												msg += "......\n"
												break;
											}
										}
										msg += "请前往商品信息页面设置\n";
										sessionStorage.setItem("checkedList", JSON.stringify(checkedList));
										if (k != 0) {
											mui.alert(msg, '还有商品未设置条码', function() {}, 'div');
											$("#printDiv").hide();
										} else {
											var listSend = {};
											listSend.checkedList = checkedList;
											viewHandle.openWindow('printCode.html', 'printCode.html', JSON.stringify(listSend));
										}
									} else {
										qry_index++;
										grt_productotherattr()
									}
								}
							}
						});
					}
				}
			});
		}
	} else {
		$("#printDiv").hide();
		$comm.showLimitPrint({rootPath:'./'})
	}
});


mui('.mui-bar').on('tap', '.back-cg', function(){
	localStorage.removeItem('draftInfo')
	localStorage.removeItem('orderRemarkTempImg')
	$comm.getRemarkHeightLight()
	clearPageStorage()
	viewHandle.back("close")
	localStorage.setItem('selProductListType', 'null')
});
mui.plusReady(function(){
	plus.webview.currentWebview().addEventListener("close",function (){
		localStorage.removeItem('draftInfo')
		localStorage.removeItem('orderRemarkTempImg')
		$comm.getRemarkHeightLight()
		clearPageStorage()
	},false);
})
function clearPageStorage(){
	localStorage.removeItem("AB_price");
	localStorage.removeItem("selProductList");
}
//查询账户信息
/**
 * asc
 * @param {*} propertyName
 */
function ascCompare(propertyName) {
	return function (object1, object2) {
		var value1 = object1[propertyName];
		var value2 = object2[propertyName];
		if (value2 > value1) {
			return -1;
		} else if (value2 < value1) {
			return 1;
		} else {
			return 0;
		}
	}
}
function getAccountList(){
	mui.ajax(severUrl + "fa/account/list.json", {
		data: {
		},
		headers: {
			'Content-Type': 'application/x-www-form-urlencoded'
		},
		xhrFields: {
			withCredentials: true
		},
		dataType: 'json',
		type: 'post',
		timeout: 10000,
		success: function (res) {
			if(res.success){
				draftVM.accountList = res.data;
				var type = draftVM.pay_status || draftVM.accountList[0].type;
				mui.each(draftVM.accountList,function(i,v){
				    if(v.type == type){
						draftVM.pay_status = type;
						draftVM.account_id = v.id;
						return false
					}
				})
				draftVM.accountList.sort(ascCompare("type"));
			}
		}
	});
}

function qryCustomerById(){
	mui.ajax(severUrl + "crm/customer/qryOp.json", {
		data: {
			id:draftVM.selectedSupplier
		},
		headers: {
			'Content-Type': 'application/x-www-form-urlencoded'
		},
		xhrFields: {
			withCredentials: true
		},
		dataType: 'json',
		type: 'post',
		timeout: 10000,
		success: function (res) {
			kaidanShowQuery.list[0] = 1
			closeKaidanShowQuery()
			draftVM.customerIntegral=Number(res.data.customer.integral);
			jifenkaitong();
			dixiankaitong();
		},
		error(){
			kaidanShowQuery.list[0] = 2
			closeKaidanShowQuery()
		}
	});
}
function jifenkaitong(){
	mui.ajax(severUrl + "crm/integraladdrule/qryOp.json", {
		data : {

		},
		headers : {
			'Content-Type' : 'application/x-www-form-urlencoded'
		},
		xhrFields : {
			withCredentials : true
		},
		dataType : 'json',
		type : 'post',
		timeout : 10000,
		success : function(res) {
			kaidanShowQuery.list[1] = 1
			closeKaidanShowQuery()
			if(res.success){
				if(res.data.status ==1){
					$(".selChangePopDiv").eq(0).css('height','304px');
					draftVM.jifenKT = 1;
					draftVM.increase_bonus=res.data.increase_bonus;
					draftVM.cost_money_unit=res.data.cost_money_unit;
					// draftVM.jifenRule = Number(res.data.increase_bonus/res.data.cost_money_unit).toFixed(2);
					draftVM.getIntegral();
					if(draftVM.vipLevel == 1){
						draftVM.vipCalculation();
					}else{
						draftVM.calculation();
					}
				}else{
					$(".selChangePopDiv").eq(0).css('height','270px');
					draftVM.jifenKT=0
				}
			}else{
				$(".selChangePopDiv").eq(0).css('height','270px');
				draftVM.jifenKT=0
			}
		},
		error(){
			kaidanShowQuery.list[1] = 2
			closeKaidanShowQuery()
		}
	});
}
function dixiankaitong(){
	mui.ajax(severUrl + "crm/integralreducerule/qryOp.json", {
		data : {

		},
		headers : {
			'Content-Type' : 'application/x-www-form-urlencoded'
		},
		xhrFields : {
			withCredentials : true
		},
		dataType : 'json',
		type : 'post',
		timeout : 10000,
		success : function(res) {
			kaidanShowQuery.list[2] = 1
			closeKaidanShowQuery()
			if(res.success){
				if(res.data.status == 1){
					draftVM.dixianKT =1;
					draftVM.dxCost_money_unit = res.data.reduce_money;
					draftVM.dxIncrease_bonus = res.data.cost_bonus_unit;
				}else{
					draftVM.dixianKT =0
				}
			}else{
				draftVM.dixianKT =0
			}
		},
		error(){
			kaidanShowQuery.list[2] = 2
			closeKaidanShowQuery()
		}
	});
}
mui('.combined').on('tap','.boundOrder',function(){
	viewHandle.waiting("查询中...");
	mui.ajax(severUrl + "scm/order/qryOrderRelation.json", {
		data: {
			id: sessionStorage.draftId
		},
		headers: {
			'Content-Type': 'application/x-www-form-urlencoded'
		},
		xhrFields: {
			withCredentials: true
		},
		dataType: 'json',
		type: 'post',
		timeout: 10000,
		success: function (res) {
			viewHandle.close();
			if (res.status == 200) {
				if(res.data.dependentorder.length ==0){
					mui.toast("没有与之关联的销售单")
				}else{
					var listSend = {};
					listSend.orderType = 'in';
					listSend.searchHistoryList = res.data.dependentorder;
					viewHandle.openWindow('outboundOrder.html','outboundOrder.html',JSON.stringify(listSend));
				}
			}
		},
		error: function (XMLHttpRequest, textStatus, errorThrown) {
			viewHandle.close();
		}
	});
})
function vipOrderCheck(){
	var check = 0; // 0无法开单（已全部出库），1:可以开单但是没选择，2:正常
	mui.each(draftVM.selProductList,function(i,v){
		if(check == 2){
			return false
		}
	    mui.each(v.list,function(n,m){
	        if(numToCur(m.count - m.used_amount)>0){
				check = 1;
				if(m.next_used && m.next_used > 0){
					check = 2;
					return false
				}
			}
	    })
	})
	// 特殊单品
	let _check = 0
	for(let k in draftVM.productCopyAdd){
		if(_check === 2)break
		if(draftVM.productCopyAdd.hasOwnProperty(k)){
			mui.each(draftVM.productCopyAdd[k],function (i,v){
				if(v.count - v.used_amount > 0){
					_check = 1
					if(v.next_used && v.next_used > 0){
						_check = 2
						return false
					}
				}
			})
		}
	}
	if (check === 2 || _check === 2){
		return 2
	}
	if (check === 0 && _check === 0){
		return 0
	}
	return 1
}
let kaidanShowQuery = {
	loading: null,
	// 用户积分 积分规则 积分抵扣规则 null 未开始 1 加载完成 2 加载失败
	list: [null, null, null]
}
function closeKaidanShowQuery () {
	let error = 0
	let success = 0
	for (let i = 0; i < 3; i++) {
		if(kaidanShowQuery.list[i] === 1){
			success++
		}
		if(kaidanShowQuery.list[i] === 2){
			error++
		}
	}
	if(success === 3){
		kaidanShowQuery.loading.close()
	}
	if(error !== 0) {
		kaidanShowQuery.loading.close()
		draftVM.moLing = 0;
		draftVM.dkNumber = 0;
		draftVM.editTotalPrice = draftVM.totalPrice;
		draftVM.truePayFirst = true;
		$(".dkSpan").hide();
		mui('#purchase').popover('toggle');
	}
}
function kaidanShow(){
	if (draftVM.selProductList.length == 0) {
		mui.toast('请选择商品');
		return;
	}
	getAccountList();
	//查询客户积分详情
	if(sessionStorage.getItem('defaultCustomer') != draftVM.selectedSupplier){
		draftVM.dkNumber=0;
		kaidanShowQuery.loading = viewHandle.loading('加载中..')
		kaidanShowQuery.list = [null, null, null]
		qryCustomerById();
	}else{
		draftVM.jifenKT = 0;
		draftVM.dixianKT = 2;
		$(".selChangePopDiv").eq(0).css('height','270px')
	}
	mui('#purchase').popover('toggle');
}
mui('#vipDom').on('tap','.vipBack',function(){
	mui("#mainDom")[0].style.display = 'block';
	mui("#vipDom")[0].style.display = 'none';
})
mui('#vipDom').on('tap','.vipOrderSave',function(){
	//0 1 2
	var checkType = vipOrderCheck();
	console.log(checkType)
	if(checkType == 0){
		mui.toast("该订单已全部出库");
		return false
	}
	if(checkType == 1){
		mui.toast("请选择需要出库的商品");
		return false
	}
	mui("#mainDom")[0].style.display = 'block';
	mui("#vipDom")[0].style.display = 'none';
	draftVM.vipCalculation();
	kaidanShow()
})
function getById(id){
	mui.ajax(severUrl + "crm/customer/qryOpSimple.json", {
		data: {
			id:id
		},
		headers: {
			'Content-Type': 'application/x-www-form-urlencoded'
		},
		xhrFields: {
			withCredentials: true
		},
		dataType: 'json',
		type: 'post',
		timeout: 10000,
		success: function(res) {
			if(res.success){
				var customer = res.data.customer;
				draftVM.selectedSupplier = id;
				draftVM.buyerName = customer.name;
				draftVM.telePhone = customer.telephone;
				customerDefault = {
					id: id,
					name: customer.name,
					telePhone: customer.telephone
				}
				customer.checked != 1?draftVM.accountBalance = numToCur(customer.arrears,draftVM.systemSetting.price_decimals_setting,'price'):draftVM.accountBalance = 'default';
				if(draftVM.consignee_address !=''){
					return false
				}
				if(customer.checked != 1){
					if(draftVM.deliveryType !=3){
						draftVM.consignee_address = customer.name;
						if(customer.telephone){
							draftVM.consignee_address +=','+customer.telephone
						}
						if(customer.address){
							draftVM.consignee_address +=','+customer.address
						}
					}else{
						draftVM.consignee_address = customer.address
					}
				}else{
					draftVM.consignee_address = '';
				}
			}else{
				draftVM.selectedSupplier = '';
			}
		}
	});
}
/*点击搜索用户*/
mui("#userPopover").on('tap', '.itemUser', function () {
	mui('.buyerName')[0].blur();
	var name=this.dataset.name;
	var debtAmt=this.dataset.debtamt;
	if(this.dataset.id != draftVM.selectedSupplier){
		if($(".selProductMenu li").length >0 && (draftVM.systemSetting.lastAmt_setting === 1 || draftVM.systemSetting.customer_category_price === 1)){
			var btn = ["取消","确定"];
			mui.confirm('客户发生改变，是否修改商品价格', '提示',btn, function (e) {
				if (e.index === 1) {
					var user = '',type = 1;
					if(draftVM.selectedSupplier != sessionStorage.getItem('defaultCustomer')){
						user = draftVM.selectedSupplier;
						type = 0
					}
					var AB_price=JSON.parse(localStorage.getItem("AB_price")) || [];
					viewHandle.waiting("价格切换中请稍后......");
					var product_ids = [];
					mui.each(draftVM.selProductList,function(i,v){
						product_ids.push("'"+v.product_id+"'")
					});
					if(product_ids.length >0){
						let data = {
							"product_ids": product_ids.toString(),
							"customer_id": user,
							"is_default": type,
							"depot_id": draftVM.selectedDepot
						}
						if(draftVM.systemSetting.customer_category_price === 1){ // 客户分类价格
							data.ordertype = 1
							data.type = 0
						}
						$API.product.qryOpByIdProduct(data).then(function(res){

							mui.each(draftVM.selProductList,function(i,v){
								mui.each(res.data,function(j,k){
									if(v.product_id == k.id){
										var price = k.last_amt?k.last_amt:k.sale_price
										if(draftVM.systemSetting.customer_category_price === 1){ // 客户分类价格
											price =  k.customer_category_price || k.sale_price
										}
										v.amt = numToCur(price * (v.unitChooseRatio || 1),draftVM.systemSetting.price_decimals_setting,'price');
										v.sale_price = numToCur(price * (v.unitChooseRatio || 1),draftVM.systemSetting.price_decimals_setting,'price');
										mui.each(AB_price,function(index,value){
											if(value.product_id == k.id && value.depot_id == draftVM.selectedDepot){
												value.AB_price=numToCur(price * (v.unitChooseRatio || 1),draftVM.systemSetting.price_decimals_setting,'price');
												return false;
											}
										});
										return false;
									}
								})
							})

							draftVM.calculation();
							viewHandle.close()
							localStorage.setItem("AB_price",JSON.stringify(AB_price));
							localStorage.setItem('selProductList',JSON.stringify(draftVM.selProductList));
					})
				}
				}
			},'div')
		}
	}
	draftVM.selectedSupplier = this.dataset.id;
	mui.each(draftVM.userList,function(i,v){
		if(v.id == draftVM.selectedSupplier){
			draftVM.buyerName = v.name;
			draftVM.telePhone = v.telephone;
			if(v.checked != 1){
				if(draftVM.deliveryType !=0){
					if(draftVM.deliveryType !=3){
						draftVM.consignee_address = v.name;
						if(v.telephone){
							draftVM.consignee_address +=','+v.telephone
						}
						if(v.address){
							draftVM.consignee_address +=','+v.address
						}
					}else{
						draftVM.consignee_address = v.address
					}
				}else{
					draftVM.consignee_address = ''
				}
				draftVM.accountBalance = numToCur(v.arrears,draftVM.systemSetting.price_decimals_setting,'price');
			}else{
				draftVM.consignee_address = '';
				draftVM.accountBalance = 'default'
			}
			return false;
		}
	});
	draftVM.userList=[];
	mui("#userPopover").popover("hide");
	$("#hideUserPopover").css('display','none');
});



/**
 * 拼装copy单品数据
 * @param data 正常商品原始的data
 * @param dataProductCopy 特殊商品数据
 * @param isPrint 用于打印？
 * @param isOpenOrderByDraft 用于订单开单？
 * @return {boolean|*} data 或 错误
 */
function formDataProductCopy(data, dataProductCopy, isPrint, isOpenOrderByDraft){
	data = JSON.parse(JSON.stringify(data))
	dataProductCopy = JSON.parse(JSON.stringify(dataProductCopy))
	let reDatalist = []
	let count = 0
	let i = 0
	if(isOpenOrderByDraft && draftVM.vipLevel == 1){
		// 判断特殊商品有无父级
		let err = ''
		for(let k in dataProductCopy){
			if(dataProductCopy.hasOwnProperty(k)){
				if(err)break
				dataProductCopy[k].forEach(function(copyItem){
					if(err)return
					if(copyItem.next_used){
						if(data.productlist.find(function(item){return item.__id__ === copyItem.__pid__})){

						}else{
							err = '特殊商品:'+ copyItem.name +';颜色：'+copyItem.color_name +';规格：'+copyItem.size_name+ ';没有主商品！'
						}
					}
				})
			}
		}
		if(err){
			mui.toast(err)
			return false
		}
	}
	let errMsg
	data.productlist.forEach(function(item){
		if(errMsg)return
		let key = item.__id__
		item.op_id_ = key
		item.description = item.remark || ''
		reDatalist.push(item)
		let copyItemList = dataProductCopy[key] || []

		// 验证主商品全部出库子商品未全部出库的情况 高级版
		if(isOpenOrderByDraft && draftVM.vipLevel == 1){
			// 如果当前商品全部出库 则判断是否有当前商品下的特殊商品 未全部出库
			if(item.__can_use_amount__ <= item.amount && item.amount){ //全部出库
				copyItemList.forEach(function(i){
					let next_used = Number(i.next_used||'0') // 本次出库
					let can_use_amount = $comm.subtract(i.count, i.used_amount) //可以出库数量
					if(can_use_amount !== 0 && next_used !== can_use_amount){
						errMsg = '商品:'+item.product_name+ '颜色：'+item.color_name +';规格：'+item.size_name+ ';下有特殊商品未全部出库'
					}
				})
			}
		}

		copyItemList.forEach(function(copyItemListItem){
			if(isOpenOrderByDraft && (!copyItemListItem.next_used && draftVM.vipLevel == 1)){
				return
			}
			let span = isPrint? '(' + (++i) +')' : ''
			let row = {
				amount: Number((isOpenOrderByDraft && draftVM.vipLevel == 1 ? copyItemListItem.next_used : copyItemListItem.count) * (copyItemListItem.unitChooseRatio || 1)),
				amt: Number(copyItemListItem.price / (copyItemListItem.unitChooseRatio || 1)),
				barcode: item.barcode,
				color_id: copyItemListItem.color_id,
				color_name: copyItemListItem.color_name,
				product_id: copyItemListItem.id + span,
				product_model: copyItemListItem.model + span,
				product_name: copyItemListItem.name + span,
				product_sn_list: isOpenOrderByDraft && draftVM.vipLevel == 1 ? copyItemListItem.product_sn_list_vip : get_product_sn_list(copyItemListItem),
				purchase_price: copyItemListItem.purchase_price || item.purchase_price, // 采购价
				sale_price: item.sale_price,
				size_id: copyItemListItem.size_id,
				size_name: copyItemListItem.size_name,
				type: copyItemListItem.type,
				unitChooseId: copyItemListItem.unitChooseId ||'',
				unitChooseName: copyItemListItem.unitChooseName ||'',
				unitChooseRatio: Number(copyItemListItem.unitChooseRatio) || null,
				unitMinName: copyItemListItem.unitMinName ||'',
				is_extra: 1 // 1 copy单品的数据
			}
			row.op_id_ = key
			row.op_id = copyItemListItem.op_id || ''
			row.parent_op_id = copyItemListItem.parent_op_id || row.op_id_ ||''
			row.description = copyItemListItem.remark || ''
			reDatalist.push(row)
			count++
		})
	})

	if(errMsg){
		mui.toast(errMsg)
		return false
	}
	reDatalist.forEach(function(i){
		delete i.__id__
		delete i.__pid__
		delete i.__can_use_amount__
		delete i.remark
		delete i.isRemarkShow
	})
	data.productlist = reDatalist
	data.productlistlength += count
	data.purchase_amt = getPurchase_amt(data.productlist)
	return data
}
// 计算总成本
function getPurchase_amt(productlist){
	let purchase_amt = 0
	productlist.map(function (item){
		purchase_amt += (item.amount * item.purchase_price);
	})
	return purchase_amt
}
// 排除调在old 中存在的 sns
function get_product_sn_list(value) {
	if(value.product_sn_list && Array.isArray(value.product_sn_list)){
		return value.product_sn_list.filter(function(item){
			// 排除调在old 中存在的 sns
			return value.product_sn_list_old?!value.product_sn_list_old.includes(item):true
		}) || []
	}else{
		return []
	}
}

/**
 * 重置修改状态
 * @param key? 指定重置
 */
function resetChangeStatus(key){
	if(key){
		draftVM[key] = false
	}else{
		draftVM.isChangeDraft = false
		draftVM.orderTimeModify = false
	}
}

$comm.addKeyboardEventListenerAndroid(function(type){
	if(type === 'hide'){
		draftVM.$refs.productScroll.style.position = 'absolute'
	}else{
		draftVM.$refs.productScroll.style.position = 'static'
	}
})

// 扫码返回商品
function fn_result (json) {
	const topPage = plus.webview.getTopWebview();
	if (topPage && topPage.id !== pageId) {
		return false
	}
	const e = JSON.parse(json)
	debugger

	e.forEach(function(v) {
		v.product_id = v.id
		v.type = Number(draftVM.vipLevel) && Number(draftVM.systemSetting.sn_setting) ? v.list[0].type : draftVM.currentInnerPage
		v.list.forEach(function(item){
			item.product_id=v.id
			item.type = v.type
			item.__id__ = productListIdUtil.getNext()
			item.ordertype = v.type
		})
	})

	if ( draftVM.selProductList.length === 0){

	}

	//处理序列号 将list中的序列号列表 转换为商品下 product_sn_list 中的sn
	if (draftVM.vipLevel === '1' && draftVM.systemSetting.sn_setting === 1) {
		for (let i = 0; i < e.length; i++) {
			let list = e[i].list// 当前商品的单品列表
			//找出不同类型单品的数据
			let rootList = []
			for (let j = 0; j < list.length; j++) {
				let productItem = list[j]
				if (rootList.length) {
					if(productItem.product_sn){
						rootList[0].product_sn_list.push(productItem.product_sn)
					}
					if(productItem.barcode){
						rootList[0].barcode =productItem.barcode
					}
					rootList[0].count += productItem.count
					rootList[0].inventoryTotal += productItem.inventoryTotal
				} else {
					let productInfo = JSON.parse(JSON.stringify(productItem))
					if(productItem.product_sn){
						productInfo.product_sn_list = [productInfo.product_sn]
					}else{
						productInfo.product_sn_list = []
					}
					delete productInfo.product_sn
					rootList.push(productInfo)
				}
			}
			e[i].list = rootList
		}
	}

	//draftVM.selProductList无数据时处理
	if (!draftVM.selProductList || draftVM.selProductList.length === 0) {
		draftVM.selProductLis = [];
		for (let r = 0; r < e.length; r++) {
			let isExist = false;
			for (let j = 0; j < draftVM.selProductList.length; j++) {
				if (draftVM.selProductList[j].depot_id === e[r].depot_id && draftVM.selProductList[j].id === e[r].id) {
					draftVM.selProductList[j].list.push(e[r].list[0])
					isExist = true;
					break;
				}
			}
			if (!isExist) {
				draftVM.selProductList.push(e[r])
			}
		}

	} else {
		// 存在商品列表
		let newRes = [];
		for (let i = 0, len = draftVM.selProductList.length; i < len; i++) {
			for (let x = 0, xen = e.length; x < xen; x++) {
				let hasFindAndModify = false;
				let mayNeedAdd = false;
				//draftVM.selProductList有数据但list因为删除后长度为0的情况
				if ((draftVM.selProductList[i].list == null || draftVM.selProductList[i].list.length === 0) &&
					draftVM.selProductList[i].id === e[x].id &&
					draftVM.selProductList[i].depot_id === e[x].depot_id
				) {
					draftVM.selProductList[i].list.push(e[x].list[0]);
					newRes.push(x)
				} else {
					let count = 0
					for (let j = 0, jen = draftVM.selProductList[i].list.length; j < jen; j++) {
						//draftVM.selProductList有数据且list删除后长度不为0且可以匹配到商品
						if (draftVM.selProductList[i].id === e[x].id &&
							draftVM.selProductList[i].depot_id === e[x].depot_id &&
							draftVM.selProductList[i].list[j].size_id === e[x].list[0].size_id &&
							draftVM.selProductList[i].list[j].color_id === e[x].list[0].color_id &&
							draftVM.selProductList[i].type === e[x].list[0].type
						) {
							count = Number(draftVM.selProductList[i].list[j].count) + Number(e[x].list[0].count);
							draftVM.selProductList[i].list[j].sale_price = e[x].sale_price;
							draftVM.selProductList[i].list[j].amt = e[x].sale_price;

							if(!draftVM.selProductList[i].list[j].__id__){
								draftVM.selProductList[i].list[j].__id__ = e[x].list.find(function (i){
									let target = draftVM.selProductList[i].list[j]
									return i.color_id === target.color_id && i.size_id === target.size_id && i.product_id === target.product_id
								}).__id__
							}
							//处理序列号
							if (draftVM.vipLevel === '1' && draftVM.systemSetting.sn_setting === 1) {
								let product_sn_list = []
								// debugger
								if (draftVM.selProductList[i].list[j].product_sn_list && draftVM.selProductList[i].list[j].product_sn_list.length) {
									//数组去重
									product_sn_list = _.union(e[x].list[0].product_sn_list, draftVM.selProductList[i].list[j].product_sn_list)
									var identicalList = _.intersection(e[x].list[0].product_sn_list, draftVM.selProductList[i].list[j].product_sn_list)
									mui.alert("序列号:" + identicalList.join("、") + "已被使用！", "提示", "确认", function() {}, 'div')
									if (identicalList.length) {
										count -= identicalList.length
									}
								} else {
									product_sn_list = e[x].list[0].product_sn_list
								}

								draftVM.selProductList[i].list[j].product_sn_list = product_sn_list
							}
							draftVM.selProductList[i].list[j].count = count;

							hasFindAndModify = true;
						} else if (draftVM.selProductList[i].id === e[x].id &&
							draftVM.selProductList[i].depot_id === e[x].depot_id &&
							draftVM.selProductList[i].type === e[x].list[0].type
						) {
							mayNeedAdd = true;
						}
					}
					if (hasFindAndModify) {
						newRes.push(x)
					} else if (mayNeedAdd) {
						draftVM.selProductList[i].list.push(e[x].list[0]);
						newRes.push(x)
					}
				}

			}
		}
		let res2 = [];
		for (let rs2 = 0; rs2 < e.length; rs2++) {
			let needADD = true;
			for (let m = 0; m < newRes.length; m++) {
				if (e[rs2] === e[newRes[m]]) {
					needADD = false;
					break;
				}
			}
			if (needADD) {
				res2.push(e[rs2]);
			}
		}

		for (let rs = 0; rs < res2.length; rs++) {
			draftVM.selProductList.push(res2[rs]);
		}
	}
	console.log(draftVM.selProductList)
	localStorage.setItem("selProductList", JSON.stringify(draftVM.selProductList));
	draftVM.calculation();
}
