var shares,flag = true,oneChangeRemark = true;
var buttonClick
Vue.filter("time-format", function(time) {
	var date = new Date(time.replace(/-/g, "/"));
	var newDate = date.getFullYear() + "年" + (date.getMonth() < 10 ? "0" + date.getMonth() : date.getMonth()) + "月" +
		date.getDate() + "日";
	return newDate;
});
var historyVM = new Vue({
	el: '#historyVM',
	data: {
		systemSetting:{
            sn_setting:0,
            pay_setting:0,
            amount_decimals_setting:2,
            price_decimals_setting:2,
            lastAmt_setting:1 //0:未启用， 1：启用  上次销售价
        },
		orderDetails: {
			order_amt: 0,
			rebate_amt: 0,
			discount: 0,
			other_cost_price: 0
		},
		depot_name: '',
		initRemarkValue: '',
		initOrderFlag: 0,
		historyId: '',
		productListXiao: [],
		productListTui: [],
		all_debt_amt: 0, //客户总欠款
		history_default: 0,
		delivery_status: 0,
		jifenKT: 0,
		vipLevel: localStorage.getItem("vipLevel"),
		increase_bonus: 0,
		cost_money_unit: 0,
		truePay: 0,
		debtAmt: 0,
		pay_status: 1, //支付类型 1 现金; 2 支付宝; 3 微信; 4 银行卡; 5 其他
		delivery_type_arr: ['自提', '快递', '物流', '送货'],
		sign_date: '',
		orderAmount: 0,
		//全行业参数
		size_show: localStorage.getItem("size_show") || 1,
		color_show: localStorage.getItem("color_show") || 1,
		unit_show: localStorage.getItem("unit_show") || 0,
		origin_specification: localStorage.getItem("origin_specification") || 0,
		logistics: '',
		consignee_address: '',
		//结算账户查询
		accountList: [],
		logistics_number: '',
        collectionList:[], //分批收款列表
		//权限相关
		positionName:false,
		stockManager:false,
		purchaseManager:false,
		companySetIndustry:true,
		labelPprinter:false,
		faAccount:true,
		is_advanced:0,
		company_name:'',
		company_id:'',
		user_id:'',
		jifenshow:false,
		bindDepot:-1,
		//--------------------
		deliveryCompanyList: [],
		deliveryCompany: '',
		orderRemarkImg:[],//单据图片
		// 还款历史
		repaymentHistoryList: []
	},
	watch: {
		orderDetails: function(){
			oneChangeRemark = true
		}
	},
	computed:{
		his_show:function(){
			var _this = this;
			return function(count,amount){
				if(_this.vipLevel == 1 && _this.systemSetting.sn_setting == 1){
					if(count != '' && count > 0&&count==amount){
						return '<span class="iconfont icon-tubiaozhizuomoban1111111 font-orange"></span>'
					}else{
						return '<span class="iconfont icon-tubiaozhizuomoban1111111 font-gray"></span>'
					}
				}else{
					return ''
				}
			}
		}
	},
	methods: {
		uploadPic:function (e){
			viewHandle.openWindow('view/uploadPic.html', 'uploadPic.html',{order_id:e});
		},
		initData:function(){
			Object.assign(this.$data,{
				size_show: localStorage.getItem("size_show") || 1,
				color_show: localStorage.getItem("color_show") || 1,
				unit_show: localStorage.getItem("unit_show") || 0,
				origin_specification: localStorage.getItem("origin_specification") || 0,
				logistics_number: sessionStorage.getItem("logistics_number") || '',
				logistics: sessionStorage.getItem("logistics") || '',
				vipLevel: localStorage.getItem("vipLevel")
			})
		},
		snsSet:function(item,e){
			// 点击序列号图标放大
			e.target.style.fontSize='18px'
			setTimeout(function(){
				e.target.style.fontSize='16px'
			},80)
			item.depot_id = historyVM.orderDetails.depot_id;
			item.customer_name = historyVM.orderDetails.customer_name;
			var listSend = {
				item:item,
				args:{
					parentPage:'xiao_his'
				}
			};
			viewHandle.openWindow("sns_set.html","sns_set.html",JSON.stringify(listSend))
		},
		bnsLook:function(item,e){
			e.target.style.fontSize='18px'
			setTimeout(function(){
				e.target.style.fontSize='16px'
			},80)
			item.depot_id = historyVM.orderDetails.depot_id;
			item.customer_name = historyVM.orderDetails.customer_name;
			var listSend = {
				item:item,
				args:{
					parentPage:'xiao_his'
				}
			};
			viewHandle.openWindow("bns_look.html","bns_look.html",JSON.stringify(listSend))
		},
		getPurview :function(){//获取权限
			var _this = this;
			mui.ajax(severUrl + "sso/user/qryOp.json", {
				data : {
					id : ''
				},
				headers : {
					'Content-Type' : 'application/x-www-form-urlencoded'
				},
				xhrFields : {
					withCredentials : true
				},
				dataType : 'json',
				type : 'post',
				timeout : 30000,
				async : false,
				success : function(res) {
					if (res.success) {
						// var position_name = res.data.position_name;
						_this.company_name = res.data.company_name;
						_this.company_id = res.data.company_id;
						_this.bindDepot = res.data.manage_depot_id;
						_this.user_id = res.data.id;
						var code = res.data.position,permission = code.permission;
						if(permission.indexOf('A11_1_O') >=0 || permission.indexOf('A11_1_E') >=0){
							_this.positionName = true
						}else{
							_this.positionName = false
						}
						permission.indexOf('A4_1_E') >=0?_this.stockManager = true:_this.stockManager = false;
						permission.indexOf('FA_ACC') >=0?_this.faAccount = true:_this.faAccount = false;
						permission.indexOf('LOOK_PURCHASE') >=0?_this.purchaseManager = true:_this.purchaseManager = false;
						permission.indexOf('ONLY_PRINT') >=0?_this.labelPprinter = true:_this.labelPprinter = false;
						'RFRk,eYVo,y0oa,mVbc,pqrB,pDAY,CCP2,Oo4T,LfTY'.indexOf(_this.company_id) >=0?_this.jifenshow = true:_this.jifenshow=false
						_this.companySetIndustry = res.data.company_set_industry;
					}

				}
			});
		},
		loadOrderInfo: function(historyId, cbFn) {
			if (!historyId) {
				return;
			}
			historyVM.historyId = historyId;
			viewHandle.waiting("单据查询中请稍后......");
			$API.order.queryOrderInfo({
				id: historyId,
				remark: ''
			}).then(function(res){
				plus.share.getServices(function(s) {
					shares = {};
					for (var i in s) {
						var t = s[i];
						shares[t.id] = t;
					}
				}, function(e) {
					console.log("获取分享服务列表失败：" + e.message);
				});
				historyVM.orderRemarkImg=res.data.orderpicture
				historyVM.orderRemarkImg.forEach((item)=>{
					item.temp=false
				})
				localStorage.setItem('orderRemarkTempImg',JSON.stringify(historyVM.orderRemarkImg))
				//获取备注图片
				$comm.getRemarkHeightLight()
				historyVM.orderDetails = res.data;
				if(historyVM.orderDetails.submit_status == 2){
					$("#revokeOrder").html('删除');
					$("#pinHistoryOrder").hide()
				}else{
					$("#revokeOrder").html('撤销');
					$("#pinHistoryOrder").show()
				}

				// 收款历史记录
				let repaymentHistoryList = res.data.customer_history_list || []

				repaymentHistoryList = repaymentHistoryList.filter(function(i){
					return i.receive !== false || i.receiveDiscount !== false //开单时的收款 不显示
				})

				historyVM.$set(historyVM, 'repaymentHistoryList', repaymentHistoryList)


				var collectionList = [],collection = [],timeList = [];
				// if(historyVM.orderDetails.relation_arrears !=''){
				// 	collection = historyVM.orderDetails.relation_arrears.split(";");
				// 	collection.forEach(function(v){
				// 		timeList = v.split(":");
				// 		if(timeList.length == 4){
				// 			collectionList.push(timeList)
				// 		}
				// 	})
				// }
				// 这是啥
				if(historyVM.orderDetails.relation_father_fa_order !=''){
					collection = historyVM.orderDetails.relation_father_fa_order.split(";");
					collection.forEach(function(v){
						timeList = v.split(":");
						if(timeList.length == 4){
							collectionList.push(timeList)
						}
					})
				}
				collectionList.sort(function (a, b) {
					return a[3] > b[3] ? -1 : 1;
				});
				collectionList.forEach(function(item){
					item.text = "收款："+ numToCur(item[1],historyVM.systemSetting.price_decimals_setting,'price')+"元 ("+item[2]+")"+"  "+historyVM.formatTime(item[3])
				})
				historyVM.$set(historyVM, 'collectionList', collectionList);


				historyVM.debtAmt = historyVM.orderDetails.debt_amt;
				historyVM.truePay = historyVM.orderDetails.debt_amt;
				viewHandle.close();
				historyVM.all_debt_amt = 0;
				historyVM.getCustomerById(historyVM.orderDetails.customer_id);
				var orderAmount = 0;
				var productListXiao = [],
					productListTui = [];
				mui.each(historyVM.orderDetails.productlist, function(i, v) {
					if (v.type == 0) {
						productListXiao.push(v)
					} else {
						productListTui.push(v)
					}
					// var display_unit_ratio = v.display_unit_ratio != '' ? Number(v.display_unit_ratio) : 1;
					if (v.type == 0) {
						// orderAmount +=Number(v.amount/display_unit_ratio)
						orderAmount += Number(v.amount)
					} else {
						orderAmount -= Number(v.amount);
						// orderAmount -=Number(v.amount/display_unit_ratio)
					}
				});
				mui.each(productListXiao, function(i, v) {
					if (i == 0) {
						v.picture_name = v.picture_name != "" ? (img_url + v.picture_name) : "img/tx.jpg";
					} else {
						if (v.product_id == productListXiao[i - 1].product_id) {
							v.picture_name = ''
						} else {
							v.picture_name = v.picture_name != "" ? (img_url + v.picture_name) : "img/tx.jpg";
						}
					}
				});
				mui.each(productListTui, function(i, v) {
					if (i == 0) {
						v.picture_name = v.picture_name != "" ? (img_url + v.picture_name) : "img/tx.jpg";
					} else {
						if (v.product_id == productListTui[i - 1].product_id) {
							v.picture_name = ''
						} else {
							v.picture_name = v.picture_name != "" ? (img_url + v.picture_name) : "img/tx.jpg";
						}
					}
				});
				historyVM.productListXiao = productListXiao;
				historyVM.productListTui = productListTui;
				historyVM.orderAmount = numToCur(orderAmount,historyVM.systemSetting.amount_decimals_setting);
				historyVM.logistics = historyVM.orderDetails.logistics_number;
				var test = historyVM.orderDetails.consignee_address;
				var mapObj = {
					"{": "",
					"consignee": "收货人",
					"mobile": "电话",
					"address": "地址",
					"transportDay": "收货时间",
					"}": ""
				};
				test = test.replace(/{|consignee|mobile|address|transportDay|}/gi, function(matched) {
					return mapObj[matched];
				});
				historyVM.consignee_address = test;
				// var consignee_address = historyVM.data.consignee_address
				historyVM.initRemarkValue = historyVM.orderDetails.remark;
				historyVM.initOrderFlag = historyVM.orderDetails.order_flag;
				historyVM.delivery_status = res.data.delivery_status;
				historyVM.deliveryCompany = res.data.delivery_company;

				historyVM.sign_date = res.data.sign_date.substr(6, 5);

				var depotList = JSON.parse(localStorage.getItem("depotList"));
				mui.each(depotList, function(index, depot) {
					if (depot.id == historyVM.orderDetails.depot_id) {
						historyVM.depot_name = depot.name;
					}
				});
				$('.swipebox').swipebox();
				//保存数据方便历史打印
				var x = [];
				var truePay = res.data.org_debt_amt != '' ? Number(res.data.order_amt - res.data.org_debt_amt) : Number(res.data
					.order_amt - res.data.debt_amt);
				if (truePay >= 0) {
					truePay = numToCur(Number(truePay - res.data.rebate_amt - (res.data.discount || 0) - (res.data.deduction_amt || 0)),historyVM.systemSetting.price_decimals_setting,'price')
				} else {
					truePay = numToCur(Number(truePay + res.data.rebate_amt + (res.data.discount || 0) - (res.data.deduction_amt || 0)),historyVM.systemSetting.price_decimals_setting,'price')
				}
				var productlist = [];
				mui.each(res.data.productlist, function(i, v) {
					v.unitChooseId = v.display_unit_id;
					v.unitChooseName = v.display_unit_name;
					v.unitChooseRatio = v.display_unit_ratio;
					v.desc = v.description
				});
				productlist = res.data.productlist;
				let deliveryCompany = xiaoVM.deliveryCompanyList.find(function(i){
					return i.delivery_company === res.data.delivery_company
				})
				let deliveryCompanyStr = deliveryCompany ? deliveryCompany.name : ''
				x.push({
					"sign_date": res.data.sign_date,
					"rebate_amt": res.data.rebate_amt,
					"order_amt": res.data.order_amt,
					"purchase_amt": res.data.purchase_amt,
					"totalDebtAmt": historyVM.all_debt_amt || 0, // 客户总欠款
					"discount": res.data.discount || 0, // 客户积分抵扣
					"ordertype": res.data.ordertype,
					"debt_amt": res.data.debt_amt,
					"org_debt_amt": res.data.org_debt_amt,
					"truePay": truePay,
					"deduction_amt":res.data.deduction_amt, //抵扣金额
					"change_interal": res.data.changeinteral, //本单积分
					"integral": res.data.integral, //客户总积分
					"real_name": res.data.creater_name,
					"delivery_type": res.data.delivery_type,
					"depot_name": historyVM.depot_name,
					"customer_name": res.data.customer_name,
					"company_name": xiaoVM.companyName,
					"remark": res.data.remark,
					"productlist": productlist,
					"telePhone": res.data.telephone,
					"color_show": historyVM.color_show, //全行业参数
					"size_show": historyVM.size_show, //全行业参数
					"unit_show": historyVM.unit_show, //全行业参数
					"origin_specification": historyVM.origin_specification, //全行业参数
					"other_cost_name": res.data.other_cost_name, //其他费用名称
					"other_cost_price": res.data.other_cost_price, //其他费用价格
					"account_name": res.data.account_name,
					"head_name": res.data.head_name,
					"print_address": res.data.consignee_address,
					"ordersn": res.data.ordersn,
					'logistics_number': res.data.logistics_number,
					'delivery_company_name': deliveryCompanyStr,
					'is_check_customer': res.data.is_check_customer === '1'
				});
				sessionStorage.setItem("pinHistoryPrint", JSON.stringify(x));
				$.fn.textAutoHeight = function() {
					function textAutoHeight(elem) {
						elem.style.height = '30px'; //设置为1行
						elem.scrollTop = 0; //防抖动
						elem.style.height = elem.scrollHeight + 'px'; //设置为卷曲高度
						// 有bug 导致页面上移动 修改时才处理
						if(oneChangeRemark){
							oneChangeRemark = false
						}else{
							document.body.scrollTop=document.body.scrollHeight
						}
					}
					this.each(function() {
						textAutoHeight(this);
						$(this).on('keyup', function() {
							textAutoHeight(this);
						});
					});
				};
				setTimeout(function() {
					$('#textarea[textAutoHeight]').textAutoHeight();
				}, 280)
				cbFn&&cbFn()
			}).catch(function(e){
				viewHandle.close()
			})
		},
		formatTime:function(timestamp){
			function format(m){return m<10?'0'+m:m }
			var time = new Date(parseInt(timestamp));
			var y = time.getFullYear();
			var m = time.getMonth()+1;
			var d = time.getDate();
			var h = time.getHours();
			var mm = time.getMinutes();
			var s = time.getSeconds();
			return y+'-'+format(m)+'-'+format(d)+' '+format(h)+':'+format(mm)+':'+format(s);
		},
		deductionOrder: function(val) {
			if (val.relation_children_fa_order == "") {
				mui.toast("无关联单据");
				return false
			}
			var relation_children_fa_order = val.relation_children_fa_order.split(";"),
				ids = [],
				_this = this;
			relation_children_fa_order.forEach(function(v) {
				ids.push("'" + v.split(":")[0] + "'")
			})
			mui.ajax(severUrl + "scm/order/dataGridByIds.json", { //单笔采购或草稿详细信息获取
				data: {
					ids: ids.toString()
				},
				headers: {
					'Content-Type': 'application/x-www-form-urlencoded'
				},
				beforeSend: function() {
					viewHandle.waiting("查询中...")
				},
				complete: function() {
					viewHandle.close()
				},
				xhrFields: {
					withCredentials: true
				},
				dataType: 'json',
				type: 'post',
				timeout: 10000,
				success: function(res) {
					if (res.success) {
						var listSend = {};
						listSend.orderType = 'in';
						listSend.searchHistoryList = res.data;
						viewHandle.openWindow('outboundOrder.html', 'outboundOrder.html', JSON.stringify(listSend));
					} else {
						mui.toast(res.msg)
					}
				}
			});
		},
		getCustomerById: function(id) {
			mui.ajax(severUrl + "crm/customer/qryOpSimple.json", { //单笔采购或草稿详细信息获取
				data: {
					id: id
				},
				headers: {
					'Content-Type': 'application/x-www-form-urlencoded'
				},
				xhrFields: {
					withCredentials: true
				},
				dataType: 'json',
				type: 'post',
				timeout: 10000,
				success: function(res) {
					if (res.success) {
						var customer = res.data.customer
						customer.checked != 1 ? historyVM.history_default = 0 : historyVM.history_default = 1;
						historyVM.all_debt_amt = customer.arrears;
					} else {
						historyVM.all_debt_amt = 0;
						historyVM.history_default = 0
					}
					var pinHistoryPrint = JSON.parse(sessionStorage.pinHistoryPrint);
					pinHistoryPrint[0].totalDebtAmt = historyVM.all_debt_amt
					sessionStorage.setItem("pinHistoryPrint", JSON.stringify(pinHistoryPrint));
				}
			});
		},
		getAccountList: function() {
			mui.ajax(severUrl + "fa/account/list.json", {
				data: {},
				headers: {
					'Content-Type': 'application/x-www-form-urlencoded'
				},
				xhrFields: {
					withCredentials: true
				},
				dataType: 'json',
				type: 'post',
				timeout: 10000,
				success: function(res) {
					if (res.success) {
						historyVM.accountList = res.data;
						if (historyVM.accountList.length > 0) {
							historyVM.pay_status = historyVM.accountList[0].type
						}
						historyVM.accountList.sort(ascCompare("type"));
					}
				}
			});
		},
		jifenkaitong: function() {
			mui.ajax(severUrl + "crm/integraladdrule/qryOp.json", {
				data: {},
				headers: {
					'Content-Type': 'application/x-www-form-urlencoded'
				},
				xhrFields: {
					withCredentials: true
				},
				dataType: 'json',
				type: 'post',
				timeout: 10000,
				async: false,
				success: function(res) {
					if (res.success) {
						if (res.data.status == 1) {
							historyVM.jifenKT = 1;
							historyVM.increase_bonus = res.data.increase_bonus;
							historyVM.cost_money_unit = res.data.cost_money_unit;
						} else {
							historyVM.jifenKT = 0
						}
					} else {
						historyVM.jifenKT = 0
					}
				}
			});
		},
		orderRemarkFn: function() {
			var self = this;
			var historyId = this.historyId;
			var remark = document.getElementById("textarea").value;

			if (this.initRemarkValue == remark) return;

			mui.ajax(severUrl + "scm/order/updateRemark.json", { //修改销售单/进货单备注
				data: {
					id: historyId,
					remark: remark
				},
				headers: {
					'Content-Type': 'application/x-www-form-urlencoded'
				},
				xhrFields: {
					withCredentials: true
				},
				dataType: 'json',
				type: 'post',
				timeout: 10000,
				success: function(res) {
					mui.toast(res.msg);
					self.loadOrderInfo();
				}
			});
		},
		saveOrdersnHandle(event){
			let _this=this
			var historyId = this.historyId;
			let ordersn=event.target.value
			if (this.orderDetails.ordersn == ordersn) return;
			mui.ajax(severUrl + "scm/order/updateOrderSN.json", {
				data: {
					id: historyId,
					ordersn: ordersn
				},
				headers: {
					'Content-Type': 'application/x-www-form-urlencoded'
				},
				xhrFields: {
					withCredentials: true
				},
				dataType: 'json',
				type: 'post',
				timeout: 10000,
				success: function(res) {
					mui.toast(res.msg);
					_this.loadOrderInfo();
				}
			});
		},
		orderLogisticsFn: function() {
			var self = this;
			var historyId = this.historyId;
			var logistics = document.getElementById("logistics").value;
			mui.ajax(severUrl + "scm/order/updateLogisticsNumber.json", { //修改销售单/进货单备注
				data: {
					id: historyId,
					logistics_number: logistics
				},
				headers: {
					'Content-Type': 'application/x-www-form-urlencoded'
				},
				xhrFields: {
					withCredentials: true
				},
				dataType: 'json',
				type: 'post',
				timeout: 10000,
				success: function(res) {
					mui.toast(res.msg);
					self.loadOrderInfo();
				}
			});
		},
		setColor: function(v, b) {
			var self = this;
			var historyId = self.historyId;
			var orderFlag = v;
			if (self.initOrderFlag == orderFlag) return;
			self.initOrderFlag = orderFlag;
			mui.ajax(severUrl + "scm/order/updateFlag.json", { //销售历史小旗帜order_flag 修改
				data: {
					id: historyId,
					order_flag: orderFlag
				},
				headers: {
					'Content-Type': 'application/x-www-form-urlencoded'
				},
				xhrFields: {
					withCredentials: true
				},
				dataType: 'json',
				type: 'post',
				timeout: 10000,
				success: function(res) {
					historyVM.orderDetails.order_flag = orderFlag;
					mui.toast(res.msg)
				}
			});
		},
		jumpUserCollectionAdd(){
			let listSend = {};
			listSend.type = 'customer'
			listSend.jifenKT = xiaoVM.jifenKT
			listSend.cost_money_unit = xiaoVM.cost_money_unit
			listSend.increase_bonus = xiaoVM.increase_bonus
			listSend.orderDetails = this.orderDetails
			listSend.integral = this.orderDetails.integral
			listSend.name = this.orderDetails.customer_name
			listSend.id = this.orderDetails.customer_id
			listSend.arrears = this.orderDetails.debt_amt
			viewHandle.openWindow('./view/user_collection_add.html','user_collection_add.html',JSON.stringify(listSend))
		},
		jumpUserCollectionInfo(item){
			let id = item.customerHistoryId
			// mui.toast('显示详情')
			let listSend = {};
			listSend.type = 'customer'
			listSend.id = id
			viewHandle.openWindow('./view/user_collection_history_info.html','user_collection_history_info.html',JSON.stringify(listSend))
		}
	},
	created: function() {
	},
	mounted: function() {
		var _this = this;
		setListener();
		mui.plusReady(function(){
			_this.loadOrderInfo();
			_this.getPurview()
		})
		this.ordersnDom = document.querySelector('#ordersnDom')
	}
});


function setListener() {
	mui('.mui-scroll-wrapper').scroll({
		deceleration: 0.0006 //flick 减速系数，系数越大，滚动速度越慢，滚动距离越小，默认值0.0006
	});
	mui(".mui-content").on('tap', '.historyToggleState', function() {
		mui.confirm("", "旗帜方式", ["取消", "确定"], function(e) {
			if (e.index == 1) {
				var type = Number($(".chooseOne")[0].getAttribute("name"));
				switch (type) {
					case 1:
						historyVM.setColor(type, 'red')
						break;
					case 2:
						historyVM.setColor(type, 'yellow')
						break;
					case 3:
						historyVM.setColor(type, 'blue')
						break;
					case 4:
						historyVM.setColor(type, 'green')
						break;
					case 5:
						historyVM.setColor(type, '#666')
						break;
				}
			} else {

			}
		}, 'div');
		//样式重写
		$(".mui-popup-in").css('border-radius', 0);
		$(".mui-popup-inner").css('border-radius', '6px');
		$(".mui-popup-inner").css('overflow', 'hidden');
		$(".mui-popup-inner").css('padding', 0);
		$(".mui-popup-title").remove();
		$(".mui-popup-buttons").css('display', 'none');
		//样式重写
		var muiPrompt =
			"<div class='qizhiType' style='display: flex; align-items: center; justify-content: space-between; height: 40px; padding: 0 15px;'>" +
			"<span name='5' class='iconfont icon-qizhi chooseclick' style='color: #666'></span>" +
			"<span name='1' class='iconfont icon-qizhi chooseclick' style='color: red'></span>" +
			"<span name='2' class='iconfont icon-qizhi chooseclick' style='color: yellow'></span>" +
			"<span name='3' class='iconfont icon-qizhi chooseclick' style='color: blue'></span>" +
			"<span name='4' class='iconfont icon-qizhi chooseclick' style='color: green'></span>" +
			"</div>"
		$(".mui-popup-text").html(muiPrompt);
		setTimeout(function() {
			$('.qizhiType span').removeClass("chooseOne")
		})
	});
	mui("body").on('tap', '.chooseclick', function() {
		$('.qizhiType span').removeClass("chooseOne")
		$(this).addClass("chooseOne")
		mui.trigger(document.getElementsByClassName("mui-popup-button-bold")[0], 'tap');
	})
	mui('.fh-status-history').on('tap', '.mui-switch', function() {
		if (historyVM.delivery_status == 0) {
			historyVM.delivery_status = 1;
		} else {
			historyVM.delivery_status = 0;
		}

		mui.ajax(severUrl + "scm/order/modifyDeliveryStatus.json", {
			data: {
				id: historyVM.historyId,
				delivery_status: historyVM.delivery_status
			},
			headers: {
				'Content-Type': 'application/x-www-form-urlencoded'
			},
			xhrFields: {
				withCredentials: true
			},
			dataType: 'json',
			type: 'post',
			timeout: 10000,
			success: function(res) {
				mui.toast(res.msg);
				historyVM.orderDetails.pay_status = historyVM.pay_status;
				if (xiaoVM.lsDateFirst != '' || xiaoVM.lsDateLast != '') {
					searchHistory(xiaoVM.lsDateFirst, xiaoVM.lsDateLast,'init');
				} else {
					var date = new Date(xiaoVM.historyTime);
					var searchTime = date.getFullYear() + "-" + ((date.getMonth() + 1) < 10 ? "0" + (date.getMonth() + 1) : (date
						.getMonth() + 1)) + "-" + (date.getDate() < 10 ? "0" + date.getDate() : date.getDate());
					searchHistory(searchTime, searchTime,'init');
				}
			}
		});
	});

	// mui("#historyVM").on('tap', '.get-money-btn', function() {
	// 	historyVM.jifenkaitong();
	// 	mui.confirm("", "确认收款?", ["取消", "确定"], function(e) {
	// 		if (e.index == 1) {
	// 			if (historyVM.truePay > historyVM.debtAmt) {
	// 				mui.toast('输入金额大于欠款金额！');
	// 				return false
	// 			}
	// 			var type = $(".colorOrange").attr("type");
	// 			historyVM.pay_status = type;
	// 			mui.ajax(severUrl + "scm/order/clearDebtByOrderID.json", {
	// 				data: {
	// 					id: historyVM.historyId,
	// 					pay_status: historyVM.pay_status,
	// 					debt_status: historyVM.truePay == historyVM.debtAmt ? 0 : historyVM.orderDetails.debt_status,
	// 					pay_mony: historyVM.truePay,
	// 				},
	// 				headers: {
	// 					'Content-Type': 'application/x-www-form-urlencoded'
	// 				},
	// 				xhrFields: {
	// 					withCredentials: true
	// 				},
	// 				dataType: 'json',
	// 				type: 'post',
	// 				timeout: 10000,
	// 				success: function(res) {
	// 					mui.toast(res.msg);
	// 					if (res.success) {
	// 						historyVM.orderDetails.pay_status = historyVM.pay_status;
	// 						if (historyVM.jifenKT == 1 && historyVM.orderDetails.customer_id != localStorage.getItem("moRen")) {
	// 							var changeIntegral = parseInt(historyVM.truePay / historyVM.cost_money_unit * historyVM.increase_bonus)
	// 							mui.ajax(severUrl + "crm/customer/changeIntegral.json", {
	// 								data: {
	// 									customer_id: historyVM.orderDetails.customer_id,
	// 									changeIntegral: changeIntegral,
	// 									detail: "欠款订单收款",
	// 									order_id: historyVM.orderDetails.order_id
	// 								},
	// 								headers: {
	// 									'Content-Type': 'application/x-www-form-urlencoded'
	// 								},
	// 								xhrFields: {
	// 									withCredentials: true
	// 								},
	// 								dataType: 'json',
	// 								type: 'post',
	// 								timeout: 10000,
	// 								success: function(res) {
	// 									historyVM.loadOrderInfo(historyVM.historyId);
	// 									if (xiaoVM.lsDateFirst != '' || xiaoVM.lsDateLast != '') {
	// 										searchHistory(xiaoVM.lsDateFirst, xiaoVM.lsDateLast,'init');
	// 									} else {
	// 										var date = new Date(xiaoVM.historyTime);
	// 										var searchTime = date.getFullYear() + "-" + ((date.getMonth() + 1) < 10 ? "0" + (date.getMonth() +
	// 											1) : (date.getMonth() + 1)) + "-" + (date.getDate() < 10 ? "0" + date.getDate() : date.getDate());
	//
	// 										searchHistory(searchTime, searchTime,'init');
	// 									}
	// 									localStorage.setItem("caiPageAction", 'supplierRefresh') //刷新页面参数
	// 								}
	// 							});
	// 						} else {
	// 							historyVM.loadOrderInfo(historyVM.historyId);
	// 							if (xiaoVM.lsDateFirst != '' || xiaoVM.lsDateLast != '') {
	// 								searchHistory(xiaoVM.lsDateFirst, xiaoVM.lsDateLast,'init');
	// 							} else {
	// 								var date = new Date(xiaoVM.historyTime);
	// 								var searchTime = date.getFullYear() + "-" + ((date.getMonth() + 1) < 10 ? "0" + (date.getMonth() + 1) :
	// 									(date.getMonth() + 1)) + "-" + (date.getDate() < 10 ? "0" + date.getDate() : date.getDate());
	//
	// 								searchHistory(searchTime, searchTime,'init');
	// 							}
	// 							localStorage.setItem("caiPageAction", 'supplierRefresh') //刷新页面参数
	// 						}
	// 					}
	// 				}
	// 			});
	// 		} else {
	//
	// 		}
	// 	}, 'div');
	// 	//样式重写
	// 	$(".mui-popup-in").css('border-radius', 0);
	// 	$(".mui-popup-inner").css('border-radius', '6px 6px 0 0');
	// 	$(".mui-popup-inner").css('padding', 0);
	// 	$(".mui-popup-text").css('margin', 0);
	// 	$(".mui-popup-title").css('line-height', '40px');
	// 	$(".mui-popup-button:first-child").css('border-radius', '0 0 0 6px');
	// 	$(".mui-popup-button:last-child").css('border-radius', '0 0 6px');
	// 	var muiPrompt =
	// 		"<div style='border-top: 1px solid #e2e2e2;' class='payTypeDiv'><div style='width: 30px; text-align: left'>收款</div><div style='flex: 1; align-items: center'><input style='padding: 0 10px; height: 25px; margin: 0; background: transparent' id='hisTruePay' type='number' value='" +
	// 		historyVM.truePay + "'></div></div>";
	// 	//样式重写
	// 	mui.each(historyVM.accountList, function(i, v) {
	// 		switch (v.type) {
	// 			case 1:
	// 				if (v.is_disable == 1) break
	// 				var type = v.type;
	// 				muiPrompt +=
	// 					"<div class='payTypeDiv historyPayType'><div style='display: flex; flex: 1'><span class='iconfont icon-xianjin' style='color: #fe7e7e'>&nbsp;</span><span class='historyPay colorOrange' type='" +
	// 					v.type + "'>" + v.name +
	// 					"</span></div><div style='width: 24px'><span class='mui-icon mui-icon-checkmarkempty historyPay colorOrange' style='font-size: 36px; display: none'></span></div></div>"
	// 				break;
	// 			case 2:
	// 				if (v.is_disable == 1) break;
	// 				muiPrompt +=
	// 					"<div class='payTypeDiv historyPayType'><div style='display: flex; flex: 1'><span class='iconfont icon-zhifubao' style='color: #09aaf0'>&nbsp;</span><span class='historyPay' type='" +
	// 					v.type + "'>" + v.name +
	// 					"</span></div><div style='width: 24px'><span class='mui-icon mui-icon-checkmarkempty historyPay' style='font-size: 36px; display: none'></span></div></div>"
	// 				break;
	// 			case 3:
	// 				if (v.is_disable == 1) break;
	// 				muiPrompt +=
	// 					"<div class='payTypeDiv historyPayType'><div style='display: flex; flex: 1'><span class='iconfont icon-icon1460188541813' style='color: #51c232'>&nbsp;</span><span class='historyPay' type='" +
	// 					v.type + "'>" + v.name +
	// 					"</span></div><div style='width: 24px'><span class='mui-icon mui-icon-checkmarkempty historyPay' style='font-size: 36px; display: none'></span></div></div>"
	// 				break;
	// 			case 4:
	// 				if (v.is_disable == 1) break;
	// 				muiPrompt +=
	// 					"<div class='payTypeDiv historyPayType'><div style='display: flex; flex: 1'><span class='iconfont icon-bank-card' style='color: #f90000'>&nbsp;</span><span class='historyPay' type='" +
	// 					v.type + "'>" + v.name +
	// 					"</span></div><div style='width: 24px'><span class='mui-icon mui-icon-checkmarkempty historyPay' style='font-size: 36px; display: none'></span></div></div>"
	// 				break;
	// 			default:
	// 				if (v.is_disable == 1) break;
	// 				muiPrompt +=
	// 					"<div class='payTypeDiv historyPayType'><div style='display: flex; flex: 1'><span class='iconfont icon-qitaphone' style='color: #b74c00'>&nbsp;</span><span class='historyPay' type='" +
	// 					v.type + "'>" + v.name +
	// 					"</span></div><div style='width: 24px'><span class='mui-icon mui-icon-checkmarkempty historyPay' style='font-size: 36px; display: none'></span></div></div>"
	// 				break;
	// 		}
	// 	})
	// 	$(".mui-popup-text").html(muiPrompt);
	// 	jifenInfo()
	// 	document.getElementById("hisTruePay").addEventListener("click", function(event) {
	// 		mui("#hisTruePay")[0].value = '';
	// 	})
	// 	document.getElementById("hisTruePay").addEventListener("blur", function(event) {
	// 		mui("#hisTruePay")[0].value = historyVM.truePay;
	// 	})
	// 	document.getElementById("hisTruePay").addEventListener("keyup", function(event) {
	// 		historyVM.truePay = mui("#hisTruePay")[0].value;
	// 		jifenInfo()
	// 	})
	// 	setTimeout(function() {
	// 		$('.historyPay').removeClass("colorOrange");
	// 		$(".historyPayType").eq(historyVM.pay_status - 1).find(".historyPay").addClass("colorOrange")
	// 	})
	// });
	// mui("body").on('tap', '.historyPayType', function() {
	// 	$('.historyPay').removeClass("colorOrange");
	// 	$(this).find('.historyPay').addClass("colorOrange")
	// });

	/*订单复制*/
	mui(".combindBox").on('tap', '.orderCopy', function() {
		plus.nativeUI.actionSheet({
				title: '请选择复制目标',
				cancel: "取消",
				buttons: [{title: '复制到销售'}, {title: '复制到采购'}, {title: '复制到销售退货'}]
			},
			function (e) {
				let type
				switch (e.index) {
					case 1: type = 'sales'; break;
					case 2: type = 'purchase'; break;
					case 3: type = 'sales_return'
				}
			 	type&&copyInfo(type)
			}
		);
	});

	/*撤销删除按钮*/
	mui(".combindBox").on('tap', '.revokeOrder', function() {
		let loading
		if(historyVM.orderDetails.submit_status==2){
			mui.confirm("是否确认删除？", "提示", ["取消", "确定"], function(e) {
				if (e.index == 1 && buttonClick) {
					buttonClick = false;
					var historyId = historyVM.historyId;
					loading = $comm.showLoading('请稍后..', {back: 'none'})
					$API.order.delOrder({id: historyId}).then(function(res){
						plus.webview.getWebviewById('H576E5848').evalJS('getCustomer()');
						mui.toast(res.msg);
						loading.close()
						setTimeout(function() {
							mui('.revokeOrder').button('reset');
							mui('#pinPurchaseHistory')[0].style.display = "none";
							mui('#xiaoDom')[0].style.display = "block";
							mui('#xiaoDom')[0].style.visibility='visible'

							// 历史单据列表更新
							xiaoVM.searchHistoryList = xiaoVM.searchHistoryList.filter(function(i){
								return i.id !== xiaoVM.historyId
							})
							xiaoVM.paginationData.history.totalRow -= 1
							buttonClick = true;
						}, 1000);
						localStorage.setItem("xiaoPageAction", 'customerRefresh'); //刷新页面参数
						localStorage.setItem("productListPage", "refresh");
					}).catch(function(e){
						loading.close()
						buttonClick = true;
					})
				}
			}, 'div')
		}else{
			mui.confirm("撤销后，该单据内所有的商品库存数量将会变动，是否确认撤销？", "提示", ["取消", "确定"], function(e) {
				if (e.index == 1 && buttonClick) {
					buttonClick = false;
					mui.each(historyVM.orderDetails.productlist, function(i, v) {
						delete(v["picture_name"]);
						delete(v["product_name"]);
						delete(v["product_model"]);
						delete(v["material"]);
						delete(v["size_name"]);
						delete(v["description"]);
						delete(v["display_unit_name"]);
						delete(v["color_name"]);
					});
					mui('.revokeOrder').button('loading');
					var historyId = historyVM.historyId;
					let order = {
						order_product_amount: (historyVM.orderDetails.in_amount || 0) - (historyVM.orderDetails.out_amount || 0),
						price: historyVM.orderDetails.order_amt || 0
					}
					loading = $comm.showLoading('请稍后..', {back: 'none'})
					$API.order.revertOrder({
						id: historyId,
						revertFA: false
					}).then(function(e){
						loading.close()
						success(e)
					}).catch(function(e){
						loading.close()
						if(e && e.data.status === 222){
							mui.confirm(e.data.msg, '提示', ["取消", "确定"], function(e) {
								if (e.index === 1) {
									loading = $comm.showLoading('请稍后..', {back: 'none'})
									$API.order.revertOrder({
										id: historyId,
										revertFA: true
									}).then(function(e){
										loading.close()
										success(e)
									}).catch(function(e){
										if (e.data && e.data.status === 223) {
											mui.confirm(e.data.msg, '提示', ["取消"], function(e) {
												buttonClick = true;
												mui('.revokeOrder').button('reset');
											})
										} else {
											buttonClick = true;
											mui.toast('网络错误');
											mui('.revokeOrder').button('reset');
										}
									})
								} else {
									buttonClick = true;
									mui('.revokeOrder').button('reset');
								}
							}, 'div')
						}else{
							buttonClick = true;
							mui('.revokeOrder').button('reset');
						}
					})
					// 撤销成功
					function success(res){
						plus.webview.getWebviewById('H576E5848').evalJS('getCustomer()');
						mui.toast(res.msg);
						// setTimeout(function() {
							mui('.revokeOrder').button('reset');
							buttonClick = true;
						// }, 1000);
						//历史单据更新
						historyVM.loadOrderInfo(xiaoVM.historyId)
						// 历史单据列表更新
						xiaoVM.searchHistoryList.find(function(i){
							return i.id === xiaoVM.historyId
						}).submit_status = 2
						xiaoVM.historyTotal.all_order_product_amount = numToCur(xiaoVM.historyTotal.all_order_product_amount - order.order_product_amount,xiaoVM.systemSetting.amount_decimals_setting)
						xiaoVM.historyTotal.all_price = numToCur(xiaoVM.historyTotal.all_price - order.price,xiaoVM.systemSetting.price_decimals_setting,'price')
						localStorage.setItem("xiaoPageAction", 'customerRefresh'); //刷新页面参数
						localStorage.setItem("productListPage", "refresh");
					}
				}
			}, 'div')
		}
	});
}

//复制单据
function copyInfo(type) {
	viewHandle.waiting("单据查询中请稍后......");
	let copyInfo = JSON.parse(JSON.stringify(historyVM.orderDetails.productlist));//商品列表
	let depot_id = historyVM.orderDetails.depot_id;//仓库id
	let orderDetails = JSON.parse(JSON.stringify(historyVM.orderDetails))
	let depotList = JSON.parse(localStorage.getItem("depotList"));//仓库列表
	let dataLegal = false;
	let AB_price = [];

	mui.each(depotList, function(k, n) {
		if (n.id == depot_id) {
			dataLegal = true;
			return false;
		}
	});

	//获取所有员工
	const promises = [$API.user.getUser()]

	// 获取单据中商品的属性
	let productIdList = []
	copyInfo.forEach(function(item){
		if (item.is_extra === 1){
			!productIdList.includes(item.product_id)&&productIdList.push(item.product_id)
		}
	})
	let qryUnitListByProductIds = Promise.resolve({data:[]})
	if (productIdList.length){
		qryUnitListByProductIds = $API.product.qryColorSizeUnitByProductIds({
			product_ids:productIdList.join(';')
		})
	}
	promises.push(qryUnitListByProductIds)

	// 获取单据序列号
	if(Number(xiaoVM.vipLevel) === 1 && Number(xiaoVM.systemSetting.sn_setting) === 1 && type === 'sales_return'){
		let data = {
			order_id: historyVM.historyId,
			ordertype: CONSTANT.PRESENT_SALES,
		}
		type=== 'sales_return' && (data.type = CONSTANT.SALES) // 退货只查销售序列号
		promises.push($API.SN.qryProductSNsByOrderId(data))
	}

	Promise.all(promises).then(function (res){
		let userList = res[0].data
		let copyProductAttrs = res[1].data || []
		let sns = (res[2] ? res[2].data : []) || []
		viewHandle.close()
		cbFn(copyInfo, userList, copyProductAttrs, sns,historyVM.systemSetting.production_batch_setting==1)
	}).catch(function(e){
		console.log(e)
		viewHandle.close()
		mui.alert('复制失败')
	})

	function cbFn(copyInfo, userList, copyProductAttrs, sns,canBns) {
		if(canBns){
			//处理批次的数据结构
			copyInfo=makeBnDataConstruct(copyInfo)
		}
		// copyInfo 添加 __id__
		copyInfo.forEach(function(item){
			item.__id__ = productListIdUtil.getNext()
			let subProductList = copyInfo.filter(function(i){return i.parent_op_id === item.op_id}) || []
			subProductList.forEach(function(i){
				i.__pid__ = item.__id__
			})
		})

		let selProductList
		if(type === 'sales_return') {
			copyInfo = formDataCopyInfoTypeNegate(copyInfo)
		}else{
			selProductList = formDataSelProductListList(copyInfo)
		}
		if(type === 'sales' || type === 'sales_return'){
			if(sns.length && type === 'sales_return'){
				mui.confirm('复制序列号？','提示',['否','是'],function (e){
					if(e.index === 1){
						copyInfo = fillSN(sns, copyInfo)
					}
					selProductList = formDataSelProductListList(copyInfo)
					jumpSales(copyInfo)
				},'div')
			}else if(canBns && type === 'sales_return'){
				mui.confirm('复制批次号？','提示',['否','是'],function (e){
					selProductList = formDataSelProductListList(copyInfo)
					if(e.index === 1){
						jumpSales(copyInfo,true)
					}else{
						jumpSales(copyInfo,false)
					}
				},'div')
			}else{
				if (type === 'sales_return'){
					selProductList = formDataSelProductListList(copyInfo)
				}
				jumpSales(copyInfo,false)
			}
		}
		else if(type === 'purchase'){
			if(canBns){
				//开启了批次 采购 0 到销售 Y 采购退货 1 到销售退货 N
				copyInfo=filterCaiTuiNoCopyBn(copyInfo)
			}
			jumpPurchase(copyInfo)
		}
		function jumpSales(copyInfo,isCopyBn){
			// 验证订单创建者是否存在
			let curUserIdIndex = userList.findIndex(function(item){
				return item.id === orderDetails.creater_id
			})
			if(curUserIdIndex !== -1){
				sessionStorage.setItem("create_id", orderDetails.creater_id);// 创建者id
			}
			dataLegal&&sessionStorage.setItem("selectedDepot", depot_id);//仓库id
			localStorage.setItem("selStatus", 0);
			if(!isCopyBn){
				//采购/采购退货 到 采购 均不复制
				selProductList.forEach(function (item,index){
					item.list.forEach(function (item1,index1){
						item1.product_production_batch_list=[]
					})
				})
			}
			localStorage.setItem("selProductList", JSON.stringify(selProductList))//商品列表
			// sessionStorage.setItem("createDate", orderDetails.sign_date)//创建时间
			sessionStorage.removeItem("createDate")//removeItem 创建时间
			// localStorage.setItem("deliveryDate", orderDetails.delivery_date)// 交货时间
			// sessionStorage.setItem("deliveryType", orderDetails.delivery_type) //发货方式
			xiaoVM.deliveryType = orderDetails.delivery_type
			sessionStorage.setItem("logistics_number", orderDetails.logistics_number) //单号
			sessionStorage.setItem("consignee_address", orderDetails.consignee_address) //地址
			sessionStorage.setItem("delivery_status", orderDetails.delivery_status)//发货状态
			sessionStorage.setItem("remark", orderDetails.remark)//备注
			getSelProductList('history', historyVM.orderDetails.customer_id);//设置数据
			typeof addPrevUser === 'function' && addPrevUser(historyVM.orderDetails.customer_id, historyVM.orderDetails.customer_name) // 用户名验证
			xiaoVM.productCopyAdd = formDataCopyProductListList(copyInfo,copyProductAttrs,type,isCopyBn)
			xiaoVM.deliveryCompany = historyVM.deliveryCompany
			xiaoVM.saveProductCopyToLocalStorage()
			xiaoVM.calculation()
			mui('#pinPurchaseHistory')[0].style.display = "none";//隐藏历史
			mui('#xiaoDom')[0].style.display = "block";//显示销售/退货
			mui('#xiaoDom')[0].style.visibility='visible'
			mui('#commoditySales').slider().gotoItem(0);//切换slider
			if(type === 'sales_return'){
				xiaoVM.show.productListTab = true
			}
			clearAutoDateTimer()
		}
		function jumpPurchase(copyInfo){
			// 处理销售页数据
			for (var i = 0, len = xiaoVM.selProductList.length; i < len; i++) {
				if (xiaoVM.selProductList[i].depot_id == xiaoVM.selectedDepot) {
					for (var j = 0, jen = xiaoVM.selProductList[i].list.length; j < jen; j++) {
						if (xiaoVM.selProductList[i].list[j].count != 0) {
							mui.confirm('此页面有数据未提交，离开此页将丢失数据，是否离开此页？', '提示', ["取消", "确定"], function(e) {
								if (e.index == 1) {
									goPurchase()
									initOrder()
									localStorage.removeItem("selProductList");
									xiaoVM.productCopyAdd = {}
									xiaoVM.saveProductCopyToLocalStorage()
									xiaoVM.calculation()
								}
							}, 'div');
							return false;
						}
					}
				}
			}
			goPurchase()
			function goPurchase(){
				var data = {name: 'copyProductListBySales', result: { selProductList: selProductList, depot_id: depot_id, productListInnerCopy: formDataCopyProductListList(copyInfo,copyProductAttrs,type) }}
				JumpPage.jump('caigou.html','caigou.html',function(){
					viewHandle.viewFire('caigou.html', data.name, data.result)
				},'none')
				mui('#pinPurchaseHistory')[0].style.display = "none";//隐藏历史
				mui('#xiaoDom')[0].style.display = "block";//显示销售/退货
				mui('#xiaoDom')[0].style.visibility='visible'
				mui('#commoditySales').slider().gotoItem(0);//切换slider
			}
		}
		function fillSN(sns, copyInfo, type){
			// type undefined 全部copyInfo | 0 销售/采购 | 1 退货
			console.log(sns, copyInfo)
			if(sns.length){
				let snKey = sns[0].op_id  ? 'op_id' : 'product_id'
				// 处理sn
				copyInfo.forEach(function(item) {
					if((type || type === 0) && item.type !== type)return
					let fn
					if(snKey === 'op_id'){
						fn = function(i){return i.op_id === item.op_id}
					}else if(snKey === 'product_id'){
						fn = function(i){return i.product_id === item.product_id && i.color_id === item.color_id && i.size_id === item.size_id && item.type === i.type}
					}
					item.product_sn_list = sns.filter(fn).map(function(i){return i.product_sn})

				})

			}
			return copyInfo
		}
		function filterCaiTuiNoCopyBn(productList){
			productList.forEach(function (item,index){
				if(item.type==CONSTANT.SALES_RETURN_OF_GOODS){
					item.expire_date_ms=''
					item.product_production_batch_list=[]
				}
			})
			return productList
		}
		function makeBnDataConstruct(productList){
			productList.forEach(function (item,index){
				item.product_production_batch_list=[]
				item.product_production_batch_list.push({
					production_batch_number:item.production_batch_number,
					production_batch_id:item.production_batch_id,
					production_date_str:loadDates(item.production_date_timestamp)||'',
					expire_date_ms:item.expire_date_ms,
					product_color_size_id:item.product_color_size_id
				})
			})
			return productList
		}
	}
	// 适配 单品复制数据
	function formDataCopyProductListList(copyInfo,copyProductAttrs,type,isCopyBn){
		let productListInnerCopy = {}
		copyInfo.forEach(function(item){
			if(item.is_extra === 1){
				let copyProductItemAttr = copyProductAttrs.find(function(i){return i.product_id === item.product_id}) || {}
				let key = item.__pid__
				var production_amount=''
				var production_batch_number=''
				var production_batch_id=''
				var production_date_str=''
				var expire_date_ms=''
				var product_color_size_id=''
				if((historyVM.vipLevel == 1 && historyVM.systemSetting.production_batch_setting == 1) && item.product_production_batch_list.length>0) {
					production_amount = item.production_amount || ''
					production_batch_number = item.product_production_batch_list[0].production_batch_number || ''
					production_batch_id = item.product_production_batch_list[0].production_batch_id || ''
					production_date_str = item.product_production_batch_list[0].production_date_str || ''
					expire_date_ms = item.product_production_batch_list[0].expire_date_ms||''
					product_color_size_id=item.product_production_batch_list[0].product_color_size_id||''
				}
				let row = {
					id: item.product_id,
					model: item.product_model,
					name: item.product_name,
					color_id: item.color_id,
					color_name: item.color_name,
					size_id: item.size_id,
					size_name: item.size_name,
					product_sn_list: item.product_sn_list || [],
					count: numToCur(item.amount / (item.display_unit_ratio || 1), historyVM.systemSetting.amount_decimals_setting), //默认数量
					type: item.type, // 0销 1退
					price: numToCur(item.amt * (item.display_unit_ratio || 1), historyVM.systemSetting.price_decimals_setting,'price'), //默认价格
					unitChooseId: item.display_unit_id || '', //: "L0W6" // id 选择的单位id
					unitChooseName: item.display_unit_name || '', //: "箱" // 选择的单位
					unitChooseRatio: item.display_unit_ratio || 1, //: 1 // 比例
					unitMinName: item.unitMinName || '', //: "箱" // 主单位
					unitData: getAttrList(copyProductItemAttr.units||[],'unit'), //
					op_id: item.op_id,
					__id__: item.__id__,
					__pid__: item.__pid__,
					colorList: getAttrList(copyProductItemAttr.colors||[],'color'),
					sizeList: getAttrList(copyProductItemAttr.sizes||[],'size'),
					remark: item.description || '',
					isRemarkShow: !!item.description,
					product_production_batch_list:[],
					production_amount:numToCur(item.production_amount / (item.display_unit_ratio || 1), historyVM.systemSetting.amount_decimals_setting),
				}
				if(isCopyBn){
					row.product_production_batch_list.push({
						production_batch_number:production_batch_number,
						production_batch_id:production_batch_id,
						production_date_str:production_date_str,
						expire_date_ms:expire_date_ms,
						product_color_size_id:product_color_size_id
					})
				}
				row.originPrice = item.amt
				row.ordertype = row.type
				if(type === 'purchase'){
					row.originPrice = item.purchase_price
					row.price = numToCur(item.purchase_price * (item.display_unit_ratio || 1), historyVM.systemSetting.price_decimals_setting,'price')
				}
				if(productListInnerCopy[key]){
					productListInnerCopy[key].push(row)
				}else{
					productListInnerCopy[key] = [row]
				}
			}
		})
		function getAttrList(attrList, key){
			if(key === 'unit'){
				return attrList.map(function(i){
					return {
						id: i.assist_unit,
						name: i.assist_unit_name,
						ratio: i.ratio || 1,
						isMain: !i.id // 主单位没有 id
					}
				})
			}
			return attrList.map(function(i){
				return {
					id: i[key+'_id'],
					name: i[key+'_name']
				}
			})
		}
		return productListInnerCopy
	}
	// 适配 商品列表数据
	function formDataSelProductListList(copyInfo){
		let selProductList = [];
		let productMap = {}
		copyInfo.forEach(function(item){
			if(item.is_extra !== 1){ // 排除开单时copy的单品
				let product
				let key = '' + item.product_id + '|' + item.type
				if (!productMap[key]){
					product= {
						amt: numToCur((type === 'sales' || type === 'sales_return'?  item.amt : item.purchase_price) * (item.display_unit_ratio || 1),historyVM.systemSetting.price_decimals_setting,'price'),
						depot_id: depot_id,
						id: item.product_id,
						model: item.product_model,
						name: item.product_name,
						product_id: item.product_id,
						product_name: item.product_name,
						purchase_price: item.purchase_price,
						sale_price: numToCur((type === 'sales' || type === 'sales_return'?  item.amt : item.purchase_price) * (item.display_unit_ratio || 1),historyVM.systemSetting.price_decimals_setting,'price'),
						status: 1,
						unitChooseId: item.display_unit_id,
						unitChooseName: item.display_unit_name,
						unitChooseRatio: item.display_unit_ratio,
						unitMinName: '', //主单位名称 接口未返回 不影响复制开单
						list: [],
						type: item.type
					}
					productMap[key] = product
					selProductList.push(product)
					AB_price.push({
						"AB_price": product.amt,
						"product_id": product.product_id,
						"depot_id": product.depot_id
					});
				}else{
					product = productMap[key]
				}
				var production_amount=''
				var production_batch_number=''
				var production_batch_id=''
				var production_date_str=''
				var expire_date_ms=''
				var product_color_size_id=''
				if((historyVM.vipLevel == 1 && historyVM.systemSetting.production_batch_setting == 1) && item.product_production_batch_list.length>0) {
					production_amount = item.production_amount || ''
					production_batch_number = item.product_production_batch_list[0].production_batch_number || ''
					production_batch_id = item.product_production_batch_list[0].production_batch_id || ''
					production_date_str = item.product_production_batch_list[0].production_date_str || ''
					expire_date_ms = item.product_production_batch_list[0].expire_date_ms||''
					product_color_size_id=item.product_production_batch_list[0].product_color_size_id||''
				}
				let productListItem = {
					amount: 0, //无法获取
					barcode: item.barcode, //无法获取
					color_id: item.color_id,
					color_name: item.color_name,
					count: numToCur(item.amount / Number(product.unitChooseRatio != '' ? product.unitChooseRatio : 1),historyVM.systemSetting.amount_decimals_setting),
					depot_id: depot_id,
					product_id: item.product_id,
					size_id: item.size_id,
					size_name: item.size_name,
					type: product.type,
					ordertype: product.type,
					op_id: item.op_id,
					product_sn_list: item.product_sn_list || [],
					__id__: item.__id__,
					__pid__: item.__pid__,
					remark: item.description || '',
					isRemarkShow: !!item.description,
					product_production_batch_list:[],
					production_amount:numToCur(item.production_amount / (item.display_unit_ratio || 1), historyVM.systemSetting.amount_decimals_setting),
				}
				productListItem.product_production_batch_list.push({
					production_batch_number:production_batch_number,
					production_batch_id:production_batch_id,
					production_date_str:production_date_str,
					expire_date_ms:expire_date_ms,
					product_color_size_id:product_color_size_id
				})
				if(product.type !== item.type){ //
					productListItem.count = 0
				}
				product.list.push(productListItem)
			}
		})

		return selProductList
	}
	// copyInfo 排除退 销变退
	function formDataCopyInfoTypeNegate(copyInfo){
		let returnProductList = copyInfo.filter(function(item){return item.type === CONSTANT.SALES})
		returnProductList.forEach(function(item){
			item.type = CONSTANT.SALES_RETURN_OF_GOODS
		})
		return returnProductList
	}
	//预加载采购页面
	if(type === 'purchase' ){
		JumpPage.preloading('caigou.html','caigou.html')
	}
}

function jifenInfo() {
	if (historyVM.jifenKT == 1 && historyVM.orderDetails.customer_id != localStorage.getItem("moRen")) {
		var info = "(新增积分 " + parseInt(historyVM.truePay / historyVM.cost_money_unit * historyVM.increase_bonus) + ")"
		$(".hisIntegral").html(info);
		$(".hisIntegral").css('display', 'block')
	} else {
		$(".hisIntegral").html('');
		$(".hisIntegral").css('display', 'none')
	}
}
mui('.mui-bar').on('tap', '.mui-history-back', function() {
	localStorage.removeItem('orderRemarkTempImg')
	$comm.getRemarkHeightLight()
	mui('#pinPurchaseHistory')[0].style.display = "none";
	mui('#xiaoDom')[0].style.display = "block";
	mui('#xiaoDom')[0].style.visibility='visible'
});
//查询账户信息
/**
 * asc
 * @param {*} propertyName
 */
function ascCompare(propertyName) {
	return function(object1, object2) {
		var value1 = object1[propertyName];
		var value2 = object2[propertyName];
		if (value2 > value1) {
			return -1;
		} else if (value2 < value1) {
			return 1;
		} else {
			return 0;
		}
	}
}
//关联单据
mui('#pinPurchaseHistory').on('tap', '.orderQry', function() {
	viewHandle.waiting("查询中...");
	mui.ajax(severUrl + "scm/order/qryOrderRelation.json", {
		data: {
			id: historyVM.historyId
		},
		headers: {
			'Content-Type': 'application/x-www-form-urlencoded'
		},
		xhrFields: {
			withCredentials: true
		},
		dataType: 'json',
		type: 'post',
		timeout: 10000,
		success: function(res) {
			viewHandle.close();
			if (res.status == 200) {
				if (res.data.dependentorder.length == 0) {
					mui.toast("没有与之关联的销售单")
				} else {
					var listSend = {};
					listSend.orderType = 'in';
					listSend.openType = 'draft';
					listSend.searchHistoryList = res.data.dependentorder;
					viewHandle.openWindow('outboundOrder.html', 'outboundOrder.html', JSON.stringify(listSend));
				}
			}
		},
		error: function(XMLHttpRequest, textStatus, errorThrown) {
			viewHandle.close();
		}
	});
});
//历史分享
mui('#pinPurchaseHistory').on('tap', '#shareMessage', function() {
	var content = historyVM.orderDetails.sign_date.substr(0, 16);
	var name = "<" + historyVM.company_name + ">";
	viewHandle.shareOpen(shares, historyVM.historyId, name + '销售单据分享', content + ' 销售单，点击查看', historyVM.systemSetting.price_decimals_setting, historyVM.systemSetting.amount_decimals_setting)
});
