var timeOut=0,classification = false,page=1,qryProduct = true;
var productListVM = new Vue({
    el: '#productListVM',
    data: {
        searchMsg:'',
        list:[],//当前搜索商品列表
        ptSrc:'',
        photoList:[],
        productList:[],
        levelOneCategory:[],
        levelTwoCategory:[],
        category:'',
        parentCategory:'',
        //全行业参数
        size_show: localStorage.getItem("size_show") || 1,
        color_show: localStorage.getItem("color_show") || 1,
        unit_show: localStorage.getItem("unit_show") || 0,
        origin_specification: localStorage.getItem("origin_specification") || 0,
        levelOneChoose: -1,
        levelTwoChooseId:'',
        // 二级分类全部数量
        twoProductCount: '',
        //权限相关
        positionName:false,
        stockManager:false,
        purchaseManager:false,
        companySetIndustry:true,
        labelPprinter:false,
        faAccount:true,
        is_advanced:0,
        company_name:'',
        company_id:'',
        user_id:'',
        jifenshow:false,
        bindDepot:-1,
        //--------------------
    },
    watch:{
        searchMsg: {//货号监听
            handler: function (val) {
                if(val!=null) {
                    $("#list").html('');
                    clearTimeout(timeOut);
                    timeOut=setTimeout(function(){
                        getProductList(1,'');
                    },350);
                }
            }
        }
    },
    methods:{
        getPurview :function(){//获取权限
            var _this = this;
            mui.ajax(severUrl + "sso/user/qryOp.json", {
                data : {
                    id : ''
                },
                headers : {
                    'Content-Type' : 'application/x-www-form-urlencoded'
                },
                xhrFields : {
                    withCredentials : true
                },
                dataType : 'json',
                type : 'post',
                timeout : 30000,
                async : false,
                success : function(res) {
                    if (res.success) {
                        // var position_name = res.data.position_name;
                        _this.company_name = res.data.company_name;
                        _this.company_id = res.data.company_id;
                        _this.bindDepot = res.data.manage_depot_id;
                        _this.user_id = res.data.id;
                        var code = res.data.position,permission = code.permission;
                        if(permission.indexOf('A11_1_O') >=0 || permission.indexOf('A11_1_E') >=0){
                            _this.positionName = true
                        }else{
                            _this.positionName = false
                        }
                        permission.indexOf('A4_1_E') >=0?_this.stockManager = true:_this.stockManager = false;
                        permission.indexOf('FA_ACC') >=0?_this.faAccount = true:_this.faAccount = false;
                        permission.indexOf('LOOK_PURCHASE') >=0?_this.purchaseManager = true:_this.purchaseManager = false;
                        permission.indexOf('ONLY_PRINT') >=0?_this.labelPprinter = true:_this.labelPprinter = false;
                        'RFRk,eYVo,y0oa,mVbc,pqrB,pDAY,CCP2,Oo4T,LfTY'.indexOf(_this.company_id) >=0?_this.jifenshow = true:_this.jifenshow=false
                        _this.companySetIndustry = res.data.company_set_industry;
                    }

                }
            });
        },
    },
    created:function(){

    },
    mounted: function () {
        var _this = this;
        setListener();
        var winHeight = localStorage.getItem("pageHeight");  //获取当前页面高度
        $("body").css('height',localStorage.getItem("pageHeight"));
        $(window).resize(function () {
            var u = navigator.userAgent, app = navigator.appVersion;
            var isAndroid = u.indexOf('Android') > -1 || u.indexOf('Linux') > -1; //android终端或者uc浏览器
            var isiOS = !!u.match(/\(i[^;]+;( U;)? CPU.+Mac OS X/); //ios终端
            if(isAndroid){
                var thisHeight = $(this).height();
                if ( winHeight - thisHeight > 140 ) {

                } else {
                    $("input").blur();
                    $("textarea").blur();
                }
            }else if(isiOS){
                if(sessionStorage.getItem("reloadPage") == 1){
                    sessionStorage.removeItem("reloadPage");
                    location.reload();
                }
            }
        });
        mui.plusReady(function(){
            getLevelOneCategory();
            _this.getPurview()
        })
    }
});
function setListener() {
    window.addEventListener("pageshow", function () {
        if (sessionStorage.getItem("reloadPage") == "1") {
            sessionStorage.removeItem("reloadPage");
            location.reload();
        }
        setTimeout(function () {
            if (sessionStorage.getItem("reloadPage") == "1") {
                sessionStorage.removeItem("reloadPage");
                location.reload();
            }
        }, 100);
    });
}
// var productList=[];//已搜索商品列表
setTimeout(function() {
    getProductList('','pullup');
});
var data = {
    num: 0,
    startY: '',
    moveEndY: '',
    isLoading: true,
}
function getProductList(index,val) {
    qryProduct = false; //禁止短时间多次查询
    if(index !=''){
        page=index
    }
    mui.ajax(severUrl +"scm/product/listWithWeight.json", {
        data: {
            "rows": 20,
            "page": page,
            "category":productListVM.category,
            "like":productListVM.searchMsg
        },
        headers: {
            'Content-Type': 'application/x-www-form-urlencoded'
        },
        xhrFields: {
            withCredentials: true
        },
        dataType: 'json',
        type: 'POST',
        timeout: 10000,
        beforeSend: function() {
            // mask.show();//显示遮罩层
            mui('#dh')[0].style.display = "block";
        },
        complete: function() {
            //mask.close();//关闭遮罩层
            mui('#dh')[0].style.display = "none";
        },
        success: function(res) {
            mui(".mui-pull-caption")[0].style.display = "block";
            var divs='';
            var totalPage=res.data.totalPage;
            this.list=res.data.list;
            console.log(this.list)
            for(var i=0; i< this.list.length; i++){
                this.list[i].picture_name=this.list[i].picture_name !=""?img_url+this.list[i].picture_name:"img/tx.jpg";
            }
            productListVM.productList=productListVM.productList.concat(res.data.list);
            if(page<totalPage){
               setTimeout(function(){
                    qryProduct = true;
                    data.isLoading = true;
                    $('.mui-pull-caption').text('上拉加载更多');
                    page++;
               },1500)
            }else{
                  data.isLoading = false;
                  $('.mui-pull-caption').text('没有更多数据了')
            }
            $("#ptList").show();
        }
    });
}
// 上拉加载
$(document).on('touchstart','#upFresh', function(e) {
    // e.preventDefault();
　　data.startY = e.originalEvent.changedTouches[0].pageY;
})
$(document).on('touchmove', '#upFresh',function(e) {
    // e.preventDefault();
　　data.moveEndY = e.originalEvent.changedTouches[0].pageY
　　Y = data.startY - data.moveEndY;
    if(Y>80){
        upLoading()
    }
})
function upLoading(){
    var scroll = mui('#pullrefresh').scroll();
    var scrollTop = scroll.y;
    //判断滚动到底部之下
    if(scrollTop < scroll.maxScrollY){
       if( data.isLoading === false || qryProduct == false){
           return
       }else{
           $('.mui-pull-caption').text('玩命加载中...');
           //请求数据
           getProductList('','pullup')
       }
    }
}
mui("body").on("tap",".muiBack",function () {
    mui.back()
});
mui('body').on('tap', '.icon-sousuo', function () {
    $(".productSearchIpt").focus();
});
//设置排序
mui("#list").on("tap",".sortInfo",function () {
    if(!productListVM.positionName){
        mui.toast('您没有该权限！');
        return false
    }
    var id = this.dataset.id;
    var btnArray=['取消','确定'];
    var info = this.dataset.weight !=0?this.dataset.weight:"数值越大，排序靠前";
    mui.prompt('',info,'商品排序',btnArray,function(e) {
        if(e.index==1){
            if(e.value != ""){
                if(Math.floor(Number(e.value)) === Number(e.value)){
                    mui.ajax(severUrl+"scm/wechatminiProductConf/updateProductConf.json", {
                        data: {
                            product_id:id,
                            weight:Number(e.value)
                        },
                        headers: {
                            'Content-Type': 'application/x-www-form-urlencoded'
                        },
                        xhrFields: {
                            withCredentials: true
                        },
                        dataType: 'json',
                        type: 'POST',
                        timeout: 10000,
                        success: function(res) {
                            mui.toast(res.msg)
                            mui.each(productListVM.productList,function(i,v){
                                if(v.id == id){
                                    v.weight = Number(e.value)
                                }
                            })
                        }
                    })
                }else{
                    mui.toast("排序数值只允许整数")
                }
            }
        }else{

        }
    },'div');
});
//设置上下架
mui("#list").on("tap",".soldOut",function () {
    var id = this.dataset.id
    console.log(id)
    mui.ajax(severUrl +"scm/product/setPutAway.json", {
        data: {
            product_id:id
        },
        headers: {
            'Content-Type': 'application/x-www-form-urlencoded'
        },
        xhrFields: {
            withCredentials: true
        },
        dataType: 'json',
        type: 'POST',
        timeout: 10000,
        success: function(res) {
            mui.toast(res.msg)
            if(res.success){
                mui.each(productListVM.productList,function(i,v){
                    if(v.id == id){
                        v.putaway = 1
                    }
                })
            }
        },
    });
});
mui("#list").on("tap",".putaway",function () {
    var id = this.dataset.id
    console.log(id)
    mui.ajax(severUrl +"scm/product/setPutAway.json", {
        data: {
            product_id:id
        },
        headers: {
            'Content-Type': 'application/x-www-form-urlencoded'
        },
        xhrFields: {
            withCredentials: true
        },
        dataType: 'json',
        type: 'POST',
        timeout: 10000,
        success: function(res) {
            mui.toast(res.msg)
            if(res.success){
                mui.each(productListVM.productList,function(i,v){
                    if(v.id == id){
                        console.log("ssssssss")
                        v.putaway = 0
                    }
                })
            }
        },
    });
});
//设置详情
mui("#list").on("tap",".particulars",function () {
    if(!productListVM.positionName){
        mui.toast('您没有该权限！');
        return false
    }
    var id = this.dataset.id;
    var btnArray=['取消','确定'];
    mui.prompt('','','商品详情',btnArray,function(e) {
        if(e.index==1){
            var product_desc=mui(".muiPrompt")[0].value;
            mui.ajax(severUrl +"scm/wechatminiProductConf/updateProductConf.json", {
                data: {
                    product_id:id,
                    product_desc:product_desc
                },
                headers: {
                    'Content-Type': 'application/x-www-form-urlencoded'
                },
                xhrFields: {
                    withCredentials: true
                },
                dataType: 'json',
                type: 'POST',
                timeout: 10000,
                success: function(res) {
                    mui.toast(res.msg);
                    mui.each(productListVM.productList,function(i,v){
                        if(v.id == id){
                            v.product_desc = product_desc
                        }
                    })
                },
            });
        }else{

        }
    },'div');
    var info = this.dataset.info;
    $(".mui-popup-input input").remove();
    var muiPrompt ="<textarea placeholder='商品详情' class='muiPrompt'>"+info+"</textarea>";
    $(".mui-popup-input").html(muiPrompt)
});
mui("body").on("tap",".imgClick",function () {
    var id = this.dataset.id;
    var name = this.dataset.name;
    console.log(id);
    mui.ajax(severUrl +"scm/product/qryProductPicturesById", {
        data: {
            id:id
        },
        headers: {
            'Content-Type': 'application/x-www-form-urlencoded'
        },
        xhrFields: {
            withCredentials: true
        },
        dataType: 'json',
        type: 'POST',
        timeout: 10000,
        success: function(res) {
            if(res.data.length>0){
                var list=res.data;
                for(var i=0; i<list.length; i++){
                    list[i].name=img_url+list[i].name;
                    list[i].product_name=name
                }
                productListVM.photoList=list;
                var html='';
                productListVM.photoList.forEach(function(v,i){
                    if(v.is_default == 1){
                        html +='<a href="'+v.name+'" class="swipebox" title="主图">' +
                            '<img src="'+v.name+'" alt="image">' +
                            '</a>'
                    }else{
                        html +='<a href="'+v.name+'" class="swipebox" title="'+v.product_name+'">' +
                            '<img src="'+v.name+'" alt="image">' +
                            '</a>'
                    }
                });
                $("#photo").html('');
                $("#photo").append(html);
                $(".swipebox")[0].click()
            }else{
                mui.toast("您未上传图片")
            }

        },
    });
});


var levelOneChoose = -1;
mui(".mui-content").on("tap",".classification",function () {
    var bigHeight=$(".bigUl").height();
    if(classification == false){
        // $(".bigLi").removeClass("addColor");
        // $(".bigLi").eq(0).addClass("addColor");
        mui('.mui-scroll-wrapper').scroll({
            deceleration: 0.0006, //flick 减速系数，系数越大，滚动速度越慢，滚动距离越小，默认值 0.0006
            indicators: false   //隐藏一条滚动条 增大减速系数。。。
        });
        if(bigHeight < 260){
            // mui('.bigUl')[0].style.height='260px';
            mui('.small')[0].style.height = '260px';
            mui('.big')[0].style.height = '260px';
            mui('#popover')[0].style.height = '260px'
        }else if(bigHeight > 350){
            mui('#popover')[0].style.height = '350px';
            // mui('.bigUl')[0].style.height='350px';
            mui('.big')[0].style.height='350px';
            mui('.small')[0].style.height = '350px';
        }
        var smallHeight=$(".smallUl").height();
        var heightSmall=$(".small").height();
        if(smallHeight < heightSmall){
            mui('.smallUl')[0].style.height = mui('.big')[0].style.height || mui('.bigUl')[0].style.height;
        }
        mui('.myBackdrop')[0].style.display = "block"; //开启遮罩
        mui('.classificationUp')[0].style.display = "block";
        mui('.FL')[0].style.visibility = "initial";
        mui('.classificationDown')[0].style.display = "none";
        classification = true;
        if(productListVM.levelOneChoose ==-1){
        }else{
            productListVM.category=productListVM.levelOneCategory[productListVM.levelOneChoose].id;
        }
    }else{
        mui('.classificationDown')[0].style.display = "block";
        mui('.FL')[0].style.visibility = "hidden";
        mui('.classificationUp')[0].style.display = "none";
        classification = false;
        mui('.myBackdrop')[0].style.display = "none"; //关闭遮罩
        mui('.mui-scroll-wrapper').scroll({
            indicators: false,
        });
        $(".bigLi").removeClass("addColor");
        if(productListVM.levelOneChoose ==-1){
            $(".bigLi").eq(0).addClass("addColor");
            productListVM.levelTwoCategory=[];
            productListVM.parentCategory='';
            productListVM.category='';
            levelOneChoose=-1;
        }else{
            $(".bigLi").eq(productListVM.levelOneChoose+1).addClass("addColor");
            getLevelTwoCategory(productListVM.levelOneCategory[productListVM.levelOneChoose].id);
            productListVM.parentCategory=productListVM.levelOneCategory[productListVM.levelOneChoose].id;
            productListVM.category=productListVM.levelOneCategory[productListVM.levelOneChoose].id;
            levelOneChoose=productListVM.levelOneChoose;
            console.log(productListVM.category)
        }
        // productListVM.levelTwoCategory =[];
    }
});

mui(".mui-content").on('tap',".bigLi",function(){
    productListVM.twoProductCount = $(this).attr("value");
    $(".bigLi").removeClass("addColor");
    $(this).addClass("addColor");
    var id = this.dataset.id;
    if(id !='1'){
        productListVM.category=id;
        productListVM.parentCategory=id;
        mui.each(productListVM.levelOneCategory,function(i,v){
            if(v.id==id){
                levelOneChoose = i
                // productListVM.levelOneChoose=i;
            }
        });
        getLevelTwoCategory(id)
    }else{
        productListVM.levelTwoCategory =[];
        productListVM.category='';
        productListVM.parentCategory='';
        levelOneChoose =-1
        // productListVM.levelOneChoose=-1;
    }
});

mui(".mui-content").on('tap',".smallLi",function(){
    var id = this.dataset.id;
    if(id !='1'){
        productListVM.category=id;
        mui.each(productListVM.levelTwoCategory,function(i,v){
            if(v.id==id){
                productListVM.levelTwoChooseId=v.id;
            }
        });
    }else{
        productListVM.levelTwoChooseId=productListVM.parentCategory+'-1';
        // productListVM.category=''
    }
    productListVM.levelOneChoose =levelOneChoose;
    console.log(productListVM.category);
    page=1;
    $("#list").html('');
    getProductList(1,'');
    mui('.classificationDown')[0].style.display = "block";
    mui('.FL')[0].style.visibility = "hidden";
    mui('.classificationUp')[0].style.display = "none";
    classification = false;
    mui('.myBackdrop')[0].style.display = "none"; //关闭遮罩
    mui('.mui-scroll-wrapper').scroll({
        indicators: false,
    });
    // productListVM.levelTwoCategory =[];
});
//一级分类查询
function getLevelOneCategory(){
    mui.ajax(severUrl + "scm/productcategory/qryAllLevelOneCategory.json",{
        data:{
        },
        type:'POST',
        timeout: 10000,//超时时间设置为10秒；
        headers: {
            'Content-Type': 'application/x-www-form-urlencoded'
        },
        xhrFields: {
            withCredentials: true
        },
        success:function(res){
            if(res.success){
                productListVM.levelOneCategory = res.data;
                console.log(productListVM.levelOneCategory)
            }
        }
    });
}
//二级分类查询
function getLevelTwoCategory(id){
    mui.ajax(severUrl + "scm/productcategory/qryAllLevelTwoCategory.json",{
        data:{
            parent_id:id
        },
        type:'POST',
        timeout: 10000,//超时时间设置为10秒；
        headers: {
            'Content-Type': 'application/x-www-form-urlencoded'
        },
        xhrFields: {
            withCredentials: true
        },
        success:function(res){
            if(res.success){
                productListVM.levelTwoCategory = res.data;
                console.log(productListVM.levelTwoCategory)
            }
        }
    })
}