var shares,buttonClick,oneChangeRemark = true;
Vue.filter("time-format", function (time) {
	var date = new Date(time.replace(/-/g, "/"));
	var newDate = date.getFullYear() + "年" + (date.getMonth() < 10 ? "0" + date.getMonth() : date.getMonth()) + "月" + date.getDate() + "日";
	return newDate;
});
var historyVM = new Vue({
	el: '#historyVM',
	data: {
		systemSetting:JSON.parse(localStorage.systemSetting),
		orderDetails: {
			order_amt:0,
			rebate_amt:0,
			discount:0,
			other_cost_price:0
		},
		depot_name: '',
		vipLevel:localStorage.getItem("vipLevel"),
		initRemarkValue: '',
		historyId: '',
		truePay:0,
		debtAmt:0,
		productListCai: [],
		productListTui:[],
		delivery_status: 0,
		pay_status: 1,
		delivery_type_arr: ['自提', '快递', '物流', '送货'],
		sign_date: '',
		orderAmount:0,
		size_show: localStorage.getItem("size_show") || 1,
		color_show: localStorage.getItem("color_show") || 1,
		unit_show: localStorage.getItem("unit_show") || 0,
		origin_specification: localStorage.getItem("origin_specification") || 0,
		logistics:'',
		consignee_address:'',
		//结算账户查询
		accountList:[],
		collectionList:[], //分批收款列表
		//权限相关
		positionName:false,
		stockManager:false,
		purchaseManager:false,
		companySetIndustry:true,
		labelPprinter:false,
		faAccount:true,
		is_advanced:0,
		company_name:'',
		company_id:'',
		user_id:'',
		jifenshow:false,
		bindDepot:-1,
		//--------------------
		// 快递公司数据
		deliveryCompanyList: [],
		deliveryCompany: '',
		orderRemarkImg:[],//单据图片
		repaymentHistoryList: []
	},
	watch: {
		orderDetails: function(){
			oneChangeRemark = true
		}
	},
	computed:{
		his_show:function(){
			var _this = this;
			return function(count,amount){
				if(_this.vipLevel == 1 && _this.systemSetting.sn_setting == 1){
					if(count != '' && count > 0&&count==amount){
						return '<span class="iconfont icon-tubiaozhizuomoban1111111 font-orange"></span>'
					}else{
						return '<span class="iconfont icon-tubiaozhizuomoban1111111 font-gray"></span>'
					}
				}else{
					return ''
				}
			}
		}
	},
	methods: {
		uploadPic:function (e){
			viewHandle.openWindow('view/uploadPic.html', 'uploadPic.html',{order_id:e});
		},
		snsSet:function(item,e){
			e.target.style.fontSize='18px'
			setTimeout(function(){
				e.target.style.fontSize='16px'
			},80)
			item.depot_id = historyVM.orderDetails.depot_id;
			item.customer_name = historyVM.orderDetails.customer_name;
			var listSend = {
				item:item,
				args:{
					parentPage:'cai_his'
				}
			};
			viewHandle.openWindow("sns_set.html","sns_set.html",JSON.stringify(listSend))
		},
		bnsLook:function(item,e){
			e.target.style.fontSize='18px'
			setTimeout(function(){
				e.target.style.fontSize='16px'
			},80)
			item.depot_id = historyVM.orderDetails.depot_id;
			item.customer_name = historyVM.orderDetails.customer_name;
			var listSend = {
				item:item,
				args:{
					parentPage:'cai_his'
				}
			};
			viewHandle.openWindow("bns_look.html","bns_look.html",JSON.stringify(listSend))
		},
		getPurview :function(){//获取权限
			var _this = this;
			mui.ajax(severUrl + "sso/user/qryOp.json", {
				data : {
					id : ''
				},
				headers : {
					'Content-Type' : 'application/x-www-form-urlencoded'
				},
				xhrFields : {
					withCredentials : true
				},
				dataType : 'json',
				type : 'post',
				timeout : 30000,
				async : false,
				success : function(res) {
					if (res.success) {
						// var position_name = res.data.position_name;
						_this.company_name = res.data.company_name;
						_this.company_id = res.data.company_id;
						_this.bindDepot = res.data.manage_depot_id;
						_this.user_id = res.data.id;
						var code = res.data.position,permission = code.permission;
						if(permission.indexOf('A11_1_O') >=0 || permission.indexOf('A11_1_E') >=0){
							_this.positionName = true
						}else{
							_this.positionName = false
						}
						permission.indexOf('A4_1_E') >=0?_this.stockManager = true:_this.stockManager = false;
						permission.indexOf('FA_ACC') >=0?_this.faAccount = true:_this.faAccount = false;
						permission.indexOf('LOOK_PURCHASE') >=0?_this.purchaseManager = true:_this.purchaseManager = false;
						permission.indexOf('ONLY_PRINT') >=0?_this.labelPprinter = true:_this.labelPprinter = false;
						'RFRk,eYVo,y0oa,mVbc,pqrB,pDAY,CCP2,Oo4T,LfTY'.indexOf(_this.company_id) >=0?_this.jifenshow = true:_this.jifenshow=false
						_this.companySetIndustry = res.data.company_set_industry;
					}

				}
			});
		},
		loadOrderInfo: function (historyId, cbFn) {
			var self = this;
			if (!historyId) {
				return;
			}
			self.historyId = historyId;
			viewHandle.close();
			viewHandle.waiting("单据查询中请稍后......");
			$API.order.queryOrderInfo({
				id: historyId
			}).then(function(res){

				viewHandle.close();
				plus.share.getServices(function(s) {
					shares = {};
					for(var i in s) {
						var t = s[i];
						shares[t.id] = t;
					}
				}, function(e) {
					console.log("获取分享服务列表失败：" + e.message);
				});
				historyVM.orderRemarkImg=res.data.orderpicture
				historyVM.orderRemarkImg.forEach((item)=>{
					item.temp=false
				})
				localStorage.setItem('orderRemarkTempImg',JSON.stringify(historyVM.orderRemarkImg))
				//获取备注图片
				$comm.getRemarkHeightLight()
				self.orderDetails = res.data;
				if(self.orderDetails.submit_status == 2){
					$("#revokeOrder").html('删除');
					$("#historyOrder").hide()
				}else{
					$("#revokeOrder").html('撤销');
					$("#historyOrder").show()
				}

				// 收款历史记录
				let repaymentHistoryList = res.data.customer_history_list || []

				repaymentHistoryList = repaymentHistoryList.filter(function(i){
					return i.receive !== false || i.receiveDiscount !== false //开单时的收款 不显示
				})

				historyVM.$set(historyVM, 'repaymentHistoryList', repaymentHistoryList)

				var collectionList = [],collection = [],timeList = [];
				// if(self.orderDetails.relation_arrears !=''){
				// 	collection = self.orderDetails.relation_arrears.split(";");
				// 	collection.forEach(function(v){
				// 		timeList = v.split(":");
				// 		if(timeList.length == 4){
				// 			collectionList.push(timeList)
				// 		}
				// 	})
				// }
				if(self.orderDetails.relation_father_fa_order !=''){
					collection = self.orderDetails.relation_father_fa_order.split(";");
					collection.forEach(function(v){
						timeList = v.split(":");
						if(timeList.length == 4){
							collectionList.push(timeList)
						}
					})
				}
				collectionList.sort(function (a, b) {
					return a[3] > b[3] ? -1 : 1;
				});
				collectionList.filter(function(item,index){
					return collectionList[index] = "还款："+numToCur(item[1],historyVM.systemSetting.price_decimals_setting,'price')+"元 ("+item[2]+")"+"  "+historyVM.formatTime(item[3])
				})
				self.$set(self, 'collectionList', collectionList)


				self.debtAmt = self.orderDetails.debt_amt;
				self.truePay = self.orderDetails.debt_amt;
				var orderAmount = 0;
				var productListCai = [],productListTui = [];
				mui.each(self.orderDetails.productlist, function (i, v) {
					if(v.type == 0){
						productListCai.push(v)
					}else{
						productListTui.push(v)
					}
					// var display_unit_ratio =v.display_unit_ratio !='' ? Number(v.display_unit_ratio):1;
					if(v.type ==0){
						// orderAmount +=Number(v.amount/display_unit_ratio)
						orderAmount +=Number(v.amount)
					}else{
						// orderAmount -=Number(v.amount/display_unit_ratio)
						orderAmount -=Number(v.amount);
					}
				});
				mui.each(productListCai, function (i, v) {
					if(i ==0){
						v.picture_name = v.picture_name !=""?(img_url+v.picture_name):"img/tx.jpg";
					}else{
						if(v.product_id ==productListCai[i-1].product_id){
							v.picture_name = ''
						}else{
							v.picture_name = v.picture_name !=""?(img_url+v.picture_name):"img/tx.jpg";
						}
					}
				});
				mui.each(productListTui, function (i, v) {
					if(i ==0){
						v.picture_name = v.picture_name !=""?(img_url+v.picture_name):"img/tx.jpg";
					}else{
						if(v.product_id == productListTui[i-1].product_id){
							v.picture_name = ''
						}else{
							v.picture_name = v.picture_name !=""?(img_url+v.picture_name):"img/tx.jpg";
						}
					}
				});
				self.productListCai = productListCai;
				self.productListTui = productListTui;
				self.orderAmount = numToCur(orderAmount,historyVM.systemSetting.amount_decimals_setting);
				historyVM.logistics = historyVM.orderDetails.logistics_number;
				var test=historyVM.orderDetails.consignee_address;
				var mapObj = {
					"{":"",
					"consignee":"收货人",
					"mobile":"电话",
					"address":"地址",
					"transportDay":"收货时间",
					"}":""
				};
				test = test.replace(/{|consignee|mobile|address|transportDay|}/gi, function(matched){
					return mapObj[matched];
				});
				historyVM.consignee_address = test;
				historyVM.deliveryCompany = res.data.delivery_company || '';
				self.initRemarkValue = self.orderDetails.remark;
				self.delivery_status = res.data.delivery_status;

				self.sign_date = res.data.sign_date.substr(6, 5);
				var depotList = JSON.parse(sessionStorage.getItem("depotList"));

				mui.each(depotList, function (index, depot) {
					if (depot.id == self.orderDetails.depot_id) {
						self.depot_name = depot.name;
					}
				})
				$('.swipebox').swipebox();
				//保存数据方便历史打印
				var x=[];
				var truePay =res.data.org_debt_amt !=''?Number(res.data.order_amt - res.data.org_debt_amt):Number(res.data.order_amt - res.data.debt_amt);
				if(truePay>=0){
					truePay=Number(truePay-res.data.rebate_amt - (res.data.deduction_amt || 0))
				}else{
					truePay=Number(truePay+res.data.rebate_amt - (res.data.deduction_amt || 0))
				}
				var productlist=[];
				mui.each(res.data.productlist,function(i,v){
					v.unitChooseId=v.display_unit_id;
					v.unitChooseName=v.display_unit_name;
					v.unitChooseRatio=v.display_unit_ratio;
					v.desc = v.description
				});
				productlist = res.data.productlist;
				let deliveryCompany = indexVM.deliveryCompanyList.find(function(i){
					return i.delivery_company === res.data.delivery_company
				})
				let deliveryCompanyStr = deliveryCompany ? deliveryCompany.name : ''
				x.push({
					"sign_date":res.data.sign_date,
					"rebate_amt":res.data.rebate_amt,
					"order_amt":res.data.order_amt,
					"purchase_amt":res.data.purchase_amt,
					"ordertype":res.data.ordertype,
					"debt_amt":res.data.debt_amt,
					"org_debt_amt":res.data.org_debt_amt,
					"truePay":truePay,
					"deduction_amt":res.data.deduction_amt, //抵扣金额
					"change_interal":res.data.changeinteral,//本单积分
					"integral":res.data.integral,//客户总积分
					"real_name":res.data.creater_name,
					"delivery_type":res.data.delivery_type,
					"depot_name":self.depot_name,
					"customer_name":res.data.customer_name,
					"company_name":indexVM.companyName,
					"remark":res.data.remark,
					"productlist":productlist,
					"color_show":historyVM.color_show, //全行业参数
					"size_show":historyVM.size_show, //全行业参数
					"unit_show":historyVM.unit_show, //全行业参数
					"origin_specification":historyVM.origin_specification, //全行业参数
					"other_cost_name":res.data.other_cost_name, //其他费用名称
					"other_cost_price":res.data.other_cost_price, //其他费用价格
					"account_name":res.data.account_name,
					"head_name":res.data.head_name,
					"print_address":res.data.consignee_address,
					"ordersn": res.data.ordersn,
					'logistics_number': res.data.logistics_number,
					'delivery_company_name': deliveryCompanyStr,
					'is_check_customer': res.data.is_check_customer === '1'
				});
				sessionStorage.setItem("historyPrint",JSON.stringify(x));
				$.fn.textAutoHeight = function(){
					function textAutoHeight(elem){
						elem.style.height = '30px';
						elem.scrollTop = 0; //防抖动
						elem.style.height = elem.scrollHeight + 'px';
						if(oneChangeRemark){
							oneChangeRemark = false
						}else{
							document.body.scrollTop=document.body.scrollHeight
						}
					}
					this.each(function(){
						textAutoHeight(this);
						$(this).on('keyup', function(){
							textAutoHeight(this);
						});
					});
				};
				setTimeout(function(){
					$('#textarea[textAutoHeight]').textAutoHeight();
				},280)
				cbFn&&cbFn()

			}).catch(function(){
				viewHandle.close();
			})
		},
		formatTime:function(timestamp){
			function format(m){return m<10?'0'+m:m }
			var time = new Date(parseInt(timestamp));
			var y = time.getFullYear();
			var m = time.getMonth()+1;
			var d = time.getDate();
			var h = time.getHours();
			var mm = time.getMinutes();
			var s = time.getSeconds();
			return y+'-'+format(m)+'-'+format(d)+' '+format(h)+':'+format(mm)+':'+format(s);
		},
		deductionOrder:function(val){
			if(val.relation_children_fa_order == ""){
				mui.toast("无关联单据");
				return false
			}
			var relation_children_fa_order = val.relation_children_fa_order.split(";"),ids = [],_this = this;
			relation_children_fa_order.forEach(function(v){
				ids.push("'"+v.split(":")[0]+"'")
			})
			mui.ajax(severUrl + "scm/order/dataGridByIds.json", {//单笔采购或草稿详细信息获取
				data: {
					ids: ids.toString()
				},
				headers: {
					'Content-Type': 'application/x-www-form-urlencoded'
				},
				beforeSend: function() {
					viewHandle.waiting("查询中...")
				},
				complete: function() {
					viewHandle.close()
				},
				xhrFields: {
					withCredentials: true
				},
				dataType: 'json',
				type: 'post',
				timeout: 10000,
				success: function (res) {
					if(res.success){
						var listSend = {};
						listSend.orderType = 'out';
						listSend.searchHistoryList = res.data;
						viewHandle.openWindow('outboundOrder.html','outboundOrder.html',JSON.stringify(listSend));
					}else{
						mui.toast(res.msg)
					}
				}
			});
		},
		getAccountList:function(){
			mui.ajax(severUrl + "fa/account/list.json", {
				data: {
				},
				headers: {
					'Content-Type': 'application/x-www-form-urlencoded'
				},
				xhrFields: {
					withCredentials: true
				},
				dataType: 'json',
				type: 'post',
				timeout: 10000,
				success: function (res) {
					if(res.success){
						historyVM.accountList = res.data;
						if(historyVM.accountList.length>0){
							historyVM.pay_status = historyVM.accountList[0].type
						}
						historyVM.accountList.sort(ascCompare("type"));
					}
				}
			});
		},
		orderLogisticsFn: function () {
			var self = this;
			var historyId = this.historyId;
			var logistics = document.getElementById("logistics").value;
			mui.ajax(severUrl + "scm/order/updateLogisticsNumber.json", {//修改销售单/进货单备注
				data: {
					id: historyId,
					logistics_number: logistics
				},
				headers: {
					'Content-Type': 'application/x-www-form-urlencoded'
				},
				xhrFields: {
					withCredentials: true
				},
				dataType: 'json',
				type: 'post',
				timeout: 10000,
				success: function (res) {
					mui.toast(res.msg);
					self.loadOrderInfo();
				}
			});
		},
		orderRemarkFn: function () {
			var self = this;
			var historyId = self.historyId;
			var remark = document.getElementById("textarea").value;

			if (this.initRemarkValue == remark) return;

			mui.ajax(severUrl + "scm/order/updateRemark.json", {
				data: {
					id: historyId,
					remark: remark
				},
				headers: {
					'Content-Type': 'application/x-www-form-urlencoded'
				},
				xhrFields: {
					withCredentials: true
				},
				dataType: 'json',
				type: 'post',
				timeout: 10000,
				success: function (res) {
					mui.toast(res.msg);
					self.loadOrderInfo();
					var date = new Date(indexVM.historyTime);
					var searchTime = date.getFullYear() + "-" + ((date.getMonth() + 1) < 10 ? "0" + (date.getMonth() + 1) : (date.getMonth() + 1)) + "-" + (date.getDate() < 10 ? "0" + date.getDate() : date.getDate());
					// searchEnterHistory(searchTime, searchTime,'init');
				}
			});
		},
		saveOrdersnHandle(event){
			let _this=this
			var historyId = this.historyId;
			let ordersn=event.target.value
			if (this.orderDetails.ordersn == ordersn) return;
			mui.ajax(severUrl + "scm/order/updateOrderSN.json", {
				data: {
					id: historyId,
					ordersn: ordersn
				},
				headers: {
					'Content-Type': 'application/x-www-form-urlencoded'
				},
				xhrFields: {
					withCredentials: true
				},
				dataType: 'json',
				type: 'post',
				timeout: 10000,
				success: function(res) {
					mui.toast(res.msg);
					_this.loadOrderInfo();
				}
			});
		},
		setColor: function(v, b) {
			var self = this;
			var historyId = self.historyId;
			var orderFlag = v;
			if (self.initOrderFlag == orderFlag) return;
			self.initOrderFlag = orderFlag;
			mui.ajax(severUrl + "scm/order/updateFlag.json", { //销售历史小旗帜order_flag 修改
				data: {
					id: historyId,
					order_flag: orderFlag
				},
				headers: {
					'Content-Type': 'application/x-www-form-urlencoded'
				},
				xhrFields: {
					withCredentials: true
				},
				dataType: 'json',
				type: 'post',
				timeout: 10000,
				success: function(res) {
					historyVM.orderDetails.order_flag = orderFlag;
					mui.toast(res.msg)
				}
			});
		},
		jumpUserCollectionAdd(){
			let listSend = {};
			listSend.type = 'supplier'
			listSend.jifenKT = indexVM.jifenKT
			listSend.cost_money_unit = indexVM.cost_money_unit
			listSend.increase_bonus = indexVM.increase_bonus
			listSend.orderDetails = this.orderDetails
			listSend.integral = this.orderDetails.integral
			listSend.name = this.orderDetails.customer_name
			listSend.id = this.orderDetails.customer_id
			listSend.arrears = this.orderDetails.debt_amt
			viewHandle.openWindow('./view/user_collection_add.html','user_collection_add.html',JSON.stringify(listSend))
		},
		jumpUserCollectionInfo(item){
			let id = item.customerHistoryId
			// mui.toast('显示详情')
			let listSend = {};
			listSend.type = 'supplier'
			listSend.id = id
			viewHandle.openWindow('./view/user_collection_history_info.html','user_collection_history_info.html',JSON.stringify(listSend))
		}
	},
	created: function () {
	},
	mounted: function () {
		var _this = this;
		setListener();
		mui.plusReady(function(){
			_this.loadOrderInfo();
			_this.getPurview()
		})
		this.ordersnDom = document.querySelector('#ordersnDom')
	}
});
function setListener() {
	mui('.mui-scroll-wrapper').scroll({
		deceleration: 0.0006 //flick 减速系数，系数越大，滚动速度越慢，滚动距离越小，默认值0.0006
	});
	mui(".mui-content").on('tap', '.historyToggleState', function() {
		mui.confirm("", "旗帜方式", ["取消", "确定"], function(e) {
			if (e.index == 1) {
				var type = Number($(".chooseOne")[0].getAttribute("name"));
				switch (type) {
					case 1:
						historyVM.setColor(type, 'red')
						break;
					case 2:
						historyVM.setColor(type, 'yellow')
						break;
					case 3:
						historyVM.setColor(type, 'blue')
						break;
					case 4:
						historyVM.setColor(type, 'green')
						break;
					case 5:
						historyVM.setColor(type, '#666')
						break;
				}
			} else {

			}
		}, 'div');
		//样式重写
		$(".mui-popup-in").css('border-radius', 0);
		$(".mui-popup-inner").css('border-radius', '6px');
		$(".mui-popup-inner").css('overflow', 'hidden');
		$(".mui-popup-inner").css('padding', 0);
		$(".mui-popup-title").remove();
		$(".mui-popup-buttons").css('display', 'none');
		//样式重写
		var muiPrompt =
			"<div class='qizhiType' style='display: flex; align-items: center; justify-content: space-between; height: 40px; padding: 0 15px;'>" +
			"<span name='5' class='iconfont icon-qizhi chooseclick' style='color: #666'></span>" +
			"<span name='1' class='iconfont icon-qizhi chooseclick' style='color: red'></span>" +
			"<span name='2' class='iconfont icon-qizhi chooseclick' style='color: yellow'></span>" +
			"<span name='3' class='iconfont icon-qizhi chooseclick' style='color: blue'></span>" +
			"<span name='4' class='iconfont icon-qizhi chooseclick' style='color: green'></span>" +
			"</div>"
		$(".mui-popup-text").html(muiPrompt);
		setTimeout(function() {
			$('.qizhiType span').removeClass("chooseOne")
		})
	});
	mui("body").on('tap', '.chooseclick', function() {
		$('.qizhiType span').removeClass("chooseOne")
		$(this).addClass("chooseOne")
		mui.trigger(document.getElementsByClassName("mui-popup-button-bold")[0], 'tap');
	})
	var toggleFlag = true;
	mui(".radius").on('tap', '.toggle-state-history', function () {
		if (toggleFlag) {
			mui('.history-arrowup')[0].style.display = "block";
			mui('.selectFormHistory')[0].style.display = "block";
			mui('.history-arrowdown')[0].style.display = "none";

			toggleFlag = false;
		} else {
			mui('.history-arrowup')[0].style.display = "none";
			mui('.selectFormHistory')[0].style.display = "none";
			mui('.history-arrowdown')[0].style.display = "block";

			toggleFlag = true;
		}
	})

	var toggleFlagFh = false;
	mui(".radius").on('tap', '.toggle-state-his-fh', function () {
		if (toggleFlagFh) {
			mui('.fh-history-arrowup')[0].style.display = "block";
			mui('.selectFormHistoryFh')[0].style.display = "block";
			mui('.fh-history-arrowdown')[0].style.display = "none";

			toggleFlagFh = false;
		} else {
			mui('.fh-history-arrowup')[0].style.display = "none";
			mui('.selectFormHistoryFh')[0].style.display = "none";
			mui('.fh-history-arrowdown')[0].style.display = "block";

			toggleFlagFh = true;
		}
	})


	mui("header").on('tap', '.back-caigou-top', function () {
		localStorage.removeItem('orderRemarkTempImg')
		//清空备注图片的高亮
		$comm.getRemarkHeightLight()
		mui('#purchaseHistory')[0].style.display = "none";
		mui('#caigouDom')[0].style.display = "block";
		mui('#caigouDom')[0].style.visibility='visible';
	});

	/*订单复制*/
	mui(".combindBox").on('tap', '.orderCopy', function () {
		plus.nativeUI.actionSheet({
				title: '请选择复制目标',
				cancel: "取消",
				buttons: [{title: '复制到采购'}, {title: '复制到销售'}, {title: '复制到采购退货'}]
			},
			function (e) {
				let type
				switch (e.index) {
					case 1: type = 'purchase'; break;
					case 2: type = 'sales'; break;
					case 3: type = 'purchase_return'
				}
				type&&copyInfo(type)
			}
		)
	});

	// mui(".mui-content").on('click', '.back-caigou', function () {
	//
	// });

	mui('.fh-status-history').on('tap', '.mui-switch', function () {
		$(".my-handle").removeAttr("style");
		if (historyVM.delivery_status == 0) {
			historyVM.delivery_status = 1;
		} else {
			historyVM.delivery_status = 0;
		}

		mui.ajax(severUrl + "scm/order/modifyDeliveryStatus.json", {
			data: {
				id: historyVM.historyId,
				delivery_status: historyVM.delivery_status
			},
			headers: {
				'Content-Type': 'application/x-www-form-urlencoded'
			},
			xhrFields: {
				withCredentials: true
			},
			dataType: 'json',
			type: 'post',
			timeout: 10000,
			success: function (res) {
				mui.toast(res.msg);

				if (indexVM.lsDateFirst != '' || indexVM.lsDateLast != '') {
					searchEnterHistory(indexVM.lsDateFirst, indexVM.lsDateLast,'init');

				} else {
					var date = new Date(indexVM.historyTime);
					var searchTime = date.getFullYear() + "-" + ((date.getMonth() + 1) < 10 ? "0" + (date.getMonth() + 1) : (date.getMonth() + 1)) + "-" + (date.getDate() < 10 ? "0" + date.getDate() : date.getDate());

					searchEnterHistory(searchTime, searchTime,'init');
				}
			}
		});
	});

	// mui(".pay-status-history").on('tap', '.get-money-btn', function () {
	// 	mui.confirm("", "确认还款?", ["取消","确定"], function (e) {
	// 		if(e.index==1){
	// 			if(historyVM.truePay > historyVM.debtAmt){
	// 				mui.toast('输入金额大于欠款金额！');
	// 				return false
	// 			}
	// 			if(historyVM.truePay <= 0){
	// 				mui.toast('输入金额不能小于等于0！');
	// 				return false
	// 			}
	// 			var type =$(".colorOrange").attr("type");
	// 			historyVM.pay_status = type;
	// 			let mony = numToCur(historyVM.truePay,historyVM.systemSetting.price_decimals_setting, 'price')
	// 			mui.ajax(severUrl + "scm/order/clearDebtByOrderID.json", {
	// 				data: {
	// 					id: historyVM.historyId,
	// 					pay_status: historyVM.pay_status,
	// 					debt_status: mony == historyVM.debtAmt?0:historyVM.orderDetails.debt_status,
	// 					pay_mony: mony
	// 				},
	// 				headers: {
	// 					'Content-Type': 'application/x-www-form-urlencoded'
	// 				},
	// 				xhrFields: {
	// 					withCredentials: true
	// 				},
	// 				dataType: 'json',
	// 				type: 'post',
	// 				timeout: 10000,
	// 				success: function (res) {
	// 					mui.toast(res.msg);
	// 					// if(res.success){
	// 					// 	plus.webview.getWebviewById('caigou.html').evalJS("arrearsEdit('"+historyVM.orderDetails.customer_id+"','"+historyVM.truePay+"','history')");
	// 					// }
	// 					historyVM.orderDetails.pay_status = historyVM.pay_status;
	// 					historyVM.loadOrderInfo(historyVM.historyId);
	// 					if (indexVM.lsDateFirst != '' || indexVM.lsDateLast != '') {
	// 						searchEnterHistory(indexVM.lsDateFirst, indexVM.lsDateLast,'init');
	//
	// 					} else {
	// 						var date = new Date(indexVM.historyTime);
	// 						var searchTime = date.getFullYear() + "-" + ((date.getMonth() + 1) < 10 ? "0" + (date.getMonth() + 1) : (date.getMonth() + 1)) + "-" + (date.getDate() < 10 ? "0" + date.getDate() : date.getDate());
	//
	// 						searchEnterHistory(searchTime, searchTime,'init');
	// 					}
	// 					localStorage.setItem("caiPageAction",'supplierRefresh') //刷新页面参数
	// 				}
	// 			});
	// 		}else{
	//
	// 	  }
	// 	},'div');
	// 	$(".mui-popup-in").css('border-radius',0);
	// 	$(".mui-popup-inner").css('border-radius','6px 6px 0 0');
	// 	$(".mui-popup-inner").css('padding',0);
	// 	$(".mui-popup-text").css('margin',0);
	// 	$(".mui-popup-title").css('line-height','40px');
	// 	$(".mui-popup-button:first-child").css('border-radius','0 0 0 6px');
	// 	$(".mui-popup-button:last-child").css('border-radius','0 0 6px');
	// 	var muiPrompt = "<div style='border-top: 1px solid #e2e2e2;' class='payTypeDiv'><div style='width: 30px; text-align: left'>还款</div><div style='flex: 1; align-items: center'><input style='padding: 0 10px; height: 25px; margin: 0; background: transparent' id='hisTruePay' type='number' value='"+historyVM.truePay+"'></div></div>";
	// 	//样式重写
	// 	mui.each(historyVM.accountList,function(i,v){
	// 		switch (v.type) {
	// 			case 1:
	// 				if(v.is_disable == 1) break
	// 				var type = v.type;
	// 				muiPrompt +="<div class='payTypeDiv historyPayType'><div style='display: flex; flex: 1'><span class='iconfont icon-xianjin' style='color: #fe7e7e'>&nbsp;</span><span class='historyPay colorOrange' type='"+v.type+"'>"+v.name+"</span></div><div style='width: 24px'><span class='mui-icon mui-icon-checkmarkempty historyPay colorOrange' style='font-size: 36px; display: none'></span></div></div>"
	// 				break;
	// 			case 2:
	// 				if(v.is_disable == 1) break;
	// 				muiPrompt +="<div class='payTypeDiv historyPayType'><div style='display: flex; flex: 1'><span class='iconfont icon-zhifubao' style='color: #09aaf0'>&nbsp;</span><span class='historyPay' type='"+v.type+"'>"+v.name+"</span></div><div style='width: 24px'><span class='mui-icon mui-icon-checkmarkempty historyPay' style='font-size: 36px; display: none'></span></div></div>"
	// 				break;
	// 			case 3:
	// 				if(v.is_disable == 1) break;
	// 				muiPrompt +="<div class='payTypeDiv historyPayType'><div style='display: flex; flex: 1'><span class='iconfont icon-icon1460188541813' style='color: #51c232'>&nbsp;</span><span class='historyPay' type='"+v.type+"'>"+v.name+"</span></div><div style='width: 24px'><span class='mui-icon mui-icon-checkmarkempty historyPay' style='font-size: 36px; display: none'></span></div></div>"
	// 				break;
	// 			case 4:
	// 				if(v.is_disable == 1) break;
	// 				muiPrompt +="<div class='payTypeDiv historyPayType'><div style='display: flex; flex: 1'><span class='iconfont icon-bank-card' style='color: #f90000'>&nbsp;</span><span class='historyPay' type='"+v.type+"'>"+v.name+"</span></div><div style='width: 24px'><span class='mui-icon mui-icon-checkmarkempty historyPay' style='font-size: 36px; display: none'></span></div></div>"
	// 				break;
	// 			default:
	// 				if(v.is_disable == 1) break;
	// 				muiPrompt +="<div class='payTypeDiv historyPayType'><div style='display: flex; flex: 1'><span class='iconfont icon-qitaphone' style='color: #b74c00'>&nbsp;</span><span class='historyPay' type='"+v.type+"'>"+v.name+"</span></div><div style='width: 24px'><span class='mui-icon mui-icon-checkmarkempty historyPay' style='font-size: 36px; display: none'></span></div></div>"
	// 				break;
	// 		}
	// 	})
	// 	$(".mui-popup-text").html(muiPrompt);
	// 	document.getElementById("hisTruePay").addEventListener("click", function(event) {
	// 		mui("#hisTruePay")[0].value = '';
	// 	})
	// 	document.getElementById("hisTruePay").addEventListener("blur", function(event) {
	// 		mui("#hisTruePay")[0].value = historyVM.truePay;
	// 	})
	// 	document.getElementById("hisTruePay").addEventListener("keyup", function(event) {
	// 		historyVM.truePay =  numEdit(event,'','',historyVM.systemSetting.price_decimals_setting)
	// 	})
	// 	setTimeout(function(){
	// 		$('.historyPay').removeClass("colorOrange");
	// 		$(".historyPayType").eq(historyVM.pay_status-1).find(".historyPay").addClass("colorOrange")
	// 	})
	// });
	// mui("body").on('tap','.historyPayType',function(){
	// 	$('.historyPay').removeClass("colorOrange");
	// 	$(this).find('.historyPay').addClass("colorOrange")
	// });
	/*修改 保存备注按钮*/
	mui(".mui-content").on('click', '#save', function () {
		mui.confirm("确认保存修改备注吗", "提示", ["取消","确定"], function (e) {
			if (e.index == 1) {//确定
				var historyId = historyVM.historyId;
				sessionStorage.setItem("remark", document.getElementById("textarea").value)
				var remark = sessionStorage.getItem("remark");
				mui.ajax(severUrl + "scm/order/updateRemark.json", {
					data: {
						id: historyId,
						remark: remark
					},
					headers: {
						'Content-Type': 'application/x-www-form-urlencoded'
					},
					xhrFields: {
						withCredentials: true
					},
					dataType: 'json',
					type: 'post',
					timeout: 10000,
					success: function (res) {
						mui.toast(res.msg);
					}
				});
			}
		});
		return false;
	});


	mui(".combindBox").on('tap', '.revokeOrder', function () {
		let loading
		if(historyVM.orderDetails.submit_status==2){
			mui.confirm("是否确认删除？", "提示", ["取消", "确定"], function(e) {
				if (e.index == 1 && buttonClick) {
					buttonClick = false;
					var historyId = historyVM.historyId;
					loading = $comm.showLoading('请稍后..', {back: 'none'})
					$API.order.delOrder({id: historyId}).then(function(res){
						loading.close()
						mui.toast(res.msg);
						setTimeout(function () {
							mui('.revokeOrder').button('reset');
							mui('#purchaseHistory')[0].style.display = "none";
							mui('#caigouDom')[0].style.display = "block";
							mui('#caigouDom')[0].style.visibility='visible'
							// 历史单据列表更新
							indexVM.searchEnterHistoryList = indexVM.searchEnterHistoryList.filter(function(i){
								return i.id !== indexVM.historyId
							})
							indexVM.paginationData.history.totalRow -= 1
							buttonClick = true;
						}, 1000);
						localStorage.setItem("caiPageAction",'supplierRefresh'); //刷新页面参数
						localStorage.setItem("pinProductListPage","refresh");
					}).catch(function(e){
						loading.close()
						buttonClick = true;
					})
				}
			}, 'div')
		}else{
			mui.confirm("撤销后，该单据内所有的商品库存数量将会变动，是否确认撤销？", "提示", ["取消","确定"], function (e) {
				if (e.index == 1 && buttonClick) {
					mui.each(historyVM.orderDetails.productlist,function(i,v){
						delete(v["picture_name"]);
						delete(v["product_name"]);
						delete(v["product_model"]);
						delete(v["material"]);
						delete(v["size_name"]);
						delete(v["description"]);
						delete(v["display_unit_name"]);
						delete(v["color_name"]);
					});
					buttonClick = false;
					mui('.revokeOrder').button('loading');
					var historyId = historyVM.historyId;
					let order = {
						order_product_amount: (historyVM.orderDetails.in_amount || 0) - (historyVM.orderDetails.out_amount || 0),
						price: historyVM.orderDetails.order_amt || 0
					}
					function success(res){
						mui.toast(res.msg);
						// setTimeout(function () {
							mui('.revokeOrder').button('reset');
							// mui('#purchaseHistory')[0].style.display = "none";
							// mui('#caigouDom')[0].style.display = "block";
							// if (indexVM.lsDateFirst != '' || indexVM.lsDateLast != '') {
							// 	searchEnterHistory(indexVM.lsDateFirst, indexVM.lsDateLast,'init');
							// } else {
							// 	var date = new Date(indexVM.historyTime);
							// 	var searchTime = date.getFullYear() + "-" + ((date.getMonth() + 1) < 10 ? "0" + (date.getMonth() + 1) : (date.getMonth() + 1)) + "-" + (date.getDate() < 10 ? "0" + date.getDate() : date.getDate());
							// 	searchEnterHistory(searchTime, searchTime,'init');
							// }
							buttonClick = true;
						// }, 1000);
						//历史单据更新
						historyVM.loadOrderInfo(indexVM.historyId)
						// 历史单据列表更新
						indexVM.searchEnterHistoryList.find(function(i){
							return i.id === indexVM.historyId
						}).submit_status = 2
						indexVM.historyTotal.all_order_product_amount = numToCur(indexVM.historyTotal.all_order_product_amount - order.order_product_amount,indexVM.systemSetting.amount_decimals_setting)
						indexVM.historyTotal.all_price = numToCur(indexVM.historyTotal.all_price - order.price,indexVM.systemSetting.price_decimals_setting,'price')

						localStorage.setItem("caiPageAction",'supplierRefresh'); //刷新页面参数
						localStorage.setItem("pinProductListPage","refresh");
					}

					loading = $comm.showLoading('请稍后..', {back: 'none'})
					$API.order.revertOrder({
						id: historyId,
						revertFA: false
					}).then(function(e){
						loading.close()
						success(e)
					}).catch(function(e){
						loading.close()
						if(e && e.data.status === 222){
							mui.confirm(e.data.msg, '提示', ["取消", "确定"], function(e) {
								if (e.index === 1) {
									loading = $comm.showLoading('请稍后..', {back: 'none'})
									$API.order.revertOrder({
										id: historyId,
										revertFA: true
									}).then(function(e){
										loading.close()
										success(e)
									}).catch(function(e){
										if (e.data && e.data.status === 223) {
											mui.confirm(e.data.msg, '提示', ["取消"], function(e) {
												buttonClick = true;
												mui('.revokeOrder').button('reset');
											})
										} else {
											buttonClick = true;
											mui.toast('网络错误');
											mui('.revokeOrder').button('reset');
										}
									})
								} else {
									buttonClick = true;
									mui('.revokeOrder').button('reset');
								}
							}, 'div')
						}else{
							buttonClick = true;
							mui('.revokeOrder').button('reset');
						}
					})
				}
			},'div')
		}
	})
}

//复制单据
function copyInfo(type){
	viewHandle.waiting("单据查询中请稍后......");
	let copyInfo = historyVM.orderDetails.productlist;//商品列表
	let depot_id = historyVM.orderDetails.depot_id;//仓库id
	// 历史单据信息
	let orderDetails = historyVM.orderDetails
	let depotList = JSON.parse(localStorage.getItem("depotList"));//仓库列表
	let dataLegal = false;
	let AB_price = [];

	mui.each(depotList, function(k, n) {
		if (n.id == depot_id) {
			dataLegal = true;
			return false;
		}
	});

	let userList

	//获取所有员工
	const promises = [$API.user.getUser()]

	// 获取单据中商品的属性
	let productIdList = []
	copyInfo.forEach(function(item){
		if (item.is_extra === 1){
			!productIdList.includes(item.product_id)&&productIdList.push(item.product_id)
		}
	})
	let colorSizeUnit = Promise.resolve({data:[]})
	if (productIdList.length){
		colorSizeUnit = $API.product.qryColorSizeUnitByProductIds({
			product_ids:productIdList.join(';')
		})
	}
	promises.push(colorSizeUnit)

	// 获取单据序列号
	if(Number(indexVM.vipLevel) === 1 && Number(indexVM.systemSetting.sn_setting) === 1 && (type === 'purchase_return' || type === 'sales')){
		let data = {
			order_id: historyVM.historyId,
			ordertype: CONSTANT.PRESENT_PURCHASE,
		}
		type=== 'purchase_return' && (data.type = CONSTANT.PURCHASE) // 退货只查销售序列号
		promises.push($API.SN.qryProductSNsByOrderId(data))
	}

	Promise.all(promises).then(function (res){
		let userList = res[0].data
		let copyProductAttrs = res[1].data || []
		let sns = (res[2] ? res[2].data : []) || []
		viewHandle.close()
		cbFn(copyInfo, userList, copyProductAttrs, sns,historyVM.systemSetting.production_batch_setting==1)
	}).catch(function(e){
		console.log(e)
		viewHandle.close()
		mui.alert('复制失败')
	})

	function cbFn(copyInfo, userList, copyProductAttrs, sns, canBns) {
		if(canBns){
		//处理批次的数据结构
			copyInfo=makeBnDataConstruct(copyInfo)
		}
		// copyInfo 添加 __id__
		copyInfo.forEach(function(item){
			item.__id__ = productListIdUtil.getNext()
			let subProductList = copyInfo.filter(function(i){return i.parent_op_id === item.op_id}) || []
			subProductList.forEach(function(i){
				i.__pid__ = item.__id__
			})
		})

		let selProductList
		if(type === 'purchase_return') {
			copyInfo = formDataCopyInfoTypeNegate(copyInfo)
		}else if(type === 'purchase'){
			selProductList = formDataSelProductListList(copyInfo)
		}

		if(type === 'purchase' || type === 'purchase_return'){
			if(sns.length && type === 'purchase_return'){
				mui.confirm('复制序列号？','提示',['否','是'],function (e){
					if(e.index === 1){
						copyInfo = fillSN(sns, copyInfo)
					}
					selProductList = formDataSelProductListList(copyInfo)
					jumpPurchase(copyInfo)
				},'div')
			}
			else if(canBns && type === 'purchase_return'){
				mui.confirm('复制批次号？','提示',['否','是'],function (e){
					selProductList = formDataSelProductListList(copyInfo)
					if(e.index === 1){
						jumpPurchase(copyInfo,true)
					}else{
						jumpPurchase(copyInfo,false)
					}
				},'div')
			}else{
				if (type === 'purchase_return'){
					selProductList = formDataSelProductListList(copyInfo)
				}
				jumpPurchase(copyInfo,false)
			}
		}
		else if(type === 'sales'){
			if(canBns){
				//开启了批次 采购 0 到销售 Y 采购退货 1 到销售退货 N
				copyInfo=filterCaiTuiNoCopyBn(copyInfo)
			}
			copyInfo = fillSN(sns, copyInfo, CONSTANT.PURCHASE)
			selProductList = formDataSelProductListList(copyInfo)
			jumpSales(copyInfo)
		}
		function jumpSales(copyInfo){
			// 处理采购页数据
			for (var i = 0, len = indexVM.selProductList.length; i < len; i++) {
				if (indexVM.selProductList[i].depot_id == indexVM.selectedDepot) {
					for (var j = 0, jen = indexVM.selProductList[i].list.length; j < jen; j++) {
						if (indexVM.selProductList[i].list[j].count != 0) {
							viewHandle.close();
							mui.confirm('此页面有数据未提交，离开此页将丢失数据，是否离开此页？', '提示', ["取消", "确定"], function(e) {
								if (e.index == 1) {
									goSales()
									initOrder()
									localStorage.removeItem("selProductList");
									indexVM.productCopyAdd = {}
									indexVM.saveProductCopyToLocalStorage()
									indexVM.calculation()
								}
							}, 'div');
							return false;
						}
					}
				}
			}
			goSales()
			function goSales(){
				var data = {name: 'copyProductListByPurchase', result: { selProductList: selProductList, depot_id: depot_id, productListInnerCopy: formDataCopyProductListList(copyInfo,copyProductAttrs,type,true) }}
				console.log('copydata', data)
				JumpPage.jump('H576E5848.html','H576E5848',function(){
					viewHandle.viewFire('H576E5848', data.name, data.result)
				},'none')
				// JumpPage.jump('HBuilder','HBuilder',function(){
				// 	viewHandle.viewFire('HBuilder', data.name, data.result)
				// },'none')
				mui('#purchaseHistory')[0].style.display = "none";//隐藏历史
				mui('#caigouDom')[0].style.display = "block";//显示采购/退货
				mui('#caigouDom')[0].style.visibility='visible'
				mui('#commodityInto').slider().gotoItem(0);//切换slider
			}
		}
		function jumpPurchase(copyInfo,isCopyBn){
			// 验证订单创建者是否存在
			let curUserIdIndex = userList.findIndex(function(item){
				return item.id === orderDetails.creater_id
			})
			if(curUserIdIndex !== -1){
				sessionStorage.setItem("create_id", orderDetails.creater_id);// 创建者id
			}
			if(curUserIdIndex && curUserIdIndex !== -1){
				sessionStorage.setItem("create_id", orderDetails.creater_id);// 创建者id
				// sessionStorage.setItem("userList", JSON.stringify(userList));// 所有账户
			}
			dataLegal&&sessionStorage.setItem("selectedDepot", depot_id);//仓库id
			localStorage.setItem("selStatus", 0);
			if(!isCopyBn){
				//采购/采购退货 到 采购 均不复制
				selProductList.forEach(function (item,index){
					item.list.forEach(function (item1,index1){
						item1.product_production_batch_list=[]
					})
				})
			}
			localStorage.setItem("selProductList", JSON.stringify(selProductList))//商品列表
			// sessionStorage.setItem("createDate", orderDetails.sign_date)//创建时间
			sessionStorage.removeItem("createDate")//romove 创建时间
			// localStorage.setItem("deliveryDate", orderDetails.delivery_date)// 交货时间
			sessionStorage.setItem("deliveryType", orderDetails.delivery_type) //发货方式
			indexVM.deliveryType = orderDetails.delivery_type
			sessionStorage.setItem("logistics_number", orderDetails.logistics_number) //单号
			sessionStorage.setItem("consignee_address", orderDetails.consignee_address) //地址
			sessionStorage.setItem("delivery_status", orderDetails.delivery_status)//发货状态
			sessionStorage.setItem("remark", orderDetails.remark)//备注
			getSelProductList('history', historyVM.orderDetails.customer_id);//设置数据
			typeof addPrevUser === 'function' && addPrevUser(historyVM.orderDetails.customer_id, historyVM.orderDetails.customer_name) // 用户名验证
			indexVM.productCopyAdd = formDataCopyProductListList(copyInfo,copyProductAttrs,type,isCopyBn)
			indexVM.deliveryCompany = historyVM.deliveryCompany
			indexVM.saveProductCopyToLocalStorage()
			indexVM.calculation()
			mui('#purchaseHistory')[0].style.display = "none";//隐藏历史
			mui('#caigouDom')[0].style.display = "block";//显示采购/退货
			mui('#caigouDom')[0].style.visibility='visible'
			mui('#commodityInto').slider().gotoItem(0);//切换slider
			if(type === 'purchase_return'){
				indexVM.show.productListTab = true
			}
			clearAutoDateTimer()
		}
		function fillSN(sns, copyInfo, type){
			// type undefined 全部copyInfo | 0 销售/采购 | 1 退货
			console.log(sns, copyInfo)
			if(sns.length){
				let snKey = sns[0].op_id  ? 'op_id' : 'product_id'
				// 处理sn
				copyInfo.forEach(function(item) {
					if((type || type === 0) && item.type !== type)return
					let fn
					if(snKey === 'op_id'){
						fn = function(i){return i.op_id === item.op_id}
					}else if(snKey === 'product_id'){
						fn = function(i){return i.product_id === item.product_id && i.color_id === item.color_id && i.size_id === item.size_id && item.type === i.type}
					}
					item.product_sn_list = sns.filter(fn).map(function(i){return i.product_sn})

				})

			}
			return copyInfo
		}
		function filterCaiTuiNoCopyBn(productList){
			productList.forEach(function (item,index){
				if(item.type==CONSTANT.SALES_RETURN_OF_GOODS){
					item.expire_date_ms=''
					item.product_production_batch_list=[]
				}
			})
			return productList
		}
		function makeBnDataConstruct(productList){
			productList.forEach(function (item,index){
				item.product_production_batch_list=[]
				item.product_production_batch_list.push({
					production_batch_number:item.production_batch_number,
					production_batch_id:item.production_batch_id,
					production_date_str:loadDates(item.production_date_timestamp)||'',
					expire_date_ms:item.expire_date_ms,
					product_color_size_id:item.product_color_size_id
				})
			})
			return productList
		}
	}
	// 适配 单品复制数据
	function formDataCopyProductListList(copyInfo,copyProductAttrs,type,isCopyBn){
		let productListInnerCopy = {}
		copyInfo.map(function(item){
			if(item.is_extra === 1){
				let copyProductItemAttr = copyProductAttrs.find(function(i){return i.product_id === item.product_id}) || {}
				let key = item.__pid__
				var production_amount=''
				var production_batch_number=''
				var production_batch_id=''
				var production_date_str=''
				var expire_date_ms=''
				var product_color_size_id=''
				if((historyVM.vipLevel == 1 && historyVM.systemSetting.production_batch_setting == 1) && item.product_production_batch_list.length>0) {
					production_amount = item.production_amount || ''
					production_batch_number = item.product_production_batch_list[0].production_batch_number || ''
					production_batch_id = item.product_production_batch_list[0].production_batch_id || ''
					production_date_str = item.product_production_batch_list[0].production_date_str || ''
					expire_date_ms = item.product_production_batch_list[0].expire_date_ms||''
					product_color_size_id=item.product_production_batch_list[0].product_color_size_id||''
				}
				let row = {
					id: item.product_id,
					model: item.product_model,
					name: item.product_name,
					color_id: item.color_id,
					color_name: item.color_name,
					size_id: item.size_id,
					size_name: item.size_name,
					product_sn_list: item.product_sn_list || [],
					count: numToCur(item.amount / (item.display_unit_ratio || 1), historyVM.systemSetting.amount_decimals_setting), //默认数量
					type: item.type, // 0销 1退
					price: numToCur(item.amt * (item.display_unit_ratio || 1), historyVM.systemSetting.price_decimals_setting,'price'), //默认价格
					unitChooseId: item.display_unit_id || '', //: "L0W6" // id 选择的单位id
					unitChooseName: item.display_unit_name || '', //: "箱" // 选择的单位
					unitChooseRatio: item.display_unit_ratio || 1, //: 1 // 比例
					unitMinName: item.unitMinName || '', //: "箱" // 主单位
					unitData: getAttrList(copyProductItemAttr.units||[],'unit'), //
					op_id: item.op_id,
					__id__: item.__id__,
					__pid__: item.__pid__,
					colorList: getAttrList(copyProductItemAttr.colors||[],'color'),
					sizeList: getAttrList(copyProductItemAttr.sizes||[],'size'),
					remark: item.description || '',
					isRemarkShow: !!item.description,
					product_production_batch_list:[],
					production_amount:numToCur(item.production_amount / (item.display_unit_ratio || 1), historyVM.systemSetting.amount_decimals_setting),
				}
				if(isCopyBn){
					row.product_production_batch_list.push({
						production_batch_number:production_batch_number,
						production_batch_id:production_batch_id,
						production_date_str:production_date_str,
						expire_date_ms:expire_date_ms,
						product_color_size_id:product_color_size_id
					})
				}
				row.originPrice = row.price / (item.unitChooseRatio || 1)
				row.ordertype = row.type
				if(type === 'sales'){
					row.originPrice = item.sale_price_a
					row.purchase_price = row.price / (item.display_unit_ratio || 1)
					row.price = numToCur(item.sale_price_a * (item.unitChooseRatio || 1), historyVM.systemSetting.price_decimals_setting,'price')
				}
				if(productListInnerCopy[key]){
					productListInnerCopy[key].push(row)
				}else{
					productListInnerCopy[key] = [row]
				}
			}
		})
		function getAttrList(attrList, key){
			if(key === 'unit'){
				return attrList.map(function(i){
					return {
						id: i.assist_unit,
						name: i.assist_unit_name,
						ratio: i.ratio || 1,
						isMain: !i.id // 主单位没有 id
					}
				})
			}
			return attrList.map(function(i){
				return {
					id: i[key+'_id'],
					name: i[key+'_name']
				}
			})
		}
		return productListInnerCopy
	}
	// 适配 商品列表数据
	function formDataSelProductListList(copyInfo){
		let selProductList = [];
		let productMap = {}
		copyInfo.map(function(item){
			if(item.is_extra !== 1){ // 排除开单时copy的单品
				let product
				let key = '' + item.product_id + '|' + item.type
				if (!productMap[key]){
					let amt = numToCur((type === 'sales'?  item.sale_price_a : item.amt) * (item.display_unit_ratio || 1),historyVM.systemSetting.price_decimals_setting,'price')
					product= {
						amt: amt,
						depot_id: depot_id,
						id: item.product_id,
						model: item.product_model,
						name: item.product_name,
						product_id: item.product_id,
						product_name: item.product_name,
						purchase_price: type === 'sales' ? item.amt * (item.display_unit_ratio || 1) : item.purchase_price,
						sale_price: amt,
						status: 1,
						unitChooseId: item.display_unit_id,
						unitChooseName: item.display_unit_name,
						unitChooseRatio: item.display_unit_ratio,
						unitMinName: '', //主单位名称 接口未返回 不影响复制开单
						list: [],
						type: item.type,
					}
					productMap[key] = product
					selProductList.push(product)
					AB_price.push({
						"AB_price": product.amt,
						"product_id": product.product_id,
						"depot_id": product.depot_id
					});
				}else{
					product = productMap[key]
				}
				var production_amount=''
				var production_batch_number=''
				var production_batch_id=''
				var production_date_str=''
				var expire_date_ms=''
				var product_color_size_id=''
				if((historyVM.vipLevel == 1 && historyVM.systemSetting.production_batch_setting == 1) && item.product_production_batch_list.length>0) {
					production_amount = item.production_amount || ''
					production_batch_number = item.product_production_batch_list[0].production_batch_number || ''
					production_batch_id = item.product_production_batch_list[0].production_batch_id || ''
					production_date_str = item.product_production_batch_list[0].production_date_str || ''
					expire_date_ms = item.product_production_batch_list[0].expire_date_ms||''
					product_color_size_id=item.product_production_batch_list[0].product_color_size_id||''
				}
				let productListItem = {
					amount: 0, //无法获取
					barcode: item.barcode, //无法获取
					color_id: item.color_id,
					color_name: item.color_name,
					count: numToCur(item.amount / Number(product.unitChooseRatio != '' ? product.unitChooseRatio : 1),historyVM.systemSetting.amount_decimals_setting),
					depot_id: depot_id,
					product_id: item.product_id,
					size_id: item.size_id,
					size_name: item.size_name,
					type: product.type,
					ordertype: product.type,
					op_id: item.op_id,
					product_sn_list: item.product_sn_list || [],
					__id__: item.__id__,
					__pid__: item.__pid__,
					remark: item.description || '',
					isRemarkShow: !!item.description,
					product_production_batch_list:[],
					production_amount:numToCur(item.production_amount / Number(product.unitChooseRatio != '' ? product.unitChooseRatio : 1),historyVM.systemSetting.amount_decimals_setting)||'',
				}
				productListItem.product_production_batch_list.push({
					production_batch_number:production_batch_number,
					production_batch_id:production_batch_id,
					production_date_str:production_date_str,
					expire_date_ms:expire_date_ms,
					product_color_size_id:product_color_size_id
				})
				if(product.type !== item.type){
					productListItem.count = 0
				}
				product.list.push(productListItem)
			}
		})

		return selProductList
	}
	// copyInfo 排除退 销变退
	function formDataCopyInfoTypeNegate(copyInfo){
		let temp = JSON.parse(JSON.stringify(copyInfo))
		let returnProductList = temp.filter(function(item){return item.type === CONSTANT.PURCHASE})
		returnProductList.forEach(function(item){
			item.type = CONSTANT.PURCHASE_RETURN_OF_GOODS
		})
		return returnProductList
	}
}

//查询账户信息
/**
 * asc
 * @param {*} propertyName
 */
function ascCompare(propertyName) {
	return function (object1, object2) {
		var value1 = object1[propertyName];
		var value2 = object2[propertyName];
		if (value2 > value1) {
			return -1;
		} else if (value2 < value1) {
			return 1;
		} else {
			return 0;
		}
	}
}
//关联单据
mui('#purchaseHistory').on('tap','.orderQry',function(){
	viewHandle.waiting("查询中...");
	mui.ajax(severUrl + "scm/order/qryOrderRelation.json", {
		data: {
			id: historyVM.historyId
		},
		headers: {
			'Content-Type': 'application/x-www-form-urlencoded'
		},
		xhrFields: {
			withCredentials: true
		},
		dataType: 'json',
		type: 'post',
		timeout: 10000,
		success: function (res) {
			viewHandle.close();
			if (res.status == 200) {
				if(res.data.dependentorder.length ==0){
					mui.toast("没有与之关联的销售单")
				}else{
					var listSend = {};
					listSend.orderType = 'out';
					listSend.openType = 'draft';
					listSend.searchHistoryList = res.data.dependentorder;
					viewHandle.openWindow('outboundOrder.html','outboundOrder.html',JSON.stringify(listSend));
				}
			}
		},
		error: function (XMLHttpRequest, textStatus, errorThrown) {
			viewHandle.close();
		}
	});
});
//历史分享
mui('#purchaseHistory').on('tap', '#shareMessage',function(){
	var content = historyVM.orderDetails.sign_date.substr(0,16);
	var name = "<"+historyVM.company_name+">";
    viewHandle.shareOpen(shares,historyVM.historyId,name+'采购单据分享',content+' 采购单，点击查看', historyVM.systemSetting.price_decimals_setting, historyVM.systemSetting.amount_decimals_setting)
});
