var mobileReg=/^1(3|4|5|6|7|8|9)\d{9}$/;
var wait=59;
var registerVM = new Vue({
	el: '#registerVM',
	data: {
		shopName: '',
		mobile: '',
		ranCode: '',
		password:'',
		repassword:'',
		autoLogin: true,
		//权限相关
		positionName:false,
		stockManager:false,
		purchaseManager:false,
		companySetIndustry:true,
		labelPprinter:false,
		faAccount:true,
		is_advanced:0,
		company_name:'',
		company_id:'',
		user_id:'',
		jifenshow:false,
		bindDepot:-1,
		//--------------------
		device: '',
	},
	methods: {
		getRanCode: function(){
			if(this.mobile==''){
				mui.toast('请输入手机号');
			}else{
				pourTime();
				var btn=document.getElementById('rancode');
				btn.setAttribute("disabled", "disabled"); 
				mui.ajax(severUrl + "userInit/getSMSCode",{
					data:{
						uname: this.mobile
					},
					dataType:'json',//服务器返回json格式数据
					type:'post',//HTTP请求类型
					xhrFields: {
                      withCredentials: true
              		},
              		crossDomain: true,//crossDomain设置为true，强制使用5+跨域
					timeout:10000,//超时时间设置为10秒；
					success:function(data){
						if(data.success){
							mui.toast("验证码已发送成功，请注意查收");
						}else{
							mui.toast(data.msg);
							btn.removeAttribute("disabled");
						}
					}
				});
			}
		},
		submitForm: function() {
			if(!mui("#checkChoose")[0].checked){
			    mui.toast("注册需同意寒峰科技用户服务和隐私保密协议");
			    return false;
			}
			if(this.shopName==''){
				mui.toast('请输入店铺/企业名称');
			}else if(this.mobile==''){
				mui.toast('请输入手机号');
			}else if(!(mobileReg.test(this.mobile))) {
				mui.toast('请输入正确的手机号');
			}else if(this.ranCode==''){
				mui.toast('请输入验证码');
			}else if(this.password==''){
				mui.toast('请输入密码');
			}else if(this.repassword==''){
				mui.toast('请确认密码');
			}else if(this.repassword!=this.password){
				mui.toast('两次密码不一样');
			}else{
				var regPd = /^[a-zA-Z0-9_]{6,15}$/;
				if(!regPd.test(this.repassword)){
					mui.toast("密码只允许输入6-10位数字,英文或下划线");
					return false
				}
				mui.ajax(severUrl + "userInit/init",{
					data:{
						uname: this.mobile,
						random_code: this.ranCode,
						company_name: this.shopName,
						password : doRSAEncrypt(this.password)
					},
					dataType:'json',//服务器返回json格式数据
					type:'post',//HTTP请求类型
					xhrFields: {
                      withCredentials: true
              		},
              		crossDomain: true,//crossDomain设置为true，强制使用5+跨域
					timeout:10000,//超时时间设置为10秒；
					success:function(data){
						if(data.success){
							mui.toast('注册成功');
							setTimeout(function(){
								viewHandle.back('close')
							},1000)
						}else{
							mui.toast(data.msg);
						}
					}
				});
			}
		},
		// 跳转到协议
		jump(type){
			let url = privacyUrl // 隐私政策
			if (type === 'protocol')
				url = agreementUrl
			mui.openWindow({
				url: url,
			})
		}
	},
	created: function(){
		setListener();
	},
	mounted:function () {
		let _this = this
		mui.plusReady(function(){
//			_this.device = plus.device.vendor
		})
	}
});
function setListener(){
	  var pageHeight=sessionStorage.getItem("pageHeight");
  if(!pageHeight){ 	
    pageHeight=document.documentElement.clientHeight*2;
    sessionStorage.setItem("pageHeight",pageHeight);
  }
  document.getElementsByTagName("body")[0].style.height=pageHeight+"px";
  
	mui(".mui-content").on('tap', '.validCodeBox', function() {
		updataValidCode();
	});
	mui('body').on('tap','.beian',function(e){
		e.preventDefault();
		var href=this.dataset.href;
		if(href){
		    location.replace(href);
		}
	});

	mui('body').on('tap','.back',function(e){
		viewHandle.back('close')
	});
}
function pourTime(btn){
	var btn=document.getElementById('rancode');
	if (wait == 0) {  
        btn.removeAttribute("disabled");            
        btn.innerHTML="重新发送";
        wait = 59;  
    } else {  
        btn.innerHTML="("+wait + "s)重新发送";  
        wait--;  
        setTimeout(function() {  
            pourTime(btn);
        },  
        1000)  
    }  
}

function copyInfo(type) {
	if (type == 1) {
		mui('.beian')[0].style.display = 'none';
	}else {
		mui('.beian')[0].style.display = 'block';
	}
}
