function loadNowDate(type) {
    var myDate = new Date();
    var Y = myDate.getFullYear()
    var M = (myDate.getMonth() + 1);
    var D = myDate.getDate();

    M >= 10 ? M = M : M = 0 + "" + M;
    D >= 10 ? D = D : D = 0 + "" + D;

    if (type == 1) {
        return Y + '-' + M + '-' + D;
    } else if (type == 2) {
        return Y + '-' + M + '-' + '01';
    }

}
var page=1;
var qryProduct = true;
var backEdit = false;
window.addEventListener("deleteBack",function(e){
    deleteBackUpdate(e.detail.id,e.detail.type);
    backEdit = true;
});
mui.plusReady(function(){
    var arg = plus.webview.currentWebview().arg;
    if(arg){
        arg = JSON.parse(arg);
        settlement_account_historyVM.account_id = arg.id;
        settlement_account_historyVM.name = arg.name;
        $('.titleName').html('&emsp;'+arg.name);
        settlement_account_historyVM.dateFirst = loadNowDate(2);
        settlement_account_historyVM.dateLast = loadNowDate(1);
        historyList(1)
    }

});
var settlement_account_historyVM = new Vue({
    el: '#settlement_account_historyVM',
    data: {
        systemSetting:JSON.parse(localStorage.systemSetting),
        account_id:'',
        name:'',
        historyList:[],
        dateFirst:'',
        dateLast:'',
        //权限相关
        positionName:false,
        stockManager:false,
        purchaseManager:false,
        companySetIndustry:true,
        labelPprinter:false,
        faAccount:true,
        is_advanced:0,
        company_name:'',
        company_id:'',
        user_id:'',
        jifenshow:false,
        bindDepot:-1,
        //--------------------
    },
    methods: {
        getPurview :function(){//获取权限
            var _this = this;
            mui.ajax(severUrl + "sso/user/qryOp.json", {
                data : {
                    id : ''
                },
                headers : {
                    'Content-Type' : 'application/x-www-form-urlencoded'
                },
                xhrFields : {
                    withCredentials : true
                },
                dataType : 'json',
                type : 'post',
                timeout : 30000,
                async : false,
                success : function(res) {
                    if (res.success) {
                        // var position_name = res.data.position_name;
                        _this.company_name = res.data.company_name;
                        _this.company_id = res.data.company_id;
                        _this.bindDepot = res.data.manage_depot_id;
                        _this.user_id = res.data.id;
                        var code = res.data.position,permission = code.permission;
                        if(permission.indexOf('A11_1_O') >=0 || permission.indexOf('A11_1_E') >=0){
                            _this.positionName = true
                        }else{
                            _this.positionName = false
                        }
                        permission.indexOf('A4_1_E') >=0?_this.stockManager = true:_this.stockManager = false;
                        permission.indexOf('FA_ACC') >=0?_this.faAccount = true:_this.faAccount = false;
                        permission.indexOf('LOOK_PURCHASE') >=0?_this.purchaseManager = true:_this.purchaseManager = false;
                        permission.indexOf('ONLY_PRINT') >=0?_this.labelPprinter = true:_this.labelPprinter = false;
                        'RFRk,eYVo,y0oa,mVbc,pqrB,pDAY,CCP2,Oo4T,LfTY'.indexOf(_this.company_id) >=0?_this.jifenshow = true:_this.jifenshow=false
                        _this.companySetIndustry = res.data.company_set_industry;
                    }

                }
            });
        },
        timeSearch:function(){
            historyList(1)
        }
    },
    created: function(){

    },
    mounted:function () {
        var _this = this;
        mui.plusReady(function () {
            _this.getPurview()
        })
    }
});
var data = {
    num: 0,
    startY: '',
    moveEndY: '',
    isLoading: true
};
function historyList(index){
    qryProduct = false; //禁止短时间多次查询
    if(index !=''){
        page=index;
        settlement_account_historyVM.historyList = []
    }
    mui.ajax(severUrl + "fa/accountHistory/dataGrid.json", {
        data: {
            rows : 13,
            page : page,
            start_date: settlement_account_historyVM.dateFirst,// 开始时间
            end_date: settlement_account_historyVM.dateLast,// 结束时间
            account_id: settlement_account_historyVM.account_id,// 指定账户
            creater_id: '',// 创建者Id
            type: '' // 类型(0:支出 1:收入 不传查所有)

        },
        headers: {
            'Content-Type': 'application/x-www-form-urlencoded'
        },
        xhrFields: {
            withCredentials: true
        },
        dataType: 'json',
        type: 'post',
        timeout: 10000,
        success: function (res) {
            if(res.success){
                mui(".mui-pull-caption")[0].style.display = "block";
                mui('.mui-scroll-wrapper').scroll({
                    deceleration: 0.0005 //flick 减速系数，系数越大，滚动速度越慢，滚动距离越小，默认值 0.0006
                });
                var totalPage=res.data.totalPage;
                settlement_account_historyVM.historyList=settlement_account_historyVM.historyList.concat(res.data.list);
                /*分页处理*/
                if(page<totalPage){
                    setTimeout(function(){
                        qryProduct = true;
                        data.isLoading = true;
                        $('.mui-pull-caption').text('上拉加载更多')
                        page++;
                    },1500)
                }else{
                    data.isLoading = false;
                    $('.mui-pull-caption').text('没有更多数据了')
                }
                /**/
            }else{
                mui.toast(res.msg)
            }
        }
    });
}
function deleteBackUpdate(id,type){
    mui.each(settlement_account_historyVM.historyList,function(i,v){
        if(v.id == id){
            if(type == 'del'){
                settlement_account_historyVM.historyList.splice(i,1)
            }else{
                v.is_deleted = 1;
            }
            return false
        }
    })
}
/*分页处理*/
// 上拉加载
$(document).on('touchstart','#upFresh', function(e) {
    // e.preventDefault();
    data.startY = e.originalEvent.changedTouches[0].pageY;
});
$(document).on('touchmove', '#upFresh',function(e) {
    // e.preventDefault();
    data.moveEndY = e.originalEvent.changedTouches[0].pageY
    Y = data.startY - data.moveEndY;
    if(Y>80){
        upLoading()
    }
});
function upLoading(){
    var scroll = mui('#pullrefresh').scroll();
    var scrollTop = scroll.y;
    //判断滚动到底部之下
    if(scrollTop < scroll.maxScrollY){
        if( data.isLoading === false || qryProduct == false){
            return
        }else{
            $('.mui-pull-caption').text('玩命加载中...')
            historyList('')
        }
    }
}

mui('.mui-scroll-wrapper').scroll({
    deceleration: 0.0006 //flick 减速系数，系数越大，滚动速度越慢，滚动距离越小，默认值0.0006
});
var dateFirst = new mui.DtPicker({
    type: "date",
    labels: ['年', '月', '日']
});
var dateLast = new mui.DtPicker({
    type: "date",
    labels: ['年', '月', '日']
});
mui('body').on('tap', '.dateFirst', function () {
    var _self = this;
    dateFirst.show(function (e) {
        settlement_account_historyVM.dateFirst = e.text;
    })
});
mui('body').on('tap', '.dateLast', function () {
    var _self = this;
    dateLast.show(function (e) {
        settlement_account_historyVM.dateLast = e.text;
    })
});

mui('body').on('tap','.list',function(){
    var listSend = {};
    listSend.id = this.dataset.id;
    listSend.name = settlement_account_historyVM.name;
    listSend.creater = this.dataset.creater;
    viewHandle.openWindow('settlement_account_history_info.html','settlement_account_history_info.html',JSON.stringify(listSend))
});
mui('body').on('tap','.muiBack',function(){
    if(backEdit){
        viewHandle.viewFire('settlement_account.html','defaultBack')
    }
    viewHandle.back('close')
});
