mui.plusReady(function(){
    var arg = plus.webview.currentWebview().arg;
    if(arg){
        arg = JSON.parse(arg);
        settlement_account_infoVM.id = arg.id;
        getById()
    }
});
var settlement_account_infoVM = new Vue({
    el: '#settlement_account_infoVM',
    data: {
        systemSetting:JSON.parse(localStorage.systemSetting),
        id:'',
        name: "",
        begin_balance: 0 ,
        now_balance: 0,
        is_default: 0, // 是否默认
        is_disable: 0, // 是否禁用
        //权限相关
        positionName:false,
        stockManager:false,
        purchaseManager:false,
        companySetIndustry:true,
        labelPprinter:false,
        faAccount:true,
        is_advanced:0,
        company_name:'',
        company_id:'',
        user_id:'',
        jifenshow:false,
        bindDepot:-1,
        //--------------------
    },
    methods: {
        getPurview :function(){//获取权限
            var _this = this;
            mui.ajax(severUrl + "sso/user/qryOp.json", {
                data : {
                    id : ''
                },
                headers : {
                    'Content-Type' : 'application/x-www-form-urlencoded'
                },
                xhrFields : {
                    withCredentials : true
                },
                dataType : 'json',
                type : 'post',
                timeout : 30000,
                async : false,
                success : function(res) {
                    if (res.success) {
                        // var position_name = res.data.position_name;
                        _this.company_name = res.data.company_name;
                        _this.company_id = res.data.company_id;
                        _this.bindDepot = res.data.manage_depot_id;
                        _this.user_id = res.data.id;
                        var code = res.data.position,permission = code.permission;
                        if(permission.indexOf('A11_1_O') >=0 || permission.indexOf('A11_1_E') >=0){
                            _this.positionName = true
                        }else{
                            _this.positionName = false
                        }
                        permission.indexOf('A4_1_E') >=0?_this.stockManager = true:_this.stockManager = false;
                        permission.indexOf('FA_ACC') >=0?_this.faAccount = true:_this.faAccount = false;
                        permission.indexOf('LOOK_PURCHASE') >=0?_this.purchaseManager = true:_this.purchaseManager = false;
                        permission.indexOf('ONLY_PRINT') >=0?_this.labelPprinter = true:_this.labelPprinter = false;
                        'RFRk,eYVo,y0oa,mVbc,pqrB,pDAY,CCP2,Oo4T,LfTY'.indexOf(_this.company_id) >=0?_this.jifenshow = true:_this.jifenshow=false
                        _this.companySetIndustry = res.data.company_set_industry;
                    }

                }
            });
        },
    },
    created: function(){

    },
    mounted:function () {
        var _this = this;
        mui.plusReady(function () {
            _this.getPurview()
        })
    }
});

function getById(){
    mui.ajax(severUrl + "fa/account/info.json", {
        data: {
            id:settlement_account_infoVM.id
        },
        headers: {
            'Content-Type': 'application/x-www-form-urlencoded'
        },
        xhrFields: {
            withCredentials: true
        },
        dataType: 'json',
        type: 'post',
        timeout: 10000,
        success: function (res) {
            if(res.success){
                settlement_account_infoVM.name = res.data.name;
                settlement_account_infoVM.begin_balance = res.data.begin_balance;
                settlement_account_infoVM.now_balance = res.data.now_balance;
                settlement_account_infoVM.is_default = res.data.is_default;
                settlement_account_infoVM.is_disable = res.data.is_disable;
            }
        }
    });
}

mui('body').on('toggle', '.defaultSwitch', function () {
    if (settlement_account_infoVM.is_default == 0) {
        settlement_account_infoVM.is_default = 1;
    } else {
        settlement_account_infoVM.is_default = 0;
    }
    mui.ajax(severUrl + "fa/account/setDefaultStatus.json", {
        data: {
            id:settlement_account_infoVM.id
        },
        headers: {
            'Content-Type': 'application/x-www-form-urlencoded'
        },
        xhrFields: {
            withCredentials: true
        },
        dataType: 'json',
        type: 'post',
        timeout: 10000,
        success: function (res) {
            mui.toast(res.msg);
            if(res.success){
                if(settlement_account_infoVM.is_default ==1){
                    setTimeout(function(){
                        viewHandle.viewFire('settlement_account.html','defaultBack');
                        viewHandle.back('close')
                    },1000);
                }
            }
        }
    });
});
mui('body').on('toggle', '.disableSwitch', function () {
    if (settlement_account_infoVM.is_disable == 0) {
        settlement_account_infoVM.is_disable = 1;
    } else {
        settlement_account_infoVM.is_disable = 0;
    }
    mui.ajax(severUrl + "fa/account/setAbleStatus.json", {
        data: {
            id:settlement_account_infoVM.id
        },
        headers: {
            'Content-Type': 'application/x-www-form-urlencoded'
        },
        xhrFields: {
            withCredentials: true
        },
        dataType: 'json',
        type: 'post',
        timeout: 10000,
        success: function (res) {
            if(res.success){
                mui.toast(res.msg)
            }else{
                mui.toast(res.msg)
            }
        }
    });
});

mui('body').on('tap','.icon-shanchu',function(){
    var btn = ["取消","确定"];
    mui.confirm('确认删除？', '提示', btn, function (e) {
        if (e.index == 1){
            mui.ajax(severUrl + "fa/account/delete.json", {
                data: {
                    id:settlement_account_infoVM.id
                },
                headers: {
                    'Content-Type': 'application/x-www-form-urlencoded'
                },
                xhrFields: {
                    withCredentials: true
                },
                dataType: 'json',
                type: 'post',
                timeout: 10000,
                success: function (res) {
                    mui.toast(res.msg);
                    if(res.success){
                        setTimeout(function(){
                            var listSend = {};
                            listSend.id = settlement_account_infoVM.id;
                            listSend.is_default = settlement_account_infoVM.is_default;
                            listSend.is_disable = settlement_account_infoVM.is_disable;
                            listSend.is_delete = 1;
                            viewHandle.viewFire('settlement_account.html','infoBack',listSend);
                            viewHandle.back('close')
                        },1000)
                    }
                }
            });
        }
    },'div');
});

mui('body').on('tap','.muiBack',function(){
    var listSend = {};
    listSend.id = settlement_account_infoVM.id;
    listSend.is_default = settlement_account_infoVM.is_default;
    listSend.is_disable = settlement_account_infoVM.is_disable;
    listSend.is_delete = 0;
    viewHandle.viewFire('settlement_account.html','infoBack',listSend);
    viewHandle.back('close')
});
