mui.init({
    gestureConfig:{
        swipeleft: true,
        swiperight: true
    }
});
Vue.filter("time-format", function (time) {
	var date = new Date(time.replace(/-/g, "/"));
	var newDate = date.getFullYear() + "年" + ((date.getMonth() + 1) < 10 ? "0" + (date.getMonth() + 1) : (date.getMonth() + 1)) + "月" + (date.getDate() < 10 ? "0" + date.getDate() : date.getDate()) + "日 " + " " + (date.getHours() < 10 ? "0" + date.getHours() : date.getHours()) + "时" + (date.getMinutes() < 10 ? "0" + date.getMinutes() : date.getMinutes()) + "分";
	return newDate;
});

Vue.filter("searchTime-format", function (time) {
	var date = new Date(time);
	var newDate = date.getFullYear() + "/" + ((date.getMonth() + 1) < 10 ? "0" + (date.getMonth() + 1) : (date.getMonth() + 1)) + "/" + (date.getDate() < 10 ? "0" + date.getDate() : date.getDate());
	return newDate;
});
var qryProduct = true;
var data = {
	num: 0,
	startY: '',
	moveEndY: '',
	isLoading: true
};
var page=0;
var flag = true;
let previousSortType = null

function loadNowDate(type) {
	var myDate = new Date();
	var Y = myDate.getFullYear()
	var M = (myDate.getMonth() + 1);
	var D = myDate.getDate();

	M >= 10 ? M = M : M = 0 + "" + M;
	D >= 10 ? D = D : D = 0 + "" + D;

	if (type == 1) {
		return Y + '-' + M + '-' + D;
	} else if (type == 2) {
		return Y + '-' + M + '-' + '01';
	}

}
var isExit=true;

var tongjiVM = new Vue({
	el: '#tongjiVM',
	data: {
		systemSetting:JSON.parse(localStorage.systemSetting),
		list: [],
		productList: [],
		totalPage: 0,
		lastPageSize: 0,
		page: 0,
		searchMsg: sessionStorage.getItem("singleMsg") ||  '',
		realname: '',
		lsDateFirst: sessionStorage.getItem("singleDateFirst") || loadNowDate(2),
		lsDateLast: sessionStorage.getItem("singleDateLast") ||  loadNowDate(1),
		allPurchaseTotoal: 0,
		tuihuo_rateTotal:0,
		allSalesTotal: 0,
		stockTotal: 0,
        tuihuo_amountTotal: 0,
		allOrderAmtTotal: 0,
		incomeTotal: 0,
		incomrateTotal: 0,
		searchList: [],
        newSearchList:[],
        newList:[],
		sort:'all_sales',
		sort_rule:'desc',
		//筛选参数
		depot_id: '',
		category: '',
		categoryLevel: '',
		depotList:[],
		selectionShow:0,
		depotShow:1,
		oneCategory:1,
		cun_category_parent_id:-1,
		cun_category_id:-1,
		cun_depot_id:-1,
		levelOneCategory:[],
		levelTwoCategory:[],
		vipLevel:localStorage.getItem("vipLevel"),
		depotChooseId:-1,
		oneCategoryChooseId:-1,
		twoCategoryChooseId: -1,
		//权限相关
		positionName:false,
		stockManager:false,
		purchaseManager:false,
		companySetIndustry:true,
		labelPprinter:false,
		faAccount:true,
		is_advanced:0,
		company_name:'',
		company_id:'',
		user_id:'',
		jifenshow:false,
		bindDepot:-1,
		//--------------------
		show:{
			preAmount: false,
			page:false,
		},
		total:{
			pre_in_amount: '',
			pre_out_amount: '',
		},
		pagemsg: '加载中...'
	},
	watch: {
		'show.preAmount':function (val){
			if(val && Number(this.vipLevel)){

			}else if (val){
				// this.show.preAmount = false
				let sw = mui(this.$refs.amountSwitch)
				this.$refs.amountSwitch.classList.contains("mui-active") && sw.switch().toggle()
				mui.toast('仅高级版支持！')
				return false;
			}
			page = 0;
			tongjiVM.list = [];
			tongjiVM.productList = [];
			// 关闭排序 使用默认
			if(this.sort === 'pre_out_amount' || this.sort === 'pre_in_amount'){
				this.sort = 'all_sales'
				this.sort_rule = 'desc'
			}
			loadProductStatics(tongjiVM.lsDateFirst,tongjiVM.lsDateLast,tongjiVM.searchMsg);
		}
	},
	computed: {
		allListWidth: function(){
			let width = 320
			Number(this.vipLevel) && this.show.preAmount && (width += 120)
			this.purchaseManager && (width += 330)
			return width + 'px'
		}
	},
	methods:{
		profitInfo:function(){
			mui.alert("根据商品当前采购价计算", '', '', '', 'div')
		},
		getPurview :function(){//获取权限
			var _this = this;
			mui.ajax(severUrl + "sso/user/qryOp.json", {
				data : {
					id : ''
				},
				headers : {
					'Content-Type' : 'application/x-www-form-urlencoded'
				},
				xhrFields : {
					withCredentials : true
				},
				dataType : 'json',
				type : 'post',
				timeout : 30000,
				async : false,
				success : function(res) {
					if (res.success) {
						// var position_name = res.data.position_name;
						_this.company_name = res.data.company_name;
						_this.company_id = res.data.company_id;
						_this.bindDepot = res.data.manage_depot_id;
						_this.user_id = res.data.id;
						var code = res.data.position,permission = code.permission;
						if(permission.indexOf('A11_1_O') >=0 || permission.indexOf('A11_1_E') >=0){
							_this.positionName = true
						}else{
							_this.positionName = false
						}
						permission.indexOf('A4_1_E') >=0?_this.stockManager = true:_this.stockManager = false;
						permission.indexOf('FA_ACC') >=0?_this.faAccount = true:_this.faAccount = false;
						permission.indexOf('LOOK_PURCHASE') >=0?_this.purchaseManager = true:_this.purchaseManager = false;
						permission.indexOf('ONLY_PRINT') >=0?_this.labelPprinter = true:_this.labelPprinter = false;
						'RFRk,eYVo,y0oa,mVbc,pqrB,pDAY,CCP2,Oo4T,LfTY'.indexOf(_this.company_id) >=0?_this.jifenshow = true:_this.jifenshow=false
						_this.companySetIndustry = res.data.company_set_industry;
						getDepot()
					}

				}
			});
		},
		searchProductList:function(){
			if(null==tongjiVM.searchMsg || tongjiVM.searchMsg==''){
				tongjiVM.newList=[];
				document.getElementById('popover').style.opacity = 0;
				//mui滚动恢复
				rollingRecovery()
			}else{
				var list = [];
				for(var i=0;i<tongjiVM.newSearchList.length;i++){
					var number=tongjiVM.newSearchList[i].model.toLocaleUpperCase().indexOf(tongjiVM.searchMsg.toLocaleUpperCase());
					var name=tongjiVM.newSearchList[i].product_name.toLocaleUpperCase().indexOf(tongjiVM.searchMsg.toLocaleUpperCase());
					if((number!=null && number>=0) || (name!=null && name>=0)){
						list.push(tongjiVM.newSearchList[i]);
					}
				}
				tongjiVM.newList = list;
				console.log(tongjiVM.newList);
				mui("#popover").popover("show");
				document.getElementById('popover').style.opacity = 1;
				if(tongjiVM.newList.length>0){
					mui('.mui-scroll-wrapper').scroll().setStopped(true); //外层滚动禁止
				}else{
					rollingRecovery()
				}
			}
		}
	},
	created: function () {
        if(mui.os.ios == true && sessionStorage.getItem("reloadPage") == 1){
            sessionStorage.removeItem("reloadPage");
            location.reload();
        }
        sessionStorage.setItem("pageCode",'4');
	},
    mounted: function () {
		var _this =  this;
        var winHeight = localStorage.getItem("pageHeight");  //获取当前页面高度
        $("body").css('height',localStorage.getItem("pageHeight"));
        $(window).resize(function () {
            var u = navigator.userAgent, app = navigator.appVersion;
            var isAndroid = u.indexOf('Android') > -1 || u.indexOf('Linux') > -1; //android终端或者uc浏览器
            var isiOS = !!u.match(/\(i[^;]+;( U;)? CPU.+Mac OS X/); //ios终端
            if(isAndroid){
                var thisHeight = $(this).height();
                if ( winHeight - thisHeight > 140 ) {
                    $("body").css('height',winHeight);
                } else {
                    $("body").css('height',winHeight);
                    $("input").blur();
                    $("textarea").blur();
                }
            }else if(isiOS){

            }
        });
        mui.plusReady(function(){
			_this.getPurview()
		})
		// 滚动Scroll
		this.queryWrapperScroll = mui('#queryWrapper').scroll()
		// 订单统计开关事件
		// this.preAmountSwitch = document.querySelector('#ref-amount-switch')
		// this.preAmountSwitch.addEventListener("",function(event){
		// 	if(event.detail.isActive){
		// 		tongjiVM.show.preAmount = true
		// 	}else{
		// 		tongjiVM.show.preAmount = false
		// 	}
		// }) // 开关会被重新渲染
		mui('body').on('toggle', '#ref-amount-switch', function(event){
			if(event.detail.isActive){
				tongjiVM.show.preAmount = true
			}else{
				tongjiVM.show.preAmount = false
			}
		});
    },
});

mui(".mui-table-view").on("tap",".mui-table-view-cell",function(){
    tongjiVM.searchMsg=$(this)[0].firstChild.innerHTML;
    document.getElementById('popover').style.opacity = 0;
	mui('#popover').popover('hide');
	$('.btn-chaxun').click()
});
/**
 * 加载商品统计
 */
function loadProductStatics(startTime, endTime, modelValue, type, pageload, sort) {
	mui("#timeOutInfo")[0].style.display = 'none';
	page++;
	qryProduct = false; //禁止短时间多次查询
	if (!modelValue) {
		modelValue = '';
	}
	var data = {},depots = [];
	if(tongjiVM.bindDepot != -1){
		tongjiVM.cun_depot_id = tongjiVM.bindDepot;
	}
	if(tongjiVM.cun_depot_id == '' || tongjiVM.cun_depot_id == -1){
		tongjiVM.depotList.forEach(function(v){
			depots.push("'"+v.id+"'")
		})
	}else{
		depots.push("'"+tongjiVM.cun_depot_id+"'");
	}
	if(tongjiVM.category != ''){
		data = {
			start_date: startTime || loadNowDate(2),
			end_date: endTime || loadNowDate(1),
			model: modelValue,
			rows: 25,
			page: page,
			depot_ids:depots.join(";"),
			categoryLevel:tongjiVM.categoryLevel,
			category:tongjiVM.category,
			sort:tongjiVM.sort,
			sort_rule:tongjiVM.sort_rule
		}
	}else{
		data = {
			start_date: startTime || loadNowDate(2),
			end_date: endTime || loadNowDate(1),
			model: modelValue,
			rows: 25,
			page: page,
			depot_ids:depots.join(";"),
			sort:tongjiVM.sort,
			sort_rule:tongjiVM.sort_rule
		}
	}
	data.isDisplay = tongjiVM.show.preAmount
	var time = timedifference(startTime, endTime);
	if(time > 366){
		mui.toast("查询时间范围不能大于12个月，请分段查询");
		return;
	}
	// mask.show();//显示遮罩层
	let _mask = mui('#dh')[0]
	_mask.style.display = "block"
	let loading
	if(typeof plus !== 'undefined'){
		loading = viewHandle.loading('努力加载中...')
	}
	$API.statistics.productStatics(data).then(function(res){
		loading && loading.close()
		tongjiVM.show.page = true
		mui(".mui-pull-caption")[0].style.display = "block";
		var totalPage=res.data.totalPage;
		if (type == 1) {
			tongjiVM.searchList = res.data.list;
		} else {
			if(isExit){
				tongjiVM.newSearchList=res.data.list;
				isExit=false;
			}
			page == 1?tongjiVM.list = res.data.list:tongjiVM.list = tongjiVM.list.concat(res.data.list);
			page == 1?tongjiVM.productList = res.data.list:tongjiVM.productList = tongjiVM.productList.concat(res.data.list);
			if(pageload == 'pageload'){
				//tongjiVM.list.sort(descCompare("all_sales"));
				flag = false;
				previousSortType = null
			}
		}
		if(page<totalPage){
			setTimeout(function(){
				qryProduct = true;
				data.isLoading = true;
				$('.mui-pull-caption').text('上拉加载更多')
			},1500)
		}else{
			data.isLoading = false;
			$('.mui-pull-caption').text('没有更多数据了')
		}
		_mask.style.display = "none"
	}).catch(function(e){
		loading && loading.close()
		_mask.style.display = "none"
		if (e.type === 'success') {
			tongjiVM.pagemsg = e.data.msg
		}else{
			tongjiVM.pagemsg = '网络异常'
		}
	})
	if(page == 1 || sort){
		tongjiVM.queryWrapperScroll.scrollTo(0,0,0)
		let totalData = data;
		totalData.keyword = modelValue;
		$API.statistics.dataGridWithTotalInfo(totalData).then(function(res){
			tongjiVM.allPurchaseTotoal = numToCur(res.data.all_purchase,tongjiVM.systemSetting.amount_decimals_setting);
			tongjiVM.allSalesTotal = numToCur(res.data.all_sales,tongjiVM.systemSetting.amount_decimals_setting);
			tongjiVM.stockTotal = numToCur(res.data.stock,tongjiVM.systemSetting.amount_decimals_setting);
			tongjiVM.tuihuo_amountTotal= numToCur(res.data.tuihuo_amount,tongjiVM.systemSetting.amount_decimals_setting);
			tongjiVM.allOrderAmtTotal = numToCur(res.data.all_order_amt,tongjiVM.systemSetting.price_decimals_setting,'price');
			tongjiVM.incomeTotal = numToCur(res.data.income,tongjiVM.systemSetting.amount_decimals_setting);
			tongjiVM.incomrateTotal = numToCur(res.data.incomerate,tongjiVM.systemSetting.amount_decimals_setting);
			tongjiVM.tuihuo_rateTotal= numToCur(res.data.tuihuo_amount_rate,tongjiVM.systemSetting.amount_decimals_setting);
			tongjiVM.total.pre_in_amount= numToCur(res.data.pre_in_amount_total,tongjiVM.systemSetting.amount_decimals_setting);
			tongjiVM.total.pre_out_amount= numToCur(res.data.pre_out_amount_total,tongjiVM.systemSetting.amount_decimals_setting);
		})
	}
}
// 上拉加载
$(document).on('touchstart','#upFresh', function(e) {
	// e.preventDefault();
	data.startY = e.originalEvent.changedTouches[0].pageY;
})
$(document).on('touchmove', '#upFresh',function(e) {
	// e.preventDefault();
	data.moveEndY = e.originalEvent.changedTouches[0].pageY;
	Y = data.startY - data.moveEndY;
	if(Y>80){
		upLoading()
	}
})
function upLoading(){
	var scroll = mui('#queryWrapper').scroll();
	var scrollTop = scroll.y;
	//判断滚动到底部之下
	if(scrollTop < scroll.maxScrollY){
		if(data.isLoading === false || qryProduct == false){
			return
		}else{
			$('.mui-pull-caption').text('玩命加载中...');
			//请求数据
			loadProductStatics(tongjiVM.lsDateFirst,tongjiVM.lsDateLast,tongjiVM.searchMsg);
		}
	}
}
/**
 * 初始化滚动条
 */
mui('.mui-scroll-wrapper').scroll({
	deceleration: 0.0006
});

/**
 * desc
 * @param {*} propertyName 
 */
function descCompare(propertyName) {
	return function (object1, object2) {
		var value1 = object1[propertyName];
		var value2 = object2[propertyName];
		if (value2 < value1) {
			return -1;
		} else if (value2 > value1) {
			return 1;
		} else {
			return 0;
		}
	}
}

/**
 * asc
 * @param {*} propertyName 
 */
function ascCompare(propertyName) {
	return function (object1, object2) {
		var value1 = object1[propertyName];
		var value2 = object2[propertyName];
		if (value2 > value1) {
			return -1;
		} else if (value2 < value1) {
			return 1;
		} else {
			return 0;
		}
	}
}

/**
 * 升序、降序
 */
mui('.theadbgc').on('tap', '.click-th', function () {
	// 显示排序箭头
	var sort = document.getElementsByClassName('theadbgc')[0].getElementsByClassName('sort');

	for (var i = 0, len = sort.length; i < len; i++) {
		sort[i].classList.add("sort-img");
	}

	if (this.innerHTML.indexOf('sort-img') != -1) {
		this.getElementsByClassName('sort')[0].classList.remove("sort-img");
		var type = this.getElementsByClassName('sort')[0].getElementsByTagName('img')[0].dataset.type;

		//tongjiVM.list.sort(descCompare(type));
	}
	page = 0
	tongjiVM.sort = this.dataset.type;
	// 排序
	if(previousSortType === tongjiVM.sort && flag === false){
		tongjiVM.sort_rule = 'asc';
		this.getElementsByTagName('img')[0].src = 'img/up.png';
		flag = true;
	}else{
		tongjiVM.sort_rule = 'desc';
		this.getElementsByTagName('img')[0].src = 'img/down.png';
		flag = false;
	}
	previousSortType = tongjiVM.sort
	loadProductStatics(tongjiVM.lsDateFirst,tongjiVM.lsDateLast,tongjiVM.searchMsg, undefined, undefined , 'sort');

});


mui('body').on('tap', '.tongJiAll', function () {
    var product_id = this.dataset.id;
    var product_model = this.dataset.model;
    var name=this.dataset.name;
    var beginTime=tongjiVM.lsDateFirst;
    var endTime=tongjiVM.lsDateLast;
	var data = timedifference(beginTime, endTime);
	if(data > 366){
		mui.toast("查询时间范围不能大于12个月，请分段查询");
		return;
	}
	var listSend = {};
	var depots = [];
	if(tongjiVM.bindDepot != -1){
		tongjiVM.cun_depot_id = tongjiVM.bindDepot;
	}
	if(tongjiVM.cun_depot_id == '' || tongjiVM.cun_depot_id == -1){
		tongjiVM.depotList.forEach(function(v){
			depots.push("'"+v.id+"'")
		})
	}else{
		depots.push("'"+tongjiVM.cun_depot_id+"'");
	}
	listSend.id = product_id;
	listSend.model = product_model;
	listSend.name = name;
	listSend.beginTime = beginTime;
	listSend.endTime = endTime;
	listSend.depots = depots;
	listSend.preAmount = tongjiVM.show.preAmount
	viewHandle.viewFire('singleItemStatistics.html','singleQry',listSend);
	viewHandle.openWindow('singleItemStatistics.html','singleItemStatistics.html',JSON.stringify(listSend))
});

/**
 * 货号查询
 */
mui('body').on('tap', '#btn-chaxun', function () {
	page = 0;
	loadProductStatics(tongjiVM.lsDateFirst, tongjiVM.lsDateLast, tongjiVM.searchMsg);
	if(tongjiVM.searchMsg){
		sessionStorage.setItem("singleMsg",tongjiVM.searchMsg)
	}else{
		sessionStorage.removeItem("singleMsg")
	}
	tongjiVM.list = [];
	tongjiVM.newList=[];
	document.getElementById('popover').style.opacity = 0;
	//mui滚动恢复
	rollingRecovery()
});

/**
 * 调用时间控件
 */
mui(".mui-input-group").on('click', '.time-search', function () {
	loadProductStatics(tongjiVM.lsDateFirst, tongjiVM.lsDateLast, tongjiVM.searchMsg);
});

var lsDateFirst = new mui.DtPicker({
	type: "date",
	labels: ['年', '月', '日']
});

var lsDateLast = new mui.DtPicker({
	type: "date",
	labels: ['年', '月', '日']
});

mui('body').on('tap', '.lsDateFirst', function () {
	var _self = this;
	lsDateFirst.show(function (e) {
		tongjiVM.lsDateFirst = e.text;
		sessionStorage.setItem("singleDateFirst",e.text)
	})
});

mui('body').on('tap', '.lsDateLast', function () {
	var _self = this;
	lsDateLast.show(function (e) {
		tongjiVM.lsDateLast = e.text;
		sessionStorage.setItem("singleDateLast",e.text)
	})
});
mui('body').on('tap', '.back-cg', function () {
	viewHandle.back('close')
});
function rollingRecovery(){
	//mui滚动恢复
	$("#popover").removeClass('mui-active'); //清除活动类
	$("#popover").css('opacity',1);//初始状态需要显示（隐藏后默认显示）
	$('.mui-backdrop').remove(); //mui添加后未移除顺序放在后移除后面
	mui('.mui-scroll-wrapper').scroll().setStopped(false); //取消外层滚动禁止
}

//筛选处理
mui('body').on('tap', '.searchChoose', function(){
	//参数重置
	tongjiVM.depotChooseId = tongjiVM.cun_depot_id;
	tongjiVM.oneCategoryChooseId = tongjiVM.cun_category_parent_id;
	tongjiVM.twoCategoryChooseId = tongjiVM.cun_category_id;
	if(tongjiVM.selectionShow ==0){
		getLevelOneCategory();
		if(tongjiVM.cun_category_id !=-1 || tongjiVM.cun_category_parent_id !=-1){
			getLevelTwoCategory(tongjiVM.cun_category_parent_id)
		}
		tongjiVM.selectionShow = 1;
		document.getElementById("tongjiVM").style.overflow = 'hidden';
		document.getElementsByClassName("combined")[0].style.display = 'none'
	}else{
		tongjiVM.selectionShow = 0;
		document.getElementById("tongjiVM").style.overflow = 'auto';
		document.getElementsByClassName("combined")[0].style.display = 'table'
	}
});
function getDepot(){
	mui.ajax(severUrl + "scm/depot/list.json", {
		data: {
		},
		headers: {
			'Content-Type': 'application/x-www-form-urlencoded'
		},
		xhrFields: {
			withCredentials: true
		},
		dataType: 'json',
		type: 'post',
		timeout: 10000,
		success: function (res) {
			if (res.success) {
				tongjiVM.depotList = res.data;
			}else{
				if(res.status == 10101 || res.status == 10102) {
					logOut(res.msg)
				}
			}
		},
		complete:function(cos){
			loadProductStatics(tongjiVM.lsDateFirst,tongjiVM.lsDateLast,tongjiVM.searchMsg,'','pageload');
		}
	});
}
function getLevelOneCategory(){
	mui.ajax(severUrl + "scm/productcategory/qryAllLevelOneCategory.json",{
		data:{
		},
		type:'POST',
		timeout: 10000,//超时时间设置为10秒；
		headers: {
			'Content-Type': 'application/x-www-form-urlencoded'
		},
		xhrFields: {
			withCredentials: true
		},
		success:function(res){
			if(res.success){
				tongjiVM.levelOneCategory = res.data;
				if(tongjiVM.cun_category_parent_id != -1 && tongjiVM.cun_category_id != -1){
					$(".listA").removeClass("iconfontVisibility")
				}
			}
		}
	});
}
//二级分类查询
function getLevelTwoCategory(id){
	mui.ajax(severUrl + "scm/productcategory/qryAllLevelTwoCategory.json",{
		data:{
			parent_id:id
		},
		type:'POST',
		timeout: 10000,//超时时间设置为10秒；
		headers: {
			'Content-Type': 'application/x-www-form-urlencoded'
		},
		xhrFields: {
			withCredentials: true
		},
		success:function(res){
			if(res.success){
				tongjiVM.levelTwoCategory = res.data;
				$(".listA").removeClass("iconfontVisibility");
				tongjiVM.twoCategoryChooseId = tongjiVM.cun_category_id || -1
			}
		}
	})
}
mui('body').on('tap', '.hideDiv', function(){
	tongjiVM.selectionShow = 0;
	document.getElementsByClassName("combined")[0].style.display = 'table';
	mui('.selectInfo').scroll().refresh();   //先刷新一次布局再scrollTo
	mui('.selectInfo').scroll().scrollTo(0, 0, 100); //100毫秒滚动到顶
});
mui('body').on('tap', '.depotShow', function(){
	if(tongjiVM.depotShow ==0){
		tongjiVM.depotShow = 1;
	}else{
		tongjiVM.depotShow = 0;
	}
});
mui('body').on('tap', '.oneCategory', function(){
	if(tongjiVM.oneCategory ==0){
		tongjiVM.oneCategory = 1;
	}else{
		tongjiVM.oneCategory = 0;
	}
});
mui('body').on('tap', '.chooseParent', function(){
	var parent = this.dataset.cun_category_parent_id
	tongjiVM.oneCategoryChooseId = parent || -1
	tongjiVM.twoCategoryChooseId = -1;
	if(parent !=undefined && parent != -1){
		getLevelTwoCategory(parent)
	}else{
		tongjiVM.levelTwoCategory=[]
	}
});
mui('body').on('tap', '.chooseChild', function(){
	$(".listA").removeClass("iconfontVisibility")
	var child = this.dataset.cun_category_id
	tongjiVM.twoCategoryChooseId = child || -1;
});
mui('body').on('tap', '.chooseDepot', function(){
	var depot = this.dataset.select_depot
	tongjiVM.depotChooseId = depot || -1;
});
mui('body').on('tap', '.chooseType', function(){
	var product = this.dataset.pt_type
	tongjiVM.productChoose = product || 2;
});
mui('body').on('tap', '.chooseReset', function(){
	tongjiVM.cun_category_parent_id = -1;
	tongjiVM.cun_category_id = -1;
	tongjiVM.oneCategoryChooseId = -1;
	tongjiVM.twoCategoryChooseId = -1;
	tongjiVM.cun_depot_id = -1;
	tongjiVM.depotChooseId = -1;
	tongjiVM.selectionShow = 0;
	tongjiVM.category = '';
	tongjiVM.categoryLevel = '';
	page = 0;
	tongjiVM.list = [];
	tongjiVM.productList = [];
	document.getElementsByClassName("combined")[0].style.display = 'table';
	loadProductStatics(tongjiVM.lsDateFirst,tongjiVM.lsDateLast,tongjiVM.searchMsg)
});
mui('body').on('tap', '.chooessQry', function(){
	tongjiVM.cun_category_parent_id = tongjiVM.oneCategoryChooseId;
	tongjiVM.cun_category_id = tongjiVM.twoCategoryChooseId;
	page = 0;
	tongjiVM.list = [];
	tongjiVM.productList = [];
	if(tongjiVM.cun_category_id != '' && tongjiVM.cun_category_id != -1){
		tongjiVM.category = tongjiVM.cun_category_id;
		tongjiVM.categoryLevel = 2
	}else{
		if(tongjiVM.cun_category_parent_id != '' && tongjiVM.cun_category_parent_id != -1){
			tongjiVM.category = tongjiVM.cun_category_parent_id;
			tongjiVM.categoryLevel = 1
		}else{
			tongjiVM.category = '';
			tongjiVM.categoryLevel = ''
		}
	}
	tongjiVM.bindDepot != -1?tongjiVM.cun_depot_id = tongjiVM.bindDepot:tongjiVM.cun_depot_id = tongjiVM.depotChooseId;
	tongjiVM.selectionShow = 0;
	document.getElementsByClassName("combined")[0].style.display = 'table';
	loadProductStatics(tongjiVM.lsDateFirst,tongjiVM.lsDateLast,tongjiVM.searchMsg)
});