var sns_show_vm = new Vue({
    el:"#sns_show_vm",
    data:{
		//全行业参数
		size_show: localStorage.getItem("size_show") || 1,
		color_show: localStorage.getItem("color_show") || 1 ,
		unit_show: localStorage.getItem("unit_show") || 0,
		origin_specification: localStorage.getItem("origin_specification") || 0,
        item_info:[],
        product_info:[],
        show_list:[],
        parentPage:''
    },
    methods:{
        pageBack:function(){
            viewHandle.back('close')
        },
        qryProductSNsByOrder:function(){ //可用序列号查询
            var _this = this;
            mui.ajax(severUrl + 'scm/productsn/qryProductSNsByOrder.json', {
                data : {
                    product_id: _this.item_info.product_id,
                    color_id: _this.item_info.color_id,
                    size_id: _this.item_info.size_id,
                    order_id:_this.item_info.id
                },
                headers : {
                    'Content-Type' : 'application/x-www-form-urlencoded'
                },
                xhrFields : {
                    withCredentials : true
                },
                dataType : 'json',
                type : 'post',
                timeout : 30000,
                success : function(res) {
                    if (res.success) {
                        mui.each(res.data,function(i,v){
                            _this.show_list.push(v.product_sn)
                        })
                    }else{
                        mui.toast(res.msg)
                    }
                }
            });
        },
        // scm/productsn/qryProductSNsByOrder.json
    },
    created:function(){

    },
    mounted:function(){
        var _this = this;
        mui.plusReady(function(){ //ios
            var arg = plus.webview.currentWebview().arg;
            if(arg){
                arg = JSON.parse(arg);
                _this.item_info = arg.item;
                _this.product_info = arg.product;
                _this.parentPage = arg.parentPage;
                if(_this.parentPage == 'cun'){
                    _this.show_list = _this.item_info.product_sn_list_old || []
                }else if(_this.parentPage == 'order'){
                    _this.show_list = _this.item_info.product_sn_used_list || [];
                }else if(_this.parentPage == 'goods'){
                    _this.show_list = _this.item_info.product_sn_list || [];
                }else{
                    _this.product_info = {
                        model:_this.item_info.product_model,
                        name:_this.item_info.product_name,
                    }
                    _this.qryProductSNsByOrder()
                }
                $(".model").html(_this.product_info.model)
            }
            mui('.mui-scroll-wrapper').scroll({
                deceleration: 0.0006
            });
        });
    }
});
mui('body').on('tap','.muiBack',function(){
    sns_show_vm.pageBack()
})