var flag = true;
Vue.filter("time-format", function (time) {
    var date = new Date(time.replace(/-/g, "/"));
    var newDate = date.getFullYear() + "年" + (date.getMonth() < 10 ? "0" + date.getMonth() : date.getMonth()) + "月" + date.getDate() + "日";
    return newDate;
});
window.addEventListener('storeDebets',function(e){
    historyVM.historyId = e.detail.id;
    historyVM.type = e.detail.type || '';
    historyVM.openType = e.detail.openType || '';
    historyVM.htmlType = e.detail.htmlType || '';
    historyVM.saleType = e.detail.saleType || '';
    historyVM.getAccountList();
    orderQry()
});
mui.plusReady(function(){
    var arg = JSON.parse(plus.webview.currentWebview().arg);
    historyVM.historyId = arg.id;
    historyVM.type = arg.type || '';
    historyVM.openType = arg.openType || '';
    historyVM.htmlType = arg.htmlType || '';
    historyVM.saleType = arg.saleType || '';
    historyVM.getAccountList();
    orderQry()
});
var historyVM = new Vue({
    el: '#historyVM',
    data: {
        systemSetting:JSON.parse(localStorage.systemSetting),
        orderDetails: {
            order_amt:0,
            rebate_amt:0,
            discount:0,
            other_cost_price:0
        },
        depot_name: '',
        initRemarkValue: '',
        initOrderFlag: 0,
        historyId: '',
        productListRu: [],
        productListChu:[],
        all_debt_amt : 0, //客户总欠款
        type:'',
        openType:'',
        debtAmt:0,
        truePay:0,
        jifenKT:0,
        increase_bonus:0,
        cost_money_unit:0,
        htmlType:'',
        delivery_status: 0,
        pay_status: 1,
        delivery_type_arr: ['自提', '快递', '物流', '送货'],
        logistics:'', //快递单号
        consignee_address:'', //收货地址
        sign_date: '',
        orderAmount:0,
        // 是采购将收款改为付款
        saleType: '', //原 sessionStorage type
        //全行业参数
        size_show: localStorage.getItem("size_show") || 1,
        color_show: localStorage.getItem("color_show") || 1,
        unit_show: localStorage.getItem("unit_show") || 0,
        origin_specification: localStorage.getItem("origin_specification") || 0,
        accountList:[],
        //权限相关
        positionName:false,
        stockManager:false,
        purchaseManager:false,
        companySetIndustry:true,
        labelPprinter:false,
        faAccount:true,
        is_advanced:0,
        company_name:'',
        company_id:'',
        user_id:'',
        jifenshow:false,
        bindDepot:-1,
        //--------------------
    },
    methods: {
        getPurview :function(){//获取权限
            var _this = this;
            mui.ajax(severUrl + "sso/user/qryOp.json", {
                data : {
                    id : ''
                },
                headers : {
                    'Content-Type' : 'application/x-www-form-urlencoded'
                },
                xhrFields : {
                    withCredentials : true
                },
                dataType : 'json',
                type : 'post',
                timeout : 30000,
                async : false,
                success : function(res) {
                    if (res.success) {
                        // var position_name = res.data.position_name;
                        _this.company_name = res.data.company_name;
                        _this.company_id = res.data.company_id;
                        _this.bindDepot = res.data.manage_depot_id;
                        _this.user_id = res.data.id;
                        var code = res.data.position,permission = code.permission;
                        if(permission.indexOf('A11_1_O') >=0 || permission.indexOf('A11_1_E') >=0){
                            _this.positionName = true
                        }else{
                            _this.positionName = false
                        }
                        permission.indexOf('A4_1_E') >=0?_this.stockManager = true:_this.stockManager = false;
                        permission.indexOf('FA_ACC') >=0?_this.faAccount = true:_this.faAccount = false;
                        permission.indexOf('LOOK_PURCHASE') >=0?_this.purchaseManager = true:_this.purchaseManager = false;
                        permission.indexOf('ONLY_PRINT') >=0?_this.labelPprinter = true:_this.labelPprinter = false;
                        'RFRk,eYVo,y0oa,mVbc,pqrB,pDAY,CCP2,Oo4T,LfTY'.indexOf(_this.company_id) >=0?_this.jifenshow = true:_this.jifenshow=false
                        _this.companySetIndustry = res.data.company_set_industry;
                    }

                }
            });
        },
        loadOrderInfo: function (historyId) {
            var self = this;
            self.historyId = historyId;
            if (!historyId) {
                return;
            }
            viewHandle.waiting("单据查询中请稍后......");
            mui.ajax(severUrl + "scm/order/qryOp.json", {//单笔采购或草稿详细信息获取
                data: {
                    id: historyId,
                    remark: ''
                },
                headers: {
                    'Content-Type': 'application/x-www-form-urlencoded'
                },
                xhrFields: {
                    withCredentials: true
                },
                dataType: 'json',
                type: 'post',
                timeout: 10000,
                success: function (res) {
                    viewHandle.close();
                    self.orderDetails = res.data;
                    self.debtAmt = self.orderDetails.debt_amt;
                    self.truePay = self.orderDetails.debt_amt;
                    self.logistics = self.orderDetails.logistics_number;
                    var test=self.orderDetails.consignee_address;
                    var mapObj = {
                        "{":"",
                        "consignee":"收货人",
                        "mobile":"电话",
                        "address":"地址",
                        "transportDay":"收货时间",
                        "}":""
                    };
                    test = test.replace(/{|consignee|mobile|address|transportDay|}/gi, function(matched){
                        return mapObj[matched];
                    });
                    self.consignee_address = test;
                    if(historyVM.type=='customer'){
                        mui.ajax(severUrl + "crm/customer/getDebtAmt.json", {//单笔采购或草稿详细信息获取
                            data: {
                                customer_id: self.orderDetails.customer_id
                            },
                            headers: {
                                'Content-Type': 'application/x-www-form-urlencoded'
                            },
                            xhrFields: {
                                withCredentials: true
                            },
                            dataType: 'json',
                            type: 'post',
                            timeout: 10000,
                            success: function (res) {
                                historyVM.all_debt_amt = res.data.all_debt_amt
                            }
                        });
                        self.initOrderFlag = self.orderDetails.order_flag;
                    }
                    var orderAmount = 0;
                    var productListRu = [],productListChu = [];
                    mui.each(self.orderDetails.productlist, function (i, v) {
                        if(v.type == 0){
                            productListRu.push(v)
                        }else{
                            productListChu.push(v)
                        }
                        var display_unit_ratio =v.display_unit_ratio !='' ? Number(v.display_unit_ratio):1;
                        if(v.type ==0){
                            orderAmount +=Number(v.amount/display_unit_ratio)
                        }else{
                            orderAmount -=Number(v.amount/display_unit_ratio);
                        }
                    });
                    mui.each(productListRu, function (i, v) {
                        if(i ==0){
                            v.picture_name = v.picture_name !=""?(img_url+v.picture_name):"img/tx.jpg";
                        }else{
                            if(v.product_id ==productListRu[i-1].product_id){
                                v.picture_name = ''
                            }else{
                                v.picture_name = v.picture_name !=""?(img_url+v.picture_name):"img/tx.jpg";
                            }
                        }
                    });
                    mui.each(productListChu, function (i, v) {
                        if(i ==0){
                            v.picture_name = v.picture_name !=""?(img_url+v.picture_name):"img/tx.jpg";
                        }else{
                            if(v.product_id == productListChu[i-1].product_id){
                                v.picture_name = ''
                            }else{
                                v.picture_name = v.picture_name !=""?(img_url+v.picture_name):"img/tx.jpg";
                            }
                        }
                    });
                    self.productListRu = productListRu;
                    self.productListChu = productListChu;
                    self.orderAmount = numToCur(orderAmount,historyVM.systemSetting.systemSetting.amount_decimals_setting);
                    self.initRemarkValue = self.orderDetails.remark;
                    self.delivery_status = res.data.delivery_status;
                    self.sign_date = res.data.sign_date.substr(6, 5);
                    var depotList = JSON.parse(sessionStorage.getItem("depotList"));
                    mui.each(depotList, function (index, depot) {
                        if (depot.id == self.orderDetails.depot_id) {
                            self.depot_name = depot.name;
                        }
                    });
                    $('.swipebox').swipebox();
                }
            });
        },
        getAccountList:function(){
            mui.ajax(severUrl + "fa/account/list.json", {
                data: {
                },
                headers: {
                    'Content-Type': 'application/x-www-form-urlencoded'
                },
                xhrFields: {
                    withCredentials: true
                },
                dataType: 'json',
                type: 'post',
                timeout: 10000,
                success: function (res) {
                    if(res.success){
                        historyVM.accountList = res.data;
                        historyVM.accountList.sort(ascCompare("type"));
                    }
                }
            });
        },
        jifenkaitong:function(){
            mui.ajax(severUrl + "crm/integraladdrule/qryOp.json", {
                data : {
                },
                headers : {
                    'Content-Type' : 'application/x-www-form-urlencoded'
                },
                xhrFields : {
                    withCredentials : true
                },
                dataType : 'json',
                type : 'post',
                timeout : 10000,
                async : false,
                success : function(res) {
                    if(res.success){
                        if(res.data.status ==1){
                            historyVM.jifenKT = 1;
                            historyVM.increase_bonus = res.data.increase_bonus;
                            historyVM.cost_money_unit = res.data.cost_money_unit;
                        }else{
                            historyVM.jifenKT=0
                        }
                    }else{
                        historyVM.jifenKT=0
                    }
                }
            });
        },
        orderRemarkFn: function () {
            var self = this;
            var historyId = this.historyId;
            var remark = document.getElementById("textarea").value;

            if (this.initRemarkValue == remark) return;

            mui.ajax(severUrl + "scm/order/updateRemark.json", {//修改销售单/进货单备注
                data: {
                    id: historyId,
                    remark: remark
                },
                headers: {
                    'Content-Type': 'application/x-www-form-urlencoded'
                },
                xhrFields: {
                    withCredentials: true
                },
                dataType: 'json',
                type: 'post',
                timeout: 10000,
                success: function (res) {
                    mui.toast(res.msg);
                    self.loadOrderInfo();
                }
            });
        },
        setColor: function (v,b) {
            var historyId = this.historyId;
            var orderFlag = v;
            if (this.initOrderFlag == orderFlag) return;
            mui.ajax(severUrl + "scm/order/updateFlag.json", {//销售历史小旗帜order_flag 修改
                data: {
                    id: historyId,
                    order_flag: orderFlag
                },
                headers: {
                    'Content-Type': 'application/x-www-form-urlencoded'
                },
                xhrFields: {
                    withCredentials: true
                },
                dataType: 'json',
                type: 'post',
                timeout: 10000,
                success: function (res) {
                    historyVM.orderDetails.order_flag = orderFlag;
                    mui.toast(res.msg);
                }
            });
        }
    },
    computed:{
        sizeName:function(){
            if(this.size_show == 1){
                return '尺码'
            }else{
                if(this.origin_specification ==3){
                    return '产地'
                }else{
                    return '规格'
                }
            }
        },
        titleName:function(){
            if(this.type=='customer'){
                return '售价'
            }else{
                return '进价'
            }
        },
        typeName:function(){
            if(this.type=='customer'){
                return '已出库'
            }else{
                return '已入库'
            }
        },
        htmlName:function(){
            if(this.openType=='draft'){
                return '订单详情'
            }else{
                return '单个历史详情'
            }
        }
    },
    created: function () {
        // setTimeout(function(){
        //     orderQry()
        // },100)
    },
    mounted: function () {
        var _this = this;
        setTimeout(function(){
            setListener();
        },100)
        mui.plusReady(function () {
            _this.getPurview()
        })
    }
});
function orderQry(){
        viewHandle.waiting("单据查询中请稍后......");
        mui.ajax(severUrl + "scm/order/qryOp.json", {//单笔采购或草稿详细信息获取
            data: {
                id: historyVM.historyId,
                remark: ''
            },
            headers: {
                'Content-Type': 'application/x-www-form-urlencoded'
            },
            xhrFields: {
                withCredentials: true
            },
            dataType: 'json',
            type: 'post',
            timeout: 10000,
            success: function (res) {
                viewHandle.close();
                historyVM.orderDetails = res.data;
                historyVM.debtAmt = historyVM.orderDetails.debt_amt;
                historyVM.truePay = historyVM.orderDetails.debt_amt;
                historyVM.logistics = historyVM.orderDetails.logistics_number;
                var test=historyVM.orderDetails.consignee_address;
                var mapObj = {
                    "{":"",
                    "consignee":"收货人",
                    "mobile":"电话",
                    "address":"地址",
                    "transportDay":"收货时间",
                    "}":""
                };
                test = test.replace(/{|consignee|mobile|address|transportDay|}/gi, function(matched){
                    return mapObj[matched];
                });
                historyVM.consignee_address = test;
                if(historyVM.type=='customer'){
                    mui.ajax(severUrl + "crm/customer/getDebtAmt.json", {//单笔采购或草稿详细信息获取
                        data: {
                            customer_id: historyVM.orderDetails.customer_id
                        },
                        headers: {
                            'Content-Type': 'application/x-www-form-urlencoded'
                        },
                        xhrFields: {
                            withCredentials: true
                        },
                        dataType: 'json',
                        type: 'post',
                        timeout: 10000,
                        success: function (res) {
                            historyVM.all_debt_amt = res.data.all_debt_amt
                        }
                    });
                    historyVM.initOrderFlag = historyVM.orderDetails.order_flag;
                }
                var orderAmount = 0;
                var productListRu = [],productListChu = [];
                mui.each(historyVM.orderDetails.productlist, function (i, v) {
                    if(v.type == 0){
                        productListRu.push(v)
                    }else{
                        productListChu.push(v)
                    }
                    var display_unit_ratio =v.display_unit_ratio !='' ? Number(v.display_unit_ratio):1;
                    if(v.type ==0){
                        orderAmount +=Number(v.amount/display_unit_ratio)
                    }else{
                        orderAmount -=Number(v.amount/display_unit_ratio);
                    }
                });
                mui.each(productListRu, function (i, v) {
                    if(i ==0){
                        v.picture_name = v.picture_name !=""?(img_url+v.picture_name):"img/tx.jpg";
                    }else{
                        if(v.product_id ==productListRu[i-1].product_id){
                            v.picture_name = ''
                        }else{
                            v.picture_name = v.picture_name !=""?(img_url+v.picture_name):"img/tx.jpg";
                        }
                    }
                });
                mui.each(productListChu, function (i, v) {
                    if(i ==0){
                        v.picture_name = v.picture_name !=""?(img_url+v.picture_name):"img/tx.jpg";
                    }else{
                        if(v.product_id == productListChu[i-1].product_id){
                            v.picture_name = ''
                        }else{
                            v.picture_name = v.picture_name !=""?(img_url+v.picture_name):"img/tx.jpg";
                        }
                    }
                });
                historyVM.productListRu = productListRu;
                historyVM.productListChu = productListChu;
                historyVM.orderAmount = numToCur(orderAmount,historyVM.systemSetting.amount_decimals_setting);
                historyVM.initRemarkValue = historyVM.orderDetails.remark;
                historyVM.delivery_status = res.data.delivery_status;
                historyVM.sign_date = res.data.sign_date.substr(6, 5);

                var depotList = JSON.parse(localStorage.getItem("depotList"));
                mui.each(depotList, function (index, depot) {
                    if (depot.id == historyVM.orderDetails.depot_id) {
                        historyVM.depot_name = depot.name;
                    }
                });
                $('.swipebox').swipebox();
            }
        });
}

function setListener() {

    mui('.mui-scroll-wrapper').scroll({
        deceleration: 0.0006 //flick 减速系数，系数越大，滚动速度越慢，滚动距离越小，默认值0.0006
    });
    flag = true;
    mui(".mui-content").on('tap', '.toggleState', function () {
        mui.confirm("", "旗帜方式", ["取消","确定"], function (e) {
            if(e.index==1){
                var type =Number($(".chooseOne")[0].getAttribute("name"));
                switch (type) {
                    case 1:
                        historyVM.setColor(type,'red')
                        break;
                    case 2:
                        historyVM.setColor(type,'yellow')
                        break;
                    case 3:
                        historyVM.setColor(type,'blue')
                        break;
                    case 4:
                        historyVM.setColor(type,'green')
                        break;
                    case 5:
                        historyVM.setColor(type,'#666')
                        break;
                }
            }else{

            }
        },'div');
        //样式重写
        $(".mui-popup-in").css('border-radius',0);
        $(".mui-popup-inner").css('border-radius','6px');
        $(".mui-popup-inner").css('overflow','hidden');
        $(".mui-popup-inner").css('padding',0);
        $(".mui-popup-title").remove();
        $(".mui-popup-buttons").css('display','none');
        var muiPrompt =
            "<div class='qizhiType' style='display: flex; align-items: center; justify-content: space-between; height: 40px; padding: 0 15px;'>" +
            "<span name='5' class='iconfont icon-qizhi chooseclick' style='color: #666'></span>" +
            "<span name='1' class='iconfont icon-qizhi chooseclick' style='color: red'></span>" +
            "<span name='2' class='iconfont icon-qizhi chooseclick' style='color: yellow'></span>" +
            "<span name='3' class='iconfont icon-qizhi chooseclick' style='color: blue'></span>" +
            "<span name='4' class='iconfont icon-qizhi chooseclick' style='color: green'></span>" +
            "</div>"
        $(".mui-popup-text").html(muiPrompt);
        setTimeout(function(){
            $('.qizhiType span').removeClass("chooseOne")
        })
    });
    mui("body").on('tap','.chooseclick',function(){
        $('.qizhiType span').removeClass("chooseOne")
        $(this).addClass("chooseOne")
        mui.trigger(document.getElementsByClassName("mui-popup-button-bold")[0],'tap');
    })
    mui('.fh-status-history').on('tap', '.mui-switch', function () {
        if (historyVM.delivery_status == 0) {
            historyVM.delivery_status = 1;
        } else {
            historyVM.delivery_status = 0;
        }

        mui.ajax(severUrl + "scm/order/modifyDeliveryStatus.json", {
            data: {
                id: historyVM.historyId,
                delivery_status: historyVM.delivery_status
            },
            headers: {
                'Content-Type': 'application/x-www-form-urlencoded'
            },
            xhrFields: {
                withCredentials: true
            },
            dataType: 'json',
            type: 'post',
            timeout: 10000,
            success: function (res) {
                mui.toast(res.msg);
            }
        });
    });

    mui(".pay-status-history").on('tap', '.get-money-btn', function () {
        var btn=['确认收款?','确认还款?'];
        if(historyVM.type=='customer'){
            btn=btn[0];
            historyVM.jifenkaitong()
        }else{
            btn=btn[1]
            historyVM.jifenKT=0
        }
        mui.confirm("", btn, ["取消","确定"], function (e) {
            if(e.index==1){
                if(historyVM.truePay > historyVM.debtAmt){
                    mui.toast('输入金额大于欠款金额！');
                    return false
                }
                var type =$(".colorOrange").attr("type");
                historyVM.pay_status = type;
                mui.ajax(severUrl + "scm/order/clearDebtByOrderID.json", {
                    data: {
                        id: historyVM.historyId,
                        pay_status: historyVM.pay_status,
                        debt_status: historyVM.truePay == historyVM.debtAmt?0:historyVM.orderDetails.debt_status,
                        pay_mony: historyVM.truePay,
                    },
                    headers: {
                        'Content-Type': 'application/x-www-form-urlencoded'
                    },
                    xhrFields: {
                        withCredentials: true
                    },
                    dataType: 'json',
                    type: 'post',
                    timeout: 10000,
                    success: function (res) {
                        mui.toast(res.msg);
                        if(historyVM.type=='customer'){
                            if(historyVM.jifenKT ==1 && historyVM.orderDetails.customer_id != localStorage.getItem("moRen")){
                                var changeIntegral = parseInt(historyVM.truePay/historyVM.cost_money_unit * historyVM.increase_bonus)
                                mui.ajax(severUrl + "crm/customer/changeIntegral.json", {
                                    data: {
                                        customer_id: historyVM.orderDetails.customer_id,
                                        changeIntegral: changeIntegral,
                                        detail: "欠款订单收款",
                                        order_id: historyVM.orderDetails.order_id
                                    },
                                    headers: {
                                        'Content-Type': 'application/x-www-form-urlencoded'
                                    },
                                    xhrFields: {
                                        withCredentials: true
                                    },
                                    dataType: 'json',
                                    type: 'post',
                                    timeout: 10000,
                                    success: function (res) {
                                        localStorage.setItem("xiaoPageAction",'customerRefresh') //刷新页面参数
                                        historyVM.loadOrderInfo(historyVM.historyId);
                                    }
                                });
                            }else{
                                localStorage.setItem("xiaoPageAction",'customerRefresh') //刷新页面参数
                                historyVM.loadOrderInfo(historyVM.historyId);
                            }
                        }else{
                            localStorage.setItem("caiPageAction",'supplierRefresh') //刷新页面参数
                            historyVM.loadOrderInfo(historyVM.historyId);
                        }
                        viewHandle.viewFire('debatDts.html','customerAndsupplierRefresh')
                    }
                });
            }else{

            }
        },'div');
        //样式重写
        $(".mui-popup-in").css('border-radius',0);
        $(".mui-popup-inner").css('border-radius','6px 6px 0 0');
        $(".mui-popup-inner").css('padding',0);
        $(".mui-popup-text").css('margin',0);
        $(".mui-popup-title").css('line-height','40px');
        $(".mui-popup-button:first-child").css('border-radius','0 0 0 6px');
        $(".mui-popup-button:last-child").css('border-radius','0 0 6px');
        var muiPrompt = "<div style='border-top: 1px solid #e2e2e2;' class='payTypeDiv'><div style='width: 30px; text-align: left'>还款</div><div style='flex: 1; align-items: center'><input style='padding: 0 10px; height: 25px; margin: 0; background: transparent' id='hisTruePay' type='text' value='"+historyVM.truePay+"'></div></div>";
        //样式重写
        mui.each(historyVM.accountList,function(i,v){
            switch (v.type) {
                case 1:
                    if(v.is_disable == 1) break
                    var type = v.type;
                    muiPrompt +="<div class='payTypeDiv historyPayType'><div style='display: flex; flex: 1'><span class='iconfont icon-xianjin' style='color: #fe7e7e'>&nbsp;</span><span class='historyPay colorOrange' type='"+v.type+"'>"+v.name+"</span></div><div style='width: 24px'><span class='mui-icon mui-icon-checkmarkempty historyPay colorOrange' style='font-size: 36px; display: none'></span></div></div>"
                    break;
                case 2:
                    if(v.is_disable == 1) break;
                    muiPrompt +="<div class='payTypeDiv historyPayType'><div style='display: flex; flex: 1'><span class='iconfont icon-zhifubao' style='color: #09aaf0'>&nbsp;</span><span class='historyPay' type='"+v.type+"'>"+v.name+"</span></div><div style='width: 24px'><span class='mui-icon mui-icon-checkmarkempty historyPay' style='font-size: 36px; display: none'></span></div></div>"
                    break;
                case 3:
                    if(v.is_disable == 1) break;
                    muiPrompt +="<div class='payTypeDiv historyPayType'><div style='display: flex; flex: 1'><span class='iconfont icon-icon1460188541813' style='color: #51c232'>&nbsp;</span><span class='historyPay' type='"+v.type+"'>"+v.name+"</span></div><div style='width: 24px'><span class='mui-icon mui-icon-checkmarkempty historyPay' style='font-size: 36px; display: none'></span></div></div>"
                    break;
                case 4:
                    if(v.is_disable == 1) break;
                    muiPrompt +="<div class='payTypeDiv historyPayType'><div style='display: flex; flex: 1'><span class='iconfont icon-bank-card' style='color: #f90000'>&nbsp;</span><span class='historyPay' type='"+v.type+"'>"+v.name+"</span></div><div style='width: 24px'><span class='mui-icon mui-icon-checkmarkempty historyPay' style='font-size: 36px; display: none'></span></div></div>"
                    break;
                default:
                    if(v.is_disable == 1) break;
                    muiPrompt +="<div class='payTypeDiv historyPayType'><div style='display: flex; flex: 1'><span class='iconfont icon-qitaphone' style='color: #b74c00'>&nbsp;</span><span class='historyPay' type='"+v.type+"'>"+v.name+"</span></div><div style='width: 24px'><span class='mui-icon mui-icon-checkmarkempty historyPay' style='font-size: 36px; display: none'></span></div></div>"
                    break;
            }
        })
        $(".mui-popup-text").html(muiPrompt);
            jifenInfo()
        document.getElementById("hisTruePay").addEventListener("click", function(event) {
            mui("#hisTruePay")[0].value = '';
        })
        document.getElementById("hisTruePay").addEventListener("blur", function(event) {
            mui("#hisTruePay")[0].value = historyVM.truePay;
        })
        document.getElementById("hisTruePay").addEventListener("keyup", function(event) {
            historyVM.truePay = mui("#hisTruePay")[0].value;
            jifenInfo()
        })
        setTimeout(function(){
            $('.historyPay').removeClass("colorOrange");
            $(".historyPayType").eq(historyVM.pay_status-1).find(".historyPay").addClass("colorOrange")
        });
        var btn=['确认收款?','确认还款?'];
        if(historyVM.type=='customer'){
            btn=btn[0]
        }else{
            btn=btn[1]
        }
    });
    mui("body").on('tap','.historyPayType',function(){
        $('.historyPay').removeClass("colorOrange")
        $(this).find('.historyPay').addClass("colorOrange")
    })

    /*撤销按钮*/
    mui(".mui-content").on('tap', '.revokeOrder', function () {
        mui.confirm("撤销后，该单据内所有的商品库存数量将会变动，是否确认撤销？", "提示", ["取消","确定"], function (e) {
            if (e.index == 1 && buttonClick) {
                buttonClick = false;
                var ordertype=1;
                if(historyVM.type=='supplier'){
                    ordertype=0;
                }
                var historyId = historyVM.historyId;
                mui.ajax(severUrl + "scm/order/revert.json", {
                    data: {
                        id: historyId,
                        // depot_id: historyVM.orderDetails.depot_id,
                        // ordertype: ordertype,
                        // submit_status: 0,
                        // productlistlength: historyVM.orderDetails.productlist.length,
                        // productlist: historyVM.orderDetails.productlist
                    },
                    headers: {
                        'Content-Type': 'application/x-www-form-urlencoded'
                    },
                    xhrFields: {
                        withCredentials: true
                    },
                    dataType: 'json',
                    type: 'post',
                    timeout: 10000,
                    success: function (res) {
                        mui.toast(res.msg);
                        if (res.success) {
                            sessionStorage.setItem("reloadPage","1");
                            setTimeout(function () {
                                buttonClick = true;
                                if(historyVM.htmlType == "flowStatistics"){
                                    viewHandle.viewFire('flowStatistics.html','backUpdate');
                                }
                                viewHandle.back()
                            }, 1000);
                        }
                    },
                    error:function(xhr,type,errorThrown){
                        buttonClick = true
                    }
                });
            }
        },'div')
    });

    mui("body").on("tap",".muiBack",function(){
        viewHandle.back()
    })
}
//查询账户信息
/**
 * asc
 * @param {*} propertyName
 */
function ascCompare(propertyName) {
    return function (object1, object2) {
        var value1 = object1[propertyName];
        var value2 = object2[propertyName];
        if (value2 > value1) {
            return -1;
        } else if (value2 < value1) {
            return 1;
        } else {
            return 0;
        }
    }
}
function jifenInfo(){
    if(historyVM.jifenKT ==1 && historyVM.orderDetails.customer_id != localStorage.getItem("moRen")){
        var info = "(新增积分 "+parseInt(historyVM.truePay/historyVM.cost_money_unit * historyVM.increase_bonus)+")"
        $(".hisIntegral").html(info);
        $(".hisIntegral").css('display','block')
    }else{
        $(".hisIntegral").html('');
        $(".hisIntegral").css('display','none')
    }
}