Vue.filter("time-format", function (time) {
	var date = new Date(time.replace(/-/g, "/"));
	var newDate = date.getFullYear() + "年" + ((date.getMonth() + 1) < 10 ? "0" + (date.getMonth() + 1) : (date.getMonth() + 1)) + "月" + (date.getDate() < 10 ? "0" + date.getDate() : date.getDate()) + "日 " + " " + (date.getHours() < 10 ? "0" + date.getHours() : date.getHours()) + "时" + (date.getMinutes() < 10 ? "0" + date.getMinutes() : date.getMinutes()) + "分";
	return newDate;
});

Vue.filter("searchTime-format", function (time) {
	var date = new Date(time);
	var newDate = date.getFullYear() + "/" + ((date.getMonth() + 1) < 10 ? "0" + (date.getMonth() + 1) : (date.getMonth() + 1)) + "/" + (date.getDate() < 10 ? "0" + date.getDate() : date.getDate());
	return newDate;
});

var flag = true;

function loadNowDate(type) {
	var myDate = new Date();
	var Y = myDate.getFullYear();
	var M = (myDate.getMonth() + 1);
	var D = myDate.getDate();

	M >= 10 ? M = M : M = 0 + "" + M;
	D >= 10 ? D = D : D = 0 + "" + D;

	if (type == 1) {
		return Y + '-' + M + '-' + D;
	} else if (type == 2) {
		return Y + '-' + M + '-' + '01';
	}

}
var storeVM = new Vue({
	el: '#storeVM',
	data: {
		systemSetting:JSON.parse(localStorage.systemSetting),
		list: [],
		searchMsg: '',
		lsDateFirst: loadNowDate(2),
		lsDateLast: loadNowDate(1),
        all_in_amount:'',
        all_price:'',
        all_profits:'',
		//权限相关
		positionName:false,
		stockManager:false,
		purchaseManager:false,
		companySetIndustry:true,
		labelPprinter:false,
		faAccount:true,
		is_advanced:0,
		company_name:'',
		company_id:'',
		user_id:'',
		jifenshow:false,
		bindDepot:-1,
		//--------------------
	},
	watch: {

	},
	methods:{
		getPurview :function(){//获取权限
			var _this = this;
			mui.ajax(severUrl + "sso/user/qryOp.json", {
				data : {
					id : ''
				},
				headers : {
					'Content-Type' : 'application/x-www-form-urlencoded'
				},
				xhrFields : {
					withCredentials : true
				},
				dataType : 'json',
				type : 'post',
				timeout : 30000,
				async : false,
				success : function(res) {
					if (res.success) {
						// var position_name = res.data.position_name;
						_this.company_name = res.data.company_name;
						_this.company_id = res.data.company_id;
						_this.bindDepot = res.data.manage_depot_id;
						_this.user_id = res.data.id;
						var code = res.data.position,permission = code.permission;
						if(permission.indexOf('A11_1_O') >=0 || permission.indexOf('A11_1_E') >=0){
							_this.positionName = true
						}else{
							_this.positionName = false
						}
						permission.indexOf('A4_1_E') >=0?_this.stockManager = true:_this.stockManager = false;
						permission.indexOf('FA_ACC') >=0?_this.faAccount = true:_this.faAccount = false;
						permission.indexOf('LOOK_PURCHASE') >=0?_this.purchaseManager = true:_this.purchaseManager = false;
						permission.indexOf('ONLY_PRINT') >=0?_this.labelPprinter = true:_this.labelPprinter = false;
						'RFRk,eYVo,y0oa,mVbc,pqrB,pDAY,CCP2,Oo4T,LfTY'.indexOf(_this.company_id) >=0?_this.jifenshow = true:_this.jifenshow=false
						_this.companySetIndustry = res.data.company_set_industry;
					}

				}
			});
		},
	},
	created: function () {
        if(mui.os.ios == true && sessionStorage.getItem("reloadPage") == 1){
            sessionStorage.removeItem("reloadPage");
            location.reload();
        }
        setTimeout(function(){
            loadProductStatics();
		},200)

	},
    mounted: function () {
		var _this = this;
        var winHeight = localStorage.getItem("pageHeight");  //获取当前页面高度
        $("body").css('height',localStorage.getItem("pageHeight"));
        $(window).resize(function () {
            var u = navigator.userAgent, app = navigator.appVersion;
            var isAndroid = u.indexOf('Android') > -1 || u.indexOf('Linux') > -1; //android终端或者uc浏览器
            var isiOS = !!u.match(/\(i[^;]+;( U;)? CPU.+Mac OS X/); //ios终端
            if(isAndroid){
                var thisHeight = $(this).height();
                if ( winHeight - thisHeight > 140 ) {
                    $("body").css('height',winHeight);
                } else {
                    $("body").css('height',winHeight);
                    $("input").blur();
                    $("textarea").blur();
                }
            }else if(isiOS){

            }
        });
        mui.plusReady(function () {
			_this.getPurview()
		})
    }
});
/**
 * 计算合计
 */
function totalNum() {
    var all_in_amount = 0;
    var all_price = 0;
    var all_profits = 0;
	for (var i = 0, len = storeVM.list.length; i < len; i++) {
		if (storeVM.list[i].all_sales) {
            all_in_amount += Number(storeVM.list[i].all_sales);
		}
		if (storeVM.list[i].all_sale_amt) {
            all_price += Number(storeVM.list[i].all_sale_amt);
		}
        if (storeVM.list[i].all_profits) {
            all_profits += Number(storeVM.list[i].all_profits);
        }
	}
    storeVM.all_in_amount=numToCur(all_in_amount,storeVM.systemSetting.amount_decimals_setting);
    storeVM.all_price=numToCur(all_price,storeVM.systemSetting.price_decimals_setting,'price');
    storeVM.all_profits=numToCur(all_profits,storeVM.systemSetting.price_decimals_setting,'price');
}

/**
 * 加载商品统计
 */
function loadProductStatics() {
	var data = timedifference(storeVM.lsDateFirst, storeVM.lsDateLast);
	if(data > 366){
		mui.toast("查询时间范围不能大于12个月，请分段查询");
		return;
	}
	mui.ajax(severUrl + "scm/depot/qryOpWithSalesAndPurchasesAndDataTime.json", {
		data: {
            start_date: storeVM.lsDateFirst,
            end_date: storeVM.lsDateLast,

		},
		headers: {
			'Content-Type': 'application/x-www-form-urlencoded'
		},
		xhrFields: {
			withCredentials: true
		},
		dataType: 'json',
		type: 'post',
		timeout: 10000,
        beforeSend: function() {
            // mask.show();//显示遮罩层
            mui('#dh')[0].style.display = "block";
        },
        complete: function() {
            //mask.close();//关闭遮罩层
            mui('#dh')[0].style.display = "none";
        },
		success: function (res) {
			if (res.success) {
                storeVM.list = res.data;
                storeVM.list.sort(descCompare("all_sale_amt"));
                totalNum();
			} else {
				if(res.status == 10101 || res.status == 10102) {
					logOut(res.msg)
				}else{
					mui.toast(res.msg);
				}
			}
		},
        error:function(res){
            var btnArray = ["重新加载"];
            mui.confirm('', '网络异常', btnArray, function(e) {
                window.location.href = 'storeTongji.html';
            },'div')
        }
	});
}

/**
 * 初始化滚动条
 */
mui('.mui-scroll-wrapper').scroll({
	deceleration: 0.0006
});

/**
 * desc
 * @param {*} propertyName 
 */
function descCompare(propertyName) {
	return function (object1, object2) {
		var value1 = object1[propertyName];
		var value2 = object2[propertyName];
		if (value2 < value1) {
			return -1;
		} else if (value2 > value1) {
			return 1;
		} else {
			return 0;
		}
	}
}

/**
 * asc
 * @param {*} propertyName 
 */
function ascCompare(propertyName) {
	return function (object1, object2) {
		var value1 = object1[propertyName];
		var value2 = object2[propertyName];
		if (value2 > value1) {
			return -1;
		} else if (value2 < value1) {
			return 1;
		} else {
			return 0;
		}
	}
}

/**
 * 升序、降序
 */
mui('.theadbgc').on('tap', '.click-th', function () {
	// 显示排序箭头
	var sort = document.getElementsByClassName('theadbgc')[0].getElementsByClassName('sort');

	for (var i = 0, len = sort.length; i < len; i++) {
		sort[i].classList.add("sort-img");
	}

	if (this.innerHTML.indexOf('sort-img') != -1) {
		this.getElementsByClassName('sort')[0].classList.remove("sort-img");
		var type = this.getElementsByClassName('sort')[0].getElementsByTagName('img')[0].dataset.type;
        storeVM.list.sort(descCompare(type));
	}

	// 排序
	switch (this.dataset.type) {
		case 'all_sales':
			if (flag) {
                storeVM.list.sort(descCompare("all_sales"));
				this.getElementsByTagName('img')[0].src = 'img/down.png';
				flag = false;
			} else {
                storeVM.list.sort(ascCompare("all_sales"));
				this.getElementsByTagName('img')[0].src = 'img/up.png';
				flag = true;
			}
			break;

		case 'all_sale_amt':
			if (flag) {
                storeVM.list.sort(descCompare("all_sale_amt"));
				this.getElementsByTagName('img')[0].src = 'img/down.png';
				flag = false;
			} else {
                storeVM.list.sort(ascCompare("all_sale_amt"));
				this.getElementsByTagName('img')[0].src = 'img/up.png';
				flag = true;
			}
			break;

		case 'all_profits':
			if (flag) {
                storeVM.list.sort(descCompare("all_profits"));
				this.getElementsByTagName('img')[0].src = 'img/down.png';
				flag = false;
			} else {
                storeVM.list.sort(ascCompare("all_profits"));
				this.getElementsByTagName('img')[0].src = 'img/up.png';
				flag = true;
			}
			break;
        case 'incomerate':
            if (flag) {
                storeVM.list.sort(descCompare("incomerate"));
                this.getElementsByTagName('img')[0].src = 'img/down.png';
                flag = false;
            } else {
                storeVM.list.sort(ascCompare("incomerate"));
                this.getElementsByTagName('img')[0].src = 'img/up.png';
                flag = true;
            }
            break;
	}

});
/**
 * 调用时间控件
 */
mui(".mui-input-group").on('click', '.time-search', function () {
	loadProductStatics(storeVM.lsDateFirst, storeVM.lsDateLast, storeVM.searchMsg);
});

var lsDateFirst = new mui.DtPicker({
	type: "date",
	labels: ['年', '月', '日']
});

var lsDateLast = new mui.DtPicker({
	type: "date",
	labels: ['年', '月', '日']
});

mui('body').on('tap', '.lsDateFirst', function () {
	var _self = this;
	lsDateFirst.show(function (e) {
        storeVM.lsDateFirst = e.text;
	})
});

mui('body').on('tap', '.lsDateLast', function () {
	var _self = this;
	lsDateLast.show(function (e) {
        storeVM.lsDateLast = e.text;
	})
});
mui('body').on('tap', '.back-cg', function () {
	viewHandle.back('close');
    //location = 'tongji.html';
});


mui('table').on('tap', '.storeInfo', function () {

    var storeId = this.dataset.id;
    var storeName=this.dataset.name;
	var data = timedifference(storeVM.lsDateFirst, storeVM.lsDateLast);
        if(data > 366){
        	mui.toast("查询时间范围不能大于12个月，请分段查询");
        	return;
    }
	var listSend = {};
	listSend.storeId = storeId;
	listSend.storeName = storeName;

	listSend.lsDateFirst = storeVM.lsDateFirst;
	listSend.lsDateLast = storeVM.lsDateLast;
	viewHandle.viewFire('singleStore.html','singleStore',listSend);
	viewHandle.openWindow('singleStore.html','singleStore.html',JSON.stringify(listSend))
});



