function loadNowDate(type) {
	var myDate = new Date();
	var Y = myDate.getFullYear()
	var M = (myDate.getMonth() + 1);
	var D = myDate.getDate();

	M >= 10 ? M = M : M = 0 + "" + M;
	D >= 10 ? D = D : D = 0 + "" + D;

	if (type == 1) {
		return Y + '-' + M + '-' + D;
	} else if (type == 2) {
		return Y + '-' + M + '-' + '01';
	}

}
mui.plusReady(function(){
	loadProductStatics('',loadNowDate(2),loadNowDate(1),"updateList")
});
var flag = false;
var qryProduct = true;
var data = { //上拉加载参数
	num: 0,
	startY: '',
	moveEndY: '',
	isLoading: true
};
var supplierTongJiVM = new Vue({
	el: '#supplierTongJiVM',
	data: {
		systemSetting:JSON.parse(localStorage.systemSetting),
		list: [],
		searchMsg: '',
		lsDateFirst: loadNowDate(2),
		lsDateLast: loadNowDate(1),
        sale_all_count:'',
        all_amt:'',
		page:1,
		sort_rule:'desc',
		sort:'all_amt',
		//权限相关
		positionName:false,
		stockManager:false,
		purchaseManager:false,
		companySetIndustry:true,
		labelPprinter:false,
		faAccount:true,
		is_advanced:0,
		company_name:'',
		company_id:'',
		user_id:'',
		jifenshow:false,
		bindDepot:-1,
		//--------------------
	},
	watch: {
        searchMsg:function(val){
            if(!val){
                loadProductStatics('',supplierTongJiVM.lsDateFirst,supplierTongJiVM.lsDateLast,"updateList")
            }
        }
	},
	methods:{
		getPurview :function(){//获取权限
			var _this = this;
			mui.ajax(severUrl + "sso/user/qryOp.json", {
				data : {
					id : ''
				},
				headers : {
					'Content-Type' : 'application/x-www-form-urlencoded'
				},
				xhrFields : {
					withCredentials : true
				},
				dataType : 'json',
				type : 'post',
				timeout : 30000,
				async : false,
				success : function(res) {
					if (res.success) {
						// var position_name = res.data.position_name;
						_this.company_name = res.data.company_name;
						_this.company_id = res.data.company_id;
						_this.bindDepot = res.data.manage_depot_id;
						_this.user_id = res.data.id;
						var code = res.data.position,permission = code.permission;
						if(permission.indexOf('A11_1_O') >=0 || permission.indexOf('A11_1_E') >=0){
							_this.positionName = true
						}else{
							_this.positionName = false
						}
						permission.indexOf('A4_1_E') >=0?_this.stockManager = true:_this.stockManager = false;
						permission.indexOf('FA_ACC') >=0?_this.faAccount = true:_this.faAccount = false;
						permission.indexOf('LOOK_PURCHASE') >=0?_this.purchaseManager = true:_this.purchaseManager = false;
						permission.indexOf('ONLY_PRINT') >=0?_this.labelPprinter = true:_this.labelPprinter = false;
						'RFRk,eYVo,y0oa,mVbc,pqrB,pDAY,CCP2,Oo4T,LfTY'.indexOf(_this.company_id) >=0?_this.jifenshow = true:_this.jifenshow=false
						_this.companySetIndustry = res.data.company_set_industry;
					}

				}
			});
		},
	},
	created: function () {
		// loadProductStatics('',loadNowDate(2),loadNowDate(1));
	},
    mounted: function () {
        var _this = this;
        var winHeight = localStorage.getItem("pageHeight");  //获取当前页面高度
        $("body").css('height',localStorage.getItem("pageHeight"));
        $(window).resize(function () {
            var u = navigator.userAgent, app = navigator.appVersion;
            var isAndroid = u.indexOf('Android') > -1 || u.indexOf('Linux') > -1; //android终端或者uc浏览器
            var isiOS = !!u.match(/\(i[^;]+;( U;)? CPU.+Mac OS X/); //ios终端
            if(isAndroid){
                var thisHeight = $(this).height();
                if ( winHeight - thisHeight > 140 ) {
                    $("body").css('height',winHeight);
                } else {
                    $("body").css('height',winHeight);
                    $("input").blur();
                    $("textarea").blur();
                }
            }else if(isiOS){

            }
        });
        mui.plusReady(function () {
			_this.getPurview()
		})
    }
});

/**
 * 计算合计
 */
function totalNum() {
    var sale_all_count = 0;
    var all_amt = 0;
	for (var i = 0, len = supplierTongJiVM.list.length; i < len; i++) {
		if (supplierTongJiVM.list[i].sale_all_count) {
            sale_all_count += Number(supplierTongJiVM.list[i].sale_all_count);
		}

		if (supplierTongJiVM.list[i].all_amt) {
            all_amt += Number(supplierTongJiVM.list[i].all_amt);
		}
	}
	supplierTongJiVM.sale_all_count=numToCur(sale_all_count,supplierTongJiVM.systemSetting.amount_decimals_setting);
	supplierTongJiVM.all_amt=numToCur(all_amt,supplierTongJiVM.systemSetting.price_decimals_setting,'price');
}

/**
 * 加载商品统计
 */
function loadProductStatics(name,startTime,endTime,type) {
	var data = timedifference(startTime, endTime);
	if(data > 366){
		mui.toast("时间范围不能大于12个月");
		return;
	}
	if(type == 'updateList'){
		supplierTongJiVM.page = 1;
	}
	qryProduct = false; //禁止短时间多次查询
	mui.ajax(severUrl + "scm/order/getOrderInfoByCustomerName.json", {
		data: {
            name:name,
            ordertype: 0,// 0为采购（还款） 1为销售（清欠）
            type: 0,//0为供应商（还款） 1为客户（清欠）
			start_date:startTime,
			end_date:endTime,
			page:supplierTongJiVM.page,
			rows:25,
			sort:supplierTongJiVM.sort,
			sort_rule:supplierTongJiVM.sort_rule
        },
		headers: {
			'Content-Type': 'application/x-www-form-urlencoded'
		},
		xhrFields: {
			withCredentials: true
		},
		dataType: 'json',
		type: 'post',
		timeout: 10000,
        beforeSend: function() {
            // mask.show();//显示遮罩层
            mui('#dh')[0].style.display = "block";
        },
        complete: function() {
            //mask.close();//关闭遮罩层
            mui('#dh')[0].style.display = "none";
        },
		success: function (res) {
			if (res.success) {
				var totalPage=res.data.totalPage;
				if(type == "updateList"){
					supplierTongJiVM.list = [];
				}
				supplierTongJiVM.list = supplierTongJiVM.list.concat(res.data.list);
				mui(".mui-pull-caption")[0].style.display = "block";
				if(supplierTongJiVM.page<totalPage){
					setTimeout(function(){
						qryProduct = true;
						data.isLoading = true;
						$('.mui-pull-caption').text('上拉加载更多');
						supplierTongJiVM.page++;
					},1500)
				}else{
					data.isLoading = false;
					$('.mui-pull-caption').text('没有更多数据了')
				}
				//supplierTongJiVM.list.sort(descCompare("all_amt"));
				totalNum();
			}else{
				if(res.status == 10101 || res.status == 10102) {
					logOut(res.msg)
				}else{
					mui.toast(res.msg);
				}
			}
		},
        error:function(res){
            var btnArray = ["重新加载"];
            mui.confirm('', '网络异常', btnArray, function(e) {
                window.location.href = 'supplierTongJi.html';
            },'div')
        }
	});
}
// 上拉加载
$(document).on('touchstart','#upFresh', function(e) {
	// e.preventDefault();
	data.startY = e.originalEvent.changedTouches[0].pageY;
});
$(document).on('touchmove', '#upFresh',function(e) {
	// e.preventDefault();
	data.moveEndY = e.originalEvent.changedTouches[0].pageY
	Y = data.startY - data.moveEndY;
	if(Y>80){
		upLoading()
	}
});
function upLoading(){
	var scroll = mui('#pullrefresh').scroll();
	var scrollTop = scroll.y;
	//判断滚动到底部之下
	if(scrollTop < scroll.maxScrollY){
		if( data.isLoading === false || qryProduct == false){
			return
		}else{
			$('.mui-pull-caption').text('玩命加载中...')
			//请求数据
			loadProductStatics('',supplierTongJiVM.lsDateFirst,supplierTongJiVM.lsDateLast)
		}
	}
}
/**
 * 初始化滚动条
 */
mui('.mui-scroll-wrapper').scroll({
	deceleration: 0.0006
});

/**
 * desc
 * @param {*} propertyName 
 */
function descCompare(propertyName) {
	return function (object1, object2) {
		var value1 = object1[propertyName];
		var value2 = object2[propertyName];
		if (value2 < value1) {
			return -1;
		} else if (value2 > value1) {
			return 1;
		} else {
			return 0;
		}
	}
}

/**
 * asc
 * @param {*} propertyName 
 */
function ascCompare(propertyName) {
	return function (object1, object2) {
		var value1 = object1[propertyName];
		var value2 = object2[propertyName];
		if (value2 > value1) {
			return -1;
		} else if (value2 < value1) {
			return 1;
		} else {
			return 0;
		}
	}
}

/**
 * 升序、降序
 */
mui('.theadbgc').on('tap', '.click-th', function () {
	// 显示排序箭头
	var sort = document.getElementsByClassName('theadbgc')[0].getElementsByClassName('sort');

	for (var i = 0, len = sort.length; i < len; i++) {
		sort[i].classList.add("sort-img");
	}

	if (this.innerHTML.indexOf('sort-img') != -1) {
		this.getElementsByClassName('sort')[0].classList.remove("sort-img");
		var type = this.getElementsByClassName('sort')[0].getElementsByTagName('img')[0].dataset.type;

        // supplierTongJiVM.list.sort(descCompare(type));
	}

	// 排序
	switch (this.dataset.type) {
		case 'sale_all_count':
			supplierTongJiVM.sort = 'sale_all_count';
			if (flag) {
				// supplierTongJiVM.list.sort(descCompare("sale_all_count"));
				supplierTongJiVM.sort_rule = "desc";
				this.getElementsByTagName('img')[0].src = 'img/down.png';
				flag = false;
			} else {
				supplierTongJiVM.sort_rule = "asc";
                // supplierTongJiVM.list.sort(ascCompare("sale_all_count"));
				this.getElementsByTagName('img')[0].src = 'img/up.png';
				flag = true;
			}
			loadProductStatics(supplierTongJiVM.searchMsg,supplierTongJiVM.lsDateFirst,supplierTongJiVM.lsDateLast,"updateList");
			break;

		case 'all_amt':
			supplierTongJiVM.sort = 'all_amt';
			if (flag) {
				supplierTongJiVM.sort_rule = "desc";
                //supplierTongJiVM.list.sort(descCompare("all_amt"));
				this.getElementsByTagName('img')[0].src = 'img/down.png';
				flag = false;
			} else {
				supplierTongJiVM.sort_rule = "asc";
                //supplierTongJiVM.list.sort(ascCompare("all_amt"));
				this.getElementsByTagName('img')[0].src = 'img/up.png';
				flag = true;
			}
			loadProductStatics(supplierTongJiVM.searchMsg,supplierTongJiVM.lsDateFirst,supplierTongJiVM.lsDateLast,"updateList");
			break;

        case 'debt_all_amt':
			supplierTongJiVM.sort = 'debt_all_amt';
            if (flag) {
				supplierTongJiVM.sort_rule = "desc";
                //supplierTongJiVM.list.sort(descCompare("debt_all_amt"));
                this.getElementsByTagName('img')[0].src = 'img/down.png';
                flag = false;
            } else {
				supplierTongJiVM.sort_rule = "asc";
                //supplierTongJiVM.list.sort(ascCompare("debt_all_amt"));
                this.getElementsByTagName('img')[0].src = 'img/up.png';
                flag = true;
            }
			loadProductStatics(supplierTongJiVM.searchMsg,supplierTongJiVM.lsDateFirst,supplierTongJiVM.lsDateLast,"updateList");
            break;
	}

});


mui('table').on('tap', '.tongJiInfo', function (e) {
    e.stopPropagation();
	var data = timedifference(supplierTongJiVM.lsDateFirst, supplierTongJiVM.lsDateLast);
	if(data > 366){
		mui.toast("查询时间范围不能大于12个月，请分段查询");
		return;
	}
    // var name = this.parentNode.parentNode.dataset.name;
    var id = this.parentNode.dataset.id || this.dataset.id;
    var name = this.parentNode.dataset.name || this.dataset.name;
    var tel=this.parentNode.dataset.tel || this.dataset.tel;
    var type=this.getAttribute('type');
	var listSend = {};
	listSend.id = id;
	listSend.name = name;
	listSend.tel = tel;
	listSend.pageTabId = type;
	listSend.customerTjTimeStart = supplierTongJiVM.lsDateFirst;
	listSend.customerTjTimeEnd = supplierTongJiVM.lsDateLast;
	listSend.type = 'supplier';
	//viewHandle.viewFire('debatDts.html','debatDts',listSend);
	viewHandle.openWindow('view/debatDts.html','debatDts.html',JSON.stringify(listSend))
    //location = "view/debatDts.html?id=" + id + '&name='+ name+ '&tel='+ tel + '&type=' +'supplier'+'&htmlType='+type;
});

/**
 * 货号查询
 */
mui('body').on('click', '.btn-chaxun', function () {
	loadProductStatics(supplierTongJiVM.searchMsg,supplierTongJiVM.lsDateFirst,supplierTongJiVM.lsDateLast,'updateList');
});
mui('body').on('tap', '.back-cg', function () {
    viewHandle.back('close')
	//location = 'tongji.html';
});

/**
 * 调用时间控件
 */
var lsDateFirst = new mui.DtPicker({
	type: "date",
	labels: ['年', '月', '日']
});

var lsDateLast = new mui.DtPicker({
	type: "date",
	labels: ['年', '月', '日']
});

mui('body').on('tap', '.lsDateFirst', function () {
	var _self = this;
	lsDateFirst.show(function (e) {
		supplierTongJiVM.lsDateFirst = e.text;
	})
});

mui('body').on('tap', '.lsDateLast', function () {
	var _self = this;
	lsDateLast.show(function (e) {
		supplierTongJiVM.lsDateLast = e.text;
	})
});

