window.addEventListener("unitSelectionUpdate",function(e) {
	sessionStorage.setItem("mainUnitId",e.detail.mainUnitId);
	sessionStorage.setItem("mainUnitName",e.detail.mainUnitName);
	sessionStorage.setItem("unitList",JSON.stringify(e.detail.unitList));
	sessionStorage.setItem("id",e.detail.id);
	unitSelectionVM.pageType = e.detail.pageType;
	unitSelectionVM.type = e.detail.index;
	unitSelectionVM.unitList = [];
	unitSelectionVM.fromType = e.detail.fromType || '';
	getUnit()
});
mui.plusReady(function(){
	unitSelectionVM.unitList = [];
	var arg = plus.webview.currentWebview().arg;
	if(arg){
		arg = JSON.parse(plus.webview.currentWebview().arg);
		sessionStorage.setItem("mainUnitId",arg.mainUnitId);
		sessionStorage.setItem("mainUnitName",arg.mainUnitName);
		sessionStorage.setItem("id",arg.id);
		sessionStorage.setItem("unitList",JSON.stringify(arg.unitList));
		unitSelectionVM.pageType = arg.pageType;
		unitSelectionVM.type = arg.index;
		unitSelectionVM.fromType = arg.fromType;
		getUnit()
	}
});
var unitSelectionVM = new Vue({
	el: '#unitSelectionVM',
	data: {
		//pageType:getQueryString('pageType'),
		fromType:'',
		pageType:'add',
		popoverTitle: '',
		changeUnitObj: { name: '', id: '' },
		unitList:[], //单位列表
		//type:getQueryString('index'),
		type:999,
		mainUnitId:'',
		mainUnitName:'',
		unitObj:{},
		//权限相关
		positionName:false,
		stockManager:false,
		purchaseManager:false,
		companySetIndustry:true,
		labelPprinter:false,
		faAccount:true,
		is_advanced:0,
		company_name:'',
		company_id:'',
		user_id:'',
		jifenshow:false,
		bindDepot:-1,
		//--------------------
	},
	methods: {
		getPurview :function(){//获取权限
			var _this = this;
			mui.ajax(severUrl + "sso/user/qryOp.json", {
				data : {
					id : ''
				},
				headers : {
					'Content-Type' : 'application/x-www-form-urlencoded'
				},
				xhrFields : {
					withCredentials : true
				},
				dataType : 'json',
				type : 'post',
				timeout : 30000,
				async : false,
				success : function(res) {
					if (res.success) {
						// var position_name = res.data.position_name;
						_this.company_name = res.data.company_name;
						_this.company_id = res.data.company_id;
						_this.bindDepot = res.data.manage_depot_id;
						_this.user_id = res.data.id;
						var code = res.data.position,permission = code.permission;
						if(permission.indexOf('A11_1_O') >=0 || permission.indexOf('A11_1_E') >=0){
							_this.positionName = true
						}else{
							_this.positionName = false
						}
						permission.indexOf('A4_1_E') >=0?_this.stockManager = true:_this.stockManager = false;
						permission.indexOf('FA_ACC') >=0?_this.faAccount = true:_this.faAccount = false;
						permission.indexOf('LOOK_PURCHASE') >=0?_this.purchaseManager = true:_this.purchaseManager = false;
						permission.indexOf('ONLY_PRINT') >=0?_this.labelPprinter = true:_this.labelPprinter = false;
						'RFRk,eYVo,y0oa,mVbc,pqrB,pDAY,CCP2,Oo4T,LfTY'.indexOf(_this.company_id) >=0?_this.jifenshow = true:_this.jifenshow=false
						_this.companySetIndustry = res.data.company_set_industry;
					}

				}
			});
		},
		changeUnit: function (item) {
			if (item) {
				this.popoverTitle = "修改单位";
				this.changeUnitObj = item;
			} else {
				this.changeUnitObj = { name: '', id: '' };
				this.popoverTitle = "添加单位";
			}
			mui('#unitPopover').popover('toggle');
		},
		cancelUnit: function () {
			mui('#unitPopover').popover('toggle');
		},
		confirmUnit: function () {
			if(this.changeUnitObj.id !=''){
				mui.ajax(severUrl + "sso/unit/modifyUnit.json", {
					data: {
						id: this.changeUnitObj.id,
						name: this.changeUnitObj.name
					},
					headers: {
						'Content-Type': 'application/x-www-form-urlencoded'
					},
					xhrFields: {
						withCredentials: true
					},
					dataType: 'json',//服务器返回json格式数据
					type: 'post',//HTTP请求类型
					timeout: 10000,//超时时间设置为10秒；
					success: function (res) {
						if(res.success){
							mui('#unitPopover').popover('toggle');
							mui.toast(res.msg);
							getUnit()
						}else{
							mui('#unitPopover').popover('toggle');
							mui.toast(res.msg);
						}
					}
				});
			}else{
				mui.ajax(severUrl + "sso/unit/addUnit.json", {
					data: {
						name: this.changeUnitObj.name
					},
					headers: {
						'Content-Type': 'application/x-www-form-urlencoded'
					},
					xhrFields: {
						withCredentials: true
					},
					dataType: 'json',//服务器返回json格式数据
					type: 'post',//HTTP请求类型
					timeout: 10000,//超时时间设置为10秒；
					success: function (res) {
						if(res.success){
							mui('#unitPopover').popover('toggle');
							mui.toast(res.msg);
							getUnit()
						}else{
							mui('#unitPopover').popover('toggle');
							mui.toast(res.msg)
						}
					}
				});
			}

		},
		deleteUnit: function () {
			mui.ajax(severUrl + "sso/unit/removeUnit", {
				data: {
					id: this.changeUnitObj.id
				},
				headers: {
					'Content-Type': 'application/x-www-form-urlencoded'
				},
				xhrFields: {
					withCredentials: true
				},
				dataType: 'json',//服务器返回json格式数据
				type: 'post',//HTTP请求类型
				timeout: 10000,//超时时间设置为10秒；
				success: function (res) {
					mui('#unitPopover').popover('toggle');
					mui.toast(res.msg);
					if(res.success){
						getUnit()
					}
				}
			});
		},
		saveUnit:function(){
			 if(this.type == 999){
			 	sessionStorage.setItem("mainUnitId",this.mainUnitId);
			 	sessionStorage.setItem("mainUnitName",this.mainUnitName);
			 }else if(this.type == 888){
				 if(this.unitObj.id !='' && this.unitObj.id !=undefined){
					 var listA= [];
					 listA.push(this.unitObj);
					 var listB= [];
					 var list=JSON.parse(sessionStorage.getItem("unitList"));
					 if(list !=null){
						 listB=list
					 }
					 var listC= [];
					 listC =listB.concat(listA);
					 sessionStorage.setItem("unitList",JSON.stringify(listC))
				 }
			 }else{
				 if(this.unitObj.id !='' && this.unitObj.id !=undefined){
					 var list=JSON.parse(sessionStorage.getItem("unitList"));
					 for(var i =0; i<list.length; i++){
						 if(this.type == i){
							 list[i].id=this.unitObj.id;
							 list[i].name=this.unitObj.name;
							 break;
						 }
					 }
					 //editUnitByProduct(companyEditIndex)
					 sessionStorage.setItem('companyEditIndex',this.type);
					 sessionStorage.setItem("unitList",JSON.stringify(list))
				 }
			 }
			var listSend = {};
			listSend.mainUnitId = sessionStorage.getItem("mainUnitId");
			listSend.mainUnitName = sessionStorage.getItem("mainUnitName");
			listSend.id = sessionStorage.getItem("id");
			listSend.fromType = unitSelectionVM.fromType;
			var unitList = sessionStorage.getItem("unitList");
			if(unitList){
				listSend.unitList = JSON.parse(sessionStorage.getItem("unitList"));
			}
			viewHandle.viewFire('companyPage.html','unitUpdate',listSend);
			viewHandle.back('close')
		}
	},
	created: function () {
		FastClick.attach(document.body);
	},
	mounted:function(){
		var _this = this;
		mui.plusReady(function(){
			getUnit();
			_this.getPurview()
		})
	}
});
function unitChoose(e){
	if($(e).hasClass("active")){
		$(e).removeClass("active");
		if(unitSelectionVM.type == 999){
			unitSelectionVM.mainUnitId='';
			unitSelectionVM.mainUnitName=''
		}else{
			unitSelectionVM.unitObj={}
		}
	}else{
		$(".mui-btn-mini").removeClass("active");
		$(e).addClass("active");
		if(unitSelectionVM.type == 999){
			unitSelectionVM.mainUnitId=e.dataset.id;
			unitSelectionVM.mainUnitName=e.dataset.name
		}else {
			unitSelectionVM.unitObj = {
				id: e.dataset.id,
				name: e.dataset.name
			}
		}
	}
}
//查询单位列表
function getUnit(){
	mui.ajax(severUrl + "sso/unit/list.json", {
		data: {},
		headers: {
			'Content-Type': 'application/x-www-form-urlencoded'
		},
		xhrFields: {
			withCredentials: true
		},
		dataType: 'json',
		type: 'post',
		timeout: 10000,
		success: function (res) {
			if(res.success){
				var mainUnitId = sessionStorage.getItem("mainUnitId");
				var unitList = null;
				if(sessionStorage.getItem("unitList")){
					unitList = JSON.parse(sessionStorage.getItem("unitList"));
				}
				if(mainUnitId !=''){
					for(var i = 0; i<res.data.length; i++){
						if(res.data[i].id == mainUnitId){
							res.data.splice(i,1);
							break
						}
					}
				}
				if(unitList!=null){
					if(unitList.length>0){
						for(var k = 0; k<unitList.length; k++){
							for(var m = 0; m<res.data.length; m++){
								if(unitList[k].id == res.data[m].id){
									res.data.splice(m,1);
									break
								}
							}
						}
					}
				}
				unitSelectionVM.$nextTick(function(){
					setTimeout(function(){
						unitSelectionVM.unitList=res.data;
					},100)
				})
			}
		}

	});
}

var close = document.getElementById("close");
close.onclick = function () {
	mui('#unitPopover').popover('toggle');
};
mui("body").on('tap','.muiBack',function(){
	viewHandle.back('close')
});
