var wait = 59;
var unsubscribeVM = new Vue({
	el: '#unsubscribeVM',
	data: {
		mobile: '',
		type: 0,
		password: '',
		authCode: '',
		openEye: true,
		//权限相关
		positionName: false,
		stockManager: false,
		purchaseManager: false,
		companySetIndustry: true,
		labelPprinter: false,
		faAccount: true,
		is_advanced: 0,
		company_name: '',
		company_id: '',
		user_id: '',
		jifenshow: false,
		bindDepot: -1,
		dialog_show: false,
		clearFlog: false
		//--------------------
	},
	methods: {
		closeDialog() {
			if (this.clearFlog) {
				this.dialog_show = false
			}
		},
		getPurview: function() { //获取权限
			var _this = this;
			mui.ajax(severUrl + "sso/user/qryOp.json", {
				data: {
					id: ''
				},
				headers: {
					'Content-Type': 'application/x-www-form-urlencoded'
				},
				xhrFields: {
					withCredentials: true
				},
				dataType: 'json',
				type: 'post',
				timeout: 30000,
				async: false,
				success: function(res) {
					if (res.success) {
						// var position_name = res.data.position_name;
						_this.company_name = res.data.company_name;
						_this.company_id = res.data.company_id;
						_this.bindDepot = res.data.manage_depot_id;
						_this.user_id = res.data.id;
						var code = res.data.position,
							permission = code.permission;
						if (permission.indexOf('A11_1_O') >= 0 || permission.indexOf('A11_1_E') >= 0) {
							_this.positionName = true
						} else {
							_this.positionName = false
						}
						permission.indexOf('A4_1_E') >= 0 ? _this.stockManager = true : _this.stockManager = false;
						permission.indexOf('FA_ACC') >= 0 ? _this.faAccount = true : _this.faAccount = false;
						permission.indexOf('LOOK_PURCHASE') >= 0 ? _this.purchaseManager = true : _this.purchaseManager = false;
						permission.indexOf('ONLY_PRINT') >= 0 ? _this.labelPprinter = true : _this.labelPprinter = false;
						'RFRk,eYVo,y0oa,mVbc,pqrB,pDAY,CCP2,Oo4T,LfTY'.indexOf(_this.company_id) >= 0 ? _this.jifenshow = true :
							_this.jifenshow = false
						_this.companySetIndustry = res.data.company_set_industry;
					}

				}
			});
		},
		getRanCode: function() {
			if (unsubscribeVM.mobile == '') {
				mui.toast('请输入手机号');
				return false;
			}
			var btn = document.getElementById('rancode');
			btn.setAttribute("disabled", "disabled");
			mui.ajax(severUrl + "sso/company/getAuthCode.json", {
				data: {
					telephone: unsubscribeVM.mobile || document.getElementById("mobile").value
				},
				dataType: 'json', //服务器返回json格式数据
				type: 'post', //HTTP请求类型
				xhrFields: {
					withCredentials: true
				},
				crossDomain: true, //crossDomain设置为true，强制使用5+跨域
				timeout: 10000, //超时时间设置为10秒；
				success: function(data) {
					if (data.success) {
						pourTime();
						mui.toast("验证码已发送成功，请注意查收");
					} else {
						mui.toast(data.msg);
						btn.removeAttribute("disabled");
					}
				}
			});
		},
		eyeOpen: function() {
			unsubscribeVM.openEye = !unsubscribeVM.openEye;
			var password = document.getElementById("password");
			if (unsubscribeVM.openEye) {
				password.type = "password"
			} else {
				password.type = "text"
			}
		}
	},
	created: function() {

	},
	mounted: function() {
		var _this = this;
		mui.plusReady(function() {
			loginUser();
			_this.getPurview()
		})
	}
});

function loginUser() {
	mui.ajax(severUrl + "sso/user/qryOp.json", {
		data: {
			id: ''
		},
		headers: {
			'Content-Type': 'application/x-www-form-urlencoded'
		},
		xhrFields: {
			withCredentials: true
		},
		dataType: 'json',
		type: 'post',
		timeout: 30000,
		success: function(res) {
			if (res.success) {
				unsubscribeVM.mobile = res.data.uname
			}
		}
	});
}
mui('body').on('tap', '.muiBack', function() {
	viewHandle.back('close')
});
mui('body').on('tap', '.mui-btn-block', function() {
	if (unsubscribeVM.mobile == '') {
		mui.toast('请输入手机号');
		return false;
	}
	if (unsubscribeVM.authCode == '') {
		mui.toast('请输入验证码');
		return false;
	}
	if (unsubscribeVM.password == '') {
		mui.toast('请输入密码');
		return false;
	}
	mui('#dh')[0].style.display = "block";
	var ajax_index = 0
	var timer_time = 1000
	var errorMsg = ''
	var ajax_flog = true
	this.clearFlog = false
	mui('.mui-btn-outlined').button('loading');
	var ajax_list = [{
			url: "sso/company/clearActivity.json"
		},
		{
			url: "sso/company/clearOrder.json"
		},
		{
			url: "sso/company/clearIntegral.json"
		},
		{
			url: "sso/company/clearMiniConfig.json"
		},
		{
			url: "sso/company/clearStock.json"
		},
		{
			url: "sso/company/clearCaiWu.json"
		},
		{
			url: "sso/company/clearCompanyAbout.json"
		},
		{
			url: "sso/company/clearProductAbout.json"
		},
		{
			url: "sso/company/clearCustomerAbout.json"
		},
		{
			url: "sso/company/clearUserAbout.json"
		}
	]
	var dialogDiv = mui('#dialog-info')[0]
	var numberDiv = mui('#progressbarNumber')[0]
	dialogDiv.innerHTML = ''

	function errorCallback(res) {
		ajax_flog = false
		unsubscribeVM.clearFlog = true
		errorMsg = res.msg
	}

	function ajaxSuccessCallback(res) {
		ajax_index++
		dialogDiv.innerHTML += "<p>" + res.msg + "</p>"
		mui('#dialog-progressbar').progressbar().setProgress((ajax_index) * 10);
		numberDiv.innerHTML = (ajax_index) * 10 + "%"
	}

	function successCallback(res) {
		mui('#dh')[0].style.display = "none";
		setTimeout(function() {
			mui('.mui-btn-outlined').button('reset');
		}, 500);
		if (ajax_flog) {
			dialogDiv.innerHTML += "<p>" + (unsubscribeVM.type == 0 ? "数据清除成功！" : "注销成功！") + "</p>";
			setTimeout(function() {
				plus.runtime.restart();
			}, 500)
		} else {
			dialogDiv.innerHTML += "<p>" + errorMsg + "</p>"
			mui.toast(errorMsg)
		}
	}

	setTimeout(function() {
		mui.ajax(severUrl + ajax_list[ajax_index].url, {
			data: {
				type: unsubscribeVM.type, // 1代表清除账号本身
				telephone: unsubscribeVM.telephone || document.getElementById(
					"mobile").value,
				authCode: unsubscribeVM.authCode,
				password: doRSAEncrypt(unsubscribeVM.password)
			},
			dataType: 'json', //服务器返回json格式数据
			type: 'post', //HTTP请求类型
			xhrFields: {
				withCredentials: true
			},
			success: function(res) {
				if (res.success) {
					ajaxSuccessCallback(res)
					unsubscribeVM.dialog_show = true
					ajax_run(res.data)
				} else {
					errorCallback(res)
					successCallback()
				}
			},
			error: function(res) {
				errorCallback(res)
				successCallback()
			},
		})
	}, timer_time)


	function ajax_run(authCode) {
		setTimeout(function() {
			mui.ajax(severUrl + ajax_list[ajax_index].url, {
				data: {
					type: unsubscribeVM.type, // 1代表清除账号本身
					telephone: unsubscribeVM.telephone || document.getElementById(
						"mobile").value,
					authCode: authCode,
					password: doRSAEncrypt(unsubscribeVM.password)
				},
				dataType: 'json', //服务器返回json格式数据
				type: 'post', //HTTP请求类型
				xhrFields: {
					withCredentials: true
				},
				success: function(res) {
					if (res.success) {
						ajaxSuccessCallback(res)
						if (ajax_index >= ajax_list.length) {
							successCallback()
						} else {
							ajax_run(res.data)
						}
					} else {
						errorCallback(res)
						successCallback()
					}
				},
				error: function(res) {
					errorCallback(res)
					successCallback()
				},
			})
		}, timer_time)
	}
});

function pourTime(btn) {
	btn = document.getElementById('rancode');
	if (wait == 0) {
		btn.removeAttribute("disabled");
		btn.innerHTML = "重新发送";
		wait = 59;
	} else {
		btn.innerHTML = "(" + wait + "s)重新发送";
		wait--;
		setTimeout(function() {
			pourTime(btn);
		}, 1000)
	}
}

function chooseType(e, val) {
	unsubscribeVM.type = Number(val);
	if (val == 1) {
		$(".mui-btn-block").html("确认注销")
	} else {
		$(".mui-btn-block").html("确认清空")
	}
	$(".radioPoint").removeClass("chooseColor");
	$(e).addClass("chooseColor");
}
