mui.plusReady(function(){
    var arg = plus.webview.currentWebview().arg;
    if(arg){
        arg = JSON.parse(arg);
        user_collectionVM.type = arg.type;
        if(user_collectionVM.type == "customer"){
            $("#titleName").html("客户账款")
        }else{
            $("#titleName").html("供应商账款")
        }
        historyList(user_collectionVM.type,'updateList');
        jifenkaitong()
    }

});
window.addEventListener("addBack",function(){
    user_collectionVM.page = 1;
    historyList(user_collectionVM.type,'updateList')
});
var qryProduct = true;
var data = { //上拉加载参数
    num: 0,
    startY: '',
    moveEndY: '',
    isLoading: true
};
var user_collectionVM = new Vue({
    el: '#user_collectionVM',
    components: {
        'date-selection': httpVueLoader('components/v-components/DateSelection.vue')
    },
    data: {
        systemSetting:JSON.parse(localStorage.systemSetting),
        type:'customer',
        list:[],
        allAmt:0,
        period_result_all: 0,
        page:1,
        //积分开通
        jifenKT:0, //积分开通
        cost_money_unit:0, //每消费 元
        increase_bonus:0, //可积 分
        //权限相关
        positionName:false,
        stockManager:false,
        purchaseManager:false,
        companySetIndustry:true,
        labelPprinter:false,
        faAccount:true,
        customerAccount:true,
        supplierAccount:true,
        is_advanced:0,
        company_name:'',
        company_id:'',
        user_id:'',
        jifenshow:false,
        bindDepot:-1,
        queryParams: {
            start_date: $comm.DATE_UTIL.formatDate(),
            end_date: $comm.DATE_UTIL.formatDate(),
            keyword: ''
        },
        sort:{
            arrears: true,
            period_result: null,
        }
        //--------------------
    },
    methods: {
        getPurview :function(){//获取权限
            var _this = this;
            mui.ajax(severUrl + "sso/user/qryOp.json", {
                data : {
                    id : ''
                },
                headers : {
                    'Content-Type' : 'application/x-www-form-urlencoded'
                },
                xhrFields : {
                    withCredentials : true
                },
                dataType : 'json',
                type : 'post',
                timeout : 30000,
                async : false,
                success : function(res) {
                    if (res.success) {
                        // var position_name = res.data.position_name;
                        _this.company_name = res.data.company_name;
                        _this.company_id = res.data.company_id;
                        _this.bindDepot = res.data.manage_depot_id;
                        _this.user_id = res.data.id;
                        var code = res.data.position,permission = code.permission;
                        if(permission.indexOf('A11_1_O') >=0 || permission.indexOf('A11_1_E') >=0){
                            _this.positionName = true
                        }else{
                            _this.positionName = false
                        }
                        permission.indexOf('A4_1_E') >=0?_this.stockManager = true:_this.stockManager = false;
                        permission.indexOf('FA_ACC') >=0?_this.faAccount = true:_this.faAccount = false;
                        permission.indexOf('LOOK_PURCHASE') >=0?_this.purchaseManager = true:_this.purchaseManager = false;
                        permission.indexOf('ONLY_PRINT') >=0?_this.labelPprinter = true:_this.labelPprinter = false;
                        permission.indexOf('FA_CUS_ME') >=0?_this.customerAccount = true:_this.customerAccount = false;
                        permission.indexOf('FA_SU_ME') >=0?_this.supplierAccount = true:_this.supplierAccount = false;
                        'RFRk,eYVo,y0oa,mVbc,pqrB,pDAY,CCP2,Oo4T,LfTY'.indexOf(_this.company_id) >=0?_this.jifenshow = true:_this.jifenshow=false
                        _this.companySetIndustry = res.data.company_set_industry;
                    }

                }
            });
        },
        amtTotal:function(){
            var allAmt = 0;
            let period_result_all = 0
            mui.each(user_collectionVM.list,function(i,v){
                allAmt +=Number(v.arrears)
                period_result_all += Number(v.period_result)
            });
            user_collectionVM.allAmt = numToCur(allAmt,user_collectionVM.systemSetting.price_decimals_setting,'price')
            user_collectionVM.period_result_all = numToCur(period_result_all,user_collectionVM.systemSetting.price_decimals_setting,'price')
        },
        changeSort(type){
            if (type === 'period_result'){
                this.sort.arrears = null
            } else {
                this.sort.period_result = null
            }
            this.sort[type] = !this.sort[type]
            user_collectionVM.page = 1
            historyList(this.type,'updateList')
        },
        dateChange(e){
            this.queryParams.start_date = e.start_time
            this.queryParams.end_date = e.end_time
            user_collectionVM.page = 1
            historyList(this.type,'updateList')
        },
        // 操作权限
        operationVerification(){
            if(this.type === 'customer'){
                if(!this.customerAccount && !this.positionName){
                    mui.toast("您没有该操作权限！")
                    return false
                }
            }else{
                if(!this.supplierAccount && !this.positionName){
                    mui.toast("您没有该操作权限！")
                    return false
                }
            }
            return true
        },
        // 收款 还款
        collectionAdd(item){
            // if(!this.operationVerification()) return
            let listSend = {};
            listSend.type = this.type;
            listSend.id = item.id;
            listSend.name = item.name;
            listSend.arrears = item.arrears;
            listSend.jifenKT = this.jifenKT;
            listSend.cost_money_unit = this.cost_money_unit;
            listSend.increase_bonus = this.increase_bonus;
            listSend.integral = item.integral;
            viewHandle.openWindow('user_collection_add.html','user_collection_add.html',JSON.stringify(listSend))
        },
        // 历史列表
        collectionHistory(item){
            if(!this.operationVerification()) return
            let listSend = {};
            listSend.type = this.type;
            listSend.id = item.id;
            listSend.name = item.name;
            listSend.begin_arrears = item.begin_arrears;
            listSend.start_date = this.queryParams.start_date
            listSend.end_date = this.queryParams.end_date
            listSend.clientInfo = {
                id: item.id,
                name: item.name,
                arrears: item.arrears,
                jifenKT: this.jifenKT,
                cost_money_unit: this.cost_money_unit,
                increase_bonus: this.increase_bonus,
                period_result: item.period_result,
                integral: item.integral
            }
            viewHandle.openWindow('user_collection_history.html','user_collection_history.html',JSON.stringify(listSend))
        }
    },
    computed:{
        debtAmtName: function(){
            return this.systemSetting.debt_amt_show_type === 1 ? '欠款' : '余额'
        },
        typeName:function(){
            if(this.type == 'customer'){
                return '客户'
            }else{
                return '供应商'
            }
        },
        collectionName:function(){
            if(this.type == 'customer'){
                return '收款'
            }else{
                return '还款'
            }
        }
    },
    created: function(){

    },
    mounted: function (){
        var _this = this;
        var winHeight = $(window).height();  //获取当前页面高度
        $(window).resize(function () {
            var u = navigator.userAgent, app = navigator.appVersion;
            var isAndroid = u.indexOf('Android') > -1 || u.indexOf('Linux') > -1; //android终端或者uc浏览器
            var isiOS = !!u.match(/\(i[^;]+;( U;)? CPU.+Mac OS X/); //ios终端
            if(isAndroid){
                var thisHeight = $(this).height();
                if ( winHeight - thisHeight > 140 ) {
                } else {
                    $("input").blur();
                }
            }else if(isiOS){

            }
        });
        mui.plusReady(function () {
            _this.getPurview()
        })
    }
});
mui('.mui-scroll-wrapper').scroll({
    scrollY: true, //是否竖向滚动
    scrollX: true, //是否横向滚动
    startX: 0, //初始化时滚动至x
    startY: 0, //初始化时滚动至y
    // bounce: false,
    deceleration: 0.0006 //flick 减速系数，系数越大，滚动速度越慢，滚动距离越小，默认值0.0006
});
function historyList(type,updateType){
    var data;
    if(type == "customer"){
        data =  {
            type: 1,
            qryType: -1,
            rows: 25,
            page: user_collectionVM.page,
            status:-1,
            keyword:user_collectionVM.queryParams.keyword
        }
    }else{
        data = {
            type:0,
            qryType:-1,
            rows:25,
            page:user_collectionVM.page,
            status:-1,
            keyword:user_collectionVM.queryParams.keyword
        }
    }
    let sort = {}
    if(user_collectionVM.sort.arrears !== null){
        sort.type = user_collectionVM.sort.arrears
        sort.name = 'arrears'
    }else{
        sort.type = user_collectionVM.sort.period_result
        sort.name = 'total_debt_amt'
    }
    data.sort_rule = sort.type ? 'desc' : 'asc'
    data.sort = sort.name
    data.start_date = user_collectionVM.queryParams.start_date
    data.end_date = user_collectionVM.queryParams.end_date
    qryProduct = false; //禁止短时间多次查询
    let loading = mui('#dh')[0]
        loading.style.display = "block";
    $API.user.getDataGridCustomerFa(data).then(function(res){
        loading.style.display = "none";
        var totalPage=res.data.totalPage;
        if(updateType === "updateList"){
            user_collectionVM.list = []
        }
        user_collectionVM.list = user_collectionVM.list.concat(res.data.list);
        mui(".mui-pull-caption")[0].style.display = "block";
        if(user_collectionVM.page<totalPage){
            setTimeout(function(){
                qryProduct = true;
                data.isLoading = true;
                $('.mui-pull-caption').text('上拉加载更多');
                user_collectionVM.page++;
            },1500)
        }else{
            data.isLoading = false;
            $('.mui-pull-caption').text('没有更多数据了')
        }
        // user_collectionVM.amtTotal()
    }).catch(function(e){
        loading.style.display = "none";
    })
    if(data.page === 1){
        $API.statistics.getDataGridCustomerFaTotal(data).then(function(e){
            user_collectionVM.allAmt = numToCur(e.data.total_arrears,user_collectionVM.systemSetting.price_decimals_setting,'price')
            user_collectionVM.period_result_all = numToCur(e.data.total_period_result,user_collectionVM.systemSetting.price_decimals_setting,'price')
        })
    }
}
// 上拉加载
$(document).on('touchstart','#upFresh', function(e) {
    // e.preventDefault();
    data.startY = e.originalEvent.changedTouches[0].pageY;
});
$(document).on('touchmove', '#upFresh',function(e) {
    // e.preventDefault();
    data.moveEndY = e.originalEvent.changedTouches[0].pageY
    Y = data.startY - data.moveEndY;
    if(Y>80){
        upLoading()
    }
});
function upLoading(){
    var scroll = mui('#pullrefresh').scroll();
    var scrollTop = scroll.y;
    //判断滚动到底部之下
    if(scrollTop < scroll.maxScrollY){
        if( data.isLoading === false || qryProduct == false){
            return
        }else{
            $('.mui-pull-caption').text('玩命加载中...')
            //请求数据
            historyList(user_collectionVM.type)
        }
    }
}

function jifenkaitong(){
    mui.ajax(severUrl + "crm/integraladdrule/qryOp.json", {
        data : {

        },
        headers : {
            'Content-Type' : 'application/x-www-form-urlencoded'
        },
        xhrFields : {
            withCredentials : true
        },
        dataType : 'json',
        type : 'post',
        timeout : 10000,
        success : function(res) {
            if(res.success){
                if(res.data.status ==1){
                    user_collectionVM.jifenKT = 1;
                    user_collectionVM.increase_bonus = res.data.increase_bonus;
                    user_collectionVM.cost_money_unit = res.data.cost_money_unit;
                }else{
                    user_collectionVM.jifenKT=0
                }
            }else{
                user_collectionVM.jifenKT=0
            }
        }
    });
}


mui('body').on('tap','.searchBtn',function(){
    user_collectionVM.page = 1;
    historyList(user_collectionVM.type,'updateList');
})
mui('body').on('tap','.muiBack',function(){
    viewHandle.back('close')
});

