mui.init({
    gestureConfig:{
        longtap:true//默认为false，不监听
    }
});
function loadNowDate(type) {
    var myDate = new Date();
    var Y = myDate.getFullYear();
    var M = (myDate.getMonth() + 1);
    var D = myDate.getDate();

    M >= 10 ? M = M : M = 0 + "" + M;
    D >= 10 ? D = D : D = 0 + "" + D;

    if (type == 1) {
        return Y + '-' + M + '-' + D;
    } else if (type == 2) {
        return Y + '-' + M + '-' + '01';
    }

}
var page=1;
var qryProduct = true;
mui.plusReady(function(){
    var arg = plus.webview.currentWebview().arg;
    if(arg){
        arg = JSON.parse(arg);
        user_collection_historyVM.userId = arg.id;
        user_collection_historyVM.type = arg.type;
        user_collection_historyVM.userName = arg.name;
        user_collection_historyVM.begin_arrears = arg.begin_arrears || undefined; // 没有则不显示
        if(user_collection_historyVM.type == "customer"){
            $("#userName").html(arg.name)
        }else{
            $("#userName").html(arg.name)
        }
        user_collection_historyVM.dateFirst = arg.start_date;
        user_collection_historyVM.dateLast = arg.end_date;
        user_collection_historyVM.clientInfo = arg.clientInfo
        allPullUpLoading.load(1)
    }
});
var backEdit = false;
window.addEventListener("deleteBack",function(e){
    // deleteBackUpdate(e.detail.id);
    backEdit = true;
    user_collection_historyVM.needToBeUpdated = [true, true, true]
    query()
})
// 下方按钮收款触发更新
window.addEventListener('addBack',function(e){
    let amt = e.detail.amt
    let integral_add = e.detail.integral_add

    // 是否需要更新
    let queryEndDate = user_collection_historyVM.dateLast.split('-').map(function(i){return Number(i)})
    let queryStartDate = user_collection_historyVM.dateFirst.split('-').map(function(i){return Number(i)})
    // let createDate = e.detail.createDate.split('-').map(function(i){return Number(i)})
    // 创建时间限制不支持修改 为当前时间
    let createDate = $comm.DATE_UTIL.formatDate(new Date()).split('-').map(function(i){return Number(i)})
    if(queryEndDate[0] >= createDate[0] && queryEndDate[1] >= createDate[1] && queryEndDate[2] >= createDate[2] &&
        queryStartDate[0] <= createDate[0] && queryStartDate[1] <= createDate[1] && queryStartDate[2] <= createDate[2]
    ){
        user_collection_historyVM.needToBeUpdated = [true, true, true]
        query()
    }
    // 更新当前欠款
    user_collection_historyVM.clientInfo.arrears = user_collection_historyVM.clientInfo.arrears - Number(amt)
    user_collection_historyVM.clientInfo.integral = user_collection_historyVM.clientInfo.integral + Number(integral_add) // 单据收款积分未处理
    user_collection_historyVM.receivePaymentSelect('hide')
})

const FA_ORDER_TYPES = {
    '0': '普通收款',
    '1': '销售',
    '2': '销售退货',
    '3': '采购',
    '4': '采购退货',
    '5': '优惠'
}
function createFilterData(types){
    let data = []
    if (types.status){
        data.push({
            title: '状态',
            value: 'status',
            showChildren: true,
            isEntire: true,
            isEntireActive: false,
            entireValue: '-1',
            children: [ // 选项 ？ 目录
                {
                    title: '未支付',
                    type: 'checkbox', // 单选 ？ 多选
                    group: 'status',
                    active: true,
                    value: '0',
                },
                {
                    title: '部分支付',
                    type: 'checkbox', // 单选 ？ 多选
                    group: 'status',
                    active: true,
                    value: '1',
                },
                {
                    title: '已支付',
                    type: 'radio', // 单选 ？ 多选
                    group: 'status',
                    active: false,
                    value: '2',
                }
                // 3 部分支付 + 未支付
            ]
        })
    }
    if (types.type){
        let f = {
            title: '类型',
            value: 'type',
            showChildren: true,
            isEntire: true,
            isEntireActive: true,
            entireValue: '-1',
            children: []
        }
        for(let k in FA_ORDER_TYPES){
            f.children.push({
                title: FA_ORDER_TYPES[k],
                type: 'radio', // 单选 ？ 多选
                group: 'type',
                active: false,
                value: k,
            })
        }
        data.push(f)
    }
    if (types.user){
        let f = {
            title: '经手人',
            value: 'user',
            showChildren: true,
            isEntire: true,
            isEntireActive: true,
            entireValue: '-1',
            lazy: lazyUser
        }
        data.push(f)
    }
    return data
}
// 获取用户
let queryAllUserData
function lazyUser(item){
    return new Promise(function(resolve, reject){
        if(queryAllUserData){
            resolve(queryAllUserData)
            return
        }
        // 查询客户分类
        $API.user.getUserList().then(function(e){
            let data = []
            if(Array.isArray(e.data)){
                e.data.forEach(function(i){
                    let row = {
                        title: i.realname,
                        // type: 'checkbox', // 单选 ？ 多选
                        type: 'radio',
                        group: item.value,
                        active: false,
                        value: i.id,
                    }
                    data.push(row)
                })
            }
            queryAllUserData = data
            resolve(data)
        }).catch(function(){reject()})
    })
}

var user_collection_historyVM = new Vue({
    el: '#user_collection_historyVM',
    components: {
        'list-filter': httpVueLoader('components/v-components/ListFilter.vue')
    },
    data: {
        clientInfo: {},
        orderTabPeriodArrears: 0,
        historyTabPeriodPayment: 0,
        allTabPeriodALl: 0,
        systemSetting:JSON.parse(localStorage.systemSetting),
        userId:'',
        type:'',
        userName:'',
        begin_arrears:0,
        list:[],
        dateFirst:'',
        dateLast:'',
        //权限相关
        positionName:false,
        stockManager:false,
        purchaseManager:false,
        companySetIndustry:true,
        labelPprinter:false,
        faAccount:true,
        // customerAccount:true,
        // supplierAccount:true,
        is_advanced:0,
        company_name:'',
        company_id:'',
        user_id:'',
        jifenshow:false,
        bindDepot:-1,
        //--------------------
        tabActiveIndex: 'all',
        lists: {
            all: [],
            allUpdatedDate: '',
            order: [],
            orderUpdatedDate: '',
            history: [],
            historyUpdatedDate: '',
        },
        needToBeUpdated: [false, false, false],
        // 筛选组件用
        filterData: {
            all: createFilterData({status: false, type: true, user: true}),
            order: createFilterData({status: true, type: true, user: true}),
            orderFilterStatus: false,
            history: createFilterData({status: false, type: true, user: true})
        },
        filterRes: {
            all: {},
            order: {
                debt_status: '3'
            },
            history: {}
        },
        show: {
            orderListSelect: false,
            receivePaymentSelectText: '合并收款'
        },
        orderListInSelectArrears: 0,
    },
    methods: {
        getPurview :function(){//获取权限
            var _this = this;
            mui.ajax(severUrl + "sso/user/qryOp.json", {
                data : {
                    id : ''
                },
                headers : {
                    'Content-Type' : 'application/x-www-form-urlencoded'
                },
                xhrFields : {
                    withCredentials : true
                },
                dataType : 'json',
                type : 'post',
                timeout : 30000,
                async : false,
                success : function(res) {
                    if (res.success) {
                        // var position_name = res.data.position_name;
                        _this.company_name = res.data.company_name;
                        _this.company_id = res.data.company_id;
                        _this.bindDepot = res.data.manage_depot_id;
                        _this.user_id = res.data.id;
                        var code = res.data.position,permission = code.permission;
                        if(permission.indexOf('A11_1_O') >=0 || permission.indexOf('A11_1_E') >=0){
                            _this.positionName = true
                        }else{
                            _this.positionName = false
                        }
                        permission.indexOf('A4_1_E') >=0?_this.stockManager = true:_this.stockManager = false;
                        permission.indexOf('FA_ACC') >=0?_this.faAccount = true:_this.faAccount = false;
                        permission.indexOf('LOOK_PURCHASE') >=0?_this.purchaseManager = true:_this.purchaseManager = false;
                        permission.indexOf('ONLY_PRINT') >=0?_this.labelPprinter = true:_this.labelPprinter = false;
                        // permission.indexOf('FA_CUS_ME') >=0?_this.customerAccount = true:_this.customerAccount = false;
                        // permission.indexOf('FA_SU_ME') >=0?_this.supplierAccount = true:_this.supplierAccount = false;
                        'RFRk,eYVo,y0oa,mVbc,pqrB,pDAY,CCP2,Oo4T,LfTY'.indexOf(_this.company_id) >=0?_this.jifenshow = true:_this.jifenshow=false
                        _this.companySetIndustry = res.data.company_set_industry;
                    }

                }
            });
        },
        litsInfo:function(item){
            var listSend = {};
            if(item.fa_order_type==0 || item.fa_order_type === 5 ){
                listSend.type = user_collection_historyVM.type;
                listSend.info = item;
                viewHandle.openWindow('user_collection_history_info.html','user_collection_history_info.html',JSON.stringify(listSend))
            }else{
                if(item.is_deleted !=0){
                    return mui.toast("单据已被撤销")
                }
                listSend.id = item.relation_order || item.id;
                if(user_collection_historyVM.type == "customer"){
                    listSend.type = 'customer';
                }else{
                    listSend.type = 'supplier';
                }
                if(!listSend.id){
                    return mui.toast("单据id不存在")
                }
                viewHandle.viewFire('customerDebets.html','customerDebets',listSend);
                viewHandle.openWindow('../customerDebets.html','customerDebets.html',JSON.stringify(listSend))
            }
        },
        del_order:function(item,index){
            return // 移除删除功能
            mui.confirm('确认删除该单据？', '提示', ["取消","确定"], function (e) {
                if (e.index == 1) {
                    mui.ajax(severUrl + "fa/customerHistory/deletedById.json", {
                        data : {
                            id : item.id
                        },
                        headers : {
                            'Content-Type' : 'application/x-www-form-urlencoded'
                        },
                        xhrFields : {
                            withCredentials : true
                        },
                        dataType : 'json',
                        type : 'post',
                        timeout : 30000,
                        success : function(res) {
                            if (res.success) {
                                user_collection_historyVM.list.splice(index,1)
                            }
                            mui.toast(res.msg)
                        }
                    });
                }
            },'div')
        },
        changeTabActiveIndex(tabActiveIndex){
            this.tabActiveIndex = tabActiveIndex
            switch (tabActiveIndex){
                case 'all':
                    if(this.lists.allUpdatedDate !== this.dateFirst + '|' + this.dateLast || this.needToBeUpdated[QRY_TYPE['all']]){
                        allPullUpLoading.load(1, true)
                    }
                    break;
                case 'order':
                    if(this.lists.orderUpdatedDate !== this.dateFirst + '|' + this.dateLast || this.needToBeUpdated[QRY_TYPE['order']]){
                        orderPullUpLoading.load(1, true)
                    }
                    break;
                case 'history':
                    if(this.lists.historyUpdatedDate !== this.dateFirst + '|' + this.dateLast || this.needToBeUpdated[QRY_TYPE['history']]){
                        historyPullUpLoading.load(1, true)
                    }
                    break;
            }

        },
        receivePayment(orders){
            // 前端不做权限判断
            // if(this.type==='customer'){
            //     if(!this.customerAccount && !this.positionName){
            //         mui.toast("您没有该操作权限！")
            //         return false
            //     }
            // }else{
            //     if(!this.supplierAccount && !this.positionName){
            //         mui.toast("您没有该操作权限！")
            //         return false
            //     }
            // }
            var listSend = {};
            listSend.type = this.type;
            listSend.id = this.clientInfo.id;
            listSend.name = this.clientInfo.name;
            listSend.arrears = this.clientInfo.arrears;
            listSend.jifenKT = this.clientInfo.jifenKT;
            listSend.cost_money_unit = this.clientInfo.cost_money_unit;
            listSend.increase_bonus = this.clientInfo.increase_bonus;
            listSend.integral = this.clientInfo.integral;
            if(orders){
                listSend.orders = orders
                listSend.arrears = parseFloat(numToCur(this.orderListInSelectArrears,this.systemSetting.price_decimals_setting,'price'))
            }
            viewHandle.openWindow('user_collection_add.html','user_collection_add.html',JSON.stringify(listSend))
        },
        getPaymentStatusClass(item){
            if(!item.id){
                return ''
            }
            if((item.debt_amt == item.order_amt || item.order_amt ==Number(item.rebate_amt + item.debt_amt).toFixed(5) || item.order_amt ==Number(item.debt_amt - item.rebate_amt).toFixed(5)) && item.order_amt !=0 && (item.order_amt != item.rebate_amt && Number(item.order_amt+item.rebate_amt).toFixed(5) !=0)){
                return 'unpaid'
            }else if(item.debt_amt != item.order_amt && item.debt_amt != 0){
                return 'staging'
            }else{
                return 'paid'
            }
        },
        filterChange(type, e){
            console.log(arguments)
            let _this = this
            function updateFilterData(key, types){
                if (types.status){
                    if(key === 'order'){
                        if(e.status[0] === '-1' && e.status.length === 1 && e.type[0] === '-1' && e.user[0] === '-1'){
                            _this.filterData.orderFilterStatus = true
                        }else{
                            _this.filterData.orderFilterStatus = false
                        }
                    }
                    if(e.status[0] === '0' && e.status[1] === '1'){
                        _this.filterRes[key].debt_status = '3'
                    }else if(e.status[0] === '-1'){
                        _this.filterRes[key].debt_status = undefined
                    }else{
                        _this.filterRes[key].debt_status = e.status[0]
                    }
                }
                if (types.type){
                    if(e.type[0] === '-1'){
                        _this.filterRes[key].fa_order_type = undefined
                    }else{
                        _this.filterRes[key].fa_order_type = e.type[0]
                    }
                }
                if (types.user){
                    if(e.user[0] === '-1'){
                        _this.filterRes[key].creater_id = undefined
                    }else{
                        _this.filterRes[key].creater_id = e.user[0]
                    }
                }
            }
            if(type === 'all'){
                updateFilterData(type,{status: false, type: true, user: true})
                allPullUpLoading.load(1, true)
            }
            else if(type === 'order'){ // 调拨历史
                updateFilterData(type,{status: true, type: true, user: true})
                orderPullUpLoading.load(1, true)
            }
            else if(type === 'history'){ // 调拨历史
                updateFilterData(type,{status: false, type: true, user: true})
                historyPullUpLoading.load(1, true)
            }
        },
        /**
         * 合并收款
         */
        receivePaymentSelect(type){
            if(type === 'hide'){
                this.show.orderListSelect = false
                this.show.receivePaymentSelectText = '合并收款'
            }else if(type === 'show'){
                this.show.orderListSelect = true
                this.show.receivePaymentSelectText = '收款'
            }else if(type === 'jump'){
                let checkedList = this.lists.order.filter(function(i){ return i.isChecked === true })
                if (!checkedList.length){
                    return mui.toast('请选择单据')
                }
                this.receivePayment(checkedList)
            }
        },
        orderListSelectItem(item){
            let f = !item.isChecked;
            this.$set(item, 'isChecked', f)
        },
        selectOrderListInSelectAll(){
            let notSelect = this.lists.order.find(function (i){return i.isChecked !== true})
            let f = false
            if (notSelect){
                f = true
            }
            let _this = this
            this.lists.order.forEach(function(i){
                // i.isChecked = f
                _this.$set(i, 'isChecked', f)
            })
        }
    },
    computed:{
        debtAmtName: function(){
            return this.systemSetting.debt_amt_show_type !== 2 ? '欠款' : '余额'
        },
        collectionName:function(){
            if(this.type == 'customer'){
                return '收款'
            }else{
                return '还款'
            }
        },
        listTitle:function(){
            if(this.type == 'customer'){
                return '收前'
            }else{
                return '还前'
            }
        },
        orderListInSelectAll: function(){
            this.orderListInSelectArrears = 0
            let _this = this
            this.lists.order.forEach(function(i){
                if(i.isChecked)
                    _this.orderListInSelectArrears += i.debt_amt
            })
            let notSelect = this.lists.order.find(function (i){return i.isChecked !== true})
            return !(notSelect || this.lists.order.length === 0)
        }
    },
    created: function(){

    },
    mounted:function () {
        var _this = this;
        mui.plusReady(function () {
            _this.getPurview()
        })
        mui('.mui-scroll-wrapper').scroll({
            scrollY: true, //是否竖向滚动
            scrollX: true, //是否横向滚动
            startX: 0, //初始化时滚动至x
            startY: 0, //初始化时滚动至y
            // bounce: false,
            deceleration: 0.0005, //flick 减速系数，系数越大，滚动速度越慢，滚动距离越小，默认值 0.0006
        });
    }
});
var data = {
    num: 0,
    startY: '',
    moveEndY: '',
    isLoading: true
};
const QRY_TYPE = {
    'all': 0,
    'history': 1,
    'order': 2,
}
function getList(pullUpLoading, key){
    let data = {
        rows : 25,
        page : pullUpLoading.data.num,
        customer_type:user_collection_historyVM.type === 'customer'?1:0,
        start_date: user_collection_historyVM.dateFirst,
        end_date: user_collection_historyVM.dateLast,
        customer_id: user_collection_historyVM.userId,
        qry_type: QRY_TYPE[key]
    }
    let filterData = user_collection_historyVM.filterRes[key]
    if(filterData.debt_status !== undefined){ data.debt_status = filterData.debt_status }
    if(filterData.fa_order_type !== undefined){ data.fa_order_type = filterData.fa_order_type }
    if(filterData.creater_id !== undefined){ data.creater_id = filterData.creater_id }
    $API.statistics.getCustomerHistoryByClient(data).then(function(e){
        if(data.qry_type === QRY_TYPE.history){user_collection_historyVM.historyTabPeriodPayment = e.data.total_amt}
        if(data.qry_type === QRY_TYPE.order){user_collection_historyVM.orderTabPeriodArrears = e.data.total_debt_amt}
        if(data.qry_type === QRY_TYPE.all){user_collection_historyVM.allTabPeriodALl = e.data.total_amt}
    })
    return $API.user.getCustomerHistoryDataGrid(data).then(function(res){
        if(pullUpLoading.data.num === 1){
            user_collection_historyVM.lists[key] = []
            user_collection_historyVM.lists[key+'UpdatedDate'] = data.start_date + '|' + data.end_date
            user_collection_historyVM.needToBeUpdated[QRY_TYPE[key]] = false
            pullUpLoading.reset()
        }
        res.data.list.forEach(function(i){
            i.order || (i.order = {})
        })
        user_collection_historyVM.lists[key].push.apply(user_collection_historyVM.lists[key], res.data.list)

        if(pullUpLoading.data.num === 1){
            mui(pullUpLoading.wrapperClass).scroll().refresh(); //先刷新一次布局再scrollTo
            mui(pullUpLoading.wrapperClass).scroll().scrollTo(0, 0, 100); //100毫秒滚动到顶
        }

        let isEntire = res.data.pageNumber >= res.data.totalPage
        return Promise.resolve({isEntire: isEntire})
    }).catch(function(e){
        return Promise.reject(e)
    })
}
function deleteBackUpdate(id){
    mui.each(user_collection_historyVM.list,function(i,v){
        if(v.id == id){
            v.is_deleted = 1;
            return false
        }
    })
}


/* 分页处理 上拉加载 */
// 全部
let allPullUpLoading = new $comm.PullUpLoading('.J-all-pull-up', '.J-all-scroll-wrapper',function(data){
    return getList(allPullUpLoading,'all')
},'.J-all-loading-text')
// 单据
let orderPullUpLoading = new $comm.PullUpLoading('.J-order-pull-up', '.J-order-scroll-wrapper',function(data){
    return getList(orderPullUpLoading,'order')
},'.J-order-loading-text')

// 历史
let historyPullUpLoading = new $comm.PullUpLoading('.J-history-pull-up', '.J-history-scroll-wrapper',function(data){
    return getList(historyPullUpLoading,'history')
},'.J-history-loading-text')


var dateFirst = new mui.DtPicker({
    type: "date",
    labels: ['年', '月', '日']
});
var dateLast = new mui.DtPicker({
    type: "date",
    labels: ['年', '月', '日']
});
mui('body').on('tap', '.dateFirst', function () {
    var _self = this;
    dateFirst.show(function (e) {
        user_collection_historyVM.dateFirst = e.text;
    })
    dateFirst.setSelectedValue(user_collection_historyVM.dateFirst)
});
mui('body').on('tap', '.dateLast', function () {
    var _self = this;
    dateLast.show(function (e) {
        user_collection_historyVM.dateLast = e.text;
    })
    dateFirst.setSelectedValue(user_collection_historyVM.dateLast)
});

// 点击查询
mui('body').on('tap','.btn-chaxun',function(){
    query()
});
function query(){
    switch (user_collection_historyVM.tabActiveIndex){
        case 'all': allPullUpLoading.load(1, true)
            break;
        case 'order': orderPullUpLoading.load(1, true)
            break;
        case 'history': historyPullUpLoading.load(1, true)
            break;
    }
}
mui('body').on('tap','.muiBack',function(){
    if(backEdit){
        var listSend = {};
        listSend.type = user_collection_historyVM.type;
        viewHandle.viewFire('user_collection.html','addBack',JSON.stringify(listSend))
    }
    viewHandle.back('close')
});
