mui.plusReady(function(){
    var arg = plus.webview.currentWebview().arg;
    if(arg){
        arg = JSON.parse(arg);
        user_collection_history_infoVM.type = arg.type;
        user_collection_history_infoVM.info = arg.info;
        if(arg.id){ // 单据需要查询 // 是销售/采购单还款生产的历史
            user_collection_history_infoVM.refer = 'order'
            user_collection_history_infoVM.getInfoById(arg.id)
        }
        if(user_collection_history_infoVM.type === "customer"){
            $("#titleName").html("收款详情")
        }else{
            $("#titleName").html("还款详情")
        }
    }
});
var user_collection_history_infoVM = new Vue({
    el: '#user_collection_history_infoVM',
    data: {
        systemSetting:JSON.parse(localStorage.systemSetting),
        // 独立生成的收款历史
        refer: 'collection',
        type:'',
        info: '',
        searchHistoryList:[],
        //权限相关
        positionName:false,
        stockManager:false,
        purchaseManager:false,
        companySetIndustry:true,
        labelPprinter:false,
        faAccount:true,
        is_advanced:0,
        company_name:'',
        company_id:'',
        user_id:'',
        jifenshow:false,
        bindDepot:-1,
        //--------------------
    },
    methods: {
        getPurview :function(){//获取权限
            var _this = this;
            mui.ajax(severUrl + "sso/user/qryOp.json", {
                data : {
                    id : ''
                },
                headers : {
                    'Content-Type' : 'application/x-www-form-urlencoded'
                },
                xhrFields : {
                    withCredentials : true
                },
                dataType : 'json',
                type : 'post',
                timeout : 30000,
                async : false,
                success : function(res) {
                    if (res.success) {
                        // var position_name = res.data.position_name;
                        _this.company_name = res.data.company_name;
                        _this.company_id = res.data.company_id;
                        _this.bindDepot = res.data.manage_depot_id;
                        _this.user_id = res.data.id;
                        var code = res.data.position,permission = code.permission;
                        if(permission.indexOf('A11_1_O') >=0 || permission.indexOf('A11_1_E') >=0){
                            _this.positionName = true
                        }else{
                            _this.positionName = false
                        }
                        permission.indexOf('A4_1_E') >=0?_this.stockManager = true:_this.stockManager = false;
                        permission.indexOf('FA_ACC') >=0?_this.faAccount = true:_this.faAccount = false;
                        permission.indexOf('LOOK_PURCHASE') >=0?_this.purchaseManager = true:_this.purchaseManager = false;
                        permission.indexOf('ONLY_PRINT') >=0?_this.labelPprinter = true:_this.labelPprinter = false;
                        'RFRk,eYVo,y0oa,mVbc,pqrB,pDAY,CCP2,Oo4T,LfTY'.indexOf(_this.company_id) >=0?_this.jifenshow = true:_this.jifenshow=false
                        _this.companySetIndustry = res.data.company_set_industry;
                    }

                }
            });
        },
        deleted:function(){
            var btn = ["取消","确定"];
            mui.confirm('确认作废该记录？', '提示', btn, function (e) {
                if (e.index == 1) {
                    mui.ajax(severUrl + "fa/customerHistory/deleted.json", {
                        data: {
                            id: user_collection_history_infoVM.info.id
                        },
                        headers: {
                            'Content-Type': 'application/x-www-form-urlencoded'
                        },
                        xhrFields: {
                            withCredentials: true
                        },
                        dataType: 'json',
                        type: 'post',
                        timeout: 10000,
                        success: function (res) {
                            mui.toast(res.msg);
                            if(res.success){
                                setTimeout(function(){
                                    var listSend = {};
                                    listSend.id = user_collection_history_infoVM.info.id;
                                    viewHandle.viewFire('user_collection_history.html','deleteBack',listSend);
                                    viewHandle.back('close')
                                },500)
                            }
                        }
                    });
                }
            },'div');
        },
        //通过id 查询
        getInfoById(id){
            let loading = $comm.showLoading('查询中...')
            let _this = this
            $API.statistics.getCustomerHistoryById({id: id}).then(function(e){
                loading.close()
                _this.info = e.data
                _this.info.creater_name = e.data.realname
                _this.info.integral_add = e.data.changeinteral
                _this.info.integral_all = e.data.temp_integral
            }).catch(function(e){
                loading.close()
            })
        }
    },
    computed:{
        debtAmtName: function(){
            return this.systemSetting.debt_amt_show_type !== 2 ? '欠款' : '余额'
        },
        collectionName:function(){
            if(this.type == 'customer'){
                return '收款'
            }else{
                return '还款'
            }
        },
    },
    created: function(){

    },
    mounted:function () {
        var _this = this;
        mui.plusReady(function () {
            _this.getPurview()
        })
    }
});

mui('body').on('tap','.relation',function(){
    viewHandle.waiting('查询中...')
    mui.ajax(severUrl + "fa/customerHistory/qryCustomerRelation.json", {
        data: {
            id: user_collection_history_infoVM.info.id
        },
        headers: {
            'Content-Type': 'application/x-www-form-urlencoded'
        },
        xhrFields: {
            withCredentials: true
        },
        dataType: 'json',
        type: 'post',
        timeout: 10000,
        success: function (res) {
            viewHandle.close();
            if(res.success){
                user_collection_history_infoVM.searchHistoryList = res.data;
                if(user_collection_history_infoVM.searchHistoryList.length >0){
                    $("#mainInfo").css('display','none');
                    $("#relation").css('display','block')
                }else{
                    mui.toast("没有与之关联的单据")
                }
            }else{
                mui.toast(res.msg)
            }
        },
        error: function (XMLHttpRequest, textStatus, errorThrown) {
            viewHandle.close();
        }
    });
})

mui('body').on('tap','.history',function(){
    var listSend = {};
    listSend.id = this.dataset.id;
    if(user_collection_history_infoVM.type = "customer"){
        listSend.type = 'customer';
    }else{
        listSend.type = 'supplier';
    }
    viewHandle.viewFire('customerDebets.html','customerDebets',listSend);
    viewHandle.openWindow('../customerDebets.html','customerDebets.html',JSON.stringify(listSend))
});
mui('body').on('tap','.relationBack',function(){
    $("#mainInfo").css('display','block');
    $("#relation").css('display','none')
});
mui('body').on('tap','.muiBack',function(){
    viewHandle.back('close')
});
