var valueAddedServiceVM = new Vue({
	el: '#valueAddedServiceVM',
	data: {

		scanCodePayStatus: '获取状态中',
		//权限相关
		positionName:false,
		stockManager:false,
		purchaseManager:false,
		companySetIndustry:true,
		labelPprinter:false,
		faAccount:true,
		is_advanced:0,
		company_name:'',
		company_id:'',
		user_id:'',
		jifenshow:false,
		bindDepot:-1,
		general_version:localStorage.getItem("general_version") || 0,
		vipLevel:localStorage.getItem("vipLevel") || 0,
		applets:false, //
		vip_maturity_time:'',
		//--------------------
		end_date:''
	},
	watch:{

	},
	methods: {
		getPurview :function(){//获取权限
			var _this = this;
			mui.ajax(severUrl + "sso/user/qryOp.json", {
				data : {
					id : ''
				},
				headers : {
					'Content-Type' : 'application/x-www-form-urlencoded'
				},
				xhrFields : {
					withCredentials : true
				},
				dataType : 'json',
				type : 'post',
				timeout : 30000,
				async : false,
				success : function(res) {
					if (res.success) {
						// var position_name = res.data.position_name;
						_this.company_name = res.data.company_name;
						_this.company_id = res.data.company_id;
						_this.bindDepot = res.data.manage_depot_id;
						_this.user_id = res.data.id;
						var code = res.data.position,permission = code.permission;
						if(permission.indexOf('A11_1_O') >=0 || permission.indexOf('A11_1_E') >=0){
							_this.positionName = true
						}else{
							_this.positionName = false
						}
						permission.indexOf('A4_1_E') >=0?_this.stockManager = true:_this.stockManager = false;
						permission.indexOf('FA_ACC') >=0?_this.faAccount = true:_this.faAccount = false;
						permission.indexOf('LOOK_PURCHASE') >=0?_this.purchaseManager = true:_this.purchaseManager = false;
						permission.indexOf('ONLY_PRINT') >=0?_this.labelPprinter = true:_this.labelPprinter = false;
						'RFRk,eYVo,y0oa,mVbc,pqrB,pDAY,CCP2,Oo4T,LfTY'.indexOf(_this.company_id) >=0?_this.jifenshow = true:_this.jifenshow=false
						_this.companySetIndustry = res.data.company_set_industry;
					}

				}
			});
		},
		toSmallApp:function(){
			mui.openWindow({
				id: 'smallAppStore',
				url: 'view/smallAppStore.html?dredgeType=' + true+'&end_date='+valueAddedServiceVM.end_date
			});
			//viewHandle.openWindow('view/adminSettings.html','adminSettings.html');
		},
		toCustomizService:function(){
			mui.openWindow({
				id: 'customizService',
				url: 'customizService.html'
			});
		},
		toIntergralDeduction:function () {
			viewHandle.openWindow('intergralDeduction.html','intergralDeduction.html');
		},
		/**
		 * 打开淘宝单品页面
		 * @param spm 淘宝商品链接 spm
		 */
		jumpTaoBaoPageBySpm(spm){
			let nw = plus.webview.create('https://item.taobao.com/item.htm?spm=' + spm, 'taoBaoPage',{backButtonAutoControl: 'close'})
			nw.show()
		},
		toService:function(val){
			var listSend = {};
			switch (val) {
				case 'depot':
					listSend.payOrderName = '定制仓库门店数量';
					break;
				case 'product':
					listSend.payOrderName = '定制商品数量';
					break;
				case 'user':
					listSend.payOrderName = '定制员工数量';
					break;
			}
			viewHandle.openWindow('VIPService.html','VIPService.html',JSON.stringify(listSend))
		},
		get_Applets:function(){//小程序查询
			mui.ajax(severUrl + "sso/miniconfig/qryInfoByCompanyId.json", {
				data: {},
				dataType: 'json', //服务器返回json格式数据
				type: 'post', //HTTP请求类型
				timeout: 10000, //超时时间设置为10秒；
				//async: false,
				headers: {
					'Content-Type': 'application/x-www-form-urlencoded'
				},
				xhrFields: {
					withCredentials: true
				},
				success: function(data) {
					if (data.success == true) {
						valueAddedServiceVM.applets = true
						valueAddedServiceVM.end_date=data.data.end_date
					}
				}
			})
		},
		get_vip_maturity_time:function(){
			mui.ajax(severUrl + "sso/company/qry.json", {
				data : {
				},
				headers : {
					'Content-Type' : 'application/x-www-form-urlencoded'
				},
				xhrFields : {
					withCredentials : true
				},
				dataType : 'json',
				type : 'post',
				timeout : 10000,
				success : function(res) {
					if(res.success){
						valueAddedServiceVM.vip_maturity_time = res.data.advanced_end_time
					}
				}
			});
		},
        upgrade_version:function(type){//升级版本,扫码收款
            var _this = this,listSend = {};
			// if(type == 'scan_payment'){
			// 	listSend.type = type
			// 	viewHandle.openWindow("version_comparison.html","version_comparison.html",JSON.stringify(listSend))
			// }else{
				if(_this.vipLevel == 1){
					viewHandle.openWindow("view/vipLevel.html","vipLevel.html")
				}else{
					viewHandle.openWindow("version_comparison.html","version_comparison.html",JSON.stringify(listSend))
				}
			// }
        },
		// 获取扫码支付状态
		getScanCodePayStatus() {
			let getPayCompanyCount = 0
			getPayCompany()
			function getPayCompany() {
				mui.ajax({
					url: severUrl + 'sso/payCompany/show',
					data: {},
					headers: {
						'Content-Type': 'application/x-www-form-urlencoded'
					},
					xhrFields: {
						withCredentials: true
					},
					dataType: 'json',
					type: 'post',
					timeout: 10000,
					async: false,
					success(res) {
						console.log(res)
						if(res.status === 200){
							if(res.msg === '0'){
								valueAddedServiceVM.scanCodePayStatus = '免费开通'
							}else if(res.msg === '1'){
								valueAddedServiceVM.scanCodePayStatus = '等待审核'
							}else if(res.msg === '2'){
								valueAddedServiceVM.scanCodePayStatus = '未通过,去修改'
							}else if(res.msg === '3'){
								valueAddedServiceVM.scanCodePayStatus = '微信未通过,去修改'
							}else if(res.msg === '4'){
								valueAddedServiceVM.scanCodePayStatus = '支付宝未通过,去修改'
							}else if(res.msg === '5'){
								valueAddedServiceVM.scanCodePayStatus = '已开通'
							}else{
								valueAddedServiceVM.scanCodePayStatus = '状态异常'
							}
						}else{
							valueAddedServiceVM.scanCodePayStatus = ''
						}
						// openScanCodePayText.text(openScanCodePayStatue)
					},
					error() {
						getPayCompanyCount ++
						if(getPayCompanyCount < 10){
							getPayCompany()
						}else{
							mui.toast('请求扫码支付状态，请稍后重试。')
							valueAddedServiceVM.scanCodePayStatus = '获取状态失败'
						}
					}
				})
			}
		},
		// 点击开通扫码支付
		tapOpenScanCodePay() {
			if(this.scanCodePayStatus === '获取状态中'){
				mui.confirm('未获取到状态！请稍后。', '提示', ["确定"], function () {}, 'div')
			}else if(this.scanCodePayStatus === '免费开通'){ // 未开通
				viewHandle.openWindow("version_comparison.html","version_comparison.html",JSON.stringify({type: 'scan_payment'}))
			}else{
				if(this.scanCodePayStatus === '未通过,去修改'){
					viewHandle.openWindow("openScanCodePayUpload.html?errType=2","openScanCodePayUpload")
				}else if(this.scanCodePayStatus === '支付宝未通过,去修改'){
					viewHandle.openWindow("openScanCodePayUpload.html?errType=4","openScanCodePayUpload")
				}else if(this.scanCodePayStatus === '微信未通过,去修改'){
					viewHandle.openWindow("openScanCodePayUpload.html?errType=3","openScanCodePayUpload")
				}else if(this.scanCodePayStatus === '等待审核'){
					mui.toast('请耐心等待审核')
				}else if(this.scanCodePayStatus === '') {
					mui.toast('没有权限，请联系管理员！')
				}else{
					mui.toast('当前状态不支持开通！')
				}
			}
		}
	},
	created:function(){
	},
	mounted:function (){
		var _this = this;
		mui.plusReady(function () {
			_this.getScanCodePayStatus()
			_this.getPurview();
			_this.get_Applets();
			if(_this.vipLevel == 1){
				_this.get_vip_maturity_time()
			}
		})

	}
});

mui("body").on('tap','.muiBack',function(){
	viewHandle.back('close')
});
window.addEventListener('updatePayCompany',function(){
	valueAddedServiceVM.getScanCodePayStatus()
})
