function getQueryString(name) {
    var reg = new RegExp("(^|&)" + name + "=([^&]*)(&|$)", "i");
    var r = window.location.search.substr(1).match(reg);
    if (r != null) return decodeURIComponent(r[2]); return null;
}

mui.plusReady(function(){
    var arg = plus.webview.currentWebview().arg;
    if(arg){
        arg = JSON.parse(arg);
        houseSettingVM.fromType = arg.fromType || ''
    }
});

var houseSettingVM = new Vue({
	el: '#houseSettingVM',
	data: {
		depotList:[],
		remark:"",
		depot_name:"",
		depot_id:"",
		linkPageId:'',
		addType:0,
        fromType:'',
        //权限相关
        positionName:false,
        stockManager:false,
        purchaseManager:false,
        companySetIndustry:true,
        labelPprinter:false,
        faAccount:true,
        is_advanced:0,
        company_name:'',
        company_id:'',
        user_id:'',
        jifenshow:false,
        bindDepot:-1,
        general_version:localStorage.getItem("general_version") || 0,
        vipLevel:localStorage.getItem("vipLevel") || 0
        //--------------------
	},
	methods: {
        getPurview :function(){//获取权限
            var _this = this;
            mui.ajax(severUrl + "sso/user/qryOp.json", {
                data : {
                    id : ''
                },
                headers : {
                    'Content-Type' : 'application/x-www-form-urlencoded'
                },
                xhrFields : {
                    withCredentials : true
                },
                dataType : 'json',
                type : 'post',
                timeout : 30000,
                async : false,
                success : function(res) {
                    if (res.success) {
                        // var position_name = res.data.position_name;
                        _this.company_name = res.data.company_name;
                        _this.company_id = res.data.company_id;
                        _this.bindDepot = res.data.manage_depot_id;
                        _this.user_id = res.data.id;
                        var code = res.data.position,permission = code.permission;
                        if(permission.indexOf('A11_1_O') >=0 || permission.indexOf('A11_1_E') >=0){
                            _this.positionName = true
                        }else{
                            _this.positionName = false
                        }
                        permission.indexOf('A4_1_E') >=0?_this.stockManager = true:_this.stockManager = false;
                        permission.indexOf('FA_ACC') >=0?_this.faAccount = true:_this.faAccount = false;
                        permission.indexOf('LOOK_PURCHASE') >=0?_this.purchaseManager = true:_this.purchaseManager = false;
                        permission.indexOf('ONLY_PRINT') >=0?_this.labelPprinter = true:_this.labelPprinter = false;
                        'RFRk,eYVo,y0oa,mVbc,pqrB,pDAY,CCP2,Oo4T,LfTY'.indexOf(_this.company_id) >=0?_this.jifenshow = true:_this.jifenshow=false
                        _this.companySetIndustry = res.data.company_set_industry;
                    }

                }
            });
        },
		settingDepot:function(item){
			this.depot_name=item.name;
			this.depot_id=item.id;
		},
		removeDepot:function(){
			
		}
	},
	created:function(){

	},
    mounted:function () {
	    var _this = this;
        mui.plusReady(function () {
            _this.getPurview()
        })
    }
});

function getDepotList(){
	mui.ajax(severUrl + "scm/depot/list.json",{
		data:{
            isdisabled:1
		},
		headers: { 
	      'Content-Type':'application/x-www-form-urlencoded' 
	  	},
	  	xhrFields: {
          withCredentials: true
  		},
		dataType:'json',
		type:'post',
		timeout:10000,
		success:function(res){
			houseSettingVM.depotList=res.data;
            var depotList = houseSettingVM.depotList.filter(function(v,i){
                if(v.isdisabled == 0){
                    return v
                }
            });
            localStorage.setItem("depotList",JSON.stringify(depotList))
		}
	});
}
setListener();
function setListener(){
	window.addEventListener("pageshow",function(){
        mui.plusReady(function(){
            getDepotList();
        });
	});
	mui('.mui-scroll-wrapper').scroll({
	    deceleration: 0.0006 //flick 减速系数，系数越大，滚动速度越慢，滚动距离越小，默认值0.0006  
	});
	mui("#houseSettingVM").on('tap','.preservation',function(){
		if(houseSettingVM.depot_name==''){
			mui.toast("请输入仓库名称");
		}else{
			mui.ajax(severUrl + "scm/depot/save.json",{
				data:{
					id:houseSettingVM.linkPageId,
					name:houseSettingVM.depot_name,
					remark:houseSettingVM.remark
				},
				headers: { 
			      'Content-Type':'application/x-www-form-urlencoded' 
			  	},
			  	xhrFields: {
		          withCredentials: true
		  		},
				dataType:'json',
				type:'post',
				timeout:10000,
                beforeSend: function() {
                    // mask.show();//显示遮罩层
                    mui('#dh')[0].style.display = "block";
                },
                complete: function() {
                    //mask.close();//关闭遮罩层
                    mui('#dh')[0].style.display = "none";
                },
				success:function(res){
					if(res.success){
                        mui.toast(res.msg);
                        if(res.status==200){
                            var opener = plus.webview.currentWebview().opener().id;
                            if(opener == "initialInventory.html"){
                                var selDepotId = res.data || '';
                                var listSend = {
                                    selDepotId:selDepotId
                                };
                                viewHandle.viewFire('initialInventory.html','warehouseBack',listSend);
                                viewHandle.back('close')
                            }else{
                                houseSettingVM.depot_name="";
                                houseSettingVM.remark="";
                                houseSettingVM.linkPageId="";
                                if(res.data){
                                    sessionStorage.setItem("selDepotId",res.data);
                                }
                                if(houseSettingVM.fromType == 'caigou'){
                                    var listSend = {
                                        id:res.data
                                    };
                                    viewHandle.viewFire('caigou.html','depotUpdate',listSend);
                                    viewHandle.back('close');
                                }
                                getDepotList();
                            }
                            var xiao = plus.webview.getWebviewById("H576E5848");
                            var cai = plus.webview.getWebviewById("caigou.html");
                            var tong = plus.webview.getWebviewById("tongji.html");
                            if(xiao) xiao.evalJS("getDepot()");
                            if(cai) cai.evalJS("getDepot()");
                            if(tong) tong.evalJS("getDepot()");
                        }
					}else{
					    $comm.showLimitConfirm(res,{payOrderNameStrategy:'depot',rootPath:'./'})
				    }
                }
			});
		}
		
	});
	mui("#houseSettingVM").on('tap','.delWarehouse',function(){
		var id=this.parentNode.dataset.id;
        var ischecked=this.parentNode.dataset.ischecked;
        if(ischecked==1){
            mui.toast("默认仓库无法删除");
            return;
		}
		var btn = ["取消","确定"];
		mui.confirm('确认删除该仓库？','提示',btn,function(e){
		    if(e.index==1){
				mui.ajax(severUrl + "scm/depot/del.json",{
					data:{
						"id":id
					},
					headers: { 
				      'Content-Type': 'application/x-www-form-urlencoded' 
				  	},
				  	xhrFields: {
			          withCredentials: true
			  		},
					dataType:'json',//服务器返回json格式数据
					type:'post',//HTTP请求类型
					timeout:10000,//超时时间设置为10秒；
					success:function(res){
						if(res.success){
                            $("tr").removeClass("trMy");
                            $("tr").addClass("myTr");
                            $("td").removeClass("my-td");
                            houseSettingVM.addType=0;
                            houseSettingVM.linkPageId="";
                            houseSettingVM.depot_name="";
                            houseSettingVM.remark="";
                            mui.toast(res.msg);
						   	getDepotList();
                            var xiao = plus.webview.getWebviewById("H576E5848");
                            var cai = plus.webview.getWebviewById("caigou.html");
                            var tong = plus.webview.getWebviewById("tongji.html");
                            if(xiao) xiao.evalJS("getDepot()");
                            if(cai) cai.evalJS("getDepot()");
                            if(tong) tong.evalJS("getDepot()");
						}else{
                            mui.toast(res.msg);
						}
					}
				});
		    }
		},'div');
		
	});
    mui("#houseSettingVM").on('tap','.moRenWarehouse',function(){
        var id=this.parentNode.dataset.id;
        var isdisabled=this.parentNode.dataset.isdisabled;
        var ischecked=this.parentNode.dataset.ischecked;
        if(isdisabled==1){
            mui.toast("禁用仓库不能设置为默认");
        }else{
            if(ischecked==0||ischecked==""){
                var btn = ["取消","确定"];
                mui.confirm('确认设为默认仓库?','提示',btn,function(e){
                	if(e.index==1){
                        for(var i=0;i<houseSettingVM.depotList.length;i++){
                            if(houseSettingVM.depotList[i].ischecked==1){
                                mui.ajax({
                                    url:severUrl+"scm/depot/setChecked.json",
                                    data:{"id":houseSettingVM.depotList[i].id,"status":1},
                                    headers: {
                                        'Content-Type': 'application/x-www-form-urlencoded'
                                    },
                                    xhrFields: {
                                        withCredentials: true
                                    },
                                    dataType:'json',//服务器返回json格式数据
                                    type:'post',//HTTP请求类型
                                    timeout:10000,//超时时间设置为10秒；
                                    success:function(){

                                    }
                                })
                            }
                        }
                        mui.ajax({
                            url:severUrl+"scm/depot/setChecked.json",
                            data:{"id":id,"status":0},
                            headers: {
                                'Content-Type': 'application/x-www-form-urlencoded'
                            },
                            xhrFields: {
                                withCredentials: true
                            },
                            dataType:'json',//服务器返回json格式数据
                            type:'post',//HTTP请求类型
                            timeout:10000,//超时时间设置为10秒；
                            success:function(res){
                            	if(res.success){
                                    $("tr").removeClass("trMy");
                                    $("tr").addClass("myTr");
                                    $("td").removeClass("my-td");
                                    houseSettingVM.addType=0;
                                    houseSettingVM.linkPageId="";
                                    houseSettingVM.depot_name="";
                                    houseSettingVM.remark="";
                                    getDepotList();
                                    mui.toast(res.msg);
								}else{
                                    mui.toast(res.msg);
								}
                            }
                        });
					}
				},'div');
            }
        }
    });
    mui("#houseSettingVM").on('tap','.jinYongWarehouse',function(){
        var id=this.parentNode.dataset.id;
        var isdisabled=this.parentNode.dataset.isdisabled;
        var ischecked=this.parentNode.dataset.ischecked;
		if(ischecked==1){
            mui.toast("默认仓库不能禁用");
		}else{
            var btn = ["取消","确定"];
            var btnInfo="";
            if(isdisabled==0){
                btnInfo="确认禁用仓库？"
            }else{
                btnInfo="确认启用仓库？"
            }
            mui.confirm(btnInfo,'提示',btn,function(e){
            	if(e.index==1){
                    mui.ajax({
                        url:severUrl+"scm/depot/enableOrDisable.json",
                        data:{"id":id,"isdisabled":isdisabled},
                        headers: {
                            'Content-Type': 'application/x-www-form-urlencoded'
                        },
                        xhrFields: {
                            withCredentials: true
                        },
                        dataType:'json',//服务器返回json格式数据
                        type:'post',//HTTP请求类型
                        timeout:10000,//超时时间设置为10秒；
                        success:function(res){
                            if(res.success){
                                $("tr").removeClass("trMy");
                                $("tr").addClass("myTr");
                                $("td").removeClass("my-td");
                                houseSettingVM.addType=0;
                                houseSettingVM.linkPageId="";
                                houseSettingVM.depot_name="";
                                houseSettingVM.remark="";
                                getDepotList();
                                mui.toast(res.msg);
                            }else{
                                $comm.showLimitConfirm(res,{payOrderNameStrategy:'depot',rootPath:'./'})
                            }
                        }
                    })
				}
			},'div');

		}
    });

	mui("#houseSettingVM").on('tap','.my-cun-tbody .change',function(){
		var status=$(this).parent().hasClass('trMy');
        if(!status){
            houseSettingVM.addType=1;
            $(this).parent().siblings().removeClass("trMy");
            $(this).parent().siblings().addClass("myTr");
            $(this).parent().siblings().find("td").removeClass("my-td");
            $(this).parent().removeClass("myTr");
            $(this).parent().addClass("trMy");
            $(this).parent().find("td").addClass("my-td");
            houseSettingVM.linkPageId=this.parentNode.dataset.id;
            console.log(houseSettingVM.linkPageId)
            mui.each(houseSettingVM.depotList,function(index,sel){
                if(sel.id==houseSettingVM.linkPageId){
                    houseSettingVM.depot_name=sel.name;
                    houseSettingVM.remark=sel.remark;
                }
            })
		}else{
            houseSettingVM.addType=0;
            $(this).parent().removeClass("trMy");
            $(this).parent().addClass("myTr");
            $(this).parent().find("td").removeClass("my-td");
			houseSettingVM.linkPageId="";
			houseSettingVM.depot_name="";
			houseSettingVM.remark="";
		}
	});
}
mui("body").on('tap','.muiBack',function(){
    var opener = plus.webview.currentWebview().opener().id;
    if(opener == "initialInventory.html"){
        var selDepotId = sessionStorage.getItem("selDepotId") || '';
        var listSend = {
            selDepotId:selDepotId
        };
        viewHandle.viewFire('initialInventory.html','warehouseBack',listSend)
    }
    if(houseSettingVM.fromType == 'caigou'){
        viewHandle.viewFire('caigou.html','depotUpdate')
    }
    viewHandle.back('close')
});