/**
 * 权限混入
 */
var jurisdictionMixin={
	data:function(){
		return {
			positionName:false,
			stockManager:false,
			//采购权限
			purchaseManager:false,
			companySetIndustry:true,
			labelPprinter:false,
			faAccount:true,
			is_advanced:0,
			company_name:'',
			company_id:'',
			user_id:'',
			jifenshow:false,
			bindDepot:-1,
			//--------------------
		}
	},
	methods:{
		getPurview: function() { //获取权限
			var _this = this;
			mui.ajax(severUrl + "sso/user/qryOp.json", {
				data: {
					id: ''
				},
				headers: {
					'Content-Type': 'application/x-www-form-urlencoded'
				},
				xhrFields: {
					withCredentials: true
				},
				dataType: 'json',
				type: 'post',
				timeout: 30000,
				async: false,
				success: function(res) {
					if (res.success) {
						// var position_name = res.data.position_name;
						_this.company_name = res.data.company_name;
						_this.company_id = res.data.company_id;
						_this.bindDepot = res.data.manage_depot_id;
						_this.user_id = res.data.id;
						var code = res.data.position,
							permission = code.permission;
						//管理员
						if (permission.indexOf('A11_1_O') >= 0 || permission.indexOf(
								'A11_1_E') >= 0) {
							_this.positionName = true
						} else {
							_this.positionName = false
						}
						//店长
						permission.indexOf('A4_1_E') >= 0 ? _this.stockManager = true : _this
							.stockManager = false;
						//结算账户
						permission.indexOf('FA_ACC') >= 0 ? _this.faAccount = true : _this
							.faAccount = false;
						//查看进价
						permission.indexOf('LOOK_PURCHASE') >= 0 ? _this.purchaseManager =
							true : _this.purchaseManager = false;
						//标签打印
						permission.indexOf('ONLY_PRINT') >= 0 ? _this.labelPprinter = true :
							_this.labelPprinter = false;
						//查看积分
						'RFRk,eYVo,y0oa,mVbc,pqrB,pDAY,CCP2,Oo4T,LfTY'.indexOf(_this
								.company_id) >= 0 ? _this.jifenshow = true : _this.jifenshow =
							false
						//是否设置行业
						_this.companySetIndustry = res.data.company_set_industry;
					}
		
				}
			});
		}
	}
}